<?php
declare(strict_types=1);

namespace Giberti\EmojiData;

/**
 * Copyright 2020 Erik Giberti
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 * This file was automatically generated on 2020-09-26 using data files
 * provided by Unicode Inc.
 *
 * @link https://unicode.org/Public/emoji/13.1/emoji-test.txt Emoji Keyboard/Display Test Data
 * @link https://www.unicode.org/license.html Unicode Data File license
 */
class Emoji
{
    public const GRINNING_FACE = "\u{1F600}"; // 😀  grinning face
    public const GRINNING_FACE_WITH_BIG_EYES = "\u{1F603}"; // 😃  grinning face with big eyes
    public const GRINNING_FACE_WITH_SMILING_EYES = "\u{1F604}"; // 😄  grinning face with smiling eyes
    public const BEAMING_FACE_WITH_SMILING_EYES = "\u{1F601}"; // 😁  beaming face with smiling eyes
    public const GRINNING_SQUINTING_FACE = "\u{1F606}"; // 😆  grinning squinting face
    public const GRINNING_FACE_WITH_SWEAT = "\u{1F605}"; // 😅  grinning face with sweat
    public const ROLLING_ON_THE_FLOOR_LAUGHING = "\u{1F923}"; // 🤣  rolling on the floor laughing
    public const FACE_WITH_TEARS_OF_JOY = "\u{1F602}"; // 😂  face with tears of joy
    public const SLIGHTLY_SMILING_FACE = "\u{1F642}"; // 🙂  slightly smiling face
    public const UPSIDE_DOWN_FACE = "\u{1F643}"; // 🙃  upside-down face
    public const WINKING_FACE = "\u{1F609}"; // 😉  winking face
    public const SMILING_FACE_WITH_SMILING_EYES = "\u{1F60A}"; // 😊  smiling face with smiling eyes
    public const SMILING_FACE_WITH_HALO = "\u{1F607}"; // 😇  smiling face with halo
    public const SMILING_FACE_WITH_HEARTS = "\u{1F970}"; // 🥰  smiling face with hearts
    public const SMILING_FACE_WITH_HEART_EYES = "\u{1F60D}"; // 😍  smiling face with heart-eyes
    public const STAR_STRUCK = "\u{1F929}"; // 🤩  star-struck
    public const FACE_BLOWING_A_KISS = "\u{1F618}"; // 😘  face blowing a kiss
    public const KISSING_FACE = "\u{1F617}"; // 😗  kissing face
    public const SMILING_FACE = "\u{263A}\u{FE0F}"; // ☺️  smiling face
    public const KISSING_FACE_WITH_CLOSED_EYES = "\u{1F61A}"; // 😚  kissing face with closed eyes
    public const KISSING_FACE_WITH_SMILING_EYES = "\u{1F619}"; // 😙  kissing face with smiling eyes
    public const SMILING_FACE_WITH_TEAR = "\u{1F972}"; // 🥲  smiling face with tear
    public const FACE_SAVORING_FOOD = "\u{1F60B}"; // 😋  face savoring food
    public const FACE_WITH_TONGUE = "\u{1F61B}"; // 😛  face with tongue
    public const WINKING_FACE_WITH_TONGUE = "\u{1F61C}"; // 😜  winking face with tongue
    public const ZANY_FACE = "\u{1F92A}"; // 🤪  zany face
    public const SQUINTING_FACE_WITH_TONGUE = "\u{1F61D}"; // 😝  squinting face with tongue
    public const MONEY_MOUTH_FACE = "\u{1F911}"; // 🤑  money-mouth face
    public const HUGGING_FACE = "\u{1F917}"; // 🤗  hugging face
    public const FACE_WITH_HAND_OVER_MOUTH = "\u{1F92D}"; // 🤭  face with hand over mouth
    public const SHUSHING_FACE = "\u{1F92B}"; // 🤫  shushing face
    public const THINKING_FACE = "\u{1F914}"; // 🤔  thinking face
    public const ZIPPER_MOUTH_FACE = "\u{1F910}"; // 🤐  zipper-mouth face
    public const FACE_WITH_RAISED_EYEBROW = "\u{1F928}"; // 🤨  face with raised eyebrow
    public const NEUTRAL_FACE = "\u{1F610}"; // 😐  neutral face
    public const EXPRESSIONLESS_FACE = "\u{1F611}"; // 😑  expressionless face
    public const FACE_WITHOUT_MOUTH = "\u{1F636}"; // 😶  face without mouth
    public const FACE_IN_CLOUDS = "\u{1F636}\u{200D}\u{1F32B}\u{FE0F}"; // 😶‍🌫️  face in clouds
    public const SMIRKING_FACE = "\u{1F60F}"; // 😏  smirking face
    public const UNAMUSED_FACE = "\u{1F612}"; // 😒  unamused face
    public const FACE_WITH_ROLLING_EYES = "\u{1F644}"; // 🙄  face with rolling eyes
    public const GRIMACING_FACE = "\u{1F62C}"; // 😬  grimacing face
    public const FACE_EXHALING = "\u{1F62E}\u{200D}\u{1F4A8}"; // 😮‍💨  face exhaling
    public const LYING_FACE = "\u{1F925}"; // 🤥  lying face
    public const RELIEVED_FACE = "\u{1F60C}"; // 😌  relieved face
    public const PENSIVE_FACE = "\u{1F614}"; // 😔  pensive face
    public const SLEEPY_FACE = "\u{1F62A}"; // 😪  sleepy face
    public const DROOLING_FACE = "\u{1F924}"; // 🤤  drooling face
    public const SLEEPING_FACE = "\u{1F634}"; // 😴  sleeping face
    public const FACE_WITH_MEDICAL_MASK = "\u{1F637}"; // 😷  face with medical mask
    public const FACE_WITH_THERMOMETER = "\u{1F912}"; // 🤒  face with thermometer
    public const FACE_WITH_HEAD_BANDAGE = "\u{1F915}"; // 🤕  face with head-bandage
    public const NAUSEATED_FACE = "\u{1F922}"; // 🤢  nauseated face
    public const FACE_VOMITING = "\u{1F92E}"; // 🤮  face vomiting
    public const SNEEZING_FACE = "\u{1F927}"; // 🤧  sneezing face
    public const HOT_FACE = "\u{1F975}"; // 🥵  hot face
    public const COLD_FACE = "\u{1F976}"; // 🥶  cold face
    public const WOOZY_FACE = "\u{1F974}"; // 🥴  woozy face
    public const KNOCKED_OUT_FACE = "\u{1F635}"; // 😵  knocked-out face
    public const FACE_WITH_SPIRAL_EYES = "\u{1F635}\u{200D}\u{1F4AB}"; // 😵‍💫  face with spiral eyes
    public const EXPLODING_HEAD = "\u{1F92F}"; // 🤯  exploding head
    public const COWBOY_HAT_FACE = "\u{1F920}"; // 🤠  cowboy hat face
    public const PARTYING_FACE = "\u{1F973}"; // 🥳  partying face
    public const DISGUISED_FACE = "\u{1F978}"; // 🥸  disguised face
    public const SMILING_FACE_WITH_SUNGLASSES = "\u{1F60E}"; // 😎  smiling face with sunglasses
    public const NERD_FACE = "\u{1F913}"; // 🤓  nerd face
    public const FACE_WITH_MONOCLE = "\u{1F9D0}"; // 🧐  face with monocle
    public const CONFUSED_FACE = "\u{1F615}"; // 😕  confused face
    public const WORRIED_FACE = "\u{1F61F}"; // 😟  worried face
    public const SLIGHTLY_FROWNING_FACE = "\u{1F641}"; // 🙁  slightly frowning face
    public const FROWNING_FACE = "\u{2639}\u{FE0F}"; // ☹️  frowning face
    public const FACE_WITH_OPEN_MOUTH = "\u{1F62E}"; // 😮  face with open mouth
    public const HUSHED_FACE = "\u{1F62F}"; // 😯  hushed face
    public const ASTONISHED_FACE = "\u{1F632}"; // 😲  astonished face
    public const FLUSHED_FACE = "\u{1F633}"; // 😳  flushed face
    public const PLEADING_FACE = "\u{1F97A}"; // 🥺  pleading face
    public const FROWNING_FACE_WITH_OPEN_MOUTH = "\u{1F626}"; // 😦  frowning face with open mouth
    public const ANGUISHED_FACE = "\u{1F627}"; // 😧  anguished face
    public const FEARFUL_FACE = "\u{1F628}"; // 😨  fearful face
    public const ANXIOUS_FACE_WITH_SWEAT = "\u{1F630}"; // 😰  anxious face with sweat
    public const SAD_BUT_RELIEVED_FACE = "\u{1F625}"; // 😥  sad but relieved face
    public const CRYING_FACE = "\u{1F622}"; // 😢  crying face
    public const LOUDLY_CRYING_FACE = "\u{1F62D}"; // 😭  loudly crying face
    public const FACE_SCREAMING_IN_FEAR = "\u{1F631}"; // 😱  face screaming in fear
    public const CONFOUNDED_FACE = "\u{1F616}"; // 😖  confounded face
    public const PERSEVERING_FACE = "\u{1F623}"; // 😣  persevering face
    public const DISAPPOINTED_FACE = "\u{1F61E}"; // 😞  disappointed face
    public const DOWNCAST_FACE_WITH_SWEAT = "\u{1F613}"; // 😓  downcast face with sweat
    public const WEARY_FACE = "\u{1F629}"; // 😩  weary face
    public const TIRED_FACE = "\u{1F62B}"; // 😫  tired face
    public const YAWNING_FACE = "\u{1F971}"; // 🥱  yawning face
    public const FACE_WITH_STEAM_FROM_NOSE = "\u{1F624}"; // 😤  face with steam from nose
    public const POUTING_FACE = "\u{1F621}"; // 😡  pouting face
    public const ANGRY_FACE = "\u{1F620}"; // 😠  angry face
    public const FACE_WITH_SYMBOLS_ON_MOUTH = "\u{1F92C}"; // 🤬  face with symbols on mouth
    public const SMILING_FACE_WITH_HORNS = "\u{1F608}"; // 😈  smiling face with horns
    public const ANGRY_FACE_WITH_HORNS = "\u{1F47F}"; // 👿  angry face with horns
    public const SKULL = "\u{1F480}"; // 💀  skull
    public const SKULL_AND_CROSSBONES = "\u{2620}\u{FE0F}"; // ☠️  skull and crossbones
    public const PILE_OF_POO = "\u{1F4A9}"; // 💩  pile of poo
    public const CLOWN_FACE = "\u{1F921}"; // 🤡  clown face
    public const OGRE = "\u{1F479}"; // 👹  ogre
    public const GOBLIN = "\u{1F47A}"; // 👺  goblin
    public const GHOST = "\u{1F47B}"; // 👻  ghost
    public const ALIEN = "\u{1F47D}"; // 👽  alien
    public const ALIEN_MONSTER = "\u{1F47E}"; // 👾  alien monster
    public const ROBOT = "\u{1F916}"; // 🤖  robot
    public const GRINNING_CAT = "\u{1F63A}"; // 😺  grinning cat
    public const GRINNING_CAT_WITH_SMILING_EYES = "\u{1F638}"; // 😸  grinning cat with smiling eyes
    public const CAT_WITH_TEARS_OF_JOY = "\u{1F639}"; // 😹  cat with tears of joy
    public const SMILING_CAT_WITH_HEART_EYES = "\u{1F63B}"; // 😻  smiling cat with heart-eyes
    public const CAT_WITH_WRY_SMILE = "\u{1F63C}"; // 😼  cat with wry smile
    public const KISSING_CAT = "\u{1F63D}"; // 😽  kissing cat
    public const WEARY_CAT = "\u{1F640}"; // 🙀  weary cat
    public const CRYING_CAT = "\u{1F63F}"; // 😿  crying cat
    public const POUTING_CAT = "\u{1F63E}"; // 😾  pouting cat
    public const SEE_NO_EVIL_MONKEY = "\u{1F648}"; // 🙈  see-no-evil monkey
    public const HEAR_NO_EVIL_MONKEY = "\u{1F649}"; // 🙉  hear-no-evil monkey
    public const SPEAK_NO_EVIL_MONKEY = "\u{1F64A}"; // 🙊  speak-no-evil monkey
    public const KISS_MARK = "\u{1F48B}"; // 💋  kiss mark
    public const LOVE_LETTER = "\u{1F48C}"; // 💌  love letter
    public const HEART_WITH_ARROW = "\u{1F498}"; // 💘  heart with arrow
    public const HEART_WITH_RIBBON = "\u{1F49D}"; // 💝  heart with ribbon
    public const SPARKLING_HEART = "\u{1F496}"; // 💖  sparkling heart
    public const GROWING_HEART = "\u{1F497}"; // 💗  growing heart
    public const BEATING_HEART = "\u{1F493}"; // 💓  beating heart
    public const REVOLVING_HEARTS = "\u{1F49E}"; // 💞  revolving hearts
    public const TWO_HEARTS = "\u{1F495}"; // 💕  two hearts
    public const HEART_DECORATION = "\u{1F49F}"; // 💟  heart decoration
    public const HEART_EXCLAMATION = "\u{2763}\u{FE0F}"; // ❣️  heart exclamation
    public const BROKEN_HEART = "\u{1F494}"; // 💔  broken heart
    public const HEART_ON_FIRE = "\u{2764}\u{FE0F}\u{200D}\u{1F525}"; // ❤️‍🔥  heart on fire
    public const MENDING_HEART = "\u{2764}\u{FE0F}\u{200D}\u{1FA79}"; // ❤️‍🩹  mending heart
    public const RED_HEART = "\u{2764}\u{FE0F}"; // ❤️  red heart
    public const ORANGE_HEART = "\u{1F9E1}"; // 🧡  orange heart
    public const YELLOW_HEART = "\u{1F49B}"; // 💛  yellow heart
    public const GREEN_HEART = "\u{1F49A}"; // 💚  green heart
    public const BLUE_HEART = "\u{1F499}"; // 💙  blue heart
    public const PURPLE_HEART = "\u{1F49C}"; // 💜  purple heart
    public const BROWN_HEART = "\u{1F90E}"; // 🤎  brown heart
    public const BLACK_HEART = "\u{1F5A4}"; // 🖤  black heart
    public const WHITE_HEART = "\u{1F90D}"; // 🤍  white heart
    public const HUNDRED_POINTS = "\u{1F4AF}"; // 💯  hundred points
    public const ANGER_SYMBOL = "\u{1F4A2}"; // 💢  anger symbol
    public const COLLISION = "\u{1F4A5}"; // 💥  collision
    public const DIZZY = "\u{1F4AB}"; // 💫  dizzy
    public const SWEAT_DROPLETS = "\u{1F4A6}"; // 💦  sweat droplets
    public const DASHING_AWAY = "\u{1F4A8}"; // 💨  dashing away
    public const HOLE = "\u{1F573}\u{FE0F}"; // 🕳️  hole
    public const BOMB = "\u{1F4A3}"; // 💣  bomb
    public const SPEECH_BALLOON = "\u{1F4AC}"; // 💬  speech balloon
    public const EYE_IN_SPEECH_BUBBLE = "\u{1F441}\u{FE0F}\u{200D}\u{1F5E8}\u{FE0F}"; // 👁️‍🗨️  eye in speech bubble
    public const LEFT_SPEECH_BUBBLE = "\u{1F5E8}\u{FE0F}"; // 🗨️  left speech bubble
    public const RIGHT_ANGER_BUBBLE = "\u{1F5EF}\u{FE0F}"; // 🗯️  right anger bubble
    public const THOUGHT_BALLOON = "\u{1F4AD}"; // 💭  thought balloon
    public const ZZZ = "\u{1F4A4}"; // 💤  zzz
    public const WAVING_HAND = "\u{1F44B}"; // 👋  waving hand
    public const WAVING_HAND_LIGHT_SKIN_TONE = "\u{1F44B}\u{1F3FB}"; // 👋🏻  waving hand: light skin tone
    public const WAVING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44B}\u{1F3FC}"; // 👋🏼  waving hand: medium-light skin tone
    public const WAVING_HAND_MEDIUM_SKIN_TONE = "\u{1F44B}\u{1F3FD}"; // 👋🏽  waving hand: medium skin tone
    public const WAVING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F44B}\u{1F3FE}"; // 👋🏾  waving hand: medium-dark skin tone
    public const WAVING_HAND_DARK_SKIN_TONE = "\u{1F44B}\u{1F3FF}"; // 👋🏿  waving hand: dark skin tone
    public const RAISED_BACK_OF_HAND = "\u{1F91A}"; // 🤚  raised back of hand
    public const RAISED_BACK_OF_HAND_LIGHT_SKIN_TONE = "\u{1F91A}\u{1F3FB}"; // 🤚🏻  raised back of hand: light skin tone
    public const RAISED_BACK_OF_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F91A}\u{1F3FC}"; // 🤚🏼  raised back of hand: medium-light skin tone
    public const RAISED_BACK_OF_HAND_MEDIUM_SKIN_TONE = "\u{1F91A}\u{1F3FD}"; // 🤚🏽  raised back of hand: medium skin tone
    public const RAISED_BACK_OF_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F91A}\u{1F3FE}"; // 🤚🏾  raised back of hand: medium-dark skin tone
    public const RAISED_BACK_OF_HAND_DARK_SKIN_TONE = "\u{1F91A}\u{1F3FF}"; // 🤚🏿  raised back of hand: dark skin tone
    public const HAND_WITH_FINGERS_SPLAYED = "\u{1F590}\u{FE0F}"; // 🖐️  hand with fingers splayed
    public const HAND_WITH_FINGERS_SPLAYED_LIGHT_SKIN_TONE = "\u{1F590}\u{1F3FB}"; // 🖐🏻  hand with fingers splayed: light skin tone
    public const HAND_WITH_FINGERS_SPLAYED_MEDIUM_LIGHT_SKIN_TONE = "\u{1F590}\u{1F3FC}"; // 🖐🏼  hand with fingers splayed: medium-light skin tone
    public const HAND_WITH_FINGERS_SPLAYED_MEDIUM_SKIN_TONE = "\u{1F590}\u{1F3FD}"; // 🖐🏽  hand with fingers splayed: medium skin tone
    public const HAND_WITH_FINGERS_SPLAYED_MEDIUM_DARK_SKIN_TONE = "\u{1F590}\u{1F3FE}"; // 🖐🏾  hand with fingers splayed: medium-dark skin tone
    public const HAND_WITH_FINGERS_SPLAYED_DARK_SKIN_TONE = "\u{1F590}\u{1F3FF}"; // 🖐🏿  hand with fingers splayed: dark skin tone
    public const RAISED_HAND = "\u{270B}"; // ✋  raised hand
    public const RAISED_HAND_LIGHT_SKIN_TONE = "\u{270B}\u{1F3FB}"; // ✋🏻  raised hand: light skin tone
    public const RAISED_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{270B}\u{1F3FC}"; // ✋🏼  raised hand: medium-light skin tone
    public const RAISED_HAND_MEDIUM_SKIN_TONE = "\u{270B}\u{1F3FD}"; // ✋🏽  raised hand: medium skin tone
    public const RAISED_HAND_MEDIUM_DARK_SKIN_TONE = "\u{270B}\u{1F3FE}"; // ✋🏾  raised hand: medium-dark skin tone
    public const RAISED_HAND_DARK_SKIN_TONE = "\u{270B}\u{1F3FF}"; // ✋🏿  raised hand: dark skin tone
    public const VULCAN_SALUTE = "\u{1F596}"; // 🖖  vulcan salute
    public const VULCAN_SALUTE_LIGHT_SKIN_TONE = "\u{1F596}\u{1F3FB}"; // 🖖🏻  vulcan salute: light skin tone
    public const VULCAN_SALUTE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F596}\u{1F3FC}"; // 🖖🏼  vulcan salute: medium-light skin tone
    public const VULCAN_SALUTE_MEDIUM_SKIN_TONE = "\u{1F596}\u{1F3FD}"; // 🖖🏽  vulcan salute: medium skin tone
    public const VULCAN_SALUTE_MEDIUM_DARK_SKIN_TONE = "\u{1F596}\u{1F3FE}"; // 🖖🏾  vulcan salute: medium-dark skin tone
    public const VULCAN_SALUTE_DARK_SKIN_TONE = "\u{1F596}\u{1F3FF}"; // 🖖🏿  vulcan salute: dark skin tone
    public const OK_HAND = "\u{1F44C}"; // 👌  OK hand
    public const OK_HAND_LIGHT_SKIN_TONE = "\u{1F44C}\u{1F3FB}"; // 👌🏻  OK hand: light skin tone
    public const OK_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44C}\u{1F3FC}"; // 👌🏼  OK hand: medium-light skin tone
    public const OK_HAND_MEDIUM_SKIN_TONE = "\u{1F44C}\u{1F3FD}"; // 👌🏽  OK hand: medium skin tone
    public const OK_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F44C}\u{1F3FE}"; // 👌🏾  OK hand: medium-dark skin tone
    public const OK_HAND_DARK_SKIN_TONE = "\u{1F44C}\u{1F3FF}"; // 👌🏿  OK hand: dark skin tone
    public const PINCHED_FINGERS = "\u{1F90C}"; // 🤌  pinched fingers
    public const PINCHED_FINGERS_LIGHT_SKIN_TONE = "\u{1F90C}\u{1F3FB}"; // 🤌🏻  pinched fingers: light skin tone
    public const PINCHED_FINGERS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F90C}\u{1F3FC}"; // 🤌🏼  pinched fingers: medium-light skin tone
    public const PINCHED_FINGERS_MEDIUM_SKIN_TONE = "\u{1F90C}\u{1F3FD}"; // 🤌🏽  pinched fingers: medium skin tone
    public const PINCHED_FINGERS_MEDIUM_DARK_SKIN_TONE = "\u{1F90C}\u{1F3FE}"; // 🤌🏾  pinched fingers: medium-dark skin tone
    public const PINCHED_FINGERS_DARK_SKIN_TONE = "\u{1F90C}\u{1F3FF}"; // 🤌🏿  pinched fingers: dark skin tone
    public const PINCHING_HAND = "\u{1F90F}"; // 🤏  pinching hand
    public const PINCHING_HAND_LIGHT_SKIN_TONE = "\u{1F90F}\u{1F3FB}"; // 🤏🏻  pinching hand: light skin tone
    public const PINCHING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F90F}\u{1F3FC}"; // 🤏🏼  pinching hand: medium-light skin tone
    public const PINCHING_HAND_MEDIUM_SKIN_TONE = "\u{1F90F}\u{1F3FD}"; // 🤏🏽  pinching hand: medium skin tone
    public const PINCHING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F90F}\u{1F3FE}"; // 🤏🏾  pinching hand: medium-dark skin tone
    public const PINCHING_HAND_DARK_SKIN_TONE = "\u{1F90F}\u{1F3FF}"; // 🤏🏿  pinching hand: dark skin tone
    public const VICTORY_HAND = "\u{270C}\u{FE0F}"; // ✌️  victory hand
    public const VICTORY_HAND_LIGHT_SKIN_TONE = "\u{270C}\u{1F3FB}"; // ✌🏻  victory hand: light skin tone
    public const VICTORY_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{270C}\u{1F3FC}"; // ✌🏼  victory hand: medium-light skin tone
    public const VICTORY_HAND_MEDIUM_SKIN_TONE = "\u{270C}\u{1F3FD}"; // ✌🏽  victory hand: medium skin tone
    public const VICTORY_HAND_MEDIUM_DARK_SKIN_TONE = "\u{270C}\u{1F3FE}"; // ✌🏾  victory hand: medium-dark skin tone
    public const VICTORY_HAND_DARK_SKIN_TONE = "\u{270C}\u{1F3FF}"; // ✌🏿  victory hand: dark skin tone
    public const CROSSED_FINGERS = "\u{1F91E}"; // 🤞  crossed fingers
    public const CROSSED_FINGERS_LIGHT_SKIN_TONE = "\u{1F91E}\u{1F3FB}"; // 🤞🏻  crossed fingers: light skin tone
    public const CROSSED_FINGERS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F91E}\u{1F3FC}"; // 🤞🏼  crossed fingers: medium-light skin tone
    public const CROSSED_FINGERS_MEDIUM_SKIN_TONE = "\u{1F91E}\u{1F3FD}"; // 🤞🏽  crossed fingers: medium skin tone
    public const CROSSED_FINGERS_MEDIUM_DARK_SKIN_TONE = "\u{1F91E}\u{1F3FE}"; // 🤞🏾  crossed fingers: medium-dark skin tone
    public const CROSSED_FINGERS_DARK_SKIN_TONE = "\u{1F91E}\u{1F3FF}"; // 🤞🏿  crossed fingers: dark skin tone
    public const LOVE_YOU_GESTURE = "\u{1F91F}"; // 🤟  love-you gesture
    public const LOVE_YOU_GESTURE_LIGHT_SKIN_TONE = "\u{1F91F}\u{1F3FB}"; // 🤟🏻  love-you gesture: light skin tone
    public const LOVE_YOU_GESTURE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F91F}\u{1F3FC}"; // 🤟🏼  love-you gesture: medium-light skin tone
    public const LOVE_YOU_GESTURE_MEDIUM_SKIN_TONE = "\u{1F91F}\u{1F3FD}"; // 🤟🏽  love-you gesture: medium skin tone
    public const LOVE_YOU_GESTURE_MEDIUM_DARK_SKIN_TONE = "\u{1F91F}\u{1F3FE}"; // 🤟🏾  love-you gesture: medium-dark skin tone
    public const LOVE_YOU_GESTURE_DARK_SKIN_TONE = "\u{1F91F}\u{1F3FF}"; // 🤟🏿  love-you gesture: dark skin tone
    public const SIGN_OF_THE_HORNS = "\u{1F918}"; // 🤘  sign of the horns
    public const SIGN_OF_THE_HORNS_LIGHT_SKIN_TONE = "\u{1F918}\u{1F3FB}"; // 🤘🏻  sign of the horns: light skin tone
    public const SIGN_OF_THE_HORNS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F918}\u{1F3FC}"; // 🤘🏼  sign of the horns: medium-light skin tone
    public const SIGN_OF_THE_HORNS_MEDIUM_SKIN_TONE = "\u{1F918}\u{1F3FD}"; // 🤘🏽  sign of the horns: medium skin tone
    public const SIGN_OF_THE_HORNS_MEDIUM_DARK_SKIN_TONE = "\u{1F918}\u{1F3FE}"; // 🤘🏾  sign of the horns: medium-dark skin tone
    public const SIGN_OF_THE_HORNS_DARK_SKIN_TONE = "\u{1F918}\u{1F3FF}"; // 🤘🏿  sign of the horns: dark skin tone
    public const CALL_ME_HAND = "\u{1F919}"; // 🤙  call me hand
    public const CALL_ME_HAND_LIGHT_SKIN_TONE = "\u{1F919}\u{1F3FB}"; // 🤙🏻  call me hand: light skin tone
    public const CALL_ME_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F919}\u{1F3FC}"; // 🤙🏼  call me hand: medium-light skin tone
    public const CALL_ME_HAND_MEDIUM_SKIN_TONE = "\u{1F919}\u{1F3FD}"; // 🤙🏽  call me hand: medium skin tone
    public const CALL_ME_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F919}\u{1F3FE}"; // 🤙🏾  call me hand: medium-dark skin tone
    public const CALL_ME_HAND_DARK_SKIN_TONE = "\u{1F919}\u{1F3FF}"; // 🤙🏿  call me hand: dark skin tone
    public const BACKHAND_INDEX_POINTING_LEFT = "\u{1F448}"; // 👈  backhand index pointing left
    public const BACKHAND_INDEX_POINTING_LEFT_LIGHT_SKIN_TONE = "\u{1F448}\u{1F3FB}"; // 👈🏻  backhand index pointing left: light skin tone
    public const BACKHAND_INDEX_POINTING_LEFT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F448}\u{1F3FC}"; // 👈🏼  backhand index pointing left: medium-light skin tone
    public const BACKHAND_INDEX_POINTING_LEFT_MEDIUM_SKIN_TONE = "\u{1F448}\u{1F3FD}"; // 👈🏽  backhand index pointing left: medium skin tone
    public const BACKHAND_INDEX_POINTING_LEFT_MEDIUM_DARK_SKIN_TONE = "\u{1F448}\u{1F3FE}"; // 👈🏾  backhand index pointing left: medium-dark skin tone
    public const BACKHAND_INDEX_POINTING_LEFT_DARK_SKIN_TONE = "\u{1F448}\u{1F3FF}"; // 👈🏿  backhand index pointing left: dark skin tone
    public const BACKHAND_INDEX_POINTING_RIGHT = "\u{1F449}"; // 👉  backhand index pointing right
    public const BACKHAND_INDEX_POINTING_RIGHT_LIGHT_SKIN_TONE = "\u{1F449}\u{1F3FB}"; // 👉🏻  backhand index pointing right: light skin tone
    public const BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F449}\u{1F3FC}"; // 👉🏼  backhand index pointing right: medium-light skin tone
    public const BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_SKIN_TONE = "\u{1F449}\u{1F3FD}"; // 👉🏽  backhand index pointing right: medium skin tone
    public const BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_DARK_SKIN_TONE = "\u{1F449}\u{1F3FE}"; // 👉🏾  backhand index pointing right: medium-dark skin tone
    public const BACKHAND_INDEX_POINTING_RIGHT_DARK_SKIN_TONE = "\u{1F449}\u{1F3FF}"; // 👉🏿  backhand index pointing right: dark skin tone
    public const BACKHAND_INDEX_POINTING_UP = "\u{1F446}"; // 👆  backhand index pointing up
    public const BACKHAND_INDEX_POINTING_UP_LIGHT_SKIN_TONE = "\u{1F446}\u{1F3FB}"; // 👆🏻  backhand index pointing up: light skin tone
    public const BACKHAND_INDEX_POINTING_UP_MEDIUM_LIGHT_SKIN_TONE = "\u{1F446}\u{1F3FC}"; // 👆🏼  backhand index pointing up: medium-light skin tone
    public const BACKHAND_INDEX_POINTING_UP_MEDIUM_SKIN_TONE = "\u{1F446}\u{1F3FD}"; // 👆🏽  backhand index pointing up: medium skin tone
    public const BACKHAND_INDEX_POINTING_UP_MEDIUM_DARK_SKIN_TONE = "\u{1F446}\u{1F3FE}"; // 👆🏾  backhand index pointing up: medium-dark skin tone
    public const BACKHAND_INDEX_POINTING_UP_DARK_SKIN_TONE = "\u{1F446}\u{1F3FF}"; // 👆🏿  backhand index pointing up: dark skin tone
    public const MIDDLE_FINGER = "\u{1F595}"; // 🖕  middle finger
    public const MIDDLE_FINGER_LIGHT_SKIN_TONE = "\u{1F595}\u{1F3FB}"; // 🖕🏻  middle finger: light skin tone
    public const MIDDLE_FINGER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F595}\u{1F3FC}"; // 🖕🏼  middle finger: medium-light skin tone
    public const MIDDLE_FINGER_MEDIUM_SKIN_TONE = "\u{1F595}\u{1F3FD}"; // 🖕🏽  middle finger: medium skin tone
    public const MIDDLE_FINGER_MEDIUM_DARK_SKIN_TONE = "\u{1F595}\u{1F3FE}"; // 🖕🏾  middle finger: medium-dark skin tone
    public const MIDDLE_FINGER_DARK_SKIN_TONE = "\u{1F595}\u{1F3FF}"; // 🖕🏿  middle finger: dark skin tone
    public const BACKHAND_INDEX_POINTING_DOWN = "\u{1F447}"; // 👇  backhand index pointing down
    public const BACKHAND_INDEX_POINTING_DOWN_LIGHT_SKIN_TONE = "\u{1F447}\u{1F3FB}"; // 👇🏻  backhand index pointing down: light skin tone
    public const BACKHAND_INDEX_POINTING_DOWN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F447}\u{1F3FC}"; // 👇🏼  backhand index pointing down: medium-light skin tone
    public const BACKHAND_INDEX_POINTING_DOWN_MEDIUM_SKIN_TONE = "\u{1F447}\u{1F3FD}"; // 👇🏽  backhand index pointing down: medium skin tone
    public const BACKHAND_INDEX_POINTING_DOWN_MEDIUM_DARK_SKIN_TONE = "\u{1F447}\u{1F3FE}"; // 👇🏾  backhand index pointing down: medium-dark skin tone
    public const BACKHAND_INDEX_POINTING_DOWN_DARK_SKIN_TONE = "\u{1F447}\u{1F3FF}"; // 👇🏿  backhand index pointing down: dark skin tone
    public const INDEX_POINTING_UP = "\u{261D}\u{FE0F}"; // ☝️  index pointing up
    public const INDEX_POINTING_UP_LIGHT_SKIN_TONE = "\u{261D}\u{1F3FB}"; // ☝🏻  index pointing up: light skin tone
    public const INDEX_POINTING_UP_MEDIUM_LIGHT_SKIN_TONE = "\u{261D}\u{1F3FC}"; // ☝🏼  index pointing up: medium-light skin tone
    public const INDEX_POINTING_UP_MEDIUM_SKIN_TONE = "\u{261D}\u{1F3FD}"; // ☝🏽  index pointing up: medium skin tone
    public const INDEX_POINTING_UP_MEDIUM_DARK_SKIN_TONE = "\u{261D}\u{1F3FE}"; // ☝🏾  index pointing up: medium-dark skin tone
    public const INDEX_POINTING_UP_DARK_SKIN_TONE = "\u{261D}\u{1F3FF}"; // ☝🏿  index pointing up: dark skin tone
    public const THUMBS_UP = "\u{1F44D}"; // 👍  thumbs up
    public const THUMBS_UP_LIGHT_SKIN_TONE = "\u{1F44D}\u{1F3FB}"; // 👍🏻  thumbs up: light skin tone
    public const THUMBS_UP_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44D}\u{1F3FC}"; // 👍🏼  thumbs up: medium-light skin tone
    public const THUMBS_UP_MEDIUM_SKIN_TONE = "\u{1F44D}\u{1F3FD}"; // 👍🏽  thumbs up: medium skin tone
    public const THUMBS_UP_MEDIUM_DARK_SKIN_TONE = "\u{1F44D}\u{1F3FE}"; // 👍🏾  thumbs up: medium-dark skin tone
    public const THUMBS_UP_DARK_SKIN_TONE = "\u{1F44D}\u{1F3FF}"; // 👍🏿  thumbs up: dark skin tone
    public const THUMBS_DOWN = "\u{1F44E}"; // 👎  thumbs down
    public const THUMBS_DOWN_LIGHT_SKIN_TONE = "\u{1F44E}\u{1F3FB}"; // 👎🏻  thumbs down: light skin tone
    public const THUMBS_DOWN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44E}\u{1F3FC}"; // 👎🏼  thumbs down: medium-light skin tone
    public const THUMBS_DOWN_MEDIUM_SKIN_TONE = "\u{1F44E}\u{1F3FD}"; // 👎🏽  thumbs down: medium skin tone
    public const THUMBS_DOWN_MEDIUM_DARK_SKIN_TONE = "\u{1F44E}\u{1F3FE}"; // 👎🏾  thumbs down: medium-dark skin tone
    public const THUMBS_DOWN_DARK_SKIN_TONE = "\u{1F44E}\u{1F3FF}"; // 👎🏿  thumbs down: dark skin tone
    public const RAISED_FIST = "\u{270A}"; // ✊  raised fist
    public const RAISED_FIST_LIGHT_SKIN_TONE = "\u{270A}\u{1F3FB}"; // ✊🏻  raised fist: light skin tone
    public const RAISED_FIST_MEDIUM_LIGHT_SKIN_TONE = "\u{270A}\u{1F3FC}"; // ✊🏼  raised fist: medium-light skin tone
    public const RAISED_FIST_MEDIUM_SKIN_TONE = "\u{270A}\u{1F3FD}"; // ✊🏽  raised fist: medium skin tone
    public const RAISED_FIST_MEDIUM_DARK_SKIN_TONE = "\u{270A}\u{1F3FE}"; // ✊🏾  raised fist: medium-dark skin tone
    public const RAISED_FIST_DARK_SKIN_TONE = "\u{270A}\u{1F3FF}"; // ✊🏿  raised fist: dark skin tone
    public const ONCOMING_FIST = "\u{1F44A}"; // 👊  oncoming fist
    public const ONCOMING_FIST_LIGHT_SKIN_TONE = "\u{1F44A}\u{1F3FB}"; // 👊🏻  oncoming fist: light skin tone
    public const ONCOMING_FIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44A}\u{1F3FC}"; // 👊🏼  oncoming fist: medium-light skin tone
    public const ONCOMING_FIST_MEDIUM_SKIN_TONE = "\u{1F44A}\u{1F3FD}"; // 👊🏽  oncoming fist: medium skin tone
    public const ONCOMING_FIST_MEDIUM_DARK_SKIN_TONE = "\u{1F44A}\u{1F3FE}"; // 👊🏾  oncoming fist: medium-dark skin tone
    public const ONCOMING_FIST_DARK_SKIN_TONE = "\u{1F44A}\u{1F3FF}"; // 👊🏿  oncoming fist: dark skin tone
    public const LEFT_FACING_FIST = "\u{1F91B}"; // 🤛  left-facing fist
    public const LEFT_FACING_FIST_LIGHT_SKIN_TONE = "\u{1F91B}\u{1F3FB}"; // 🤛🏻  left-facing fist: light skin tone
    public const LEFT_FACING_FIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F91B}\u{1F3FC}"; // 🤛🏼  left-facing fist: medium-light skin tone
    public const LEFT_FACING_FIST_MEDIUM_SKIN_TONE = "\u{1F91B}\u{1F3FD}"; // 🤛🏽  left-facing fist: medium skin tone
    public const LEFT_FACING_FIST_MEDIUM_DARK_SKIN_TONE = "\u{1F91B}\u{1F3FE}"; // 🤛🏾  left-facing fist: medium-dark skin tone
    public const LEFT_FACING_FIST_DARK_SKIN_TONE = "\u{1F91B}\u{1F3FF}"; // 🤛🏿  left-facing fist: dark skin tone
    public const RIGHT_FACING_FIST = "\u{1F91C}"; // 🤜  right-facing fist
    public const RIGHT_FACING_FIST_LIGHT_SKIN_TONE = "\u{1F91C}\u{1F3FB}"; // 🤜🏻  right-facing fist: light skin tone
    public const RIGHT_FACING_FIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F91C}\u{1F3FC}"; // 🤜🏼  right-facing fist: medium-light skin tone
    public const RIGHT_FACING_FIST_MEDIUM_SKIN_TONE = "\u{1F91C}\u{1F3FD}"; // 🤜🏽  right-facing fist: medium skin tone
    public const RIGHT_FACING_FIST_MEDIUM_DARK_SKIN_TONE = "\u{1F91C}\u{1F3FE}"; // 🤜🏾  right-facing fist: medium-dark skin tone
    public const RIGHT_FACING_FIST_DARK_SKIN_TONE = "\u{1F91C}\u{1F3FF}"; // 🤜🏿  right-facing fist: dark skin tone
    public const CLAPPING_HANDS = "\u{1F44F}"; // 👏  clapping hands
    public const CLAPPING_HANDS_LIGHT_SKIN_TONE = "\u{1F44F}\u{1F3FB}"; // 👏🏻  clapping hands: light skin tone
    public const CLAPPING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F44F}\u{1F3FC}"; // 👏🏼  clapping hands: medium-light skin tone
    public const CLAPPING_HANDS_MEDIUM_SKIN_TONE = "\u{1F44F}\u{1F3FD}"; // 👏🏽  clapping hands: medium skin tone
    public const CLAPPING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F44F}\u{1F3FE}"; // 👏🏾  clapping hands: medium-dark skin tone
    public const CLAPPING_HANDS_DARK_SKIN_TONE = "\u{1F44F}\u{1F3FF}"; // 👏🏿  clapping hands: dark skin tone
    public const RAISING_HANDS = "\u{1F64C}"; // 🙌  raising hands
    public const RAISING_HANDS_LIGHT_SKIN_TONE = "\u{1F64C}\u{1F3FB}"; // 🙌🏻  raising hands: light skin tone
    public const RAISING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64C}\u{1F3FC}"; // 🙌🏼  raising hands: medium-light skin tone
    public const RAISING_HANDS_MEDIUM_SKIN_TONE = "\u{1F64C}\u{1F3FD}"; // 🙌🏽  raising hands: medium skin tone
    public const RAISING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F64C}\u{1F3FE}"; // 🙌🏾  raising hands: medium-dark skin tone
    public const RAISING_HANDS_DARK_SKIN_TONE = "\u{1F64C}\u{1F3FF}"; // 🙌🏿  raising hands: dark skin tone
    public const OPEN_HANDS = "\u{1F450}"; // 👐  open hands
    public const OPEN_HANDS_LIGHT_SKIN_TONE = "\u{1F450}\u{1F3FB}"; // 👐🏻  open hands: light skin tone
    public const OPEN_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F450}\u{1F3FC}"; // 👐🏼  open hands: medium-light skin tone
    public const OPEN_HANDS_MEDIUM_SKIN_TONE = "\u{1F450}\u{1F3FD}"; // 👐🏽  open hands: medium skin tone
    public const OPEN_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F450}\u{1F3FE}"; // 👐🏾  open hands: medium-dark skin tone
    public const OPEN_HANDS_DARK_SKIN_TONE = "\u{1F450}\u{1F3FF}"; // 👐🏿  open hands: dark skin tone
    public const PALMS_UP_TOGETHER = "\u{1F932}"; // 🤲  palms up together
    public const PALMS_UP_TOGETHER_LIGHT_SKIN_TONE = "\u{1F932}\u{1F3FB}"; // 🤲🏻  palms up together: light skin tone
    public const PALMS_UP_TOGETHER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F932}\u{1F3FC}"; // 🤲🏼  palms up together: medium-light skin tone
    public const PALMS_UP_TOGETHER_MEDIUM_SKIN_TONE = "\u{1F932}\u{1F3FD}"; // 🤲🏽  palms up together: medium skin tone
    public const PALMS_UP_TOGETHER_MEDIUM_DARK_SKIN_TONE = "\u{1F932}\u{1F3FE}"; // 🤲🏾  palms up together: medium-dark skin tone
    public const PALMS_UP_TOGETHER_DARK_SKIN_TONE = "\u{1F932}\u{1F3FF}"; // 🤲🏿  palms up together: dark skin tone
    public const HANDSHAKE = "\u{1F91D}"; // 🤝  handshake
    public const FOLDED_HANDS = "\u{1F64F}"; // 🙏  folded hands
    public const FOLDED_HANDS_LIGHT_SKIN_TONE = "\u{1F64F}\u{1F3FB}"; // 🙏🏻  folded hands: light skin tone
    public const FOLDED_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64F}\u{1F3FC}"; // 🙏🏼  folded hands: medium-light skin tone
    public const FOLDED_HANDS_MEDIUM_SKIN_TONE = "\u{1F64F}\u{1F3FD}"; // 🙏🏽  folded hands: medium skin tone
    public const FOLDED_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F64F}\u{1F3FE}"; // 🙏🏾  folded hands: medium-dark skin tone
    public const FOLDED_HANDS_DARK_SKIN_TONE = "\u{1F64F}\u{1F3FF}"; // 🙏🏿  folded hands: dark skin tone
    public const WRITING_HAND = "\u{270D}\u{FE0F}"; // ✍️  writing hand
    public const WRITING_HAND_LIGHT_SKIN_TONE = "\u{270D}\u{1F3FB}"; // ✍🏻  writing hand: light skin tone
    public const WRITING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{270D}\u{1F3FC}"; // ✍🏼  writing hand: medium-light skin tone
    public const WRITING_HAND_MEDIUM_SKIN_TONE = "\u{270D}\u{1F3FD}"; // ✍🏽  writing hand: medium skin tone
    public const WRITING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{270D}\u{1F3FE}"; // ✍🏾  writing hand: medium-dark skin tone
    public const WRITING_HAND_DARK_SKIN_TONE = "\u{270D}\u{1F3FF}"; // ✍🏿  writing hand: dark skin tone
    public const NAIL_POLISH = "\u{1F485}"; // 💅  nail polish
    public const NAIL_POLISH_LIGHT_SKIN_TONE = "\u{1F485}\u{1F3FB}"; // 💅🏻  nail polish: light skin tone
    public const NAIL_POLISH_MEDIUM_LIGHT_SKIN_TONE = "\u{1F485}\u{1F3FC}"; // 💅🏼  nail polish: medium-light skin tone
    public const NAIL_POLISH_MEDIUM_SKIN_TONE = "\u{1F485}\u{1F3FD}"; // 💅🏽  nail polish: medium skin tone
    public const NAIL_POLISH_MEDIUM_DARK_SKIN_TONE = "\u{1F485}\u{1F3FE}"; // 💅🏾  nail polish: medium-dark skin tone
    public const NAIL_POLISH_DARK_SKIN_TONE = "\u{1F485}\u{1F3FF}"; // 💅🏿  nail polish: dark skin tone
    public const SELFIE = "\u{1F933}"; // 🤳  selfie
    public const SELFIE_LIGHT_SKIN_TONE = "\u{1F933}\u{1F3FB}"; // 🤳🏻  selfie: light skin tone
    public const SELFIE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F933}\u{1F3FC}"; // 🤳🏼  selfie: medium-light skin tone
    public const SELFIE_MEDIUM_SKIN_TONE = "\u{1F933}\u{1F3FD}"; // 🤳🏽  selfie: medium skin tone
    public const SELFIE_MEDIUM_DARK_SKIN_TONE = "\u{1F933}\u{1F3FE}"; // 🤳🏾  selfie: medium-dark skin tone
    public const SELFIE_DARK_SKIN_TONE = "\u{1F933}\u{1F3FF}"; // 🤳🏿  selfie: dark skin tone
    public const FLEXED_BICEPS = "\u{1F4AA}"; // 💪  flexed biceps
    public const FLEXED_BICEPS_LIGHT_SKIN_TONE = "\u{1F4AA}\u{1F3FB}"; // 💪🏻  flexed biceps: light skin tone
    public const FLEXED_BICEPS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F4AA}\u{1F3FC}"; // 💪🏼  flexed biceps: medium-light skin tone
    public const FLEXED_BICEPS_MEDIUM_SKIN_TONE = "\u{1F4AA}\u{1F3FD}"; // 💪🏽  flexed biceps: medium skin tone
    public const FLEXED_BICEPS_MEDIUM_DARK_SKIN_TONE = "\u{1F4AA}\u{1F3FE}"; // 💪🏾  flexed biceps: medium-dark skin tone
    public const FLEXED_BICEPS_DARK_SKIN_TONE = "\u{1F4AA}\u{1F3FF}"; // 💪🏿  flexed biceps: dark skin tone
    public const MECHANICAL_ARM = "\u{1F9BE}"; // 🦾  mechanical arm
    public const MECHANICAL_LEG = "\u{1F9BF}"; // 🦿  mechanical leg
    public const LEG = "\u{1F9B5}"; // 🦵  leg
    public const LEG_LIGHT_SKIN_TONE = "\u{1F9B5}\u{1F3FB}"; // 🦵🏻  leg: light skin tone
    public const LEG_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B5}\u{1F3FC}"; // 🦵🏼  leg: medium-light skin tone
    public const LEG_MEDIUM_SKIN_TONE = "\u{1F9B5}\u{1F3FD}"; // 🦵🏽  leg: medium skin tone
    public const LEG_MEDIUM_DARK_SKIN_TONE = "\u{1F9B5}\u{1F3FE}"; // 🦵🏾  leg: medium-dark skin tone
    public const LEG_DARK_SKIN_TONE = "\u{1F9B5}\u{1F3FF}"; // 🦵🏿  leg: dark skin tone
    public const FOOT = "\u{1F9B6}"; // 🦶  foot
    public const FOOT_LIGHT_SKIN_TONE = "\u{1F9B6}\u{1F3FB}"; // 🦶🏻  foot: light skin tone
    public const FOOT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B6}\u{1F3FC}"; // 🦶🏼  foot: medium-light skin tone
    public const FOOT_MEDIUM_SKIN_TONE = "\u{1F9B6}\u{1F3FD}"; // 🦶🏽  foot: medium skin tone
    public const FOOT_MEDIUM_DARK_SKIN_TONE = "\u{1F9B6}\u{1F3FE}"; // 🦶🏾  foot: medium-dark skin tone
    public const FOOT_DARK_SKIN_TONE = "\u{1F9B6}\u{1F3FF}"; // 🦶🏿  foot: dark skin tone
    public const EAR = "\u{1F442}"; // 👂  ear
    public const EAR_LIGHT_SKIN_TONE = "\u{1F442}\u{1F3FB}"; // 👂🏻  ear: light skin tone
    public const EAR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F442}\u{1F3FC}"; // 👂🏼  ear: medium-light skin tone
    public const EAR_MEDIUM_SKIN_TONE = "\u{1F442}\u{1F3FD}"; // 👂🏽  ear: medium skin tone
    public const EAR_MEDIUM_DARK_SKIN_TONE = "\u{1F442}\u{1F3FE}"; // 👂🏾  ear: medium-dark skin tone
    public const EAR_DARK_SKIN_TONE = "\u{1F442}\u{1F3FF}"; // 👂🏿  ear: dark skin tone
    public const EAR_WITH_HEARING_AID = "\u{1F9BB}"; // 🦻  ear with hearing aid
    public const EAR_WITH_HEARING_AID_LIGHT_SKIN_TONE = "\u{1F9BB}\u{1F3FB}"; // 🦻🏻  ear with hearing aid: light skin tone
    public const EAR_WITH_HEARING_AID_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9BB}\u{1F3FC}"; // 🦻🏼  ear with hearing aid: medium-light skin tone
    public const EAR_WITH_HEARING_AID_MEDIUM_SKIN_TONE = "\u{1F9BB}\u{1F3FD}"; // 🦻🏽  ear with hearing aid: medium skin tone
    public const EAR_WITH_HEARING_AID_MEDIUM_DARK_SKIN_TONE = "\u{1F9BB}\u{1F3FE}"; // 🦻🏾  ear with hearing aid: medium-dark skin tone
    public const EAR_WITH_HEARING_AID_DARK_SKIN_TONE = "\u{1F9BB}\u{1F3FF}"; // 🦻🏿  ear with hearing aid: dark skin tone
    public const NOSE = "\u{1F443}"; // 👃  nose
    public const NOSE_LIGHT_SKIN_TONE = "\u{1F443}\u{1F3FB}"; // 👃🏻  nose: light skin tone
    public const NOSE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F443}\u{1F3FC}"; // 👃🏼  nose: medium-light skin tone
    public const NOSE_MEDIUM_SKIN_TONE = "\u{1F443}\u{1F3FD}"; // 👃🏽  nose: medium skin tone
    public const NOSE_MEDIUM_DARK_SKIN_TONE = "\u{1F443}\u{1F3FE}"; // 👃🏾  nose: medium-dark skin tone
    public const NOSE_DARK_SKIN_TONE = "\u{1F443}\u{1F3FF}"; // 👃🏿  nose: dark skin tone
    public const BRAIN = "\u{1F9E0}"; // 🧠  brain
    public const ANATOMICAL_HEART = "\u{1FAC0}"; // 🫀  anatomical heart
    public const LUNGS = "\u{1FAC1}"; // 🫁  lungs
    public const TOOTH = "\u{1F9B7}"; // 🦷  tooth
    public const BONE = "\u{1F9B4}"; // 🦴  bone
    public const EYES = "\u{1F440}"; // 👀  eyes
    public const EYE = "\u{1F441}\u{FE0F}"; // 👁️  eye
    public const TONGUE = "\u{1F445}"; // 👅  tongue
    public const MOUTH = "\u{1F444}"; // 👄  mouth
    public const BABY = "\u{1F476}"; // 👶  baby
    public const BABY_LIGHT_SKIN_TONE = "\u{1F476}\u{1F3FB}"; // 👶🏻  baby: light skin tone
    public const BABY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F476}\u{1F3FC}"; // 👶🏼  baby: medium-light skin tone
    public const BABY_MEDIUM_SKIN_TONE = "\u{1F476}\u{1F3FD}"; // 👶🏽  baby: medium skin tone
    public const BABY_MEDIUM_DARK_SKIN_TONE = "\u{1F476}\u{1F3FE}"; // 👶🏾  baby: medium-dark skin tone
    public const BABY_DARK_SKIN_TONE = "\u{1F476}\u{1F3FF}"; // 👶🏿  baby: dark skin tone
    public const CHILD = "\u{1F9D2}"; // 🧒  child
    public const CHILD_LIGHT_SKIN_TONE = "\u{1F9D2}\u{1F3FB}"; // 🧒🏻  child: light skin tone
    public const CHILD_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D2}\u{1F3FC}"; // 🧒🏼  child: medium-light skin tone
    public const CHILD_MEDIUM_SKIN_TONE = "\u{1F9D2}\u{1F3FD}"; // 🧒🏽  child: medium skin tone
    public const CHILD_MEDIUM_DARK_SKIN_TONE = "\u{1F9D2}\u{1F3FE}"; // 🧒🏾  child: medium-dark skin tone
    public const CHILD_DARK_SKIN_TONE = "\u{1F9D2}\u{1F3FF}"; // 🧒🏿  child: dark skin tone
    public const BOY = "\u{1F466}"; // 👦  boy
    public const BOY_LIGHT_SKIN_TONE = "\u{1F466}\u{1F3FB}"; // 👦🏻  boy: light skin tone
    public const BOY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F466}\u{1F3FC}"; // 👦🏼  boy: medium-light skin tone
    public const BOY_MEDIUM_SKIN_TONE = "\u{1F466}\u{1F3FD}"; // 👦🏽  boy: medium skin tone
    public const BOY_MEDIUM_DARK_SKIN_TONE = "\u{1F466}\u{1F3FE}"; // 👦🏾  boy: medium-dark skin tone
    public const BOY_DARK_SKIN_TONE = "\u{1F466}\u{1F3FF}"; // 👦🏿  boy: dark skin tone
    public const GIRL = "\u{1F467}"; // 👧  girl
    public const GIRL_LIGHT_SKIN_TONE = "\u{1F467}\u{1F3FB}"; // 👧🏻  girl: light skin tone
    public const GIRL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F467}\u{1F3FC}"; // 👧🏼  girl: medium-light skin tone
    public const GIRL_MEDIUM_SKIN_TONE = "\u{1F467}\u{1F3FD}"; // 👧🏽  girl: medium skin tone
    public const GIRL_MEDIUM_DARK_SKIN_TONE = "\u{1F467}\u{1F3FE}"; // 👧🏾  girl: medium-dark skin tone
    public const GIRL_DARK_SKIN_TONE = "\u{1F467}\u{1F3FF}"; // 👧🏿  girl: dark skin tone
    public const PERSON = "\u{1F9D1}"; // 🧑  person
    public const PERSON_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}"; // 🧑🏻  person: light skin tone
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}"; // 🧑🏼  person: medium-light skin tone
    public const PERSON_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}"; // 🧑🏽  person: medium skin tone
    public const PERSON_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}"; // 🧑🏾  person: medium-dark skin tone
    public const PERSON_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}"; // 🧑🏿  person: dark skin tone
    public const PERSON_BLOND_HAIR = "\u{1F471}"; // 👱  person: blond hair
    public const PERSON_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FB}"; // 👱🏻  person: light skin tone, blond hair
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FC}"; // 👱🏼  person: medium-light skin tone, blond hair
    public const PERSON_MEDIUM_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FD}"; // 👱🏽  person: medium skin tone, blond hair
    public const PERSON_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FE}"; // 👱🏾  person: medium-dark skin tone, blond hair
    public const PERSON_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FF}"; // 👱🏿  person: dark skin tone, blond hair
    public const MAN = "\u{1F468}"; // 👨  man
    public const MAN_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}"; // 👨🏻  man: light skin tone
    public const MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}"; // 👨🏼  man: medium-light skin tone
    public const MAN_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}"; // 👨🏽  man: medium skin tone
    public const MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}"; // 👨🏾  man: medium-dark skin tone
    public const MAN_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}"; // 👨🏿  man: dark skin tone
    public const PERSON_BEARD = "\u{1F9D4}"; // 🧔  person: beard
    public const PERSON_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FB}"; // 🧔🏻  person: light skin tone, beard
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FC}"; // 🧔🏼  person: medium-light skin tone, beard
    public const PERSON_MEDIUM_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FD}"; // 🧔🏽  person: medium skin tone, beard
    public const PERSON_MEDIUM_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FE}"; // 🧔🏾  person: medium-dark skin tone, beard
    public const PERSON_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FF}"; // 🧔🏿  person: dark skin tone, beard
    public const MAN_BEARD = "\u{1F9D4}\u{200D}\u{2642}\u{FE0F}"; // 🧔‍♂️  man: beard
    public const MAN_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧔🏻‍♂️  man: light skin tone, beard
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧔🏼‍♂️  man: medium-light skin tone, beard
    public const MAN_MEDIUM_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧔🏽‍♂️  man: medium skin tone, beard
    public const MAN_MEDIUM_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧔🏾‍♂️  man: medium-dark skin tone, beard
    public const MAN_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧔🏿‍♂️  man: dark skin tone, beard
    public const WOMAN_BEARD = "\u{1F9D4}\u{200D}\u{2640}\u{FE0F}"; // 🧔‍♀️  woman: beard
    public const WOMAN_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧔🏻‍♀️  woman: light skin tone, beard
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧔🏼‍♀️  woman: medium-light skin tone, beard
    public const WOMAN_MEDIUM_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧔🏽‍♀️  woman: medium skin tone, beard
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧔🏾‍♀️  woman: medium-dark skin tone, beard
    public const WOMAN_DARK_SKIN_TONE_BEARD = "\u{1F9D4}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧔🏿‍♀️  woman: dark skin tone, beard
    public const MAN_RED_HAIR = "\u{1F468}\u{200D}\u{1F9B0}"; // 👨‍🦰  man: red hair
    public const MAN_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9B0}"; // 👨🏻‍🦰  man: light skin tone, red hair
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9B0}"; // 👨🏼‍🦰  man: medium-light skin tone, red hair
    public const MAN_MEDIUM_SKIN_TONE_RED_HAIR = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9B0}"; // 👨🏽‍🦰  man: medium skin tone, red hair
    public const MAN_MEDIUM_DARK_SKIN_TONE_RED_HAIR = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9B0}"; // 👨🏾‍🦰  man: medium-dark skin tone, red hair
    public const MAN_DARK_SKIN_TONE_RED_HAIR = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9B0}"; // 👨🏿‍🦰  man: dark skin tone, red hair
    public const MAN_CURLY_HAIR = "\u{1F468}\u{200D}\u{1F9B1}"; // 👨‍🦱  man: curly hair
    public const MAN_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9B1}"; // 👨🏻‍🦱  man: light skin tone, curly hair
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9B1}"; // 👨🏼‍🦱  man: medium-light skin tone, curly hair
    public const MAN_MEDIUM_SKIN_TONE_CURLY_HAIR = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9B1}"; // 👨🏽‍🦱  man: medium skin tone, curly hair
    public const MAN_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9B1}"; // 👨🏾‍🦱  man: medium-dark skin tone, curly hair
    public const MAN_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9B1}"; // 👨🏿‍🦱  man: dark skin tone, curly hair
    public const MAN_WHITE_HAIR = "\u{1F468}\u{200D}\u{1F9B3}"; // 👨‍🦳  man: white hair
    public const MAN_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9B3}"; // 👨🏻‍🦳  man: light skin tone, white hair
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9B3}"; // 👨🏼‍🦳  man: medium-light skin tone, white hair
    public const MAN_MEDIUM_SKIN_TONE_WHITE_HAIR = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9B3}"; // 👨🏽‍🦳  man: medium skin tone, white hair
    public const MAN_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9B3}"; // 👨🏾‍🦳  man: medium-dark skin tone, white hair
    public const MAN_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9B3}"; // 👨🏿‍🦳  man: dark skin tone, white hair
    public const MAN_BALD = "\u{1F468}\u{200D}\u{1F9B2}"; // 👨‍🦲  man: bald
    public const MAN_LIGHT_SKIN_TONE_BALD = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9B2}"; // 👨🏻‍🦲  man: light skin tone, bald
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_BALD = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9B2}"; // 👨🏼‍🦲  man: medium-light skin tone, bald
    public const MAN_MEDIUM_SKIN_TONE_BALD = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9B2}"; // 👨🏽‍🦲  man: medium skin tone, bald
    public const MAN_MEDIUM_DARK_SKIN_TONE_BALD = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9B2}"; // 👨🏾‍🦲  man: medium-dark skin tone, bald
    public const MAN_DARK_SKIN_TONE_BALD = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9B2}"; // 👨🏿‍🦲  man: dark skin tone, bald
    public const WOMAN = "\u{1F469}"; // 👩  woman
    public const WOMAN_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}"; // 👩🏻  woman: light skin tone
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}"; // 👩🏼  woman: medium-light skin tone
    public const WOMAN_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}"; // 👩🏽  woman: medium skin tone
    public const WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}"; // 👩🏾  woman: medium-dark skin tone
    public const WOMAN_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}"; // 👩🏿  woman: dark skin tone
    public const WOMAN_RED_HAIR = "\u{1F469}\u{200D}\u{1F9B0}"; // 👩‍🦰  woman: red hair
    public const WOMAN_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9B0}"; // 👩🏻‍🦰  woman: light skin tone, red hair
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9B0}"; // 👩🏼‍🦰  woman: medium-light skin tone, red hair
    public const WOMAN_MEDIUM_SKIN_TONE_RED_HAIR = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9B0}"; // 👩🏽‍🦰  woman: medium skin tone, red hair
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_RED_HAIR = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9B0}"; // 👩🏾‍🦰  woman: medium-dark skin tone, red hair
    public const WOMAN_DARK_SKIN_TONE_RED_HAIR = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9B0}"; // 👩🏿‍🦰  woman: dark skin tone, red hair
    public const PERSON_RED_HAIR = "\u{1F9D1}\u{200D}\u{1F9B0}"; // 🧑‍🦰  person: red hair
    public const PERSON_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9B0}"; // 🧑🏻‍🦰  person: light skin tone, red hair
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9B0}"; // 🧑🏼‍🦰  person: medium-light skin tone, red hair
    public const PERSON_MEDIUM_SKIN_TONE_RED_HAIR = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9B0}"; // 🧑🏽‍🦰  person: medium skin tone, red hair
    public const PERSON_MEDIUM_DARK_SKIN_TONE_RED_HAIR = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9B0}"; // 🧑🏾‍🦰  person: medium-dark skin tone, red hair
    public const PERSON_DARK_SKIN_TONE_RED_HAIR = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9B0}"; // 🧑🏿‍🦰  person: dark skin tone, red hair
    public const WOMAN_CURLY_HAIR = "\u{1F469}\u{200D}\u{1F9B1}"; // 👩‍🦱  woman: curly hair
    public const WOMAN_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9B1}"; // 👩🏻‍🦱  woman: light skin tone, curly hair
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9B1}"; // 👩🏼‍🦱  woman: medium-light skin tone, curly hair
    public const WOMAN_MEDIUM_SKIN_TONE_CURLY_HAIR = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9B1}"; // 👩🏽‍🦱  woman: medium skin tone, curly hair
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9B1}"; // 👩🏾‍🦱  woman: medium-dark skin tone, curly hair
    public const WOMAN_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9B1}"; // 👩🏿‍🦱  woman: dark skin tone, curly hair
    public const PERSON_CURLY_HAIR = "\u{1F9D1}\u{200D}\u{1F9B1}"; // 🧑‍🦱  person: curly hair
    public const PERSON_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9B1}"; // 🧑🏻‍🦱  person: light skin tone, curly hair
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9B1}"; // 🧑🏼‍🦱  person: medium-light skin tone, curly hair
    public const PERSON_MEDIUM_SKIN_TONE_CURLY_HAIR = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9B1}"; // 🧑🏽‍🦱  person: medium skin tone, curly hair
    public const PERSON_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9B1}"; // 🧑🏾‍🦱  person: medium-dark skin tone, curly hair
    public const PERSON_DARK_SKIN_TONE_CURLY_HAIR = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9B1}"; // 🧑🏿‍🦱  person: dark skin tone, curly hair
    public const WOMAN_WHITE_HAIR = "\u{1F469}\u{200D}\u{1F9B3}"; // 👩‍🦳  woman: white hair
    public const WOMAN_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9B3}"; // 👩🏻‍🦳  woman: light skin tone, white hair
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9B3}"; // 👩🏼‍🦳  woman: medium-light skin tone, white hair
    public const WOMAN_MEDIUM_SKIN_TONE_WHITE_HAIR = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9B3}"; // 👩🏽‍🦳  woman: medium skin tone, white hair
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9B3}"; // 👩🏾‍🦳  woman: medium-dark skin tone, white hair
    public const WOMAN_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9B3}"; // 👩🏿‍🦳  woman: dark skin tone, white hair
    public const PERSON_WHITE_HAIR = "\u{1F9D1}\u{200D}\u{1F9B3}"; // 🧑‍🦳  person: white hair
    public const PERSON_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9B3}"; // 🧑🏻‍🦳  person: light skin tone, white hair
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9B3}"; // 🧑🏼‍🦳  person: medium-light skin tone, white hair
    public const PERSON_MEDIUM_SKIN_TONE_WHITE_HAIR = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9B3}"; // 🧑🏽‍🦳  person: medium skin tone, white hair
    public const PERSON_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9B3}"; // 🧑🏾‍🦳  person: medium-dark skin tone, white hair
    public const PERSON_DARK_SKIN_TONE_WHITE_HAIR = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9B3}"; // 🧑🏿‍🦳  person: dark skin tone, white hair
    public const WOMAN_BALD = "\u{1F469}\u{200D}\u{1F9B2}"; // 👩‍🦲  woman: bald
    public const WOMAN_LIGHT_SKIN_TONE_BALD = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9B2}"; // 👩🏻‍🦲  woman: light skin tone, bald
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_BALD = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9B2}"; // 👩🏼‍🦲  woman: medium-light skin tone, bald
    public const WOMAN_MEDIUM_SKIN_TONE_BALD = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9B2}"; // 👩🏽‍🦲  woman: medium skin tone, bald
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_BALD = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9B2}"; // 👩🏾‍🦲  woman: medium-dark skin tone, bald
    public const WOMAN_DARK_SKIN_TONE_BALD = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9B2}"; // 👩🏿‍🦲  woman: dark skin tone, bald
    public const PERSON_BALD = "\u{1F9D1}\u{200D}\u{1F9B2}"; // 🧑‍🦲  person: bald
    public const PERSON_LIGHT_SKIN_TONE_BALD = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9B2}"; // 🧑🏻‍🦲  person: light skin tone, bald
    public const PERSON_MEDIUM_LIGHT_SKIN_TONE_BALD = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9B2}"; // 🧑🏼‍🦲  person: medium-light skin tone, bald
    public const PERSON_MEDIUM_SKIN_TONE_BALD = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9B2}"; // 🧑🏽‍🦲  person: medium skin tone, bald
    public const PERSON_MEDIUM_DARK_SKIN_TONE_BALD = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9B2}"; // 🧑🏾‍🦲  person: medium-dark skin tone, bald
    public const PERSON_DARK_SKIN_TONE_BALD = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9B2}"; // 🧑🏿‍🦲  person: dark skin tone, bald
    public const WOMAN_BLOND_HAIR = "\u{1F471}\u{200D}\u{2640}\u{FE0F}"; // 👱‍♀️  woman: blond hair
    public const WOMAN_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 👱🏻‍♀️  woman: light skin tone, blond hair
    public const WOMAN_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 👱🏼‍♀️  woman: medium-light skin tone, blond hair
    public const WOMAN_MEDIUM_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 👱🏽‍♀️  woman: medium skin tone, blond hair
    public const WOMAN_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 👱🏾‍♀️  woman: medium-dark skin tone, blond hair
    public const WOMAN_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 👱🏿‍♀️  woman: dark skin tone, blond hair
    public const MAN_BLOND_HAIR = "\u{1F471}\u{200D}\u{2642}\u{FE0F}"; // 👱‍♂️  man: blond hair
    public const MAN_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 👱🏻‍♂️  man: light skin tone, blond hair
    public const MAN_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 👱🏼‍♂️  man: medium-light skin tone, blond hair
    public const MAN_MEDIUM_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 👱🏽‍♂️  man: medium skin tone, blond hair
    public const MAN_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 👱🏾‍♂️  man: medium-dark skin tone, blond hair
    public const MAN_DARK_SKIN_TONE_BLOND_HAIR = "\u{1F471}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 👱🏿‍♂️  man: dark skin tone, blond hair
    public const OLDER_PERSON = "\u{1F9D3}"; // 🧓  older person
    public const OLDER_PERSON_LIGHT_SKIN_TONE = "\u{1F9D3}\u{1F3FB}"; // 🧓🏻  older person: light skin tone
    public const OLDER_PERSON_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D3}\u{1F3FC}"; // 🧓🏼  older person: medium-light skin tone
    public const OLDER_PERSON_MEDIUM_SKIN_TONE = "\u{1F9D3}\u{1F3FD}"; // 🧓🏽  older person: medium skin tone
    public const OLDER_PERSON_MEDIUM_DARK_SKIN_TONE = "\u{1F9D3}\u{1F3FE}"; // 🧓🏾  older person: medium-dark skin tone
    public const OLDER_PERSON_DARK_SKIN_TONE = "\u{1F9D3}\u{1F3FF}"; // 🧓🏿  older person: dark skin tone
    public const OLD_MAN = "\u{1F474}"; // 👴  old man
    public const OLD_MAN_LIGHT_SKIN_TONE = "\u{1F474}\u{1F3FB}"; // 👴🏻  old man: light skin tone
    public const OLD_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F474}\u{1F3FC}"; // 👴🏼  old man: medium-light skin tone
    public const OLD_MAN_MEDIUM_SKIN_TONE = "\u{1F474}\u{1F3FD}"; // 👴🏽  old man: medium skin tone
    public const OLD_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F474}\u{1F3FE}"; // 👴🏾  old man: medium-dark skin tone
    public const OLD_MAN_DARK_SKIN_TONE = "\u{1F474}\u{1F3FF}"; // 👴🏿  old man: dark skin tone
    public const OLD_WOMAN = "\u{1F475}"; // 👵  old woman
    public const OLD_WOMAN_LIGHT_SKIN_TONE = "\u{1F475}\u{1F3FB}"; // 👵🏻  old woman: light skin tone
    public const OLD_WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F475}\u{1F3FC}"; // 👵🏼  old woman: medium-light skin tone
    public const OLD_WOMAN_MEDIUM_SKIN_TONE = "\u{1F475}\u{1F3FD}"; // 👵🏽  old woman: medium skin tone
    public const OLD_WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F475}\u{1F3FE}"; // 👵🏾  old woman: medium-dark skin tone
    public const OLD_WOMAN_DARK_SKIN_TONE = "\u{1F475}\u{1F3FF}"; // 👵🏿  old woman: dark skin tone
    public const PERSON_FROWNING = "\u{1F64D}"; // 🙍  person frowning
    public const PERSON_FROWNING_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FB}"; // 🙍🏻  person frowning: light skin tone
    public const PERSON_FROWNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FC}"; // 🙍🏼  person frowning: medium-light skin tone
    public const PERSON_FROWNING_MEDIUM_SKIN_TONE = "\u{1F64D}\u{1F3FD}"; // 🙍🏽  person frowning: medium skin tone
    public const PERSON_FROWNING_MEDIUM_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FE}"; // 🙍🏾  person frowning: medium-dark skin tone
    public const PERSON_FROWNING_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FF}"; // 🙍🏿  person frowning: dark skin tone
    public const MAN_FROWNING = "\u{1F64D}\u{200D}\u{2642}\u{FE0F}"; // 🙍‍♂️  man frowning
    public const MAN_FROWNING_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙍🏻‍♂️  man frowning: light skin tone
    public const MAN_FROWNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙍🏼‍♂️  man frowning: medium-light skin tone
    public const MAN_FROWNING_MEDIUM_SKIN_TONE = "\u{1F64D}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙍🏽‍♂️  man frowning: medium skin tone
    public const MAN_FROWNING_MEDIUM_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙍🏾‍♂️  man frowning: medium-dark skin tone
    public const MAN_FROWNING_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙍🏿‍♂️  man frowning: dark skin tone
    public const WOMAN_FROWNING = "\u{1F64D}\u{200D}\u{2640}\u{FE0F}"; // 🙍‍♀️  woman frowning
    public const WOMAN_FROWNING_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙍🏻‍♀️  woman frowning: light skin tone
    public const WOMAN_FROWNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64D}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙍🏼‍♀️  woman frowning: medium-light skin tone
    public const WOMAN_FROWNING_MEDIUM_SKIN_TONE = "\u{1F64D}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙍🏽‍♀️  woman frowning: medium skin tone
    public const WOMAN_FROWNING_MEDIUM_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙍🏾‍♀️  woman frowning: medium-dark skin tone
    public const WOMAN_FROWNING_DARK_SKIN_TONE = "\u{1F64D}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙍🏿‍♀️  woman frowning: dark skin tone
    public const PERSON_POUTING = "\u{1F64E}"; // 🙎  person pouting
    public const PERSON_POUTING_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FB}"; // 🙎🏻  person pouting: light skin tone
    public const PERSON_POUTING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FC}"; // 🙎🏼  person pouting: medium-light skin tone
    public const PERSON_POUTING_MEDIUM_SKIN_TONE = "\u{1F64E}\u{1F3FD}"; // 🙎🏽  person pouting: medium skin tone
    public const PERSON_POUTING_MEDIUM_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FE}"; // 🙎🏾  person pouting: medium-dark skin tone
    public const PERSON_POUTING_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FF}"; // 🙎🏿  person pouting: dark skin tone
    public const MAN_POUTING = "\u{1F64E}\u{200D}\u{2642}\u{FE0F}"; // 🙎‍♂️  man pouting
    public const MAN_POUTING_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙎🏻‍♂️  man pouting: light skin tone
    public const MAN_POUTING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙎🏼‍♂️  man pouting: medium-light skin tone
    public const MAN_POUTING_MEDIUM_SKIN_TONE = "\u{1F64E}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙎🏽‍♂️  man pouting: medium skin tone
    public const MAN_POUTING_MEDIUM_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙎🏾‍♂️  man pouting: medium-dark skin tone
    public const MAN_POUTING_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙎🏿‍♂️  man pouting: dark skin tone
    public const WOMAN_POUTING = "\u{1F64E}\u{200D}\u{2640}\u{FE0F}"; // 🙎‍♀️  woman pouting
    public const WOMAN_POUTING_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙎🏻‍♀️  woman pouting: light skin tone
    public const WOMAN_POUTING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64E}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙎🏼‍♀️  woman pouting: medium-light skin tone
    public const WOMAN_POUTING_MEDIUM_SKIN_TONE = "\u{1F64E}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙎🏽‍♀️  woman pouting: medium skin tone
    public const WOMAN_POUTING_MEDIUM_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙎🏾‍♀️  woman pouting: medium-dark skin tone
    public const WOMAN_POUTING_DARK_SKIN_TONE = "\u{1F64E}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙎🏿‍♀️  woman pouting: dark skin tone
    public const PERSON_GESTURING_NO = "\u{1F645}"; // 🙅  person gesturing NO
    public const PERSON_GESTURING_NO_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FB}"; // 🙅🏻  person gesturing NO: light skin tone
    public const PERSON_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FC}"; // 🙅🏼  person gesturing NO: medium-light skin tone
    public const PERSON_GESTURING_NO_MEDIUM_SKIN_TONE = "\u{1F645}\u{1F3FD}"; // 🙅🏽  person gesturing NO: medium skin tone
    public const PERSON_GESTURING_NO_MEDIUM_DARK_SKIN_TONE = "\u{1F645}\u{1F3FE}"; // 🙅🏾  person gesturing NO: medium-dark skin tone
    public const PERSON_GESTURING_NO_DARK_SKIN_TONE = "\u{1F645}\u{1F3FF}"; // 🙅🏿  person gesturing NO: dark skin tone
    public const MAN_GESTURING_NO = "\u{1F645}\u{200D}\u{2642}\u{FE0F}"; // 🙅‍♂️  man gesturing NO
    public const MAN_GESTURING_NO_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙅🏻‍♂️  man gesturing NO: light skin tone
    public const MAN_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙅🏼‍♂️  man gesturing NO: medium-light skin tone
    public const MAN_GESTURING_NO_MEDIUM_SKIN_TONE = "\u{1F645}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙅🏽‍♂️  man gesturing NO: medium skin tone
    public const MAN_GESTURING_NO_MEDIUM_DARK_SKIN_TONE = "\u{1F645}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙅🏾‍♂️  man gesturing NO: medium-dark skin tone
    public const MAN_GESTURING_NO_DARK_SKIN_TONE = "\u{1F645}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙅🏿‍♂️  man gesturing NO: dark skin tone
    public const WOMAN_GESTURING_NO = "\u{1F645}\u{200D}\u{2640}\u{FE0F}"; // 🙅‍♀️  woman gesturing NO
    public const WOMAN_GESTURING_NO_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙅🏻‍♀️  woman gesturing NO: light skin tone
    public const WOMAN_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F645}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙅🏼‍♀️  woman gesturing NO: medium-light skin tone
    public const WOMAN_GESTURING_NO_MEDIUM_SKIN_TONE = "\u{1F645}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙅🏽‍♀️  woman gesturing NO: medium skin tone
    public const WOMAN_GESTURING_NO_MEDIUM_DARK_SKIN_TONE = "\u{1F645}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙅🏾‍♀️  woman gesturing NO: medium-dark skin tone
    public const WOMAN_GESTURING_NO_DARK_SKIN_TONE = "\u{1F645}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙅🏿‍♀️  woman gesturing NO: dark skin tone
    public const PERSON_GESTURING_OK = "\u{1F646}"; // 🙆  person gesturing OK
    public const PERSON_GESTURING_OK_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FB}"; // 🙆🏻  person gesturing OK: light skin tone
    public const PERSON_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FC}"; // 🙆🏼  person gesturing OK: medium-light skin tone
    public const PERSON_GESTURING_OK_MEDIUM_SKIN_TONE = "\u{1F646}\u{1F3FD}"; // 🙆🏽  person gesturing OK: medium skin tone
    public const PERSON_GESTURING_OK_MEDIUM_DARK_SKIN_TONE = "\u{1F646}\u{1F3FE}"; // 🙆🏾  person gesturing OK: medium-dark skin tone
    public const PERSON_GESTURING_OK_DARK_SKIN_TONE = "\u{1F646}\u{1F3FF}"; // 🙆🏿  person gesturing OK: dark skin tone
    public const MAN_GESTURING_OK = "\u{1F646}\u{200D}\u{2642}\u{FE0F}"; // 🙆‍♂️  man gesturing OK
    public const MAN_GESTURING_OK_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙆🏻‍♂️  man gesturing OK: light skin tone
    public const MAN_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙆🏼‍♂️  man gesturing OK: medium-light skin tone
    public const MAN_GESTURING_OK_MEDIUM_SKIN_TONE = "\u{1F646}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙆🏽‍♂️  man gesturing OK: medium skin tone
    public const MAN_GESTURING_OK_MEDIUM_DARK_SKIN_TONE = "\u{1F646}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙆🏾‍♂️  man gesturing OK: medium-dark skin tone
    public const MAN_GESTURING_OK_DARK_SKIN_TONE = "\u{1F646}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙆🏿‍♂️  man gesturing OK: dark skin tone
    public const WOMAN_GESTURING_OK = "\u{1F646}\u{200D}\u{2640}\u{FE0F}"; // 🙆‍♀️  woman gesturing OK
    public const WOMAN_GESTURING_OK_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙆🏻‍♀️  woman gesturing OK: light skin tone
    public const WOMAN_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F646}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙆🏼‍♀️  woman gesturing OK: medium-light skin tone
    public const WOMAN_GESTURING_OK_MEDIUM_SKIN_TONE = "\u{1F646}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙆🏽‍♀️  woman gesturing OK: medium skin tone
    public const WOMAN_GESTURING_OK_MEDIUM_DARK_SKIN_TONE = "\u{1F646}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙆🏾‍♀️  woman gesturing OK: medium-dark skin tone
    public const WOMAN_GESTURING_OK_DARK_SKIN_TONE = "\u{1F646}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙆🏿‍♀️  woman gesturing OK: dark skin tone
    public const PERSON_TIPPING_HAND = "\u{1F481}"; // 💁  person tipping hand
    public const PERSON_TIPPING_HAND_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FB}"; // 💁🏻  person tipping hand: light skin tone
    public const PERSON_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FC}"; // 💁🏼  person tipping hand: medium-light skin tone
    public const PERSON_TIPPING_HAND_MEDIUM_SKIN_TONE = "\u{1F481}\u{1F3FD}"; // 💁🏽  person tipping hand: medium skin tone
    public const PERSON_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F481}\u{1F3FE}"; // 💁🏾  person tipping hand: medium-dark skin tone
    public const PERSON_TIPPING_HAND_DARK_SKIN_TONE = "\u{1F481}\u{1F3FF}"; // 💁🏿  person tipping hand: dark skin tone
    public const MAN_TIPPING_HAND = "\u{1F481}\u{200D}\u{2642}\u{FE0F}"; // 💁‍♂️  man tipping hand
    public const MAN_TIPPING_HAND_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 💁🏻‍♂️  man tipping hand: light skin tone
    public const MAN_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 💁🏼‍♂️  man tipping hand: medium-light skin tone
    public const MAN_TIPPING_HAND_MEDIUM_SKIN_TONE = "\u{1F481}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 💁🏽‍♂️  man tipping hand: medium skin tone
    public const MAN_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F481}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 💁🏾‍♂️  man tipping hand: medium-dark skin tone
    public const MAN_TIPPING_HAND_DARK_SKIN_TONE = "\u{1F481}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 💁🏿‍♂️  man tipping hand: dark skin tone
    public const WOMAN_TIPPING_HAND = "\u{1F481}\u{200D}\u{2640}\u{FE0F}"; // 💁‍♀️  woman tipping hand
    public const WOMAN_TIPPING_HAND_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 💁🏻‍♀️  woman tipping hand: light skin tone
    public const WOMAN_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F481}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 💁🏼‍♀️  woman tipping hand: medium-light skin tone
    public const WOMAN_TIPPING_HAND_MEDIUM_SKIN_TONE = "\u{1F481}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 💁🏽‍♀️  woman tipping hand: medium skin tone
    public const WOMAN_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F481}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 💁🏾‍♀️  woman tipping hand: medium-dark skin tone
    public const WOMAN_TIPPING_HAND_DARK_SKIN_TONE = "\u{1F481}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 💁🏿‍♀️  woman tipping hand: dark skin tone
    public const PERSON_RAISING_HAND = "\u{1F64B}"; // 🙋  person raising hand
    public const PERSON_RAISING_HAND_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FB}"; // 🙋🏻  person raising hand: light skin tone
    public const PERSON_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FC}"; // 🙋🏼  person raising hand: medium-light skin tone
    public const PERSON_RAISING_HAND_MEDIUM_SKIN_TONE = "\u{1F64B}\u{1F3FD}"; // 🙋🏽  person raising hand: medium skin tone
    public const PERSON_RAISING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FE}"; // 🙋🏾  person raising hand: medium-dark skin tone
    public const PERSON_RAISING_HAND_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FF}"; // 🙋🏿  person raising hand: dark skin tone
    public const MAN_RAISING_HAND = "\u{1F64B}\u{200D}\u{2642}\u{FE0F}"; // 🙋‍♂️  man raising hand
    public const MAN_RAISING_HAND_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙋🏻‍♂️  man raising hand: light skin tone
    public const MAN_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙋🏼‍♂️  man raising hand: medium-light skin tone
    public const MAN_RAISING_HAND_MEDIUM_SKIN_TONE = "\u{1F64B}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙋🏽‍♂️  man raising hand: medium skin tone
    public const MAN_RAISING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙋🏾‍♂️  man raising hand: medium-dark skin tone
    public const MAN_RAISING_HAND_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙋🏿‍♂️  man raising hand: dark skin tone
    public const WOMAN_RAISING_HAND = "\u{1F64B}\u{200D}\u{2640}\u{FE0F}"; // 🙋‍♀️  woman raising hand
    public const WOMAN_RAISING_HAND_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙋🏻‍♀️  woman raising hand: light skin tone
    public const WOMAN_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE = "\u{1F64B}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙋🏼‍♀️  woman raising hand: medium-light skin tone
    public const WOMAN_RAISING_HAND_MEDIUM_SKIN_TONE = "\u{1F64B}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙋🏽‍♀️  woman raising hand: medium skin tone
    public const WOMAN_RAISING_HAND_MEDIUM_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙋🏾‍♀️  woman raising hand: medium-dark skin tone
    public const WOMAN_RAISING_HAND_DARK_SKIN_TONE = "\u{1F64B}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙋🏿‍♀️  woman raising hand: dark skin tone
    public const DEAF_PERSON = "\u{1F9CF}"; // 🧏  deaf person
    public const DEAF_PERSON_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FB}"; // 🧏🏻  deaf person: light skin tone
    public const DEAF_PERSON_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FC}"; // 🧏🏼  deaf person: medium-light skin tone
    public const DEAF_PERSON_MEDIUM_SKIN_TONE = "\u{1F9CF}\u{1F3FD}"; // 🧏🏽  deaf person: medium skin tone
    public const DEAF_PERSON_MEDIUM_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FE}"; // 🧏🏾  deaf person: medium-dark skin tone
    public const DEAF_PERSON_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FF}"; // 🧏🏿  deaf person: dark skin tone
    public const DEAF_MAN = "\u{1F9CF}\u{200D}\u{2642}\u{FE0F}"; // 🧏‍♂️  deaf man
    public const DEAF_MAN_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧏🏻‍♂️  deaf man: light skin tone
    public const DEAF_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧏🏼‍♂️  deaf man: medium-light skin tone
    public const DEAF_MAN_MEDIUM_SKIN_TONE = "\u{1F9CF}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧏🏽‍♂️  deaf man: medium skin tone
    public const DEAF_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧏🏾‍♂️  deaf man: medium-dark skin tone
    public const DEAF_MAN_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧏🏿‍♂️  deaf man: dark skin tone
    public const DEAF_WOMAN = "\u{1F9CF}\u{200D}\u{2640}\u{FE0F}"; // 🧏‍♀️  deaf woman
    public const DEAF_WOMAN_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧏🏻‍♀️  deaf woman: light skin tone
    public const DEAF_WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CF}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧏🏼‍♀️  deaf woman: medium-light skin tone
    public const DEAF_WOMAN_MEDIUM_SKIN_TONE = "\u{1F9CF}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧏🏽‍♀️  deaf woman: medium skin tone
    public const DEAF_WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧏🏾‍♀️  deaf woman: medium-dark skin tone
    public const DEAF_WOMAN_DARK_SKIN_TONE = "\u{1F9CF}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧏🏿‍♀️  deaf woman: dark skin tone
    public const PERSON_BOWING = "\u{1F647}"; // 🙇  person bowing
    public const PERSON_BOWING_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FB}"; // 🙇🏻  person bowing: light skin tone
    public const PERSON_BOWING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FC}"; // 🙇🏼  person bowing: medium-light skin tone
    public const PERSON_BOWING_MEDIUM_SKIN_TONE = "\u{1F647}\u{1F3FD}"; // 🙇🏽  person bowing: medium skin tone
    public const PERSON_BOWING_MEDIUM_DARK_SKIN_TONE = "\u{1F647}\u{1F3FE}"; // 🙇🏾  person bowing: medium-dark skin tone
    public const PERSON_BOWING_DARK_SKIN_TONE = "\u{1F647}\u{1F3FF}"; // 🙇🏿  person bowing: dark skin tone
    public const MAN_BOWING = "\u{1F647}\u{200D}\u{2642}\u{FE0F}"; // 🙇‍♂️  man bowing
    public const MAN_BOWING_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🙇🏻‍♂️  man bowing: light skin tone
    public const MAN_BOWING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🙇🏼‍♂️  man bowing: medium-light skin tone
    public const MAN_BOWING_MEDIUM_SKIN_TONE = "\u{1F647}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🙇🏽‍♂️  man bowing: medium skin tone
    public const MAN_BOWING_MEDIUM_DARK_SKIN_TONE = "\u{1F647}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🙇🏾‍♂️  man bowing: medium-dark skin tone
    public const MAN_BOWING_DARK_SKIN_TONE = "\u{1F647}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🙇🏿‍♂️  man bowing: dark skin tone
    public const WOMAN_BOWING = "\u{1F647}\u{200D}\u{2640}\u{FE0F}"; // 🙇‍♀️  woman bowing
    public const WOMAN_BOWING_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🙇🏻‍♀️  woman bowing: light skin tone
    public const WOMAN_BOWING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F647}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🙇🏼‍♀️  woman bowing: medium-light skin tone
    public const WOMAN_BOWING_MEDIUM_SKIN_TONE = "\u{1F647}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🙇🏽‍♀️  woman bowing: medium skin tone
    public const WOMAN_BOWING_MEDIUM_DARK_SKIN_TONE = "\u{1F647}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🙇🏾‍♀️  woman bowing: medium-dark skin tone
    public const WOMAN_BOWING_DARK_SKIN_TONE = "\u{1F647}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🙇🏿‍♀️  woman bowing: dark skin tone
    public const PERSON_FACEPALMING = "\u{1F926}"; // 🤦  person facepalming
    public const PERSON_FACEPALMING_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FB}"; // 🤦🏻  person facepalming: light skin tone
    public const PERSON_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FC}"; // 🤦🏼  person facepalming: medium-light skin tone
    public const PERSON_FACEPALMING_MEDIUM_SKIN_TONE = "\u{1F926}\u{1F3FD}"; // 🤦🏽  person facepalming: medium skin tone
    public const PERSON_FACEPALMING_MEDIUM_DARK_SKIN_TONE = "\u{1F926}\u{1F3FE}"; // 🤦🏾  person facepalming: medium-dark skin tone
    public const PERSON_FACEPALMING_DARK_SKIN_TONE = "\u{1F926}\u{1F3FF}"; // 🤦🏿  person facepalming: dark skin tone
    public const MAN_FACEPALMING = "\u{1F926}\u{200D}\u{2642}\u{FE0F}"; // 🤦‍♂️  man facepalming
    public const MAN_FACEPALMING_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤦🏻‍♂️  man facepalming: light skin tone
    public const MAN_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤦🏼‍♂️  man facepalming: medium-light skin tone
    public const MAN_FACEPALMING_MEDIUM_SKIN_TONE = "\u{1F926}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤦🏽‍♂️  man facepalming: medium skin tone
    public const MAN_FACEPALMING_MEDIUM_DARK_SKIN_TONE = "\u{1F926}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤦🏾‍♂️  man facepalming: medium-dark skin tone
    public const MAN_FACEPALMING_DARK_SKIN_TONE = "\u{1F926}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤦🏿‍♂️  man facepalming: dark skin tone
    public const WOMAN_FACEPALMING = "\u{1F926}\u{200D}\u{2640}\u{FE0F}"; // 🤦‍♀️  woman facepalming
    public const WOMAN_FACEPALMING_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤦🏻‍♀️  woman facepalming: light skin tone
    public const WOMAN_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F926}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤦🏼‍♀️  woman facepalming: medium-light skin tone
    public const WOMAN_FACEPALMING_MEDIUM_SKIN_TONE = "\u{1F926}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤦🏽‍♀️  woman facepalming: medium skin tone
    public const WOMAN_FACEPALMING_MEDIUM_DARK_SKIN_TONE = "\u{1F926}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤦🏾‍♀️  woman facepalming: medium-dark skin tone
    public const WOMAN_FACEPALMING_DARK_SKIN_TONE = "\u{1F926}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤦🏿‍♀️  woman facepalming: dark skin tone
    public const PERSON_SHRUGGING = "\u{1F937}"; // 🤷  person shrugging
    public const PERSON_SHRUGGING_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FB}"; // 🤷🏻  person shrugging: light skin tone
    public const PERSON_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FC}"; // 🤷🏼  person shrugging: medium-light skin tone
    public const PERSON_SHRUGGING_MEDIUM_SKIN_TONE = "\u{1F937}\u{1F3FD}"; // 🤷🏽  person shrugging: medium skin tone
    public const PERSON_SHRUGGING_MEDIUM_DARK_SKIN_TONE = "\u{1F937}\u{1F3FE}"; // 🤷🏾  person shrugging: medium-dark skin tone
    public const PERSON_SHRUGGING_DARK_SKIN_TONE = "\u{1F937}\u{1F3FF}"; // 🤷🏿  person shrugging: dark skin tone
    public const MAN_SHRUGGING = "\u{1F937}\u{200D}\u{2642}\u{FE0F}"; // 🤷‍♂️  man shrugging
    public const MAN_SHRUGGING_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤷🏻‍♂️  man shrugging: light skin tone
    public const MAN_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤷🏼‍♂️  man shrugging: medium-light skin tone
    public const MAN_SHRUGGING_MEDIUM_SKIN_TONE = "\u{1F937}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤷🏽‍♂️  man shrugging: medium skin tone
    public const MAN_SHRUGGING_MEDIUM_DARK_SKIN_TONE = "\u{1F937}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤷🏾‍♂️  man shrugging: medium-dark skin tone
    public const MAN_SHRUGGING_DARK_SKIN_TONE = "\u{1F937}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤷🏿‍♂️  man shrugging: dark skin tone
    public const WOMAN_SHRUGGING = "\u{1F937}\u{200D}\u{2640}\u{FE0F}"; // 🤷‍♀️  woman shrugging
    public const WOMAN_SHRUGGING_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤷🏻‍♀️  woman shrugging: light skin tone
    public const WOMAN_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F937}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤷🏼‍♀️  woman shrugging: medium-light skin tone
    public const WOMAN_SHRUGGING_MEDIUM_SKIN_TONE = "\u{1F937}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤷🏽‍♀️  woman shrugging: medium skin tone
    public const WOMAN_SHRUGGING_MEDIUM_DARK_SKIN_TONE = "\u{1F937}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤷🏾‍♀️  woman shrugging: medium-dark skin tone
    public const WOMAN_SHRUGGING_DARK_SKIN_TONE = "\u{1F937}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤷🏿‍♀️  woman shrugging: dark skin tone
    public const HEALTH_WORKER = "\u{1F9D1}\u{200D}\u{2695}\u{FE0F}"; // 🧑‍⚕️  health worker
    public const HEALTH_WORKER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2695}\u{FE0F}"; // 🧑🏻‍⚕️  health worker: light skin tone
    public const HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2695}\u{FE0F}"; // 🧑🏼‍⚕️  health worker: medium-light skin tone
    public const HEALTH_WORKER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2695}\u{FE0F}"; // 🧑🏽‍⚕️  health worker: medium skin tone
    public const HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2695}\u{FE0F}"; // 🧑🏾‍⚕️  health worker: medium-dark skin tone
    public const HEALTH_WORKER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2695}\u{FE0F}"; // 🧑🏿‍⚕️  health worker: dark skin tone
    public const MAN_HEALTH_WORKER = "\u{1F468}\u{200D}\u{2695}\u{FE0F}"; // 👨‍⚕️  man health worker
    public const MAN_HEALTH_WORKER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2695}\u{FE0F}"; // 👨🏻‍⚕️  man health worker: light skin tone
    public const MAN_HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2695}\u{FE0F}"; // 👨🏼‍⚕️  man health worker: medium-light skin tone
    public const MAN_HEALTH_WORKER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2695}\u{FE0F}"; // 👨🏽‍⚕️  man health worker: medium skin tone
    public const MAN_HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2695}\u{FE0F}"; // 👨🏾‍⚕️  man health worker: medium-dark skin tone
    public const MAN_HEALTH_WORKER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2695}\u{FE0F}"; // 👨🏿‍⚕️  man health worker: dark skin tone
    public const WOMAN_HEALTH_WORKER = "\u{1F469}\u{200D}\u{2695}\u{FE0F}"; // 👩‍⚕️  woman health worker
    public const WOMAN_HEALTH_WORKER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2695}\u{FE0F}"; // 👩🏻‍⚕️  woman health worker: light skin tone
    public const WOMAN_HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2695}\u{FE0F}"; // 👩🏼‍⚕️  woman health worker: medium-light skin tone
    public const WOMAN_HEALTH_WORKER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2695}\u{FE0F}"; // 👩🏽‍⚕️  woman health worker: medium skin tone
    public const WOMAN_HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2695}\u{FE0F}"; // 👩🏾‍⚕️  woman health worker: medium-dark skin tone
    public const WOMAN_HEALTH_WORKER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2695}\u{FE0F}"; // 👩🏿‍⚕️  woman health worker: dark skin tone
    public const STUDENT = "\u{1F9D1}\u{200D}\u{1F393}"; // 🧑‍🎓  student
    public const STUDENT_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F393}"; // 🧑🏻‍🎓  student: light skin tone
    public const STUDENT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F393}"; // 🧑🏼‍🎓  student: medium-light skin tone
    public const STUDENT_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F393}"; // 🧑🏽‍🎓  student: medium skin tone
    public const STUDENT_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F393}"; // 🧑🏾‍🎓  student: medium-dark skin tone
    public const STUDENT_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F393}"; // 🧑🏿‍🎓  student: dark skin tone
    public const MAN_STUDENT = "\u{1F468}\u{200D}\u{1F393}"; // 👨‍🎓  man student
    public const MAN_STUDENT_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F393}"; // 👨🏻‍🎓  man student: light skin tone
    public const MAN_STUDENT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F393}"; // 👨🏼‍🎓  man student: medium-light skin tone
    public const MAN_STUDENT_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F393}"; // 👨🏽‍🎓  man student: medium skin tone
    public const MAN_STUDENT_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F393}"; // 👨🏾‍🎓  man student: medium-dark skin tone
    public const MAN_STUDENT_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F393}"; // 👨🏿‍🎓  man student: dark skin tone
    public const WOMAN_STUDENT = "\u{1F469}\u{200D}\u{1F393}"; // 👩‍🎓  woman student
    public const WOMAN_STUDENT_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F393}"; // 👩🏻‍🎓  woman student: light skin tone
    public const WOMAN_STUDENT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F393}"; // 👩🏼‍🎓  woman student: medium-light skin tone
    public const WOMAN_STUDENT_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F393}"; // 👩🏽‍🎓  woman student: medium skin tone
    public const WOMAN_STUDENT_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F393}"; // 👩🏾‍🎓  woman student: medium-dark skin tone
    public const WOMAN_STUDENT_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F393}"; // 👩🏿‍🎓  woman student: dark skin tone
    public const TEACHER = "\u{1F9D1}\u{200D}\u{1F3EB}"; // 🧑‍🏫  teacher
    public const TEACHER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F3EB}"; // 🧑🏻‍🏫  teacher: light skin tone
    public const TEACHER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F3EB}"; // 🧑🏼‍🏫  teacher: medium-light skin tone
    public const TEACHER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F3EB}"; // 🧑🏽‍🏫  teacher: medium skin tone
    public const TEACHER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F3EB}"; // 🧑🏾‍🏫  teacher: medium-dark skin tone
    public const TEACHER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F3EB}"; // 🧑🏿‍🏫  teacher: dark skin tone
    public const MAN_TEACHER = "\u{1F468}\u{200D}\u{1F3EB}"; // 👨‍🏫  man teacher
    public const MAN_TEACHER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F3EB}"; // 👨🏻‍🏫  man teacher: light skin tone
    public const MAN_TEACHER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F3EB}"; // 👨🏼‍🏫  man teacher: medium-light skin tone
    public const MAN_TEACHER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F3EB}"; // 👨🏽‍🏫  man teacher: medium skin tone
    public const MAN_TEACHER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F3EB}"; // 👨🏾‍🏫  man teacher: medium-dark skin tone
    public const MAN_TEACHER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F3EB}"; // 👨🏿‍🏫  man teacher: dark skin tone
    public const WOMAN_TEACHER = "\u{1F469}\u{200D}\u{1F3EB}"; // 👩‍🏫  woman teacher
    public const WOMAN_TEACHER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F3EB}"; // 👩🏻‍🏫  woman teacher: light skin tone
    public const WOMAN_TEACHER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F3EB}"; // 👩🏼‍🏫  woman teacher: medium-light skin tone
    public const WOMAN_TEACHER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F3EB}"; // 👩🏽‍🏫  woman teacher: medium skin tone
    public const WOMAN_TEACHER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F3EB}"; // 👩🏾‍🏫  woman teacher: medium-dark skin tone
    public const WOMAN_TEACHER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F3EB}"; // 👩🏿‍🏫  woman teacher: dark skin tone
    public const JUDGE = "\u{1F9D1}\u{200D}\u{2696}\u{FE0F}"; // 🧑‍⚖️  judge
    public const JUDGE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2696}\u{FE0F}"; // 🧑🏻‍⚖️  judge: light skin tone
    public const JUDGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2696}\u{FE0F}"; // 🧑🏼‍⚖️  judge: medium-light skin tone
    public const JUDGE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2696}\u{FE0F}"; // 🧑🏽‍⚖️  judge: medium skin tone
    public const JUDGE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2696}\u{FE0F}"; // 🧑🏾‍⚖️  judge: medium-dark skin tone
    public const JUDGE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2696}\u{FE0F}"; // 🧑🏿‍⚖️  judge: dark skin tone
    public const MAN_JUDGE = "\u{1F468}\u{200D}\u{2696}\u{FE0F}"; // 👨‍⚖️  man judge
    public const MAN_JUDGE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2696}\u{FE0F}"; // 👨🏻‍⚖️  man judge: light skin tone
    public const MAN_JUDGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2696}\u{FE0F}"; // 👨🏼‍⚖️  man judge: medium-light skin tone
    public const MAN_JUDGE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2696}\u{FE0F}"; // 👨🏽‍⚖️  man judge: medium skin tone
    public const MAN_JUDGE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2696}\u{FE0F}"; // 👨🏾‍⚖️  man judge: medium-dark skin tone
    public const MAN_JUDGE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2696}\u{FE0F}"; // 👨🏿‍⚖️  man judge: dark skin tone
    public const WOMAN_JUDGE = "\u{1F469}\u{200D}\u{2696}\u{FE0F}"; // 👩‍⚖️  woman judge
    public const WOMAN_JUDGE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2696}\u{FE0F}"; // 👩🏻‍⚖️  woman judge: light skin tone
    public const WOMAN_JUDGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2696}\u{FE0F}"; // 👩🏼‍⚖️  woman judge: medium-light skin tone
    public const WOMAN_JUDGE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2696}\u{FE0F}"; // 👩🏽‍⚖️  woman judge: medium skin tone
    public const WOMAN_JUDGE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2696}\u{FE0F}"; // 👩🏾‍⚖️  woman judge: medium-dark skin tone
    public const WOMAN_JUDGE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2696}\u{FE0F}"; // 👩🏿‍⚖️  woman judge: dark skin tone
    public const FARMER = "\u{1F9D1}\u{200D}\u{1F33E}"; // 🧑‍🌾  farmer
    public const FARMER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F33E}"; // 🧑🏻‍🌾  farmer: light skin tone
    public const FARMER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F33E}"; // 🧑🏼‍🌾  farmer: medium-light skin tone
    public const FARMER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F33E}"; // 🧑🏽‍🌾  farmer: medium skin tone
    public const FARMER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F33E}"; // 🧑🏾‍🌾  farmer: medium-dark skin tone
    public const FARMER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F33E}"; // 🧑🏿‍🌾  farmer: dark skin tone
    public const MAN_FARMER = "\u{1F468}\u{200D}\u{1F33E}"; // 👨‍🌾  man farmer
    public const MAN_FARMER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F33E}"; // 👨🏻‍🌾  man farmer: light skin tone
    public const MAN_FARMER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F33E}"; // 👨🏼‍🌾  man farmer: medium-light skin tone
    public const MAN_FARMER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F33E}"; // 👨🏽‍🌾  man farmer: medium skin tone
    public const MAN_FARMER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F33E}"; // 👨🏾‍🌾  man farmer: medium-dark skin tone
    public const MAN_FARMER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F33E}"; // 👨🏿‍🌾  man farmer: dark skin tone
    public const WOMAN_FARMER = "\u{1F469}\u{200D}\u{1F33E}"; // 👩‍🌾  woman farmer
    public const WOMAN_FARMER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F33E}"; // 👩🏻‍🌾  woman farmer: light skin tone
    public const WOMAN_FARMER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F33E}"; // 👩🏼‍🌾  woman farmer: medium-light skin tone
    public const WOMAN_FARMER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F33E}"; // 👩🏽‍🌾  woman farmer: medium skin tone
    public const WOMAN_FARMER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F33E}"; // 👩🏾‍🌾  woman farmer: medium-dark skin tone
    public const WOMAN_FARMER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F33E}"; // 👩🏿‍🌾  woman farmer: dark skin tone
    public const COOK = "\u{1F9D1}\u{200D}\u{1F373}"; // 🧑‍🍳  cook
    public const COOK_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F373}"; // 🧑🏻‍🍳  cook: light skin tone
    public const COOK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F373}"; // 🧑🏼‍🍳  cook: medium-light skin tone
    public const COOK_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F373}"; // 🧑🏽‍🍳  cook: medium skin tone
    public const COOK_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F373}"; // 🧑🏾‍🍳  cook: medium-dark skin tone
    public const COOK_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F373}"; // 🧑🏿‍🍳  cook: dark skin tone
    public const MAN_COOK = "\u{1F468}\u{200D}\u{1F373}"; // 👨‍🍳  man cook
    public const MAN_COOK_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F373}"; // 👨🏻‍🍳  man cook: light skin tone
    public const MAN_COOK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F373}"; // 👨🏼‍🍳  man cook: medium-light skin tone
    public const MAN_COOK_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F373}"; // 👨🏽‍🍳  man cook: medium skin tone
    public const MAN_COOK_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F373}"; // 👨🏾‍🍳  man cook: medium-dark skin tone
    public const MAN_COOK_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F373}"; // 👨🏿‍🍳  man cook: dark skin tone
    public const WOMAN_COOK = "\u{1F469}\u{200D}\u{1F373}"; // 👩‍🍳  woman cook
    public const WOMAN_COOK_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F373}"; // 👩🏻‍🍳  woman cook: light skin tone
    public const WOMAN_COOK_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F373}"; // 👩🏼‍🍳  woman cook: medium-light skin tone
    public const WOMAN_COOK_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F373}"; // 👩🏽‍🍳  woman cook: medium skin tone
    public const WOMAN_COOK_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F373}"; // 👩🏾‍🍳  woman cook: medium-dark skin tone
    public const WOMAN_COOK_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F373}"; // 👩🏿‍🍳  woman cook: dark skin tone
    public const MECHANIC = "\u{1F9D1}\u{200D}\u{1F527}"; // 🧑‍🔧  mechanic
    public const MECHANIC_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F527}"; // 🧑🏻‍🔧  mechanic: light skin tone
    public const MECHANIC_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F527}"; // 🧑🏼‍🔧  mechanic: medium-light skin tone
    public const MECHANIC_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F527}"; // 🧑🏽‍🔧  mechanic: medium skin tone
    public const MECHANIC_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F527}"; // 🧑🏾‍🔧  mechanic: medium-dark skin tone
    public const MECHANIC_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F527}"; // 🧑🏿‍🔧  mechanic: dark skin tone
    public const MAN_MECHANIC = "\u{1F468}\u{200D}\u{1F527}"; // 👨‍🔧  man mechanic
    public const MAN_MECHANIC_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F527}"; // 👨🏻‍🔧  man mechanic: light skin tone
    public const MAN_MECHANIC_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F527}"; // 👨🏼‍🔧  man mechanic: medium-light skin tone
    public const MAN_MECHANIC_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F527}"; // 👨🏽‍🔧  man mechanic: medium skin tone
    public const MAN_MECHANIC_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F527}"; // 👨🏾‍🔧  man mechanic: medium-dark skin tone
    public const MAN_MECHANIC_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F527}"; // 👨🏿‍🔧  man mechanic: dark skin tone
    public const WOMAN_MECHANIC = "\u{1F469}\u{200D}\u{1F527}"; // 👩‍🔧  woman mechanic
    public const WOMAN_MECHANIC_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F527}"; // 👩🏻‍🔧  woman mechanic: light skin tone
    public const WOMAN_MECHANIC_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F527}"; // 👩🏼‍🔧  woman mechanic: medium-light skin tone
    public const WOMAN_MECHANIC_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F527}"; // 👩🏽‍🔧  woman mechanic: medium skin tone
    public const WOMAN_MECHANIC_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F527}"; // 👩🏾‍🔧  woman mechanic: medium-dark skin tone
    public const WOMAN_MECHANIC_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F527}"; // 👩🏿‍🔧  woman mechanic: dark skin tone
    public const FACTORY_WORKER = "\u{1F9D1}\u{200D}\u{1F3ED}"; // 🧑‍🏭  factory worker
    public const FACTORY_WORKER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F3ED}"; // 🧑🏻‍🏭  factory worker: light skin tone
    public const FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F3ED}"; // 🧑🏼‍🏭  factory worker: medium-light skin tone
    public const FACTORY_WORKER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F3ED}"; // 🧑🏽‍🏭  factory worker: medium skin tone
    public const FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F3ED}"; // 🧑🏾‍🏭  factory worker: medium-dark skin tone
    public const FACTORY_WORKER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F3ED}"; // 🧑🏿‍🏭  factory worker: dark skin tone
    public const MAN_FACTORY_WORKER = "\u{1F468}\u{200D}\u{1F3ED}"; // 👨‍🏭  man factory worker
    public const MAN_FACTORY_WORKER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F3ED}"; // 👨🏻‍🏭  man factory worker: light skin tone
    public const MAN_FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F3ED}"; // 👨🏼‍🏭  man factory worker: medium-light skin tone
    public const MAN_FACTORY_WORKER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F3ED}"; // 👨🏽‍🏭  man factory worker: medium skin tone
    public const MAN_FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F3ED}"; // 👨🏾‍🏭  man factory worker: medium-dark skin tone
    public const MAN_FACTORY_WORKER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F3ED}"; // 👨🏿‍🏭  man factory worker: dark skin tone
    public const WOMAN_FACTORY_WORKER = "\u{1F469}\u{200D}\u{1F3ED}"; // 👩‍🏭  woman factory worker
    public const WOMAN_FACTORY_WORKER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F3ED}"; // 👩🏻‍🏭  woman factory worker: light skin tone
    public const WOMAN_FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F3ED}"; // 👩🏼‍🏭  woman factory worker: medium-light skin tone
    public const WOMAN_FACTORY_WORKER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F3ED}"; // 👩🏽‍🏭  woman factory worker: medium skin tone
    public const WOMAN_FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F3ED}"; // 👩🏾‍🏭  woman factory worker: medium-dark skin tone
    public const WOMAN_FACTORY_WORKER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F3ED}"; // 👩🏿‍🏭  woman factory worker: dark skin tone
    public const OFFICE_WORKER = "\u{1F9D1}\u{200D}\u{1F4BC}"; // 🧑‍💼  office worker
    public const OFFICE_WORKER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F4BC}"; // 🧑🏻‍💼  office worker: light skin tone
    public const OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F4BC}"; // 🧑🏼‍💼  office worker: medium-light skin tone
    public const OFFICE_WORKER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F4BC}"; // 🧑🏽‍💼  office worker: medium skin tone
    public const OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F4BC}"; // 🧑🏾‍💼  office worker: medium-dark skin tone
    public const OFFICE_WORKER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F4BC}"; // 🧑🏿‍💼  office worker: dark skin tone
    public const MAN_OFFICE_WORKER = "\u{1F468}\u{200D}\u{1F4BC}"; // 👨‍💼  man office worker
    public const MAN_OFFICE_WORKER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F4BC}"; // 👨🏻‍💼  man office worker: light skin tone
    public const MAN_OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F4BC}"; // 👨🏼‍💼  man office worker: medium-light skin tone
    public const MAN_OFFICE_WORKER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F4BC}"; // 👨🏽‍💼  man office worker: medium skin tone
    public const MAN_OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F4BC}"; // 👨🏾‍💼  man office worker: medium-dark skin tone
    public const MAN_OFFICE_WORKER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F4BC}"; // 👨🏿‍💼  man office worker: dark skin tone
    public const WOMAN_OFFICE_WORKER = "\u{1F469}\u{200D}\u{1F4BC}"; // 👩‍💼  woman office worker
    public const WOMAN_OFFICE_WORKER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F4BC}"; // 👩🏻‍💼  woman office worker: light skin tone
    public const WOMAN_OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F4BC}"; // 👩🏼‍💼  woman office worker: medium-light skin tone
    public const WOMAN_OFFICE_WORKER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F4BC}"; // 👩🏽‍💼  woman office worker: medium skin tone
    public const WOMAN_OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F4BC}"; // 👩🏾‍💼  woman office worker: medium-dark skin tone
    public const WOMAN_OFFICE_WORKER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F4BC}"; // 👩🏿‍💼  woman office worker: dark skin tone
    public const SCIENTIST = "\u{1F9D1}\u{200D}\u{1F52C}"; // 🧑‍🔬  scientist
    public const SCIENTIST_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F52C}"; // 🧑🏻‍🔬  scientist: light skin tone
    public const SCIENTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F52C}"; // 🧑🏼‍🔬  scientist: medium-light skin tone
    public const SCIENTIST_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F52C}"; // 🧑🏽‍🔬  scientist: medium skin tone
    public const SCIENTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F52C}"; // 🧑🏾‍🔬  scientist: medium-dark skin tone
    public const SCIENTIST_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F52C}"; // 🧑🏿‍🔬  scientist: dark skin tone
    public const MAN_SCIENTIST = "\u{1F468}\u{200D}\u{1F52C}"; // 👨‍🔬  man scientist
    public const MAN_SCIENTIST_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F52C}"; // 👨🏻‍🔬  man scientist: light skin tone
    public const MAN_SCIENTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F52C}"; // 👨🏼‍🔬  man scientist: medium-light skin tone
    public const MAN_SCIENTIST_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F52C}"; // 👨🏽‍🔬  man scientist: medium skin tone
    public const MAN_SCIENTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F52C}"; // 👨🏾‍🔬  man scientist: medium-dark skin tone
    public const MAN_SCIENTIST_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F52C}"; // 👨🏿‍🔬  man scientist: dark skin tone
    public const WOMAN_SCIENTIST = "\u{1F469}\u{200D}\u{1F52C}"; // 👩‍🔬  woman scientist
    public const WOMAN_SCIENTIST_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F52C}"; // 👩🏻‍🔬  woman scientist: light skin tone
    public const WOMAN_SCIENTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F52C}"; // 👩🏼‍🔬  woman scientist: medium-light skin tone
    public const WOMAN_SCIENTIST_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F52C}"; // 👩🏽‍🔬  woman scientist: medium skin tone
    public const WOMAN_SCIENTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F52C}"; // 👩🏾‍🔬  woman scientist: medium-dark skin tone
    public const WOMAN_SCIENTIST_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F52C}"; // 👩🏿‍🔬  woman scientist: dark skin tone
    public const TECHNOLOGIST = "\u{1F9D1}\u{200D}\u{1F4BB}"; // 🧑‍💻  technologist
    public const TECHNOLOGIST_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F4BB}"; // 🧑🏻‍💻  technologist: light skin tone
    public const TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F4BB}"; // 🧑🏼‍💻  technologist: medium-light skin tone
    public const TECHNOLOGIST_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F4BB}"; // 🧑🏽‍💻  technologist: medium skin tone
    public const TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F4BB}"; // 🧑🏾‍💻  technologist: medium-dark skin tone
    public const TECHNOLOGIST_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F4BB}"; // 🧑🏿‍💻  technologist: dark skin tone
    public const MAN_TECHNOLOGIST = "\u{1F468}\u{200D}\u{1F4BB}"; // 👨‍💻  man technologist
    public const MAN_TECHNOLOGIST_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F4BB}"; // 👨🏻‍💻  man technologist: light skin tone
    public const MAN_TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F4BB}"; // 👨🏼‍💻  man technologist: medium-light skin tone
    public const MAN_TECHNOLOGIST_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F4BB}"; // 👨🏽‍💻  man technologist: medium skin tone
    public const MAN_TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F4BB}"; // 👨🏾‍💻  man technologist: medium-dark skin tone
    public const MAN_TECHNOLOGIST_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F4BB}"; // 👨🏿‍💻  man technologist: dark skin tone
    public const WOMAN_TECHNOLOGIST = "\u{1F469}\u{200D}\u{1F4BB}"; // 👩‍💻  woman technologist
    public const WOMAN_TECHNOLOGIST_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F4BB}"; // 👩🏻‍💻  woman technologist: light skin tone
    public const WOMAN_TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F4BB}"; // 👩🏼‍💻  woman technologist: medium-light skin tone
    public const WOMAN_TECHNOLOGIST_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F4BB}"; // 👩🏽‍💻  woman technologist: medium skin tone
    public const WOMAN_TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F4BB}"; // 👩🏾‍💻  woman technologist: medium-dark skin tone
    public const WOMAN_TECHNOLOGIST_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F4BB}"; // 👩🏿‍💻  woman technologist: dark skin tone
    public const SINGER = "\u{1F9D1}\u{200D}\u{1F3A4}"; // 🧑‍🎤  singer
    public const SINGER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F3A4}"; // 🧑🏻‍🎤  singer: light skin tone
    public const SINGER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F3A4}"; // 🧑🏼‍🎤  singer: medium-light skin tone
    public const SINGER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F3A4}"; // 🧑🏽‍🎤  singer: medium skin tone
    public const SINGER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F3A4}"; // 🧑🏾‍🎤  singer: medium-dark skin tone
    public const SINGER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F3A4}"; // 🧑🏿‍🎤  singer: dark skin tone
    public const MAN_SINGER = "\u{1F468}\u{200D}\u{1F3A4}"; // 👨‍🎤  man singer
    public const MAN_SINGER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F3A4}"; // 👨🏻‍🎤  man singer: light skin tone
    public const MAN_SINGER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F3A4}"; // 👨🏼‍🎤  man singer: medium-light skin tone
    public const MAN_SINGER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F3A4}"; // 👨🏽‍🎤  man singer: medium skin tone
    public const MAN_SINGER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F3A4}"; // 👨🏾‍🎤  man singer: medium-dark skin tone
    public const MAN_SINGER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F3A4}"; // 👨🏿‍🎤  man singer: dark skin tone
    public const WOMAN_SINGER = "\u{1F469}\u{200D}\u{1F3A4}"; // 👩‍🎤  woman singer
    public const WOMAN_SINGER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F3A4}"; // 👩🏻‍🎤  woman singer: light skin tone
    public const WOMAN_SINGER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F3A4}"; // 👩🏼‍🎤  woman singer: medium-light skin tone
    public const WOMAN_SINGER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F3A4}"; // 👩🏽‍🎤  woman singer: medium skin tone
    public const WOMAN_SINGER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F3A4}"; // 👩🏾‍🎤  woman singer: medium-dark skin tone
    public const WOMAN_SINGER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F3A4}"; // 👩🏿‍🎤  woman singer: dark skin tone
    public const ARTIST = "\u{1F9D1}\u{200D}\u{1F3A8}"; // 🧑‍🎨  artist
    public const ARTIST_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F3A8}"; // 🧑🏻‍🎨  artist: light skin tone
    public const ARTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F3A8}"; // 🧑🏼‍🎨  artist: medium-light skin tone
    public const ARTIST_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F3A8}"; // 🧑🏽‍🎨  artist: medium skin tone
    public const ARTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F3A8}"; // 🧑🏾‍🎨  artist: medium-dark skin tone
    public const ARTIST_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F3A8}"; // 🧑🏿‍🎨  artist: dark skin tone
    public const MAN_ARTIST = "\u{1F468}\u{200D}\u{1F3A8}"; // 👨‍🎨  man artist
    public const MAN_ARTIST_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F3A8}"; // 👨🏻‍🎨  man artist: light skin tone
    public const MAN_ARTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F3A8}"; // 👨🏼‍🎨  man artist: medium-light skin tone
    public const MAN_ARTIST_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F3A8}"; // 👨🏽‍🎨  man artist: medium skin tone
    public const MAN_ARTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F3A8}"; // 👨🏾‍🎨  man artist: medium-dark skin tone
    public const MAN_ARTIST_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F3A8}"; // 👨🏿‍🎨  man artist: dark skin tone
    public const WOMAN_ARTIST = "\u{1F469}\u{200D}\u{1F3A8}"; // 👩‍🎨  woman artist
    public const WOMAN_ARTIST_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F3A8}"; // 👩🏻‍🎨  woman artist: light skin tone
    public const WOMAN_ARTIST_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F3A8}"; // 👩🏼‍🎨  woman artist: medium-light skin tone
    public const WOMAN_ARTIST_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F3A8}"; // 👩🏽‍🎨  woman artist: medium skin tone
    public const WOMAN_ARTIST_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F3A8}"; // 👩🏾‍🎨  woman artist: medium-dark skin tone
    public const WOMAN_ARTIST_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F3A8}"; // 👩🏿‍🎨  woman artist: dark skin tone
    public const PILOT = "\u{1F9D1}\u{200D}\u{2708}\u{FE0F}"; // 🧑‍✈️  pilot
    public const PILOT_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2708}\u{FE0F}"; // 🧑🏻‍✈️  pilot: light skin tone
    public const PILOT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2708}\u{FE0F}"; // 🧑🏼‍✈️  pilot: medium-light skin tone
    public const PILOT_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2708}\u{FE0F}"; // 🧑🏽‍✈️  pilot: medium skin tone
    public const PILOT_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2708}\u{FE0F}"; // 🧑🏾‍✈️  pilot: medium-dark skin tone
    public const PILOT_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2708}\u{FE0F}"; // 🧑🏿‍✈️  pilot: dark skin tone
    public const MAN_PILOT = "\u{1F468}\u{200D}\u{2708}\u{FE0F}"; // 👨‍✈️  man pilot
    public const MAN_PILOT_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2708}\u{FE0F}"; // 👨🏻‍✈️  man pilot: light skin tone
    public const MAN_PILOT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2708}\u{FE0F}"; // 👨🏼‍✈️  man pilot: medium-light skin tone
    public const MAN_PILOT_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2708}\u{FE0F}"; // 👨🏽‍✈️  man pilot: medium skin tone
    public const MAN_PILOT_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2708}\u{FE0F}"; // 👨🏾‍✈️  man pilot: medium-dark skin tone
    public const MAN_PILOT_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2708}\u{FE0F}"; // 👨🏿‍✈️  man pilot: dark skin tone
    public const WOMAN_PILOT = "\u{1F469}\u{200D}\u{2708}\u{FE0F}"; // 👩‍✈️  woman pilot
    public const WOMAN_PILOT_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2708}\u{FE0F}"; // 👩🏻‍✈️  woman pilot: light skin tone
    public const WOMAN_PILOT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2708}\u{FE0F}"; // 👩🏼‍✈️  woman pilot: medium-light skin tone
    public const WOMAN_PILOT_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2708}\u{FE0F}"; // 👩🏽‍✈️  woman pilot: medium skin tone
    public const WOMAN_PILOT_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2708}\u{FE0F}"; // 👩🏾‍✈️  woman pilot: medium-dark skin tone
    public const WOMAN_PILOT_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2708}\u{FE0F}"; // 👩🏿‍✈️  woman pilot: dark skin tone
    public const ASTRONAUT = "\u{1F9D1}\u{200D}\u{1F680}"; // 🧑‍🚀  astronaut
    public const ASTRONAUT_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F680}"; // 🧑🏻‍🚀  astronaut: light skin tone
    public const ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F680}"; // 🧑🏼‍🚀  astronaut: medium-light skin tone
    public const ASTRONAUT_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F680}"; // 🧑🏽‍🚀  astronaut: medium skin tone
    public const ASTRONAUT_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F680}"; // 🧑🏾‍🚀  astronaut: medium-dark skin tone
    public const ASTRONAUT_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F680}"; // 🧑🏿‍🚀  astronaut: dark skin tone
    public const MAN_ASTRONAUT = "\u{1F468}\u{200D}\u{1F680}"; // 👨‍🚀  man astronaut
    public const MAN_ASTRONAUT_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F680}"; // 👨🏻‍🚀  man astronaut: light skin tone
    public const MAN_ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F680}"; // 👨🏼‍🚀  man astronaut: medium-light skin tone
    public const MAN_ASTRONAUT_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F680}"; // 👨🏽‍🚀  man astronaut: medium skin tone
    public const MAN_ASTRONAUT_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F680}"; // 👨🏾‍🚀  man astronaut: medium-dark skin tone
    public const MAN_ASTRONAUT_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F680}"; // 👨🏿‍🚀  man astronaut: dark skin tone
    public const WOMAN_ASTRONAUT = "\u{1F469}\u{200D}\u{1F680}"; // 👩‍🚀  woman astronaut
    public const WOMAN_ASTRONAUT_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F680}"; // 👩🏻‍🚀  woman astronaut: light skin tone
    public const WOMAN_ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F680}"; // 👩🏼‍🚀  woman astronaut: medium-light skin tone
    public const WOMAN_ASTRONAUT_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F680}"; // 👩🏽‍🚀  woman astronaut: medium skin tone
    public const WOMAN_ASTRONAUT_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F680}"; // 👩🏾‍🚀  woman astronaut: medium-dark skin tone
    public const WOMAN_ASTRONAUT_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F680}"; // 👩🏿‍🚀  woman astronaut: dark skin tone
    public const FIREFIGHTER = "\u{1F9D1}\u{200D}\u{1F692}"; // 🧑‍🚒  firefighter
    public const FIREFIGHTER_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F692}"; // 🧑🏻‍🚒  firefighter: light skin tone
    public const FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F692}"; // 🧑🏼‍🚒  firefighter: medium-light skin tone
    public const FIREFIGHTER_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F692}"; // 🧑🏽‍🚒  firefighter: medium skin tone
    public const FIREFIGHTER_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F692}"; // 🧑🏾‍🚒  firefighter: medium-dark skin tone
    public const FIREFIGHTER_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F692}"; // 🧑🏿‍🚒  firefighter: dark skin tone
    public const MAN_FIREFIGHTER = "\u{1F468}\u{200D}\u{1F692}"; // 👨‍🚒  man firefighter
    public const MAN_FIREFIGHTER_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F692}"; // 👨🏻‍🚒  man firefighter: light skin tone
    public const MAN_FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F692}"; // 👨🏼‍🚒  man firefighter: medium-light skin tone
    public const MAN_FIREFIGHTER_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F692}"; // 👨🏽‍🚒  man firefighter: medium skin tone
    public const MAN_FIREFIGHTER_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F692}"; // 👨🏾‍🚒  man firefighter: medium-dark skin tone
    public const MAN_FIREFIGHTER_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F692}"; // 👨🏿‍🚒  man firefighter: dark skin tone
    public const WOMAN_FIREFIGHTER = "\u{1F469}\u{200D}\u{1F692}"; // 👩‍🚒  woman firefighter
    public const WOMAN_FIREFIGHTER_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F692}"; // 👩🏻‍🚒  woman firefighter: light skin tone
    public const WOMAN_FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F692}"; // 👩🏼‍🚒  woman firefighter: medium-light skin tone
    public const WOMAN_FIREFIGHTER_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F692}"; // 👩🏽‍🚒  woman firefighter: medium skin tone
    public const WOMAN_FIREFIGHTER_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F692}"; // 👩🏾‍🚒  woman firefighter: medium-dark skin tone
    public const WOMAN_FIREFIGHTER_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F692}"; // 👩🏿‍🚒  woman firefighter: dark skin tone
    public const POLICE_OFFICER = "\u{1F46E}"; // 👮  police officer
    public const POLICE_OFFICER_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FB}"; // 👮🏻  police officer: light skin tone
    public const POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FC}"; // 👮🏼  police officer: medium-light skin tone
    public const POLICE_OFFICER_MEDIUM_SKIN_TONE = "\u{1F46E}\u{1F3FD}"; // 👮🏽  police officer: medium skin tone
    public const POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FE}"; // 👮🏾  police officer: medium-dark skin tone
    public const POLICE_OFFICER_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FF}"; // 👮🏿  police officer: dark skin tone
    public const MAN_POLICE_OFFICER = "\u{1F46E}\u{200D}\u{2642}\u{FE0F}"; // 👮‍♂️  man police officer
    public const MAN_POLICE_OFFICER_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 👮🏻‍♂️  man police officer: light skin tone
    public const MAN_POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 👮🏼‍♂️  man police officer: medium-light skin tone
    public const MAN_POLICE_OFFICER_MEDIUM_SKIN_TONE = "\u{1F46E}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 👮🏽‍♂️  man police officer: medium skin tone
    public const MAN_POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 👮🏾‍♂️  man police officer: medium-dark skin tone
    public const MAN_POLICE_OFFICER_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 👮🏿‍♂️  man police officer: dark skin tone
    public const WOMAN_POLICE_OFFICER = "\u{1F46E}\u{200D}\u{2640}\u{FE0F}"; // 👮‍♀️  woman police officer
    public const WOMAN_POLICE_OFFICER_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 👮🏻‍♀️  woman police officer: light skin tone
    public const WOMAN_POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46E}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 👮🏼‍♀️  woman police officer: medium-light skin tone
    public const WOMAN_POLICE_OFFICER_MEDIUM_SKIN_TONE = "\u{1F46E}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 👮🏽‍♀️  woman police officer: medium skin tone
    public const WOMAN_POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 👮🏾‍♀️  woman police officer: medium-dark skin tone
    public const WOMAN_POLICE_OFFICER_DARK_SKIN_TONE = "\u{1F46E}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 👮🏿‍♀️  woman police officer: dark skin tone
    public const DETECTIVE = "\u{1F575}\u{FE0F}"; // 🕵️  detective
    public const DETECTIVE_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FB}"; // 🕵🏻  detective: light skin tone
    public const DETECTIVE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FC}"; // 🕵🏼  detective: medium-light skin tone
    public const DETECTIVE_MEDIUM_SKIN_TONE = "\u{1F575}\u{1F3FD}"; // 🕵🏽  detective: medium skin tone
    public const DETECTIVE_MEDIUM_DARK_SKIN_TONE = "\u{1F575}\u{1F3FE}"; // 🕵🏾  detective: medium-dark skin tone
    public const DETECTIVE_DARK_SKIN_TONE = "\u{1F575}\u{1F3FF}"; // 🕵🏿  detective: dark skin tone
    public const MAN_DETECTIVE = "\u{1F575}\u{FE0F}\u{200D}\u{2642}\u{FE0F}"; // 🕵️‍♂️  man detective
    public const MAN_DETECTIVE_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🕵🏻‍♂️  man detective: light skin tone
    public const MAN_DETECTIVE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🕵🏼‍♂️  man detective: medium-light skin tone
    public const MAN_DETECTIVE_MEDIUM_SKIN_TONE = "\u{1F575}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🕵🏽‍♂️  man detective: medium skin tone
    public const MAN_DETECTIVE_MEDIUM_DARK_SKIN_TONE = "\u{1F575}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🕵🏾‍♂️  man detective: medium-dark skin tone
    public const MAN_DETECTIVE_DARK_SKIN_TONE = "\u{1F575}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🕵🏿‍♂️  man detective: dark skin tone
    public const WOMAN_DETECTIVE = "\u{1F575}\u{FE0F}\u{200D}\u{2640}\u{FE0F}"; // 🕵️‍♀️  woman detective
    public const WOMAN_DETECTIVE_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🕵🏻‍♀️  woman detective: light skin tone
    public const WOMAN_DETECTIVE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F575}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🕵🏼‍♀️  woman detective: medium-light skin tone
    public const WOMAN_DETECTIVE_MEDIUM_SKIN_TONE = "\u{1F575}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🕵🏽‍♀️  woman detective: medium skin tone
    public const WOMAN_DETECTIVE_MEDIUM_DARK_SKIN_TONE = "\u{1F575}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🕵🏾‍♀️  woman detective: medium-dark skin tone
    public const WOMAN_DETECTIVE_DARK_SKIN_TONE = "\u{1F575}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🕵🏿‍♀️  woman detective: dark skin tone
    public const GUARD = "\u{1F482}"; // 💂  guard
    public const GUARD_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FB}"; // 💂🏻  guard: light skin tone
    public const GUARD_MEDIUM_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FC}"; // 💂🏼  guard: medium-light skin tone
    public const GUARD_MEDIUM_SKIN_TONE = "\u{1F482}\u{1F3FD}"; // 💂🏽  guard: medium skin tone
    public const GUARD_MEDIUM_DARK_SKIN_TONE = "\u{1F482}\u{1F3FE}"; // 💂🏾  guard: medium-dark skin tone
    public const GUARD_DARK_SKIN_TONE = "\u{1F482}\u{1F3FF}"; // 💂🏿  guard: dark skin tone
    public const MAN_GUARD = "\u{1F482}\u{200D}\u{2642}\u{FE0F}"; // 💂‍♂️  man guard
    public const MAN_GUARD_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 💂🏻‍♂️  man guard: light skin tone
    public const MAN_GUARD_MEDIUM_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 💂🏼‍♂️  man guard: medium-light skin tone
    public const MAN_GUARD_MEDIUM_SKIN_TONE = "\u{1F482}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 💂🏽‍♂️  man guard: medium skin tone
    public const MAN_GUARD_MEDIUM_DARK_SKIN_TONE = "\u{1F482}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 💂🏾‍♂️  man guard: medium-dark skin tone
    public const MAN_GUARD_DARK_SKIN_TONE = "\u{1F482}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 💂🏿‍♂️  man guard: dark skin tone
    public const WOMAN_GUARD = "\u{1F482}\u{200D}\u{2640}\u{FE0F}"; // 💂‍♀️  woman guard
    public const WOMAN_GUARD_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 💂🏻‍♀️  woman guard: light skin tone
    public const WOMAN_GUARD_MEDIUM_LIGHT_SKIN_TONE = "\u{1F482}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 💂🏼‍♀️  woman guard: medium-light skin tone
    public const WOMAN_GUARD_MEDIUM_SKIN_TONE = "\u{1F482}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 💂🏽‍♀️  woman guard: medium skin tone
    public const WOMAN_GUARD_MEDIUM_DARK_SKIN_TONE = "\u{1F482}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 💂🏾‍♀️  woman guard: medium-dark skin tone
    public const WOMAN_GUARD_DARK_SKIN_TONE = "\u{1F482}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 💂🏿‍♀️  woman guard: dark skin tone
    public const NINJA = "\u{1F977}"; // 🥷  ninja
    public const NINJA_LIGHT_SKIN_TONE = "\u{1F977}\u{1F3FB}"; // 🥷🏻  ninja: light skin tone
    public const NINJA_MEDIUM_LIGHT_SKIN_TONE = "\u{1F977}\u{1F3FC}"; // 🥷🏼  ninja: medium-light skin tone
    public const NINJA_MEDIUM_SKIN_TONE = "\u{1F977}\u{1F3FD}"; // 🥷🏽  ninja: medium skin tone
    public const NINJA_MEDIUM_DARK_SKIN_TONE = "\u{1F977}\u{1F3FE}"; // 🥷🏾  ninja: medium-dark skin tone
    public const NINJA_DARK_SKIN_TONE = "\u{1F977}\u{1F3FF}"; // 🥷🏿  ninja: dark skin tone
    public const CONSTRUCTION_WORKER = "\u{1F477}"; // 👷  construction worker
    public const CONSTRUCTION_WORKER_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FB}"; // 👷🏻  construction worker: light skin tone
    public const CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FC}"; // 👷🏼  construction worker: medium-light skin tone
    public const CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE = "\u{1F477}\u{1F3FD}"; // 👷🏽  construction worker: medium skin tone
    public const CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F477}\u{1F3FE}"; // 👷🏾  construction worker: medium-dark skin tone
    public const CONSTRUCTION_WORKER_DARK_SKIN_TONE = "\u{1F477}\u{1F3FF}"; // 👷🏿  construction worker: dark skin tone
    public const MAN_CONSTRUCTION_WORKER = "\u{1F477}\u{200D}\u{2642}\u{FE0F}"; // 👷‍♂️  man construction worker
    public const MAN_CONSTRUCTION_WORKER_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 👷🏻‍♂️  man construction worker: light skin tone
    public const MAN_CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 👷🏼‍♂️  man construction worker: medium-light skin tone
    public const MAN_CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE = "\u{1F477}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 👷🏽‍♂️  man construction worker: medium skin tone
    public const MAN_CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F477}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 👷🏾‍♂️  man construction worker: medium-dark skin tone
    public const MAN_CONSTRUCTION_WORKER_DARK_SKIN_TONE = "\u{1F477}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 👷🏿‍♂️  man construction worker: dark skin tone
    public const WOMAN_CONSTRUCTION_WORKER = "\u{1F477}\u{200D}\u{2640}\u{FE0F}"; // 👷‍♀️  woman construction worker
    public const WOMAN_CONSTRUCTION_WORKER_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 👷🏻‍♀️  woman construction worker: light skin tone
    public const WOMAN_CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F477}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 👷🏼‍♀️  woman construction worker: medium-light skin tone
    public const WOMAN_CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE = "\u{1F477}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 👷🏽‍♀️  woman construction worker: medium skin tone
    public const WOMAN_CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE = "\u{1F477}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 👷🏾‍♀️  woman construction worker: medium-dark skin tone
    public const WOMAN_CONSTRUCTION_WORKER_DARK_SKIN_TONE = "\u{1F477}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 👷🏿‍♀️  woman construction worker: dark skin tone
    public const PRINCE = "\u{1F934}"; // 🤴  prince
    public const PRINCE_LIGHT_SKIN_TONE = "\u{1F934}\u{1F3FB}"; // 🤴🏻  prince: light skin tone
    public const PRINCE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F934}\u{1F3FC}"; // 🤴🏼  prince: medium-light skin tone
    public const PRINCE_MEDIUM_SKIN_TONE = "\u{1F934}\u{1F3FD}"; // 🤴🏽  prince: medium skin tone
    public const PRINCE_MEDIUM_DARK_SKIN_TONE = "\u{1F934}\u{1F3FE}"; // 🤴🏾  prince: medium-dark skin tone
    public const PRINCE_DARK_SKIN_TONE = "\u{1F934}\u{1F3FF}"; // 🤴🏿  prince: dark skin tone
    public const PRINCESS = "\u{1F478}"; // 👸  princess
    public const PRINCESS_LIGHT_SKIN_TONE = "\u{1F478}\u{1F3FB}"; // 👸🏻  princess: light skin tone
    public const PRINCESS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F478}\u{1F3FC}"; // 👸🏼  princess: medium-light skin tone
    public const PRINCESS_MEDIUM_SKIN_TONE = "\u{1F478}\u{1F3FD}"; // 👸🏽  princess: medium skin tone
    public const PRINCESS_MEDIUM_DARK_SKIN_TONE = "\u{1F478}\u{1F3FE}"; // 👸🏾  princess: medium-dark skin tone
    public const PRINCESS_DARK_SKIN_TONE = "\u{1F478}\u{1F3FF}"; // 👸🏿  princess: dark skin tone
    public const PERSON_WEARING_TURBAN = "\u{1F473}"; // 👳  person wearing turban
    public const PERSON_WEARING_TURBAN_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FB}"; // 👳🏻  person wearing turban: light skin tone
    public const PERSON_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FC}"; // 👳🏼  person wearing turban: medium-light skin tone
    public const PERSON_WEARING_TURBAN_MEDIUM_SKIN_TONE = "\u{1F473}\u{1F3FD}"; // 👳🏽  person wearing turban: medium skin tone
    public const PERSON_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE = "\u{1F473}\u{1F3FE}"; // 👳🏾  person wearing turban: medium-dark skin tone
    public const PERSON_WEARING_TURBAN_DARK_SKIN_TONE = "\u{1F473}\u{1F3FF}"; // 👳🏿  person wearing turban: dark skin tone
    public const MAN_WEARING_TURBAN = "\u{1F473}\u{200D}\u{2642}\u{FE0F}"; // 👳‍♂️  man wearing turban
    public const MAN_WEARING_TURBAN_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 👳🏻‍♂️  man wearing turban: light skin tone
    public const MAN_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 👳🏼‍♂️  man wearing turban: medium-light skin tone
    public const MAN_WEARING_TURBAN_MEDIUM_SKIN_TONE = "\u{1F473}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 👳🏽‍♂️  man wearing turban: medium skin tone
    public const MAN_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE = "\u{1F473}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 👳🏾‍♂️  man wearing turban: medium-dark skin tone
    public const MAN_WEARING_TURBAN_DARK_SKIN_TONE = "\u{1F473}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 👳🏿‍♂️  man wearing turban: dark skin tone
    public const WOMAN_WEARING_TURBAN = "\u{1F473}\u{200D}\u{2640}\u{FE0F}"; // 👳‍♀️  woman wearing turban
    public const WOMAN_WEARING_TURBAN_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 👳🏻‍♀️  woman wearing turban: light skin tone
    public const WOMAN_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F473}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 👳🏼‍♀️  woman wearing turban: medium-light skin tone
    public const WOMAN_WEARING_TURBAN_MEDIUM_SKIN_TONE = "\u{1F473}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 👳🏽‍♀️  woman wearing turban: medium skin tone
    public const WOMAN_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE = "\u{1F473}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 👳🏾‍♀️  woman wearing turban: medium-dark skin tone
    public const WOMAN_WEARING_TURBAN_DARK_SKIN_TONE = "\u{1F473}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 👳🏿‍♀️  woman wearing turban: dark skin tone
    public const PERSON_WITH_SKULLCAP = "\u{1F472}"; // 👲  person with skullcap
    public const PERSON_WITH_SKULLCAP_LIGHT_SKIN_TONE = "\u{1F472}\u{1F3FB}"; // 👲🏻  person with skullcap: light skin tone
    public const PERSON_WITH_SKULLCAP_MEDIUM_LIGHT_SKIN_TONE = "\u{1F472}\u{1F3FC}"; // 👲🏼  person with skullcap: medium-light skin tone
    public const PERSON_WITH_SKULLCAP_MEDIUM_SKIN_TONE = "\u{1F472}\u{1F3FD}"; // 👲🏽  person with skullcap: medium skin tone
    public const PERSON_WITH_SKULLCAP_MEDIUM_DARK_SKIN_TONE = "\u{1F472}\u{1F3FE}"; // 👲🏾  person with skullcap: medium-dark skin tone
    public const PERSON_WITH_SKULLCAP_DARK_SKIN_TONE = "\u{1F472}\u{1F3FF}"; // 👲🏿  person with skullcap: dark skin tone
    public const WOMAN_WITH_HEADSCARF = "\u{1F9D5}"; // 🧕  woman with headscarf
    public const WOMAN_WITH_HEADSCARF_LIGHT_SKIN_TONE = "\u{1F9D5}\u{1F3FB}"; // 🧕🏻  woman with headscarf: light skin tone
    public const WOMAN_WITH_HEADSCARF_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D5}\u{1F3FC}"; // 🧕🏼  woman with headscarf: medium-light skin tone
    public const WOMAN_WITH_HEADSCARF_MEDIUM_SKIN_TONE = "\u{1F9D5}\u{1F3FD}"; // 🧕🏽  woman with headscarf: medium skin tone
    public const WOMAN_WITH_HEADSCARF_MEDIUM_DARK_SKIN_TONE = "\u{1F9D5}\u{1F3FE}"; // 🧕🏾  woman with headscarf: medium-dark skin tone
    public const WOMAN_WITH_HEADSCARF_DARK_SKIN_TONE = "\u{1F9D5}\u{1F3FF}"; // 🧕🏿  woman with headscarf: dark skin tone
    public const PERSON_IN_TUXEDO = "\u{1F935}"; // 🤵  person in tuxedo
    public const PERSON_IN_TUXEDO_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FB}"; // 🤵🏻  person in tuxedo: light skin tone
    public const PERSON_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FC}"; // 🤵🏼  person in tuxedo: medium-light skin tone
    public const PERSON_IN_TUXEDO_MEDIUM_SKIN_TONE = "\u{1F935}\u{1F3FD}"; // 🤵🏽  person in tuxedo: medium skin tone
    public const PERSON_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE = "\u{1F935}\u{1F3FE}"; // 🤵🏾  person in tuxedo: medium-dark skin tone
    public const PERSON_IN_TUXEDO_DARK_SKIN_TONE = "\u{1F935}\u{1F3FF}"; // 🤵🏿  person in tuxedo: dark skin tone
    public const MAN_IN_TUXEDO = "\u{1F935}\u{200D}\u{2642}\u{FE0F}"; // 🤵‍♂️  man in tuxedo
    public const MAN_IN_TUXEDO_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤵🏻‍♂️  man in tuxedo: light skin tone
    public const MAN_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤵🏼‍♂️  man in tuxedo: medium-light skin tone
    public const MAN_IN_TUXEDO_MEDIUM_SKIN_TONE = "\u{1F935}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤵🏽‍♂️  man in tuxedo: medium skin tone
    public const MAN_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE = "\u{1F935}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤵🏾‍♂️  man in tuxedo: medium-dark skin tone
    public const MAN_IN_TUXEDO_DARK_SKIN_TONE = "\u{1F935}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤵🏿‍♂️  man in tuxedo: dark skin tone
    public const WOMAN_IN_TUXEDO = "\u{1F935}\u{200D}\u{2640}\u{FE0F}"; // 🤵‍♀️  woman in tuxedo
    public const WOMAN_IN_TUXEDO_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤵🏻‍♀️  woman in tuxedo: light skin tone
    public const WOMAN_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F935}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤵🏼‍♀️  woman in tuxedo: medium-light skin tone
    public const WOMAN_IN_TUXEDO_MEDIUM_SKIN_TONE = "\u{1F935}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤵🏽‍♀️  woman in tuxedo: medium skin tone
    public const WOMAN_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE = "\u{1F935}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤵🏾‍♀️  woman in tuxedo: medium-dark skin tone
    public const WOMAN_IN_TUXEDO_DARK_SKIN_TONE = "\u{1F935}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤵🏿‍♀️  woman in tuxedo: dark skin tone
    public const PERSON_WITH_VEIL = "\u{1F470}"; // 👰  person with veil
    public const PERSON_WITH_VEIL_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FB}"; // 👰🏻  person with veil: light skin tone
    public const PERSON_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FC}"; // 👰🏼  person with veil: medium-light skin tone
    public const PERSON_WITH_VEIL_MEDIUM_SKIN_TONE = "\u{1F470}\u{1F3FD}"; // 👰🏽  person with veil: medium skin tone
    public const PERSON_WITH_VEIL_MEDIUM_DARK_SKIN_TONE = "\u{1F470}\u{1F3FE}"; // 👰🏾  person with veil: medium-dark skin tone
    public const PERSON_WITH_VEIL_DARK_SKIN_TONE = "\u{1F470}\u{1F3FF}"; // 👰🏿  person with veil: dark skin tone
    public const MAN_WITH_VEIL = "\u{1F470}\u{200D}\u{2642}\u{FE0F}"; // 👰‍♂️  man with veil
    public const MAN_WITH_VEIL_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 👰🏻‍♂️  man with veil: light skin tone
    public const MAN_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 👰🏼‍♂️  man with veil: medium-light skin tone
    public const MAN_WITH_VEIL_MEDIUM_SKIN_TONE = "\u{1F470}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 👰🏽‍♂️  man with veil: medium skin tone
    public const MAN_WITH_VEIL_MEDIUM_DARK_SKIN_TONE = "\u{1F470}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 👰🏾‍♂️  man with veil: medium-dark skin tone
    public const MAN_WITH_VEIL_DARK_SKIN_TONE = "\u{1F470}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 👰🏿‍♂️  man with veil: dark skin tone
    public const WOMAN_WITH_VEIL = "\u{1F470}\u{200D}\u{2640}\u{FE0F}"; // 👰‍♀️  woman with veil
    public const WOMAN_WITH_VEIL_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 👰🏻‍♀️  woman with veil: light skin tone
    public const WOMAN_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F470}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 👰🏼‍♀️  woman with veil: medium-light skin tone
    public const WOMAN_WITH_VEIL_MEDIUM_SKIN_TONE = "\u{1F470}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 👰🏽‍♀️  woman with veil: medium skin tone
    public const WOMAN_WITH_VEIL_MEDIUM_DARK_SKIN_TONE = "\u{1F470}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 👰🏾‍♀️  woman with veil: medium-dark skin tone
    public const WOMAN_WITH_VEIL_DARK_SKIN_TONE = "\u{1F470}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 👰🏿‍♀️  woman with veil: dark skin tone
    public const PREGNANT_WOMAN = "\u{1F930}"; // 🤰  pregnant woman
    public const PREGNANT_WOMAN_LIGHT_SKIN_TONE = "\u{1F930}\u{1F3FB}"; // 🤰🏻  pregnant woman: light skin tone
    public const PREGNANT_WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F930}\u{1F3FC}"; // 🤰🏼  pregnant woman: medium-light skin tone
    public const PREGNANT_WOMAN_MEDIUM_SKIN_TONE = "\u{1F930}\u{1F3FD}"; // 🤰🏽  pregnant woman: medium skin tone
    public const PREGNANT_WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F930}\u{1F3FE}"; // 🤰🏾  pregnant woman: medium-dark skin tone
    public const PREGNANT_WOMAN_DARK_SKIN_TONE = "\u{1F930}\u{1F3FF}"; // 🤰🏿  pregnant woman: dark skin tone
    public const BREAST_FEEDING = "\u{1F931}"; // 🤱  breast-feeding
    public const BREAST_FEEDING_LIGHT_SKIN_TONE = "\u{1F931}\u{1F3FB}"; // 🤱🏻  breast-feeding: light skin tone
    public const BREAST_FEEDING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F931}\u{1F3FC}"; // 🤱🏼  breast-feeding: medium-light skin tone
    public const BREAST_FEEDING_MEDIUM_SKIN_TONE = "\u{1F931}\u{1F3FD}"; // 🤱🏽  breast-feeding: medium skin tone
    public const BREAST_FEEDING_MEDIUM_DARK_SKIN_TONE = "\u{1F931}\u{1F3FE}"; // 🤱🏾  breast-feeding: medium-dark skin tone
    public const BREAST_FEEDING_DARK_SKIN_TONE = "\u{1F931}\u{1F3FF}"; // 🤱🏿  breast-feeding: dark skin tone
    public const WOMAN_FEEDING_BABY = "\u{1F469}\u{200D}\u{1F37C}"; // 👩‍🍼  woman feeding baby
    public const WOMAN_FEEDING_BABY_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F37C}"; // 👩🏻‍🍼  woman feeding baby: light skin tone
    public const WOMAN_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F37C}"; // 👩🏼‍🍼  woman feeding baby: medium-light skin tone
    public const WOMAN_FEEDING_BABY_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F37C}"; // 👩🏽‍🍼  woman feeding baby: medium skin tone
    public const WOMAN_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F37C}"; // 👩🏾‍🍼  woman feeding baby: medium-dark skin tone
    public const WOMAN_FEEDING_BABY_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F37C}"; // 👩🏿‍🍼  woman feeding baby: dark skin tone
    public const MAN_FEEDING_BABY = "\u{1F468}\u{200D}\u{1F37C}"; // 👨‍🍼  man feeding baby
    public const MAN_FEEDING_BABY_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F37C}"; // 👨🏻‍🍼  man feeding baby: light skin tone
    public const MAN_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F37C}"; // 👨🏼‍🍼  man feeding baby: medium-light skin tone
    public const MAN_FEEDING_BABY_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F37C}"; // 👨🏽‍🍼  man feeding baby: medium skin tone
    public const MAN_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F37C}"; // 👨🏾‍🍼  man feeding baby: medium-dark skin tone
    public const MAN_FEEDING_BABY_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F37C}"; // 👨🏿‍🍼  man feeding baby: dark skin tone
    public const PERSON_FEEDING_BABY = "\u{1F9D1}\u{200D}\u{1F37C}"; // 🧑‍🍼  person feeding baby
    public const PERSON_FEEDING_BABY_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F37C}"; // 🧑🏻‍🍼  person feeding baby: light skin tone
    public const PERSON_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F37C}"; // 🧑🏼‍🍼  person feeding baby: medium-light skin tone
    public const PERSON_FEEDING_BABY_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F37C}"; // 🧑🏽‍🍼  person feeding baby: medium skin tone
    public const PERSON_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F37C}"; // 🧑🏾‍🍼  person feeding baby: medium-dark skin tone
    public const PERSON_FEEDING_BABY_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F37C}"; // 🧑🏿‍🍼  person feeding baby: dark skin tone
    public const BABY_ANGEL = "\u{1F47C}"; // 👼  baby angel
    public const BABY_ANGEL_LIGHT_SKIN_TONE = "\u{1F47C}\u{1F3FB}"; // 👼🏻  baby angel: light skin tone
    public const BABY_ANGEL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F47C}\u{1F3FC}"; // 👼🏼  baby angel: medium-light skin tone
    public const BABY_ANGEL_MEDIUM_SKIN_TONE = "\u{1F47C}\u{1F3FD}"; // 👼🏽  baby angel: medium skin tone
    public const BABY_ANGEL_MEDIUM_DARK_SKIN_TONE = "\u{1F47C}\u{1F3FE}"; // 👼🏾  baby angel: medium-dark skin tone
    public const BABY_ANGEL_DARK_SKIN_TONE = "\u{1F47C}\u{1F3FF}"; // 👼🏿  baby angel: dark skin tone
    public const SANTA_CLAUS = "\u{1F385}"; // 🎅  Santa Claus
    public const SANTA_CLAUS_LIGHT_SKIN_TONE = "\u{1F385}\u{1F3FB}"; // 🎅🏻  Santa Claus: light skin tone
    public const SANTA_CLAUS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F385}\u{1F3FC}"; // 🎅🏼  Santa Claus: medium-light skin tone
    public const SANTA_CLAUS_MEDIUM_SKIN_TONE = "\u{1F385}\u{1F3FD}"; // 🎅🏽  Santa Claus: medium skin tone
    public const SANTA_CLAUS_MEDIUM_DARK_SKIN_TONE = "\u{1F385}\u{1F3FE}"; // 🎅🏾  Santa Claus: medium-dark skin tone
    public const SANTA_CLAUS_DARK_SKIN_TONE = "\u{1F385}\u{1F3FF}"; // 🎅🏿  Santa Claus: dark skin tone
    public const MRS_CLAUS = "\u{1F936}"; // 🤶  Mrs. Claus
    public const MRS_CLAUS_LIGHT_SKIN_TONE = "\u{1F936}\u{1F3FB}"; // 🤶🏻  Mrs. Claus: light skin tone
    public const MRS_CLAUS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F936}\u{1F3FC}"; // 🤶🏼  Mrs. Claus: medium-light skin tone
    public const MRS_CLAUS_MEDIUM_SKIN_TONE = "\u{1F936}\u{1F3FD}"; // 🤶🏽  Mrs. Claus: medium skin tone
    public const MRS_CLAUS_MEDIUM_DARK_SKIN_TONE = "\u{1F936}\u{1F3FE}"; // 🤶🏾  Mrs. Claus: medium-dark skin tone
    public const MRS_CLAUS_DARK_SKIN_TONE = "\u{1F936}\u{1F3FF}"; // 🤶🏿  Mrs. Claus: dark skin tone
    public const MX_CLAUS = "\u{1F9D1}\u{200D}\u{1F384}"; // 🧑‍🎄  mx claus
    public const MX_CLAUS_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F384}"; // 🧑🏻‍🎄  mx claus: light skin tone
    public const MX_CLAUS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F384}"; // 🧑🏼‍🎄  mx claus: medium-light skin tone
    public const MX_CLAUS_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F384}"; // 🧑🏽‍🎄  mx claus: medium skin tone
    public const MX_CLAUS_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F384}"; // 🧑🏾‍🎄  mx claus: medium-dark skin tone
    public const MX_CLAUS_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F384}"; // 🧑🏿‍🎄  mx claus: dark skin tone
    public const SUPERHERO = "\u{1F9B8}"; // 🦸  superhero
    public const SUPERHERO_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FB}"; // 🦸🏻  superhero: light skin tone
    public const SUPERHERO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FC}"; // 🦸🏼  superhero: medium-light skin tone
    public const SUPERHERO_MEDIUM_SKIN_TONE = "\u{1F9B8}\u{1F3FD}"; // 🦸🏽  superhero: medium skin tone
    public const SUPERHERO_MEDIUM_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FE}"; // 🦸🏾  superhero: medium-dark skin tone
    public const SUPERHERO_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FF}"; // 🦸🏿  superhero: dark skin tone
    public const MAN_SUPERHERO = "\u{1F9B8}\u{200D}\u{2642}\u{FE0F}"; // 🦸‍♂️  man superhero
    public const MAN_SUPERHERO_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🦸🏻‍♂️  man superhero: light skin tone
    public const MAN_SUPERHERO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🦸🏼‍♂️  man superhero: medium-light skin tone
    public const MAN_SUPERHERO_MEDIUM_SKIN_TONE = "\u{1F9B8}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🦸🏽‍♂️  man superhero: medium skin tone
    public const MAN_SUPERHERO_MEDIUM_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🦸🏾‍♂️  man superhero: medium-dark skin tone
    public const MAN_SUPERHERO_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🦸🏿‍♂️  man superhero: dark skin tone
    public const WOMAN_SUPERHERO = "\u{1F9B8}\u{200D}\u{2640}\u{FE0F}"; // 🦸‍♀️  woman superhero
    public const WOMAN_SUPERHERO_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🦸🏻‍♀️  woman superhero: light skin tone
    public const WOMAN_SUPERHERO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B8}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🦸🏼‍♀️  woman superhero: medium-light skin tone
    public const WOMAN_SUPERHERO_MEDIUM_SKIN_TONE = "\u{1F9B8}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🦸🏽‍♀️  woman superhero: medium skin tone
    public const WOMAN_SUPERHERO_MEDIUM_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🦸🏾‍♀️  woman superhero: medium-dark skin tone
    public const WOMAN_SUPERHERO_DARK_SKIN_TONE = "\u{1F9B8}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🦸🏿‍♀️  woman superhero: dark skin tone
    public const SUPERVILLAIN = "\u{1F9B9}"; // 🦹  supervillain
    public const SUPERVILLAIN_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FB}"; // 🦹🏻  supervillain: light skin tone
    public const SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FC}"; // 🦹🏼  supervillain: medium-light skin tone
    public const SUPERVILLAIN_MEDIUM_SKIN_TONE = "\u{1F9B9}\u{1F3FD}"; // 🦹🏽  supervillain: medium skin tone
    public const SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FE}"; // 🦹🏾  supervillain: medium-dark skin tone
    public const SUPERVILLAIN_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FF}"; // 🦹🏿  supervillain: dark skin tone
    public const MAN_SUPERVILLAIN = "\u{1F9B9}\u{200D}\u{2642}\u{FE0F}"; // 🦹‍♂️  man supervillain
    public const MAN_SUPERVILLAIN_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🦹🏻‍♂️  man supervillain: light skin tone
    public const MAN_SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🦹🏼‍♂️  man supervillain: medium-light skin tone
    public const MAN_SUPERVILLAIN_MEDIUM_SKIN_TONE = "\u{1F9B9}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🦹🏽‍♂️  man supervillain: medium skin tone
    public const MAN_SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🦹🏾‍♂️  man supervillain: medium-dark skin tone
    public const MAN_SUPERVILLAIN_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🦹🏿‍♂️  man supervillain: dark skin tone
    public const WOMAN_SUPERVILLAIN = "\u{1F9B9}\u{200D}\u{2640}\u{FE0F}"; // 🦹‍♀️  woman supervillain
    public const WOMAN_SUPERVILLAIN_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🦹🏻‍♀️  woman supervillain: light skin tone
    public const WOMAN_SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9B9}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🦹🏼‍♀️  woman supervillain: medium-light skin tone
    public const WOMAN_SUPERVILLAIN_MEDIUM_SKIN_TONE = "\u{1F9B9}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🦹🏽‍♀️  woman supervillain: medium skin tone
    public const WOMAN_SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🦹🏾‍♀️  woman supervillain: medium-dark skin tone
    public const WOMAN_SUPERVILLAIN_DARK_SKIN_TONE = "\u{1F9B9}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🦹🏿‍♀️  woman supervillain: dark skin tone
    public const MAGE = "\u{1F9D9}"; // 🧙  mage
    public const MAGE_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FB}"; // 🧙🏻  mage: light skin tone
    public const MAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FC}"; // 🧙🏼  mage: medium-light skin tone
    public const MAGE_MEDIUM_SKIN_TONE = "\u{1F9D9}\u{1F3FD}"; // 🧙🏽  mage: medium skin tone
    public const MAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FE}"; // 🧙🏾  mage: medium-dark skin tone
    public const MAGE_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FF}"; // 🧙🏿  mage: dark skin tone
    public const MAN_MAGE = "\u{1F9D9}\u{200D}\u{2642}\u{FE0F}"; // 🧙‍♂️  man mage
    public const MAN_MAGE_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧙🏻‍♂️  man mage: light skin tone
    public const MAN_MAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧙🏼‍♂️  man mage: medium-light skin tone
    public const MAN_MAGE_MEDIUM_SKIN_TONE = "\u{1F9D9}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧙🏽‍♂️  man mage: medium skin tone
    public const MAN_MAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧙🏾‍♂️  man mage: medium-dark skin tone
    public const MAN_MAGE_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧙🏿‍♂️  man mage: dark skin tone
    public const WOMAN_MAGE = "\u{1F9D9}\u{200D}\u{2640}\u{FE0F}"; // 🧙‍♀️  woman mage
    public const WOMAN_MAGE_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧙🏻‍♀️  woman mage: light skin tone
    public const WOMAN_MAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D9}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧙🏼‍♀️  woman mage: medium-light skin tone
    public const WOMAN_MAGE_MEDIUM_SKIN_TONE = "\u{1F9D9}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧙🏽‍♀️  woman mage: medium skin tone
    public const WOMAN_MAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧙🏾‍♀️  woman mage: medium-dark skin tone
    public const WOMAN_MAGE_DARK_SKIN_TONE = "\u{1F9D9}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧙🏿‍♀️  woman mage: dark skin tone
    public const FAIRY = "\u{1F9DA}"; // 🧚  fairy
    public const FAIRY_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FB}"; // 🧚🏻  fairy: light skin tone
    public const FAIRY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FC}"; // 🧚🏼  fairy: medium-light skin tone
    public const FAIRY_MEDIUM_SKIN_TONE = "\u{1F9DA}\u{1F3FD}"; // 🧚🏽  fairy: medium skin tone
    public const FAIRY_MEDIUM_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FE}"; // 🧚🏾  fairy: medium-dark skin tone
    public const FAIRY_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FF}"; // 🧚🏿  fairy: dark skin tone
    public const MAN_FAIRY = "\u{1F9DA}\u{200D}\u{2642}\u{FE0F}"; // 🧚‍♂️  man fairy
    public const MAN_FAIRY_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧚🏻‍♂️  man fairy: light skin tone
    public const MAN_FAIRY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧚🏼‍♂️  man fairy: medium-light skin tone
    public const MAN_FAIRY_MEDIUM_SKIN_TONE = "\u{1F9DA}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧚🏽‍♂️  man fairy: medium skin tone
    public const MAN_FAIRY_MEDIUM_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧚🏾‍♂️  man fairy: medium-dark skin tone
    public const MAN_FAIRY_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧚🏿‍♂️  man fairy: dark skin tone
    public const WOMAN_FAIRY = "\u{1F9DA}\u{200D}\u{2640}\u{FE0F}"; // 🧚‍♀️  woman fairy
    public const WOMAN_FAIRY_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧚🏻‍♀️  woman fairy: light skin tone
    public const WOMAN_FAIRY_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DA}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧚🏼‍♀️  woman fairy: medium-light skin tone
    public const WOMAN_FAIRY_MEDIUM_SKIN_TONE = "\u{1F9DA}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧚🏽‍♀️  woman fairy: medium skin tone
    public const WOMAN_FAIRY_MEDIUM_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧚🏾‍♀️  woman fairy: medium-dark skin tone
    public const WOMAN_FAIRY_DARK_SKIN_TONE = "\u{1F9DA}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧚🏿‍♀️  woman fairy: dark skin tone
    public const VAMPIRE = "\u{1F9DB}"; // 🧛  vampire
    public const VAMPIRE_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FB}"; // 🧛🏻  vampire: light skin tone
    public const VAMPIRE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FC}"; // 🧛🏼  vampire: medium-light skin tone
    public const VAMPIRE_MEDIUM_SKIN_TONE = "\u{1F9DB}\u{1F3FD}"; // 🧛🏽  vampire: medium skin tone
    public const VAMPIRE_MEDIUM_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FE}"; // 🧛🏾  vampire: medium-dark skin tone
    public const VAMPIRE_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FF}"; // 🧛🏿  vampire: dark skin tone
    public const MAN_VAMPIRE = "\u{1F9DB}\u{200D}\u{2642}\u{FE0F}"; // 🧛‍♂️  man vampire
    public const MAN_VAMPIRE_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧛🏻‍♂️  man vampire: light skin tone
    public const MAN_VAMPIRE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧛🏼‍♂️  man vampire: medium-light skin tone
    public const MAN_VAMPIRE_MEDIUM_SKIN_TONE = "\u{1F9DB}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧛🏽‍♂️  man vampire: medium skin tone
    public const MAN_VAMPIRE_MEDIUM_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧛🏾‍♂️  man vampire: medium-dark skin tone
    public const MAN_VAMPIRE_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧛🏿‍♂️  man vampire: dark skin tone
    public const WOMAN_VAMPIRE = "\u{1F9DB}\u{200D}\u{2640}\u{FE0F}"; // 🧛‍♀️  woman vampire
    public const WOMAN_VAMPIRE_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧛🏻‍♀️  woman vampire: light skin tone
    public const WOMAN_VAMPIRE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DB}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧛🏼‍♀️  woman vampire: medium-light skin tone
    public const WOMAN_VAMPIRE_MEDIUM_SKIN_TONE = "\u{1F9DB}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧛🏽‍♀️  woman vampire: medium skin tone
    public const WOMAN_VAMPIRE_MEDIUM_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧛🏾‍♀️  woman vampire: medium-dark skin tone
    public const WOMAN_VAMPIRE_DARK_SKIN_TONE = "\u{1F9DB}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧛🏿‍♀️  woman vampire: dark skin tone
    public const MERPERSON = "\u{1F9DC}"; // 🧜  merperson
    public const MERPERSON_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FB}"; // 🧜🏻  merperson: light skin tone
    public const MERPERSON_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FC}"; // 🧜🏼  merperson: medium-light skin tone
    public const MERPERSON_MEDIUM_SKIN_TONE = "\u{1F9DC}\u{1F3FD}"; // 🧜🏽  merperson: medium skin tone
    public const MERPERSON_MEDIUM_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FE}"; // 🧜🏾  merperson: medium-dark skin tone
    public const MERPERSON_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FF}"; // 🧜🏿  merperson: dark skin tone
    public const MERMAN = "\u{1F9DC}\u{200D}\u{2642}\u{FE0F}"; // 🧜‍♂️  merman
    public const MERMAN_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧜🏻‍♂️  merman: light skin tone
    public const MERMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧜🏼‍♂️  merman: medium-light skin tone
    public const MERMAN_MEDIUM_SKIN_TONE = "\u{1F9DC}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧜🏽‍♂️  merman: medium skin tone
    public const MERMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧜🏾‍♂️  merman: medium-dark skin tone
    public const MERMAN_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧜🏿‍♂️  merman: dark skin tone
    public const MERMAID = "\u{1F9DC}\u{200D}\u{2640}\u{FE0F}"; // 🧜‍♀️  mermaid
    public const MERMAID_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧜🏻‍♀️  mermaid: light skin tone
    public const MERMAID_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DC}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧜🏼‍♀️  mermaid: medium-light skin tone
    public const MERMAID_MEDIUM_SKIN_TONE = "\u{1F9DC}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧜🏽‍♀️  mermaid: medium skin tone
    public const MERMAID_MEDIUM_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧜🏾‍♀️  mermaid: medium-dark skin tone
    public const MERMAID_DARK_SKIN_TONE = "\u{1F9DC}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧜🏿‍♀️  mermaid: dark skin tone
    public const ELF = "\u{1F9DD}"; // 🧝  elf
    public const ELF_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FB}"; // 🧝🏻  elf: light skin tone
    public const ELF_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FC}"; // 🧝🏼  elf: medium-light skin tone
    public const ELF_MEDIUM_SKIN_TONE = "\u{1F9DD}\u{1F3FD}"; // 🧝🏽  elf: medium skin tone
    public const ELF_MEDIUM_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FE}"; // 🧝🏾  elf: medium-dark skin tone
    public const ELF_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FF}"; // 🧝🏿  elf: dark skin tone
    public const MAN_ELF = "\u{1F9DD}\u{200D}\u{2642}\u{FE0F}"; // 🧝‍♂️  man elf
    public const MAN_ELF_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧝🏻‍♂️  man elf: light skin tone
    public const MAN_ELF_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧝🏼‍♂️  man elf: medium-light skin tone
    public const MAN_ELF_MEDIUM_SKIN_TONE = "\u{1F9DD}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧝🏽‍♂️  man elf: medium skin tone
    public const MAN_ELF_MEDIUM_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧝🏾‍♂️  man elf: medium-dark skin tone
    public const MAN_ELF_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧝🏿‍♂️  man elf: dark skin tone
    public const WOMAN_ELF = "\u{1F9DD}\u{200D}\u{2640}\u{FE0F}"; // 🧝‍♀️  woman elf
    public const WOMAN_ELF_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧝🏻‍♀️  woman elf: light skin tone
    public const WOMAN_ELF_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9DD}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧝🏼‍♀️  woman elf: medium-light skin tone
    public const WOMAN_ELF_MEDIUM_SKIN_TONE = "\u{1F9DD}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧝🏽‍♀️  woman elf: medium skin tone
    public const WOMAN_ELF_MEDIUM_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧝🏾‍♀️  woman elf: medium-dark skin tone
    public const WOMAN_ELF_DARK_SKIN_TONE = "\u{1F9DD}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧝🏿‍♀️  woman elf: dark skin tone
    public const GENIE = "\u{1F9DE}"; // 🧞  genie
    public const MAN_GENIE = "\u{1F9DE}\u{200D}\u{2642}\u{FE0F}"; // 🧞‍♂️  man genie
    public const WOMAN_GENIE = "\u{1F9DE}\u{200D}\u{2640}\u{FE0F}"; // 🧞‍♀️  woman genie
    public const ZOMBIE = "\u{1F9DF}"; // 🧟  zombie
    public const MAN_ZOMBIE = "\u{1F9DF}\u{200D}\u{2642}\u{FE0F}"; // 🧟‍♂️  man zombie
    public const WOMAN_ZOMBIE = "\u{1F9DF}\u{200D}\u{2640}\u{FE0F}"; // 🧟‍♀️  woman zombie
    public const PERSON_GETTING_MASSAGE = "\u{1F486}"; // 💆  person getting massage
    public const PERSON_GETTING_MASSAGE_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FB}"; // 💆🏻  person getting massage: light skin tone
    public const PERSON_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FC}"; // 💆🏼  person getting massage: medium-light skin tone
    public const PERSON_GETTING_MASSAGE_MEDIUM_SKIN_TONE = "\u{1F486}\u{1F3FD}"; // 💆🏽  person getting massage: medium skin tone
    public const PERSON_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F486}\u{1F3FE}"; // 💆🏾  person getting massage: medium-dark skin tone
    public const PERSON_GETTING_MASSAGE_DARK_SKIN_TONE = "\u{1F486}\u{1F3FF}"; // 💆🏿  person getting massage: dark skin tone
    public const MAN_GETTING_MASSAGE = "\u{1F486}\u{200D}\u{2642}\u{FE0F}"; // 💆‍♂️  man getting massage
    public const MAN_GETTING_MASSAGE_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 💆🏻‍♂️  man getting massage: light skin tone
    public const MAN_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 💆🏼‍♂️  man getting massage: medium-light skin tone
    public const MAN_GETTING_MASSAGE_MEDIUM_SKIN_TONE = "\u{1F486}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 💆🏽‍♂️  man getting massage: medium skin tone
    public const MAN_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F486}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 💆🏾‍♂️  man getting massage: medium-dark skin tone
    public const MAN_GETTING_MASSAGE_DARK_SKIN_TONE = "\u{1F486}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 💆🏿‍♂️  man getting massage: dark skin tone
    public const WOMAN_GETTING_MASSAGE = "\u{1F486}\u{200D}\u{2640}\u{FE0F}"; // 💆‍♀️  woman getting massage
    public const WOMAN_GETTING_MASSAGE_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 💆🏻‍♀️  woman getting massage: light skin tone
    public const WOMAN_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F486}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 💆🏼‍♀️  woman getting massage: medium-light skin tone
    public const WOMAN_GETTING_MASSAGE_MEDIUM_SKIN_TONE = "\u{1F486}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 💆🏽‍♀️  woman getting massage: medium skin tone
    public const WOMAN_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE = "\u{1F486}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 💆🏾‍♀️  woman getting massage: medium-dark skin tone
    public const WOMAN_GETTING_MASSAGE_DARK_SKIN_TONE = "\u{1F486}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 💆🏿‍♀️  woman getting massage: dark skin tone
    public const PERSON_GETTING_HAIRCUT = "\u{1F487}"; // 💇  person getting haircut
    public const PERSON_GETTING_HAIRCUT_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FB}"; // 💇🏻  person getting haircut: light skin tone
    public const PERSON_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FC}"; // 💇🏼  person getting haircut: medium-light skin tone
    public const PERSON_GETTING_HAIRCUT_MEDIUM_SKIN_TONE = "\u{1F487}\u{1F3FD}"; // 💇🏽  person getting haircut: medium skin tone
    public const PERSON_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE = "\u{1F487}\u{1F3FE}"; // 💇🏾  person getting haircut: medium-dark skin tone
    public const PERSON_GETTING_HAIRCUT_DARK_SKIN_TONE = "\u{1F487}\u{1F3FF}"; // 💇🏿  person getting haircut: dark skin tone
    public const MAN_GETTING_HAIRCUT = "\u{1F487}\u{200D}\u{2642}\u{FE0F}"; // 💇‍♂️  man getting haircut
    public const MAN_GETTING_HAIRCUT_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 💇🏻‍♂️  man getting haircut: light skin tone
    public const MAN_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 💇🏼‍♂️  man getting haircut: medium-light skin tone
    public const MAN_GETTING_HAIRCUT_MEDIUM_SKIN_TONE = "\u{1F487}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 💇🏽‍♂️  man getting haircut: medium skin tone
    public const MAN_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE = "\u{1F487}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 💇🏾‍♂️  man getting haircut: medium-dark skin tone
    public const MAN_GETTING_HAIRCUT_DARK_SKIN_TONE = "\u{1F487}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 💇🏿‍♂️  man getting haircut: dark skin tone
    public const WOMAN_GETTING_HAIRCUT = "\u{1F487}\u{200D}\u{2640}\u{FE0F}"; // 💇‍♀️  woman getting haircut
    public const WOMAN_GETTING_HAIRCUT_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 💇🏻‍♀️  woman getting haircut: light skin tone
    public const WOMAN_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F487}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 💇🏼‍♀️  woman getting haircut: medium-light skin tone
    public const WOMAN_GETTING_HAIRCUT_MEDIUM_SKIN_TONE = "\u{1F487}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 💇🏽‍♀️  woman getting haircut: medium skin tone
    public const WOMAN_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE = "\u{1F487}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 💇🏾‍♀️  woman getting haircut: medium-dark skin tone
    public const WOMAN_GETTING_HAIRCUT_DARK_SKIN_TONE = "\u{1F487}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 💇🏿‍♀️  woman getting haircut: dark skin tone
    public const PERSON_WALKING = "\u{1F6B6}"; // 🚶  person walking
    public const PERSON_WALKING_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FB}"; // 🚶🏻  person walking: light skin tone
    public const PERSON_WALKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FC}"; // 🚶🏼  person walking: medium-light skin tone
    public const PERSON_WALKING_MEDIUM_SKIN_TONE = "\u{1F6B6}\u{1F3FD}"; // 🚶🏽  person walking: medium skin tone
    public const PERSON_WALKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FE}"; // 🚶🏾  person walking: medium-dark skin tone
    public const PERSON_WALKING_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FF}"; // 🚶🏿  person walking: dark skin tone
    public const MAN_WALKING = "\u{1F6B6}\u{200D}\u{2642}\u{FE0F}"; // 🚶‍♂️  man walking
    public const MAN_WALKING_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🚶🏻‍♂️  man walking: light skin tone
    public const MAN_WALKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🚶🏼‍♂️  man walking: medium-light skin tone
    public const MAN_WALKING_MEDIUM_SKIN_TONE = "\u{1F6B6}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🚶🏽‍♂️  man walking: medium skin tone
    public const MAN_WALKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🚶🏾‍♂️  man walking: medium-dark skin tone
    public const MAN_WALKING_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🚶🏿‍♂️  man walking: dark skin tone
    public const WOMAN_WALKING = "\u{1F6B6}\u{200D}\u{2640}\u{FE0F}"; // 🚶‍♀️  woman walking
    public const WOMAN_WALKING_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🚶🏻‍♀️  woman walking: light skin tone
    public const WOMAN_WALKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B6}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🚶🏼‍♀️  woman walking: medium-light skin tone
    public const WOMAN_WALKING_MEDIUM_SKIN_TONE = "\u{1F6B6}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🚶🏽‍♀️  woman walking: medium skin tone
    public const WOMAN_WALKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🚶🏾‍♀️  woman walking: medium-dark skin tone
    public const WOMAN_WALKING_DARK_SKIN_TONE = "\u{1F6B6}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🚶🏿‍♀️  woman walking: dark skin tone
    public const PERSON_STANDING = "\u{1F9CD}"; // 🧍  person standing
    public const PERSON_STANDING_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FB}"; // 🧍🏻  person standing: light skin tone
    public const PERSON_STANDING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FC}"; // 🧍🏼  person standing: medium-light skin tone
    public const PERSON_STANDING_MEDIUM_SKIN_TONE = "\u{1F9CD}\u{1F3FD}"; // 🧍🏽  person standing: medium skin tone
    public const PERSON_STANDING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FE}"; // 🧍🏾  person standing: medium-dark skin tone
    public const PERSON_STANDING_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FF}"; // 🧍🏿  person standing: dark skin tone
    public const MAN_STANDING = "\u{1F9CD}\u{200D}\u{2642}\u{FE0F}"; // 🧍‍♂️  man standing
    public const MAN_STANDING_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧍🏻‍♂️  man standing: light skin tone
    public const MAN_STANDING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧍🏼‍♂️  man standing: medium-light skin tone
    public const MAN_STANDING_MEDIUM_SKIN_TONE = "\u{1F9CD}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧍🏽‍♂️  man standing: medium skin tone
    public const MAN_STANDING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧍🏾‍♂️  man standing: medium-dark skin tone
    public const MAN_STANDING_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧍🏿‍♂️  man standing: dark skin tone
    public const WOMAN_STANDING = "\u{1F9CD}\u{200D}\u{2640}\u{FE0F}"; // 🧍‍♀️  woman standing
    public const WOMAN_STANDING_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧍🏻‍♀️  woman standing: light skin tone
    public const WOMAN_STANDING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CD}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧍🏼‍♀️  woman standing: medium-light skin tone
    public const WOMAN_STANDING_MEDIUM_SKIN_TONE = "\u{1F9CD}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧍🏽‍♀️  woman standing: medium skin tone
    public const WOMAN_STANDING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧍🏾‍♀️  woman standing: medium-dark skin tone
    public const WOMAN_STANDING_DARK_SKIN_TONE = "\u{1F9CD}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧍🏿‍♀️  woman standing: dark skin tone
    public const PERSON_KNEELING = "\u{1F9CE}"; // 🧎  person kneeling
    public const PERSON_KNEELING_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FB}"; // 🧎🏻  person kneeling: light skin tone
    public const PERSON_KNEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FC}"; // 🧎🏼  person kneeling: medium-light skin tone
    public const PERSON_KNEELING_MEDIUM_SKIN_TONE = "\u{1F9CE}\u{1F3FD}"; // 🧎🏽  person kneeling: medium skin tone
    public const PERSON_KNEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FE}"; // 🧎🏾  person kneeling: medium-dark skin tone
    public const PERSON_KNEELING_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FF}"; // 🧎🏿  person kneeling: dark skin tone
    public const MAN_KNEELING = "\u{1F9CE}\u{200D}\u{2642}\u{FE0F}"; // 🧎‍♂️  man kneeling
    public const MAN_KNEELING_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧎🏻‍♂️  man kneeling: light skin tone
    public const MAN_KNEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧎🏼‍♂️  man kneeling: medium-light skin tone
    public const MAN_KNEELING_MEDIUM_SKIN_TONE = "\u{1F9CE}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧎🏽‍♂️  man kneeling: medium skin tone
    public const MAN_KNEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧎🏾‍♂️  man kneeling: medium-dark skin tone
    public const MAN_KNEELING_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧎🏿‍♂️  man kneeling: dark skin tone
    public const WOMAN_KNEELING = "\u{1F9CE}\u{200D}\u{2640}\u{FE0F}"; // 🧎‍♀️  woman kneeling
    public const WOMAN_KNEELING_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧎🏻‍♀️  woman kneeling: light skin tone
    public const WOMAN_KNEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9CE}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧎🏼‍♀️  woman kneeling: medium-light skin tone
    public const WOMAN_KNEELING_MEDIUM_SKIN_TONE = "\u{1F9CE}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧎🏽‍♀️  woman kneeling: medium skin tone
    public const WOMAN_KNEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧎🏾‍♀️  woman kneeling: medium-dark skin tone
    public const WOMAN_KNEELING_DARK_SKIN_TONE = "\u{1F9CE}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧎🏿‍♀️  woman kneeling: dark skin tone
    public const PERSON_WITH_WHITE_CANE = "\u{1F9D1}\u{200D}\u{1F9AF}"; // 🧑‍🦯  person with white cane
    public const PERSON_WITH_WHITE_CANE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9AF}"; // 🧑🏻‍🦯  person with white cane: light skin tone
    public const PERSON_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9AF}"; // 🧑🏼‍🦯  person with white cane: medium-light skin tone
    public const PERSON_WITH_WHITE_CANE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9AF}"; // 🧑🏽‍🦯  person with white cane: medium skin tone
    public const PERSON_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9AF}"; // 🧑🏾‍🦯  person with white cane: medium-dark skin tone
    public const PERSON_WITH_WHITE_CANE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9AF}"; // 🧑🏿‍🦯  person with white cane: dark skin tone
    public const MAN_WITH_WHITE_CANE = "\u{1F468}\u{200D}\u{1F9AF}"; // 👨‍🦯  man with white cane
    public const MAN_WITH_WHITE_CANE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9AF}"; // 👨🏻‍🦯  man with white cane: light skin tone
    public const MAN_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9AF}"; // 👨🏼‍🦯  man with white cane: medium-light skin tone
    public const MAN_WITH_WHITE_CANE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9AF}"; // 👨🏽‍🦯  man with white cane: medium skin tone
    public const MAN_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9AF}"; // 👨🏾‍🦯  man with white cane: medium-dark skin tone
    public const MAN_WITH_WHITE_CANE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9AF}"; // 👨🏿‍🦯  man with white cane: dark skin tone
    public const WOMAN_WITH_WHITE_CANE = "\u{1F469}\u{200D}\u{1F9AF}"; // 👩‍🦯  woman with white cane
    public const WOMAN_WITH_WHITE_CANE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9AF}"; // 👩🏻‍🦯  woman with white cane: light skin tone
    public const WOMAN_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9AF}"; // 👩🏼‍🦯  woman with white cane: medium-light skin tone
    public const WOMAN_WITH_WHITE_CANE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9AF}"; // 👩🏽‍🦯  woman with white cane: medium skin tone
    public const WOMAN_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9AF}"; // 👩🏾‍🦯  woman with white cane: medium-dark skin tone
    public const WOMAN_WITH_WHITE_CANE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9AF}"; // 👩🏿‍🦯  woman with white cane: dark skin tone
    public const PERSON_IN_MOTORIZED_WHEELCHAIR = "\u{1F9D1}\u{200D}\u{1F9BC}"; // 🧑‍🦼  person in motorized wheelchair
    public const PERSON_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9BC}"; // 🧑🏻‍🦼  person in motorized wheelchair: light skin tone
    public const PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9BC}"; // 🧑🏼‍🦼  person in motorized wheelchair: medium-light skin tone
    public const PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9BC}"; // 🧑🏽‍🦼  person in motorized wheelchair: medium skin tone
    public const PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9BC}"; // 🧑🏾‍🦼  person in motorized wheelchair: medium-dark skin tone
    public const PERSON_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9BC}"; // 🧑🏿‍🦼  person in motorized wheelchair: dark skin tone
    public const MAN_IN_MOTORIZED_WHEELCHAIR = "\u{1F468}\u{200D}\u{1F9BC}"; // 👨‍🦼  man in motorized wheelchair
    public const MAN_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9BC}"; // 👨🏻‍🦼  man in motorized wheelchair: light skin tone
    public const MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9BC}"; // 👨🏼‍🦼  man in motorized wheelchair: medium-light skin tone
    public const MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9BC}"; // 👨🏽‍🦼  man in motorized wheelchair: medium skin tone
    public const MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9BC}"; // 👨🏾‍🦼  man in motorized wheelchair: medium-dark skin tone
    public const MAN_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9BC}"; // 👨🏿‍🦼  man in motorized wheelchair: dark skin tone
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR = "\u{1F469}\u{200D}\u{1F9BC}"; // 👩‍🦼  woman in motorized wheelchair
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9BC}"; // 👩🏻‍🦼  woman in motorized wheelchair: light skin tone
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9BC}"; // 👩🏼‍🦼  woman in motorized wheelchair: medium-light skin tone
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9BC}"; // 👩🏽‍🦼  woman in motorized wheelchair: medium skin tone
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9BC}"; // 👩🏾‍🦼  woman in motorized wheelchair: medium-dark skin tone
    public const WOMAN_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9BC}"; // 👩🏿‍🦼  woman in motorized wheelchair: dark skin tone
    public const PERSON_IN_MANUAL_WHEELCHAIR = "\u{1F9D1}\u{200D}\u{1F9BD}"; // 🧑‍🦽  person in manual wheelchair
    public const PERSON_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F9BD}"; // 🧑🏻‍🦽  person in manual wheelchair: light skin tone
    public const PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F9BD}"; // 🧑🏼‍🦽  person in manual wheelchair: medium-light skin tone
    public const PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F9BD}"; // 🧑🏽‍🦽  person in manual wheelchair: medium skin tone
    public const PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F9BD}"; // 🧑🏾‍🦽  person in manual wheelchair: medium-dark skin tone
    public const PERSON_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F9BD}"; // 🧑🏿‍🦽  person in manual wheelchair: dark skin tone
    public const MAN_IN_MANUAL_WHEELCHAIR = "\u{1F468}\u{200D}\u{1F9BD}"; // 👨‍🦽  man in manual wheelchair
    public const MAN_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F9BD}"; // 👨🏻‍🦽  man in manual wheelchair: light skin tone
    public const MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F9BD}"; // 👨🏼‍🦽  man in manual wheelchair: medium-light skin tone
    public const MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F9BD}"; // 👨🏽‍🦽  man in manual wheelchair: medium skin tone
    public const MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F9BD}"; // 👨🏾‍🦽  man in manual wheelchair: medium-dark skin tone
    public const MAN_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F9BD}"; // 👨🏿‍🦽  man in manual wheelchair: dark skin tone
    public const WOMAN_IN_MANUAL_WHEELCHAIR = "\u{1F469}\u{200D}\u{1F9BD}"; // 👩‍🦽  woman in manual wheelchair
    public const WOMAN_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F9BD}"; // 👩🏻‍🦽  woman in manual wheelchair: light skin tone
    public const WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F9BD}"; // 👩🏼‍🦽  woman in manual wheelchair: medium-light skin tone
    public const WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F9BD}"; // 👩🏽‍🦽  woman in manual wheelchair: medium skin tone
    public const WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F9BD}"; // 👩🏾‍🦽  woman in manual wheelchair: medium-dark skin tone
    public const WOMAN_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F9BD}"; // 👩🏿‍🦽  woman in manual wheelchair: dark skin tone
    public const PERSON_RUNNING = "\u{1F3C3}"; // 🏃  person running
    public const PERSON_RUNNING_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FB}"; // 🏃🏻  person running: light skin tone
    public const PERSON_RUNNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FC}"; // 🏃🏼  person running: medium-light skin tone
    public const PERSON_RUNNING_MEDIUM_SKIN_TONE = "\u{1F3C3}\u{1F3FD}"; // 🏃🏽  person running: medium skin tone
    public const PERSON_RUNNING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FE}"; // 🏃🏾  person running: medium-dark skin tone
    public const PERSON_RUNNING_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FF}"; // 🏃🏿  person running: dark skin tone
    public const MAN_RUNNING = "\u{1F3C3}\u{200D}\u{2642}\u{FE0F}"; // 🏃‍♂️  man running
    public const MAN_RUNNING_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🏃🏻‍♂️  man running: light skin tone
    public const MAN_RUNNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🏃🏼‍♂️  man running: medium-light skin tone
    public const MAN_RUNNING_MEDIUM_SKIN_TONE = "\u{1F3C3}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🏃🏽‍♂️  man running: medium skin tone
    public const MAN_RUNNING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🏃🏾‍♂️  man running: medium-dark skin tone
    public const MAN_RUNNING_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🏃🏿‍♂️  man running: dark skin tone
    public const WOMAN_RUNNING = "\u{1F3C3}\u{200D}\u{2640}\u{FE0F}"; // 🏃‍♀️  woman running
    public const WOMAN_RUNNING_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🏃🏻‍♀️  woman running: light skin tone
    public const WOMAN_RUNNING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C3}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🏃🏼‍♀️  woman running: medium-light skin tone
    public const WOMAN_RUNNING_MEDIUM_SKIN_TONE = "\u{1F3C3}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🏃🏽‍♀️  woman running: medium skin tone
    public const WOMAN_RUNNING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🏃🏾‍♀️  woman running: medium-dark skin tone
    public const WOMAN_RUNNING_DARK_SKIN_TONE = "\u{1F3C3}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🏃🏿‍♀️  woman running: dark skin tone
    public const WOMAN_DANCING = "\u{1F483}"; // 💃  woman dancing
    public const WOMAN_DANCING_LIGHT_SKIN_TONE = "\u{1F483}\u{1F3FB}"; // 💃🏻  woman dancing: light skin tone
    public const WOMAN_DANCING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F483}\u{1F3FC}"; // 💃🏼  woman dancing: medium-light skin tone
    public const WOMAN_DANCING_MEDIUM_SKIN_TONE = "\u{1F483}\u{1F3FD}"; // 💃🏽  woman dancing: medium skin tone
    public const WOMAN_DANCING_MEDIUM_DARK_SKIN_TONE = "\u{1F483}\u{1F3FE}"; // 💃🏾  woman dancing: medium-dark skin tone
    public const WOMAN_DANCING_DARK_SKIN_TONE = "\u{1F483}\u{1F3FF}"; // 💃🏿  woman dancing: dark skin tone
    public const MAN_DANCING = "\u{1F57A}"; // 🕺  man dancing
    public const MAN_DANCING_LIGHT_SKIN_TONE = "\u{1F57A}\u{1F3FB}"; // 🕺🏻  man dancing: light skin tone
    public const MAN_DANCING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F57A}\u{1F3FC}"; // 🕺🏼  man dancing: medium-light skin tone
    public const MAN_DANCING_MEDIUM_SKIN_TONE = "\u{1F57A}\u{1F3FD}"; // 🕺🏽  man dancing: medium skin tone
    public const MAN_DANCING_MEDIUM_DARK_SKIN_TONE = "\u{1F57A}\u{1F3FE}"; // 🕺🏾  man dancing: medium-dark skin tone
    public const MAN_DANCING_DARK_SKIN_TONE = "\u{1F57A}\u{1F3FF}"; // 🕺🏿  man dancing: dark skin tone
    public const PERSON_IN_SUIT_LEVITATING = "\u{1F574}\u{FE0F}"; // 🕴️  person in suit levitating
    public const PERSON_IN_SUIT_LEVITATING_LIGHT_SKIN_TONE = "\u{1F574}\u{1F3FB}"; // 🕴🏻  person in suit levitating: light skin tone
    public const PERSON_IN_SUIT_LEVITATING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F574}\u{1F3FC}"; // 🕴🏼  person in suit levitating: medium-light skin tone
    public const PERSON_IN_SUIT_LEVITATING_MEDIUM_SKIN_TONE = "\u{1F574}\u{1F3FD}"; // 🕴🏽  person in suit levitating: medium skin tone
    public const PERSON_IN_SUIT_LEVITATING_MEDIUM_DARK_SKIN_TONE = "\u{1F574}\u{1F3FE}"; // 🕴🏾  person in suit levitating: medium-dark skin tone
    public const PERSON_IN_SUIT_LEVITATING_DARK_SKIN_TONE = "\u{1F574}\u{1F3FF}"; // 🕴🏿  person in suit levitating: dark skin tone
    public const PEOPLE_WITH_BUNNY_EARS = "\u{1F46F}"; // 👯  people with bunny ears
    public const MEN_WITH_BUNNY_EARS = "\u{1F46F}\u{200D}\u{2642}\u{FE0F}"; // 👯‍♂️  men with bunny ears
    public const WOMEN_WITH_BUNNY_EARS = "\u{1F46F}\u{200D}\u{2640}\u{FE0F}"; // 👯‍♀️  women with bunny ears
    public const PERSON_IN_STEAMY_ROOM = "\u{1F9D6}"; // 🧖  person in steamy room
    public const PERSON_IN_STEAMY_ROOM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FB}"; // 🧖🏻  person in steamy room: light skin tone
    public const PERSON_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FC}"; // 🧖🏼  person in steamy room: medium-light skin tone
    public const PERSON_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE = "\u{1F9D6}\u{1F3FD}"; // 🧖🏽  person in steamy room: medium skin tone
    public const PERSON_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FE}"; // 🧖🏾  person in steamy room: medium-dark skin tone
    public const PERSON_IN_STEAMY_ROOM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FF}"; // 🧖🏿  person in steamy room: dark skin tone
    public const MAN_IN_STEAMY_ROOM = "\u{1F9D6}\u{200D}\u{2642}\u{FE0F}"; // 🧖‍♂️  man in steamy room
    public const MAN_IN_STEAMY_ROOM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧖🏻‍♂️  man in steamy room: light skin tone
    public const MAN_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧖🏼‍♂️  man in steamy room: medium-light skin tone
    public const MAN_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE = "\u{1F9D6}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧖🏽‍♂️  man in steamy room: medium skin tone
    public const MAN_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧖🏾‍♂️  man in steamy room: medium-dark skin tone
    public const MAN_IN_STEAMY_ROOM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧖🏿‍♂️  man in steamy room: dark skin tone
    public const WOMAN_IN_STEAMY_ROOM = "\u{1F9D6}\u{200D}\u{2640}\u{FE0F}"; // 🧖‍♀️  woman in steamy room
    public const WOMAN_IN_STEAMY_ROOM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧖🏻‍♀️  woman in steamy room: light skin tone
    public const WOMAN_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D6}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧖🏼‍♀️  woman in steamy room: medium-light skin tone
    public const WOMAN_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE = "\u{1F9D6}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧖🏽‍♀️  woman in steamy room: medium skin tone
    public const WOMAN_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧖🏾‍♀️  woman in steamy room: medium-dark skin tone
    public const WOMAN_IN_STEAMY_ROOM_DARK_SKIN_TONE = "\u{1F9D6}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧖🏿‍♀️  woman in steamy room: dark skin tone
    public const PERSON_CLIMBING = "\u{1F9D7}"; // 🧗  person climbing
    public const PERSON_CLIMBING_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FB}"; // 🧗🏻  person climbing: light skin tone
    public const PERSON_CLIMBING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FC}"; // 🧗🏼  person climbing: medium-light skin tone
    public const PERSON_CLIMBING_MEDIUM_SKIN_TONE = "\u{1F9D7}\u{1F3FD}"; // 🧗🏽  person climbing: medium skin tone
    public const PERSON_CLIMBING_MEDIUM_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FE}"; // 🧗🏾  person climbing: medium-dark skin tone
    public const PERSON_CLIMBING_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FF}"; // 🧗🏿  person climbing: dark skin tone
    public const MAN_CLIMBING = "\u{1F9D7}\u{200D}\u{2642}\u{FE0F}"; // 🧗‍♂️  man climbing
    public const MAN_CLIMBING_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧗🏻‍♂️  man climbing: light skin tone
    public const MAN_CLIMBING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧗🏼‍♂️  man climbing: medium-light skin tone
    public const MAN_CLIMBING_MEDIUM_SKIN_TONE = "\u{1F9D7}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧗🏽‍♂️  man climbing: medium skin tone
    public const MAN_CLIMBING_MEDIUM_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧗🏾‍♂️  man climbing: medium-dark skin tone
    public const MAN_CLIMBING_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧗🏿‍♂️  man climbing: dark skin tone
    public const WOMAN_CLIMBING = "\u{1F9D7}\u{200D}\u{2640}\u{FE0F}"; // 🧗‍♀️  woman climbing
    public const WOMAN_CLIMBING_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧗🏻‍♀️  woman climbing: light skin tone
    public const WOMAN_CLIMBING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D7}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧗🏼‍♀️  woman climbing: medium-light skin tone
    public const WOMAN_CLIMBING_MEDIUM_SKIN_TONE = "\u{1F9D7}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧗🏽‍♀️  woman climbing: medium skin tone
    public const WOMAN_CLIMBING_MEDIUM_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧗🏾‍♀️  woman climbing: medium-dark skin tone
    public const WOMAN_CLIMBING_DARK_SKIN_TONE = "\u{1F9D7}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧗🏿‍♀️  woman climbing: dark skin tone
    public const PERSON_FENCING = "\u{1F93A}"; // 🤺  person fencing
    public const HORSE_RACING = "\u{1F3C7}"; // 🏇  horse racing
    public const HORSE_RACING_LIGHT_SKIN_TONE = "\u{1F3C7}\u{1F3FB}"; // 🏇🏻  horse racing: light skin tone
    public const HORSE_RACING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C7}\u{1F3FC}"; // 🏇🏼  horse racing: medium-light skin tone
    public const HORSE_RACING_MEDIUM_SKIN_TONE = "\u{1F3C7}\u{1F3FD}"; // 🏇🏽  horse racing: medium skin tone
    public const HORSE_RACING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C7}\u{1F3FE}"; // 🏇🏾  horse racing: medium-dark skin tone
    public const HORSE_RACING_DARK_SKIN_TONE = "\u{1F3C7}\u{1F3FF}"; // 🏇🏿  horse racing: dark skin tone
    public const SKIER = "\u{26F7}\u{FE0F}"; // ⛷️  skier
    public const SNOWBOARDER = "\u{1F3C2}"; // 🏂  snowboarder
    public const SNOWBOARDER_LIGHT_SKIN_TONE = "\u{1F3C2}\u{1F3FB}"; // 🏂🏻  snowboarder: light skin tone
    public const SNOWBOARDER_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C2}\u{1F3FC}"; // 🏂🏼  snowboarder: medium-light skin tone
    public const SNOWBOARDER_MEDIUM_SKIN_TONE = "\u{1F3C2}\u{1F3FD}"; // 🏂🏽  snowboarder: medium skin tone
    public const SNOWBOARDER_MEDIUM_DARK_SKIN_TONE = "\u{1F3C2}\u{1F3FE}"; // 🏂🏾  snowboarder: medium-dark skin tone
    public const SNOWBOARDER_DARK_SKIN_TONE = "\u{1F3C2}\u{1F3FF}"; // 🏂🏿  snowboarder: dark skin tone
    public const PERSON_GOLFING = "\u{1F3CC}\u{FE0F}"; // 🏌️  person golfing
    public const PERSON_GOLFING_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FB}"; // 🏌🏻  person golfing: light skin tone
    public const PERSON_GOLFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FC}"; // 🏌🏼  person golfing: medium-light skin tone
    public const PERSON_GOLFING_MEDIUM_SKIN_TONE = "\u{1F3CC}\u{1F3FD}"; // 🏌🏽  person golfing: medium skin tone
    public const PERSON_GOLFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FE}"; // 🏌🏾  person golfing: medium-dark skin tone
    public const PERSON_GOLFING_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FF}"; // 🏌🏿  person golfing: dark skin tone
    public const MAN_GOLFING = "\u{1F3CC}\u{FE0F}\u{200D}\u{2642}\u{FE0F}"; // 🏌️‍♂️  man golfing
    public const MAN_GOLFING_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🏌🏻‍♂️  man golfing: light skin tone
    public const MAN_GOLFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🏌🏼‍♂️  man golfing: medium-light skin tone
    public const MAN_GOLFING_MEDIUM_SKIN_TONE = "\u{1F3CC}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🏌🏽‍♂️  man golfing: medium skin tone
    public const MAN_GOLFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🏌🏾‍♂️  man golfing: medium-dark skin tone
    public const MAN_GOLFING_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🏌🏿‍♂️  man golfing: dark skin tone
    public const WOMAN_GOLFING = "\u{1F3CC}\u{FE0F}\u{200D}\u{2640}\u{FE0F}"; // 🏌️‍♀️  woman golfing
    public const WOMAN_GOLFING_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🏌🏻‍♀️  woman golfing: light skin tone
    public const WOMAN_GOLFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CC}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🏌🏼‍♀️  woman golfing: medium-light skin tone
    public const WOMAN_GOLFING_MEDIUM_SKIN_TONE = "\u{1F3CC}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🏌🏽‍♀️  woman golfing: medium skin tone
    public const WOMAN_GOLFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🏌🏾‍♀️  woman golfing: medium-dark skin tone
    public const WOMAN_GOLFING_DARK_SKIN_TONE = "\u{1F3CC}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🏌🏿‍♀️  woman golfing: dark skin tone
    public const PERSON_SURFING = "\u{1F3C4}"; // 🏄  person surfing
    public const PERSON_SURFING_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FB}"; // 🏄🏻  person surfing: light skin tone
    public const PERSON_SURFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FC}"; // 🏄🏼  person surfing: medium-light skin tone
    public const PERSON_SURFING_MEDIUM_SKIN_TONE = "\u{1F3C4}\u{1F3FD}"; // 🏄🏽  person surfing: medium skin tone
    public const PERSON_SURFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FE}"; // 🏄🏾  person surfing: medium-dark skin tone
    public const PERSON_SURFING_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FF}"; // 🏄🏿  person surfing: dark skin tone
    public const MAN_SURFING = "\u{1F3C4}\u{200D}\u{2642}\u{FE0F}"; // 🏄‍♂️  man surfing
    public const MAN_SURFING_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🏄🏻‍♂️  man surfing: light skin tone
    public const MAN_SURFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🏄🏼‍♂️  man surfing: medium-light skin tone
    public const MAN_SURFING_MEDIUM_SKIN_TONE = "\u{1F3C4}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🏄🏽‍♂️  man surfing: medium skin tone
    public const MAN_SURFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🏄🏾‍♂️  man surfing: medium-dark skin tone
    public const MAN_SURFING_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🏄🏿‍♂️  man surfing: dark skin tone
    public const WOMAN_SURFING = "\u{1F3C4}\u{200D}\u{2640}\u{FE0F}"; // 🏄‍♀️  woman surfing
    public const WOMAN_SURFING_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🏄🏻‍♀️  woman surfing: light skin tone
    public const WOMAN_SURFING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3C4}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🏄🏼‍♀️  woman surfing: medium-light skin tone
    public const WOMAN_SURFING_MEDIUM_SKIN_TONE = "\u{1F3C4}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🏄🏽‍♀️  woman surfing: medium skin tone
    public const WOMAN_SURFING_MEDIUM_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🏄🏾‍♀️  woman surfing: medium-dark skin tone
    public const WOMAN_SURFING_DARK_SKIN_TONE = "\u{1F3C4}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🏄🏿‍♀️  woman surfing: dark skin tone
    public const PERSON_ROWING_BOAT = "\u{1F6A3}"; // 🚣  person rowing boat
    public const PERSON_ROWING_BOAT_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FB}"; // 🚣🏻  person rowing boat: light skin tone
    public const PERSON_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FC}"; // 🚣🏼  person rowing boat: medium-light skin tone
    public const PERSON_ROWING_BOAT_MEDIUM_SKIN_TONE = "\u{1F6A3}\u{1F3FD}"; // 🚣🏽  person rowing boat: medium skin tone
    public const PERSON_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FE}"; // 🚣🏾  person rowing boat: medium-dark skin tone
    public const PERSON_ROWING_BOAT_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FF}"; // 🚣🏿  person rowing boat: dark skin tone
    public const MAN_ROWING_BOAT = "\u{1F6A3}\u{200D}\u{2642}\u{FE0F}"; // 🚣‍♂️  man rowing boat
    public const MAN_ROWING_BOAT_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🚣🏻‍♂️  man rowing boat: light skin tone
    public const MAN_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🚣🏼‍♂️  man rowing boat: medium-light skin tone
    public const MAN_ROWING_BOAT_MEDIUM_SKIN_TONE = "\u{1F6A3}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🚣🏽‍♂️  man rowing boat: medium skin tone
    public const MAN_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🚣🏾‍♂️  man rowing boat: medium-dark skin tone
    public const MAN_ROWING_BOAT_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🚣🏿‍♂️  man rowing boat: dark skin tone
    public const WOMAN_ROWING_BOAT = "\u{1F6A3}\u{200D}\u{2640}\u{FE0F}"; // 🚣‍♀️  woman rowing boat
    public const WOMAN_ROWING_BOAT_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🚣🏻‍♀️  woman rowing boat: light skin tone
    public const WOMAN_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6A3}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🚣🏼‍♀️  woman rowing boat: medium-light skin tone
    public const WOMAN_ROWING_BOAT_MEDIUM_SKIN_TONE = "\u{1F6A3}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🚣🏽‍♀️  woman rowing boat: medium skin tone
    public const WOMAN_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🚣🏾‍♀️  woman rowing boat: medium-dark skin tone
    public const WOMAN_ROWING_BOAT_DARK_SKIN_TONE = "\u{1F6A3}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🚣🏿‍♀️  woman rowing boat: dark skin tone
    public const PERSON_SWIMMING = "\u{1F3CA}"; // 🏊  person swimming
    public const PERSON_SWIMMING_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FB}"; // 🏊🏻  person swimming: light skin tone
    public const PERSON_SWIMMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FC}"; // 🏊🏼  person swimming: medium-light skin tone
    public const PERSON_SWIMMING_MEDIUM_SKIN_TONE = "\u{1F3CA}\u{1F3FD}"; // 🏊🏽  person swimming: medium skin tone
    public const PERSON_SWIMMING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FE}"; // 🏊🏾  person swimming: medium-dark skin tone
    public const PERSON_SWIMMING_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FF}"; // 🏊🏿  person swimming: dark skin tone
    public const MAN_SWIMMING = "\u{1F3CA}\u{200D}\u{2642}\u{FE0F}"; // 🏊‍♂️  man swimming
    public const MAN_SWIMMING_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🏊🏻‍♂️  man swimming: light skin tone
    public const MAN_SWIMMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🏊🏼‍♂️  man swimming: medium-light skin tone
    public const MAN_SWIMMING_MEDIUM_SKIN_TONE = "\u{1F3CA}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🏊🏽‍♂️  man swimming: medium skin tone
    public const MAN_SWIMMING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🏊🏾‍♂️  man swimming: medium-dark skin tone
    public const MAN_SWIMMING_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🏊🏿‍♂️  man swimming: dark skin tone
    public const WOMAN_SWIMMING = "\u{1F3CA}\u{200D}\u{2640}\u{FE0F}"; // 🏊‍♀️  woman swimming
    public const WOMAN_SWIMMING_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🏊🏻‍♀️  woman swimming: light skin tone
    public const WOMAN_SWIMMING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CA}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🏊🏼‍♀️  woman swimming: medium-light skin tone
    public const WOMAN_SWIMMING_MEDIUM_SKIN_TONE = "\u{1F3CA}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🏊🏽‍♀️  woman swimming: medium skin tone
    public const WOMAN_SWIMMING_MEDIUM_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🏊🏾‍♀️  woman swimming: medium-dark skin tone
    public const WOMAN_SWIMMING_DARK_SKIN_TONE = "\u{1F3CA}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🏊🏿‍♀️  woman swimming: dark skin tone
    public const PERSON_BOUNCING_BALL = "\u{26F9}\u{FE0F}"; // ⛹️  person bouncing ball
    public const PERSON_BOUNCING_BALL_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FB}"; // ⛹🏻  person bouncing ball: light skin tone
    public const PERSON_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FC}"; // ⛹🏼  person bouncing ball: medium-light skin tone
    public const PERSON_BOUNCING_BALL_MEDIUM_SKIN_TONE = "\u{26F9}\u{1F3FD}"; // ⛹🏽  person bouncing ball: medium skin tone
    public const PERSON_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE = "\u{26F9}\u{1F3FE}"; // ⛹🏾  person bouncing ball: medium-dark skin tone
    public const PERSON_BOUNCING_BALL_DARK_SKIN_TONE = "\u{26F9}\u{1F3FF}"; // ⛹🏿  person bouncing ball: dark skin tone
    public const MAN_BOUNCING_BALL = "\u{26F9}\u{FE0F}\u{200D}\u{2642}\u{FE0F}"; // ⛹️‍♂️  man bouncing ball
    public const MAN_BOUNCING_BALL_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // ⛹🏻‍♂️  man bouncing ball: light skin tone
    public const MAN_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // ⛹🏼‍♂️  man bouncing ball: medium-light skin tone
    public const MAN_BOUNCING_BALL_MEDIUM_SKIN_TONE = "\u{26F9}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // ⛹🏽‍♂️  man bouncing ball: medium skin tone
    public const MAN_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE = "\u{26F9}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // ⛹🏾‍♂️  man bouncing ball: medium-dark skin tone
    public const MAN_BOUNCING_BALL_DARK_SKIN_TONE = "\u{26F9}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // ⛹🏿‍♂️  man bouncing ball: dark skin tone
    public const WOMAN_BOUNCING_BALL = "\u{26F9}\u{FE0F}\u{200D}\u{2640}\u{FE0F}"; // ⛹️‍♀️  woman bouncing ball
    public const WOMAN_BOUNCING_BALL_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // ⛹🏻‍♀️  woman bouncing ball: light skin tone
    public const WOMAN_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE = "\u{26F9}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // ⛹🏼‍♀️  woman bouncing ball: medium-light skin tone
    public const WOMAN_BOUNCING_BALL_MEDIUM_SKIN_TONE = "\u{26F9}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // ⛹🏽‍♀️  woman bouncing ball: medium skin tone
    public const WOMAN_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE = "\u{26F9}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // ⛹🏾‍♀️  woman bouncing ball: medium-dark skin tone
    public const WOMAN_BOUNCING_BALL_DARK_SKIN_TONE = "\u{26F9}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // ⛹🏿‍♀️  woman bouncing ball: dark skin tone
    public const PERSON_LIFTING_WEIGHTS = "\u{1F3CB}\u{FE0F}"; // 🏋️  person lifting weights
    public const PERSON_LIFTING_WEIGHTS_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FB}"; // 🏋🏻  person lifting weights: light skin tone
    public const PERSON_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FC}"; // 🏋🏼  person lifting weights: medium-light skin tone
    public const PERSON_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE = "\u{1F3CB}\u{1F3FD}"; // 🏋🏽  person lifting weights: medium skin tone
    public const PERSON_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FE}"; // 🏋🏾  person lifting weights: medium-dark skin tone
    public const PERSON_LIFTING_WEIGHTS_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FF}"; // 🏋🏿  person lifting weights: dark skin tone
    public const MAN_LIFTING_WEIGHTS = "\u{1F3CB}\u{FE0F}\u{200D}\u{2642}\u{FE0F}"; // 🏋️‍♂️  man lifting weights
    public const MAN_LIFTING_WEIGHTS_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🏋🏻‍♂️  man lifting weights: light skin tone
    public const MAN_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🏋🏼‍♂️  man lifting weights: medium-light skin tone
    public const MAN_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE = "\u{1F3CB}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🏋🏽‍♂️  man lifting weights: medium skin tone
    public const MAN_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🏋🏾‍♂️  man lifting weights: medium-dark skin tone
    public const MAN_LIFTING_WEIGHTS_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🏋🏿‍♂️  man lifting weights: dark skin tone
    public const WOMAN_LIFTING_WEIGHTS = "\u{1F3CB}\u{FE0F}\u{200D}\u{2640}\u{FE0F}"; // 🏋️‍♀️  woman lifting weights
    public const WOMAN_LIFTING_WEIGHTS_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🏋🏻‍♀️  woman lifting weights: light skin tone
    public const WOMAN_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F3CB}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🏋🏼‍♀️  woman lifting weights: medium-light skin tone
    public const WOMAN_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE = "\u{1F3CB}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🏋🏽‍♀️  woman lifting weights: medium skin tone
    public const WOMAN_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🏋🏾‍♀️  woman lifting weights: medium-dark skin tone
    public const WOMAN_LIFTING_WEIGHTS_DARK_SKIN_TONE = "\u{1F3CB}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🏋🏿‍♀️  woman lifting weights: dark skin tone
    public const PERSON_BIKING = "\u{1F6B4}"; // 🚴  person biking
    public const PERSON_BIKING_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FB}"; // 🚴🏻  person biking: light skin tone
    public const PERSON_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FC}"; // 🚴🏼  person biking: medium-light skin tone
    public const PERSON_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B4}\u{1F3FD}"; // 🚴🏽  person biking: medium skin tone
    public const PERSON_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FE}"; // 🚴🏾  person biking: medium-dark skin tone
    public const PERSON_BIKING_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FF}"; // 🚴🏿  person biking: dark skin tone
    public const MAN_BIKING = "\u{1F6B4}\u{200D}\u{2642}\u{FE0F}"; // 🚴‍♂️  man biking
    public const MAN_BIKING_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🚴🏻‍♂️  man biking: light skin tone
    public const MAN_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🚴🏼‍♂️  man biking: medium-light skin tone
    public const MAN_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B4}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🚴🏽‍♂️  man biking: medium skin tone
    public const MAN_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🚴🏾‍♂️  man biking: medium-dark skin tone
    public const MAN_BIKING_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🚴🏿‍♂️  man biking: dark skin tone
    public const WOMAN_BIKING = "\u{1F6B4}\u{200D}\u{2640}\u{FE0F}"; // 🚴‍♀️  woman biking
    public const WOMAN_BIKING_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🚴🏻‍♀️  woman biking: light skin tone
    public const WOMAN_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B4}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🚴🏼‍♀️  woman biking: medium-light skin tone
    public const WOMAN_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B4}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🚴🏽‍♀️  woman biking: medium skin tone
    public const WOMAN_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🚴🏾‍♀️  woman biking: medium-dark skin tone
    public const WOMAN_BIKING_DARK_SKIN_TONE = "\u{1F6B4}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🚴🏿‍♀️  woman biking: dark skin tone
    public const PERSON_MOUNTAIN_BIKING = "\u{1F6B5}"; // 🚵  person mountain biking
    public const PERSON_MOUNTAIN_BIKING_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FB}"; // 🚵🏻  person mountain biking: light skin tone
    public const PERSON_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FC}"; // 🚵🏼  person mountain biking: medium-light skin tone
    public const PERSON_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B5}\u{1F3FD}"; // 🚵🏽  person mountain biking: medium skin tone
    public const PERSON_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FE}"; // 🚵🏾  person mountain biking: medium-dark skin tone
    public const PERSON_MOUNTAIN_BIKING_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FF}"; // 🚵🏿  person mountain biking: dark skin tone
    public const MAN_MOUNTAIN_BIKING = "\u{1F6B5}\u{200D}\u{2642}\u{FE0F}"; // 🚵‍♂️  man mountain biking
    public const MAN_MOUNTAIN_BIKING_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🚵🏻‍♂️  man mountain biking: light skin tone
    public const MAN_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🚵🏼‍♂️  man mountain biking: medium-light skin tone
    public const MAN_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B5}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🚵🏽‍♂️  man mountain biking: medium skin tone
    public const MAN_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🚵🏾‍♂️  man mountain biking: medium-dark skin tone
    public const MAN_MOUNTAIN_BIKING_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🚵🏿‍♂️  man mountain biking: dark skin tone
    public const WOMAN_MOUNTAIN_BIKING = "\u{1F6B5}\u{200D}\u{2640}\u{FE0F}"; // 🚵‍♀️  woman mountain biking
    public const WOMAN_MOUNTAIN_BIKING_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🚵🏻‍♀️  woman mountain biking: light skin tone
    public const WOMAN_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6B5}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🚵🏼‍♀️  woman mountain biking: medium-light skin tone
    public const WOMAN_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE = "\u{1F6B5}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🚵🏽‍♀️  woman mountain biking: medium skin tone
    public const WOMAN_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🚵🏾‍♀️  woman mountain biking: medium-dark skin tone
    public const WOMAN_MOUNTAIN_BIKING_DARK_SKIN_TONE = "\u{1F6B5}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🚵🏿‍♀️  woman mountain biking: dark skin tone
    public const PERSON_CARTWHEELING = "\u{1F938}"; // 🤸  person cartwheeling
    public const PERSON_CARTWHEELING_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FB}"; // 🤸🏻  person cartwheeling: light skin tone
    public const PERSON_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FC}"; // 🤸🏼  person cartwheeling: medium-light skin tone
    public const PERSON_CARTWHEELING_MEDIUM_SKIN_TONE = "\u{1F938}\u{1F3FD}"; // 🤸🏽  person cartwheeling: medium skin tone
    public const PERSON_CARTWHEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F938}\u{1F3FE}"; // 🤸🏾  person cartwheeling: medium-dark skin tone
    public const PERSON_CARTWHEELING_DARK_SKIN_TONE = "\u{1F938}\u{1F3FF}"; // 🤸🏿  person cartwheeling: dark skin tone
    public const MAN_CARTWHEELING = "\u{1F938}\u{200D}\u{2642}\u{FE0F}"; // 🤸‍♂️  man cartwheeling
    public const MAN_CARTWHEELING_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤸🏻‍♂️  man cartwheeling: light skin tone
    public const MAN_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤸🏼‍♂️  man cartwheeling: medium-light skin tone
    public const MAN_CARTWHEELING_MEDIUM_SKIN_TONE = "\u{1F938}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤸🏽‍♂️  man cartwheeling: medium skin tone
    public const MAN_CARTWHEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F938}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤸🏾‍♂️  man cartwheeling: medium-dark skin tone
    public const MAN_CARTWHEELING_DARK_SKIN_TONE = "\u{1F938}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤸🏿‍♂️  man cartwheeling: dark skin tone
    public const WOMAN_CARTWHEELING = "\u{1F938}\u{200D}\u{2640}\u{FE0F}"; // 🤸‍♀️  woman cartwheeling
    public const WOMAN_CARTWHEELING_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤸🏻‍♀️  woman cartwheeling: light skin tone
    public const WOMAN_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F938}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤸🏼‍♀️  woman cartwheeling: medium-light skin tone
    public const WOMAN_CARTWHEELING_MEDIUM_SKIN_TONE = "\u{1F938}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤸🏽‍♀️  woman cartwheeling: medium skin tone
    public const WOMAN_CARTWHEELING_MEDIUM_DARK_SKIN_TONE = "\u{1F938}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤸🏾‍♀️  woman cartwheeling: medium-dark skin tone
    public const WOMAN_CARTWHEELING_DARK_SKIN_TONE = "\u{1F938}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤸🏿‍♀️  woman cartwheeling: dark skin tone
    public const PEOPLE_WRESTLING = "\u{1F93C}"; // 🤼  people wrestling
    public const MEN_WRESTLING = "\u{1F93C}\u{200D}\u{2642}\u{FE0F}"; // 🤼‍♂️  men wrestling
    public const WOMEN_WRESTLING = "\u{1F93C}\u{200D}\u{2640}\u{FE0F}"; // 🤼‍♀️  women wrestling
    public const PERSON_PLAYING_WATER_POLO = "\u{1F93D}"; // 🤽  person playing water polo
    public const PERSON_PLAYING_WATER_POLO_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FB}"; // 🤽🏻  person playing water polo: light skin tone
    public const PERSON_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FC}"; // 🤽🏼  person playing water polo: medium-light skin tone
    public const PERSON_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE = "\u{1F93D}\u{1F3FD}"; // 🤽🏽  person playing water polo: medium skin tone
    public const PERSON_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FE}"; // 🤽🏾  person playing water polo: medium-dark skin tone
    public const PERSON_PLAYING_WATER_POLO_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FF}"; // 🤽🏿  person playing water polo: dark skin tone
    public const MAN_PLAYING_WATER_POLO = "\u{1F93D}\u{200D}\u{2642}\u{FE0F}"; // 🤽‍♂️  man playing water polo
    public const MAN_PLAYING_WATER_POLO_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤽🏻‍♂️  man playing water polo: light skin tone
    public const MAN_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤽🏼‍♂️  man playing water polo: medium-light skin tone
    public const MAN_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE = "\u{1F93D}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤽🏽‍♂️  man playing water polo: medium skin tone
    public const MAN_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤽🏾‍♂️  man playing water polo: medium-dark skin tone
    public const MAN_PLAYING_WATER_POLO_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤽🏿‍♂️  man playing water polo: dark skin tone
    public const WOMAN_PLAYING_WATER_POLO = "\u{1F93D}\u{200D}\u{2640}\u{FE0F}"; // 🤽‍♀️  woman playing water polo
    public const WOMAN_PLAYING_WATER_POLO_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤽🏻‍♀️  woman playing water polo: light skin tone
    public const WOMAN_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93D}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤽🏼‍♀️  woman playing water polo: medium-light skin tone
    public const WOMAN_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE = "\u{1F93D}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤽🏽‍♀️  woman playing water polo: medium skin tone
    public const WOMAN_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤽🏾‍♀️  woman playing water polo: medium-dark skin tone
    public const WOMAN_PLAYING_WATER_POLO_DARK_SKIN_TONE = "\u{1F93D}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤽🏿‍♀️  woman playing water polo: dark skin tone
    public const PERSON_PLAYING_HANDBALL = "\u{1F93E}"; // 🤾  person playing handball
    public const PERSON_PLAYING_HANDBALL_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FB}"; // 🤾🏻  person playing handball: light skin tone
    public const PERSON_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FC}"; // 🤾🏼  person playing handball: medium-light skin tone
    public const PERSON_PLAYING_HANDBALL_MEDIUM_SKIN_TONE = "\u{1F93E}\u{1F3FD}"; // 🤾🏽  person playing handball: medium skin tone
    public const PERSON_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FE}"; // 🤾🏾  person playing handball: medium-dark skin tone
    public const PERSON_PLAYING_HANDBALL_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FF}"; // 🤾🏿  person playing handball: dark skin tone
    public const MAN_PLAYING_HANDBALL = "\u{1F93E}\u{200D}\u{2642}\u{FE0F}"; // 🤾‍♂️  man playing handball
    public const MAN_PLAYING_HANDBALL_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤾🏻‍♂️  man playing handball: light skin tone
    public const MAN_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤾🏼‍♂️  man playing handball: medium-light skin tone
    public const MAN_PLAYING_HANDBALL_MEDIUM_SKIN_TONE = "\u{1F93E}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤾🏽‍♂️  man playing handball: medium skin tone
    public const MAN_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤾🏾‍♂️  man playing handball: medium-dark skin tone
    public const MAN_PLAYING_HANDBALL_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤾🏿‍♂️  man playing handball: dark skin tone
    public const WOMAN_PLAYING_HANDBALL = "\u{1F93E}\u{200D}\u{2640}\u{FE0F}"; // 🤾‍♀️  woman playing handball
    public const WOMAN_PLAYING_HANDBALL_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤾🏻‍♀️  woman playing handball: light skin tone
    public const WOMAN_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE = "\u{1F93E}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤾🏼‍♀️  woman playing handball: medium-light skin tone
    public const WOMAN_PLAYING_HANDBALL_MEDIUM_SKIN_TONE = "\u{1F93E}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤾🏽‍♀️  woman playing handball: medium skin tone
    public const WOMAN_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤾🏾‍♀️  woman playing handball: medium-dark skin tone
    public const WOMAN_PLAYING_HANDBALL_DARK_SKIN_TONE = "\u{1F93E}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤾🏿‍♀️  woman playing handball: dark skin tone
    public const PERSON_JUGGLING = "\u{1F939}"; // 🤹  person juggling
    public const PERSON_JUGGLING_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FB}"; // 🤹🏻  person juggling: light skin tone
    public const PERSON_JUGGLING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FC}"; // 🤹🏼  person juggling: medium-light skin tone
    public const PERSON_JUGGLING_MEDIUM_SKIN_TONE = "\u{1F939}\u{1F3FD}"; // 🤹🏽  person juggling: medium skin tone
    public const PERSON_JUGGLING_MEDIUM_DARK_SKIN_TONE = "\u{1F939}\u{1F3FE}"; // 🤹🏾  person juggling: medium-dark skin tone
    public const PERSON_JUGGLING_DARK_SKIN_TONE = "\u{1F939}\u{1F3FF}"; // 🤹🏿  person juggling: dark skin tone
    public const MAN_JUGGLING = "\u{1F939}\u{200D}\u{2642}\u{FE0F}"; // 🤹‍♂️  man juggling
    public const MAN_JUGGLING_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🤹🏻‍♂️  man juggling: light skin tone
    public const MAN_JUGGLING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🤹🏼‍♂️  man juggling: medium-light skin tone
    public const MAN_JUGGLING_MEDIUM_SKIN_TONE = "\u{1F939}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🤹🏽‍♂️  man juggling: medium skin tone
    public const MAN_JUGGLING_MEDIUM_DARK_SKIN_TONE = "\u{1F939}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🤹🏾‍♂️  man juggling: medium-dark skin tone
    public const MAN_JUGGLING_DARK_SKIN_TONE = "\u{1F939}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🤹🏿‍♂️  man juggling: dark skin tone
    public const WOMAN_JUGGLING = "\u{1F939}\u{200D}\u{2640}\u{FE0F}"; // 🤹‍♀️  woman juggling
    public const WOMAN_JUGGLING_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🤹🏻‍♀️  woman juggling: light skin tone
    public const WOMAN_JUGGLING_MEDIUM_LIGHT_SKIN_TONE = "\u{1F939}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🤹🏼‍♀️  woman juggling: medium-light skin tone
    public const WOMAN_JUGGLING_MEDIUM_SKIN_TONE = "\u{1F939}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🤹🏽‍♀️  woman juggling: medium skin tone
    public const WOMAN_JUGGLING_MEDIUM_DARK_SKIN_TONE = "\u{1F939}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🤹🏾‍♀️  woman juggling: medium-dark skin tone
    public const WOMAN_JUGGLING_DARK_SKIN_TONE = "\u{1F939}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🤹🏿‍♀️  woman juggling: dark skin tone
    public const PERSON_IN_LOTUS_POSITION = "\u{1F9D8}"; // 🧘  person in lotus position
    public const PERSON_IN_LOTUS_POSITION_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FB}"; // 🧘🏻  person in lotus position: light skin tone
    public const PERSON_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FC}"; // 🧘🏼  person in lotus position: medium-light skin tone
    public const PERSON_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE = "\u{1F9D8}\u{1F3FD}"; // 🧘🏽  person in lotus position: medium skin tone
    public const PERSON_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FE}"; // 🧘🏾  person in lotus position: medium-dark skin tone
    public const PERSON_IN_LOTUS_POSITION_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FF}"; // 🧘🏿  person in lotus position: dark skin tone
    public const MAN_IN_LOTUS_POSITION = "\u{1F9D8}\u{200D}\u{2642}\u{FE0F}"; // 🧘‍♂️  man in lotus position
    public const MAN_IN_LOTUS_POSITION_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FB}\u{200D}\u{2642}\u{FE0F}"; // 🧘🏻‍♂️  man in lotus position: light skin tone
    public const MAN_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FC}\u{200D}\u{2642}\u{FE0F}"; // 🧘🏼‍♂️  man in lotus position: medium-light skin tone
    public const MAN_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE = "\u{1F9D8}\u{1F3FD}\u{200D}\u{2642}\u{FE0F}"; // 🧘🏽‍♂️  man in lotus position: medium skin tone
    public const MAN_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FE}\u{200D}\u{2642}\u{FE0F}"; // 🧘🏾‍♂️  man in lotus position: medium-dark skin tone
    public const MAN_IN_LOTUS_POSITION_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FF}\u{200D}\u{2642}\u{FE0F}"; // 🧘🏿‍♂️  man in lotus position: dark skin tone
    public const WOMAN_IN_LOTUS_POSITION = "\u{1F9D8}\u{200D}\u{2640}\u{FE0F}"; // 🧘‍♀️  woman in lotus position
    public const WOMAN_IN_LOTUS_POSITION_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FB}\u{200D}\u{2640}\u{FE0F}"; // 🧘🏻‍♀️  woman in lotus position: light skin tone
    public const WOMAN_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D8}\u{1F3FC}\u{200D}\u{2640}\u{FE0F}"; // 🧘🏼‍♀️  woman in lotus position: medium-light skin tone
    public const WOMAN_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE = "\u{1F9D8}\u{1F3FD}\u{200D}\u{2640}\u{FE0F}"; // 🧘🏽‍♀️  woman in lotus position: medium skin tone
    public const WOMAN_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FE}\u{200D}\u{2640}\u{FE0F}"; // 🧘🏾‍♀️  woman in lotus position: medium-dark skin tone
    public const WOMAN_IN_LOTUS_POSITION_DARK_SKIN_TONE = "\u{1F9D8}\u{1F3FF}\u{200D}\u{2640}\u{FE0F}"; // 🧘🏿‍♀️  woman in lotus position: dark skin tone
    public const PERSON_TAKING_BATH = "\u{1F6C0}"; // 🛀  person taking bath
    public const PERSON_TAKING_BATH_LIGHT_SKIN_TONE = "\u{1F6C0}\u{1F3FB}"; // 🛀🏻  person taking bath: light skin tone
    public const PERSON_TAKING_BATH_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6C0}\u{1F3FC}"; // 🛀🏼  person taking bath: medium-light skin tone
    public const PERSON_TAKING_BATH_MEDIUM_SKIN_TONE = "\u{1F6C0}\u{1F3FD}"; // 🛀🏽  person taking bath: medium skin tone
    public const PERSON_TAKING_BATH_MEDIUM_DARK_SKIN_TONE = "\u{1F6C0}\u{1F3FE}"; // 🛀🏾  person taking bath: medium-dark skin tone
    public const PERSON_TAKING_BATH_DARK_SKIN_TONE = "\u{1F6C0}\u{1F3FF}"; // 🛀🏿  person taking bath: dark skin tone
    public const PERSON_IN_BED = "\u{1F6CC}"; // 🛌  person in bed
    public const PERSON_IN_BED_LIGHT_SKIN_TONE = "\u{1F6CC}\u{1F3FB}"; // 🛌🏻  person in bed: light skin tone
    public const PERSON_IN_BED_MEDIUM_LIGHT_SKIN_TONE = "\u{1F6CC}\u{1F3FC}"; // 🛌🏼  person in bed: medium-light skin tone
    public const PERSON_IN_BED_MEDIUM_SKIN_TONE = "\u{1F6CC}\u{1F3FD}"; // 🛌🏽  person in bed: medium skin tone
    public const PERSON_IN_BED_MEDIUM_DARK_SKIN_TONE = "\u{1F6CC}\u{1F3FE}"; // 🛌🏾  person in bed: medium-dark skin tone
    public const PERSON_IN_BED_DARK_SKIN_TONE = "\u{1F6CC}\u{1F3FF}"; // 🛌🏿  person in bed: dark skin tone
    public const PEOPLE_HOLDING_HANDS = "\u{1F9D1}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}"; // 🧑‍🤝‍🧑  people holding hands
    public const PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏻‍🤝‍🧑🏻  people holding hands: light skin tone
    public const PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏻‍🤝‍🧑🏼  people holding hands: light skin tone, medium-light skin tone
    public const PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏻‍🤝‍🧑🏽  people holding hands: light skin tone, medium skin tone
    public const PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏻‍🤝‍🧑🏾  people holding hands: light skin tone, medium-dark skin tone
    public const PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏻‍🤝‍🧑🏿  people holding hands: light skin tone, dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏼‍🤝‍🧑🏻  people holding hands: medium-light skin tone, light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏼‍🤝‍🧑🏼  people holding hands: medium-light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏼‍🤝‍🧑🏽  people holding hands: medium-light skin tone, medium skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏼‍🤝‍🧑🏾  people holding hands: medium-light skin tone, medium-dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏼‍🤝‍🧑🏿  people holding hands: medium-light skin tone, dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏽‍🤝‍🧑🏻  people holding hands: medium skin tone, light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏽‍🤝‍🧑🏼  people holding hands: medium skin tone, medium-light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏽‍🤝‍🧑🏽  people holding hands: medium skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏽‍🤝‍🧑🏾  people holding hands: medium skin tone, medium-dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏽‍🤝‍🧑🏿  people holding hands: medium skin tone, dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏾‍🤝‍🧑🏻  people holding hands: medium-dark skin tone, light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏾‍🤝‍🧑🏼  people holding hands: medium-dark skin tone, medium-light skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏾‍🤝‍🧑🏽  people holding hands: medium-dark skin tone, medium skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏾‍🤝‍🧑🏾  people holding hands: medium-dark skin tone
    public const PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏾‍🤝‍🧑🏿  people holding hands: medium-dark skin tone, dark skin tone
    public const PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏿‍🤝‍🧑🏻  people holding hands: dark skin tone, light skin tone
    public const PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏿‍🤝‍🧑🏼  people holding hands: dark skin tone, medium-light skin tone
    public const PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏿‍🤝‍🧑🏽  people holding hands: dark skin tone, medium skin tone
    public const PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏿‍🤝‍🧑🏾  people holding hands: dark skin tone, medium-dark skin tone
    public const PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏿‍🤝‍🧑🏿  people holding hands: dark skin tone
    public const WOMEN_HOLDING_HANDS = "\u{1F46D}"; // 👭  women holding hands
    public const WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE = "\u{1F46D}\u{1F3FB}"; // 👭🏻  women holding hands: light skin tone
    public const WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏻‍🤝‍👩🏼  women holding hands: light skin tone, medium-light skin tone
    public const WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏻‍🤝‍👩🏽  women holding hands: light skin tone, medium skin tone
    public const WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏻‍🤝‍👩🏾  women holding hands: light skin tone, medium-dark skin tone
    public const WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏻‍🤝‍👩🏿  women holding hands: light skin tone, dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏼‍🤝‍👩🏻  women holding hands: medium-light skin tone, light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46D}\u{1F3FC}"; // 👭🏼  women holding hands: medium-light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏼‍🤝‍👩🏽  women holding hands: medium-light skin tone, medium skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏼‍🤝‍👩🏾  women holding hands: medium-light skin tone, medium-dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏼‍🤝‍👩🏿  women holding hands: medium-light skin tone, dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏽‍🤝‍👩🏻  women holding hands: medium skin tone, light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏽‍🤝‍👩🏼  women holding hands: medium skin tone, medium-light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE = "\u{1F46D}\u{1F3FD}"; // 👭🏽  women holding hands: medium skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏽‍🤝‍👩🏾  women holding hands: medium skin tone, medium-dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏽‍🤝‍👩🏿  women holding hands: medium skin tone, dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏾‍🤝‍👩🏻  women holding hands: medium-dark skin tone, light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏾‍🤝‍👩🏼  women holding hands: medium-dark skin tone, medium-light skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏾‍🤝‍👩🏽  women holding hands: medium-dark skin tone, medium skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F46D}\u{1F3FE}"; // 👭🏾  women holding hands: medium-dark skin tone
    public const WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏾‍🤝‍👩🏿  women holding hands: medium-dark skin tone, dark skin tone
    public const WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏿‍🤝‍👩🏻  women holding hands: dark skin tone, light skin tone
    public const WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏿‍🤝‍👩🏼  women holding hands: dark skin tone, medium-light skin tone
    public const WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏿‍🤝‍👩🏽  women holding hands: dark skin tone, medium skin tone
    public const WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏿‍🤝‍👩🏾  women holding hands: dark skin tone, medium-dark skin tone
    public const WOMEN_HOLDING_HANDS_DARK_SKIN_TONE = "\u{1F46D}\u{1F3FF}"; // 👭🏿  women holding hands: dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS = "\u{1F46B}"; // 👫  woman and man holding hands
    public const WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE = "\u{1F46B}\u{1F3FB}"; // 👫🏻  woman and man holding hands: light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏻‍🤝‍👨🏼  woman and man holding hands: light skin tone, medium-light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏻‍🤝‍👨🏽  woman and man holding hands: light skin tone, medium skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏻‍🤝‍👨🏾  woman and man holding hands: light skin tone, medium-dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏻‍🤝‍👨🏿  woman and man holding hands: light skin tone, dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏼‍🤝‍👨🏻  woman and man holding hands: medium-light skin tone, light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46B}\u{1F3FC}"; // 👫🏼  woman and man holding hands: medium-light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏼‍🤝‍👨🏽  woman and man holding hands: medium-light skin tone, medium skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏼‍🤝‍👨🏾  woman and man holding hands: medium-light skin tone, medium-dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏼‍🤝‍👨🏿  woman and man holding hands: medium-light skin tone, dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏽‍🤝‍👨🏻  woman and man holding hands: medium skin tone, light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏽‍🤝‍👨🏼  woman and man holding hands: medium skin tone, medium-light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE = "\u{1F46B}\u{1F3FD}"; // 👫🏽  woman and man holding hands: medium skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏽‍🤝‍👨🏾  woman and man holding hands: medium skin tone, medium-dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏽‍🤝‍👨🏿  woman and man holding hands: medium skin tone, dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏾‍🤝‍👨🏻  woman and man holding hands: medium-dark skin tone, light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏾‍🤝‍👨🏼  woman and man holding hands: medium-dark skin tone, medium-light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏾‍🤝‍👨🏽  woman and man holding hands: medium-dark skin tone, medium skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F46B}\u{1F3FE}"; // 👫🏾  woman and man holding hands: medium-dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏾‍🤝‍👨🏿  woman and man holding hands: medium-dark skin tone, dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏿‍🤝‍👨🏻  woman and man holding hands: dark skin tone, light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏿‍🤝‍👨🏼  woman and man holding hands: dark skin tone, medium-light skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏿‍🤝‍👨🏽  woman and man holding hands: dark skin tone, medium skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏿‍🤝‍👨🏾  woman and man holding hands: dark skin tone, medium-dark skin tone
    public const WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE = "\u{1F46B}\u{1F3FF}"; // 👫🏿  woman and man holding hands: dark skin tone
    public const MEN_HOLDING_HANDS = "\u{1F46C}"; // 👬  men holding hands
    public const MEN_HOLDING_HANDS_LIGHT_SKIN_TONE = "\u{1F46C}\u{1F3FB}"; // 👬🏻  men holding hands: light skin tone
    public const MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏻‍🤝‍👨🏼  men holding hands: light skin tone, medium-light skin tone
    public const MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏻‍🤝‍👨🏽  men holding hands: light skin tone, medium skin tone
    public const MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏻‍🤝‍👨🏾  men holding hands: light skin tone, medium-dark skin tone
    public const MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏻‍🤝‍👨🏿  men holding hands: light skin tone, dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏼‍🤝‍👨🏻  men holding hands: medium-light skin tone, light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F46C}\u{1F3FC}"; // 👬🏼  men holding hands: medium-light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏼‍🤝‍👨🏽  men holding hands: medium-light skin tone, medium skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏼‍🤝‍👨🏾  men holding hands: medium-light skin tone, medium-dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏼‍🤝‍👨🏿  men holding hands: medium-light skin tone, dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏽‍🤝‍👨🏻  men holding hands: medium skin tone, light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏽‍🤝‍👨🏼  men holding hands: medium skin tone, medium-light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE = "\u{1F46C}\u{1F3FD}"; // 👬🏽  men holding hands: medium skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏽‍🤝‍👨🏾  men holding hands: medium skin tone, medium-dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏽‍🤝‍👨🏿  men holding hands: medium skin tone, dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏾‍🤝‍👨🏻  men holding hands: medium-dark skin tone, light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏾‍🤝‍👨🏼  men holding hands: medium-dark skin tone, medium-light skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏾‍🤝‍👨🏽  men holding hands: medium-dark skin tone, medium skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE = "\u{1F46C}\u{1F3FE}"; // 👬🏾  men holding hands: medium-dark skin tone
    public const MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏾‍🤝‍👨🏿  men holding hands: medium-dark skin tone, dark skin tone
    public const MEN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏿‍🤝‍👨🏻  men holding hands: dark skin tone, light skin tone
    public const MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏿‍🤝‍👨🏼  men holding hands: dark skin tone, medium-light skin tone
    public const MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏿‍🤝‍👨🏽  men holding hands: dark skin tone, medium skin tone
    public const MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{1F91D}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏿‍🤝‍👨🏾  men holding hands: dark skin tone, medium-dark skin tone
    public const MEN_HOLDING_HANDS_DARK_SKIN_TONE = "\u{1F46C}\u{1F3FF}"; // 👬🏿  men holding hands: dark skin tone
    public const KISS = "\u{1F48F}"; // 💏  kiss
    public const KISS_LIGHT_SKIN_TONE = "\u{1F48F}\u{1F3FB}"; // 💏🏻  kiss: light skin tone
    public const KISS_MEDIUM_LIGHT_SKIN_TONE = "\u{1F48F}\u{1F3FC}"; // 💏🏼  kiss: medium-light skin tone
    public const KISS_MEDIUM_SKIN_TONE = "\u{1F48F}\u{1F3FD}"; // 💏🏽  kiss: medium skin tone
    public const KISS_MEDIUM_DARK_SKIN_TONE = "\u{1F48F}\u{1F3FE}"; // 💏🏾  kiss: medium-dark skin tone
    public const KISS_DARK_SKIN_TONE = "\u{1F48F}\u{1F3FF}"; // 💏🏿  kiss: dark skin tone
    public const KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏻‍❤️‍💋‍🧑🏼  kiss: person, person, light skin tone, medium-light skin tone
    public const KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏻‍❤️‍💋‍🧑🏽  kiss: person, person, light skin tone, medium skin tone
    public const KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏻‍❤️‍💋‍🧑🏾  kiss: person, person, light skin tone, medium-dark skin tone
    public const KISS_PERSON_PERSON_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏻‍❤️‍💋‍🧑🏿  kiss: person, person, light skin tone, dark skin tone
    public const KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏼‍❤️‍💋‍🧑🏻  kiss: person, person, medium-light skin tone, light skin tone
    public const KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏼‍❤️‍💋‍🧑🏽  kiss: person, person, medium-light skin tone, medium skin tone
    public const KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏼‍❤️‍💋‍🧑🏾  kiss: person, person, medium-light skin tone, medium-dark skin tone
    public const KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏼‍❤️‍💋‍🧑🏿  kiss: person, person, medium-light skin tone, dark skin tone
    public const KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏽‍❤️‍💋‍🧑🏻  kiss: person, person, medium skin tone, light skin tone
    public const KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏽‍❤️‍💋‍🧑🏼  kiss: person, person, medium skin tone, medium-light skin tone
    public const KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏽‍❤️‍💋‍🧑🏾  kiss: person, person, medium skin tone, medium-dark skin tone
    public const KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏽‍❤️‍💋‍🧑🏿  kiss: person, person, medium skin tone, dark skin tone
    public const KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏾‍❤️‍💋‍🧑🏻  kiss: person, person, medium-dark skin tone, light skin tone
    public const KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏾‍❤️‍💋‍🧑🏼  kiss: person, person, medium-dark skin tone, medium-light skin tone
    public const KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏾‍❤️‍💋‍🧑🏽  kiss: person, person, medium-dark skin tone, medium skin tone
    public const KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏾‍❤️‍💋‍🧑🏿  kiss: person, person, medium-dark skin tone, dark skin tone
    public const KISS_PERSON_PERSON_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏿‍❤️‍💋‍🧑🏻  kiss: person, person, dark skin tone, light skin tone
    public const KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏿‍❤️‍💋‍🧑🏼  kiss: person, person, dark skin tone, medium-light skin tone
    public const KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏿‍❤️‍💋‍🧑🏽  kiss: person, person, dark skin tone, medium skin tone
    public const KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏿‍❤️‍💋‍🧑🏾  kiss: person, person, dark skin tone, medium-dark skin tone
    public const KISS_WOMAN_MAN = "\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}"; // 👩‍❤️‍💋‍👨  kiss: woman, man
    public const KISS_WOMAN_MAN_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏻‍❤️‍💋‍👨🏻  kiss: woman, man, light skin tone
    public const KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏻‍❤️‍💋‍👨🏼  kiss: woman, man, light skin tone, medium-light skin tone
    public const KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏻‍❤️‍💋‍👨🏽  kiss: woman, man, light skin tone, medium skin tone
    public const KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏻‍❤️‍💋‍👨🏾  kiss: woman, man, light skin tone, medium-dark skin tone
    public const KISS_WOMAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏻‍❤️‍💋‍👨🏿  kiss: woman, man, light skin tone, dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏼‍❤️‍💋‍👨🏻  kiss: woman, man, medium-light skin tone, light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏼‍❤️‍💋‍👨🏼  kiss: woman, man, medium-light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏼‍❤️‍💋‍👨🏽  kiss: woman, man, medium-light skin tone, medium skin tone
    public const KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏼‍❤️‍💋‍👨🏾  kiss: woman, man, medium-light skin tone, medium-dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏼‍❤️‍💋‍👨🏿  kiss: woman, man, medium-light skin tone, dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏽‍❤️‍💋‍👨🏻  kiss: woman, man, medium skin tone, light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏽‍❤️‍💋‍👨🏼  kiss: woman, man, medium skin tone, medium-light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏽‍❤️‍💋‍👨🏽  kiss: woman, man, medium skin tone
    public const KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏽‍❤️‍💋‍👨🏾  kiss: woman, man, medium skin tone, medium-dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏽‍❤️‍💋‍👨🏿  kiss: woman, man, medium skin tone, dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏾‍❤️‍💋‍👨🏻  kiss: woman, man, medium-dark skin tone, light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏾‍❤️‍💋‍👨🏼  kiss: woman, man, medium-dark skin tone, medium-light skin tone
    public const KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏾‍❤️‍💋‍👨🏽  kiss: woman, man, medium-dark skin tone, medium skin tone
    public const KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏾‍❤️‍💋‍👨🏾  kiss: woman, man, medium-dark skin tone
    public const KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏾‍❤️‍💋‍👨🏿  kiss: woman, man, medium-dark skin tone, dark skin tone
    public const KISS_WOMAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏿‍❤️‍💋‍👨🏻  kiss: woman, man, dark skin tone, light skin tone
    public const KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏿‍❤️‍💋‍👨🏼  kiss: woman, man, dark skin tone, medium-light skin tone
    public const KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏿‍❤️‍💋‍👨🏽  kiss: woman, man, dark skin tone, medium skin tone
    public const KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏿‍❤️‍💋‍👨🏾  kiss: woman, man, dark skin tone, medium-dark skin tone
    public const KISS_WOMAN_MAN_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏿‍❤️‍💋‍👨🏿  kiss: woman, man, dark skin tone
    public const KISS_MAN_MAN = "\u{1F468}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}"; // 👨‍❤️‍💋‍👨  kiss: man, man
    public const KISS_MAN_MAN_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏻‍❤️‍💋‍👨🏻  kiss: man, man, light skin tone
    public const KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏻‍❤️‍💋‍👨🏼  kiss: man, man, light skin tone, medium-light skin tone
    public const KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏻‍❤️‍💋‍👨🏽  kiss: man, man, light skin tone, medium skin tone
    public const KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏻‍❤️‍💋‍👨🏾  kiss: man, man, light skin tone, medium-dark skin tone
    public const KISS_MAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏻‍❤️‍💋‍👨🏿  kiss: man, man, light skin tone, dark skin tone
    public const KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏼‍❤️‍💋‍👨🏻  kiss: man, man, medium-light skin tone, light skin tone
    public const KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏼‍❤️‍💋‍👨🏼  kiss: man, man, medium-light skin tone
    public const KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏼‍❤️‍💋‍👨🏽  kiss: man, man, medium-light skin tone, medium skin tone
    public const KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏼‍❤️‍💋‍👨🏾  kiss: man, man, medium-light skin tone, medium-dark skin tone
    public const KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏼‍❤️‍💋‍👨🏿  kiss: man, man, medium-light skin tone, dark skin tone
    public const KISS_MAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏽‍❤️‍💋‍👨🏻  kiss: man, man, medium skin tone, light skin tone
    public const KISS_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏽‍❤️‍💋‍👨🏼  kiss: man, man, medium skin tone, medium-light skin tone
    public const KISS_MAN_MAN_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏽‍❤️‍💋‍👨🏽  kiss: man, man, medium skin tone
    public const KISS_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏽‍❤️‍💋‍👨🏾  kiss: man, man, medium skin tone, medium-dark skin tone
    public const KISS_MAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏽‍❤️‍💋‍👨🏿  kiss: man, man, medium skin tone, dark skin tone
    public const KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏾‍❤️‍💋‍👨🏻  kiss: man, man, medium-dark skin tone, light skin tone
    public const KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏾‍❤️‍💋‍👨🏼  kiss: man, man, medium-dark skin tone, medium-light skin tone
    public const KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏾‍❤️‍💋‍👨🏽  kiss: man, man, medium-dark skin tone, medium skin tone
    public const KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏾‍❤️‍💋‍👨🏾  kiss: man, man, medium-dark skin tone
    public const KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏾‍❤️‍💋‍👨🏿  kiss: man, man, medium-dark skin tone, dark skin tone
    public const KISS_MAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏿‍❤️‍💋‍👨🏻  kiss: man, man, dark skin tone, light skin tone
    public const KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏿‍❤️‍💋‍👨🏼  kiss: man, man, dark skin tone, medium-light skin tone
    public const KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏿‍❤️‍💋‍👨🏽  kiss: man, man, dark skin tone, medium skin tone
    public const KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏿‍❤️‍💋‍👨🏾  kiss: man, man, dark skin tone, medium-dark skin tone
    public const KISS_MAN_MAN_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏿‍❤️‍💋‍👨🏿  kiss: man, man, dark skin tone
    public const KISS_WOMAN_WOMAN = "\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}"; // 👩‍❤️‍💋‍👩  kiss: woman, woman
    public const KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏻‍❤️‍💋‍👩🏻  kiss: woman, woman, light skin tone
    public const KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏻‍❤️‍💋‍👩🏼  kiss: woman, woman, light skin tone, medium-light skin tone
    public const KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏻‍❤️‍💋‍👩🏽  kiss: woman, woman, light skin tone, medium skin tone
    public const KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏻‍❤️‍💋‍👩🏾  kiss: woman, woman, light skin tone, medium-dark skin tone
    public const KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏻‍❤️‍💋‍👩🏿  kiss: woman, woman, light skin tone, dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏼‍❤️‍💋‍👩🏻  kiss: woman, woman, medium-light skin tone, light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏼‍❤️‍💋‍👩🏼  kiss: woman, woman, medium-light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏼‍❤️‍💋‍👩🏽  kiss: woman, woman, medium-light skin tone, medium skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏼‍❤️‍💋‍👩🏾  kiss: woman, woman, medium-light skin tone, medium-dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏼‍❤️‍💋‍👩🏿  kiss: woman, woman, medium-light skin tone, dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏽‍❤️‍💋‍👩🏻  kiss: woman, woman, medium skin tone, light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏽‍❤️‍💋‍👩🏼  kiss: woman, woman, medium skin tone, medium-light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏽‍❤️‍💋‍👩🏽  kiss: woman, woman, medium skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏽‍❤️‍💋‍👩🏾  kiss: woman, woman, medium skin tone, medium-dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏽‍❤️‍💋‍👩🏿  kiss: woman, woman, medium skin tone, dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏾‍❤️‍💋‍👩🏻  kiss: woman, woman, medium-dark skin tone, light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏾‍❤️‍💋‍👩🏼  kiss: woman, woman, medium-dark skin tone, medium-light skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏾‍❤️‍💋‍👩🏽  kiss: woman, woman, medium-dark skin tone, medium skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏾‍❤️‍💋‍👩🏾  kiss: woman, woman, medium-dark skin tone
    public const KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏾‍❤️‍💋‍👩🏿  kiss: woman, woman, medium-dark skin tone, dark skin tone
    public const KISS_WOMAN_WOMAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏿‍❤️‍💋‍👩🏻  kiss: woman, woman, dark skin tone, light skin tone
    public const KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏿‍❤️‍💋‍👩🏼  kiss: woman, woman, dark skin tone, medium-light skin tone
    public const KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏿‍❤️‍💋‍👩🏽  kiss: woman, woman, dark skin tone, medium skin tone
    public const KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏿‍❤️‍💋‍👩🏾  kiss: woman, woman, dark skin tone, medium-dark skin tone
    public const KISS_WOMAN_WOMAN_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F48B}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏿‍❤️‍💋‍👩🏿  kiss: woman, woman, dark skin tone
    public const COUPLE_WITH_HEART = "\u{1F491}"; // 💑  couple with heart
    public const COUPLE_WITH_HEART_LIGHT_SKIN_TONE = "\u{1F491}\u{1F3FB}"; // 💑🏻  couple with heart: light skin tone
    public const COUPLE_WITH_HEART_MEDIUM_LIGHT_SKIN_TONE = "\u{1F491}\u{1F3FC}"; // 💑🏼  couple with heart: medium-light skin tone
    public const COUPLE_WITH_HEART_MEDIUM_SKIN_TONE = "\u{1F491}\u{1F3FD}"; // 💑🏽  couple with heart: medium skin tone
    public const COUPLE_WITH_HEART_MEDIUM_DARK_SKIN_TONE = "\u{1F491}\u{1F3FE}"; // 💑🏾  couple with heart: medium-dark skin tone
    public const COUPLE_WITH_HEART_DARK_SKIN_TONE = "\u{1F491}\u{1F3FF}"; // 💑🏿  couple with heart: dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏻‍❤️‍🧑🏼  couple with heart: person, person, light skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏻‍❤️‍🧑🏽  couple with heart: person, person, light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏻‍❤️‍🧑🏾  couple with heart: person, person, light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏻‍❤️‍🧑🏿  couple with heart: person, person, light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏼‍❤️‍🧑🏻  couple with heart: person, person, medium-light skin tone, light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏼‍❤️‍🧑🏽  couple with heart: person, person, medium-light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏼‍❤️‍🧑🏾  couple with heart: person, person, medium-light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏼‍❤️‍🧑🏿  couple with heart: person, person, medium-light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏽‍❤️‍🧑🏻  couple with heart: person, person, medium skin tone, light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏽‍❤️‍🧑🏼  couple with heart: person, person, medium skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏽‍❤️‍🧑🏾  couple with heart: person, person, medium skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏽‍❤️‍🧑🏿  couple with heart: person, person, medium skin tone, dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏾‍❤️‍🧑🏻  couple with heart: person, person, medium-dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏾‍❤️‍🧑🏼  couple with heart: person, person, medium-dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏾‍❤️‍🧑🏽  couple with heart: person, person, medium-dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FF}"; // 🧑🏾‍❤️‍🧑🏿  couple with heart: person, person, medium-dark skin tone, dark skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FB}"; // 🧑🏿‍❤️‍🧑🏻  couple with heart: person, person, dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FC}"; // 🧑🏿‍❤️‍🧑🏼  couple with heart: person, person, dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FD}"; // 🧑🏿‍❤️‍🧑🏽  couple with heart: person, person, dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F9D1}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F9D1}\u{1F3FE}"; // 🧑🏿‍❤️‍🧑🏾  couple with heart: person, person, dark skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN = "\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}"; // 👩‍❤️‍👨  couple with heart: woman, man
    public const COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏻‍❤️‍👨🏻  couple with heart: woman, man, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏻‍❤️‍👨🏼  couple with heart: woman, man, light skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏻‍❤️‍👨🏽  couple with heart: woman, man, light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏻‍❤️‍👨🏾  couple with heart: woman, man, light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏻‍❤️‍👨🏿  couple with heart: woman, man, light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏼‍❤️‍👨🏻  couple with heart: woman, man, medium-light skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏼‍❤️‍👨🏼  couple with heart: woman, man, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏼‍❤️‍👨🏽  couple with heart: woman, man, medium-light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏼‍❤️‍👨🏾  couple with heart: woman, man, medium-light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏼‍❤️‍👨🏿  couple with heart: woman, man, medium-light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏽‍❤️‍👨🏻  couple with heart: woman, man, medium skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏽‍❤️‍👨🏼  couple with heart: woman, man, medium skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏽‍❤️‍👨🏽  couple with heart: woman, man, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏽‍❤️‍👨🏾  couple with heart: woman, man, medium skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏽‍❤️‍👨🏿  couple with heart: woman, man, medium skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏾‍❤️‍👨🏻  couple with heart: woman, man, medium-dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏾‍❤️‍👨🏼  couple with heart: woman, man, medium-dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏾‍❤️‍👨🏽  couple with heart: woman, man, medium-dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏾‍❤️‍👨🏾  couple with heart: woman, man, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏾‍❤️‍👨🏿  couple with heart: woman, man, medium-dark skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👩🏿‍❤️‍👨🏻  couple with heart: woman, man, dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👩🏿‍❤️‍👨🏼  couple with heart: woman, man, dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👩🏿‍❤️‍👨🏽  couple with heart: woman, man, dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👩🏿‍❤️‍👨🏾  couple with heart: woman, man, dark skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👩🏿‍❤️‍👨🏿  couple with heart: woman, man, dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN = "\u{1F468}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}"; // 👨‍❤️‍👨  couple with heart: man, man
    public const COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏻‍❤️‍👨🏻  couple with heart: man, man, light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏻‍❤️‍👨🏼  couple with heart: man, man, light skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏻‍❤️‍👨🏽  couple with heart: man, man, light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏻‍❤️‍👨🏾  couple with heart: man, man, light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏻‍❤️‍👨🏿  couple with heart: man, man, light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏼‍❤️‍👨🏻  couple with heart: man, man, medium-light skin tone, light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏼‍❤️‍👨🏼  couple with heart: man, man, medium-light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏼‍❤️‍👨🏽  couple with heart: man, man, medium-light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏼‍❤️‍👨🏾  couple with heart: man, man, medium-light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏼‍❤️‍👨🏿  couple with heart: man, man, medium-light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏽‍❤️‍👨🏻  couple with heart: man, man, medium skin tone, light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏽‍❤️‍👨🏼  couple with heart: man, man, medium skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏽‍❤️‍👨🏽  couple with heart: man, man, medium skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏽‍❤️‍👨🏾  couple with heart: man, man, medium skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏽‍❤️‍👨🏿  couple with heart: man, man, medium skin tone, dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏾‍❤️‍👨🏻  couple with heart: man, man, medium-dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏾‍❤️‍👨🏼  couple with heart: man, man, medium-dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏾‍❤️‍👨🏽  couple with heart: man, man, medium-dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏾‍❤️‍👨🏾  couple with heart: man, man, medium-dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F468}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏾‍❤️‍👨🏿  couple with heart: man, man, medium-dark skin tone, dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FB}"; // 👨🏿‍❤️‍👨🏻  couple with heart: man, man, dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FC}"; // 👨🏿‍❤️‍👨🏼  couple with heart: man, man, dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FD}"; // 👨🏿‍❤️‍👨🏽  couple with heart: man, man, dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FE}"; // 👨🏿‍❤️‍👨🏾  couple with heart: man, man, dark skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE = "\u{1F468}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F468}\u{1F3FF}"; // 👨🏿‍❤️‍👨🏿  couple with heart: man, man, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN = "\u{1F469}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}"; // 👩‍❤️‍👩  couple with heart: woman, woman
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏻‍❤️‍👩🏻  couple with heart: woman, woman, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏻‍❤️‍👩🏼  couple with heart: woman, woman, light skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏻‍❤️‍👩🏽  couple with heart: woman, woman, light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏻‍❤️‍👩🏾  couple with heart: woman, woman, light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FB}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏻‍❤️‍👩🏿  couple with heart: woman, woman, light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏼‍❤️‍👩🏻  couple with heart: woman, woman, medium-light skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏼‍❤️‍👩🏼  couple with heart: woman, woman, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏼‍❤️‍👩🏽  couple with heart: woman, woman, medium-light skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏼‍❤️‍👩🏾  couple with heart: woman, woman, medium-light skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FC}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏼‍❤️‍👩🏿  couple with heart: woman, woman, medium-light skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏽‍❤️‍👩🏻  couple with heart: woman, woman, medium skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏽‍❤️‍👩🏼  couple with heart: woman, woman, medium skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏽‍❤️‍👩🏽  couple with heart: woman, woman, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏽‍❤️‍👩🏾  couple with heart: woman, woman, medium skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FD}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏽‍❤️‍👩🏿  couple with heart: woman, woman, medium skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏾‍❤️‍👩🏻  couple with heart: woman, woman, medium-dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏾‍❤️‍👩🏼  couple with heart: woman, woman, medium-dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏾‍❤️‍👩🏽  couple with heart: woman, woman, medium-dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏾‍❤️‍👩🏾  couple with heart: woman, woman, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE = "\u{1F469}\u{1F3FE}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏾‍❤️‍👩🏿  couple with heart: woman, woman, medium-dark skin tone, dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FB}"; // 👩🏿‍❤️‍👩🏻  couple with heart: woman, woman, dark skin tone, light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FC}"; // 👩🏿‍❤️‍👩🏼  couple with heart: woman, woman, dark skin tone, medium-light skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FD}"; // 👩🏿‍❤️‍👩🏽  couple with heart: woman, woman, dark skin tone, medium skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FE}"; // 👩🏿‍❤️‍👩🏾  couple with heart: woman, woman, dark skin tone, medium-dark skin tone
    public const COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE = "\u{1F469}\u{1F3FF}\u{200D}\u{2764}\u{FE0F}\u{200D}\u{1F469}\u{1F3FF}"; // 👩🏿‍❤️‍👩🏿  couple with heart: woman, woman, dark skin tone
    public const FAMILY = "\u{1F46A}"; // 👪  family
    public const FAMILY_MAN_WOMAN_BOY = "\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F466}"; // 👨‍👩‍👦  family: man, woman, boy
    public const FAMILY_MAN_WOMAN_GIRL = "\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}"; // 👨‍👩‍👧  family: man, woman, girl
    public const FAMILY_MAN_WOMAN_GIRL_BOY = "\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}"; // 👨‍👩‍👧‍👦  family: man, woman, girl, boy
    public const FAMILY_MAN_WOMAN_BOY_BOY = "\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}"; // 👨‍👩‍👦‍👦  family: man, woman, boy, boy
    public const FAMILY_MAN_WOMAN_GIRL_GIRL = "\u{1F468}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}"; // 👨‍👩‍👧‍👧  family: man, woman, girl, girl
    public const FAMILY_MAN_MAN_BOY = "\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F466}"; // 👨‍👨‍👦  family: man, man, boy
    public const FAMILY_MAN_MAN_GIRL = "\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}"; // 👨‍👨‍👧  family: man, man, girl
    public const FAMILY_MAN_MAN_GIRL_BOY = "\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F466}"; // 👨‍👨‍👧‍👦  family: man, man, girl, boy
    public const FAMILY_MAN_MAN_BOY_BOY = "\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F466}\u{200D}\u{1F466}"; // 👨‍👨‍👦‍👦  family: man, man, boy, boy
    public const FAMILY_MAN_MAN_GIRL_GIRL = "\u{1F468}\u{200D}\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F467}"; // 👨‍👨‍👧‍👧  family: man, man, girl, girl
    public const FAMILY_WOMAN_WOMAN_BOY = "\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F466}"; // 👩‍👩‍👦  family: woman, woman, boy
    public const FAMILY_WOMAN_WOMAN_GIRL = "\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}"; // 👩‍👩‍👧  family: woman, woman, girl
    public const FAMILY_WOMAN_WOMAN_GIRL_BOY = "\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}"; // 👩‍👩‍👧‍👦  family: woman, woman, girl, boy
    public const FAMILY_WOMAN_WOMAN_BOY_BOY = "\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}"; // 👩‍👩‍👦‍👦  family: woman, woman, boy, boy
    public const FAMILY_WOMAN_WOMAN_GIRL_GIRL = "\u{1F469}\u{200D}\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}"; // 👩‍👩‍👧‍👧  family: woman, woman, girl, girl
    public const FAMILY_MAN_BOY = "\u{1F468}\u{200D}\u{1F466}"; // 👨‍👦  family: man, boy
    public const FAMILY_MAN_BOY_BOY = "\u{1F468}\u{200D}\u{1F466}\u{200D}\u{1F466}"; // 👨‍👦‍👦  family: man, boy, boy
    public const FAMILY_MAN_GIRL = "\u{1F468}\u{200D}\u{1F467}"; // 👨‍👧  family: man, girl
    public const FAMILY_MAN_GIRL_BOY = "\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F466}"; // 👨‍👧‍👦  family: man, girl, boy
    public const FAMILY_MAN_GIRL_GIRL = "\u{1F468}\u{200D}\u{1F467}\u{200D}\u{1F467}"; // 👨‍👧‍👧  family: man, girl, girl
    public const FAMILY_WOMAN_BOY = "\u{1F469}\u{200D}\u{1F466}"; // 👩‍👦  family: woman, boy
    public const FAMILY_WOMAN_BOY_BOY = "\u{1F469}\u{200D}\u{1F466}\u{200D}\u{1F466}"; // 👩‍👦‍👦  family: woman, boy, boy
    public const FAMILY_WOMAN_GIRL = "\u{1F469}\u{200D}\u{1F467}"; // 👩‍👧  family: woman, girl
    public const FAMILY_WOMAN_GIRL_BOY = "\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F466}"; // 👩‍👧‍👦  family: woman, girl, boy
    public const FAMILY_WOMAN_GIRL_GIRL = "\u{1F469}\u{200D}\u{1F467}\u{200D}\u{1F467}"; // 👩‍👧‍👧  family: woman, girl, girl
    public const SPEAKING_HEAD = "\u{1F5E3}\u{FE0F}"; // 🗣️  speaking head
    public const BUST_IN_SILHOUETTE = "\u{1F464}"; // 👤  bust in silhouette
    public const BUSTS_IN_SILHOUETTE = "\u{1F465}"; // 👥  busts in silhouette
    public const PEOPLE_HUGGING = "\u{1FAC2}"; // 🫂  people hugging
    public const FOOTPRINTS = "\u{1F463}"; // 👣  footprints
    public const MONKEY_FACE = "\u{1F435}"; // 🐵  monkey face
    public const MONKEY = "\u{1F412}"; // 🐒  monkey
    public const GORILLA = "\u{1F98D}"; // 🦍  gorilla
    public const ORANGUTAN = "\u{1F9A7}"; // 🦧  orangutan
    public const DOG_FACE = "\u{1F436}"; // 🐶  dog face
    public const DOG = "\u{1F415}"; // 🐕  dog
    public const GUIDE_DOG = "\u{1F9AE}"; // 🦮  guide dog
    public const SERVICE_DOG = "\u{1F415}\u{200D}\u{1F9BA}"; // 🐕‍🦺  service dog
    public const POODLE = "\u{1F429}"; // 🐩  poodle
    public const WOLF = "\u{1F43A}"; // 🐺  wolf
    public const FOX = "\u{1F98A}"; // 🦊  fox
    public const RACCOON = "\u{1F99D}"; // 🦝  raccoon
    public const CAT_FACE = "\u{1F431}"; // 🐱  cat face
    public const CAT = "\u{1F408}"; // 🐈  cat
    public const BLACK_CAT = "\u{1F408}\u{200D}\u{2B1B}"; // 🐈‍⬛  black cat
    public const LION = "\u{1F981}"; // 🦁  lion
    public const TIGER_FACE = "\u{1F42F}"; // 🐯  tiger face
    public const TIGER = "\u{1F405}"; // 🐅  tiger
    public const LEOPARD = "\u{1F406}"; // 🐆  leopard
    public const HORSE_FACE = "\u{1F434}"; // 🐴  horse face
    public const HORSE = "\u{1F40E}"; // 🐎  horse
    public const UNICORN = "\u{1F984}"; // 🦄  unicorn
    public const ZEBRA = "\u{1F993}"; // 🦓  zebra
    public const DEER = "\u{1F98C}"; // 🦌  deer
    public const BISON = "\u{1F9AC}"; // 🦬  bison
    public const COW_FACE = "\u{1F42E}"; // 🐮  cow face
    public const OX = "\u{1F402}"; // 🐂  ox
    public const WATER_BUFFALO = "\u{1F403}"; // 🐃  water buffalo
    public const COW = "\u{1F404}"; // 🐄  cow
    public const PIG_FACE = "\u{1F437}"; // 🐷  pig face
    public const PIG = "\u{1F416}"; // 🐖  pig
    public const BOAR = "\u{1F417}"; // 🐗  boar
    public const PIG_NOSE = "\u{1F43D}"; // 🐽  pig nose
    public const RAM = "\u{1F40F}"; // 🐏  ram
    public const EWE = "\u{1F411}"; // 🐑  ewe
    public const GOAT = "\u{1F410}"; // 🐐  goat
    public const CAMEL = "\u{1F42A}"; // 🐪  camel
    public const TWO_HUMP_CAMEL = "\u{1F42B}"; // 🐫  two-hump camel
    public const LLAMA = "\u{1F999}"; // 🦙  llama
    public const GIRAFFE = "\u{1F992}"; // 🦒  giraffe
    public const ELEPHANT = "\u{1F418}"; // 🐘  elephant
    public const MAMMOTH = "\u{1F9A3}"; // 🦣  mammoth
    public const RHINOCEROS = "\u{1F98F}"; // 🦏  rhinoceros
    public const HIPPOPOTAMUS = "\u{1F99B}"; // 🦛  hippopotamus
    public const MOUSE_FACE = "\u{1F42D}"; // 🐭  mouse face
    public const MOUSE = "\u{1F401}"; // 🐁  mouse
    public const RAT = "\u{1F400}"; // 🐀  rat
    public const HAMSTER = "\u{1F439}"; // 🐹  hamster
    public const RABBIT_FACE = "\u{1F430}"; // 🐰  rabbit face
    public const RABBIT = "\u{1F407}"; // 🐇  rabbit
    public const CHIPMUNK = "\u{1F43F}\u{FE0F}"; // 🐿️  chipmunk
    public const BEAVER = "\u{1F9AB}"; // 🦫  beaver
    public const HEDGEHOG = "\u{1F994}"; // 🦔  hedgehog
    public const BAT = "\u{1F987}"; // 🦇  bat
    public const BEAR = "\u{1F43B}"; // 🐻  bear
    public const POLAR_BEAR = "\u{1F43B}\u{200D}\u{2744}\u{FE0F}"; // 🐻‍❄️  polar bear
    public const KOALA = "\u{1F428}"; // 🐨  koala
    public const PANDA = "\u{1F43C}"; // 🐼  panda
    public const SLOTH = "\u{1F9A5}"; // 🦥  sloth
    public const OTTER = "\u{1F9A6}"; // 🦦  otter
    public const SKUNK = "\u{1F9A8}"; // 🦨  skunk
    public const KANGAROO = "\u{1F998}"; // 🦘  kangaroo
    public const BADGER = "\u{1F9A1}"; // 🦡  badger
    public const PAW_PRINTS = "\u{1F43E}"; // 🐾  paw prints
    public const TURKEY = "\u{1F983}"; // 🦃  turkey
    public const CHICKEN = "\u{1F414}"; // 🐔  chicken
    public const ROOSTER = "\u{1F413}"; // 🐓  rooster
    public const HATCHING_CHICK = "\u{1F423}"; // 🐣  hatching chick
    public const BABY_CHICK = "\u{1F424}"; // 🐤  baby chick
    public const FRONT_FACING_BABY_CHICK = "\u{1F425}"; // 🐥  front-facing baby chick
    public const BIRD = "\u{1F426}"; // 🐦  bird
    public const PENGUIN = "\u{1F427}"; // 🐧  penguin
    public const DOVE = "\u{1F54A}\u{FE0F}"; // 🕊️  dove
    public const EAGLE = "\u{1F985}"; // 🦅  eagle
    public const DUCK = "\u{1F986}"; // 🦆  duck
    public const SWAN = "\u{1F9A2}"; // 🦢  swan
    public const OWL = "\u{1F989}"; // 🦉  owl
    public const DODO = "\u{1F9A4}"; // 🦤  dodo
    public const FEATHER = "\u{1FAB6}"; // 🪶  feather
    public const FLAMINGO = "\u{1F9A9}"; // 🦩  flamingo
    public const PEACOCK = "\u{1F99A}"; // 🦚  peacock
    public const PARROT = "\u{1F99C}"; // 🦜  parrot
    public const FROG = "\u{1F438}"; // 🐸  frog
    public const CROCODILE = "\u{1F40A}"; // 🐊  crocodile
    public const TURTLE = "\u{1F422}"; // 🐢  turtle
    public const LIZARD = "\u{1F98E}"; // 🦎  lizard
    public const SNAKE = "\u{1F40D}"; // 🐍  snake
    public const DRAGON_FACE = "\u{1F432}"; // 🐲  dragon face
    public const DRAGON = "\u{1F409}"; // 🐉  dragon
    public const SAUROPOD = "\u{1F995}"; // 🦕  sauropod
    public const T_REX = "\u{1F996}"; // 🦖  T-Rex
    public const SPOUTING_WHALE = "\u{1F433}"; // 🐳  spouting whale
    public const WHALE = "\u{1F40B}"; // 🐋  whale
    public const DOLPHIN = "\u{1F42C}"; // 🐬  dolphin
    public const SEAL = "\u{1F9AD}"; // 🦭  seal
    public const FISH = "\u{1F41F}"; // 🐟  fish
    public const TROPICAL_FISH = "\u{1F420}"; // 🐠  tropical fish
    public const BLOWFISH = "\u{1F421}"; // 🐡  blowfish
    public const SHARK = "\u{1F988}"; // 🦈  shark
    public const OCTOPUS = "\u{1F419}"; // 🐙  octopus
    public const SPIRAL_SHELL = "\u{1F41A}"; // 🐚  spiral shell
    public const SNAIL = "\u{1F40C}"; // 🐌  snail
    public const BUTTERFLY = "\u{1F98B}"; // 🦋  butterfly
    public const BUG = "\u{1F41B}"; // 🐛  bug
    public const ANT = "\u{1F41C}"; // 🐜  ant
    public const HONEYBEE = "\u{1F41D}"; // 🐝  honeybee
    public const BEETLE = "\u{1FAB2}"; // 🪲  beetle
    public const LADY_BEETLE = "\u{1F41E}"; // 🐞  lady beetle
    public const CRICKET = "\u{1F997}"; // 🦗  cricket
    public const COCKROACH = "\u{1FAB3}"; // 🪳  cockroach
    public const SPIDER = "\u{1F577}\u{FE0F}"; // 🕷️  spider
    public const SPIDER_WEB = "\u{1F578}\u{FE0F}"; // 🕸️  spider web
    public const SCORPION = "\u{1F982}"; // 🦂  scorpion
    public const MOSQUITO = "\u{1F99F}"; // 🦟  mosquito
    public const FLY = "\u{1FAB0}"; // 🪰  fly
    public const WORM = "\u{1FAB1}"; // 🪱  worm
    public const MICROBE = "\u{1F9A0}"; // 🦠  microbe
    public const BOUQUET = "\u{1F490}"; // 💐  bouquet
    public const CHERRY_BLOSSOM = "\u{1F338}"; // 🌸  cherry blossom
    public const WHITE_FLOWER = "\u{1F4AE}"; // 💮  white flower
    public const ROSETTE = "\u{1F3F5}\u{FE0F}"; // 🏵️  rosette
    public const ROSE = "\u{1F339}"; // 🌹  rose
    public const WILTED_FLOWER = "\u{1F940}"; // 🥀  wilted flower
    public const HIBISCUS = "\u{1F33A}"; // 🌺  hibiscus
    public const SUNFLOWER = "\u{1F33B}"; // 🌻  sunflower
    public const BLOSSOM = "\u{1F33C}"; // 🌼  blossom
    public const TULIP = "\u{1F337}"; // 🌷  tulip
    public const SEEDLING = "\u{1F331}"; // 🌱  seedling
    public const POTTED_PLANT = "\u{1FAB4}"; // 🪴  potted plant
    public const EVERGREEN_TREE = "\u{1F332}"; // 🌲  evergreen tree
    public const DECIDUOUS_TREE = "\u{1F333}"; // 🌳  deciduous tree
    public const PALM_TREE = "\u{1F334}"; // 🌴  palm tree
    public const CACTUS = "\u{1F335}"; // 🌵  cactus
    public const SHEAF_OF_RICE = "\u{1F33E}"; // 🌾  sheaf of rice
    public const HERB = "\u{1F33F}"; // 🌿  herb
    public const SHAMROCK = "\u{2618}\u{FE0F}"; // ☘️  shamrock
    public const FOUR_LEAF_CLOVER = "\u{1F340}"; // 🍀  four leaf clover
    public const MAPLE_LEAF = "\u{1F341}"; // 🍁  maple leaf
    public const FALLEN_LEAF = "\u{1F342}"; // 🍂  fallen leaf
    public const LEAF_FLUTTERING_IN_WIND = "\u{1F343}"; // 🍃  leaf fluttering in wind
    public const GRAPES = "\u{1F347}"; // 🍇  grapes
    public const MELON = "\u{1F348}"; // 🍈  melon
    public const WATERMELON = "\u{1F349}"; // 🍉  watermelon
    public const TANGERINE = "\u{1F34A}"; // 🍊  tangerine
    public const LEMON = "\u{1F34B}"; // 🍋  lemon
    public const BANANA = "\u{1F34C}"; // 🍌  banana
    public const PINEAPPLE = "\u{1F34D}"; // 🍍  pineapple
    public const MANGO = "\u{1F96D}"; // 🥭  mango
    public const RED_APPLE = "\u{1F34E}"; // 🍎  red apple
    public const GREEN_APPLE = "\u{1F34F}"; // 🍏  green apple
    public const PEAR = "\u{1F350}"; // 🍐  pear
    public const PEACH = "\u{1F351}"; // 🍑  peach
    public const CHERRIES = "\u{1F352}"; // 🍒  cherries
    public const STRAWBERRY = "\u{1F353}"; // 🍓  strawberry
    public const BLUEBERRIES = "\u{1FAD0}"; // 🫐  blueberries
    public const KIWI_FRUIT = "\u{1F95D}"; // 🥝  kiwi fruit
    public const TOMATO = "\u{1F345}"; // 🍅  tomato
    public const OLIVE = "\u{1FAD2}"; // 🫒  olive
    public const COCONUT = "\u{1F965}"; // 🥥  coconut
    public const AVOCADO = "\u{1F951}"; // 🥑  avocado
    public const EGGPLANT = "\u{1F346}"; // 🍆  eggplant
    public const POTATO = "\u{1F954}"; // 🥔  potato
    public const CARROT = "\u{1F955}"; // 🥕  carrot
    public const EAR_OF_CORN = "\u{1F33D}"; // 🌽  ear of corn
    public const HOT_PEPPER = "\u{1F336}\u{FE0F}"; // 🌶️  hot pepper
    public const BELL_PEPPER = "\u{1FAD1}"; // 🫑  bell pepper
    public const CUCUMBER = "\u{1F952}"; // 🥒  cucumber
    public const LEAFY_GREEN = "\u{1F96C}"; // 🥬  leafy green
    public const BROCCOLI = "\u{1F966}"; // 🥦  broccoli
    public const GARLIC = "\u{1F9C4}"; // 🧄  garlic
    public const ONION = "\u{1F9C5}"; // 🧅  onion
    public const MUSHROOM = "\u{1F344}"; // 🍄  mushroom
    public const PEANUTS = "\u{1F95C}"; // 🥜  peanuts
    public const CHESTNUT = "\u{1F330}"; // 🌰  chestnut
    public const BREAD = "\u{1F35E}"; // 🍞  bread
    public const CROISSANT = "\u{1F950}"; // 🥐  croissant
    public const BAGUETTE_BREAD = "\u{1F956}"; // 🥖  baguette bread
    public const FLATBREAD = "\u{1FAD3}"; // 🫓  flatbread
    public const PRETZEL = "\u{1F968}"; // 🥨  pretzel
    public const BAGEL = "\u{1F96F}"; // 🥯  bagel
    public const PANCAKES = "\u{1F95E}"; // 🥞  pancakes
    public const WAFFLE = "\u{1F9C7}"; // 🧇  waffle
    public const CHEESE_WEDGE = "\u{1F9C0}"; // 🧀  cheese wedge
    public const MEAT_ON_BONE = "\u{1F356}"; // 🍖  meat on bone
    public const POULTRY_LEG = "\u{1F357}"; // 🍗  poultry leg
    public const CUT_OF_MEAT = "\u{1F969}"; // 🥩  cut of meat
    public const BACON = "\u{1F953}"; // 🥓  bacon
    public const HAMBURGER = "\u{1F354}"; // 🍔  hamburger
    public const FRENCH_FRIES = "\u{1F35F}"; // 🍟  french fries
    public const PIZZA = "\u{1F355}"; // 🍕  pizza
    public const HOT_DOG = "\u{1F32D}"; // 🌭  hot dog
    public const SANDWICH = "\u{1F96A}"; // 🥪  sandwich
    public const TACO = "\u{1F32E}"; // 🌮  taco
    public const BURRITO = "\u{1F32F}"; // 🌯  burrito
    public const TAMALE = "\u{1FAD4}"; // 🫔  tamale
    public const STUFFED_FLATBREAD = "\u{1F959}"; // 🥙  stuffed flatbread
    public const FALAFEL = "\u{1F9C6}"; // 🧆  falafel
    public const EGG = "\u{1F95A}"; // 🥚  egg
    public const COOKING = "\u{1F373}"; // 🍳  cooking
    public const SHALLOW_PAN_OF_FOOD = "\u{1F958}"; // 🥘  shallow pan of food
    public const POT_OF_FOOD = "\u{1F372}"; // 🍲  pot of food
    public const FONDUE = "\u{1FAD5}"; // 🫕  fondue
    public const BOWL_WITH_SPOON = "\u{1F963}"; // 🥣  bowl with spoon
    public const GREEN_SALAD = "\u{1F957}"; // 🥗  green salad
    public const POPCORN = "\u{1F37F}"; // 🍿  popcorn
    public const BUTTER = "\u{1F9C8}"; // 🧈  butter
    public const SALT = "\u{1F9C2}"; // 🧂  salt
    public const CANNED_FOOD = "\u{1F96B}"; // 🥫  canned food
    public const BENTO_BOX = "\u{1F371}"; // 🍱  bento box
    public const RICE_CRACKER = "\u{1F358}"; // 🍘  rice cracker
    public const RICE_BALL = "\u{1F359}"; // 🍙  rice ball
    public const COOKED_RICE = "\u{1F35A}"; // 🍚  cooked rice
    public const CURRY_RICE = "\u{1F35B}"; // 🍛  curry rice
    public const STEAMING_BOWL = "\u{1F35C}"; // 🍜  steaming bowl
    public const SPAGHETTI = "\u{1F35D}"; // 🍝  spaghetti
    public const ROASTED_SWEET_POTATO = "\u{1F360}"; // 🍠  roasted sweet potato
    public const ODEN = "\u{1F362}"; // 🍢  oden
    public const SUSHI = "\u{1F363}"; // 🍣  sushi
    public const FRIED_SHRIMP = "\u{1F364}"; // 🍤  fried shrimp
    public const FISH_CAKE_WITH_SWIRL = "\u{1F365}"; // 🍥  fish cake with swirl
    public const MOON_CAKE = "\u{1F96E}"; // 🥮  moon cake
    public const DANGO = "\u{1F361}"; // 🍡  dango
    public const DUMPLING = "\u{1F95F}"; // 🥟  dumpling
    public const FORTUNE_COOKIE = "\u{1F960}"; // 🥠  fortune cookie
    public const TAKEOUT_BOX = "\u{1F961}"; // 🥡  takeout box
    public const CRAB = "\u{1F980}"; // 🦀  crab
    public const LOBSTER = "\u{1F99E}"; // 🦞  lobster
    public const SHRIMP = "\u{1F990}"; // 🦐  shrimp
    public const SQUID = "\u{1F991}"; // 🦑  squid
    public const OYSTER = "\u{1F9AA}"; // 🦪  oyster
    public const SOFT_ICE_CREAM = "\u{1F366}"; // 🍦  soft ice cream
    public const SHAVED_ICE = "\u{1F367}"; // 🍧  shaved ice
    public const ICE_CREAM = "\u{1F368}"; // 🍨  ice cream
    public const DOUGHNUT = "\u{1F369}"; // 🍩  doughnut
    public const COOKIE = "\u{1F36A}"; // 🍪  cookie
    public const BIRTHDAY_CAKE = "\u{1F382}"; // 🎂  birthday cake
    public const SHORTCAKE = "\u{1F370}"; // 🍰  shortcake
    public const CUPCAKE = "\u{1F9C1}"; // 🧁  cupcake
    public const PIE = "\u{1F967}"; // 🥧  pie
    public const CHOCOLATE_BAR = "\u{1F36B}"; // 🍫  chocolate bar
    public const CANDY = "\u{1F36C}"; // 🍬  candy
    public const LOLLIPOP = "\u{1F36D}"; // 🍭  lollipop
    public const CUSTARD = "\u{1F36E}"; // 🍮  custard
    public const HONEY_POT = "\u{1F36F}"; // 🍯  honey pot
    public const BABY_BOTTLE = "\u{1F37C}"; // 🍼  baby bottle
    public const GLASS_OF_MILK = "\u{1F95B}"; // 🥛  glass of milk
    public const HOT_BEVERAGE = "\u{2615}"; // ☕  hot beverage
    public const TEAPOT = "\u{1FAD6}"; // 🫖  teapot
    public const TEACUP_WITHOUT_HANDLE = "\u{1F375}"; // 🍵  teacup without handle
    public const SAKE = "\u{1F376}"; // 🍶  sake
    public const BOTTLE_WITH_POPPING_CORK = "\u{1F37E}"; // 🍾  bottle with popping cork
    public const WINE_GLASS = "\u{1F377}"; // 🍷  wine glass
    public const COCKTAIL_GLASS = "\u{1F378}"; // 🍸  cocktail glass
    public const TROPICAL_DRINK = "\u{1F379}"; // 🍹  tropical drink
    public const BEER_MUG = "\u{1F37A}"; // 🍺  beer mug
    public const CLINKING_BEER_MUGS = "\u{1F37B}"; // 🍻  clinking beer mugs
    public const CLINKING_GLASSES = "\u{1F942}"; // 🥂  clinking glasses
    public const TUMBLER_GLASS = "\u{1F943}"; // 🥃  tumbler glass
    public const CUP_WITH_STRAW = "\u{1F964}"; // 🥤  cup with straw
    public const BUBBLE_TEA = "\u{1F9CB}"; // 🧋  bubble tea
    public const BEVERAGE_BOX = "\u{1F9C3}"; // 🧃  beverage box
    public const MATE = "\u{1F9C9}"; // 🧉  mate
    public const ICE = "\u{1F9CA}"; // 🧊  ice
    public const CHOPSTICKS = "\u{1F962}"; // 🥢  chopsticks
    public const FORK_AND_KNIFE_WITH_PLATE = "\u{1F37D}\u{FE0F}"; // 🍽️  fork and knife with plate
    public const FORK_AND_KNIFE = "\u{1F374}"; // 🍴  fork and knife
    public const SPOON = "\u{1F944}"; // 🥄  spoon
    public const KITCHEN_KNIFE = "\u{1F52A}"; // 🔪  kitchen knife
    public const AMPHORA = "\u{1F3FA}"; // 🏺  amphora
    public const GLOBE_SHOWING_EUROPE_AFRICA = "\u{1F30D}"; // 🌍  globe showing Europe-Africa
    public const GLOBE_SHOWING_AMERICAS = "\u{1F30E}"; // 🌎  globe showing Americas
    public const GLOBE_SHOWING_ASIA_AUSTRALIA = "\u{1F30F}"; // 🌏  globe showing Asia-Australia
    public const GLOBE_WITH_MERIDIANS = "\u{1F310}"; // 🌐  globe with meridians
    public const WORLD_MAP = "\u{1F5FA}\u{FE0F}"; // 🗺️  world map
    public const MAP_OF_JAPAN = "\u{1F5FE}"; // 🗾  map of Japan
    public const COMPASS = "\u{1F9ED}"; // 🧭  compass
    public const SNOW_CAPPED_MOUNTAIN = "\u{1F3D4}\u{FE0F}"; // 🏔️  snow-capped mountain
    public const MOUNTAIN = "\u{26F0}\u{FE0F}"; // ⛰️  mountain
    public const VOLCANO = "\u{1F30B}"; // 🌋  volcano
    public const MOUNT_FUJI = "\u{1F5FB}"; // 🗻  mount fuji
    public const CAMPING = "\u{1F3D5}\u{FE0F}"; // 🏕️  camping
    public const BEACH_WITH_UMBRELLA = "\u{1F3D6}\u{FE0F}"; // 🏖️  beach with umbrella
    public const DESERT = "\u{1F3DC}\u{FE0F}"; // 🏜️  desert
    public const DESERT_ISLAND = "\u{1F3DD}\u{FE0F}"; // 🏝️  desert island
    public const NATIONAL_PARK = "\u{1F3DE}\u{FE0F}"; // 🏞️  national park
    public const STADIUM = "\u{1F3DF}\u{FE0F}"; // 🏟️  stadium
    public const CLASSICAL_BUILDING = "\u{1F3DB}\u{FE0F}"; // 🏛️  classical building
    public const BUILDING_CONSTRUCTION = "\u{1F3D7}\u{FE0F}"; // 🏗️  building construction
    public const BRICK = "\u{1F9F1}"; // 🧱  brick
    public const ROCK = "\u{1FAA8}"; // 🪨  rock
    public const WOOD = "\u{1FAB5}"; // 🪵  wood
    public const HUT = "\u{1F6D6}"; // 🛖  hut
    public const HOUSES = "\u{1F3D8}\u{FE0F}"; // 🏘️  houses
    public const DERELICT_HOUSE = "\u{1F3DA}\u{FE0F}"; // 🏚️  derelict house
    public const HOUSE = "\u{1F3E0}"; // 🏠  house
    public const HOUSE_WITH_GARDEN = "\u{1F3E1}"; // 🏡  house with garden
    public const OFFICE_BUILDING = "\u{1F3E2}"; // 🏢  office building
    public const JAPANESE_POST_OFFICE = "\u{1F3E3}"; // 🏣  Japanese post office
    public const POST_OFFICE = "\u{1F3E4}"; // 🏤  post office
    public const HOSPITAL = "\u{1F3E5}"; // 🏥  hospital
    public const BANK = "\u{1F3E6}"; // 🏦  bank
    public const HOTEL = "\u{1F3E8}"; // 🏨  hotel
    public const LOVE_HOTEL = "\u{1F3E9}"; // 🏩  love hotel
    public const CONVENIENCE_STORE = "\u{1F3EA}"; // 🏪  convenience store
    public const SCHOOL = "\u{1F3EB}"; // 🏫  school
    public const DEPARTMENT_STORE = "\u{1F3EC}"; // 🏬  department store
    public const FACTORY = "\u{1F3ED}"; // 🏭  factory
    public const JAPANESE_CASTLE = "\u{1F3EF}"; // 🏯  Japanese castle
    public const CASTLE = "\u{1F3F0}"; // 🏰  castle
    public const WEDDING = "\u{1F492}"; // 💒  wedding
    public const TOKYO_TOWER = "\u{1F5FC}"; // 🗼  Tokyo tower
    public const STATUE_OF_LIBERTY = "\u{1F5FD}"; // 🗽  Statue of Liberty
    public const CHURCH = "\u{26EA}"; // ⛪  church
    public const MOSQUE = "\u{1F54C}"; // 🕌  mosque
    public const HINDU_TEMPLE = "\u{1F6D5}"; // 🛕  hindu temple
    public const SYNAGOGUE = "\u{1F54D}"; // 🕍  synagogue
    public const SHINTO_SHRINE = "\u{26E9}\u{FE0F}"; // ⛩️  shinto shrine
    public const KAABA = "\u{1F54B}"; // 🕋  kaaba
    public const FOUNTAIN = "\u{26F2}"; // ⛲  fountain
    public const TENT = "\u{26FA}"; // ⛺  tent
    public const FOGGY = "\u{1F301}"; // 🌁  foggy
    public const NIGHT_WITH_STARS = "\u{1F303}"; // 🌃  night with stars
    public const CITYSCAPE = "\u{1F3D9}\u{FE0F}"; // 🏙️  cityscape
    public const SUNRISE_OVER_MOUNTAINS = "\u{1F304}"; // 🌄  sunrise over mountains
    public const SUNRISE = "\u{1F305}"; // 🌅  sunrise
    public const CITYSCAPE_AT_DUSK = "\u{1F306}"; // 🌆  cityscape at dusk
    public const SUNSET = "\u{1F307}"; // 🌇  sunset
    public const BRIDGE_AT_NIGHT = "\u{1F309}"; // 🌉  bridge at night
    public const HOT_SPRINGS = "\u{2668}\u{FE0F}"; // ♨️  hot springs
    public const CAROUSEL_HORSE = "\u{1F3A0}"; // 🎠  carousel horse
    public const FERRIS_WHEEL = "\u{1F3A1}"; // 🎡  ferris wheel
    public const ROLLER_COASTER = "\u{1F3A2}"; // 🎢  roller coaster
    public const BARBER_POLE = "\u{1F488}"; // 💈  barber pole
    public const CIRCUS_TENT = "\u{1F3AA}"; // 🎪  circus tent
    public const LOCOMOTIVE = "\u{1F682}"; // 🚂  locomotive
    public const RAILWAY_CAR = "\u{1F683}"; // 🚃  railway car
    public const HIGH_SPEED_TRAIN = "\u{1F684}"; // 🚄  high-speed train
    public const BULLET_TRAIN = "\u{1F685}"; // 🚅  bullet train
    public const TRAIN = "\u{1F686}"; // 🚆  train
    public const METRO = "\u{1F687}"; // 🚇  metro
    public const LIGHT_RAIL = "\u{1F688}"; // 🚈  light rail
    public const STATION = "\u{1F689}"; // 🚉  station
    public const TRAM = "\u{1F68A}"; // 🚊  tram
    public const MONORAIL = "\u{1F69D}"; // 🚝  monorail
    public const MOUNTAIN_RAILWAY = "\u{1F69E}"; // 🚞  mountain railway
    public const TRAM_CAR = "\u{1F68B}"; // 🚋  tram car
    public const BUS = "\u{1F68C}"; // 🚌  bus
    public const ONCOMING_BUS = "\u{1F68D}"; // 🚍  oncoming bus
    public const TROLLEYBUS = "\u{1F68E}"; // 🚎  trolleybus
    public const MINIBUS = "\u{1F690}"; // 🚐  minibus
    public const AMBULANCE = "\u{1F691}"; // 🚑  ambulance
    public const FIRE_ENGINE = "\u{1F692}"; // 🚒  fire engine
    public const POLICE_CAR = "\u{1F693}"; // 🚓  police car
    public const ONCOMING_POLICE_CAR = "\u{1F694}"; // 🚔  oncoming police car
    public const TAXI = "\u{1F695}"; // 🚕  taxi
    public const ONCOMING_TAXI = "\u{1F696}"; // 🚖  oncoming taxi
    public const AUTOMOBILE = "\u{1F697}"; // 🚗  automobile
    public const ONCOMING_AUTOMOBILE = "\u{1F698}"; // 🚘  oncoming automobile
    public const SPORT_UTILITY_VEHICLE = "\u{1F699}"; // 🚙  sport utility vehicle
    public const PICKUP_TRUCK = "\u{1F6FB}"; // 🛻  pickup truck
    public const DELIVERY_TRUCK = "\u{1F69A}"; // 🚚  delivery truck
    public const ARTICULATED_LORRY = "\u{1F69B}"; // 🚛  articulated lorry
    public const TRACTOR = "\u{1F69C}"; // 🚜  tractor
    public const RACING_CAR = "\u{1F3CE}\u{FE0F}"; // 🏎️  racing car
    public const MOTORCYCLE = "\u{1F3CD}\u{FE0F}"; // 🏍️  motorcycle
    public const MOTOR_SCOOTER = "\u{1F6F5}"; // 🛵  motor scooter
    public const MANUAL_WHEELCHAIR = "\u{1F9BD}"; // 🦽  manual wheelchair
    public const MOTORIZED_WHEELCHAIR = "\u{1F9BC}"; // 🦼  motorized wheelchair
    public const AUTO_RICKSHAW = "\u{1F6FA}"; // 🛺  auto rickshaw
    public const BICYCLE = "\u{1F6B2}"; // 🚲  bicycle
    public const KICK_SCOOTER = "\u{1F6F4}"; // 🛴  kick scooter
    public const SKATEBOARD = "\u{1F6F9}"; // 🛹  skateboard
    public const ROLLER_SKATE = "\u{1F6FC}"; // 🛼  roller skate
    public const BUS_STOP = "\u{1F68F}"; // 🚏  bus stop
    public const MOTORWAY = "\u{1F6E3}\u{FE0F}"; // 🛣️  motorway
    public const RAILWAY_TRACK = "\u{1F6E4}\u{FE0F}"; // 🛤️  railway track
    public const OIL_DRUM = "\u{1F6E2}\u{FE0F}"; // 🛢️  oil drum
    public const FUEL_PUMP = "\u{26FD}"; // ⛽  fuel pump
    public const POLICE_CAR_LIGHT = "\u{1F6A8}"; // 🚨  police car light
    public const HORIZONTAL_TRAFFIC_LIGHT = "\u{1F6A5}"; // 🚥  horizontal traffic light
    public const VERTICAL_TRAFFIC_LIGHT = "\u{1F6A6}"; // 🚦  vertical traffic light
    public const STOP_SIGN = "\u{1F6D1}"; // 🛑  stop sign
    public const CONSTRUCTION = "\u{1F6A7}"; // 🚧  construction
    public const ANCHOR = "\u{2693}"; // ⚓  anchor
    public const SAILBOAT = "\u{26F5}"; // ⛵  sailboat
    public const CANOE = "\u{1F6F6}"; // 🛶  canoe
    public const SPEEDBOAT = "\u{1F6A4}"; // 🚤  speedboat
    public const PASSENGER_SHIP = "\u{1F6F3}\u{FE0F}"; // 🛳️  passenger ship
    public const FERRY = "\u{26F4}\u{FE0F}"; // ⛴️  ferry
    public const MOTOR_BOAT = "\u{1F6E5}\u{FE0F}"; // 🛥️  motor boat
    public const SHIP = "\u{1F6A2}"; // 🚢  ship
    public const AIRPLANE = "\u{2708}\u{FE0F}"; // ✈️  airplane
    public const SMALL_AIRPLANE = "\u{1F6E9}\u{FE0F}"; // 🛩️  small airplane
    public const AIRPLANE_DEPARTURE = "\u{1F6EB}"; // 🛫  airplane departure
    public const AIRPLANE_ARRIVAL = "\u{1F6EC}"; // 🛬  airplane arrival
    public const PARACHUTE = "\u{1FA82}"; // 🪂  parachute
    public const SEAT = "\u{1F4BA}"; // 💺  seat
    public const HELICOPTER = "\u{1F681}"; // 🚁  helicopter
    public const SUSPENSION_RAILWAY = "\u{1F69F}"; // 🚟  suspension railway
    public const MOUNTAIN_CABLEWAY = "\u{1F6A0}"; // 🚠  mountain cableway
    public const AERIAL_TRAMWAY = "\u{1F6A1}"; // 🚡  aerial tramway
    public const SATELLITE = "\u{1F6F0}\u{FE0F}"; // 🛰️  satellite
    public const ROCKET = "\u{1F680}"; // 🚀  rocket
    public const FLYING_SAUCER = "\u{1F6F8}"; // 🛸  flying saucer
    public const BELLHOP_BELL = "\u{1F6CE}\u{FE0F}"; // 🛎️  bellhop bell
    public const LUGGAGE = "\u{1F9F3}"; // 🧳  luggage
    public const HOURGLASS_DONE = "\u{231B}"; // ⌛  hourglass done
    public const HOURGLASS_NOT_DONE = "\u{23F3}"; // ⏳  hourglass not done
    public const WATCH = "\u{231A}"; // ⌚  watch
    public const ALARM_CLOCK = "\u{23F0}"; // ⏰  alarm clock
    public const STOPWATCH = "\u{23F1}\u{FE0F}"; // ⏱️  stopwatch
    public const TIMER_CLOCK = "\u{23F2}\u{FE0F}"; // ⏲️  timer clock
    public const MANTELPIECE_CLOCK = "\u{1F570}\u{FE0F}"; // 🕰️  mantelpiece clock
    public const TWELVE_OCLOCK = "\u{1F55B}"; // 🕛  twelve o’clock
    public const TWELVE_THIRTY = "\u{1F567}"; // 🕧  twelve-thirty
    public const ONE_OCLOCK = "\u{1F550}"; // 🕐  one o’clock
    public const ONE_THIRTY = "\u{1F55C}"; // 🕜  one-thirty
    public const TWO_OCLOCK = "\u{1F551}"; // 🕑  two o’clock
    public const TWO_THIRTY = "\u{1F55D}"; // 🕝  two-thirty
    public const THREE_OCLOCK = "\u{1F552}"; // 🕒  three o’clock
    public const THREE_THIRTY = "\u{1F55E}"; // 🕞  three-thirty
    public const FOUR_OCLOCK = "\u{1F553}"; // 🕓  four o’clock
    public const FOUR_THIRTY = "\u{1F55F}"; // 🕟  four-thirty
    public const FIVE_OCLOCK = "\u{1F554}"; // 🕔  five o’clock
    public const FIVE_THIRTY = "\u{1F560}"; // 🕠  five-thirty
    public const SIX_OCLOCK = "\u{1F555}"; // 🕕  six o’clock
    public const SIX_THIRTY = "\u{1F561}"; // 🕡  six-thirty
    public const SEVEN_OCLOCK = "\u{1F556}"; // 🕖  seven o’clock
    public const SEVEN_THIRTY = "\u{1F562}"; // 🕢  seven-thirty
    public const EIGHT_OCLOCK = "\u{1F557}"; // 🕗  eight o’clock
    public const EIGHT_THIRTY = "\u{1F563}"; // 🕣  eight-thirty
    public const NINE_OCLOCK = "\u{1F558}"; // 🕘  nine o’clock
    public const NINE_THIRTY = "\u{1F564}"; // 🕤  nine-thirty
    public const TEN_OCLOCK = "\u{1F559}"; // 🕙  ten o’clock
    public const TEN_THIRTY = "\u{1F565}"; // 🕥  ten-thirty
    public const ELEVEN_OCLOCK = "\u{1F55A}"; // 🕚  eleven o’clock
    public const ELEVEN_THIRTY = "\u{1F566}"; // 🕦  eleven-thirty
    public const NEW_MOON = "\u{1F311}"; // 🌑  new moon
    public const WAXING_CRESCENT_MOON = "\u{1F312}"; // 🌒  waxing crescent moon
    public const FIRST_QUARTER_MOON = "\u{1F313}"; // 🌓  first quarter moon
    public const WAXING_GIBBOUS_MOON = "\u{1F314}"; // 🌔  waxing gibbous moon
    public const FULL_MOON = "\u{1F315}"; // 🌕  full moon
    public const WANING_GIBBOUS_MOON = "\u{1F316}"; // 🌖  waning gibbous moon
    public const LAST_QUARTER_MOON = "\u{1F317}"; // 🌗  last quarter moon
    public const WANING_CRESCENT_MOON = "\u{1F318}"; // 🌘  waning crescent moon
    public const CRESCENT_MOON = "\u{1F319}"; // 🌙  crescent moon
    public const NEW_MOON_FACE = "\u{1F31A}"; // 🌚  new moon face
    public const FIRST_QUARTER_MOON_FACE = "\u{1F31B}"; // 🌛  first quarter moon face
    public const LAST_QUARTER_MOON_FACE = "\u{1F31C}"; // 🌜  last quarter moon face
    public const THERMOMETER = "\u{1F321}\u{FE0F}"; // 🌡️  thermometer
    public const SUN = "\u{2600}\u{FE0F}"; // ☀️  sun
    public const FULL_MOON_FACE = "\u{1F31D}"; // 🌝  full moon face
    public const SUN_WITH_FACE = "\u{1F31E}"; // 🌞  sun with face
    public const RINGED_PLANET = "\u{1FA90}"; // 🪐  ringed planet
    public const STAR = "\u{2B50}"; // ⭐  star
    public const GLOWING_STAR = "\u{1F31F}"; // 🌟  glowing star
    public const SHOOTING_STAR = "\u{1F320}"; // 🌠  shooting star
    public const MILKY_WAY = "\u{1F30C}"; // 🌌  milky way
    public const CLOUD = "\u{2601}\u{FE0F}"; // ☁️  cloud
    public const SUN_BEHIND_CLOUD = "\u{26C5}"; // ⛅  sun behind cloud
    public const CLOUD_WITH_LIGHTNING_AND_RAIN = "\u{26C8}\u{FE0F}"; // ⛈️  cloud with lightning and rain
    public const SUN_BEHIND_SMALL_CLOUD = "\u{1F324}\u{FE0F}"; // 🌤️  sun behind small cloud
    public const SUN_BEHIND_LARGE_CLOUD = "\u{1F325}\u{FE0F}"; // 🌥️  sun behind large cloud
    public const SUN_BEHIND_RAIN_CLOUD = "\u{1F326}\u{FE0F}"; // 🌦️  sun behind rain cloud
    public const CLOUD_WITH_RAIN = "\u{1F327}\u{FE0F}"; // 🌧️  cloud with rain
    public const CLOUD_WITH_SNOW = "\u{1F328}\u{FE0F}"; // 🌨️  cloud with snow
    public const CLOUD_WITH_LIGHTNING = "\u{1F329}\u{FE0F}"; // 🌩️  cloud with lightning
    public const TORNADO = "\u{1F32A}\u{FE0F}"; // 🌪️  tornado
    public const FOG = "\u{1F32B}\u{FE0F}"; // 🌫️  fog
    public const WIND_FACE = "\u{1F32C}\u{FE0F}"; // 🌬️  wind face
    public const CYCLONE = "\u{1F300}"; // 🌀  cyclone
    public const RAINBOW = "\u{1F308}"; // 🌈  rainbow
    public const CLOSED_UMBRELLA = "\u{1F302}"; // 🌂  closed umbrella
    public const UMBRELLA = "\u{2602}\u{FE0F}"; // ☂️  umbrella
    public const UMBRELLA_WITH_RAIN_DROPS = "\u{2614}"; // ☔  umbrella with rain drops
    public const UMBRELLA_ON_GROUND = "\u{26F1}\u{FE0F}"; // ⛱️  umbrella on ground
    public const HIGH_VOLTAGE = "\u{26A1}"; // ⚡  high voltage
    public const SNOWFLAKE = "\u{2744}\u{FE0F}"; // ❄️  snowflake
    public const SNOWMAN = "\u{2603}\u{FE0F}"; // ☃️  snowman
    public const SNOWMAN_WITHOUT_SNOW = "\u{26C4}"; // ⛄  snowman without snow
    public const COMET = "\u{2604}\u{FE0F}"; // ☄️  comet
    public const FIRE = "\u{1F525}"; // 🔥  fire
    public const DROPLET = "\u{1F4A7}"; // 💧  droplet
    public const WATER_WAVE = "\u{1F30A}"; // 🌊  water wave
    public const JACK_O_LANTERN = "\u{1F383}"; // 🎃  jack-o-lantern
    public const CHRISTMAS_TREE = "\u{1F384}"; // 🎄  Christmas tree
    public const FIREWORKS = "\u{1F386}"; // 🎆  fireworks
    public const SPARKLER = "\u{1F387}"; // 🎇  sparkler
    public const FIRECRACKER = "\u{1F9E8}"; // 🧨  firecracker
    public const SPARKLES = "\u{2728}"; // ✨  sparkles
    public const BALLOON = "\u{1F388}"; // 🎈  balloon
    public const PARTY_POPPER = "\u{1F389}"; // 🎉  party popper
    public const CONFETTI_BALL = "\u{1F38A}"; // 🎊  confetti ball
    public const TANABATA_TREE = "\u{1F38B}"; // 🎋  tanabata tree
    public const PINE_DECORATION = "\u{1F38D}"; // 🎍  pine decoration
    public const JAPANESE_DOLLS = "\u{1F38E}"; // 🎎  Japanese dolls
    public const CARP_STREAMER = "\u{1F38F}"; // 🎏  carp streamer
    public const WIND_CHIME = "\u{1F390}"; // 🎐  wind chime
    public const MOON_VIEWING_CEREMONY = "\u{1F391}"; // 🎑  moon viewing ceremony
    public const RED_ENVELOPE = "\u{1F9E7}"; // 🧧  red envelope
    public const RIBBON = "\u{1F380}"; // 🎀  ribbon
    public const WRAPPED_GIFT = "\u{1F381}"; // 🎁  wrapped gift
    public const REMINDER_RIBBON = "\u{1F397}\u{FE0F}"; // 🎗️  reminder ribbon
    public const ADMISSION_TICKETS = "\u{1F39F}\u{FE0F}"; // 🎟️  admission tickets
    public const TICKET = "\u{1F3AB}"; // 🎫  ticket
    public const MILITARY_MEDAL = "\u{1F396}\u{FE0F}"; // 🎖️  military medal
    public const TROPHY = "\u{1F3C6}"; // 🏆  trophy
    public const SPORTS_MEDAL = "\u{1F3C5}"; // 🏅  sports medal
    public const FIRST_PLACE_MEDAL = "\u{1F947}"; // 🥇  1st place medal
    public const SECOND_PLACE_MEDAL = "\u{1F948}"; // 🥈  2nd place medal
    public const THIRD_PLACE_MEDAL = "\u{1F949}"; // 🥉  3rd place medal
    public const SOCCER_BALL = "\u{26BD}"; // ⚽  soccer ball
    public const BASEBALL = "\u{26BE}"; // ⚾  baseball
    public const SOFTBALL = "\u{1F94E}"; // 🥎  softball
    public const BASKETBALL = "\u{1F3C0}"; // 🏀  basketball
    public const VOLLEYBALL = "\u{1F3D0}"; // 🏐  volleyball
    public const AMERICAN_FOOTBALL = "\u{1F3C8}"; // 🏈  american football
    public const RUGBY_FOOTBALL = "\u{1F3C9}"; // 🏉  rugby football
    public const TENNIS = "\u{1F3BE}"; // 🎾  tennis
    public const FLYING_DISC = "\u{1F94F}"; // 🥏  flying disc
    public const BOWLING = "\u{1F3B3}"; // 🎳  bowling
    public const CRICKET_GAME = "\u{1F3CF}"; // 🏏  cricket game
    public const FIELD_HOCKEY = "\u{1F3D1}"; // 🏑  field hockey
    public const ICE_HOCKEY = "\u{1F3D2}"; // 🏒  ice hockey
    public const LACROSSE = "\u{1F94D}"; // 🥍  lacrosse
    public const PING_PONG = "\u{1F3D3}"; // 🏓  ping pong
    public const BADMINTON = "\u{1F3F8}"; // 🏸  badminton
    public const BOXING_GLOVE = "\u{1F94A}"; // 🥊  boxing glove
    public const MARTIAL_ARTS_UNIFORM = "\u{1F94B}"; // 🥋  martial arts uniform
    public const GOAL_NET = "\u{1F945}"; // 🥅  goal net
    public const FLAG_IN_HOLE = "\u{26F3}"; // ⛳  flag in hole
    public const ICE_SKATE = "\u{26F8}\u{FE0F}"; // ⛸️  ice skate
    public const FISHING_POLE = "\u{1F3A3}"; // 🎣  fishing pole
    public const DIVING_MASK = "\u{1F93F}"; // 🤿  diving mask
    public const RUNNING_SHIRT = "\u{1F3BD}"; // 🎽  running shirt
    public const SKIS = "\u{1F3BF}"; // 🎿  skis
    public const SLED = "\u{1F6F7}"; // 🛷  sled
    public const CURLING_STONE = "\u{1F94C}"; // 🥌  curling stone
    public const BULLSEYE = "\u{1F3AF}"; // 🎯  bullseye
    public const YO_YO = "\u{1FA80}"; // 🪀  yo-yo
    public const KITE = "\u{1FA81}"; // 🪁  kite
    public const POOL_8_BALL = "\u{1F3B1}"; // 🎱  pool 8 ball
    public const CRYSTAL_BALL = "\u{1F52E}"; // 🔮  crystal ball
    public const MAGIC_WAND = "\u{1FA84}"; // 🪄  magic wand
    public const NAZAR_AMULET = "\u{1F9FF}"; // 🧿  nazar amulet
    public const VIDEO_GAME = "\u{1F3AE}"; // 🎮  video game
    public const JOYSTICK = "\u{1F579}\u{FE0F}"; // 🕹️  joystick
    public const SLOT_MACHINE = "\u{1F3B0}"; // 🎰  slot machine
    public const GAME_DIE = "\u{1F3B2}"; // 🎲  game die
    public const PUZZLE_PIECE = "\u{1F9E9}"; // 🧩  puzzle piece
    public const TEDDY_BEAR = "\u{1F9F8}"; // 🧸  teddy bear
    public const PINATA = "\u{1FA85}"; // 🪅  piñata
    public const NESTING_DOLLS = "\u{1FA86}"; // 🪆  nesting dolls
    public const SPADE_SUIT = "\u{2660}\u{FE0F}"; // ♠️  spade suit
    public const HEART_SUIT = "\u{2665}\u{FE0F}"; // ♥️  heart suit
    public const DIAMOND_SUIT = "\u{2666}\u{FE0F}"; // ♦️  diamond suit
    public const CLUB_SUIT = "\u{2663}\u{FE0F}"; // ♣️  club suit
    public const CHESS_PAWN = "\u{265F}\u{FE0F}"; // ♟️  chess pawn
    public const JOKER = "\u{1F0CF}"; // 🃏  joker
    public const MAHJONG_RED_DRAGON = "\u{1F004}"; // 🀄  mahjong red dragon
    public const FLOWER_PLAYING_CARDS = "\u{1F3B4}"; // 🎴  flower playing cards
    public const PERFORMING_ARTS = "\u{1F3AD}"; // 🎭  performing arts
    public const FRAMED_PICTURE = "\u{1F5BC}\u{FE0F}"; // 🖼️  framed picture
    public const ARTIST_PALETTE = "\u{1F3A8}"; // 🎨  artist palette
    public const THREAD = "\u{1F9F5}"; // 🧵  thread
    public const SEWING_NEEDLE = "\u{1FAA1}"; // 🪡  sewing needle
    public const YARN = "\u{1F9F6}"; // 🧶  yarn
    public const KNOT = "\u{1FAA2}"; // 🪢  knot
    public const GLASSES = "\u{1F453}"; // 👓  glasses
    public const SUNGLASSES = "\u{1F576}\u{FE0F}"; // 🕶️  sunglasses
    public const GOGGLES = "\u{1F97D}"; // 🥽  goggles
    public const LAB_COAT = "\u{1F97C}"; // 🥼  lab coat
    public const SAFETY_VEST = "\u{1F9BA}"; // 🦺  safety vest
    public const NECKTIE = "\u{1F454}"; // 👔  necktie
    public const T_SHIRT = "\u{1F455}"; // 👕  t-shirt
    public const JEANS = "\u{1F456}"; // 👖  jeans
    public const SCARF = "\u{1F9E3}"; // 🧣  scarf
    public const GLOVES = "\u{1F9E4}"; // 🧤  gloves
    public const COAT = "\u{1F9E5}"; // 🧥  coat
    public const SOCKS = "\u{1F9E6}"; // 🧦  socks
    public const DRESS = "\u{1F457}"; // 👗  dress
    public const KIMONO = "\u{1F458}"; // 👘  kimono
    public const SARI = "\u{1F97B}"; // 🥻  sari
    public const ONE_PIECE_SWIMSUIT = "\u{1FA71}"; // 🩱  one-piece swimsuit
    public const BRIEFS = "\u{1FA72}"; // 🩲  briefs
    public const SHORTS = "\u{1FA73}"; // 🩳  shorts
    public const BIKINI = "\u{1F459}"; // 👙  bikini
    public const WOMANS_CLOTHES = "\u{1F45A}"; // 👚  woman’s clothes
    public const PURSE = "\u{1F45B}"; // 👛  purse
    public const HANDBAG = "\u{1F45C}"; // 👜  handbag
    public const CLUTCH_BAG = "\u{1F45D}"; // 👝  clutch bag
    public const SHOPPING_BAGS = "\u{1F6CD}\u{FE0F}"; // 🛍️  shopping bags
    public const BACKPACK = "\u{1F392}"; // 🎒  backpack
    public const THONG_SANDAL = "\u{1FA74}"; // 🩴  thong sandal
    public const MANS_SHOE = "\u{1F45E}"; // 👞  man’s shoe
    public const RUNNING_SHOE = "\u{1F45F}"; // 👟  running shoe
    public const HIKING_BOOT = "\u{1F97E}"; // 🥾  hiking boot
    public const FLAT_SHOE = "\u{1F97F}"; // 🥿  flat shoe
    public const HIGH_HEELED_SHOE = "\u{1F460}"; // 👠  high-heeled shoe
    public const WOMANS_SANDAL = "\u{1F461}"; // 👡  woman’s sandal
    public const BALLET_SHOES = "\u{1FA70}"; // 🩰  ballet shoes
    public const WOMANS_BOOT = "\u{1F462}"; // 👢  woman’s boot
    public const CROWN = "\u{1F451}"; // 👑  crown
    public const WOMANS_HAT = "\u{1F452}"; // 👒  woman’s hat
    public const TOP_HAT = "\u{1F3A9}"; // 🎩  top hat
    public const GRADUATION_CAP = "\u{1F393}"; // 🎓  graduation cap
    public const BILLED_CAP = "\u{1F9E2}"; // 🧢  billed cap
    public const MILITARY_HELMET = "\u{1FA96}"; // 🪖  military helmet
    public const RESCUE_WORKERS_HELMET = "\u{26D1}\u{FE0F}"; // ⛑️  rescue worker’s helmet
    public const PRAYER_BEADS = "\u{1F4FF}"; // 📿  prayer beads
    public const LIPSTICK = "\u{1F484}"; // 💄  lipstick
    public const RING = "\u{1F48D}"; // 💍  ring
    public const GEM_STONE = "\u{1F48E}"; // 💎  gem stone
    public const MUTED_SPEAKER = "\u{1F507}"; // 🔇  muted speaker
    public const SPEAKER_LOW_VOLUME = "\u{1F508}"; // 🔈  speaker low volume
    public const SPEAKER_MEDIUM_VOLUME = "\u{1F509}"; // 🔉  speaker medium volume
    public const SPEAKER_HIGH_VOLUME = "\u{1F50A}"; // 🔊  speaker high volume
    public const LOUDSPEAKER = "\u{1F4E2}"; // 📢  loudspeaker
    public const MEGAPHONE = "\u{1F4E3}"; // 📣  megaphone
    public const POSTAL_HORN = "\u{1F4EF}"; // 📯  postal horn
    public const BELL = "\u{1F514}"; // 🔔  bell
    public const BELL_WITH_SLASH = "\u{1F515}"; // 🔕  bell with slash
    public const MUSICAL_SCORE = "\u{1F3BC}"; // 🎼  musical score
    public const MUSICAL_NOTE = "\u{1F3B5}"; // 🎵  musical note
    public const MUSICAL_NOTES = "\u{1F3B6}"; // 🎶  musical notes
    public const STUDIO_MICROPHONE = "\u{1F399}\u{FE0F}"; // 🎙️  studio microphone
    public const LEVEL_SLIDER = "\u{1F39A}\u{FE0F}"; // 🎚️  level slider
    public const CONTROL_KNOBS = "\u{1F39B}\u{FE0F}"; // 🎛️  control knobs
    public const MICROPHONE = "\u{1F3A4}"; // 🎤  microphone
    public const HEADPHONE = "\u{1F3A7}"; // 🎧  headphone
    public const RADIO = "\u{1F4FB}"; // 📻  radio
    public const SAXOPHONE = "\u{1F3B7}"; // 🎷  saxophone
    public const ACCORDION = "\u{1FA97}"; // 🪗  accordion
    public const GUITAR = "\u{1F3B8}"; // 🎸  guitar
    public const MUSICAL_KEYBOARD = "\u{1F3B9}"; // 🎹  musical keyboard
    public const TRUMPET = "\u{1F3BA}"; // 🎺  trumpet
    public const VIOLIN = "\u{1F3BB}"; // 🎻  violin
    public const BANJO = "\u{1FA95}"; // 🪕  banjo
    public const DRUM = "\u{1F941}"; // 🥁  drum
    public const LONG_DRUM = "\u{1FA98}"; // 🪘  long drum
    public const MOBILE_PHONE = "\u{1F4F1}"; // 📱  mobile phone
    public const MOBILE_PHONE_WITH_ARROW = "\u{1F4F2}"; // 📲  mobile phone with arrow
    public const TELEPHONE = "\u{260E}\u{FE0F}"; // ☎️  telephone
    public const TELEPHONE_RECEIVER = "\u{1F4DE}"; // 📞  telephone receiver
    public const PAGER = "\u{1F4DF}"; // 📟  pager
    public const FAX_MACHINE = "\u{1F4E0}"; // 📠  fax machine
    public const BATTERY = "\u{1F50B}"; // 🔋  battery
    public const ELECTRIC_PLUG = "\u{1F50C}"; // 🔌  electric plug
    public const LAPTOP = "\u{1F4BB}"; // 💻  laptop
    public const DESKTOP_COMPUTER = "\u{1F5A5}\u{FE0F}"; // 🖥️  desktop computer
    public const PRINTER = "\u{1F5A8}\u{FE0F}"; // 🖨️  printer
    public const KEYBOARD = "\u{2328}\u{FE0F}"; // ⌨️  keyboard
    public const COMPUTER_MOUSE = "\u{1F5B1}\u{FE0F}"; // 🖱️  computer mouse
    public const TRACKBALL = "\u{1F5B2}\u{FE0F}"; // 🖲️  trackball
    public const COMPUTER_DISK = "\u{1F4BD}"; // 💽  computer disk
    public const FLOPPY_DISK = "\u{1F4BE}"; // 💾  floppy disk
    public const OPTICAL_DISK = "\u{1F4BF}"; // 💿  optical disk
    public const DVD = "\u{1F4C0}"; // 📀  dvd
    public const ABACUS = "\u{1F9EE}"; // 🧮  abacus
    public const MOVIE_CAMERA = "\u{1F3A5}"; // 🎥  movie camera
    public const FILM_FRAMES = "\u{1F39E}\u{FE0F}"; // 🎞️  film frames
    public const FILM_PROJECTOR = "\u{1F4FD}\u{FE0F}"; // 📽️  film projector
    public const CLAPPER_BOARD = "\u{1F3AC}"; // 🎬  clapper board
    public const TELEVISION = "\u{1F4FA}"; // 📺  television
    public const CAMERA = "\u{1F4F7}"; // 📷  camera
    public const CAMERA_WITH_FLASH = "\u{1F4F8}"; // 📸  camera with flash
    public const VIDEO_CAMERA = "\u{1F4F9}"; // 📹  video camera
    public const VIDEOCASSETTE = "\u{1F4FC}"; // 📼  videocassette
    public const MAGNIFYING_GLASS_TILTED_LEFT = "\u{1F50D}"; // 🔍  magnifying glass tilted left
    public const MAGNIFYING_GLASS_TILTED_RIGHT = "\u{1F50E}"; // 🔎  magnifying glass tilted right
    public const CANDLE = "\u{1F56F}\u{FE0F}"; // 🕯️  candle
    public const LIGHT_BULB = "\u{1F4A1}"; // 💡  light bulb
    public const FLASHLIGHT = "\u{1F526}"; // 🔦  flashlight
    public const RED_PAPER_LANTERN = "\u{1F3EE}"; // 🏮  red paper lantern
    public const DIYA_LAMP = "\u{1FA94}"; // 🪔  diya lamp
    public const NOTEBOOK_WITH_DECORATIVE_COVER = "\u{1F4D4}"; // 📔  notebook with decorative cover
    public const CLOSED_BOOK = "\u{1F4D5}"; // 📕  closed book
    public const OPEN_BOOK = "\u{1F4D6}"; // 📖  open book
    public const GREEN_BOOK = "\u{1F4D7}"; // 📗  green book
    public const BLUE_BOOK = "\u{1F4D8}"; // 📘  blue book
    public const ORANGE_BOOK = "\u{1F4D9}"; // 📙  orange book
    public const BOOKS = "\u{1F4DA}"; // 📚  books
    public const NOTEBOOK = "\u{1F4D3}"; // 📓  notebook
    public const LEDGER = "\u{1F4D2}"; // 📒  ledger
    public const PAGE_WITH_CURL = "\u{1F4C3}"; // 📃  page with curl
    public const SCROLL = "\u{1F4DC}"; // 📜  scroll
    public const PAGE_FACING_UP = "\u{1F4C4}"; // 📄  page facing up
    public const NEWSPAPER = "\u{1F4F0}"; // 📰  newspaper
    public const ROLLED_UP_NEWSPAPER = "\u{1F5DE}\u{FE0F}"; // 🗞️  rolled-up newspaper
    public const BOOKMARK_TABS = "\u{1F4D1}"; // 📑  bookmark tabs
    public const BOOKMARK = "\u{1F516}"; // 🔖  bookmark
    public const LABEL = "\u{1F3F7}\u{FE0F}"; // 🏷️  label
    public const MONEY_BAG = "\u{1F4B0}"; // 💰  money bag
    public const COIN = "\u{1FA99}"; // 🪙  coin
    public const YEN_BANKNOTE = "\u{1F4B4}"; // 💴  yen banknote
    public const DOLLAR_BANKNOTE = "\u{1F4B5}"; // 💵  dollar banknote
    public const EURO_BANKNOTE = "\u{1F4B6}"; // 💶  euro banknote
    public const POUND_BANKNOTE = "\u{1F4B7}"; // 💷  pound banknote
    public const MONEY_WITH_WINGS = "\u{1F4B8}"; // 💸  money with wings
    public const CREDIT_CARD = "\u{1F4B3}"; // 💳  credit card
    public const RECEIPT = "\u{1F9FE}"; // 🧾  receipt
    public const CHART_INCREASING_WITH_YEN = "\u{1F4B9}"; // 💹  chart increasing with yen
    public const ENVELOPE = "\u{2709}\u{FE0F}"; // ✉️  envelope
    public const E_MAIL = "\u{1F4E7}"; // 📧  e-mail
    public const INCOMING_ENVELOPE = "\u{1F4E8}"; // 📨  incoming envelope
    public const ENVELOPE_WITH_ARROW = "\u{1F4E9}"; // 📩  envelope with arrow
    public const OUTBOX_TRAY = "\u{1F4E4}"; // 📤  outbox tray
    public const INBOX_TRAY = "\u{1F4E5}"; // 📥  inbox tray
    public const PACKAGE = "\u{1F4E6}"; // 📦  package
    public const CLOSED_MAILBOX_WITH_RAISED_FLAG = "\u{1F4EB}"; // 📫  closed mailbox with raised flag
    public const CLOSED_MAILBOX_WITH_LOWERED_FLAG = "\u{1F4EA}"; // 📪  closed mailbox with lowered flag
    public const OPEN_MAILBOX_WITH_RAISED_FLAG = "\u{1F4EC}"; // 📬  open mailbox with raised flag
    public const OPEN_MAILBOX_WITH_LOWERED_FLAG = "\u{1F4ED}"; // 📭  open mailbox with lowered flag
    public const POSTBOX = "\u{1F4EE}"; // 📮  postbox
    public const BALLOT_BOX_WITH_BALLOT = "\u{1F5F3}\u{FE0F}"; // 🗳️  ballot box with ballot
    public const PENCIL = "\u{270F}\u{FE0F}"; // ✏️  pencil
    public const BLACK_NIB = "\u{2712}\u{FE0F}"; // ✒️  black nib
    public const FOUNTAIN_PEN = "\u{1F58B}\u{FE0F}"; // 🖋️  fountain pen
    public const PEN = "\u{1F58A}\u{FE0F}"; // 🖊️  pen
    public const PAINTBRUSH = "\u{1F58C}\u{FE0F}"; // 🖌️  paintbrush
    public const CRAYON = "\u{1F58D}\u{FE0F}"; // 🖍️  crayon
    public const MEMO = "\u{1F4DD}"; // 📝  memo
    public const BRIEFCASE = "\u{1F4BC}"; // 💼  briefcase
    public const FILE_FOLDER = "\u{1F4C1}"; // 📁  file folder
    public const OPEN_FILE_FOLDER = "\u{1F4C2}"; // 📂  open file folder
    public const CARD_INDEX_DIVIDERS = "\u{1F5C2}\u{FE0F}"; // 🗂️  card index dividers
    public const CALENDAR = "\u{1F4C5}"; // 📅  calendar
    public const TEAR_OFF_CALENDAR = "\u{1F4C6}"; // 📆  tear-off calendar
    public const SPIRAL_NOTEPAD = "\u{1F5D2}\u{FE0F}"; // 🗒️  spiral notepad
    public const SPIRAL_CALENDAR = "\u{1F5D3}\u{FE0F}"; // 🗓️  spiral calendar
    public const CARD_INDEX = "\u{1F4C7}"; // 📇  card index
    public const CHART_INCREASING = "\u{1F4C8}"; // 📈  chart increasing
    public const CHART_DECREASING = "\u{1F4C9}"; // 📉  chart decreasing
    public const BAR_CHART = "\u{1F4CA}"; // 📊  bar chart
    public const CLIPBOARD = "\u{1F4CB}"; // 📋  clipboard
    public const PUSHPIN = "\u{1F4CC}"; // 📌  pushpin
    public const ROUND_PUSHPIN = "\u{1F4CD}"; // 📍  round pushpin
    public const PAPERCLIP = "\u{1F4CE}"; // 📎  paperclip
    public const LINKED_PAPERCLIPS = "\u{1F587}\u{FE0F}"; // 🖇️  linked paperclips
    public const STRAIGHT_RULER = "\u{1F4CF}"; // 📏  straight ruler
    public const TRIANGULAR_RULER = "\u{1F4D0}"; // 📐  triangular ruler
    public const SCISSORS = "\u{2702}\u{FE0F}"; // ✂️  scissors
    public const CARD_FILE_BOX = "\u{1F5C3}\u{FE0F}"; // 🗃️  card file box
    public const FILE_CABINET = "\u{1F5C4}\u{FE0F}"; // 🗄️  file cabinet
    public const WASTEBASKET = "\u{1F5D1}\u{FE0F}"; // 🗑️  wastebasket
    public const LOCKED = "\u{1F512}"; // 🔒  locked
    public const UNLOCKED = "\u{1F513}"; // 🔓  unlocked
    public const LOCKED_WITH_PEN = "\u{1F50F}"; // 🔏  locked with pen
    public const LOCKED_WITH_KEY = "\u{1F510}"; // 🔐  locked with key
    public const KEY = "\u{1F511}"; // 🔑  key
    public const OLD_KEY = "\u{1F5DD}\u{FE0F}"; // 🗝️  old key
    public const HAMMER = "\u{1F528}"; // 🔨  hammer
    public const AXE = "\u{1FA93}"; // 🪓  axe
    public const PICK = "\u{26CF}\u{FE0F}"; // ⛏️  pick
    public const HAMMER_AND_PICK = "\u{2692}\u{FE0F}"; // ⚒️  hammer and pick
    public const HAMMER_AND_WRENCH = "\u{1F6E0}\u{FE0F}"; // 🛠️  hammer and wrench
    public const DAGGER = "\u{1F5E1}\u{FE0F}"; // 🗡️  dagger
    public const CROSSED_SWORDS = "\u{2694}\u{FE0F}"; // ⚔️  crossed swords
    public const WATER_PISTOL = "\u{1F52B}"; // 🔫  water pistol
    public const BOOMERANG = "\u{1FA83}"; // 🪃  boomerang
    public const BOW_AND_ARROW = "\u{1F3F9}"; // 🏹  bow and arrow
    public const SHIELD = "\u{1F6E1}\u{FE0F}"; // 🛡️  shield
    public const CARPENTRY_SAW = "\u{1FA9A}"; // 🪚  carpentry saw
    public const WRENCH = "\u{1F527}"; // 🔧  wrench
    public const SCREWDRIVER = "\u{1FA9B}"; // 🪛  screwdriver
    public const NUT_AND_BOLT = "\u{1F529}"; // 🔩  nut and bolt
    public const GEAR = "\u{2699}\u{FE0F}"; // ⚙️  gear
    public const CLAMP = "\u{1F5DC}\u{FE0F}"; // 🗜️  clamp
    public const BALANCE_SCALE = "\u{2696}\u{FE0F}"; // ⚖️  balance scale
    public const WHITE_CANE = "\u{1F9AF}"; // 🦯  white cane
    public const LINK = "\u{1F517}"; // 🔗  link
    public const CHAINS = "\u{26D3}\u{FE0F}"; // ⛓️  chains
    public const HOOK = "\u{1FA9D}"; // 🪝  hook
    public const TOOLBOX = "\u{1F9F0}"; // 🧰  toolbox
    public const MAGNET = "\u{1F9F2}"; // 🧲  magnet
    public const LADDER = "\u{1FA9C}"; // 🪜  ladder
    public const ALEMBIC = "\u{2697}\u{FE0F}"; // ⚗️  alembic
    public const TEST_TUBE = "\u{1F9EA}"; // 🧪  test tube
    public const PETRI_DISH = "\u{1F9EB}"; // 🧫  petri dish
    public const DNA = "\u{1F9EC}"; // 🧬  dna
    public const MICROSCOPE = "\u{1F52C}"; // 🔬  microscope
    public const TELESCOPE = "\u{1F52D}"; // 🔭  telescope
    public const SATELLITE_ANTENNA = "\u{1F4E1}"; // 📡  satellite antenna
    public const SYRINGE = "\u{1F489}"; // 💉  syringe
    public const DROP_OF_BLOOD = "\u{1FA78}"; // 🩸  drop of blood
    public const PILL = "\u{1F48A}"; // 💊  pill
    public const ADHESIVE_BANDAGE = "\u{1FA79}"; // 🩹  adhesive bandage
    public const STETHOSCOPE = "\u{1FA7A}"; // 🩺  stethoscope
    public const DOOR = "\u{1F6AA}"; // 🚪  door
    public const ELEVATOR = "\u{1F6D7}"; // 🛗  elevator
    public const MIRROR = "\u{1FA9E}"; // 🪞  mirror
    public const WINDOW = "\u{1FA9F}"; // 🪟  window
    public const BED = "\u{1F6CF}\u{FE0F}"; // 🛏️  bed
    public const COUCH_AND_LAMP = "\u{1F6CB}\u{FE0F}"; // 🛋️  couch and lamp
    public const CHAIR = "\u{1FA91}"; // 🪑  chair
    public const TOILET = "\u{1F6BD}"; // 🚽  toilet
    public const PLUNGER = "\u{1FAA0}"; // 🪠  plunger
    public const SHOWER = "\u{1F6BF}"; // 🚿  shower
    public const BATHTUB = "\u{1F6C1}"; // 🛁  bathtub
    public const MOUSE_TRAP = "\u{1FAA4}"; // 🪤  mouse trap
    public const RAZOR = "\u{1FA92}"; // 🪒  razor
    public const LOTION_BOTTLE = "\u{1F9F4}"; // 🧴  lotion bottle
    public const SAFETY_PIN = "\u{1F9F7}"; // 🧷  safety pin
    public const BROOM = "\u{1F9F9}"; // 🧹  broom
    public const BASKET = "\u{1F9FA}"; // 🧺  basket
    public const ROLL_OF_PAPER = "\u{1F9FB}"; // 🧻  roll of paper
    public const BUCKET = "\u{1FAA3}"; // 🪣  bucket
    public const SOAP = "\u{1F9FC}"; // 🧼  soap
    public const TOOTHBRUSH = "\u{1FAA5}"; // 🪥  toothbrush
    public const SPONGE = "\u{1F9FD}"; // 🧽  sponge
    public const FIRE_EXTINGUISHER = "\u{1F9EF}"; // 🧯  fire extinguisher
    public const SHOPPING_CART = "\u{1F6D2}"; // 🛒  shopping cart
    public const CIGARETTE = "\u{1F6AC}"; // 🚬  cigarette
    public const COFFIN = "\u{26B0}\u{FE0F}"; // ⚰️  coffin
    public const HEADSTONE = "\u{1FAA6}"; // 🪦  headstone
    public const FUNERAL_URN = "\u{26B1}\u{FE0F}"; // ⚱️  funeral urn
    public const MOAI = "\u{1F5FF}"; // 🗿  moai
    public const PLACARD = "\u{1FAA7}"; // 🪧  placard
    public const ATM_SIGN = "\u{1F3E7}"; // 🏧  ATM sign
    public const LITTER_IN_BIN_SIGN = "\u{1F6AE}"; // 🚮  litter in bin sign
    public const POTABLE_WATER = "\u{1F6B0}"; // 🚰  potable water
    public const WHEELCHAIR_SYMBOL = "\u{267F}"; // ♿  wheelchair symbol
    public const MENS_ROOM = "\u{1F6B9}"; // 🚹  men’s room
    public const WOMENS_ROOM = "\u{1F6BA}"; // 🚺  women’s room
    public const RESTROOM = "\u{1F6BB}"; // 🚻  restroom
    public const BABY_SYMBOL = "\u{1F6BC}"; // 🚼  baby symbol
    public const WATER_CLOSET = "\u{1F6BE}"; // 🚾  water closet
    public const PASSPORT_CONTROL = "\u{1F6C2}"; // 🛂  passport control
    public const CUSTOMS = "\u{1F6C3}"; // 🛃  customs
    public const BAGGAGE_CLAIM = "\u{1F6C4}"; // 🛄  baggage claim
    public const LEFT_LUGGAGE = "\u{1F6C5}"; // 🛅  left luggage
    public const WARNING = "\u{26A0}\u{FE0F}"; // ⚠️  warning
    public const CHILDREN_CROSSING = "\u{1F6B8}"; // 🚸  children crossing
    public const NO_ENTRY = "\u{26D4}"; // ⛔  no entry
    public const PROHIBITED = "\u{1F6AB}"; // 🚫  prohibited
    public const NO_BICYCLES = "\u{1F6B3}"; // 🚳  no bicycles
    public const NO_SMOKING = "\u{1F6AD}"; // 🚭  no smoking
    public const NO_LITTERING = "\u{1F6AF}"; // 🚯  no littering
    public const NON_POTABLE_WATER = "\u{1F6B1}"; // 🚱  non-potable water
    public const NO_PEDESTRIANS = "\u{1F6B7}"; // 🚷  no pedestrians
    public const NO_MOBILE_PHONES = "\u{1F4F5}"; // 📵  no mobile phones
    public const NO_ONE_UNDER_EIGHTEEN = "\u{1F51E}"; // 🔞  no one under eighteen
    public const RADIOACTIVE = "\u{2622}\u{FE0F}"; // ☢️  radioactive
    public const BIOHAZARD = "\u{2623}\u{FE0F}"; // ☣️  biohazard
    public const UP_ARROW = "\u{2B06}\u{FE0F}"; // ⬆️  up arrow
    public const UP_RIGHT_ARROW = "\u{2197}\u{FE0F}"; // ↗️  up-right arrow
    public const RIGHT_ARROW = "\u{27A1}\u{FE0F}"; // ➡️  right arrow
    public const DOWN_RIGHT_ARROW = "\u{2198}\u{FE0F}"; // ↘️  down-right arrow
    public const DOWN_ARROW = "\u{2B07}\u{FE0F}"; // ⬇️  down arrow
    public const DOWN_LEFT_ARROW = "\u{2199}\u{FE0F}"; // ↙️  down-left arrow
    public const LEFT_ARROW = "\u{2B05}\u{FE0F}"; // ⬅️  left arrow
    public const UP_LEFT_ARROW = "\u{2196}\u{FE0F}"; // ↖️  up-left arrow
    public const UP_DOWN_ARROW = "\u{2195}\u{FE0F}"; // ↕️  up-down arrow
    public const LEFT_RIGHT_ARROW = "\u{2194}\u{FE0F}"; // ↔️  left-right arrow
    public const RIGHT_ARROW_CURVING_LEFT = "\u{21A9}\u{FE0F}"; // ↩️  right arrow curving left
    public const LEFT_ARROW_CURVING_RIGHT = "\u{21AA}\u{FE0F}"; // ↪️  left arrow curving right
    public const RIGHT_ARROW_CURVING_UP = "\u{2934}\u{FE0F}"; // ⤴️  right arrow curving up
    public const RIGHT_ARROW_CURVING_DOWN = "\u{2935}\u{FE0F}"; // ⤵️  right arrow curving down
    public const CLOCKWISE_VERTICAL_ARROWS = "\u{1F503}"; // 🔃  clockwise vertical arrows
    public const COUNTERCLOCKWISE_ARROWS_BUTTON = "\u{1F504}"; // 🔄  counterclockwise arrows button
    public const BACK_ARROW = "\u{1F519}"; // 🔙  BACK arrow
    public const END_ARROW = "\u{1F51A}"; // 🔚  END arrow
    public const ON_ARROW = "\u{1F51B}"; // 🔛  ON! arrow
    public const SOON_ARROW = "\u{1F51C}"; // 🔜  SOON arrow
    public const TOP_ARROW = "\u{1F51D}"; // 🔝  TOP arrow
    public const PLACE_OF_WORSHIP = "\u{1F6D0}"; // 🛐  place of worship
    public const ATOM_SYMBOL = "\u{269B}\u{FE0F}"; // ⚛️  atom symbol
    public const OM = "\u{1F549}\u{FE0F}"; // 🕉️  om
    public const STAR_OF_DAVID = "\u{2721}\u{FE0F}"; // ✡️  star of David
    public const WHEEL_OF_DHARMA = "\u{2638}\u{FE0F}"; // ☸️  wheel of dharma
    public const YIN_YANG = "\u{262F}\u{FE0F}"; // ☯️  yin yang
    public const LATIN_CROSS = "\u{271D}\u{FE0F}"; // ✝️  latin cross
    public const ORTHODOX_CROSS = "\u{2626}\u{FE0F}"; // ☦️  orthodox cross
    public const STAR_AND_CRESCENT = "\u{262A}\u{FE0F}"; // ☪️  star and crescent
    public const PEACE_SYMBOL = "\u{262E}\u{FE0F}"; // ☮️  peace symbol
    public const MENORAH = "\u{1F54E}"; // 🕎  menorah
    public const DOTTED_SIX_POINTED_STAR = "\u{1F52F}"; // 🔯  dotted six-pointed star
    public const ARIES = "\u{2648}"; // ♈  Aries
    public const TAURUS = "\u{2649}"; // ♉  Taurus
    public const GEMINI = "\u{264A}"; // ♊  Gemini
    public const CANCER = "\u{264B}"; // ♋  Cancer
    public const LEO = "\u{264C}"; // ♌  Leo
    public const VIRGO = "\u{264D}"; // ♍  Virgo
    public const LIBRA = "\u{264E}"; // ♎  Libra
    public const SCORPIO = "\u{264F}"; // ♏  Scorpio
    public const SAGITTARIUS = "\u{2650}"; // ♐  Sagittarius
    public const CAPRICORN = "\u{2651}"; // ♑  Capricorn
    public const AQUARIUS = "\u{2652}"; // ♒  Aquarius
    public const PISCES = "\u{2653}"; // ♓  Pisces
    public const OPHIUCHUS = "\u{26CE}"; // ⛎  Ophiuchus
    public const SHUFFLE_TRACKS_BUTTON = "\u{1F500}"; // 🔀  shuffle tracks button
    public const REPEAT_BUTTON = "\u{1F501}"; // 🔁  repeat button
    public const REPEAT_SINGLE_BUTTON = "\u{1F502}"; // 🔂  repeat single button
    public const PLAY_BUTTON = "\u{25B6}\u{FE0F}"; // ▶️  play button
    public const FAST_FORWARD_BUTTON = "\u{23E9}"; // ⏩  fast-forward button
    public const NEXT_TRACK_BUTTON = "\u{23ED}\u{FE0F}"; // ⏭️  next track button
    public const PLAY_OR_PAUSE_BUTTON = "\u{23EF}\u{FE0F}"; // ⏯️  play or pause button
    public const REVERSE_BUTTON = "\u{25C0}\u{FE0F}"; // ◀️  reverse button
    public const FAST_REVERSE_BUTTON = "\u{23EA}"; // ⏪  fast reverse button
    public const LAST_TRACK_BUTTON = "\u{23EE}\u{FE0F}"; // ⏮️  last track button
    public const UPWARDS_BUTTON = "\u{1F53C}"; // 🔼  upwards button
    public const FAST_UP_BUTTON = "\u{23EB}"; // ⏫  fast up button
    public const DOWNWARDS_BUTTON = "\u{1F53D}"; // 🔽  downwards button
    public const FAST_DOWN_BUTTON = "\u{23EC}"; // ⏬  fast down button
    public const PAUSE_BUTTON = "\u{23F8}\u{FE0F}"; // ⏸️  pause button
    public const STOP_BUTTON = "\u{23F9}\u{FE0F}"; // ⏹️  stop button
    public const RECORD_BUTTON = "\u{23FA}\u{FE0F}"; // ⏺️  record button
    public const EJECT_BUTTON = "\u{23CF}\u{FE0F}"; // ⏏️  eject button
    public const CINEMA = "\u{1F3A6}"; // 🎦  cinema
    public const DIM_BUTTON = "\u{1F505}"; // 🔅  dim button
    public const BRIGHT_BUTTON = "\u{1F506}"; // 🔆  bright button
    public const ANTENNA_BARS = "\u{1F4F6}"; // 📶  antenna bars
    public const VIBRATION_MODE = "\u{1F4F3}"; // 📳  vibration mode
    public const MOBILE_PHONE_OFF = "\u{1F4F4}"; // 📴  mobile phone off
    public const FEMALE_SIGN = "\u{2640}\u{FE0F}"; // ♀️  female sign
    public const MALE_SIGN = "\u{2642}\u{FE0F}"; // ♂️  male sign
    public const TRANSGENDER_SYMBOL = "\u{26A7}\u{FE0F}"; // ⚧️  transgender symbol
    public const MULTIPLY = "\u{2716}\u{FE0F}"; // ✖️  multiply
    public const PLUS = "\u{2795}"; // ➕  plus
    public const MINUS = "\u{2796}"; // ➖  minus
    public const DIVIDE = "\u{2797}"; // ➗  divide
    public const INFINITY = "\u{267E}\u{FE0F}"; // ♾️  infinity
    public const DOUBLE_EXCLAMATION_MARK = "\u{203C}\u{FE0F}"; // ‼️  double exclamation mark
    public const EXCLAMATION_QUESTION_MARK = "\u{2049}\u{FE0F}"; // ⁉️  exclamation question mark
    public const RED_QUESTION_MARK = "\u{2753}"; // ❓  red question mark
    public const WHITE_QUESTION_MARK = "\u{2754}"; // ❔  white question mark
    public const WHITE_EXCLAMATION_MARK = "\u{2755}"; // ❕  white exclamation mark
    public const RED_EXCLAMATION_MARK = "\u{2757}"; // ❗  red exclamation mark
    public const WAVY_DASH = "\u{3030}\u{FE0F}"; // 〰️  wavy dash
    public const CURRENCY_EXCHANGE = "\u{1F4B1}"; // 💱  currency exchange
    public const HEAVY_DOLLAR_SIGN = "\u{1F4B2}"; // 💲  heavy dollar sign
    public const MEDICAL_SYMBOL = "\u{2695}\u{FE0F}"; // ⚕️  medical symbol
    public const RECYCLING_SYMBOL = "\u{267B}\u{FE0F}"; // ♻️  recycling symbol
    public const FLEUR_DE_LIS = "\u{269C}\u{FE0F}"; // ⚜️  fleur-de-lis
    public const TRIDENT_EMBLEM = "\u{1F531}"; // 🔱  trident emblem
    public const NAME_BADGE = "\u{1F4DB}"; // 📛  name badge
    public const JAPANESE_SYMBOL_FOR_BEGINNER = "\u{1F530}"; // 🔰  Japanese symbol for beginner
    public const HOLLOW_RED_CIRCLE = "\u{2B55}"; // ⭕  hollow red circle
    public const CHECK_MARK_BUTTON = "\u{2705}"; // ✅  check mark button
    public const CHECK_BOX_WITH_CHECK = "\u{2611}\u{FE0F}"; // ☑️  check box with check
    public const CHECK_MARK = "\u{2714}\u{FE0F}"; // ✔️  check mark
    public const CROSS_MARK = "\u{274C}"; // ❌  cross mark
    public const CROSS_MARK_BUTTON = "\u{274E}"; // ❎  cross mark button
    public const CURLY_LOOP = "\u{27B0}"; // ➰  curly loop
    public const DOUBLE_CURLY_LOOP = "\u{27BF}"; // ➿  double curly loop
    public const PART_ALTERNATION_MARK = "\u{303D}\u{FE0F}"; // 〽️  part alternation mark
    public const EIGHT_SPOKED_ASTERISK = "\u{2733}\u{FE0F}"; // ✳️  eight-spoked asterisk
    public const EIGHT_POINTED_STAR = "\u{2734}\u{FE0F}"; // ✴️  eight-pointed star
    public const SPARKLE = "\u{2747}\u{FE0F}"; // ❇️  sparkle
    public const COPYRIGHT = "\u{00A9}\u{FE0F}"; // ©️  copyright
    public const REGISTERED = "\u{00AE}\u{FE0F}"; // ®️  registered
    public const TRADE_MARK = "\u{2122}\u{FE0F}"; // ™️  trade mark
    public const KEYCAP_HASH = "\u{0023}\u{FE0F}\u{20E3}"; // #️⃣  keycap: #
    public const KEYCAP_ASTERISK = "\u{002A}\u{FE0F}\u{20E3}"; // *️⃣  keycap: *
    public const KEYCAP_0 = "\u{0030}\u{FE0F}\u{20E3}"; // 0️⃣  keycap: 0
    public const KEYCAP_1 = "\u{0031}\u{FE0F}\u{20E3}"; // 1️⃣  keycap: 1
    public const KEYCAP_2 = "\u{0032}\u{FE0F}\u{20E3}"; // 2️⃣  keycap: 2
    public const KEYCAP_3 = "\u{0033}\u{FE0F}\u{20E3}"; // 3️⃣  keycap: 3
    public const KEYCAP_4 = "\u{0034}\u{FE0F}\u{20E3}"; // 4️⃣  keycap: 4
    public const KEYCAP_5 = "\u{0035}\u{FE0F}\u{20E3}"; // 5️⃣  keycap: 5
    public const KEYCAP_6 = "\u{0036}\u{FE0F}\u{20E3}"; // 6️⃣  keycap: 6
    public const KEYCAP_7 = "\u{0037}\u{FE0F}\u{20E3}"; // 7️⃣  keycap: 7
    public const KEYCAP_8 = "\u{0038}\u{FE0F}\u{20E3}"; // 8️⃣  keycap: 8
    public const KEYCAP_9 = "\u{0039}\u{FE0F}\u{20E3}"; // 9️⃣  keycap: 9
    public const KEYCAP_10 = "\u{1F51F}"; // 🔟  keycap: 10
    public const INPUT_LATIN_UPPERCASE = "\u{1F520}"; // 🔠  input latin uppercase
    public const INPUT_LATIN_LOWERCASE = "\u{1F521}"; // 🔡  input latin lowercase
    public const INPUT_NUMBERS = "\u{1F522}"; // 🔢  input numbers
    public const INPUT_SYMBOLS = "\u{1F523}"; // 🔣  input symbols
    public const INPUT_LATIN_LETTERS = "\u{1F524}"; // 🔤  input latin letters
    public const A_BUTTON_BLOOD_TYPE = "\u{1F170}\u{FE0F}"; // 🅰️  A button (blood type)
    public const AB_BUTTON_BLOOD_TYPE = "\u{1F18E}"; // 🆎  AB button (blood type)
    public const B_BUTTON_BLOOD_TYPE = "\u{1F171}\u{FE0F}"; // 🅱️  B button (blood type)
    public const CL_BUTTON = "\u{1F191}"; // 🆑  CL button
    public const COOL_BUTTON = "\u{1F192}"; // 🆒  COOL button
    public const FREE_BUTTON = "\u{1F193}"; // 🆓  FREE button
    public const INFORMATION = "\u{2139}\u{FE0F}"; // ℹ️  information
    public const ID_BUTTON = "\u{1F194}"; // 🆔  ID button
    public const CIRCLED_M = "\u{24C2}\u{FE0F}"; // Ⓜ️  circled M
    public const NEW_BUTTON = "\u{1F195}"; // 🆕  NEW button
    public const NG_BUTTON = "\u{1F196}"; // 🆖  NG button
    public const O_BUTTON_BLOOD_TYPE = "\u{1F17E}\u{FE0F}"; // 🅾️  O button (blood type)
    public const OK_BUTTON = "\u{1F197}"; // 🆗  OK button
    public const P_BUTTON = "\u{1F17F}\u{FE0F}"; // 🅿️  P button
    public const SOS_BUTTON = "\u{1F198}"; // 🆘  SOS button
    public const UP_BUTTON = "\u{1F199}"; // 🆙  UP! button
    public const VS_BUTTON = "\u{1F19A}"; // 🆚  VS button
    public const JAPANESE_HERE_BUTTON = "\u{1F201}"; // 🈁  Japanese “here” button
    public const JAPANESE_SERVICE_CHARGE_BUTTON = "\u{1F202}\u{FE0F}"; // 🈂️  Japanese “service charge” button
    public const JAPANESE_MONTHLY_AMOUNT_BUTTON = "\u{1F237}\u{FE0F}"; // 🈷️  Japanese “monthly amount” button
    public const JAPANESE_NOT_FREE_OF_CHARGE_BUTTON = "\u{1F236}"; // 🈶  Japanese “not free of charge” button
    public const JAPANESE_RESERVED_BUTTON = "\u{1F22F}"; // 🈯  Japanese “reserved” button
    public const JAPANESE_BARGAIN_BUTTON = "\u{1F250}"; // 🉐  Japanese “bargain” button
    public const JAPANESE_DISCOUNT_BUTTON = "\u{1F239}"; // 🈹  Japanese “discount” button
    public const JAPANESE_FREE_OF_CHARGE_BUTTON = "\u{1F21A}"; // 🈚  Japanese “free of charge” button
    public const JAPANESE_PROHIBITED_BUTTON = "\u{1F232}"; // 🈲  Japanese “prohibited” button
    public const JAPANESE_ACCEPTABLE_BUTTON = "\u{1F251}"; // 🉑  Japanese “acceptable” button
    public const JAPANESE_APPLICATION_BUTTON = "\u{1F238}"; // 🈸  Japanese “application” button
    public const JAPANESE_PASSING_GRADE_BUTTON = "\u{1F234}"; // 🈴  Japanese “passing grade” button
    public const JAPANESE_VACANCY_BUTTON = "\u{1F233}"; // 🈳  Japanese “vacancy” button
    public const JAPANESE_CONGRATULATIONS_BUTTON = "\u{3297}\u{FE0F}"; // ㊗️  Japanese “congratulations” button
    public const JAPANESE_SECRET_BUTTON = "\u{3299}\u{FE0F}"; // ㊙️  Japanese “secret” button
    public const JAPANESE_OPEN_FOR_BUSINESS_BUTTON = "\u{1F23A}"; // 🈺  Japanese “open for business” button
    public const JAPANESE_NO_VACANCY_BUTTON = "\u{1F235}"; // 🈵  Japanese “no vacancy” button
    public const RED_CIRCLE = "\u{1F534}"; // 🔴  red circle
    public const ORANGE_CIRCLE = "\u{1F7E0}"; // 🟠  orange circle
    public const YELLOW_CIRCLE = "\u{1F7E1}"; // 🟡  yellow circle
    public const GREEN_CIRCLE = "\u{1F7E2}"; // 🟢  green circle
    public const BLUE_CIRCLE = "\u{1F535}"; // 🔵  blue circle
    public const PURPLE_CIRCLE = "\u{1F7E3}"; // 🟣  purple circle
    public const BROWN_CIRCLE = "\u{1F7E4}"; // 🟤  brown circle
    public const BLACK_CIRCLE = "\u{26AB}"; // ⚫  black circle
    public const WHITE_CIRCLE = "\u{26AA}"; // ⚪  white circle
    public const RED_SQUARE = "\u{1F7E5}"; // 🟥  red square
    public const ORANGE_SQUARE = "\u{1F7E7}"; // 🟧  orange square
    public const YELLOW_SQUARE = "\u{1F7E8}"; // 🟨  yellow square
    public const GREEN_SQUARE = "\u{1F7E9}"; // 🟩  green square
    public const BLUE_SQUARE = "\u{1F7E6}"; // 🟦  blue square
    public const PURPLE_SQUARE = "\u{1F7EA}"; // 🟪  purple square
    public const BROWN_SQUARE = "\u{1F7EB}"; // 🟫  brown square
    public const BLACK_LARGE_SQUARE = "\u{2B1B}"; // ⬛  black large square
    public const WHITE_LARGE_SQUARE = "\u{2B1C}"; // ⬜  white large square
    public const BLACK_MEDIUM_SQUARE = "\u{25FC}\u{FE0F}"; // ◼️  black medium square
    public const WHITE_MEDIUM_SQUARE = "\u{25FB}\u{FE0F}"; // ◻️  white medium square
    public const BLACK_MEDIUM_SMALL_SQUARE = "\u{25FE}"; // ◾  black medium-small square
    public const WHITE_MEDIUM_SMALL_SQUARE = "\u{25FD}"; // ◽  white medium-small square
    public const BLACK_SMALL_SQUARE = "\u{25AA}\u{FE0F}"; // ▪️  black small square
    public const WHITE_SMALL_SQUARE = "\u{25AB}\u{FE0F}"; // ▫️  white small square
    public const LARGE_ORANGE_DIAMOND = "\u{1F536}"; // 🔶  large orange diamond
    public const LARGE_BLUE_DIAMOND = "\u{1F537}"; // 🔷  large blue diamond
    public const SMALL_ORANGE_DIAMOND = "\u{1F538}"; // 🔸  small orange diamond
    public const SMALL_BLUE_DIAMOND = "\u{1F539}"; // 🔹  small blue diamond
    public const RED_TRIANGLE_POINTED_UP = "\u{1F53A}"; // 🔺  red triangle pointed up
    public const RED_TRIANGLE_POINTED_DOWN = "\u{1F53B}"; // 🔻  red triangle pointed down
    public const DIAMOND_WITH_A_DOT = "\u{1F4A0}"; // 💠  diamond with a dot
    public const RADIO_BUTTON = "\u{1F518}"; // 🔘  radio button
    public const WHITE_SQUARE_BUTTON = "\u{1F533}"; // 🔳  white square button
    public const BLACK_SQUARE_BUTTON = "\u{1F532}"; // 🔲  black square button
    public const CHEQUERED_FLAG = "\u{1F3C1}"; // 🏁  chequered flag
    public const TRIANGULAR_FLAG = "\u{1F6A9}"; // 🚩  triangular flag
    public const CROSSED_FLAGS = "\u{1F38C}"; // 🎌  crossed flags
    public const BLACK_FLAG = "\u{1F3F4}"; // 🏴  black flag
    public const WHITE_FLAG = "\u{1F3F3}\u{FE0F}"; // 🏳️  white flag
    public const RAINBOW_FLAG = "\u{1F3F3}\u{FE0F}\u{200D}\u{1F308}"; // 🏳️‍🌈  rainbow flag
    public const TRANSGENDER_FLAG = "\u{1F3F3}\u{FE0F}\u{200D}\u{26A7}\u{FE0F}"; // 🏳️‍⚧️  transgender flag
    public const PIRATE_FLAG = "\u{1F3F4}\u{200D}\u{2620}\u{FE0F}"; // 🏴‍☠️  pirate flag
    public const FLAG_ASCENSION_ISLAND = "\u{1F1E6}\u{1F1E8}"; // 🇦🇨  flag: Ascension Island
    public const FLAG_ANDORRA = "\u{1F1E6}\u{1F1E9}"; // 🇦🇩  flag: Andorra
    public const FLAG_UNITED_ARAB_EMIRATES = "\u{1F1E6}\u{1F1EA}"; // 🇦🇪  flag: United Arab Emirates
    public const FLAG_AFGHANISTAN = "\u{1F1E6}\u{1F1EB}"; // 🇦🇫  flag: Afghanistan
    public const FLAG_ANTIGUA_AND_BARBUDA = "\u{1F1E6}\u{1F1EC}"; // 🇦🇬  flag: Antigua &amp; Barbuda
    public const FLAG_ANGUILLA = "\u{1F1E6}\u{1F1EE}"; // 🇦🇮  flag: Anguilla
    public const FLAG_ALBANIA = "\u{1F1E6}\u{1F1F1}"; // 🇦🇱  flag: Albania
    public const FLAG_ARMENIA = "\u{1F1E6}\u{1F1F2}"; // 🇦🇲  flag: Armenia
    public const FLAG_ANGOLA = "\u{1F1E6}\u{1F1F4}"; // 🇦🇴  flag: Angola
    public const FLAG_ANTARCTICA = "\u{1F1E6}\u{1F1F6}"; // 🇦🇶  flag: Antarctica
    public const FLAG_ARGENTINA = "\u{1F1E6}\u{1F1F7}"; // 🇦🇷  flag: Argentina
    public const FLAG_AMERICAN_SAMOA = "\u{1F1E6}\u{1F1F8}"; // 🇦🇸  flag: American Samoa
    public const FLAG_AUSTRIA = "\u{1F1E6}\u{1F1F9}"; // 🇦🇹  flag: Austria
    public const FLAG_AUSTRALIA = "\u{1F1E6}\u{1F1FA}"; // 🇦🇺  flag: Australia
    public const FLAG_ARUBA = "\u{1F1E6}\u{1F1FC}"; // 🇦🇼  flag: Aruba
    public const FLAG_ALAND_ISLANDS = "\u{1F1E6}\u{1F1FD}"; // 🇦🇽  flag: Åland Islands
    public const FLAG_AZERBAIJAN = "\u{1F1E6}\u{1F1FF}"; // 🇦🇿  flag: Azerbaijan
    public const FLAG_BOSNIA_AND_HERZEGOVINA = "\u{1F1E7}\u{1F1E6}"; // 🇧🇦  flag: Bosnia &amp; Herzegovina
    public const FLAG_BARBADOS = "\u{1F1E7}\u{1F1E7}"; // 🇧🇧  flag: Barbados
    public const FLAG_BANGLADESH = "\u{1F1E7}\u{1F1E9}"; // 🇧🇩  flag: Bangladesh
    public const FLAG_BELGIUM = "\u{1F1E7}\u{1F1EA}"; // 🇧🇪  flag: Belgium
    public const FLAG_BURKINA_FASO = "\u{1F1E7}\u{1F1EB}"; // 🇧🇫  flag: Burkina Faso
    public const FLAG_BULGARIA = "\u{1F1E7}\u{1F1EC}"; // 🇧🇬  flag: Bulgaria
    public const FLAG_BAHRAIN = "\u{1F1E7}\u{1F1ED}"; // 🇧🇭  flag: Bahrain
    public const FLAG_BURUNDI = "\u{1F1E7}\u{1F1EE}"; // 🇧🇮  flag: Burundi
    public const FLAG_BENIN = "\u{1F1E7}\u{1F1EF}"; // 🇧🇯  flag: Benin
    public const FLAG_ST_BARTHELEMY = "\u{1F1E7}\u{1F1F1}"; // 🇧🇱  flag: St. Barthélemy
    public const FLAG_BERMUDA = "\u{1F1E7}\u{1F1F2}"; // 🇧🇲  flag: Bermuda
    public const FLAG_BRUNEI = "\u{1F1E7}\u{1F1F3}"; // 🇧🇳  flag: Brunei
    public const FLAG_BOLIVIA = "\u{1F1E7}\u{1F1F4}"; // 🇧🇴  flag: Bolivia
    public const FLAG_CARIBBEAN_NETHERLANDS = "\u{1F1E7}\u{1F1F6}"; // 🇧🇶  flag: Caribbean Netherlands
    public const FLAG_BRAZIL = "\u{1F1E7}\u{1F1F7}"; // 🇧🇷  flag: Brazil
    public const FLAG_BAHAMAS = "\u{1F1E7}\u{1F1F8}"; // 🇧🇸  flag: Bahamas
    public const FLAG_BHUTAN = "\u{1F1E7}\u{1F1F9}"; // 🇧🇹  flag: Bhutan
    public const FLAG_BOUVET_ISLAND = "\u{1F1E7}\u{1F1FB}"; // 🇧🇻  flag: Bouvet Island
    public const FLAG_BOTSWANA = "\u{1F1E7}\u{1F1FC}"; // 🇧🇼  flag: Botswana
    public const FLAG_BELARUS = "\u{1F1E7}\u{1F1FE}"; // 🇧🇾  flag: Belarus
    public const FLAG_BELIZE = "\u{1F1E7}\u{1F1FF}"; // 🇧🇿  flag: Belize
    public const FLAG_CANADA = "\u{1F1E8}\u{1F1E6}"; // 🇨🇦  flag: Canada
    public const FLAG_COCOS_KEELING_ISLANDS = "\u{1F1E8}\u{1F1E8}"; // 🇨🇨  flag: Cocos (Keeling) Islands
    public const FLAG_CONGO___KINSHASA = "\u{1F1E8}\u{1F1E9}"; // 🇨🇩  flag: Congo - Kinshasa
    public const FLAG_CENTRAL_AFRICAN_REPUBLIC = "\u{1F1E8}\u{1F1EB}"; // 🇨🇫  flag: Central African Republic
    public const FLAG_CONGO___BRAZZAVILLE = "\u{1F1E8}\u{1F1EC}"; // 🇨🇬  flag: Congo - Brazzaville
    public const FLAG_SWITZERLAND = "\u{1F1E8}\u{1F1ED}"; // 🇨🇭  flag: Switzerland
    public const FLAG_COTE_DIVOIRE = "\u{1F1E8}\u{1F1EE}"; // 🇨🇮  flag: Côte d’Ivoire
    public const FLAG_COOK_ISLANDS = "\u{1F1E8}\u{1F1F0}"; // 🇨🇰  flag: Cook Islands
    public const FLAG_CHILE = "\u{1F1E8}\u{1F1F1}"; // 🇨🇱  flag: Chile
    public const FLAG_CAMEROON = "\u{1F1E8}\u{1F1F2}"; // 🇨🇲  flag: Cameroon
    public const FLAG_CHINA = "\u{1F1E8}\u{1F1F3}"; // 🇨🇳  flag: China
    public const FLAG_COLOMBIA = "\u{1F1E8}\u{1F1F4}"; // 🇨🇴  flag: Colombia
    public const FLAG_CLIPPERTON_ISLAND = "\u{1F1E8}\u{1F1F5}"; // 🇨🇵  flag: Clipperton Island
    public const FLAG_COSTA_RICA = "\u{1F1E8}\u{1F1F7}"; // 🇨🇷  flag: Costa Rica
    public const FLAG_CUBA = "\u{1F1E8}\u{1F1FA}"; // 🇨🇺  flag: Cuba
    public const FLAG_CAPE_VERDE = "\u{1F1E8}\u{1F1FB}"; // 🇨🇻  flag: Cape Verde
    public const FLAG_CURACAO = "\u{1F1E8}\u{1F1FC}"; // 🇨🇼  flag: Curaçao
    public const FLAG_CHRISTMAS_ISLAND = "\u{1F1E8}\u{1F1FD}"; // 🇨🇽  flag: Christmas Island
    public const FLAG_CYPRUS = "\u{1F1E8}\u{1F1FE}"; // 🇨🇾  flag: Cyprus
    public const FLAG_CZECHIA = "\u{1F1E8}\u{1F1FF}"; // 🇨🇿  flag: Czechia
    public const FLAG_GERMANY = "\u{1F1E9}\u{1F1EA}"; // 🇩🇪  flag: Germany
    public const FLAG_DIEGO_GARCIA = "\u{1F1E9}\u{1F1EC}"; // 🇩🇬  flag: Diego Garcia
    public const FLAG_DJIBOUTI = "\u{1F1E9}\u{1F1EF}"; // 🇩🇯  flag: Djibouti
    public const FLAG_DENMARK = "\u{1F1E9}\u{1F1F0}"; // 🇩🇰  flag: Denmark
    public const FLAG_DOMINICA = "\u{1F1E9}\u{1F1F2}"; // 🇩🇲  flag: Dominica
    public const FLAG_DOMINICAN_REPUBLIC = "\u{1F1E9}\u{1F1F4}"; // 🇩🇴  flag: Dominican Republic
    public const FLAG_ALGERIA = "\u{1F1E9}\u{1F1FF}"; // 🇩🇿  flag: Algeria
    public const FLAG_CEUTA_AND_MELILLA = "\u{1F1EA}\u{1F1E6}"; // 🇪🇦  flag: Ceuta &amp; Melilla
    public const FLAG_ECUADOR = "\u{1F1EA}\u{1F1E8}"; // 🇪🇨  flag: Ecuador
    public const FLAG_ESTONIA = "\u{1F1EA}\u{1F1EA}"; // 🇪🇪  flag: Estonia
    public const FLAG_EGYPT = "\u{1F1EA}\u{1F1EC}"; // 🇪🇬  flag: Egypt
    public const FLAG_WESTERN_SAHARA = "\u{1F1EA}\u{1F1ED}"; // 🇪🇭  flag: Western Sahara
    public const FLAG_ERITREA = "\u{1F1EA}\u{1F1F7}"; // 🇪🇷  flag: Eritrea
    public const FLAG_SPAIN = "\u{1F1EA}\u{1F1F8}"; // 🇪🇸  flag: Spain
    public const FLAG_ETHIOPIA = "\u{1F1EA}\u{1F1F9}"; // 🇪🇹  flag: Ethiopia
    public const FLAG_EUROPEAN_UNION = "\u{1F1EA}\u{1F1FA}"; // 🇪🇺  flag: European Union
    public const FLAG_FINLAND = "\u{1F1EB}\u{1F1EE}"; // 🇫🇮  flag: Finland
    public const FLAG_FIJI = "\u{1F1EB}\u{1F1EF}"; // 🇫🇯  flag: Fiji
    public const FLAG_FALKLAND_ISLANDS = "\u{1F1EB}\u{1F1F0}"; // 🇫🇰  flag: Falkland Islands
    public const FLAG_MICRONESIA = "\u{1F1EB}\u{1F1F2}"; // 🇫🇲  flag: Micronesia
    public const FLAG_FAROE_ISLANDS = "\u{1F1EB}\u{1F1F4}"; // 🇫🇴  flag: Faroe Islands
    public const FLAG_FRANCE = "\u{1F1EB}\u{1F1F7}"; // 🇫🇷  flag: France
    public const FLAG_GABON = "\u{1F1EC}\u{1F1E6}"; // 🇬🇦  flag: Gabon
    public const FLAG_UNITED_KINGDOM = "\u{1F1EC}\u{1F1E7}"; // 🇬🇧  flag: United Kingdom
    public const FLAG_GRENADA = "\u{1F1EC}\u{1F1E9}"; // 🇬🇩  flag: Grenada
    public const FLAG_GEORGIA = "\u{1F1EC}\u{1F1EA}"; // 🇬🇪  flag: Georgia
    public const FLAG_FRENCH_GUIANA = "\u{1F1EC}\u{1F1EB}"; // 🇬🇫  flag: French Guiana
    public const FLAG_GUERNSEY = "\u{1F1EC}\u{1F1EC}"; // 🇬🇬  flag: Guernsey
    public const FLAG_GHANA = "\u{1F1EC}\u{1F1ED}"; // 🇬🇭  flag: Ghana
    public const FLAG_GIBRALTAR = "\u{1F1EC}\u{1F1EE}"; // 🇬🇮  flag: Gibraltar
    public const FLAG_GREENLAND = "\u{1F1EC}\u{1F1F1}"; // 🇬🇱  flag: Greenland
    public const FLAG_GAMBIA = "\u{1F1EC}\u{1F1F2}"; // 🇬🇲  flag: Gambia
    public const FLAG_GUINEA = "\u{1F1EC}\u{1F1F3}"; // 🇬🇳  flag: Guinea
    public const FLAG_GUADELOUPE = "\u{1F1EC}\u{1F1F5}"; // 🇬🇵  flag: Guadeloupe
    public const FLAG_EQUATORIAL_GUINEA = "\u{1F1EC}\u{1F1F6}"; // 🇬🇶  flag: Equatorial Guinea
    public const FLAG_GREECE = "\u{1F1EC}\u{1F1F7}"; // 🇬🇷  flag: Greece
    public const FLAG_SOUTH_GEORGIA_AND_SOUTH_SANDWICH_ISLANDS = "\u{1F1EC}\u{1F1F8}"; // 🇬🇸  flag: South Georgia &amp; South Sandwich Islands
    public const FLAG_GUATEMALA = "\u{1F1EC}\u{1F1F9}"; // 🇬🇹  flag: Guatemala
    public const FLAG_GUAM = "\u{1F1EC}\u{1F1FA}"; // 🇬🇺  flag: Guam
    public const FLAG_GUINEA_BISSAU = "\u{1F1EC}\u{1F1FC}"; // 🇬🇼  flag: Guinea-Bissau
    public const FLAG_GUYANA = "\u{1F1EC}\u{1F1FE}"; // 🇬🇾  flag: Guyana
    public const FLAG_HONG_KONG_SAR_CHINA = "\u{1F1ED}\u{1F1F0}"; // 🇭🇰  flag: Hong Kong SAR China
    public const FLAG_HEARD_AND_MCDONALD_ISLANDS = "\u{1F1ED}\u{1F1F2}"; // 🇭🇲  flag: Heard &amp; McDonald Islands
    public const FLAG_HONDURAS = "\u{1F1ED}\u{1F1F3}"; // 🇭🇳  flag: Honduras
    public const FLAG_CROATIA = "\u{1F1ED}\u{1F1F7}"; // 🇭🇷  flag: Croatia
    public const FLAG_HAITI = "\u{1F1ED}\u{1F1F9}"; // 🇭🇹  flag: Haiti
    public const FLAG_HUNGARY = "\u{1F1ED}\u{1F1FA}"; // 🇭🇺  flag: Hungary
    public const FLAG_CANARY_ISLANDS = "\u{1F1EE}\u{1F1E8}"; // 🇮🇨  flag: Canary Islands
    public const FLAG_INDONESIA = "\u{1F1EE}\u{1F1E9}"; // 🇮🇩  flag: Indonesia
    public const FLAG_IRELAND = "\u{1F1EE}\u{1F1EA}"; // 🇮🇪  flag: Ireland
    public const FLAG_ISRAEL = "\u{1F1EE}\u{1F1F1}"; // 🇮🇱  flag: Israel
    public const FLAG_ISLE_OF_MAN = "\u{1F1EE}\u{1F1F2}"; // 🇮🇲  flag: Isle of Man
    public const FLAG_INDIA = "\u{1F1EE}\u{1F1F3}"; // 🇮🇳  flag: India
    public const FLAG_BRITISH_INDIAN_OCEAN_TERRITORY = "\u{1F1EE}\u{1F1F4}"; // 🇮🇴  flag: British Indian Ocean Territory
    public const FLAG_IRAQ = "\u{1F1EE}\u{1F1F6}"; // 🇮🇶  flag: Iraq
    public const FLAG_IRAN = "\u{1F1EE}\u{1F1F7}"; // 🇮🇷  flag: Iran
    public const FLAG_ICELAND = "\u{1F1EE}\u{1F1F8}"; // 🇮🇸  flag: Iceland
    public const FLAG_ITALY = "\u{1F1EE}\u{1F1F9}"; // 🇮🇹  flag: Italy
    public const FLAG_JERSEY = "\u{1F1EF}\u{1F1EA}"; // 🇯🇪  flag: Jersey
    public const FLAG_JAMAICA = "\u{1F1EF}\u{1F1F2}"; // 🇯🇲  flag: Jamaica
    public const FLAG_JORDAN = "\u{1F1EF}\u{1F1F4}"; // 🇯🇴  flag: Jordan
    public const FLAG_JAPAN = "\u{1F1EF}\u{1F1F5}"; // 🇯🇵  flag: Japan
    public const FLAG_KENYA = "\u{1F1F0}\u{1F1EA}"; // 🇰🇪  flag: Kenya
    public const FLAG_KYRGYZSTAN = "\u{1F1F0}\u{1F1EC}"; // 🇰🇬  flag: Kyrgyzstan
    public const FLAG_CAMBODIA = "\u{1F1F0}\u{1F1ED}"; // 🇰🇭  flag: Cambodia
    public const FLAG_KIRIBATI = "\u{1F1F0}\u{1F1EE}"; // 🇰🇮  flag: Kiribati
    public const FLAG_COMOROS = "\u{1F1F0}\u{1F1F2}"; // 🇰🇲  flag: Comoros
    public const FLAG_ST_KITTS_AND_NEVIS = "\u{1F1F0}\u{1F1F3}"; // 🇰🇳  flag: St. Kitts &amp; Nevis
    public const FLAG_NORTH_KOREA = "\u{1F1F0}\u{1F1F5}"; // 🇰🇵  flag: North Korea
    public const FLAG_SOUTH_KOREA = "\u{1F1F0}\u{1F1F7}"; // 🇰🇷  flag: South Korea
    public const FLAG_KUWAIT = "\u{1F1F0}\u{1F1FC}"; // 🇰🇼  flag: Kuwait
    public const FLAG_CAYMAN_ISLANDS = "\u{1F1F0}\u{1F1FE}"; // 🇰🇾  flag: Cayman Islands
    public const FLAG_KAZAKHSTAN = "\u{1F1F0}\u{1F1FF}"; // 🇰🇿  flag: Kazakhstan
    public const FLAG_LAOS = "\u{1F1F1}\u{1F1E6}"; // 🇱🇦  flag: Laos
    public const FLAG_LEBANON = "\u{1F1F1}\u{1F1E7}"; // 🇱🇧  flag: Lebanon
    public const FLAG_ST_LUCIA = "\u{1F1F1}\u{1F1E8}"; // 🇱🇨  flag: St. Lucia
    public const FLAG_LIECHTENSTEIN = "\u{1F1F1}\u{1F1EE}"; // 🇱🇮  flag: Liechtenstein
    public const FLAG_SRI_LANKA = "\u{1F1F1}\u{1F1F0}"; // 🇱🇰  flag: Sri Lanka
    public const FLAG_LIBERIA = "\u{1F1F1}\u{1F1F7}"; // 🇱🇷  flag: Liberia
    public const FLAG_LESOTHO = "\u{1F1F1}\u{1F1F8}"; // 🇱🇸  flag: Lesotho
    public const FLAG_LITHUANIA = "\u{1F1F1}\u{1F1F9}"; // 🇱🇹  flag: Lithuania
    public const FLAG_LUXEMBOURG = "\u{1F1F1}\u{1F1FA}"; // 🇱🇺  flag: Luxembourg
    public const FLAG_LATVIA = "\u{1F1F1}\u{1F1FB}"; // 🇱🇻  flag: Latvia
    public const FLAG_LIBYA = "\u{1F1F1}\u{1F1FE}"; // 🇱🇾  flag: Libya
    public const FLAG_MOROCCO = "\u{1F1F2}\u{1F1E6}"; // 🇲🇦  flag: Morocco
    public const FLAG_MONACO = "\u{1F1F2}\u{1F1E8}"; // 🇲🇨  flag: Monaco
    public const FLAG_MOLDOVA = "\u{1F1F2}\u{1F1E9}"; // 🇲🇩  flag: Moldova
    public const FLAG_MONTENEGRO = "\u{1F1F2}\u{1F1EA}"; // 🇲🇪  flag: Montenegro
    public const FLAG_ST_MARTIN = "\u{1F1F2}\u{1F1EB}"; // 🇲🇫  flag: St. Martin
    public const FLAG_MADAGASCAR = "\u{1F1F2}\u{1F1EC}"; // 🇲🇬  flag: Madagascar
    public const FLAG_MARSHALL_ISLANDS = "\u{1F1F2}\u{1F1ED}"; // 🇲🇭  flag: Marshall Islands
    public const FLAG_NORTH_MACEDONIA = "\u{1F1F2}\u{1F1F0}"; // 🇲🇰  flag: North Macedonia
    public const FLAG_MALI = "\u{1F1F2}\u{1F1F1}"; // 🇲🇱  flag: Mali
    public const FLAG_MYANMAR_BURMA = "\u{1F1F2}\u{1F1F2}"; // 🇲🇲  flag: Myanmar (Burma)
    public const FLAG_MONGOLIA = "\u{1F1F2}\u{1F1F3}"; // 🇲🇳  flag: Mongolia
    public const FLAG_MACAO_SAR_CHINA = "\u{1F1F2}\u{1F1F4}"; // 🇲🇴  flag: Macao SAR China
    public const FLAG_NORTHERN_MARIANA_ISLANDS = "\u{1F1F2}\u{1F1F5}"; // 🇲🇵  flag: Northern Mariana Islands
    public const FLAG_MARTINIQUE = "\u{1F1F2}\u{1F1F6}"; // 🇲🇶  flag: Martinique
    public const FLAG_MAURITANIA = "\u{1F1F2}\u{1F1F7}"; // 🇲🇷  flag: Mauritania
    public const FLAG_MONTSERRAT = "\u{1F1F2}\u{1F1F8}"; // 🇲🇸  flag: Montserrat
    public const FLAG_MALTA = "\u{1F1F2}\u{1F1F9}"; // 🇲🇹  flag: Malta
    public const FLAG_MAURITIUS = "\u{1F1F2}\u{1F1FA}"; // 🇲🇺  flag: Mauritius
    public const FLAG_MALDIVES = "\u{1F1F2}\u{1F1FB}"; // 🇲🇻  flag: Maldives
    public const FLAG_MALAWI = "\u{1F1F2}\u{1F1FC}"; // 🇲🇼  flag: Malawi
    public const FLAG_MEXICO = "\u{1F1F2}\u{1F1FD}"; // 🇲🇽  flag: Mexico
    public const FLAG_MALAYSIA = "\u{1F1F2}\u{1F1FE}"; // 🇲🇾  flag: Malaysia
    public const FLAG_MOZAMBIQUE = "\u{1F1F2}\u{1F1FF}"; // 🇲🇿  flag: Mozambique
    public const FLAG_NAMIBIA = "\u{1F1F3}\u{1F1E6}"; // 🇳🇦  flag: Namibia
    public const FLAG_NEW_CALEDONIA = "\u{1F1F3}\u{1F1E8}"; // 🇳🇨  flag: New Caledonia
    public const FLAG_NIGER = "\u{1F1F3}\u{1F1EA}"; // 🇳🇪  flag: Niger
    public const FLAG_NORFOLK_ISLAND = "\u{1F1F3}\u{1F1EB}"; // 🇳🇫  flag: Norfolk Island
    public const FLAG_NIGERIA = "\u{1F1F3}\u{1F1EC}"; // 🇳🇬  flag: Nigeria
    public const FLAG_NICARAGUA = "\u{1F1F3}\u{1F1EE}"; // 🇳🇮  flag: Nicaragua
    public const FLAG_NETHERLANDS = "\u{1F1F3}\u{1F1F1}"; // 🇳🇱  flag: Netherlands
    public const FLAG_NORWAY = "\u{1F1F3}\u{1F1F4}"; // 🇳🇴  flag: Norway
    public const FLAG_NEPAL = "\u{1F1F3}\u{1F1F5}"; // 🇳🇵  flag: Nepal
    public const FLAG_NAURU = "\u{1F1F3}\u{1F1F7}"; // 🇳🇷  flag: Nauru
    public const FLAG_NIUE = "\u{1F1F3}\u{1F1FA}"; // 🇳🇺  flag: Niue
    public const FLAG_NEW_ZEALAND = "\u{1F1F3}\u{1F1FF}"; // 🇳🇿  flag: New Zealand
    public const FLAG_OMAN = "\u{1F1F4}\u{1F1F2}"; // 🇴🇲  flag: Oman
    public const FLAG_PANAMA = "\u{1F1F5}\u{1F1E6}"; // 🇵🇦  flag: Panama
    public const FLAG_PERU = "\u{1F1F5}\u{1F1EA}"; // 🇵🇪  flag: Peru
    public const FLAG_FRENCH_POLYNESIA = "\u{1F1F5}\u{1F1EB}"; // 🇵🇫  flag: French Polynesia
    public const FLAG_PAPUA_NEW_GUINEA = "\u{1F1F5}\u{1F1EC}"; // 🇵🇬  flag: Papua New Guinea
    public const FLAG_PHILIPPINES = "\u{1F1F5}\u{1F1ED}"; // 🇵🇭  flag: Philippines
    public const FLAG_PAKISTAN = "\u{1F1F5}\u{1F1F0}"; // 🇵🇰  flag: Pakistan
    public const FLAG_POLAND = "\u{1F1F5}\u{1F1F1}"; // 🇵🇱  flag: Poland
    public const FLAG_ST_PIERRE_AND_MIQUELON = "\u{1F1F5}\u{1F1F2}"; // 🇵🇲  flag: St. Pierre &amp; Miquelon
    public const FLAG_PITCAIRN_ISLANDS = "\u{1F1F5}\u{1F1F3}"; // 🇵🇳  flag: Pitcairn Islands
    public const FLAG_PUERTO_RICO = "\u{1F1F5}\u{1F1F7}"; // 🇵🇷  flag: Puerto Rico
    public const FLAG_PALESTINIAN_TERRITORIES = "\u{1F1F5}\u{1F1F8}"; // 🇵🇸  flag: Palestinian Territories
    public const FLAG_PORTUGAL = "\u{1F1F5}\u{1F1F9}"; // 🇵🇹  flag: Portugal
    public const FLAG_PALAU = "\u{1F1F5}\u{1F1FC}"; // 🇵🇼  flag: Palau
    public const FLAG_PARAGUAY = "\u{1F1F5}\u{1F1FE}"; // 🇵🇾  flag: Paraguay
    public const FLAG_QATAR = "\u{1F1F6}\u{1F1E6}"; // 🇶🇦  flag: Qatar
    public const FLAG_REUNION = "\u{1F1F7}\u{1F1EA}"; // 🇷🇪  flag: Réunion
    public const FLAG_ROMANIA = "\u{1F1F7}\u{1F1F4}"; // 🇷🇴  flag: Romania
    public const FLAG_SERBIA = "\u{1F1F7}\u{1F1F8}"; // 🇷🇸  flag: Serbia
    public const FLAG_RUSSIA = "\u{1F1F7}\u{1F1FA}"; // 🇷🇺  flag: Russia
    public const FLAG_RWANDA = "\u{1F1F7}\u{1F1FC}"; // 🇷🇼  flag: Rwanda
    public const FLAG_SAUDI_ARABIA = "\u{1F1F8}\u{1F1E6}"; // 🇸🇦  flag: Saudi Arabia
    public const FLAG_SOLOMON_ISLANDS = "\u{1F1F8}\u{1F1E7}"; // 🇸🇧  flag: Solomon Islands
    public const FLAG_SEYCHELLES = "\u{1F1F8}\u{1F1E8}"; // 🇸🇨  flag: Seychelles
    public const FLAG_SUDAN = "\u{1F1F8}\u{1F1E9}"; // 🇸🇩  flag: Sudan
    public const FLAG_SWEDEN = "\u{1F1F8}\u{1F1EA}"; // 🇸🇪  flag: Sweden
    public const FLAG_SINGAPORE = "\u{1F1F8}\u{1F1EC}"; // 🇸🇬  flag: Singapore
    public const FLAG_ST_HELENA = "\u{1F1F8}\u{1F1ED}"; // 🇸🇭  flag: St. Helena
    public const FLAG_SLOVENIA = "\u{1F1F8}\u{1F1EE}"; // 🇸🇮  flag: Slovenia
    public const FLAG_SVALBARD_AND_JAN_MAYEN = "\u{1F1F8}\u{1F1EF}"; // 🇸🇯  flag: Svalbard &amp; Jan Mayen
    public const FLAG_SLOVAKIA = "\u{1F1F8}\u{1F1F0}"; // 🇸🇰  flag: Slovakia
    public const FLAG_SIERRA_LEONE = "\u{1F1F8}\u{1F1F1}"; // 🇸🇱  flag: Sierra Leone
    public const FLAG_SAN_MARINO = "\u{1F1F8}\u{1F1F2}"; // 🇸🇲  flag: San Marino
    public const FLAG_SENEGAL = "\u{1F1F8}\u{1F1F3}"; // 🇸🇳  flag: Senegal
    public const FLAG_SOMALIA = "\u{1F1F8}\u{1F1F4}"; // 🇸🇴  flag: Somalia
    public const FLAG_SURINAME = "\u{1F1F8}\u{1F1F7}"; // 🇸🇷  flag: Suriname
    public const FLAG_SOUTH_SUDAN = "\u{1F1F8}\u{1F1F8}"; // 🇸🇸  flag: South Sudan
    public const FLAG_SAO_TOME_AND_PRINCIPE = "\u{1F1F8}\u{1F1F9}"; // 🇸🇹  flag: São Tomé &amp; Príncipe
    public const FLAG_EL_SALVADOR = "\u{1F1F8}\u{1F1FB}"; // 🇸🇻  flag: El Salvador
    public const FLAG_SINT_MAARTEN = "\u{1F1F8}\u{1F1FD}"; // 🇸🇽  flag: Sint Maarten
    public const FLAG_SYRIA = "\u{1F1F8}\u{1F1FE}"; // 🇸🇾  flag: Syria
    public const FLAG_ESWATINI = "\u{1F1F8}\u{1F1FF}"; // 🇸🇿  flag: Eswatini
    public const FLAG_TRISTAN_DA_CUNHA = "\u{1F1F9}\u{1F1E6}"; // 🇹🇦  flag: Tristan da Cunha
    public const FLAG_TURKS_AND_CAICOS_ISLANDS = "\u{1F1F9}\u{1F1E8}"; // 🇹🇨  flag: Turks &amp; Caicos Islands
    public const FLAG_CHAD = "\u{1F1F9}\u{1F1E9}"; // 🇹🇩  flag: Chad
    public const FLAG_FRENCH_SOUTHERN_TERRITORIES = "\u{1F1F9}\u{1F1EB}"; // 🇹🇫  flag: French Southern Territories
    public const FLAG_TOGO = "\u{1F1F9}\u{1F1EC}"; // 🇹🇬  flag: Togo
    public const FLAG_THAILAND = "\u{1F1F9}\u{1F1ED}"; // 🇹🇭  flag: Thailand
    public const FLAG_TAJIKISTAN = "\u{1F1F9}\u{1F1EF}"; // 🇹🇯  flag: Tajikistan
    public const FLAG_TOKELAU = "\u{1F1F9}\u{1F1F0}"; // 🇹🇰  flag: Tokelau
    public const FLAG_TIMOR_LESTE = "\u{1F1F9}\u{1F1F1}"; // 🇹🇱  flag: Timor-Leste
    public const FLAG_TURKMENISTAN = "\u{1F1F9}\u{1F1F2}"; // 🇹🇲  flag: Turkmenistan
    public const FLAG_TUNISIA = "\u{1F1F9}\u{1F1F3}"; // 🇹🇳  flag: Tunisia
    public const FLAG_TONGA = "\u{1F1F9}\u{1F1F4}"; // 🇹🇴  flag: Tonga
    public const FLAG_TURKEY = "\u{1F1F9}\u{1F1F7}"; // 🇹🇷  flag: Turkey
    public const FLAG_TRINIDAD_AND_TOBAGO = "\u{1F1F9}\u{1F1F9}"; // 🇹🇹  flag: Trinidad &amp; Tobago
    public const FLAG_TUVALU = "\u{1F1F9}\u{1F1FB}"; // 🇹🇻  flag: Tuvalu
    public const FLAG_TAIWAN = "\u{1F1F9}\u{1F1FC}"; // 🇹🇼  flag: Taiwan
    public const FLAG_TANZANIA = "\u{1F1F9}\u{1F1FF}"; // 🇹🇿  flag: Tanzania
    public const FLAG_UKRAINE = "\u{1F1FA}\u{1F1E6}"; // 🇺🇦  flag: Ukraine
    public const FLAG_UGANDA = "\u{1F1FA}\u{1F1EC}"; // 🇺🇬  flag: Uganda
    public const FLAG_US_OUTLYING_ISLANDS = "\u{1F1FA}\u{1F1F2}"; // 🇺🇲  flag: U.S. Outlying Islands
    public const FLAG_UNITED_NATIONS = "\u{1F1FA}\u{1F1F3}"; // 🇺🇳  flag: United Nations
    public const FLAG_UNITED_STATES = "\u{1F1FA}\u{1F1F8}"; // 🇺🇸  flag: United States
    public const FLAG_URUGUAY = "\u{1F1FA}\u{1F1FE}"; // 🇺🇾  flag: Uruguay
    public const FLAG_UZBEKISTAN = "\u{1F1FA}\u{1F1FF}"; // 🇺🇿  flag: Uzbekistan
    public const FLAG_VATICAN_CITY = "\u{1F1FB}\u{1F1E6}"; // 🇻🇦  flag: Vatican City
    public const FLAG_ST_VINCENT_AND_GRENADINES = "\u{1F1FB}\u{1F1E8}"; // 🇻🇨  flag: St. Vincent &amp; Grenadines
    public const FLAG_VENEZUELA = "\u{1F1FB}\u{1F1EA}"; // 🇻🇪  flag: Venezuela
    public const FLAG_BRITISH_VIRGIN_ISLANDS = "\u{1F1FB}\u{1F1EC}"; // 🇻🇬  flag: British Virgin Islands
    public const FLAG_US_VIRGIN_ISLANDS = "\u{1F1FB}\u{1F1EE}"; // 🇻🇮  flag: U.S. Virgin Islands
    public const FLAG_VIETNAM = "\u{1F1FB}\u{1F1F3}"; // 🇻🇳  flag: Vietnam
    public const FLAG_VANUATU = "\u{1F1FB}\u{1F1FA}"; // 🇻🇺  flag: Vanuatu
    public const FLAG_WALLIS_AND_FUTUNA = "\u{1F1FC}\u{1F1EB}"; // 🇼🇫  flag: Wallis &amp; Futuna
    public const FLAG_SAMOA = "\u{1F1FC}\u{1F1F8}"; // 🇼🇸  flag: Samoa
    public const FLAG_KOSOVO = "\u{1F1FD}\u{1F1F0}"; // 🇽🇰  flag: Kosovo
    public const FLAG_YEMEN = "\u{1F1FE}\u{1F1EA}"; // 🇾🇪  flag: Yemen
    public const FLAG_MAYOTTE = "\u{1F1FE}\u{1F1F9}"; // 🇾🇹  flag: Mayotte
    public const FLAG_SOUTH_AFRICA = "\u{1F1FF}\u{1F1E6}"; // 🇿🇦  flag: South Africa
    public const FLAG_ZAMBIA = "\u{1F1FF}\u{1F1F2}"; // 🇿🇲  flag: Zambia
    public const FLAG_ZIMBABWE = "\u{1F1FF}\u{1F1FC}"; // 🇿🇼  flag: Zimbabwe
    public const FLAG_ENGLAND = "\u{1F3F4}\u{E0067}\u{E0062}\u{E0065}\u{E006E}\u{E0067}\u{E007F}"; // 🏴󠁧󠁢󠁥󠁮󠁧󠁿  flag: England
    public const FLAG_SCOTLAND = "\u{1F3F4}\u{E0067}\u{E0062}\u{E0073}\u{E0063}\u{E0074}\u{E007F}"; // 🏴󠁧󠁢󠁳󠁣󠁴󠁿  flag: Scotland
    public const FLAG_WALES = "\u{1F3F4}\u{E0067}\u{E0062}\u{E0077}\u{E006C}\u{E0073}\u{E007F}"; // 🏴󠁧󠁢󠁷󠁬󠁳󠁿  flag: Wales
}
