<?php
declare(strict_types=1);

namespace Giberti\EmojiData;

/**
 * Copyright 2020 Erik Giberti
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 * This file was automatically generated on 2020-09-26 using data files
 * provided by Unicode Inc.
 *
 * @link https://unicode.org/Public/emoji/13.1/emoji-test.txt Emoji Keyboard/Display Test Data
 * @link https://www.unicode.org/license.html Unicode Data File license
 */
class Mappings
{
    const CLDR_TO_EMOJI = [
        'grinning face' => Emoji::GRINNING_FACE,
        'grinning face with big eyes' => Emoji::GRINNING_FACE_WITH_BIG_EYES,
        'grinning face with smiling eyes' => Emoji::GRINNING_FACE_WITH_SMILING_EYES,
        'beaming face with smiling eyes' => Emoji::BEAMING_FACE_WITH_SMILING_EYES,
        'grinning squinting face' => Emoji::GRINNING_SQUINTING_FACE,
        'grinning face with sweat' => Emoji::GRINNING_FACE_WITH_SWEAT,
        'rolling on the floor laughing' => Emoji::ROLLING_ON_THE_FLOOR_LAUGHING,
        'face with tears of joy' => Emoji::FACE_WITH_TEARS_OF_JOY,
        'slightly smiling face' => Emoji::SLIGHTLY_SMILING_FACE,
        'upside-down face' => Emoji::UPSIDE_DOWN_FACE,
        'winking face' => Emoji::WINKING_FACE,
        'smiling face with smiling eyes' => Emoji::SMILING_FACE_WITH_SMILING_EYES,
        'smiling face with halo' => Emoji::SMILING_FACE_WITH_HALO,
        'smiling face with hearts' => Emoji::SMILING_FACE_WITH_HEARTS,
        'smiling face with heart-eyes' => Emoji::SMILING_FACE_WITH_HEART_EYES,
        'star-struck' => Emoji::STAR_STRUCK,
        'face blowing a kiss' => Emoji::FACE_BLOWING_A_KISS,
        'kissing face' => Emoji::KISSING_FACE,
        'smiling face' => Emoji::SMILING_FACE,
        'kissing face with closed eyes' => Emoji::KISSING_FACE_WITH_CLOSED_EYES,
        'kissing face with smiling eyes' => Emoji::KISSING_FACE_WITH_SMILING_EYES,
        'smiling face with tear' => Emoji::SMILING_FACE_WITH_TEAR,
        'face savoring food' => Emoji::FACE_SAVORING_FOOD,
        'face with tongue' => Emoji::FACE_WITH_TONGUE,
        'winking face with tongue' => Emoji::WINKING_FACE_WITH_TONGUE,
        'zany face' => Emoji::ZANY_FACE,
        'squinting face with tongue' => Emoji::SQUINTING_FACE_WITH_TONGUE,
        'money-mouth face' => Emoji::MONEY_MOUTH_FACE,
        'hugging face' => Emoji::HUGGING_FACE,
        'face with hand over mouth' => Emoji::FACE_WITH_HAND_OVER_MOUTH,
        'shushing face' => Emoji::SHUSHING_FACE,
        'thinking face' => Emoji::THINKING_FACE,
        'zipper-mouth face' => Emoji::ZIPPER_MOUTH_FACE,
        'face with raised eyebrow' => Emoji::FACE_WITH_RAISED_EYEBROW,
        'neutral face' => Emoji::NEUTRAL_FACE,
        'expressionless face' => Emoji::EXPRESSIONLESS_FACE,
        'face without mouth' => Emoji::FACE_WITHOUT_MOUTH,
        'face in clouds' => Emoji::FACE_IN_CLOUDS,
        'smirking face' => Emoji::SMIRKING_FACE,
        'unamused face' => Emoji::UNAMUSED_FACE,
        'face with rolling eyes' => Emoji::FACE_WITH_ROLLING_EYES,
        'grimacing face' => Emoji::GRIMACING_FACE,
        'face exhaling' => Emoji::FACE_EXHALING,
        'lying face' => Emoji::LYING_FACE,
        'relieved face' => Emoji::RELIEVED_FACE,
        'pensive face' => Emoji::PENSIVE_FACE,
        'sleepy face' => Emoji::SLEEPY_FACE,
        'drooling face' => Emoji::DROOLING_FACE,
        'sleeping face' => Emoji::SLEEPING_FACE,
        'face with medical mask' => Emoji::FACE_WITH_MEDICAL_MASK,
        'face with thermometer' => Emoji::FACE_WITH_THERMOMETER,
        'face with head-bandage' => Emoji::FACE_WITH_HEAD_BANDAGE,
        'nauseated face' => Emoji::NAUSEATED_FACE,
        'face vomiting' => Emoji::FACE_VOMITING,
        'sneezing face' => Emoji::SNEEZING_FACE,
        'hot face' => Emoji::HOT_FACE,
        'cold face' => Emoji::COLD_FACE,
        'woozy face' => Emoji::WOOZY_FACE,
        'knocked-out face' => Emoji::KNOCKED_OUT_FACE,
        'face with spiral eyes' => Emoji::FACE_WITH_SPIRAL_EYES,
        'exploding head' => Emoji::EXPLODING_HEAD,
        'cowboy hat face' => Emoji::COWBOY_HAT_FACE,
        'partying face' => Emoji::PARTYING_FACE,
        'disguised face' => Emoji::DISGUISED_FACE,
        'smiling face with sunglasses' => Emoji::SMILING_FACE_WITH_SUNGLASSES,
        'nerd face' => Emoji::NERD_FACE,
        'face with monocle' => Emoji::FACE_WITH_MONOCLE,
        'confused face' => Emoji::CONFUSED_FACE,
        'worried face' => Emoji::WORRIED_FACE,
        'slightly frowning face' => Emoji::SLIGHTLY_FROWNING_FACE,
        'frowning face' => Emoji::FROWNING_FACE,
        'face with open mouth' => Emoji::FACE_WITH_OPEN_MOUTH,
        'hushed face' => Emoji::HUSHED_FACE,
        'astonished face' => Emoji::ASTONISHED_FACE,
        'flushed face' => Emoji::FLUSHED_FACE,
        'pleading face' => Emoji::PLEADING_FACE,
        'frowning face with open mouth' => Emoji::FROWNING_FACE_WITH_OPEN_MOUTH,
        'anguished face' => Emoji::ANGUISHED_FACE,
        'fearful face' => Emoji::FEARFUL_FACE,
        'anxious face with sweat' => Emoji::ANXIOUS_FACE_WITH_SWEAT,
        'sad but relieved face' => Emoji::SAD_BUT_RELIEVED_FACE,
        'crying face' => Emoji::CRYING_FACE,
        'loudly crying face' => Emoji::LOUDLY_CRYING_FACE,
        'face screaming in fear' => Emoji::FACE_SCREAMING_IN_FEAR,
        'confounded face' => Emoji::CONFOUNDED_FACE,
        'persevering face' => Emoji::PERSEVERING_FACE,
        'disappointed face' => Emoji::DISAPPOINTED_FACE,
        'downcast face with sweat' => Emoji::DOWNCAST_FACE_WITH_SWEAT,
        'weary face' => Emoji::WEARY_FACE,
        'tired face' => Emoji::TIRED_FACE,
        'yawning face' => Emoji::YAWNING_FACE,
        'face with steam from nose' => Emoji::FACE_WITH_STEAM_FROM_NOSE,
        'pouting face' => Emoji::POUTING_FACE,
        'angry face' => Emoji::ANGRY_FACE,
        'face with symbols on mouth' => Emoji::FACE_WITH_SYMBOLS_ON_MOUTH,
        'smiling face with horns' => Emoji::SMILING_FACE_WITH_HORNS,
        'angry face with horns' => Emoji::ANGRY_FACE_WITH_HORNS,
        'skull' => Emoji::SKULL,
        'skull and crossbones' => Emoji::SKULL_AND_CROSSBONES,
        'pile of poo' => Emoji::PILE_OF_POO,
        'clown face' => Emoji::CLOWN_FACE,
        'ogre' => Emoji::OGRE,
        'goblin' => Emoji::GOBLIN,
        'ghost' => Emoji::GHOST,
        'alien' => Emoji::ALIEN,
        'alien monster' => Emoji::ALIEN_MONSTER,
        'robot' => Emoji::ROBOT,
        'grinning cat' => Emoji::GRINNING_CAT,
        'grinning cat with smiling eyes' => Emoji::GRINNING_CAT_WITH_SMILING_EYES,
        'cat with tears of joy' => Emoji::CAT_WITH_TEARS_OF_JOY,
        'smiling cat with heart-eyes' => Emoji::SMILING_CAT_WITH_HEART_EYES,
        'cat with wry smile' => Emoji::CAT_WITH_WRY_SMILE,
        'kissing cat' => Emoji::KISSING_CAT,
        'weary cat' => Emoji::WEARY_CAT,
        'crying cat' => Emoji::CRYING_CAT,
        'pouting cat' => Emoji::POUTING_CAT,
        'see-no-evil monkey' => Emoji::SEE_NO_EVIL_MONKEY,
        'hear-no-evil monkey' => Emoji::HEAR_NO_EVIL_MONKEY,
        'speak-no-evil monkey' => Emoji::SPEAK_NO_EVIL_MONKEY,
        'kiss mark' => Emoji::KISS_MARK,
        'love letter' => Emoji::LOVE_LETTER,
        'heart with arrow' => Emoji::HEART_WITH_ARROW,
        'heart with ribbon' => Emoji::HEART_WITH_RIBBON,
        'sparkling heart' => Emoji::SPARKLING_HEART,
        'growing heart' => Emoji::GROWING_HEART,
        'beating heart' => Emoji::BEATING_HEART,
        'revolving hearts' => Emoji::REVOLVING_HEARTS,
        'two hearts' => Emoji::TWO_HEARTS,
        'heart decoration' => Emoji::HEART_DECORATION,
        'heart exclamation' => Emoji::HEART_EXCLAMATION,
        'broken heart' => Emoji::BROKEN_HEART,
        'heart on fire' => Emoji::HEART_ON_FIRE,
        'mending heart' => Emoji::MENDING_HEART,
        'red heart' => Emoji::RED_HEART,
        'orange heart' => Emoji::ORANGE_HEART,
        'yellow heart' => Emoji::YELLOW_HEART,
        'green heart' => Emoji::GREEN_HEART,
        'blue heart' => Emoji::BLUE_HEART,
        'purple heart' => Emoji::PURPLE_HEART,
        'brown heart' => Emoji::BROWN_HEART,
        'black heart' => Emoji::BLACK_HEART,
        'white heart' => Emoji::WHITE_HEART,
        'hundred points' => Emoji::HUNDRED_POINTS,
        'anger symbol' => Emoji::ANGER_SYMBOL,
        'collision' => Emoji::COLLISION,
        'dizzy' => Emoji::DIZZY,
        'sweat droplets' => Emoji::SWEAT_DROPLETS,
        'dashing away' => Emoji::DASHING_AWAY,
        'hole' => Emoji::HOLE,
        'bomb' => Emoji::BOMB,
        'speech balloon' => Emoji::SPEECH_BALLOON,
        'eye in speech bubble' => Emoji::EYE_IN_SPEECH_BUBBLE,
        'left speech bubble' => Emoji::LEFT_SPEECH_BUBBLE,
        'right anger bubble' => Emoji::RIGHT_ANGER_BUBBLE,
        'thought balloon' => Emoji::THOUGHT_BALLOON,
        'zzz' => Emoji::ZZZ,
        'waving hand' => Emoji::WAVING_HAND,
        'waving hand: light skin tone' => Emoji::WAVING_HAND_LIGHT_SKIN_TONE,
        'waving hand: medium-light skin tone' => Emoji::WAVING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'waving hand: medium skin tone' => Emoji::WAVING_HAND_MEDIUM_SKIN_TONE,
        'waving hand: medium-dark skin tone' => Emoji::WAVING_HAND_MEDIUM_DARK_SKIN_TONE,
        'waving hand: dark skin tone' => Emoji::WAVING_HAND_DARK_SKIN_TONE,
        'raised back of hand' => Emoji::RAISED_BACK_OF_HAND,
        'raised back of hand: light skin tone' => Emoji::RAISED_BACK_OF_HAND_LIGHT_SKIN_TONE,
        'raised back of hand: medium-light skin tone' => Emoji::RAISED_BACK_OF_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'raised back of hand: medium skin tone' => Emoji::RAISED_BACK_OF_HAND_MEDIUM_SKIN_TONE,
        'raised back of hand: medium-dark skin tone' => Emoji::RAISED_BACK_OF_HAND_MEDIUM_DARK_SKIN_TONE,
        'raised back of hand: dark skin tone' => Emoji::RAISED_BACK_OF_HAND_DARK_SKIN_TONE,
        'hand with fingers splayed' => Emoji::HAND_WITH_FINGERS_SPLAYED,
        'hand with fingers splayed: light skin tone' => Emoji::HAND_WITH_FINGERS_SPLAYED_LIGHT_SKIN_TONE,
        'hand with fingers splayed: medium-light skin tone' => Emoji::HAND_WITH_FINGERS_SPLAYED_MEDIUM_LIGHT_SKIN_TONE,
        'hand with fingers splayed: medium skin tone' => Emoji::HAND_WITH_FINGERS_SPLAYED_MEDIUM_SKIN_TONE,
        'hand with fingers splayed: medium-dark skin tone' => Emoji::HAND_WITH_FINGERS_SPLAYED_MEDIUM_DARK_SKIN_TONE,
        'hand with fingers splayed: dark skin tone' => Emoji::HAND_WITH_FINGERS_SPLAYED_DARK_SKIN_TONE,
        'raised hand' => Emoji::RAISED_HAND,
        'raised hand: light skin tone' => Emoji::RAISED_HAND_LIGHT_SKIN_TONE,
        'raised hand: medium-light skin tone' => Emoji::RAISED_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'raised hand: medium skin tone' => Emoji::RAISED_HAND_MEDIUM_SKIN_TONE,
        'raised hand: medium-dark skin tone' => Emoji::RAISED_HAND_MEDIUM_DARK_SKIN_TONE,
        'raised hand: dark skin tone' => Emoji::RAISED_HAND_DARK_SKIN_TONE,
        'vulcan salute' => Emoji::VULCAN_SALUTE,
        'vulcan salute: light skin tone' => Emoji::VULCAN_SALUTE_LIGHT_SKIN_TONE,
        'vulcan salute: medium-light skin tone' => Emoji::VULCAN_SALUTE_MEDIUM_LIGHT_SKIN_TONE,
        'vulcan salute: medium skin tone' => Emoji::VULCAN_SALUTE_MEDIUM_SKIN_TONE,
        'vulcan salute: medium-dark skin tone' => Emoji::VULCAN_SALUTE_MEDIUM_DARK_SKIN_TONE,
        'vulcan salute: dark skin tone' => Emoji::VULCAN_SALUTE_DARK_SKIN_TONE,
        'OK hand' => Emoji::OK_HAND,
        'OK hand: light skin tone' => Emoji::OK_HAND_LIGHT_SKIN_TONE,
        'OK hand: medium-light skin tone' => Emoji::OK_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'OK hand: medium skin tone' => Emoji::OK_HAND_MEDIUM_SKIN_TONE,
        'OK hand: medium-dark skin tone' => Emoji::OK_HAND_MEDIUM_DARK_SKIN_TONE,
        'OK hand: dark skin tone' => Emoji::OK_HAND_DARK_SKIN_TONE,
        'pinched fingers' => Emoji::PINCHED_FINGERS,
        'pinched fingers: light skin tone' => Emoji::PINCHED_FINGERS_LIGHT_SKIN_TONE,
        'pinched fingers: medium-light skin tone' => Emoji::PINCHED_FINGERS_MEDIUM_LIGHT_SKIN_TONE,
        'pinched fingers: medium skin tone' => Emoji::PINCHED_FINGERS_MEDIUM_SKIN_TONE,
        'pinched fingers: medium-dark skin tone' => Emoji::PINCHED_FINGERS_MEDIUM_DARK_SKIN_TONE,
        'pinched fingers: dark skin tone' => Emoji::PINCHED_FINGERS_DARK_SKIN_TONE,
        'pinching hand' => Emoji::PINCHING_HAND,
        'pinching hand: light skin tone' => Emoji::PINCHING_HAND_LIGHT_SKIN_TONE,
        'pinching hand: medium-light skin tone' => Emoji::PINCHING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'pinching hand: medium skin tone' => Emoji::PINCHING_HAND_MEDIUM_SKIN_TONE,
        'pinching hand: medium-dark skin tone' => Emoji::PINCHING_HAND_MEDIUM_DARK_SKIN_TONE,
        'pinching hand: dark skin tone' => Emoji::PINCHING_HAND_DARK_SKIN_TONE,
        'victory hand' => Emoji::VICTORY_HAND,
        'victory hand: light skin tone' => Emoji::VICTORY_HAND_LIGHT_SKIN_TONE,
        'victory hand: medium-light skin tone' => Emoji::VICTORY_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'victory hand: medium skin tone' => Emoji::VICTORY_HAND_MEDIUM_SKIN_TONE,
        'victory hand: medium-dark skin tone' => Emoji::VICTORY_HAND_MEDIUM_DARK_SKIN_TONE,
        'victory hand: dark skin tone' => Emoji::VICTORY_HAND_DARK_SKIN_TONE,
        'crossed fingers' => Emoji::CROSSED_FINGERS,
        'crossed fingers: light skin tone' => Emoji::CROSSED_FINGERS_LIGHT_SKIN_TONE,
        'crossed fingers: medium-light skin tone' => Emoji::CROSSED_FINGERS_MEDIUM_LIGHT_SKIN_TONE,
        'crossed fingers: medium skin tone' => Emoji::CROSSED_FINGERS_MEDIUM_SKIN_TONE,
        'crossed fingers: medium-dark skin tone' => Emoji::CROSSED_FINGERS_MEDIUM_DARK_SKIN_TONE,
        'crossed fingers: dark skin tone' => Emoji::CROSSED_FINGERS_DARK_SKIN_TONE,
        'love-you gesture' => Emoji::LOVE_YOU_GESTURE,
        'love-you gesture: light skin tone' => Emoji::LOVE_YOU_GESTURE_LIGHT_SKIN_TONE,
        'love-you gesture: medium-light skin tone' => Emoji::LOVE_YOU_GESTURE_MEDIUM_LIGHT_SKIN_TONE,
        'love-you gesture: medium skin tone' => Emoji::LOVE_YOU_GESTURE_MEDIUM_SKIN_TONE,
        'love-you gesture: medium-dark skin tone' => Emoji::LOVE_YOU_GESTURE_MEDIUM_DARK_SKIN_TONE,
        'love-you gesture: dark skin tone' => Emoji::LOVE_YOU_GESTURE_DARK_SKIN_TONE,
        'sign of the horns' => Emoji::SIGN_OF_THE_HORNS,
        'sign of the horns: light skin tone' => Emoji::SIGN_OF_THE_HORNS_LIGHT_SKIN_TONE,
        'sign of the horns: medium-light skin tone' => Emoji::SIGN_OF_THE_HORNS_MEDIUM_LIGHT_SKIN_TONE,
        'sign of the horns: medium skin tone' => Emoji::SIGN_OF_THE_HORNS_MEDIUM_SKIN_TONE,
        'sign of the horns: medium-dark skin tone' => Emoji::SIGN_OF_THE_HORNS_MEDIUM_DARK_SKIN_TONE,
        'sign of the horns: dark skin tone' => Emoji::SIGN_OF_THE_HORNS_DARK_SKIN_TONE,
        'call me hand' => Emoji::CALL_ME_HAND,
        'call me hand: light skin tone' => Emoji::CALL_ME_HAND_LIGHT_SKIN_TONE,
        'call me hand: medium-light skin tone' => Emoji::CALL_ME_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'call me hand: medium skin tone' => Emoji::CALL_ME_HAND_MEDIUM_SKIN_TONE,
        'call me hand: medium-dark skin tone' => Emoji::CALL_ME_HAND_MEDIUM_DARK_SKIN_TONE,
        'call me hand: dark skin tone' => Emoji::CALL_ME_HAND_DARK_SKIN_TONE,
        'backhand index pointing left' => Emoji::BACKHAND_INDEX_POINTING_LEFT,
        'backhand index pointing left: light skin tone' => Emoji::BACKHAND_INDEX_POINTING_LEFT_LIGHT_SKIN_TONE,
        'backhand index pointing left: medium-light skin tone' => Emoji::BACKHAND_INDEX_POINTING_LEFT_MEDIUM_LIGHT_SKIN_TONE,
        'backhand index pointing left: medium skin tone' => Emoji::BACKHAND_INDEX_POINTING_LEFT_MEDIUM_SKIN_TONE,
        'backhand index pointing left: medium-dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_LEFT_MEDIUM_DARK_SKIN_TONE,
        'backhand index pointing left: dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_LEFT_DARK_SKIN_TONE,
        'backhand index pointing right' => Emoji::BACKHAND_INDEX_POINTING_RIGHT,
        'backhand index pointing right: light skin tone' => Emoji::BACKHAND_INDEX_POINTING_RIGHT_LIGHT_SKIN_TONE,
        'backhand index pointing right: medium-light skin tone' => Emoji::BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_LIGHT_SKIN_TONE,
        'backhand index pointing right: medium skin tone' => Emoji::BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_SKIN_TONE,
        'backhand index pointing right: medium-dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_RIGHT_MEDIUM_DARK_SKIN_TONE,
        'backhand index pointing right: dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_RIGHT_DARK_SKIN_TONE,
        'backhand index pointing up' => Emoji::BACKHAND_INDEX_POINTING_UP,
        'backhand index pointing up: light skin tone' => Emoji::BACKHAND_INDEX_POINTING_UP_LIGHT_SKIN_TONE,
        'backhand index pointing up: medium-light skin tone' => Emoji::BACKHAND_INDEX_POINTING_UP_MEDIUM_LIGHT_SKIN_TONE,
        'backhand index pointing up: medium skin tone' => Emoji::BACKHAND_INDEX_POINTING_UP_MEDIUM_SKIN_TONE,
        'backhand index pointing up: medium-dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_UP_MEDIUM_DARK_SKIN_TONE,
        'backhand index pointing up: dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_UP_DARK_SKIN_TONE,
        'middle finger' => Emoji::MIDDLE_FINGER,
        'middle finger: light skin tone' => Emoji::MIDDLE_FINGER_LIGHT_SKIN_TONE,
        'middle finger: medium-light skin tone' => Emoji::MIDDLE_FINGER_MEDIUM_LIGHT_SKIN_TONE,
        'middle finger: medium skin tone' => Emoji::MIDDLE_FINGER_MEDIUM_SKIN_TONE,
        'middle finger: medium-dark skin tone' => Emoji::MIDDLE_FINGER_MEDIUM_DARK_SKIN_TONE,
        'middle finger: dark skin tone' => Emoji::MIDDLE_FINGER_DARK_SKIN_TONE,
        'backhand index pointing down' => Emoji::BACKHAND_INDEX_POINTING_DOWN,
        'backhand index pointing down: light skin tone' => Emoji::BACKHAND_INDEX_POINTING_DOWN_LIGHT_SKIN_TONE,
        'backhand index pointing down: medium-light skin tone' => Emoji::BACKHAND_INDEX_POINTING_DOWN_MEDIUM_LIGHT_SKIN_TONE,
        'backhand index pointing down: medium skin tone' => Emoji::BACKHAND_INDEX_POINTING_DOWN_MEDIUM_SKIN_TONE,
        'backhand index pointing down: medium-dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_DOWN_MEDIUM_DARK_SKIN_TONE,
        'backhand index pointing down: dark skin tone' => Emoji::BACKHAND_INDEX_POINTING_DOWN_DARK_SKIN_TONE,
        'index pointing up' => Emoji::INDEX_POINTING_UP,
        'index pointing up: light skin tone' => Emoji::INDEX_POINTING_UP_LIGHT_SKIN_TONE,
        'index pointing up: medium-light skin tone' => Emoji::INDEX_POINTING_UP_MEDIUM_LIGHT_SKIN_TONE,
        'index pointing up: medium skin tone' => Emoji::INDEX_POINTING_UP_MEDIUM_SKIN_TONE,
        'index pointing up: medium-dark skin tone' => Emoji::INDEX_POINTING_UP_MEDIUM_DARK_SKIN_TONE,
        'index pointing up: dark skin tone' => Emoji::INDEX_POINTING_UP_DARK_SKIN_TONE,
        'thumbs up' => Emoji::THUMBS_UP,
        'thumbs up: light skin tone' => Emoji::THUMBS_UP_LIGHT_SKIN_TONE,
        'thumbs up: medium-light skin tone' => Emoji::THUMBS_UP_MEDIUM_LIGHT_SKIN_TONE,
        'thumbs up: medium skin tone' => Emoji::THUMBS_UP_MEDIUM_SKIN_TONE,
        'thumbs up: medium-dark skin tone' => Emoji::THUMBS_UP_MEDIUM_DARK_SKIN_TONE,
        'thumbs up: dark skin tone' => Emoji::THUMBS_UP_DARK_SKIN_TONE,
        'thumbs down' => Emoji::THUMBS_DOWN,
        'thumbs down: light skin tone' => Emoji::THUMBS_DOWN_LIGHT_SKIN_TONE,
        'thumbs down: medium-light skin tone' => Emoji::THUMBS_DOWN_MEDIUM_LIGHT_SKIN_TONE,
        'thumbs down: medium skin tone' => Emoji::THUMBS_DOWN_MEDIUM_SKIN_TONE,
        'thumbs down: medium-dark skin tone' => Emoji::THUMBS_DOWN_MEDIUM_DARK_SKIN_TONE,
        'thumbs down: dark skin tone' => Emoji::THUMBS_DOWN_DARK_SKIN_TONE,
        'raised fist' => Emoji::RAISED_FIST,
        'raised fist: light skin tone' => Emoji::RAISED_FIST_LIGHT_SKIN_TONE,
        'raised fist: medium-light skin tone' => Emoji::RAISED_FIST_MEDIUM_LIGHT_SKIN_TONE,
        'raised fist: medium skin tone' => Emoji::RAISED_FIST_MEDIUM_SKIN_TONE,
        'raised fist: medium-dark skin tone' => Emoji::RAISED_FIST_MEDIUM_DARK_SKIN_TONE,
        'raised fist: dark skin tone' => Emoji::RAISED_FIST_DARK_SKIN_TONE,
        'oncoming fist' => Emoji::ONCOMING_FIST,
        'oncoming fist: light skin tone' => Emoji::ONCOMING_FIST_LIGHT_SKIN_TONE,
        'oncoming fist: medium-light skin tone' => Emoji::ONCOMING_FIST_MEDIUM_LIGHT_SKIN_TONE,
        'oncoming fist: medium skin tone' => Emoji::ONCOMING_FIST_MEDIUM_SKIN_TONE,
        'oncoming fist: medium-dark skin tone' => Emoji::ONCOMING_FIST_MEDIUM_DARK_SKIN_TONE,
        'oncoming fist: dark skin tone' => Emoji::ONCOMING_FIST_DARK_SKIN_TONE,
        'left-facing fist' => Emoji::LEFT_FACING_FIST,
        'left-facing fist: light skin tone' => Emoji::LEFT_FACING_FIST_LIGHT_SKIN_TONE,
        'left-facing fist: medium-light skin tone' => Emoji::LEFT_FACING_FIST_MEDIUM_LIGHT_SKIN_TONE,
        'left-facing fist: medium skin tone' => Emoji::LEFT_FACING_FIST_MEDIUM_SKIN_TONE,
        'left-facing fist: medium-dark skin tone' => Emoji::LEFT_FACING_FIST_MEDIUM_DARK_SKIN_TONE,
        'left-facing fist: dark skin tone' => Emoji::LEFT_FACING_FIST_DARK_SKIN_TONE,
        'right-facing fist' => Emoji::RIGHT_FACING_FIST,
        'right-facing fist: light skin tone' => Emoji::RIGHT_FACING_FIST_LIGHT_SKIN_TONE,
        'right-facing fist: medium-light skin tone' => Emoji::RIGHT_FACING_FIST_MEDIUM_LIGHT_SKIN_TONE,
        'right-facing fist: medium skin tone' => Emoji::RIGHT_FACING_FIST_MEDIUM_SKIN_TONE,
        'right-facing fist: medium-dark skin tone' => Emoji::RIGHT_FACING_FIST_MEDIUM_DARK_SKIN_TONE,
        'right-facing fist: dark skin tone' => Emoji::RIGHT_FACING_FIST_DARK_SKIN_TONE,
        'clapping hands' => Emoji::CLAPPING_HANDS,
        'clapping hands: light skin tone' => Emoji::CLAPPING_HANDS_LIGHT_SKIN_TONE,
        'clapping hands: medium-light skin tone' => Emoji::CLAPPING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'clapping hands: medium skin tone' => Emoji::CLAPPING_HANDS_MEDIUM_SKIN_TONE,
        'clapping hands: medium-dark skin tone' => Emoji::CLAPPING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'clapping hands: dark skin tone' => Emoji::CLAPPING_HANDS_DARK_SKIN_TONE,
        'raising hands' => Emoji::RAISING_HANDS,
        'raising hands: light skin tone' => Emoji::RAISING_HANDS_LIGHT_SKIN_TONE,
        'raising hands: medium-light skin tone' => Emoji::RAISING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'raising hands: medium skin tone' => Emoji::RAISING_HANDS_MEDIUM_SKIN_TONE,
        'raising hands: medium-dark skin tone' => Emoji::RAISING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'raising hands: dark skin tone' => Emoji::RAISING_HANDS_DARK_SKIN_TONE,
        'open hands' => Emoji::OPEN_HANDS,
        'open hands: light skin tone' => Emoji::OPEN_HANDS_LIGHT_SKIN_TONE,
        'open hands: medium-light skin tone' => Emoji::OPEN_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'open hands: medium skin tone' => Emoji::OPEN_HANDS_MEDIUM_SKIN_TONE,
        'open hands: medium-dark skin tone' => Emoji::OPEN_HANDS_MEDIUM_DARK_SKIN_TONE,
        'open hands: dark skin tone' => Emoji::OPEN_HANDS_DARK_SKIN_TONE,
        'palms up together' => Emoji::PALMS_UP_TOGETHER,
        'palms up together: light skin tone' => Emoji::PALMS_UP_TOGETHER_LIGHT_SKIN_TONE,
        'palms up together: medium-light skin tone' => Emoji::PALMS_UP_TOGETHER_MEDIUM_LIGHT_SKIN_TONE,
        'palms up together: medium skin tone' => Emoji::PALMS_UP_TOGETHER_MEDIUM_SKIN_TONE,
        'palms up together: medium-dark skin tone' => Emoji::PALMS_UP_TOGETHER_MEDIUM_DARK_SKIN_TONE,
        'palms up together: dark skin tone' => Emoji::PALMS_UP_TOGETHER_DARK_SKIN_TONE,
        'handshake' => Emoji::HANDSHAKE,
        'folded hands' => Emoji::FOLDED_HANDS,
        'folded hands: light skin tone' => Emoji::FOLDED_HANDS_LIGHT_SKIN_TONE,
        'folded hands: medium-light skin tone' => Emoji::FOLDED_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'folded hands: medium skin tone' => Emoji::FOLDED_HANDS_MEDIUM_SKIN_TONE,
        'folded hands: medium-dark skin tone' => Emoji::FOLDED_HANDS_MEDIUM_DARK_SKIN_TONE,
        'folded hands: dark skin tone' => Emoji::FOLDED_HANDS_DARK_SKIN_TONE,
        'writing hand' => Emoji::WRITING_HAND,
        'writing hand: light skin tone' => Emoji::WRITING_HAND_LIGHT_SKIN_TONE,
        'writing hand: medium-light skin tone' => Emoji::WRITING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'writing hand: medium skin tone' => Emoji::WRITING_HAND_MEDIUM_SKIN_TONE,
        'writing hand: medium-dark skin tone' => Emoji::WRITING_HAND_MEDIUM_DARK_SKIN_TONE,
        'writing hand: dark skin tone' => Emoji::WRITING_HAND_DARK_SKIN_TONE,
        'nail polish' => Emoji::NAIL_POLISH,
        'nail polish: light skin tone' => Emoji::NAIL_POLISH_LIGHT_SKIN_TONE,
        'nail polish: medium-light skin tone' => Emoji::NAIL_POLISH_MEDIUM_LIGHT_SKIN_TONE,
        'nail polish: medium skin tone' => Emoji::NAIL_POLISH_MEDIUM_SKIN_TONE,
        'nail polish: medium-dark skin tone' => Emoji::NAIL_POLISH_MEDIUM_DARK_SKIN_TONE,
        'nail polish: dark skin tone' => Emoji::NAIL_POLISH_DARK_SKIN_TONE,
        'selfie' => Emoji::SELFIE,
        'selfie: light skin tone' => Emoji::SELFIE_LIGHT_SKIN_TONE,
        'selfie: medium-light skin tone' => Emoji::SELFIE_MEDIUM_LIGHT_SKIN_TONE,
        'selfie: medium skin tone' => Emoji::SELFIE_MEDIUM_SKIN_TONE,
        'selfie: medium-dark skin tone' => Emoji::SELFIE_MEDIUM_DARK_SKIN_TONE,
        'selfie: dark skin tone' => Emoji::SELFIE_DARK_SKIN_TONE,
        'flexed biceps' => Emoji::FLEXED_BICEPS,
        'flexed biceps: light skin tone' => Emoji::FLEXED_BICEPS_LIGHT_SKIN_TONE,
        'flexed biceps: medium-light skin tone' => Emoji::FLEXED_BICEPS_MEDIUM_LIGHT_SKIN_TONE,
        'flexed biceps: medium skin tone' => Emoji::FLEXED_BICEPS_MEDIUM_SKIN_TONE,
        'flexed biceps: medium-dark skin tone' => Emoji::FLEXED_BICEPS_MEDIUM_DARK_SKIN_TONE,
        'flexed biceps: dark skin tone' => Emoji::FLEXED_BICEPS_DARK_SKIN_TONE,
        'mechanical arm' => Emoji::MECHANICAL_ARM,
        'mechanical leg' => Emoji::MECHANICAL_LEG,
        'leg' => Emoji::LEG,
        'leg: light skin tone' => Emoji::LEG_LIGHT_SKIN_TONE,
        'leg: medium-light skin tone' => Emoji::LEG_MEDIUM_LIGHT_SKIN_TONE,
        'leg: medium skin tone' => Emoji::LEG_MEDIUM_SKIN_TONE,
        'leg: medium-dark skin tone' => Emoji::LEG_MEDIUM_DARK_SKIN_TONE,
        'leg: dark skin tone' => Emoji::LEG_DARK_SKIN_TONE,
        'foot' => Emoji::FOOT,
        'foot: light skin tone' => Emoji::FOOT_LIGHT_SKIN_TONE,
        'foot: medium-light skin tone' => Emoji::FOOT_MEDIUM_LIGHT_SKIN_TONE,
        'foot: medium skin tone' => Emoji::FOOT_MEDIUM_SKIN_TONE,
        'foot: medium-dark skin tone' => Emoji::FOOT_MEDIUM_DARK_SKIN_TONE,
        'foot: dark skin tone' => Emoji::FOOT_DARK_SKIN_TONE,
        'ear' => Emoji::EAR,
        'ear: light skin tone' => Emoji::EAR_LIGHT_SKIN_TONE,
        'ear: medium-light skin tone' => Emoji::EAR_MEDIUM_LIGHT_SKIN_TONE,
        'ear: medium skin tone' => Emoji::EAR_MEDIUM_SKIN_TONE,
        'ear: medium-dark skin tone' => Emoji::EAR_MEDIUM_DARK_SKIN_TONE,
        'ear: dark skin tone' => Emoji::EAR_DARK_SKIN_TONE,
        'ear with hearing aid' => Emoji::EAR_WITH_HEARING_AID,
        'ear with hearing aid: light skin tone' => Emoji::EAR_WITH_HEARING_AID_LIGHT_SKIN_TONE,
        'ear with hearing aid: medium-light skin tone' => Emoji::EAR_WITH_HEARING_AID_MEDIUM_LIGHT_SKIN_TONE,
        'ear with hearing aid: medium skin tone' => Emoji::EAR_WITH_HEARING_AID_MEDIUM_SKIN_TONE,
        'ear with hearing aid: medium-dark skin tone' => Emoji::EAR_WITH_HEARING_AID_MEDIUM_DARK_SKIN_TONE,
        'ear with hearing aid: dark skin tone' => Emoji::EAR_WITH_HEARING_AID_DARK_SKIN_TONE,
        'nose' => Emoji::NOSE,
        'nose: light skin tone' => Emoji::NOSE_LIGHT_SKIN_TONE,
        'nose: medium-light skin tone' => Emoji::NOSE_MEDIUM_LIGHT_SKIN_TONE,
        'nose: medium skin tone' => Emoji::NOSE_MEDIUM_SKIN_TONE,
        'nose: medium-dark skin tone' => Emoji::NOSE_MEDIUM_DARK_SKIN_TONE,
        'nose: dark skin tone' => Emoji::NOSE_DARK_SKIN_TONE,
        'brain' => Emoji::BRAIN,
        'anatomical heart' => Emoji::ANATOMICAL_HEART,
        'lungs' => Emoji::LUNGS,
        'tooth' => Emoji::TOOTH,
        'bone' => Emoji::BONE,
        'eyes' => Emoji::EYES,
        'eye' => Emoji::EYE,
        'tongue' => Emoji::TONGUE,
        'mouth' => Emoji::MOUTH,
        'baby' => Emoji::BABY,
        'baby: light skin tone' => Emoji::BABY_LIGHT_SKIN_TONE,
        'baby: medium-light skin tone' => Emoji::BABY_MEDIUM_LIGHT_SKIN_TONE,
        'baby: medium skin tone' => Emoji::BABY_MEDIUM_SKIN_TONE,
        'baby: medium-dark skin tone' => Emoji::BABY_MEDIUM_DARK_SKIN_TONE,
        'baby: dark skin tone' => Emoji::BABY_DARK_SKIN_TONE,
        'child' => Emoji::CHILD,
        'child: light skin tone' => Emoji::CHILD_LIGHT_SKIN_TONE,
        'child: medium-light skin tone' => Emoji::CHILD_MEDIUM_LIGHT_SKIN_TONE,
        'child: medium skin tone' => Emoji::CHILD_MEDIUM_SKIN_TONE,
        'child: medium-dark skin tone' => Emoji::CHILD_MEDIUM_DARK_SKIN_TONE,
        'child: dark skin tone' => Emoji::CHILD_DARK_SKIN_TONE,
        'boy' => Emoji::BOY,
        'boy: light skin tone' => Emoji::BOY_LIGHT_SKIN_TONE,
        'boy: medium-light skin tone' => Emoji::BOY_MEDIUM_LIGHT_SKIN_TONE,
        'boy: medium skin tone' => Emoji::BOY_MEDIUM_SKIN_TONE,
        'boy: medium-dark skin tone' => Emoji::BOY_MEDIUM_DARK_SKIN_TONE,
        'boy: dark skin tone' => Emoji::BOY_DARK_SKIN_TONE,
        'girl' => Emoji::GIRL,
        'girl: light skin tone' => Emoji::GIRL_LIGHT_SKIN_TONE,
        'girl: medium-light skin tone' => Emoji::GIRL_MEDIUM_LIGHT_SKIN_TONE,
        'girl: medium skin tone' => Emoji::GIRL_MEDIUM_SKIN_TONE,
        'girl: medium-dark skin tone' => Emoji::GIRL_MEDIUM_DARK_SKIN_TONE,
        'girl: dark skin tone' => Emoji::GIRL_DARK_SKIN_TONE,
        'person' => Emoji::PERSON,
        'person: light skin tone' => Emoji::PERSON_LIGHT_SKIN_TONE,
        'person: medium-light skin tone' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE,
        'person: medium skin tone' => Emoji::PERSON_MEDIUM_SKIN_TONE,
        'person: medium-dark skin tone' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE,
        'person: dark skin tone' => Emoji::PERSON_DARK_SKIN_TONE,
        'person: blond hair' => Emoji::PERSON_BLOND_HAIR,
        'person: light skin tone, blond hair' => Emoji::PERSON_LIGHT_SKIN_TONE_BLOND_HAIR,
        'person: medium-light skin tone, blond hair' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR,
        'person: medium skin tone, blond hair' => Emoji::PERSON_MEDIUM_SKIN_TONE_BLOND_HAIR,
        'person: medium-dark skin tone, blond hair' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR,
        'person: dark skin tone, blond hair' => Emoji::PERSON_DARK_SKIN_TONE_BLOND_HAIR,
        'man' => Emoji::MAN,
        'man: light skin tone' => Emoji::MAN_LIGHT_SKIN_TONE,
        'man: medium-light skin tone' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE,
        'man: medium skin tone' => Emoji::MAN_MEDIUM_SKIN_TONE,
        'man: medium-dark skin tone' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE,
        'man: dark skin tone' => Emoji::MAN_DARK_SKIN_TONE,
        'person: beard' => Emoji::PERSON_BEARD,
        'person: light skin tone, beard' => Emoji::PERSON_LIGHT_SKIN_TONE_BEARD,
        'person: medium-light skin tone, beard' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_BEARD,
        'person: medium skin tone, beard' => Emoji::PERSON_MEDIUM_SKIN_TONE_BEARD,
        'person: medium-dark skin tone, beard' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_BEARD,
        'person: dark skin tone, beard' => Emoji::PERSON_DARK_SKIN_TONE_BEARD,
        'man: beard' => Emoji::MAN_BEARD,
        'man: light skin tone, beard' => Emoji::MAN_LIGHT_SKIN_TONE_BEARD,
        'man: medium-light skin tone, beard' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_BEARD,
        'man: medium skin tone, beard' => Emoji::MAN_MEDIUM_SKIN_TONE_BEARD,
        'man: medium-dark skin tone, beard' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_BEARD,
        'man: dark skin tone, beard' => Emoji::MAN_DARK_SKIN_TONE_BEARD,
        'woman: beard' => Emoji::WOMAN_BEARD,
        'woman: light skin tone, beard' => Emoji::WOMAN_LIGHT_SKIN_TONE_BEARD,
        'woman: medium-light skin tone, beard' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_BEARD,
        'woman: medium skin tone, beard' => Emoji::WOMAN_MEDIUM_SKIN_TONE_BEARD,
        'woman: medium-dark skin tone, beard' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_BEARD,
        'woman: dark skin tone, beard' => Emoji::WOMAN_DARK_SKIN_TONE_BEARD,
        'man: red hair' => Emoji::MAN_RED_HAIR,
        'man: light skin tone, red hair' => Emoji::MAN_LIGHT_SKIN_TONE_RED_HAIR,
        'man: medium-light skin tone, red hair' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR,
        'man: medium skin tone, red hair' => Emoji::MAN_MEDIUM_SKIN_TONE_RED_HAIR,
        'man: medium-dark skin tone, red hair' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_RED_HAIR,
        'man: dark skin tone, red hair' => Emoji::MAN_DARK_SKIN_TONE_RED_HAIR,
        'man: curly hair' => Emoji::MAN_CURLY_HAIR,
        'man: light skin tone, curly hair' => Emoji::MAN_LIGHT_SKIN_TONE_CURLY_HAIR,
        'man: medium-light skin tone, curly hair' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR,
        'man: medium skin tone, curly hair' => Emoji::MAN_MEDIUM_SKIN_TONE_CURLY_HAIR,
        'man: medium-dark skin tone, curly hair' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR,
        'man: dark skin tone, curly hair' => Emoji::MAN_DARK_SKIN_TONE_CURLY_HAIR,
        'man: white hair' => Emoji::MAN_WHITE_HAIR,
        'man: light skin tone, white hair' => Emoji::MAN_LIGHT_SKIN_TONE_WHITE_HAIR,
        'man: medium-light skin tone, white hair' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR,
        'man: medium skin tone, white hair' => Emoji::MAN_MEDIUM_SKIN_TONE_WHITE_HAIR,
        'man: medium-dark skin tone, white hair' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR,
        'man: dark skin tone, white hair' => Emoji::MAN_DARK_SKIN_TONE_WHITE_HAIR,
        'man: bald' => Emoji::MAN_BALD,
        'man: light skin tone, bald' => Emoji::MAN_LIGHT_SKIN_TONE_BALD,
        'man: medium-light skin tone, bald' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_BALD,
        'man: medium skin tone, bald' => Emoji::MAN_MEDIUM_SKIN_TONE_BALD,
        'man: medium-dark skin tone, bald' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_BALD,
        'man: dark skin tone, bald' => Emoji::MAN_DARK_SKIN_TONE_BALD,
        'woman' => Emoji::WOMAN,
        'woman: light skin tone' => Emoji::WOMAN_LIGHT_SKIN_TONE,
        'woman: medium-light skin tone' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'woman: medium skin tone' => Emoji::WOMAN_MEDIUM_SKIN_TONE,
        'woman: medium-dark skin tone' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE,
        'woman: dark skin tone' => Emoji::WOMAN_DARK_SKIN_TONE,
        'woman: red hair' => Emoji::WOMAN_RED_HAIR,
        'woman: light skin tone, red hair' => Emoji::WOMAN_LIGHT_SKIN_TONE_RED_HAIR,
        'woman: medium-light skin tone, red hair' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR,
        'woman: medium skin tone, red hair' => Emoji::WOMAN_MEDIUM_SKIN_TONE_RED_HAIR,
        'woman: medium-dark skin tone, red hair' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_RED_HAIR,
        'woman: dark skin tone, red hair' => Emoji::WOMAN_DARK_SKIN_TONE_RED_HAIR,
        'person: red hair' => Emoji::PERSON_RED_HAIR,
        'person: light skin tone, red hair' => Emoji::PERSON_LIGHT_SKIN_TONE_RED_HAIR,
        'person: medium-light skin tone, red hair' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_RED_HAIR,
        'person: medium skin tone, red hair' => Emoji::PERSON_MEDIUM_SKIN_TONE_RED_HAIR,
        'person: medium-dark skin tone, red hair' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_RED_HAIR,
        'person: dark skin tone, red hair' => Emoji::PERSON_DARK_SKIN_TONE_RED_HAIR,
        'woman: curly hair' => Emoji::WOMAN_CURLY_HAIR,
        'woman: light skin tone, curly hair' => Emoji::WOMAN_LIGHT_SKIN_TONE_CURLY_HAIR,
        'woman: medium-light skin tone, curly hair' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR,
        'woman: medium skin tone, curly hair' => Emoji::WOMAN_MEDIUM_SKIN_TONE_CURLY_HAIR,
        'woman: medium-dark skin tone, curly hair' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR,
        'woman: dark skin tone, curly hair' => Emoji::WOMAN_DARK_SKIN_TONE_CURLY_HAIR,
        'person: curly hair' => Emoji::PERSON_CURLY_HAIR,
        'person: light skin tone, curly hair' => Emoji::PERSON_LIGHT_SKIN_TONE_CURLY_HAIR,
        'person: medium-light skin tone, curly hair' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_CURLY_HAIR,
        'person: medium skin tone, curly hair' => Emoji::PERSON_MEDIUM_SKIN_TONE_CURLY_HAIR,
        'person: medium-dark skin tone, curly hair' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_CURLY_HAIR,
        'person: dark skin tone, curly hair' => Emoji::PERSON_DARK_SKIN_TONE_CURLY_HAIR,
        'woman: white hair' => Emoji::WOMAN_WHITE_HAIR,
        'woman: light skin tone, white hair' => Emoji::WOMAN_LIGHT_SKIN_TONE_WHITE_HAIR,
        'woman: medium-light skin tone, white hair' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR,
        'woman: medium skin tone, white hair' => Emoji::WOMAN_MEDIUM_SKIN_TONE_WHITE_HAIR,
        'woman: medium-dark skin tone, white hair' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR,
        'woman: dark skin tone, white hair' => Emoji::WOMAN_DARK_SKIN_TONE_WHITE_HAIR,
        'person: white hair' => Emoji::PERSON_WHITE_HAIR,
        'person: light skin tone, white hair' => Emoji::PERSON_LIGHT_SKIN_TONE_WHITE_HAIR,
        'person: medium-light skin tone, white hair' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_WHITE_HAIR,
        'person: medium skin tone, white hair' => Emoji::PERSON_MEDIUM_SKIN_TONE_WHITE_HAIR,
        'person: medium-dark skin tone, white hair' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_WHITE_HAIR,
        'person: dark skin tone, white hair' => Emoji::PERSON_DARK_SKIN_TONE_WHITE_HAIR,
        'woman: bald' => Emoji::WOMAN_BALD,
        'woman: light skin tone, bald' => Emoji::WOMAN_LIGHT_SKIN_TONE_BALD,
        'woman: medium-light skin tone, bald' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_BALD,
        'woman: medium skin tone, bald' => Emoji::WOMAN_MEDIUM_SKIN_TONE_BALD,
        'woman: medium-dark skin tone, bald' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_BALD,
        'woman: dark skin tone, bald' => Emoji::WOMAN_DARK_SKIN_TONE_BALD,
        'person: bald' => Emoji::PERSON_BALD,
        'person: light skin tone, bald' => Emoji::PERSON_LIGHT_SKIN_TONE_BALD,
        'person: medium-light skin tone, bald' => Emoji::PERSON_MEDIUM_LIGHT_SKIN_TONE_BALD,
        'person: medium skin tone, bald' => Emoji::PERSON_MEDIUM_SKIN_TONE_BALD,
        'person: medium-dark skin tone, bald' => Emoji::PERSON_MEDIUM_DARK_SKIN_TONE_BALD,
        'person: dark skin tone, bald' => Emoji::PERSON_DARK_SKIN_TONE_BALD,
        'woman: blond hair' => Emoji::WOMAN_BLOND_HAIR,
        'woman: light skin tone, blond hair' => Emoji::WOMAN_LIGHT_SKIN_TONE_BLOND_HAIR,
        'woman: medium-light skin tone, blond hair' => Emoji::WOMAN_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR,
        'woman: medium skin tone, blond hair' => Emoji::WOMAN_MEDIUM_SKIN_TONE_BLOND_HAIR,
        'woman: medium-dark skin tone, blond hair' => Emoji::WOMAN_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR,
        'woman: dark skin tone, blond hair' => Emoji::WOMAN_DARK_SKIN_TONE_BLOND_HAIR,
        'man: blond hair' => Emoji::MAN_BLOND_HAIR,
        'man: light skin tone, blond hair' => Emoji::MAN_LIGHT_SKIN_TONE_BLOND_HAIR,
        'man: medium-light skin tone, blond hair' => Emoji::MAN_MEDIUM_LIGHT_SKIN_TONE_BLOND_HAIR,
        'man: medium skin tone, blond hair' => Emoji::MAN_MEDIUM_SKIN_TONE_BLOND_HAIR,
        'man: medium-dark skin tone, blond hair' => Emoji::MAN_MEDIUM_DARK_SKIN_TONE_BLOND_HAIR,
        'man: dark skin tone, blond hair' => Emoji::MAN_DARK_SKIN_TONE_BLOND_HAIR,
        'older person' => Emoji::OLDER_PERSON,
        'older person: light skin tone' => Emoji::OLDER_PERSON_LIGHT_SKIN_TONE,
        'older person: medium-light skin tone' => Emoji::OLDER_PERSON_MEDIUM_LIGHT_SKIN_TONE,
        'older person: medium skin tone' => Emoji::OLDER_PERSON_MEDIUM_SKIN_TONE,
        'older person: medium-dark skin tone' => Emoji::OLDER_PERSON_MEDIUM_DARK_SKIN_TONE,
        'older person: dark skin tone' => Emoji::OLDER_PERSON_DARK_SKIN_TONE,
        'old man' => Emoji::OLD_MAN,
        'old man: light skin tone' => Emoji::OLD_MAN_LIGHT_SKIN_TONE,
        'old man: medium-light skin tone' => Emoji::OLD_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'old man: medium skin tone' => Emoji::OLD_MAN_MEDIUM_SKIN_TONE,
        'old man: medium-dark skin tone' => Emoji::OLD_MAN_MEDIUM_DARK_SKIN_TONE,
        'old man: dark skin tone' => Emoji::OLD_MAN_DARK_SKIN_TONE,
        'old woman' => Emoji::OLD_WOMAN,
        'old woman: light skin tone' => Emoji::OLD_WOMAN_LIGHT_SKIN_TONE,
        'old woman: medium-light skin tone' => Emoji::OLD_WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'old woman: medium skin tone' => Emoji::OLD_WOMAN_MEDIUM_SKIN_TONE,
        'old woman: medium-dark skin tone' => Emoji::OLD_WOMAN_MEDIUM_DARK_SKIN_TONE,
        'old woman: dark skin tone' => Emoji::OLD_WOMAN_DARK_SKIN_TONE,
        'person frowning' => Emoji::PERSON_FROWNING,
        'person frowning: light skin tone' => Emoji::PERSON_FROWNING_LIGHT_SKIN_TONE,
        'person frowning: medium-light skin tone' => Emoji::PERSON_FROWNING_MEDIUM_LIGHT_SKIN_TONE,
        'person frowning: medium skin tone' => Emoji::PERSON_FROWNING_MEDIUM_SKIN_TONE,
        'person frowning: medium-dark skin tone' => Emoji::PERSON_FROWNING_MEDIUM_DARK_SKIN_TONE,
        'person frowning: dark skin tone' => Emoji::PERSON_FROWNING_DARK_SKIN_TONE,
        'man frowning' => Emoji::MAN_FROWNING,
        'man frowning: light skin tone' => Emoji::MAN_FROWNING_LIGHT_SKIN_TONE,
        'man frowning: medium-light skin tone' => Emoji::MAN_FROWNING_MEDIUM_LIGHT_SKIN_TONE,
        'man frowning: medium skin tone' => Emoji::MAN_FROWNING_MEDIUM_SKIN_TONE,
        'man frowning: medium-dark skin tone' => Emoji::MAN_FROWNING_MEDIUM_DARK_SKIN_TONE,
        'man frowning: dark skin tone' => Emoji::MAN_FROWNING_DARK_SKIN_TONE,
        'woman frowning' => Emoji::WOMAN_FROWNING,
        'woman frowning: light skin tone' => Emoji::WOMAN_FROWNING_LIGHT_SKIN_TONE,
        'woman frowning: medium-light skin tone' => Emoji::WOMAN_FROWNING_MEDIUM_LIGHT_SKIN_TONE,
        'woman frowning: medium skin tone' => Emoji::WOMAN_FROWNING_MEDIUM_SKIN_TONE,
        'woman frowning: medium-dark skin tone' => Emoji::WOMAN_FROWNING_MEDIUM_DARK_SKIN_TONE,
        'woman frowning: dark skin tone' => Emoji::WOMAN_FROWNING_DARK_SKIN_TONE,
        'person pouting' => Emoji::PERSON_POUTING,
        'person pouting: light skin tone' => Emoji::PERSON_POUTING_LIGHT_SKIN_TONE,
        'person pouting: medium-light skin tone' => Emoji::PERSON_POUTING_MEDIUM_LIGHT_SKIN_TONE,
        'person pouting: medium skin tone' => Emoji::PERSON_POUTING_MEDIUM_SKIN_TONE,
        'person pouting: medium-dark skin tone' => Emoji::PERSON_POUTING_MEDIUM_DARK_SKIN_TONE,
        'person pouting: dark skin tone' => Emoji::PERSON_POUTING_DARK_SKIN_TONE,
        'man pouting' => Emoji::MAN_POUTING,
        'man pouting: light skin tone' => Emoji::MAN_POUTING_LIGHT_SKIN_TONE,
        'man pouting: medium-light skin tone' => Emoji::MAN_POUTING_MEDIUM_LIGHT_SKIN_TONE,
        'man pouting: medium skin tone' => Emoji::MAN_POUTING_MEDIUM_SKIN_TONE,
        'man pouting: medium-dark skin tone' => Emoji::MAN_POUTING_MEDIUM_DARK_SKIN_TONE,
        'man pouting: dark skin tone' => Emoji::MAN_POUTING_DARK_SKIN_TONE,
        'woman pouting' => Emoji::WOMAN_POUTING,
        'woman pouting: light skin tone' => Emoji::WOMAN_POUTING_LIGHT_SKIN_TONE,
        'woman pouting: medium-light skin tone' => Emoji::WOMAN_POUTING_MEDIUM_LIGHT_SKIN_TONE,
        'woman pouting: medium skin tone' => Emoji::WOMAN_POUTING_MEDIUM_SKIN_TONE,
        'woman pouting: medium-dark skin tone' => Emoji::WOMAN_POUTING_MEDIUM_DARK_SKIN_TONE,
        'woman pouting: dark skin tone' => Emoji::WOMAN_POUTING_DARK_SKIN_TONE,
        'person gesturing NO' => Emoji::PERSON_GESTURING_NO,
        'person gesturing NO: light skin tone' => Emoji::PERSON_GESTURING_NO_LIGHT_SKIN_TONE,
        'person gesturing NO: medium-light skin tone' => Emoji::PERSON_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE,
        'person gesturing NO: medium skin tone' => Emoji::PERSON_GESTURING_NO_MEDIUM_SKIN_TONE,
        'person gesturing NO: medium-dark skin tone' => Emoji::PERSON_GESTURING_NO_MEDIUM_DARK_SKIN_TONE,
        'person gesturing NO: dark skin tone' => Emoji::PERSON_GESTURING_NO_DARK_SKIN_TONE,
        'man gesturing NO' => Emoji::MAN_GESTURING_NO,
        'man gesturing NO: light skin tone' => Emoji::MAN_GESTURING_NO_LIGHT_SKIN_TONE,
        'man gesturing NO: medium-light skin tone' => Emoji::MAN_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE,
        'man gesturing NO: medium skin tone' => Emoji::MAN_GESTURING_NO_MEDIUM_SKIN_TONE,
        'man gesturing NO: medium-dark skin tone' => Emoji::MAN_GESTURING_NO_MEDIUM_DARK_SKIN_TONE,
        'man gesturing NO: dark skin tone' => Emoji::MAN_GESTURING_NO_DARK_SKIN_TONE,
        'woman gesturing NO' => Emoji::WOMAN_GESTURING_NO,
        'woman gesturing NO: light skin tone' => Emoji::WOMAN_GESTURING_NO_LIGHT_SKIN_TONE,
        'woman gesturing NO: medium-light skin tone' => Emoji::WOMAN_GESTURING_NO_MEDIUM_LIGHT_SKIN_TONE,
        'woman gesturing NO: medium skin tone' => Emoji::WOMAN_GESTURING_NO_MEDIUM_SKIN_TONE,
        'woman gesturing NO: medium-dark skin tone' => Emoji::WOMAN_GESTURING_NO_MEDIUM_DARK_SKIN_TONE,
        'woman gesturing NO: dark skin tone' => Emoji::WOMAN_GESTURING_NO_DARK_SKIN_TONE,
        'person gesturing OK' => Emoji::PERSON_GESTURING_OK,
        'person gesturing OK: light skin tone' => Emoji::PERSON_GESTURING_OK_LIGHT_SKIN_TONE,
        'person gesturing OK: medium-light skin tone' => Emoji::PERSON_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE,
        'person gesturing OK: medium skin tone' => Emoji::PERSON_GESTURING_OK_MEDIUM_SKIN_TONE,
        'person gesturing OK: medium-dark skin tone' => Emoji::PERSON_GESTURING_OK_MEDIUM_DARK_SKIN_TONE,
        'person gesturing OK: dark skin tone' => Emoji::PERSON_GESTURING_OK_DARK_SKIN_TONE,
        'man gesturing OK' => Emoji::MAN_GESTURING_OK,
        'man gesturing OK: light skin tone' => Emoji::MAN_GESTURING_OK_LIGHT_SKIN_TONE,
        'man gesturing OK: medium-light skin tone' => Emoji::MAN_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE,
        'man gesturing OK: medium skin tone' => Emoji::MAN_GESTURING_OK_MEDIUM_SKIN_TONE,
        'man gesturing OK: medium-dark skin tone' => Emoji::MAN_GESTURING_OK_MEDIUM_DARK_SKIN_TONE,
        'man gesturing OK: dark skin tone' => Emoji::MAN_GESTURING_OK_DARK_SKIN_TONE,
        'woman gesturing OK' => Emoji::WOMAN_GESTURING_OK,
        'woman gesturing OK: light skin tone' => Emoji::WOMAN_GESTURING_OK_LIGHT_SKIN_TONE,
        'woman gesturing OK: medium-light skin tone' => Emoji::WOMAN_GESTURING_OK_MEDIUM_LIGHT_SKIN_TONE,
        'woman gesturing OK: medium skin tone' => Emoji::WOMAN_GESTURING_OK_MEDIUM_SKIN_TONE,
        'woman gesturing OK: medium-dark skin tone' => Emoji::WOMAN_GESTURING_OK_MEDIUM_DARK_SKIN_TONE,
        'woman gesturing OK: dark skin tone' => Emoji::WOMAN_GESTURING_OK_DARK_SKIN_TONE,
        'person tipping hand' => Emoji::PERSON_TIPPING_HAND,
        'person tipping hand: light skin tone' => Emoji::PERSON_TIPPING_HAND_LIGHT_SKIN_TONE,
        'person tipping hand: medium-light skin tone' => Emoji::PERSON_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'person tipping hand: medium skin tone' => Emoji::PERSON_TIPPING_HAND_MEDIUM_SKIN_TONE,
        'person tipping hand: medium-dark skin tone' => Emoji::PERSON_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE,
        'person tipping hand: dark skin tone' => Emoji::PERSON_TIPPING_HAND_DARK_SKIN_TONE,
        'man tipping hand' => Emoji::MAN_TIPPING_HAND,
        'man tipping hand: light skin tone' => Emoji::MAN_TIPPING_HAND_LIGHT_SKIN_TONE,
        'man tipping hand: medium-light skin tone' => Emoji::MAN_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'man tipping hand: medium skin tone' => Emoji::MAN_TIPPING_HAND_MEDIUM_SKIN_TONE,
        'man tipping hand: medium-dark skin tone' => Emoji::MAN_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE,
        'man tipping hand: dark skin tone' => Emoji::MAN_TIPPING_HAND_DARK_SKIN_TONE,
        'woman tipping hand' => Emoji::WOMAN_TIPPING_HAND,
        'woman tipping hand: light skin tone' => Emoji::WOMAN_TIPPING_HAND_LIGHT_SKIN_TONE,
        'woman tipping hand: medium-light skin tone' => Emoji::WOMAN_TIPPING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'woman tipping hand: medium skin tone' => Emoji::WOMAN_TIPPING_HAND_MEDIUM_SKIN_TONE,
        'woman tipping hand: medium-dark skin tone' => Emoji::WOMAN_TIPPING_HAND_MEDIUM_DARK_SKIN_TONE,
        'woman tipping hand: dark skin tone' => Emoji::WOMAN_TIPPING_HAND_DARK_SKIN_TONE,
        'person raising hand' => Emoji::PERSON_RAISING_HAND,
        'person raising hand: light skin tone' => Emoji::PERSON_RAISING_HAND_LIGHT_SKIN_TONE,
        'person raising hand: medium-light skin tone' => Emoji::PERSON_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'person raising hand: medium skin tone' => Emoji::PERSON_RAISING_HAND_MEDIUM_SKIN_TONE,
        'person raising hand: medium-dark skin tone' => Emoji::PERSON_RAISING_HAND_MEDIUM_DARK_SKIN_TONE,
        'person raising hand: dark skin tone' => Emoji::PERSON_RAISING_HAND_DARK_SKIN_TONE,
        'man raising hand' => Emoji::MAN_RAISING_HAND,
        'man raising hand: light skin tone' => Emoji::MAN_RAISING_HAND_LIGHT_SKIN_TONE,
        'man raising hand: medium-light skin tone' => Emoji::MAN_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'man raising hand: medium skin tone' => Emoji::MAN_RAISING_HAND_MEDIUM_SKIN_TONE,
        'man raising hand: medium-dark skin tone' => Emoji::MAN_RAISING_HAND_MEDIUM_DARK_SKIN_TONE,
        'man raising hand: dark skin tone' => Emoji::MAN_RAISING_HAND_DARK_SKIN_TONE,
        'woman raising hand' => Emoji::WOMAN_RAISING_HAND,
        'woman raising hand: light skin tone' => Emoji::WOMAN_RAISING_HAND_LIGHT_SKIN_TONE,
        'woman raising hand: medium-light skin tone' => Emoji::WOMAN_RAISING_HAND_MEDIUM_LIGHT_SKIN_TONE,
        'woman raising hand: medium skin tone' => Emoji::WOMAN_RAISING_HAND_MEDIUM_SKIN_TONE,
        'woman raising hand: medium-dark skin tone' => Emoji::WOMAN_RAISING_HAND_MEDIUM_DARK_SKIN_TONE,
        'woman raising hand: dark skin tone' => Emoji::WOMAN_RAISING_HAND_DARK_SKIN_TONE,
        'deaf person' => Emoji::DEAF_PERSON,
        'deaf person: light skin tone' => Emoji::DEAF_PERSON_LIGHT_SKIN_TONE,
        'deaf person: medium-light skin tone' => Emoji::DEAF_PERSON_MEDIUM_LIGHT_SKIN_TONE,
        'deaf person: medium skin tone' => Emoji::DEAF_PERSON_MEDIUM_SKIN_TONE,
        'deaf person: medium-dark skin tone' => Emoji::DEAF_PERSON_MEDIUM_DARK_SKIN_TONE,
        'deaf person: dark skin tone' => Emoji::DEAF_PERSON_DARK_SKIN_TONE,
        'deaf man' => Emoji::DEAF_MAN,
        'deaf man: light skin tone' => Emoji::DEAF_MAN_LIGHT_SKIN_TONE,
        'deaf man: medium-light skin tone' => Emoji::DEAF_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'deaf man: medium skin tone' => Emoji::DEAF_MAN_MEDIUM_SKIN_TONE,
        'deaf man: medium-dark skin tone' => Emoji::DEAF_MAN_MEDIUM_DARK_SKIN_TONE,
        'deaf man: dark skin tone' => Emoji::DEAF_MAN_DARK_SKIN_TONE,
        'deaf woman' => Emoji::DEAF_WOMAN,
        'deaf woman: light skin tone' => Emoji::DEAF_WOMAN_LIGHT_SKIN_TONE,
        'deaf woman: medium-light skin tone' => Emoji::DEAF_WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'deaf woman: medium skin tone' => Emoji::DEAF_WOMAN_MEDIUM_SKIN_TONE,
        'deaf woman: medium-dark skin tone' => Emoji::DEAF_WOMAN_MEDIUM_DARK_SKIN_TONE,
        'deaf woman: dark skin tone' => Emoji::DEAF_WOMAN_DARK_SKIN_TONE,
        'person bowing' => Emoji::PERSON_BOWING,
        'person bowing: light skin tone' => Emoji::PERSON_BOWING_LIGHT_SKIN_TONE,
        'person bowing: medium-light skin tone' => Emoji::PERSON_BOWING_MEDIUM_LIGHT_SKIN_TONE,
        'person bowing: medium skin tone' => Emoji::PERSON_BOWING_MEDIUM_SKIN_TONE,
        'person bowing: medium-dark skin tone' => Emoji::PERSON_BOWING_MEDIUM_DARK_SKIN_TONE,
        'person bowing: dark skin tone' => Emoji::PERSON_BOWING_DARK_SKIN_TONE,
        'man bowing' => Emoji::MAN_BOWING,
        'man bowing: light skin tone' => Emoji::MAN_BOWING_LIGHT_SKIN_TONE,
        'man bowing: medium-light skin tone' => Emoji::MAN_BOWING_MEDIUM_LIGHT_SKIN_TONE,
        'man bowing: medium skin tone' => Emoji::MAN_BOWING_MEDIUM_SKIN_TONE,
        'man bowing: medium-dark skin tone' => Emoji::MAN_BOWING_MEDIUM_DARK_SKIN_TONE,
        'man bowing: dark skin tone' => Emoji::MAN_BOWING_DARK_SKIN_TONE,
        'woman bowing' => Emoji::WOMAN_BOWING,
        'woman bowing: light skin tone' => Emoji::WOMAN_BOWING_LIGHT_SKIN_TONE,
        'woman bowing: medium-light skin tone' => Emoji::WOMAN_BOWING_MEDIUM_LIGHT_SKIN_TONE,
        'woman bowing: medium skin tone' => Emoji::WOMAN_BOWING_MEDIUM_SKIN_TONE,
        'woman bowing: medium-dark skin tone' => Emoji::WOMAN_BOWING_MEDIUM_DARK_SKIN_TONE,
        'woman bowing: dark skin tone' => Emoji::WOMAN_BOWING_DARK_SKIN_TONE,
        'person facepalming' => Emoji::PERSON_FACEPALMING,
        'person facepalming: light skin tone' => Emoji::PERSON_FACEPALMING_LIGHT_SKIN_TONE,
        'person facepalming: medium-light skin tone' => Emoji::PERSON_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE,
        'person facepalming: medium skin tone' => Emoji::PERSON_FACEPALMING_MEDIUM_SKIN_TONE,
        'person facepalming: medium-dark skin tone' => Emoji::PERSON_FACEPALMING_MEDIUM_DARK_SKIN_TONE,
        'person facepalming: dark skin tone' => Emoji::PERSON_FACEPALMING_DARK_SKIN_TONE,
        'man facepalming' => Emoji::MAN_FACEPALMING,
        'man facepalming: light skin tone' => Emoji::MAN_FACEPALMING_LIGHT_SKIN_TONE,
        'man facepalming: medium-light skin tone' => Emoji::MAN_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE,
        'man facepalming: medium skin tone' => Emoji::MAN_FACEPALMING_MEDIUM_SKIN_TONE,
        'man facepalming: medium-dark skin tone' => Emoji::MAN_FACEPALMING_MEDIUM_DARK_SKIN_TONE,
        'man facepalming: dark skin tone' => Emoji::MAN_FACEPALMING_DARK_SKIN_TONE,
        'woman facepalming' => Emoji::WOMAN_FACEPALMING,
        'woman facepalming: light skin tone' => Emoji::WOMAN_FACEPALMING_LIGHT_SKIN_TONE,
        'woman facepalming: medium-light skin tone' => Emoji::WOMAN_FACEPALMING_MEDIUM_LIGHT_SKIN_TONE,
        'woman facepalming: medium skin tone' => Emoji::WOMAN_FACEPALMING_MEDIUM_SKIN_TONE,
        'woman facepalming: medium-dark skin tone' => Emoji::WOMAN_FACEPALMING_MEDIUM_DARK_SKIN_TONE,
        'woman facepalming: dark skin tone' => Emoji::WOMAN_FACEPALMING_DARK_SKIN_TONE,
        'person shrugging' => Emoji::PERSON_SHRUGGING,
        'person shrugging: light skin tone' => Emoji::PERSON_SHRUGGING_LIGHT_SKIN_TONE,
        'person shrugging: medium-light skin tone' => Emoji::PERSON_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE,
        'person shrugging: medium skin tone' => Emoji::PERSON_SHRUGGING_MEDIUM_SKIN_TONE,
        'person shrugging: medium-dark skin tone' => Emoji::PERSON_SHRUGGING_MEDIUM_DARK_SKIN_TONE,
        'person shrugging: dark skin tone' => Emoji::PERSON_SHRUGGING_DARK_SKIN_TONE,
        'man shrugging' => Emoji::MAN_SHRUGGING,
        'man shrugging: light skin tone' => Emoji::MAN_SHRUGGING_LIGHT_SKIN_TONE,
        'man shrugging: medium-light skin tone' => Emoji::MAN_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE,
        'man shrugging: medium skin tone' => Emoji::MAN_SHRUGGING_MEDIUM_SKIN_TONE,
        'man shrugging: medium-dark skin tone' => Emoji::MAN_SHRUGGING_MEDIUM_DARK_SKIN_TONE,
        'man shrugging: dark skin tone' => Emoji::MAN_SHRUGGING_DARK_SKIN_TONE,
        'woman shrugging' => Emoji::WOMAN_SHRUGGING,
        'woman shrugging: light skin tone' => Emoji::WOMAN_SHRUGGING_LIGHT_SKIN_TONE,
        'woman shrugging: medium-light skin tone' => Emoji::WOMAN_SHRUGGING_MEDIUM_LIGHT_SKIN_TONE,
        'woman shrugging: medium skin tone' => Emoji::WOMAN_SHRUGGING_MEDIUM_SKIN_TONE,
        'woman shrugging: medium-dark skin tone' => Emoji::WOMAN_SHRUGGING_MEDIUM_DARK_SKIN_TONE,
        'woman shrugging: dark skin tone' => Emoji::WOMAN_SHRUGGING_DARK_SKIN_TONE,
        'health worker' => Emoji::HEALTH_WORKER,
        'health worker: light skin tone' => Emoji::HEALTH_WORKER_LIGHT_SKIN_TONE,
        'health worker: medium-light skin tone' => Emoji::HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'health worker: medium skin tone' => Emoji::HEALTH_WORKER_MEDIUM_SKIN_TONE,
        'health worker: medium-dark skin tone' => Emoji::HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE,
        'health worker: dark skin tone' => Emoji::HEALTH_WORKER_DARK_SKIN_TONE,
        'man health worker' => Emoji::MAN_HEALTH_WORKER,
        'man health worker: light skin tone' => Emoji::MAN_HEALTH_WORKER_LIGHT_SKIN_TONE,
        'man health worker: medium-light skin tone' => Emoji::MAN_HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'man health worker: medium skin tone' => Emoji::MAN_HEALTH_WORKER_MEDIUM_SKIN_TONE,
        'man health worker: medium-dark skin tone' => Emoji::MAN_HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE,
        'man health worker: dark skin tone' => Emoji::MAN_HEALTH_WORKER_DARK_SKIN_TONE,
        'woman health worker' => Emoji::WOMAN_HEALTH_WORKER,
        'woman health worker: light skin tone' => Emoji::WOMAN_HEALTH_WORKER_LIGHT_SKIN_TONE,
        'woman health worker: medium-light skin tone' => Emoji::WOMAN_HEALTH_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'woman health worker: medium skin tone' => Emoji::WOMAN_HEALTH_WORKER_MEDIUM_SKIN_TONE,
        'woman health worker: medium-dark skin tone' => Emoji::WOMAN_HEALTH_WORKER_MEDIUM_DARK_SKIN_TONE,
        'woman health worker: dark skin tone' => Emoji::WOMAN_HEALTH_WORKER_DARK_SKIN_TONE,
        'student' => Emoji::STUDENT,
        'student: light skin tone' => Emoji::STUDENT_LIGHT_SKIN_TONE,
        'student: medium-light skin tone' => Emoji::STUDENT_MEDIUM_LIGHT_SKIN_TONE,
        'student: medium skin tone' => Emoji::STUDENT_MEDIUM_SKIN_TONE,
        'student: medium-dark skin tone' => Emoji::STUDENT_MEDIUM_DARK_SKIN_TONE,
        'student: dark skin tone' => Emoji::STUDENT_DARK_SKIN_TONE,
        'man student' => Emoji::MAN_STUDENT,
        'man student: light skin tone' => Emoji::MAN_STUDENT_LIGHT_SKIN_TONE,
        'man student: medium-light skin tone' => Emoji::MAN_STUDENT_MEDIUM_LIGHT_SKIN_TONE,
        'man student: medium skin tone' => Emoji::MAN_STUDENT_MEDIUM_SKIN_TONE,
        'man student: medium-dark skin tone' => Emoji::MAN_STUDENT_MEDIUM_DARK_SKIN_TONE,
        'man student: dark skin tone' => Emoji::MAN_STUDENT_DARK_SKIN_TONE,
        'woman student' => Emoji::WOMAN_STUDENT,
        'woman student: light skin tone' => Emoji::WOMAN_STUDENT_LIGHT_SKIN_TONE,
        'woman student: medium-light skin tone' => Emoji::WOMAN_STUDENT_MEDIUM_LIGHT_SKIN_TONE,
        'woman student: medium skin tone' => Emoji::WOMAN_STUDENT_MEDIUM_SKIN_TONE,
        'woman student: medium-dark skin tone' => Emoji::WOMAN_STUDENT_MEDIUM_DARK_SKIN_TONE,
        'woman student: dark skin tone' => Emoji::WOMAN_STUDENT_DARK_SKIN_TONE,
        'teacher' => Emoji::TEACHER,
        'teacher: light skin tone' => Emoji::TEACHER_LIGHT_SKIN_TONE,
        'teacher: medium-light skin tone' => Emoji::TEACHER_MEDIUM_LIGHT_SKIN_TONE,
        'teacher: medium skin tone' => Emoji::TEACHER_MEDIUM_SKIN_TONE,
        'teacher: medium-dark skin tone' => Emoji::TEACHER_MEDIUM_DARK_SKIN_TONE,
        'teacher: dark skin tone' => Emoji::TEACHER_DARK_SKIN_TONE,
        'man teacher' => Emoji::MAN_TEACHER,
        'man teacher: light skin tone' => Emoji::MAN_TEACHER_LIGHT_SKIN_TONE,
        'man teacher: medium-light skin tone' => Emoji::MAN_TEACHER_MEDIUM_LIGHT_SKIN_TONE,
        'man teacher: medium skin tone' => Emoji::MAN_TEACHER_MEDIUM_SKIN_TONE,
        'man teacher: medium-dark skin tone' => Emoji::MAN_TEACHER_MEDIUM_DARK_SKIN_TONE,
        'man teacher: dark skin tone' => Emoji::MAN_TEACHER_DARK_SKIN_TONE,
        'woman teacher' => Emoji::WOMAN_TEACHER,
        'woman teacher: light skin tone' => Emoji::WOMAN_TEACHER_LIGHT_SKIN_TONE,
        'woman teacher: medium-light skin tone' => Emoji::WOMAN_TEACHER_MEDIUM_LIGHT_SKIN_TONE,
        'woman teacher: medium skin tone' => Emoji::WOMAN_TEACHER_MEDIUM_SKIN_TONE,
        'woman teacher: medium-dark skin tone' => Emoji::WOMAN_TEACHER_MEDIUM_DARK_SKIN_TONE,
        'woman teacher: dark skin tone' => Emoji::WOMAN_TEACHER_DARK_SKIN_TONE,
        'judge' => Emoji::JUDGE,
        'judge: light skin tone' => Emoji::JUDGE_LIGHT_SKIN_TONE,
        'judge: medium-light skin tone' => Emoji::JUDGE_MEDIUM_LIGHT_SKIN_TONE,
        'judge: medium skin tone' => Emoji::JUDGE_MEDIUM_SKIN_TONE,
        'judge: medium-dark skin tone' => Emoji::JUDGE_MEDIUM_DARK_SKIN_TONE,
        'judge: dark skin tone' => Emoji::JUDGE_DARK_SKIN_TONE,
        'man judge' => Emoji::MAN_JUDGE,
        'man judge: light skin tone' => Emoji::MAN_JUDGE_LIGHT_SKIN_TONE,
        'man judge: medium-light skin tone' => Emoji::MAN_JUDGE_MEDIUM_LIGHT_SKIN_TONE,
        'man judge: medium skin tone' => Emoji::MAN_JUDGE_MEDIUM_SKIN_TONE,
        'man judge: medium-dark skin tone' => Emoji::MAN_JUDGE_MEDIUM_DARK_SKIN_TONE,
        'man judge: dark skin tone' => Emoji::MAN_JUDGE_DARK_SKIN_TONE,
        'woman judge' => Emoji::WOMAN_JUDGE,
        'woman judge: light skin tone' => Emoji::WOMAN_JUDGE_LIGHT_SKIN_TONE,
        'woman judge: medium-light skin tone' => Emoji::WOMAN_JUDGE_MEDIUM_LIGHT_SKIN_TONE,
        'woman judge: medium skin tone' => Emoji::WOMAN_JUDGE_MEDIUM_SKIN_TONE,
        'woman judge: medium-dark skin tone' => Emoji::WOMAN_JUDGE_MEDIUM_DARK_SKIN_TONE,
        'woman judge: dark skin tone' => Emoji::WOMAN_JUDGE_DARK_SKIN_TONE,
        'farmer' => Emoji::FARMER,
        'farmer: light skin tone' => Emoji::FARMER_LIGHT_SKIN_TONE,
        'farmer: medium-light skin tone' => Emoji::FARMER_MEDIUM_LIGHT_SKIN_TONE,
        'farmer: medium skin tone' => Emoji::FARMER_MEDIUM_SKIN_TONE,
        'farmer: medium-dark skin tone' => Emoji::FARMER_MEDIUM_DARK_SKIN_TONE,
        'farmer: dark skin tone' => Emoji::FARMER_DARK_SKIN_TONE,
        'man farmer' => Emoji::MAN_FARMER,
        'man farmer: light skin tone' => Emoji::MAN_FARMER_LIGHT_SKIN_TONE,
        'man farmer: medium-light skin tone' => Emoji::MAN_FARMER_MEDIUM_LIGHT_SKIN_TONE,
        'man farmer: medium skin tone' => Emoji::MAN_FARMER_MEDIUM_SKIN_TONE,
        'man farmer: medium-dark skin tone' => Emoji::MAN_FARMER_MEDIUM_DARK_SKIN_TONE,
        'man farmer: dark skin tone' => Emoji::MAN_FARMER_DARK_SKIN_TONE,
        'woman farmer' => Emoji::WOMAN_FARMER,
        'woman farmer: light skin tone' => Emoji::WOMAN_FARMER_LIGHT_SKIN_TONE,
        'woman farmer: medium-light skin tone' => Emoji::WOMAN_FARMER_MEDIUM_LIGHT_SKIN_TONE,
        'woman farmer: medium skin tone' => Emoji::WOMAN_FARMER_MEDIUM_SKIN_TONE,
        'woman farmer: medium-dark skin tone' => Emoji::WOMAN_FARMER_MEDIUM_DARK_SKIN_TONE,
        'woman farmer: dark skin tone' => Emoji::WOMAN_FARMER_DARK_SKIN_TONE,
        'cook' => Emoji::COOK,
        'cook: light skin tone' => Emoji::COOK_LIGHT_SKIN_TONE,
        'cook: medium-light skin tone' => Emoji::COOK_MEDIUM_LIGHT_SKIN_TONE,
        'cook: medium skin tone' => Emoji::COOK_MEDIUM_SKIN_TONE,
        'cook: medium-dark skin tone' => Emoji::COOK_MEDIUM_DARK_SKIN_TONE,
        'cook: dark skin tone' => Emoji::COOK_DARK_SKIN_TONE,
        'man cook' => Emoji::MAN_COOK,
        'man cook: light skin tone' => Emoji::MAN_COOK_LIGHT_SKIN_TONE,
        'man cook: medium-light skin tone' => Emoji::MAN_COOK_MEDIUM_LIGHT_SKIN_TONE,
        'man cook: medium skin tone' => Emoji::MAN_COOK_MEDIUM_SKIN_TONE,
        'man cook: medium-dark skin tone' => Emoji::MAN_COOK_MEDIUM_DARK_SKIN_TONE,
        'man cook: dark skin tone' => Emoji::MAN_COOK_DARK_SKIN_TONE,
        'woman cook' => Emoji::WOMAN_COOK,
        'woman cook: light skin tone' => Emoji::WOMAN_COOK_LIGHT_SKIN_TONE,
        'woman cook: medium-light skin tone' => Emoji::WOMAN_COOK_MEDIUM_LIGHT_SKIN_TONE,
        'woman cook: medium skin tone' => Emoji::WOMAN_COOK_MEDIUM_SKIN_TONE,
        'woman cook: medium-dark skin tone' => Emoji::WOMAN_COOK_MEDIUM_DARK_SKIN_TONE,
        'woman cook: dark skin tone' => Emoji::WOMAN_COOK_DARK_SKIN_TONE,
        'mechanic' => Emoji::MECHANIC,
        'mechanic: light skin tone' => Emoji::MECHANIC_LIGHT_SKIN_TONE,
        'mechanic: medium-light skin tone' => Emoji::MECHANIC_MEDIUM_LIGHT_SKIN_TONE,
        'mechanic: medium skin tone' => Emoji::MECHANIC_MEDIUM_SKIN_TONE,
        'mechanic: medium-dark skin tone' => Emoji::MECHANIC_MEDIUM_DARK_SKIN_TONE,
        'mechanic: dark skin tone' => Emoji::MECHANIC_DARK_SKIN_TONE,
        'man mechanic' => Emoji::MAN_MECHANIC,
        'man mechanic: light skin tone' => Emoji::MAN_MECHANIC_LIGHT_SKIN_TONE,
        'man mechanic: medium-light skin tone' => Emoji::MAN_MECHANIC_MEDIUM_LIGHT_SKIN_TONE,
        'man mechanic: medium skin tone' => Emoji::MAN_MECHANIC_MEDIUM_SKIN_TONE,
        'man mechanic: medium-dark skin tone' => Emoji::MAN_MECHANIC_MEDIUM_DARK_SKIN_TONE,
        'man mechanic: dark skin tone' => Emoji::MAN_MECHANIC_DARK_SKIN_TONE,
        'woman mechanic' => Emoji::WOMAN_MECHANIC,
        'woman mechanic: light skin tone' => Emoji::WOMAN_MECHANIC_LIGHT_SKIN_TONE,
        'woman mechanic: medium-light skin tone' => Emoji::WOMAN_MECHANIC_MEDIUM_LIGHT_SKIN_TONE,
        'woman mechanic: medium skin tone' => Emoji::WOMAN_MECHANIC_MEDIUM_SKIN_TONE,
        'woman mechanic: medium-dark skin tone' => Emoji::WOMAN_MECHANIC_MEDIUM_DARK_SKIN_TONE,
        'woman mechanic: dark skin tone' => Emoji::WOMAN_MECHANIC_DARK_SKIN_TONE,
        'factory worker' => Emoji::FACTORY_WORKER,
        'factory worker: light skin tone' => Emoji::FACTORY_WORKER_LIGHT_SKIN_TONE,
        'factory worker: medium-light skin tone' => Emoji::FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'factory worker: medium skin tone' => Emoji::FACTORY_WORKER_MEDIUM_SKIN_TONE,
        'factory worker: medium-dark skin tone' => Emoji::FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE,
        'factory worker: dark skin tone' => Emoji::FACTORY_WORKER_DARK_SKIN_TONE,
        'man factory worker' => Emoji::MAN_FACTORY_WORKER,
        'man factory worker: light skin tone' => Emoji::MAN_FACTORY_WORKER_LIGHT_SKIN_TONE,
        'man factory worker: medium-light skin tone' => Emoji::MAN_FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'man factory worker: medium skin tone' => Emoji::MAN_FACTORY_WORKER_MEDIUM_SKIN_TONE,
        'man factory worker: medium-dark skin tone' => Emoji::MAN_FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE,
        'man factory worker: dark skin tone' => Emoji::MAN_FACTORY_WORKER_DARK_SKIN_TONE,
        'woman factory worker' => Emoji::WOMAN_FACTORY_WORKER,
        'woman factory worker: light skin tone' => Emoji::WOMAN_FACTORY_WORKER_LIGHT_SKIN_TONE,
        'woman factory worker: medium-light skin tone' => Emoji::WOMAN_FACTORY_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'woman factory worker: medium skin tone' => Emoji::WOMAN_FACTORY_WORKER_MEDIUM_SKIN_TONE,
        'woman factory worker: medium-dark skin tone' => Emoji::WOMAN_FACTORY_WORKER_MEDIUM_DARK_SKIN_TONE,
        'woman factory worker: dark skin tone' => Emoji::WOMAN_FACTORY_WORKER_DARK_SKIN_TONE,
        'office worker' => Emoji::OFFICE_WORKER,
        'office worker: light skin tone' => Emoji::OFFICE_WORKER_LIGHT_SKIN_TONE,
        'office worker: medium-light skin tone' => Emoji::OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'office worker: medium skin tone' => Emoji::OFFICE_WORKER_MEDIUM_SKIN_TONE,
        'office worker: medium-dark skin tone' => Emoji::OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE,
        'office worker: dark skin tone' => Emoji::OFFICE_WORKER_DARK_SKIN_TONE,
        'man office worker' => Emoji::MAN_OFFICE_WORKER,
        'man office worker: light skin tone' => Emoji::MAN_OFFICE_WORKER_LIGHT_SKIN_TONE,
        'man office worker: medium-light skin tone' => Emoji::MAN_OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'man office worker: medium skin tone' => Emoji::MAN_OFFICE_WORKER_MEDIUM_SKIN_TONE,
        'man office worker: medium-dark skin tone' => Emoji::MAN_OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE,
        'man office worker: dark skin tone' => Emoji::MAN_OFFICE_WORKER_DARK_SKIN_TONE,
        'woman office worker' => Emoji::WOMAN_OFFICE_WORKER,
        'woman office worker: light skin tone' => Emoji::WOMAN_OFFICE_WORKER_LIGHT_SKIN_TONE,
        'woman office worker: medium-light skin tone' => Emoji::WOMAN_OFFICE_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'woman office worker: medium skin tone' => Emoji::WOMAN_OFFICE_WORKER_MEDIUM_SKIN_TONE,
        'woman office worker: medium-dark skin tone' => Emoji::WOMAN_OFFICE_WORKER_MEDIUM_DARK_SKIN_TONE,
        'woman office worker: dark skin tone' => Emoji::WOMAN_OFFICE_WORKER_DARK_SKIN_TONE,
        'scientist' => Emoji::SCIENTIST,
        'scientist: light skin tone' => Emoji::SCIENTIST_LIGHT_SKIN_TONE,
        'scientist: medium-light skin tone' => Emoji::SCIENTIST_MEDIUM_LIGHT_SKIN_TONE,
        'scientist: medium skin tone' => Emoji::SCIENTIST_MEDIUM_SKIN_TONE,
        'scientist: medium-dark skin tone' => Emoji::SCIENTIST_MEDIUM_DARK_SKIN_TONE,
        'scientist: dark skin tone' => Emoji::SCIENTIST_DARK_SKIN_TONE,
        'man scientist' => Emoji::MAN_SCIENTIST,
        'man scientist: light skin tone' => Emoji::MAN_SCIENTIST_LIGHT_SKIN_TONE,
        'man scientist: medium-light skin tone' => Emoji::MAN_SCIENTIST_MEDIUM_LIGHT_SKIN_TONE,
        'man scientist: medium skin tone' => Emoji::MAN_SCIENTIST_MEDIUM_SKIN_TONE,
        'man scientist: medium-dark skin tone' => Emoji::MAN_SCIENTIST_MEDIUM_DARK_SKIN_TONE,
        'man scientist: dark skin tone' => Emoji::MAN_SCIENTIST_DARK_SKIN_TONE,
        'woman scientist' => Emoji::WOMAN_SCIENTIST,
        'woman scientist: light skin tone' => Emoji::WOMAN_SCIENTIST_LIGHT_SKIN_TONE,
        'woman scientist: medium-light skin tone' => Emoji::WOMAN_SCIENTIST_MEDIUM_LIGHT_SKIN_TONE,
        'woman scientist: medium skin tone' => Emoji::WOMAN_SCIENTIST_MEDIUM_SKIN_TONE,
        'woman scientist: medium-dark skin tone' => Emoji::WOMAN_SCIENTIST_MEDIUM_DARK_SKIN_TONE,
        'woman scientist: dark skin tone' => Emoji::WOMAN_SCIENTIST_DARK_SKIN_TONE,
        'technologist' => Emoji::TECHNOLOGIST,
        'technologist: light skin tone' => Emoji::TECHNOLOGIST_LIGHT_SKIN_TONE,
        'technologist: medium-light skin tone' => Emoji::TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE,
        'technologist: medium skin tone' => Emoji::TECHNOLOGIST_MEDIUM_SKIN_TONE,
        'technologist: medium-dark skin tone' => Emoji::TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE,
        'technologist: dark skin tone' => Emoji::TECHNOLOGIST_DARK_SKIN_TONE,
        'man technologist' => Emoji::MAN_TECHNOLOGIST,
        'man technologist: light skin tone' => Emoji::MAN_TECHNOLOGIST_LIGHT_SKIN_TONE,
        'man technologist: medium-light skin tone' => Emoji::MAN_TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE,
        'man technologist: medium skin tone' => Emoji::MAN_TECHNOLOGIST_MEDIUM_SKIN_TONE,
        'man technologist: medium-dark skin tone' => Emoji::MAN_TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE,
        'man technologist: dark skin tone' => Emoji::MAN_TECHNOLOGIST_DARK_SKIN_TONE,
        'woman technologist' => Emoji::WOMAN_TECHNOLOGIST,
        'woman technologist: light skin tone' => Emoji::WOMAN_TECHNOLOGIST_LIGHT_SKIN_TONE,
        'woman technologist: medium-light skin tone' => Emoji::WOMAN_TECHNOLOGIST_MEDIUM_LIGHT_SKIN_TONE,
        'woman technologist: medium skin tone' => Emoji::WOMAN_TECHNOLOGIST_MEDIUM_SKIN_TONE,
        'woman technologist: medium-dark skin tone' => Emoji::WOMAN_TECHNOLOGIST_MEDIUM_DARK_SKIN_TONE,
        'woman technologist: dark skin tone' => Emoji::WOMAN_TECHNOLOGIST_DARK_SKIN_TONE,
        'singer' => Emoji::SINGER,
        'singer: light skin tone' => Emoji::SINGER_LIGHT_SKIN_TONE,
        'singer: medium-light skin tone' => Emoji::SINGER_MEDIUM_LIGHT_SKIN_TONE,
        'singer: medium skin tone' => Emoji::SINGER_MEDIUM_SKIN_TONE,
        'singer: medium-dark skin tone' => Emoji::SINGER_MEDIUM_DARK_SKIN_TONE,
        'singer: dark skin tone' => Emoji::SINGER_DARK_SKIN_TONE,
        'man singer' => Emoji::MAN_SINGER,
        'man singer: light skin tone' => Emoji::MAN_SINGER_LIGHT_SKIN_TONE,
        'man singer: medium-light skin tone' => Emoji::MAN_SINGER_MEDIUM_LIGHT_SKIN_TONE,
        'man singer: medium skin tone' => Emoji::MAN_SINGER_MEDIUM_SKIN_TONE,
        'man singer: medium-dark skin tone' => Emoji::MAN_SINGER_MEDIUM_DARK_SKIN_TONE,
        'man singer: dark skin tone' => Emoji::MAN_SINGER_DARK_SKIN_TONE,
        'woman singer' => Emoji::WOMAN_SINGER,
        'woman singer: light skin tone' => Emoji::WOMAN_SINGER_LIGHT_SKIN_TONE,
        'woman singer: medium-light skin tone' => Emoji::WOMAN_SINGER_MEDIUM_LIGHT_SKIN_TONE,
        'woman singer: medium skin tone' => Emoji::WOMAN_SINGER_MEDIUM_SKIN_TONE,
        'woman singer: medium-dark skin tone' => Emoji::WOMAN_SINGER_MEDIUM_DARK_SKIN_TONE,
        'woman singer: dark skin tone' => Emoji::WOMAN_SINGER_DARK_SKIN_TONE,
        'artist' => Emoji::ARTIST,
        'artist: light skin tone' => Emoji::ARTIST_LIGHT_SKIN_TONE,
        'artist: medium-light skin tone' => Emoji::ARTIST_MEDIUM_LIGHT_SKIN_TONE,
        'artist: medium skin tone' => Emoji::ARTIST_MEDIUM_SKIN_TONE,
        'artist: medium-dark skin tone' => Emoji::ARTIST_MEDIUM_DARK_SKIN_TONE,
        'artist: dark skin tone' => Emoji::ARTIST_DARK_SKIN_TONE,
        'man artist' => Emoji::MAN_ARTIST,
        'man artist: light skin tone' => Emoji::MAN_ARTIST_LIGHT_SKIN_TONE,
        'man artist: medium-light skin tone' => Emoji::MAN_ARTIST_MEDIUM_LIGHT_SKIN_TONE,
        'man artist: medium skin tone' => Emoji::MAN_ARTIST_MEDIUM_SKIN_TONE,
        'man artist: medium-dark skin tone' => Emoji::MAN_ARTIST_MEDIUM_DARK_SKIN_TONE,
        'man artist: dark skin tone' => Emoji::MAN_ARTIST_DARK_SKIN_TONE,
        'woman artist' => Emoji::WOMAN_ARTIST,
        'woman artist: light skin tone' => Emoji::WOMAN_ARTIST_LIGHT_SKIN_TONE,
        'woman artist: medium-light skin tone' => Emoji::WOMAN_ARTIST_MEDIUM_LIGHT_SKIN_TONE,
        'woman artist: medium skin tone' => Emoji::WOMAN_ARTIST_MEDIUM_SKIN_TONE,
        'woman artist: medium-dark skin tone' => Emoji::WOMAN_ARTIST_MEDIUM_DARK_SKIN_TONE,
        'woman artist: dark skin tone' => Emoji::WOMAN_ARTIST_DARK_SKIN_TONE,
        'pilot' => Emoji::PILOT,
        'pilot: light skin tone' => Emoji::PILOT_LIGHT_SKIN_TONE,
        'pilot: medium-light skin tone' => Emoji::PILOT_MEDIUM_LIGHT_SKIN_TONE,
        'pilot: medium skin tone' => Emoji::PILOT_MEDIUM_SKIN_TONE,
        'pilot: medium-dark skin tone' => Emoji::PILOT_MEDIUM_DARK_SKIN_TONE,
        'pilot: dark skin tone' => Emoji::PILOT_DARK_SKIN_TONE,
        'man pilot' => Emoji::MAN_PILOT,
        'man pilot: light skin tone' => Emoji::MAN_PILOT_LIGHT_SKIN_TONE,
        'man pilot: medium-light skin tone' => Emoji::MAN_PILOT_MEDIUM_LIGHT_SKIN_TONE,
        'man pilot: medium skin tone' => Emoji::MAN_PILOT_MEDIUM_SKIN_TONE,
        'man pilot: medium-dark skin tone' => Emoji::MAN_PILOT_MEDIUM_DARK_SKIN_TONE,
        'man pilot: dark skin tone' => Emoji::MAN_PILOT_DARK_SKIN_TONE,
        'woman pilot' => Emoji::WOMAN_PILOT,
        'woman pilot: light skin tone' => Emoji::WOMAN_PILOT_LIGHT_SKIN_TONE,
        'woman pilot: medium-light skin tone' => Emoji::WOMAN_PILOT_MEDIUM_LIGHT_SKIN_TONE,
        'woman pilot: medium skin tone' => Emoji::WOMAN_PILOT_MEDIUM_SKIN_TONE,
        'woman pilot: medium-dark skin tone' => Emoji::WOMAN_PILOT_MEDIUM_DARK_SKIN_TONE,
        'woman pilot: dark skin tone' => Emoji::WOMAN_PILOT_DARK_SKIN_TONE,
        'astronaut' => Emoji::ASTRONAUT,
        'astronaut: light skin tone' => Emoji::ASTRONAUT_LIGHT_SKIN_TONE,
        'astronaut: medium-light skin tone' => Emoji::ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE,
        'astronaut: medium skin tone' => Emoji::ASTRONAUT_MEDIUM_SKIN_TONE,
        'astronaut: medium-dark skin tone' => Emoji::ASTRONAUT_MEDIUM_DARK_SKIN_TONE,
        'astronaut: dark skin tone' => Emoji::ASTRONAUT_DARK_SKIN_TONE,
        'man astronaut' => Emoji::MAN_ASTRONAUT,
        'man astronaut: light skin tone' => Emoji::MAN_ASTRONAUT_LIGHT_SKIN_TONE,
        'man astronaut: medium-light skin tone' => Emoji::MAN_ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE,
        'man astronaut: medium skin tone' => Emoji::MAN_ASTRONAUT_MEDIUM_SKIN_TONE,
        'man astronaut: medium-dark skin tone' => Emoji::MAN_ASTRONAUT_MEDIUM_DARK_SKIN_TONE,
        'man astronaut: dark skin tone' => Emoji::MAN_ASTRONAUT_DARK_SKIN_TONE,
        'woman astronaut' => Emoji::WOMAN_ASTRONAUT,
        'woman astronaut: light skin tone' => Emoji::WOMAN_ASTRONAUT_LIGHT_SKIN_TONE,
        'woman astronaut: medium-light skin tone' => Emoji::WOMAN_ASTRONAUT_MEDIUM_LIGHT_SKIN_TONE,
        'woman astronaut: medium skin tone' => Emoji::WOMAN_ASTRONAUT_MEDIUM_SKIN_TONE,
        'woman astronaut: medium-dark skin tone' => Emoji::WOMAN_ASTRONAUT_MEDIUM_DARK_SKIN_TONE,
        'woman astronaut: dark skin tone' => Emoji::WOMAN_ASTRONAUT_DARK_SKIN_TONE,
        'firefighter' => Emoji::FIREFIGHTER,
        'firefighter: light skin tone' => Emoji::FIREFIGHTER_LIGHT_SKIN_TONE,
        'firefighter: medium-light skin tone' => Emoji::FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE,
        'firefighter: medium skin tone' => Emoji::FIREFIGHTER_MEDIUM_SKIN_TONE,
        'firefighter: medium-dark skin tone' => Emoji::FIREFIGHTER_MEDIUM_DARK_SKIN_TONE,
        'firefighter: dark skin tone' => Emoji::FIREFIGHTER_DARK_SKIN_TONE,
        'man firefighter' => Emoji::MAN_FIREFIGHTER,
        'man firefighter: light skin tone' => Emoji::MAN_FIREFIGHTER_LIGHT_SKIN_TONE,
        'man firefighter: medium-light skin tone' => Emoji::MAN_FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE,
        'man firefighter: medium skin tone' => Emoji::MAN_FIREFIGHTER_MEDIUM_SKIN_TONE,
        'man firefighter: medium-dark skin tone' => Emoji::MAN_FIREFIGHTER_MEDIUM_DARK_SKIN_TONE,
        'man firefighter: dark skin tone' => Emoji::MAN_FIREFIGHTER_DARK_SKIN_TONE,
        'woman firefighter' => Emoji::WOMAN_FIREFIGHTER,
        'woman firefighter: light skin tone' => Emoji::WOMAN_FIREFIGHTER_LIGHT_SKIN_TONE,
        'woman firefighter: medium-light skin tone' => Emoji::WOMAN_FIREFIGHTER_MEDIUM_LIGHT_SKIN_TONE,
        'woman firefighter: medium skin tone' => Emoji::WOMAN_FIREFIGHTER_MEDIUM_SKIN_TONE,
        'woman firefighter: medium-dark skin tone' => Emoji::WOMAN_FIREFIGHTER_MEDIUM_DARK_SKIN_TONE,
        'woman firefighter: dark skin tone' => Emoji::WOMAN_FIREFIGHTER_DARK_SKIN_TONE,
        'police officer' => Emoji::POLICE_OFFICER,
        'police officer: light skin tone' => Emoji::POLICE_OFFICER_LIGHT_SKIN_TONE,
        'police officer: medium-light skin tone' => Emoji::POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE,
        'police officer: medium skin tone' => Emoji::POLICE_OFFICER_MEDIUM_SKIN_TONE,
        'police officer: medium-dark skin tone' => Emoji::POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE,
        'police officer: dark skin tone' => Emoji::POLICE_OFFICER_DARK_SKIN_TONE,
        'man police officer' => Emoji::MAN_POLICE_OFFICER,
        'man police officer: light skin tone' => Emoji::MAN_POLICE_OFFICER_LIGHT_SKIN_TONE,
        'man police officer: medium-light skin tone' => Emoji::MAN_POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE,
        'man police officer: medium skin tone' => Emoji::MAN_POLICE_OFFICER_MEDIUM_SKIN_TONE,
        'man police officer: medium-dark skin tone' => Emoji::MAN_POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE,
        'man police officer: dark skin tone' => Emoji::MAN_POLICE_OFFICER_DARK_SKIN_TONE,
        'woman police officer' => Emoji::WOMAN_POLICE_OFFICER,
        'woman police officer: light skin tone' => Emoji::WOMAN_POLICE_OFFICER_LIGHT_SKIN_TONE,
        'woman police officer: medium-light skin tone' => Emoji::WOMAN_POLICE_OFFICER_MEDIUM_LIGHT_SKIN_TONE,
        'woman police officer: medium skin tone' => Emoji::WOMAN_POLICE_OFFICER_MEDIUM_SKIN_TONE,
        'woman police officer: medium-dark skin tone' => Emoji::WOMAN_POLICE_OFFICER_MEDIUM_DARK_SKIN_TONE,
        'woman police officer: dark skin tone' => Emoji::WOMAN_POLICE_OFFICER_DARK_SKIN_TONE,
        'detective' => Emoji::DETECTIVE,
        'detective: light skin tone' => Emoji::DETECTIVE_LIGHT_SKIN_TONE,
        'detective: medium-light skin tone' => Emoji::DETECTIVE_MEDIUM_LIGHT_SKIN_TONE,
        'detective: medium skin tone' => Emoji::DETECTIVE_MEDIUM_SKIN_TONE,
        'detective: medium-dark skin tone' => Emoji::DETECTIVE_MEDIUM_DARK_SKIN_TONE,
        'detective: dark skin tone' => Emoji::DETECTIVE_DARK_SKIN_TONE,
        'man detective' => Emoji::MAN_DETECTIVE,
        'man detective: light skin tone' => Emoji::MAN_DETECTIVE_LIGHT_SKIN_TONE,
        'man detective: medium-light skin tone' => Emoji::MAN_DETECTIVE_MEDIUM_LIGHT_SKIN_TONE,
        'man detective: medium skin tone' => Emoji::MAN_DETECTIVE_MEDIUM_SKIN_TONE,
        'man detective: medium-dark skin tone' => Emoji::MAN_DETECTIVE_MEDIUM_DARK_SKIN_TONE,
        'man detective: dark skin tone' => Emoji::MAN_DETECTIVE_DARK_SKIN_TONE,
        'woman detective' => Emoji::WOMAN_DETECTIVE,
        'woman detective: light skin tone' => Emoji::WOMAN_DETECTIVE_LIGHT_SKIN_TONE,
        'woman detective: medium-light skin tone' => Emoji::WOMAN_DETECTIVE_MEDIUM_LIGHT_SKIN_TONE,
        'woman detective: medium skin tone' => Emoji::WOMAN_DETECTIVE_MEDIUM_SKIN_TONE,
        'woman detective: medium-dark skin tone' => Emoji::WOMAN_DETECTIVE_MEDIUM_DARK_SKIN_TONE,
        'woman detective: dark skin tone' => Emoji::WOMAN_DETECTIVE_DARK_SKIN_TONE,
        'guard' => Emoji::GUARD,
        'guard: light skin tone' => Emoji::GUARD_LIGHT_SKIN_TONE,
        'guard: medium-light skin tone' => Emoji::GUARD_MEDIUM_LIGHT_SKIN_TONE,
        'guard: medium skin tone' => Emoji::GUARD_MEDIUM_SKIN_TONE,
        'guard: medium-dark skin tone' => Emoji::GUARD_MEDIUM_DARK_SKIN_TONE,
        'guard: dark skin tone' => Emoji::GUARD_DARK_SKIN_TONE,
        'man guard' => Emoji::MAN_GUARD,
        'man guard: light skin tone' => Emoji::MAN_GUARD_LIGHT_SKIN_TONE,
        'man guard: medium-light skin tone' => Emoji::MAN_GUARD_MEDIUM_LIGHT_SKIN_TONE,
        'man guard: medium skin tone' => Emoji::MAN_GUARD_MEDIUM_SKIN_TONE,
        'man guard: medium-dark skin tone' => Emoji::MAN_GUARD_MEDIUM_DARK_SKIN_TONE,
        'man guard: dark skin tone' => Emoji::MAN_GUARD_DARK_SKIN_TONE,
        'woman guard' => Emoji::WOMAN_GUARD,
        'woman guard: light skin tone' => Emoji::WOMAN_GUARD_LIGHT_SKIN_TONE,
        'woman guard: medium-light skin tone' => Emoji::WOMAN_GUARD_MEDIUM_LIGHT_SKIN_TONE,
        'woman guard: medium skin tone' => Emoji::WOMAN_GUARD_MEDIUM_SKIN_TONE,
        'woman guard: medium-dark skin tone' => Emoji::WOMAN_GUARD_MEDIUM_DARK_SKIN_TONE,
        'woman guard: dark skin tone' => Emoji::WOMAN_GUARD_DARK_SKIN_TONE,
        'ninja' => Emoji::NINJA,
        'ninja: light skin tone' => Emoji::NINJA_LIGHT_SKIN_TONE,
        'ninja: medium-light skin tone' => Emoji::NINJA_MEDIUM_LIGHT_SKIN_TONE,
        'ninja: medium skin tone' => Emoji::NINJA_MEDIUM_SKIN_TONE,
        'ninja: medium-dark skin tone' => Emoji::NINJA_MEDIUM_DARK_SKIN_TONE,
        'ninja: dark skin tone' => Emoji::NINJA_DARK_SKIN_TONE,
        'construction worker' => Emoji::CONSTRUCTION_WORKER,
        'construction worker: light skin tone' => Emoji::CONSTRUCTION_WORKER_LIGHT_SKIN_TONE,
        'construction worker: medium-light skin tone' => Emoji::CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'construction worker: medium skin tone' => Emoji::CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE,
        'construction worker: medium-dark skin tone' => Emoji::CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE,
        'construction worker: dark skin tone' => Emoji::CONSTRUCTION_WORKER_DARK_SKIN_TONE,
        'man construction worker' => Emoji::MAN_CONSTRUCTION_WORKER,
        'man construction worker: light skin tone' => Emoji::MAN_CONSTRUCTION_WORKER_LIGHT_SKIN_TONE,
        'man construction worker: medium-light skin tone' => Emoji::MAN_CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'man construction worker: medium skin tone' => Emoji::MAN_CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE,
        'man construction worker: medium-dark skin tone' => Emoji::MAN_CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE,
        'man construction worker: dark skin tone' => Emoji::MAN_CONSTRUCTION_WORKER_DARK_SKIN_TONE,
        'woman construction worker' => Emoji::WOMAN_CONSTRUCTION_WORKER,
        'woman construction worker: light skin tone' => Emoji::WOMAN_CONSTRUCTION_WORKER_LIGHT_SKIN_TONE,
        'woman construction worker: medium-light skin tone' => Emoji::WOMAN_CONSTRUCTION_WORKER_MEDIUM_LIGHT_SKIN_TONE,
        'woman construction worker: medium skin tone' => Emoji::WOMAN_CONSTRUCTION_WORKER_MEDIUM_SKIN_TONE,
        'woman construction worker: medium-dark skin tone' => Emoji::WOMAN_CONSTRUCTION_WORKER_MEDIUM_DARK_SKIN_TONE,
        'woman construction worker: dark skin tone' => Emoji::WOMAN_CONSTRUCTION_WORKER_DARK_SKIN_TONE,
        'prince' => Emoji::PRINCE,
        'prince: light skin tone' => Emoji::PRINCE_LIGHT_SKIN_TONE,
        'prince: medium-light skin tone' => Emoji::PRINCE_MEDIUM_LIGHT_SKIN_TONE,
        'prince: medium skin tone' => Emoji::PRINCE_MEDIUM_SKIN_TONE,
        'prince: medium-dark skin tone' => Emoji::PRINCE_MEDIUM_DARK_SKIN_TONE,
        'prince: dark skin tone' => Emoji::PRINCE_DARK_SKIN_TONE,
        'princess' => Emoji::PRINCESS,
        'princess: light skin tone' => Emoji::PRINCESS_LIGHT_SKIN_TONE,
        'princess: medium-light skin tone' => Emoji::PRINCESS_MEDIUM_LIGHT_SKIN_TONE,
        'princess: medium skin tone' => Emoji::PRINCESS_MEDIUM_SKIN_TONE,
        'princess: medium-dark skin tone' => Emoji::PRINCESS_MEDIUM_DARK_SKIN_TONE,
        'princess: dark skin tone' => Emoji::PRINCESS_DARK_SKIN_TONE,
        'person wearing turban' => Emoji::PERSON_WEARING_TURBAN,
        'person wearing turban: light skin tone' => Emoji::PERSON_WEARING_TURBAN_LIGHT_SKIN_TONE,
        'person wearing turban: medium-light skin tone' => Emoji::PERSON_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE,
        'person wearing turban: medium skin tone' => Emoji::PERSON_WEARING_TURBAN_MEDIUM_SKIN_TONE,
        'person wearing turban: medium-dark skin tone' => Emoji::PERSON_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE,
        'person wearing turban: dark skin tone' => Emoji::PERSON_WEARING_TURBAN_DARK_SKIN_TONE,
        'man wearing turban' => Emoji::MAN_WEARING_TURBAN,
        'man wearing turban: light skin tone' => Emoji::MAN_WEARING_TURBAN_LIGHT_SKIN_TONE,
        'man wearing turban: medium-light skin tone' => Emoji::MAN_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE,
        'man wearing turban: medium skin tone' => Emoji::MAN_WEARING_TURBAN_MEDIUM_SKIN_TONE,
        'man wearing turban: medium-dark skin tone' => Emoji::MAN_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE,
        'man wearing turban: dark skin tone' => Emoji::MAN_WEARING_TURBAN_DARK_SKIN_TONE,
        'woman wearing turban' => Emoji::WOMAN_WEARING_TURBAN,
        'woman wearing turban: light skin tone' => Emoji::WOMAN_WEARING_TURBAN_LIGHT_SKIN_TONE,
        'woman wearing turban: medium-light skin tone' => Emoji::WOMAN_WEARING_TURBAN_MEDIUM_LIGHT_SKIN_TONE,
        'woman wearing turban: medium skin tone' => Emoji::WOMAN_WEARING_TURBAN_MEDIUM_SKIN_TONE,
        'woman wearing turban: medium-dark skin tone' => Emoji::WOMAN_WEARING_TURBAN_MEDIUM_DARK_SKIN_TONE,
        'woman wearing turban: dark skin tone' => Emoji::WOMAN_WEARING_TURBAN_DARK_SKIN_TONE,
        'person with skullcap' => Emoji::PERSON_WITH_SKULLCAP,
        'person with skullcap: light skin tone' => Emoji::PERSON_WITH_SKULLCAP_LIGHT_SKIN_TONE,
        'person with skullcap: medium-light skin tone' => Emoji::PERSON_WITH_SKULLCAP_MEDIUM_LIGHT_SKIN_TONE,
        'person with skullcap: medium skin tone' => Emoji::PERSON_WITH_SKULLCAP_MEDIUM_SKIN_TONE,
        'person with skullcap: medium-dark skin tone' => Emoji::PERSON_WITH_SKULLCAP_MEDIUM_DARK_SKIN_TONE,
        'person with skullcap: dark skin tone' => Emoji::PERSON_WITH_SKULLCAP_DARK_SKIN_TONE,
        'woman with headscarf' => Emoji::WOMAN_WITH_HEADSCARF,
        'woman with headscarf: light skin tone' => Emoji::WOMAN_WITH_HEADSCARF_LIGHT_SKIN_TONE,
        'woman with headscarf: medium-light skin tone' => Emoji::WOMAN_WITH_HEADSCARF_MEDIUM_LIGHT_SKIN_TONE,
        'woman with headscarf: medium skin tone' => Emoji::WOMAN_WITH_HEADSCARF_MEDIUM_SKIN_TONE,
        'woman with headscarf: medium-dark skin tone' => Emoji::WOMAN_WITH_HEADSCARF_MEDIUM_DARK_SKIN_TONE,
        'woman with headscarf: dark skin tone' => Emoji::WOMAN_WITH_HEADSCARF_DARK_SKIN_TONE,
        'person in tuxedo' => Emoji::PERSON_IN_TUXEDO,
        'person in tuxedo: light skin tone' => Emoji::PERSON_IN_TUXEDO_LIGHT_SKIN_TONE,
        'person in tuxedo: medium-light skin tone' => Emoji::PERSON_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE,
        'person in tuxedo: medium skin tone' => Emoji::PERSON_IN_TUXEDO_MEDIUM_SKIN_TONE,
        'person in tuxedo: medium-dark skin tone' => Emoji::PERSON_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE,
        'person in tuxedo: dark skin tone' => Emoji::PERSON_IN_TUXEDO_DARK_SKIN_TONE,
        'man in tuxedo' => Emoji::MAN_IN_TUXEDO,
        'man in tuxedo: light skin tone' => Emoji::MAN_IN_TUXEDO_LIGHT_SKIN_TONE,
        'man in tuxedo: medium-light skin tone' => Emoji::MAN_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE,
        'man in tuxedo: medium skin tone' => Emoji::MAN_IN_TUXEDO_MEDIUM_SKIN_TONE,
        'man in tuxedo: medium-dark skin tone' => Emoji::MAN_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE,
        'man in tuxedo: dark skin tone' => Emoji::MAN_IN_TUXEDO_DARK_SKIN_TONE,
        'woman in tuxedo' => Emoji::WOMAN_IN_TUXEDO,
        'woman in tuxedo: light skin tone' => Emoji::WOMAN_IN_TUXEDO_LIGHT_SKIN_TONE,
        'woman in tuxedo: medium-light skin tone' => Emoji::WOMAN_IN_TUXEDO_MEDIUM_LIGHT_SKIN_TONE,
        'woman in tuxedo: medium skin tone' => Emoji::WOMAN_IN_TUXEDO_MEDIUM_SKIN_TONE,
        'woman in tuxedo: medium-dark skin tone' => Emoji::WOMAN_IN_TUXEDO_MEDIUM_DARK_SKIN_TONE,
        'woman in tuxedo: dark skin tone' => Emoji::WOMAN_IN_TUXEDO_DARK_SKIN_TONE,
        'person with veil' => Emoji::PERSON_WITH_VEIL,
        'person with veil: light skin tone' => Emoji::PERSON_WITH_VEIL_LIGHT_SKIN_TONE,
        'person with veil: medium-light skin tone' => Emoji::PERSON_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE,
        'person with veil: medium skin tone' => Emoji::PERSON_WITH_VEIL_MEDIUM_SKIN_TONE,
        'person with veil: medium-dark skin tone' => Emoji::PERSON_WITH_VEIL_MEDIUM_DARK_SKIN_TONE,
        'person with veil: dark skin tone' => Emoji::PERSON_WITH_VEIL_DARK_SKIN_TONE,
        'man with veil' => Emoji::MAN_WITH_VEIL,
        'man with veil: light skin tone' => Emoji::MAN_WITH_VEIL_LIGHT_SKIN_TONE,
        'man with veil: medium-light skin tone' => Emoji::MAN_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE,
        'man with veil: medium skin tone' => Emoji::MAN_WITH_VEIL_MEDIUM_SKIN_TONE,
        'man with veil: medium-dark skin tone' => Emoji::MAN_WITH_VEIL_MEDIUM_DARK_SKIN_TONE,
        'man with veil: dark skin tone' => Emoji::MAN_WITH_VEIL_DARK_SKIN_TONE,
        'woman with veil' => Emoji::WOMAN_WITH_VEIL,
        'woman with veil: light skin tone' => Emoji::WOMAN_WITH_VEIL_LIGHT_SKIN_TONE,
        'woman with veil: medium-light skin tone' => Emoji::WOMAN_WITH_VEIL_MEDIUM_LIGHT_SKIN_TONE,
        'woman with veil: medium skin tone' => Emoji::WOMAN_WITH_VEIL_MEDIUM_SKIN_TONE,
        'woman with veil: medium-dark skin tone' => Emoji::WOMAN_WITH_VEIL_MEDIUM_DARK_SKIN_TONE,
        'woman with veil: dark skin tone' => Emoji::WOMAN_WITH_VEIL_DARK_SKIN_TONE,
        'pregnant woman' => Emoji::PREGNANT_WOMAN,
        'pregnant woman: light skin tone' => Emoji::PREGNANT_WOMAN_LIGHT_SKIN_TONE,
        'pregnant woman: medium-light skin tone' => Emoji::PREGNANT_WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'pregnant woman: medium skin tone' => Emoji::PREGNANT_WOMAN_MEDIUM_SKIN_TONE,
        'pregnant woman: medium-dark skin tone' => Emoji::PREGNANT_WOMAN_MEDIUM_DARK_SKIN_TONE,
        'pregnant woman: dark skin tone' => Emoji::PREGNANT_WOMAN_DARK_SKIN_TONE,
        'breast-feeding' => Emoji::BREAST_FEEDING,
        'breast-feeding: light skin tone' => Emoji::BREAST_FEEDING_LIGHT_SKIN_TONE,
        'breast-feeding: medium-light skin tone' => Emoji::BREAST_FEEDING_MEDIUM_LIGHT_SKIN_TONE,
        'breast-feeding: medium skin tone' => Emoji::BREAST_FEEDING_MEDIUM_SKIN_TONE,
        'breast-feeding: medium-dark skin tone' => Emoji::BREAST_FEEDING_MEDIUM_DARK_SKIN_TONE,
        'breast-feeding: dark skin tone' => Emoji::BREAST_FEEDING_DARK_SKIN_TONE,
        'woman feeding baby' => Emoji::WOMAN_FEEDING_BABY,
        'woman feeding baby: light skin tone' => Emoji::WOMAN_FEEDING_BABY_LIGHT_SKIN_TONE,
        'woman feeding baby: medium-light skin tone' => Emoji::WOMAN_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE,
        'woman feeding baby: medium skin tone' => Emoji::WOMAN_FEEDING_BABY_MEDIUM_SKIN_TONE,
        'woman feeding baby: medium-dark skin tone' => Emoji::WOMAN_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE,
        'woman feeding baby: dark skin tone' => Emoji::WOMAN_FEEDING_BABY_DARK_SKIN_TONE,
        'man feeding baby' => Emoji::MAN_FEEDING_BABY,
        'man feeding baby: light skin tone' => Emoji::MAN_FEEDING_BABY_LIGHT_SKIN_TONE,
        'man feeding baby: medium-light skin tone' => Emoji::MAN_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE,
        'man feeding baby: medium skin tone' => Emoji::MAN_FEEDING_BABY_MEDIUM_SKIN_TONE,
        'man feeding baby: medium-dark skin tone' => Emoji::MAN_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE,
        'man feeding baby: dark skin tone' => Emoji::MAN_FEEDING_BABY_DARK_SKIN_TONE,
        'person feeding baby' => Emoji::PERSON_FEEDING_BABY,
        'person feeding baby: light skin tone' => Emoji::PERSON_FEEDING_BABY_LIGHT_SKIN_TONE,
        'person feeding baby: medium-light skin tone' => Emoji::PERSON_FEEDING_BABY_MEDIUM_LIGHT_SKIN_TONE,
        'person feeding baby: medium skin tone' => Emoji::PERSON_FEEDING_BABY_MEDIUM_SKIN_TONE,
        'person feeding baby: medium-dark skin tone' => Emoji::PERSON_FEEDING_BABY_MEDIUM_DARK_SKIN_TONE,
        'person feeding baby: dark skin tone' => Emoji::PERSON_FEEDING_BABY_DARK_SKIN_TONE,
        'baby angel' => Emoji::BABY_ANGEL,
        'baby angel: light skin tone' => Emoji::BABY_ANGEL_LIGHT_SKIN_TONE,
        'baby angel: medium-light skin tone' => Emoji::BABY_ANGEL_MEDIUM_LIGHT_SKIN_TONE,
        'baby angel: medium skin tone' => Emoji::BABY_ANGEL_MEDIUM_SKIN_TONE,
        'baby angel: medium-dark skin tone' => Emoji::BABY_ANGEL_MEDIUM_DARK_SKIN_TONE,
        'baby angel: dark skin tone' => Emoji::BABY_ANGEL_DARK_SKIN_TONE,
        'Santa Claus' => Emoji::SANTA_CLAUS,
        'Santa Claus: light skin tone' => Emoji::SANTA_CLAUS_LIGHT_SKIN_TONE,
        'Santa Claus: medium-light skin tone' => Emoji::SANTA_CLAUS_MEDIUM_LIGHT_SKIN_TONE,
        'Santa Claus: medium skin tone' => Emoji::SANTA_CLAUS_MEDIUM_SKIN_TONE,
        'Santa Claus: medium-dark skin tone' => Emoji::SANTA_CLAUS_MEDIUM_DARK_SKIN_TONE,
        'Santa Claus: dark skin tone' => Emoji::SANTA_CLAUS_DARK_SKIN_TONE,
        'Mrs. Claus' => Emoji::MRS_CLAUS,
        'Mrs. Claus: light skin tone' => Emoji::MRS_CLAUS_LIGHT_SKIN_TONE,
        'Mrs. Claus: medium-light skin tone' => Emoji::MRS_CLAUS_MEDIUM_LIGHT_SKIN_TONE,
        'Mrs. Claus: medium skin tone' => Emoji::MRS_CLAUS_MEDIUM_SKIN_TONE,
        'Mrs. Claus: medium-dark skin tone' => Emoji::MRS_CLAUS_MEDIUM_DARK_SKIN_TONE,
        'Mrs. Claus: dark skin tone' => Emoji::MRS_CLAUS_DARK_SKIN_TONE,
        'mx claus' => Emoji::MX_CLAUS,
        'mx claus: light skin tone' => Emoji::MX_CLAUS_LIGHT_SKIN_TONE,
        'mx claus: medium-light skin tone' => Emoji::MX_CLAUS_MEDIUM_LIGHT_SKIN_TONE,
        'mx claus: medium skin tone' => Emoji::MX_CLAUS_MEDIUM_SKIN_TONE,
        'mx claus: medium-dark skin tone' => Emoji::MX_CLAUS_MEDIUM_DARK_SKIN_TONE,
        'mx claus: dark skin tone' => Emoji::MX_CLAUS_DARK_SKIN_TONE,
        'superhero' => Emoji::SUPERHERO,
        'superhero: light skin tone' => Emoji::SUPERHERO_LIGHT_SKIN_TONE,
        'superhero: medium-light skin tone' => Emoji::SUPERHERO_MEDIUM_LIGHT_SKIN_TONE,
        'superhero: medium skin tone' => Emoji::SUPERHERO_MEDIUM_SKIN_TONE,
        'superhero: medium-dark skin tone' => Emoji::SUPERHERO_MEDIUM_DARK_SKIN_TONE,
        'superhero: dark skin tone' => Emoji::SUPERHERO_DARK_SKIN_TONE,
        'man superhero' => Emoji::MAN_SUPERHERO,
        'man superhero: light skin tone' => Emoji::MAN_SUPERHERO_LIGHT_SKIN_TONE,
        'man superhero: medium-light skin tone' => Emoji::MAN_SUPERHERO_MEDIUM_LIGHT_SKIN_TONE,
        'man superhero: medium skin tone' => Emoji::MAN_SUPERHERO_MEDIUM_SKIN_TONE,
        'man superhero: medium-dark skin tone' => Emoji::MAN_SUPERHERO_MEDIUM_DARK_SKIN_TONE,
        'man superhero: dark skin tone' => Emoji::MAN_SUPERHERO_DARK_SKIN_TONE,
        'woman superhero' => Emoji::WOMAN_SUPERHERO,
        'woman superhero: light skin tone' => Emoji::WOMAN_SUPERHERO_LIGHT_SKIN_TONE,
        'woman superhero: medium-light skin tone' => Emoji::WOMAN_SUPERHERO_MEDIUM_LIGHT_SKIN_TONE,
        'woman superhero: medium skin tone' => Emoji::WOMAN_SUPERHERO_MEDIUM_SKIN_TONE,
        'woman superhero: medium-dark skin tone' => Emoji::WOMAN_SUPERHERO_MEDIUM_DARK_SKIN_TONE,
        'woman superhero: dark skin tone' => Emoji::WOMAN_SUPERHERO_DARK_SKIN_TONE,
        'supervillain' => Emoji::SUPERVILLAIN,
        'supervillain: light skin tone' => Emoji::SUPERVILLAIN_LIGHT_SKIN_TONE,
        'supervillain: medium-light skin tone' => Emoji::SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE,
        'supervillain: medium skin tone' => Emoji::SUPERVILLAIN_MEDIUM_SKIN_TONE,
        'supervillain: medium-dark skin tone' => Emoji::SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE,
        'supervillain: dark skin tone' => Emoji::SUPERVILLAIN_DARK_SKIN_TONE,
        'man supervillain' => Emoji::MAN_SUPERVILLAIN,
        'man supervillain: light skin tone' => Emoji::MAN_SUPERVILLAIN_LIGHT_SKIN_TONE,
        'man supervillain: medium-light skin tone' => Emoji::MAN_SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE,
        'man supervillain: medium skin tone' => Emoji::MAN_SUPERVILLAIN_MEDIUM_SKIN_TONE,
        'man supervillain: medium-dark skin tone' => Emoji::MAN_SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE,
        'man supervillain: dark skin tone' => Emoji::MAN_SUPERVILLAIN_DARK_SKIN_TONE,
        'woman supervillain' => Emoji::WOMAN_SUPERVILLAIN,
        'woman supervillain: light skin tone' => Emoji::WOMAN_SUPERVILLAIN_LIGHT_SKIN_TONE,
        'woman supervillain: medium-light skin tone' => Emoji::WOMAN_SUPERVILLAIN_MEDIUM_LIGHT_SKIN_TONE,
        'woman supervillain: medium skin tone' => Emoji::WOMAN_SUPERVILLAIN_MEDIUM_SKIN_TONE,
        'woman supervillain: medium-dark skin tone' => Emoji::WOMAN_SUPERVILLAIN_MEDIUM_DARK_SKIN_TONE,
        'woman supervillain: dark skin tone' => Emoji::WOMAN_SUPERVILLAIN_DARK_SKIN_TONE,
        'mage' => Emoji::MAGE,
        'mage: light skin tone' => Emoji::MAGE_LIGHT_SKIN_TONE,
        'mage: medium-light skin tone' => Emoji::MAGE_MEDIUM_LIGHT_SKIN_TONE,
        'mage: medium skin tone' => Emoji::MAGE_MEDIUM_SKIN_TONE,
        'mage: medium-dark skin tone' => Emoji::MAGE_MEDIUM_DARK_SKIN_TONE,
        'mage: dark skin tone' => Emoji::MAGE_DARK_SKIN_TONE,
        'man mage' => Emoji::MAN_MAGE,
        'man mage: light skin tone' => Emoji::MAN_MAGE_LIGHT_SKIN_TONE,
        'man mage: medium-light skin tone' => Emoji::MAN_MAGE_MEDIUM_LIGHT_SKIN_TONE,
        'man mage: medium skin tone' => Emoji::MAN_MAGE_MEDIUM_SKIN_TONE,
        'man mage: medium-dark skin tone' => Emoji::MAN_MAGE_MEDIUM_DARK_SKIN_TONE,
        'man mage: dark skin tone' => Emoji::MAN_MAGE_DARK_SKIN_TONE,
        'woman mage' => Emoji::WOMAN_MAGE,
        'woman mage: light skin tone' => Emoji::WOMAN_MAGE_LIGHT_SKIN_TONE,
        'woman mage: medium-light skin tone' => Emoji::WOMAN_MAGE_MEDIUM_LIGHT_SKIN_TONE,
        'woman mage: medium skin tone' => Emoji::WOMAN_MAGE_MEDIUM_SKIN_TONE,
        'woman mage: medium-dark skin tone' => Emoji::WOMAN_MAGE_MEDIUM_DARK_SKIN_TONE,
        'woman mage: dark skin tone' => Emoji::WOMAN_MAGE_DARK_SKIN_TONE,
        'fairy' => Emoji::FAIRY,
        'fairy: light skin tone' => Emoji::FAIRY_LIGHT_SKIN_TONE,
        'fairy: medium-light skin tone' => Emoji::FAIRY_MEDIUM_LIGHT_SKIN_TONE,
        'fairy: medium skin tone' => Emoji::FAIRY_MEDIUM_SKIN_TONE,
        'fairy: medium-dark skin tone' => Emoji::FAIRY_MEDIUM_DARK_SKIN_TONE,
        'fairy: dark skin tone' => Emoji::FAIRY_DARK_SKIN_TONE,
        'man fairy' => Emoji::MAN_FAIRY,
        'man fairy: light skin tone' => Emoji::MAN_FAIRY_LIGHT_SKIN_TONE,
        'man fairy: medium-light skin tone' => Emoji::MAN_FAIRY_MEDIUM_LIGHT_SKIN_TONE,
        'man fairy: medium skin tone' => Emoji::MAN_FAIRY_MEDIUM_SKIN_TONE,
        'man fairy: medium-dark skin tone' => Emoji::MAN_FAIRY_MEDIUM_DARK_SKIN_TONE,
        'man fairy: dark skin tone' => Emoji::MAN_FAIRY_DARK_SKIN_TONE,
        'woman fairy' => Emoji::WOMAN_FAIRY,
        'woman fairy: light skin tone' => Emoji::WOMAN_FAIRY_LIGHT_SKIN_TONE,
        'woman fairy: medium-light skin tone' => Emoji::WOMAN_FAIRY_MEDIUM_LIGHT_SKIN_TONE,
        'woman fairy: medium skin tone' => Emoji::WOMAN_FAIRY_MEDIUM_SKIN_TONE,
        'woman fairy: medium-dark skin tone' => Emoji::WOMAN_FAIRY_MEDIUM_DARK_SKIN_TONE,
        'woman fairy: dark skin tone' => Emoji::WOMAN_FAIRY_DARK_SKIN_TONE,
        'vampire' => Emoji::VAMPIRE,
        'vampire: light skin tone' => Emoji::VAMPIRE_LIGHT_SKIN_TONE,
        'vampire: medium-light skin tone' => Emoji::VAMPIRE_MEDIUM_LIGHT_SKIN_TONE,
        'vampire: medium skin tone' => Emoji::VAMPIRE_MEDIUM_SKIN_TONE,
        'vampire: medium-dark skin tone' => Emoji::VAMPIRE_MEDIUM_DARK_SKIN_TONE,
        'vampire: dark skin tone' => Emoji::VAMPIRE_DARK_SKIN_TONE,
        'man vampire' => Emoji::MAN_VAMPIRE,
        'man vampire: light skin tone' => Emoji::MAN_VAMPIRE_LIGHT_SKIN_TONE,
        'man vampire: medium-light skin tone' => Emoji::MAN_VAMPIRE_MEDIUM_LIGHT_SKIN_TONE,
        'man vampire: medium skin tone' => Emoji::MAN_VAMPIRE_MEDIUM_SKIN_TONE,
        'man vampire: medium-dark skin tone' => Emoji::MAN_VAMPIRE_MEDIUM_DARK_SKIN_TONE,
        'man vampire: dark skin tone' => Emoji::MAN_VAMPIRE_DARK_SKIN_TONE,
        'woman vampire' => Emoji::WOMAN_VAMPIRE,
        'woman vampire: light skin tone' => Emoji::WOMAN_VAMPIRE_LIGHT_SKIN_TONE,
        'woman vampire: medium-light skin tone' => Emoji::WOMAN_VAMPIRE_MEDIUM_LIGHT_SKIN_TONE,
        'woman vampire: medium skin tone' => Emoji::WOMAN_VAMPIRE_MEDIUM_SKIN_TONE,
        'woman vampire: medium-dark skin tone' => Emoji::WOMAN_VAMPIRE_MEDIUM_DARK_SKIN_TONE,
        'woman vampire: dark skin tone' => Emoji::WOMAN_VAMPIRE_DARK_SKIN_TONE,
        'merperson' => Emoji::MERPERSON,
        'merperson: light skin tone' => Emoji::MERPERSON_LIGHT_SKIN_TONE,
        'merperson: medium-light skin tone' => Emoji::MERPERSON_MEDIUM_LIGHT_SKIN_TONE,
        'merperson: medium skin tone' => Emoji::MERPERSON_MEDIUM_SKIN_TONE,
        'merperson: medium-dark skin tone' => Emoji::MERPERSON_MEDIUM_DARK_SKIN_TONE,
        'merperson: dark skin tone' => Emoji::MERPERSON_DARK_SKIN_TONE,
        'merman' => Emoji::MERMAN,
        'merman: light skin tone' => Emoji::MERMAN_LIGHT_SKIN_TONE,
        'merman: medium-light skin tone' => Emoji::MERMAN_MEDIUM_LIGHT_SKIN_TONE,
        'merman: medium skin tone' => Emoji::MERMAN_MEDIUM_SKIN_TONE,
        'merman: medium-dark skin tone' => Emoji::MERMAN_MEDIUM_DARK_SKIN_TONE,
        'merman: dark skin tone' => Emoji::MERMAN_DARK_SKIN_TONE,
        'mermaid' => Emoji::MERMAID,
        'mermaid: light skin tone' => Emoji::MERMAID_LIGHT_SKIN_TONE,
        'mermaid: medium-light skin tone' => Emoji::MERMAID_MEDIUM_LIGHT_SKIN_TONE,
        'mermaid: medium skin tone' => Emoji::MERMAID_MEDIUM_SKIN_TONE,
        'mermaid: medium-dark skin tone' => Emoji::MERMAID_MEDIUM_DARK_SKIN_TONE,
        'mermaid: dark skin tone' => Emoji::MERMAID_DARK_SKIN_TONE,
        'elf' => Emoji::ELF,
        'elf: light skin tone' => Emoji::ELF_LIGHT_SKIN_TONE,
        'elf: medium-light skin tone' => Emoji::ELF_MEDIUM_LIGHT_SKIN_TONE,
        'elf: medium skin tone' => Emoji::ELF_MEDIUM_SKIN_TONE,
        'elf: medium-dark skin tone' => Emoji::ELF_MEDIUM_DARK_SKIN_TONE,
        'elf: dark skin tone' => Emoji::ELF_DARK_SKIN_TONE,
        'man elf' => Emoji::MAN_ELF,
        'man elf: light skin tone' => Emoji::MAN_ELF_LIGHT_SKIN_TONE,
        'man elf: medium-light skin tone' => Emoji::MAN_ELF_MEDIUM_LIGHT_SKIN_TONE,
        'man elf: medium skin tone' => Emoji::MAN_ELF_MEDIUM_SKIN_TONE,
        'man elf: medium-dark skin tone' => Emoji::MAN_ELF_MEDIUM_DARK_SKIN_TONE,
        'man elf: dark skin tone' => Emoji::MAN_ELF_DARK_SKIN_TONE,
        'woman elf' => Emoji::WOMAN_ELF,
        'woman elf: light skin tone' => Emoji::WOMAN_ELF_LIGHT_SKIN_TONE,
        'woman elf: medium-light skin tone' => Emoji::WOMAN_ELF_MEDIUM_LIGHT_SKIN_TONE,
        'woman elf: medium skin tone' => Emoji::WOMAN_ELF_MEDIUM_SKIN_TONE,
        'woman elf: medium-dark skin tone' => Emoji::WOMAN_ELF_MEDIUM_DARK_SKIN_TONE,
        'woman elf: dark skin tone' => Emoji::WOMAN_ELF_DARK_SKIN_TONE,
        'genie' => Emoji::GENIE,
        'man genie' => Emoji::MAN_GENIE,
        'woman genie' => Emoji::WOMAN_GENIE,
        'zombie' => Emoji::ZOMBIE,
        'man zombie' => Emoji::MAN_ZOMBIE,
        'woman zombie' => Emoji::WOMAN_ZOMBIE,
        'person getting massage' => Emoji::PERSON_GETTING_MASSAGE,
        'person getting massage: light skin tone' => Emoji::PERSON_GETTING_MASSAGE_LIGHT_SKIN_TONE,
        'person getting massage: medium-light skin tone' => Emoji::PERSON_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE,
        'person getting massage: medium skin tone' => Emoji::PERSON_GETTING_MASSAGE_MEDIUM_SKIN_TONE,
        'person getting massage: medium-dark skin tone' => Emoji::PERSON_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE,
        'person getting massage: dark skin tone' => Emoji::PERSON_GETTING_MASSAGE_DARK_SKIN_TONE,
        'man getting massage' => Emoji::MAN_GETTING_MASSAGE,
        'man getting massage: light skin tone' => Emoji::MAN_GETTING_MASSAGE_LIGHT_SKIN_TONE,
        'man getting massage: medium-light skin tone' => Emoji::MAN_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE,
        'man getting massage: medium skin tone' => Emoji::MAN_GETTING_MASSAGE_MEDIUM_SKIN_TONE,
        'man getting massage: medium-dark skin tone' => Emoji::MAN_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE,
        'man getting massage: dark skin tone' => Emoji::MAN_GETTING_MASSAGE_DARK_SKIN_TONE,
        'woman getting massage' => Emoji::WOMAN_GETTING_MASSAGE,
        'woman getting massage: light skin tone' => Emoji::WOMAN_GETTING_MASSAGE_LIGHT_SKIN_TONE,
        'woman getting massage: medium-light skin tone' => Emoji::WOMAN_GETTING_MASSAGE_MEDIUM_LIGHT_SKIN_TONE,
        'woman getting massage: medium skin tone' => Emoji::WOMAN_GETTING_MASSAGE_MEDIUM_SKIN_TONE,
        'woman getting massage: medium-dark skin tone' => Emoji::WOMAN_GETTING_MASSAGE_MEDIUM_DARK_SKIN_TONE,
        'woman getting massage: dark skin tone' => Emoji::WOMAN_GETTING_MASSAGE_DARK_SKIN_TONE,
        'person getting haircut' => Emoji::PERSON_GETTING_HAIRCUT,
        'person getting haircut: light skin tone' => Emoji::PERSON_GETTING_HAIRCUT_LIGHT_SKIN_TONE,
        'person getting haircut: medium-light skin tone' => Emoji::PERSON_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE,
        'person getting haircut: medium skin tone' => Emoji::PERSON_GETTING_HAIRCUT_MEDIUM_SKIN_TONE,
        'person getting haircut: medium-dark skin tone' => Emoji::PERSON_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE,
        'person getting haircut: dark skin tone' => Emoji::PERSON_GETTING_HAIRCUT_DARK_SKIN_TONE,
        'man getting haircut' => Emoji::MAN_GETTING_HAIRCUT,
        'man getting haircut: light skin tone' => Emoji::MAN_GETTING_HAIRCUT_LIGHT_SKIN_TONE,
        'man getting haircut: medium-light skin tone' => Emoji::MAN_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE,
        'man getting haircut: medium skin tone' => Emoji::MAN_GETTING_HAIRCUT_MEDIUM_SKIN_TONE,
        'man getting haircut: medium-dark skin tone' => Emoji::MAN_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE,
        'man getting haircut: dark skin tone' => Emoji::MAN_GETTING_HAIRCUT_DARK_SKIN_TONE,
        'woman getting haircut' => Emoji::WOMAN_GETTING_HAIRCUT,
        'woman getting haircut: light skin tone' => Emoji::WOMAN_GETTING_HAIRCUT_LIGHT_SKIN_TONE,
        'woman getting haircut: medium-light skin tone' => Emoji::WOMAN_GETTING_HAIRCUT_MEDIUM_LIGHT_SKIN_TONE,
        'woman getting haircut: medium skin tone' => Emoji::WOMAN_GETTING_HAIRCUT_MEDIUM_SKIN_TONE,
        'woman getting haircut: medium-dark skin tone' => Emoji::WOMAN_GETTING_HAIRCUT_MEDIUM_DARK_SKIN_TONE,
        'woman getting haircut: dark skin tone' => Emoji::WOMAN_GETTING_HAIRCUT_DARK_SKIN_TONE,
        'person walking' => Emoji::PERSON_WALKING,
        'person walking: light skin tone' => Emoji::PERSON_WALKING_LIGHT_SKIN_TONE,
        'person walking: medium-light skin tone' => Emoji::PERSON_WALKING_MEDIUM_LIGHT_SKIN_TONE,
        'person walking: medium skin tone' => Emoji::PERSON_WALKING_MEDIUM_SKIN_TONE,
        'person walking: medium-dark skin tone' => Emoji::PERSON_WALKING_MEDIUM_DARK_SKIN_TONE,
        'person walking: dark skin tone' => Emoji::PERSON_WALKING_DARK_SKIN_TONE,
        'man walking' => Emoji::MAN_WALKING,
        'man walking: light skin tone' => Emoji::MAN_WALKING_LIGHT_SKIN_TONE,
        'man walking: medium-light skin tone' => Emoji::MAN_WALKING_MEDIUM_LIGHT_SKIN_TONE,
        'man walking: medium skin tone' => Emoji::MAN_WALKING_MEDIUM_SKIN_TONE,
        'man walking: medium-dark skin tone' => Emoji::MAN_WALKING_MEDIUM_DARK_SKIN_TONE,
        'man walking: dark skin tone' => Emoji::MAN_WALKING_DARK_SKIN_TONE,
        'woman walking' => Emoji::WOMAN_WALKING,
        'woman walking: light skin tone' => Emoji::WOMAN_WALKING_LIGHT_SKIN_TONE,
        'woman walking: medium-light skin tone' => Emoji::WOMAN_WALKING_MEDIUM_LIGHT_SKIN_TONE,
        'woman walking: medium skin tone' => Emoji::WOMAN_WALKING_MEDIUM_SKIN_TONE,
        'woman walking: medium-dark skin tone' => Emoji::WOMAN_WALKING_MEDIUM_DARK_SKIN_TONE,
        'woman walking: dark skin tone' => Emoji::WOMAN_WALKING_DARK_SKIN_TONE,
        'person standing' => Emoji::PERSON_STANDING,
        'person standing: light skin tone' => Emoji::PERSON_STANDING_LIGHT_SKIN_TONE,
        'person standing: medium-light skin tone' => Emoji::PERSON_STANDING_MEDIUM_LIGHT_SKIN_TONE,
        'person standing: medium skin tone' => Emoji::PERSON_STANDING_MEDIUM_SKIN_TONE,
        'person standing: medium-dark skin tone' => Emoji::PERSON_STANDING_MEDIUM_DARK_SKIN_TONE,
        'person standing: dark skin tone' => Emoji::PERSON_STANDING_DARK_SKIN_TONE,
        'man standing' => Emoji::MAN_STANDING,
        'man standing: light skin tone' => Emoji::MAN_STANDING_LIGHT_SKIN_TONE,
        'man standing: medium-light skin tone' => Emoji::MAN_STANDING_MEDIUM_LIGHT_SKIN_TONE,
        'man standing: medium skin tone' => Emoji::MAN_STANDING_MEDIUM_SKIN_TONE,
        'man standing: medium-dark skin tone' => Emoji::MAN_STANDING_MEDIUM_DARK_SKIN_TONE,
        'man standing: dark skin tone' => Emoji::MAN_STANDING_DARK_SKIN_TONE,
        'woman standing' => Emoji::WOMAN_STANDING,
        'woman standing: light skin tone' => Emoji::WOMAN_STANDING_LIGHT_SKIN_TONE,
        'woman standing: medium-light skin tone' => Emoji::WOMAN_STANDING_MEDIUM_LIGHT_SKIN_TONE,
        'woman standing: medium skin tone' => Emoji::WOMAN_STANDING_MEDIUM_SKIN_TONE,
        'woman standing: medium-dark skin tone' => Emoji::WOMAN_STANDING_MEDIUM_DARK_SKIN_TONE,
        'woman standing: dark skin tone' => Emoji::WOMAN_STANDING_DARK_SKIN_TONE,
        'person kneeling' => Emoji::PERSON_KNEELING,
        'person kneeling: light skin tone' => Emoji::PERSON_KNEELING_LIGHT_SKIN_TONE,
        'person kneeling: medium-light skin tone' => Emoji::PERSON_KNEELING_MEDIUM_LIGHT_SKIN_TONE,
        'person kneeling: medium skin tone' => Emoji::PERSON_KNEELING_MEDIUM_SKIN_TONE,
        'person kneeling: medium-dark skin tone' => Emoji::PERSON_KNEELING_MEDIUM_DARK_SKIN_TONE,
        'person kneeling: dark skin tone' => Emoji::PERSON_KNEELING_DARK_SKIN_TONE,
        'man kneeling' => Emoji::MAN_KNEELING,
        'man kneeling: light skin tone' => Emoji::MAN_KNEELING_LIGHT_SKIN_TONE,
        'man kneeling: medium-light skin tone' => Emoji::MAN_KNEELING_MEDIUM_LIGHT_SKIN_TONE,
        'man kneeling: medium skin tone' => Emoji::MAN_KNEELING_MEDIUM_SKIN_TONE,
        'man kneeling: medium-dark skin tone' => Emoji::MAN_KNEELING_MEDIUM_DARK_SKIN_TONE,
        'man kneeling: dark skin tone' => Emoji::MAN_KNEELING_DARK_SKIN_TONE,
        'woman kneeling' => Emoji::WOMAN_KNEELING,
        'woman kneeling: light skin tone' => Emoji::WOMAN_KNEELING_LIGHT_SKIN_TONE,
        'woman kneeling: medium-light skin tone' => Emoji::WOMAN_KNEELING_MEDIUM_LIGHT_SKIN_TONE,
        'woman kneeling: medium skin tone' => Emoji::WOMAN_KNEELING_MEDIUM_SKIN_TONE,
        'woman kneeling: medium-dark skin tone' => Emoji::WOMAN_KNEELING_MEDIUM_DARK_SKIN_TONE,
        'woman kneeling: dark skin tone' => Emoji::WOMAN_KNEELING_DARK_SKIN_TONE,
        'person with white cane' => Emoji::PERSON_WITH_WHITE_CANE,
        'person with white cane: light skin tone' => Emoji::PERSON_WITH_WHITE_CANE_LIGHT_SKIN_TONE,
        'person with white cane: medium-light skin tone' => Emoji::PERSON_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE,
        'person with white cane: medium skin tone' => Emoji::PERSON_WITH_WHITE_CANE_MEDIUM_SKIN_TONE,
        'person with white cane: medium-dark skin tone' => Emoji::PERSON_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE,
        'person with white cane: dark skin tone' => Emoji::PERSON_WITH_WHITE_CANE_DARK_SKIN_TONE,
        'man with white cane' => Emoji::MAN_WITH_WHITE_CANE,
        'man with white cane: light skin tone' => Emoji::MAN_WITH_WHITE_CANE_LIGHT_SKIN_TONE,
        'man with white cane: medium-light skin tone' => Emoji::MAN_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE,
        'man with white cane: medium skin tone' => Emoji::MAN_WITH_WHITE_CANE_MEDIUM_SKIN_TONE,
        'man with white cane: medium-dark skin tone' => Emoji::MAN_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE,
        'man with white cane: dark skin tone' => Emoji::MAN_WITH_WHITE_CANE_DARK_SKIN_TONE,
        'woman with white cane' => Emoji::WOMAN_WITH_WHITE_CANE,
        'woman with white cane: light skin tone' => Emoji::WOMAN_WITH_WHITE_CANE_LIGHT_SKIN_TONE,
        'woman with white cane: medium-light skin tone' => Emoji::WOMAN_WITH_WHITE_CANE_MEDIUM_LIGHT_SKIN_TONE,
        'woman with white cane: medium skin tone' => Emoji::WOMAN_WITH_WHITE_CANE_MEDIUM_SKIN_TONE,
        'woman with white cane: medium-dark skin tone' => Emoji::WOMAN_WITH_WHITE_CANE_MEDIUM_DARK_SKIN_TONE,
        'woman with white cane: dark skin tone' => Emoji::WOMAN_WITH_WHITE_CANE_DARK_SKIN_TONE,
        'person in motorized wheelchair' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR,
        'person in motorized wheelchair: light skin tone' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE,
        'person in motorized wheelchair: medium-light skin tone' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'person in motorized wheelchair: medium skin tone' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'person in motorized wheelchair: medium-dark skin tone' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'person in motorized wheelchair: dark skin tone' => Emoji::PERSON_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE,
        'man in motorized wheelchair' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR,
        'man in motorized wheelchair: light skin tone' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE,
        'man in motorized wheelchair: medium-light skin tone' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'man in motorized wheelchair: medium skin tone' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'man in motorized wheelchair: medium-dark skin tone' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'man in motorized wheelchair: dark skin tone' => Emoji::MAN_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE,
        'woman in motorized wheelchair' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR,
        'woman in motorized wheelchair: light skin tone' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR_LIGHT_SKIN_TONE,
        'woman in motorized wheelchair: medium-light skin tone' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'woman in motorized wheelchair: medium skin tone' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'woman in motorized wheelchair: medium-dark skin tone' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'woman in motorized wheelchair: dark skin tone' => Emoji::WOMAN_IN_MOTORIZED_WHEELCHAIR_DARK_SKIN_TONE,
        'person in manual wheelchair' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR,
        'person in manual wheelchair: light skin tone' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE,
        'person in manual wheelchair: medium-light skin tone' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'person in manual wheelchair: medium skin tone' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'person in manual wheelchair: medium-dark skin tone' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'person in manual wheelchair: dark skin tone' => Emoji::PERSON_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE,
        'man in manual wheelchair' => Emoji::MAN_IN_MANUAL_WHEELCHAIR,
        'man in manual wheelchair: light skin tone' => Emoji::MAN_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE,
        'man in manual wheelchair: medium-light skin tone' => Emoji::MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'man in manual wheelchair: medium skin tone' => Emoji::MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'man in manual wheelchair: medium-dark skin tone' => Emoji::MAN_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'man in manual wheelchair: dark skin tone' => Emoji::MAN_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE,
        'woman in manual wheelchair' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR,
        'woman in manual wheelchair: light skin tone' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR_LIGHT_SKIN_TONE,
        'woman in manual wheelchair: medium-light skin tone' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_LIGHT_SKIN_TONE,
        'woman in manual wheelchair: medium skin tone' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_SKIN_TONE,
        'woman in manual wheelchair: medium-dark skin tone' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR_MEDIUM_DARK_SKIN_TONE,
        'woman in manual wheelchair: dark skin tone' => Emoji::WOMAN_IN_MANUAL_WHEELCHAIR_DARK_SKIN_TONE,
        'person running' => Emoji::PERSON_RUNNING,
        'person running: light skin tone' => Emoji::PERSON_RUNNING_LIGHT_SKIN_TONE,
        'person running: medium-light skin tone' => Emoji::PERSON_RUNNING_MEDIUM_LIGHT_SKIN_TONE,
        'person running: medium skin tone' => Emoji::PERSON_RUNNING_MEDIUM_SKIN_TONE,
        'person running: medium-dark skin tone' => Emoji::PERSON_RUNNING_MEDIUM_DARK_SKIN_TONE,
        'person running: dark skin tone' => Emoji::PERSON_RUNNING_DARK_SKIN_TONE,
        'man running' => Emoji::MAN_RUNNING,
        'man running: light skin tone' => Emoji::MAN_RUNNING_LIGHT_SKIN_TONE,
        'man running: medium-light skin tone' => Emoji::MAN_RUNNING_MEDIUM_LIGHT_SKIN_TONE,
        'man running: medium skin tone' => Emoji::MAN_RUNNING_MEDIUM_SKIN_TONE,
        'man running: medium-dark skin tone' => Emoji::MAN_RUNNING_MEDIUM_DARK_SKIN_TONE,
        'man running: dark skin tone' => Emoji::MAN_RUNNING_DARK_SKIN_TONE,
        'woman running' => Emoji::WOMAN_RUNNING,
        'woman running: light skin tone' => Emoji::WOMAN_RUNNING_LIGHT_SKIN_TONE,
        'woman running: medium-light skin tone' => Emoji::WOMAN_RUNNING_MEDIUM_LIGHT_SKIN_TONE,
        'woman running: medium skin tone' => Emoji::WOMAN_RUNNING_MEDIUM_SKIN_TONE,
        'woman running: medium-dark skin tone' => Emoji::WOMAN_RUNNING_MEDIUM_DARK_SKIN_TONE,
        'woman running: dark skin tone' => Emoji::WOMAN_RUNNING_DARK_SKIN_TONE,
        'woman dancing' => Emoji::WOMAN_DANCING,
        'woman dancing: light skin tone' => Emoji::WOMAN_DANCING_LIGHT_SKIN_TONE,
        'woman dancing: medium-light skin tone' => Emoji::WOMAN_DANCING_MEDIUM_LIGHT_SKIN_TONE,
        'woman dancing: medium skin tone' => Emoji::WOMAN_DANCING_MEDIUM_SKIN_TONE,
        'woman dancing: medium-dark skin tone' => Emoji::WOMAN_DANCING_MEDIUM_DARK_SKIN_TONE,
        'woman dancing: dark skin tone' => Emoji::WOMAN_DANCING_DARK_SKIN_TONE,
        'man dancing' => Emoji::MAN_DANCING,
        'man dancing: light skin tone' => Emoji::MAN_DANCING_LIGHT_SKIN_TONE,
        'man dancing: medium-light skin tone' => Emoji::MAN_DANCING_MEDIUM_LIGHT_SKIN_TONE,
        'man dancing: medium skin tone' => Emoji::MAN_DANCING_MEDIUM_SKIN_TONE,
        'man dancing: medium-dark skin tone' => Emoji::MAN_DANCING_MEDIUM_DARK_SKIN_TONE,
        'man dancing: dark skin tone' => Emoji::MAN_DANCING_DARK_SKIN_TONE,
        'person in suit levitating' => Emoji::PERSON_IN_SUIT_LEVITATING,
        'person in suit levitating: light skin tone' => Emoji::PERSON_IN_SUIT_LEVITATING_LIGHT_SKIN_TONE,
        'person in suit levitating: medium-light skin tone' => Emoji::PERSON_IN_SUIT_LEVITATING_MEDIUM_LIGHT_SKIN_TONE,
        'person in suit levitating: medium skin tone' => Emoji::PERSON_IN_SUIT_LEVITATING_MEDIUM_SKIN_TONE,
        'person in suit levitating: medium-dark skin tone' => Emoji::PERSON_IN_SUIT_LEVITATING_MEDIUM_DARK_SKIN_TONE,
        'person in suit levitating: dark skin tone' => Emoji::PERSON_IN_SUIT_LEVITATING_DARK_SKIN_TONE,
        'people with bunny ears' => Emoji::PEOPLE_WITH_BUNNY_EARS,
        'men with bunny ears' => Emoji::MEN_WITH_BUNNY_EARS,
        'women with bunny ears' => Emoji::WOMEN_WITH_BUNNY_EARS,
        'person in steamy room' => Emoji::PERSON_IN_STEAMY_ROOM,
        'person in steamy room: light skin tone' => Emoji::PERSON_IN_STEAMY_ROOM_LIGHT_SKIN_TONE,
        'person in steamy room: medium-light skin tone' => Emoji::PERSON_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE,
        'person in steamy room: medium skin tone' => Emoji::PERSON_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE,
        'person in steamy room: medium-dark skin tone' => Emoji::PERSON_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE,
        'person in steamy room: dark skin tone' => Emoji::PERSON_IN_STEAMY_ROOM_DARK_SKIN_TONE,
        'man in steamy room' => Emoji::MAN_IN_STEAMY_ROOM,
        'man in steamy room: light skin tone' => Emoji::MAN_IN_STEAMY_ROOM_LIGHT_SKIN_TONE,
        'man in steamy room: medium-light skin tone' => Emoji::MAN_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE,
        'man in steamy room: medium skin tone' => Emoji::MAN_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE,
        'man in steamy room: medium-dark skin tone' => Emoji::MAN_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE,
        'man in steamy room: dark skin tone' => Emoji::MAN_IN_STEAMY_ROOM_DARK_SKIN_TONE,
        'woman in steamy room' => Emoji::WOMAN_IN_STEAMY_ROOM,
        'woman in steamy room: light skin tone' => Emoji::WOMAN_IN_STEAMY_ROOM_LIGHT_SKIN_TONE,
        'woman in steamy room: medium-light skin tone' => Emoji::WOMAN_IN_STEAMY_ROOM_MEDIUM_LIGHT_SKIN_TONE,
        'woman in steamy room: medium skin tone' => Emoji::WOMAN_IN_STEAMY_ROOM_MEDIUM_SKIN_TONE,
        'woman in steamy room: medium-dark skin tone' => Emoji::WOMAN_IN_STEAMY_ROOM_MEDIUM_DARK_SKIN_TONE,
        'woman in steamy room: dark skin tone' => Emoji::WOMAN_IN_STEAMY_ROOM_DARK_SKIN_TONE,
        'person climbing' => Emoji::PERSON_CLIMBING,
        'person climbing: light skin tone' => Emoji::PERSON_CLIMBING_LIGHT_SKIN_TONE,
        'person climbing: medium-light skin tone' => Emoji::PERSON_CLIMBING_MEDIUM_LIGHT_SKIN_TONE,
        'person climbing: medium skin tone' => Emoji::PERSON_CLIMBING_MEDIUM_SKIN_TONE,
        'person climbing: medium-dark skin tone' => Emoji::PERSON_CLIMBING_MEDIUM_DARK_SKIN_TONE,
        'person climbing: dark skin tone' => Emoji::PERSON_CLIMBING_DARK_SKIN_TONE,
        'man climbing' => Emoji::MAN_CLIMBING,
        'man climbing: light skin tone' => Emoji::MAN_CLIMBING_LIGHT_SKIN_TONE,
        'man climbing: medium-light skin tone' => Emoji::MAN_CLIMBING_MEDIUM_LIGHT_SKIN_TONE,
        'man climbing: medium skin tone' => Emoji::MAN_CLIMBING_MEDIUM_SKIN_TONE,
        'man climbing: medium-dark skin tone' => Emoji::MAN_CLIMBING_MEDIUM_DARK_SKIN_TONE,
        'man climbing: dark skin tone' => Emoji::MAN_CLIMBING_DARK_SKIN_TONE,
        'woman climbing' => Emoji::WOMAN_CLIMBING,
        'woman climbing: light skin tone' => Emoji::WOMAN_CLIMBING_LIGHT_SKIN_TONE,
        'woman climbing: medium-light skin tone' => Emoji::WOMAN_CLIMBING_MEDIUM_LIGHT_SKIN_TONE,
        'woman climbing: medium skin tone' => Emoji::WOMAN_CLIMBING_MEDIUM_SKIN_TONE,
        'woman climbing: medium-dark skin tone' => Emoji::WOMAN_CLIMBING_MEDIUM_DARK_SKIN_TONE,
        'woman climbing: dark skin tone' => Emoji::WOMAN_CLIMBING_DARK_SKIN_TONE,
        'person fencing' => Emoji::PERSON_FENCING,
        'horse racing' => Emoji::HORSE_RACING,
        'horse racing: light skin tone' => Emoji::HORSE_RACING_LIGHT_SKIN_TONE,
        'horse racing: medium-light skin tone' => Emoji::HORSE_RACING_MEDIUM_LIGHT_SKIN_TONE,
        'horse racing: medium skin tone' => Emoji::HORSE_RACING_MEDIUM_SKIN_TONE,
        'horse racing: medium-dark skin tone' => Emoji::HORSE_RACING_MEDIUM_DARK_SKIN_TONE,
        'horse racing: dark skin tone' => Emoji::HORSE_RACING_DARK_SKIN_TONE,
        'skier' => Emoji::SKIER,
        'snowboarder' => Emoji::SNOWBOARDER,
        'snowboarder: light skin tone' => Emoji::SNOWBOARDER_LIGHT_SKIN_TONE,
        'snowboarder: medium-light skin tone' => Emoji::SNOWBOARDER_MEDIUM_LIGHT_SKIN_TONE,
        'snowboarder: medium skin tone' => Emoji::SNOWBOARDER_MEDIUM_SKIN_TONE,
        'snowboarder: medium-dark skin tone' => Emoji::SNOWBOARDER_MEDIUM_DARK_SKIN_TONE,
        'snowboarder: dark skin tone' => Emoji::SNOWBOARDER_DARK_SKIN_TONE,
        'person golfing' => Emoji::PERSON_GOLFING,
        'person golfing: light skin tone' => Emoji::PERSON_GOLFING_LIGHT_SKIN_TONE,
        'person golfing: medium-light skin tone' => Emoji::PERSON_GOLFING_MEDIUM_LIGHT_SKIN_TONE,
        'person golfing: medium skin tone' => Emoji::PERSON_GOLFING_MEDIUM_SKIN_TONE,
        'person golfing: medium-dark skin tone' => Emoji::PERSON_GOLFING_MEDIUM_DARK_SKIN_TONE,
        'person golfing: dark skin tone' => Emoji::PERSON_GOLFING_DARK_SKIN_TONE,
        'man golfing' => Emoji::MAN_GOLFING,
        'man golfing: light skin tone' => Emoji::MAN_GOLFING_LIGHT_SKIN_TONE,
        'man golfing: medium-light skin tone' => Emoji::MAN_GOLFING_MEDIUM_LIGHT_SKIN_TONE,
        'man golfing: medium skin tone' => Emoji::MAN_GOLFING_MEDIUM_SKIN_TONE,
        'man golfing: medium-dark skin tone' => Emoji::MAN_GOLFING_MEDIUM_DARK_SKIN_TONE,
        'man golfing: dark skin tone' => Emoji::MAN_GOLFING_DARK_SKIN_TONE,
        'woman golfing' => Emoji::WOMAN_GOLFING,
        'woman golfing: light skin tone' => Emoji::WOMAN_GOLFING_LIGHT_SKIN_TONE,
        'woman golfing: medium-light skin tone' => Emoji::WOMAN_GOLFING_MEDIUM_LIGHT_SKIN_TONE,
        'woman golfing: medium skin tone' => Emoji::WOMAN_GOLFING_MEDIUM_SKIN_TONE,
        'woman golfing: medium-dark skin tone' => Emoji::WOMAN_GOLFING_MEDIUM_DARK_SKIN_TONE,
        'woman golfing: dark skin tone' => Emoji::WOMAN_GOLFING_DARK_SKIN_TONE,
        'person surfing' => Emoji::PERSON_SURFING,
        'person surfing: light skin tone' => Emoji::PERSON_SURFING_LIGHT_SKIN_TONE,
        'person surfing: medium-light skin tone' => Emoji::PERSON_SURFING_MEDIUM_LIGHT_SKIN_TONE,
        'person surfing: medium skin tone' => Emoji::PERSON_SURFING_MEDIUM_SKIN_TONE,
        'person surfing: medium-dark skin tone' => Emoji::PERSON_SURFING_MEDIUM_DARK_SKIN_TONE,
        'person surfing: dark skin tone' => Emoji::PERSON_SURFING_DARK_SKIN_TONE,
        'man surfing' => Emoji::MAN_SURFING,
        'man surfing: light skin tone' => Emoji::MAN_SURFING_LIGHT_SKIN_TONE,
        'man surfing: medium-light skin tone' => Emoji::MAN_SURFING_MEDIUM_LIGHT_SKIN_TONE,
        'man surfing: medium skin tone' => Emoji::MAN_SURFING_MEDIUM_SKIN_TONE,
        'man surfing: medium-dark skin tone' => Emoji::MAN_SURFING_MEDIUM_DARK_SKIN_TONE,
        'man surfing: dark skin tone' => Emoji::MAN_SURFING_DARK_SKIN_TONE,
        'woman surfing' => Emoji::WOMAN_SURFING,
        'woman surfing: light skin tone' => Emoji::WOMAN_SURFING_LIGHT_SKIN_TONE,
        'woman surfing: medium-light skin tone' => Emoji::WOMAN_SURFING_MEDIUM_LIGHT_SKIN_TONE,
        'woman surfing: medium skin tone' => Emoji::WOMAN_SURFING_MEDIUM_SKIN_TONE,
        'woman surfing: medium-dark skin tone' => Emoji::WOMAN_SURFING_MEDIUM_DARK_SKIN_TONE,
        'woman surfing: dark skin tone' => Emoji::WOMAN_SURFING_DARK_SKIN_TONE,
        'person rowing boat' => Emoji::PERSON_ROWING_BOAT,
        'person rowing boat: light skin tone' => Emoji::PERSON_ROWING_BOAT_LIGHT_SKIN_TONE,
        'person rowing boat: medium-light skin tone' => Emoji::PERSON_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE,
        'person rowing boat: medium skin tone' => Emoji::PERSON_ROWING_BOAT_MEDIUM_SKIN_TONE,
        'person rowing boat: medium-dark skin tone' => Emoji::PERSON_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE,
        'person rowing boat: dark skin tone' => Emoji::PERSON_ROWING_BOAT_DARK_SKIN_TONE,
        'man rowing boat' => Emoji::MAN_ROWING_BOAT,
        'man rowing boat: light skin tone' => Emoji::MAN_ROWING_BOAT_LIGHT_SKIN_TONE,
        'man rowing boat: medium-light skin tone' => Emoji::MAN_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE,
        'man rowing boat: medium skin tone' => Emoji::MAN_ROWING_BOAT_MEDIUM_SKIN_TONE,
        'man rowing boat: medium-dark skin tone' => Emoji::MAN_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE,
        'man rowing boat: dark skin tone' => Emoji::MAN_ROWING_BOAT_DARK_SKIN_TONE,
        'woman rowing boat' => Emoji::WOMAN_ROWING_BOAT,
        'woman rowing boat: light skin tone' => Emoji::WOMAN_ROWING_BOAT_LIGHT_SKIN_TONE,
        'woman rowing boat: medium-light skin tone' => Emoji::WOMAN_ROWING_BOAT_MEDIUM_LIGHT_SKIN_TONE,
        'woman rowing boat: medium skin tone' => Emoji::WOMAN_ROWING_BOAT_MEDIUM_SKIN_TONE,
        'woman rowing boat: medium-dark skin tone' => Emoji::WOMAN_ROWING_BOAT_MEDIUM_DARK_SKIN_TONE,
        'woman rowing boat: dark skin tone' => Emoji::WOMAN_ROWING_BOAT_DARK_SKIN_TONE,
        'person swimming' => Emoji::PERSON_SWIMMING,
        'person swimming: light skin tone' => Emoji::PERSON_SWIMMING_LIGHT_SKIN_TONE,
        'person swimming: medium-light skin tone' => Emoji::PERSON_SWIMMING_MEDIUM_LIGHT_SKIN_TONE,
        'person swimming: medium skin tone' => Emoji::PERSON_SWIMMING_MEDIUM_SKIN_TONE,
        'person swimming: medium-dark skin tone' => Emoji::PERSON_SWIMMING_MEDIUM_DARK_SKIN_TONE,
        'person swimming: dark skin tone' => Emoji::PERSON_SWIMMING_DARK_SKIN_TONE,
        'man swimming' => Emoji::MAN_SWIMMING,
        'man swimming: light skin tone' => Emoji::MAN_SWIMMING_LIGHT_SKIN_TONE,
        'man swimming: medium-light skin tone' => Emoji::MAN_SWIMMING_MEDIUM_LIGHT_SKIN_TONE,
        'man swimming: medium skin tone' => Emoji::MAN_SWIMMING_MEDIUM_SKIN_TONE,
        'man swimming: medium-dark skin tone' => Emoji::MAN_SWIMMING_MEDIUM_DARK_SKIN_TONE,
        'man swimming: dark skin tone' => Emoji::MAN_SWIMMING_DARK_SKIN_TONE,
        'woman swimming' => Emoji::WOMAN_SWIMMING,
        'woman swimming: light skin tone' => Emoji::WOMAN_SWIMMING_LIGHT_SKIN_TONE,
        'woman swimming: medium-light skin tone' => Emoji::WOMAN_SWIMMING_MEDIUM_LIGHT_SKIN_TONE,
        'woman swimming: medium skin tone' => Emoji::WOMAN_SWIMMING_MEDIUM_SKIN_TONE,
        'woman swimming: medium-dark skin tone' => Emoji::WOMAN_SWIMMING_MEDIUM_DARK_SKIN_TONE,
        'woman swimming: dark skin tone' => Emoji::WOMAN_SWIMMING_DARK_SKIN_TONE,
        'person bouncing ball' => Emoji::PERSON_BOUNCING_BALL,
        'person bouncing ball: light skin tone' => Emoji::PERSON_BOUNCING_BALL_LIGHT_SKIN_TONE,
        'person bouncing ball: medium-light skin tone' => Emoji::PERSON_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE,
        'person bouncing ball: medium skin tone' => Emoji::PERSON_BOUNCING_BALL_MEDIUM_SKIN_TONE,
        'person bouncing ball: medium-dark skin tone' => Emoji::PERSON_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE,
        'person bouncing ball: dark skin tone' => Emoji::PERSON_BOUNCING_BALL_DARK_SKIN_TONE,
        'man bouncing ball' => Emoji::MAN_BOUNCING_BALL,
        'man bouncing ball: light skin tone' => Emoji::MAN_BOUNCING_BALL_LIGHT_SKIN_TONE,
        'man bouncing ball: medium-light skin tone' => Emoji::MAN_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE,
        'man bouncing ball: medium skin tone' => Emoji::MAN_BOUNCING_BALL_MEDIUM_SKIN_TONE,
        'man bouncing ball: medium-dark skin tone' => Emoji::MAN_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE,
        'man bouncing ball: dark skin tone' => Emoji::MAN_BOUNCING_BALL_DARK_SKIN_TONE,
        'woman bouncing ball' => Emoji::WOMAN_BOUNCING_BALL,
        'woman bouncing ball: light skin tone' => Emoji::WOMAN_BOUNCING_BALL_LIGHT_SKIN_TONE,
        'woman bouncing ball: medium-light skin tone' => Emoji::WOMAN_BOUNCING_BALL_MEDIUM_LIGHT_SKIN_TONE,
        'woman bouncing ball: medium skin tone' => Emoji::WOMAN_BOUNCING_BALL_MEDIUM_SKIN_TONE,
        'woman bouncing ball: medium-dark skin tone' => Emoji::WOMAN_BOUNCING_BALL_MEDIUM_DARK_SKIN_TONE,
        'woman bouncing ball: dark skin tone' => Emoji::WOMAN_BOUNCING_BALL_DARK_SKIN_TONE,
        'person lifting weights' => Emoji::PERSON_LIFTING_WEIGHTS,
        'person lifting weights: light skin tone' => Emoji::PERSON_LIFTING_WEIGHTS_LIGHT_SKIN_TONE,
        'person lifting weights: medium-light skin tone' => Emoji::PERSON_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE,
        'person lifting weights: medium skin tone' => Emoji::PERSON_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE,
        'person lifting weights: medium-dark skin tone' => Emoji::PERSON_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE,
        'person lifting weights: dark skin tone' => Emoji::PERSON_LIFTING_WEIGHTS_DARK_SKIN_TONE,
        'man lifting weights' => Emoji::MAN_LIFTING_WEIGHTS,
        'man lifting weights: light skin tone' => Emoji::MAN_LIFTING_WEIGHTS_LIGHT_SKIN_TONE,
        'man lifting weights: medium-light skin tone' => Emoji::MAN_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE,
        'man lifting weights: medium skin tone' => Emoji::MAN_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE,
        'man lifting weights: medium-dark skin tone' => Emoji::MAN_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE,
        'man lifting weights: dark skin tone' => Emoji::MAN_LIFTING_WEIGHTS_DARK_SKIN_TONE,
        'woman lifting weights' => Emoji::WOMAN_LIFTING_WEIGHTS,
        'woman lifting weights: light skin tone' => Emoji::WOMAN_LIFTING_WEIGHTS_LIGHT_SKIN_TONE,
        'woman lifting weights: medium-light skin tone' => Emoji::WOMAN_LIFTING_WEIGHTS_MEDIUM_LIGHT_SKIN_TONE,
        'woman lifting weights: medium skin tone' => Emoji::WOMAN_LIFTING_WEIGHTS_MEDIUM_SKIN_TONE,
        'woman lifting weights: medium-dark skin tone' => Emoji::WOMAN_LIFTING_WEIGHTS_MEDIUM_DARK_SKIN_TONE,
        'woman lifting weights: dark skin tone' => Emoji::WOMAN_LIFTING_WEIGHTS_DARK_SKIN_TONE,
        'person biking' => Emoji::PERSON_BIKING,
        'person biking: light skin tone' => Emoji::PERSON_BIKING_LIGHT_SKIN_TONE,
        'person biking: medium-light skin tone' => Emoji::PERSON_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'person biking: medium skin tone' => Emoji::PERSON_BIKING_MEDIUM_SKIN_TONE,
        'person biking: medium-dark skin tone' => Emoji::PERSON_BIKING_MEDIUM_DARK_SKIN_TONE,
        'person biking: dark skin tone' => Emoji::PERSON_BIKING_DARK_SKIN_TONE,
        'man biking' => Emoji::MAN_BIKING,
        'man biking: light skin tone' => Emoji::MAN_BIKING_LIGHT_SKIN_TONE,
        'man biking: medium-light skin tone' => Emoji::MAN_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'man biking: medium skin tone' => Emoji::MAN_BIKING_MEDIUM_SKIN_TONE,
        'man biking: medium-dark skin tone' => Emoji::MAN_BIKING_MEDIUM_DARK_SKIN_TONE,
        'man biking: dark skin tone' => Emoji::MAN_BIKING_DARK_SKIN_TONE,
        'woman biking' => Emoji::WOMAN_BIKING,
        'woman biking: light skin tone' => Emoji::WOMAN_BIKING_LIGHT_SKIN_TONE,
        'woman biking: medium-light skin tone' => Emoji::WOMAN_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'woman biking: medium skin tone' => Emoji::WOMAN_BIKING_MEDIUM_SKIN_TONE,
        'woman biking: medium-dark skin tone' => Emoji::WOMAN_BIKING_MEDIUM_DARK_SKIN_TONE,
        'woman biking: dark skin tone' => Emoji::WOMAN_BIKING_DARK_SKIN_TONE,
        'person mountain biking' => Emoji::PERSON_MOUNTAIN_BIKING,
        'person mountain biking: light skin tone' => Emoji::PERSON_MOUNTAIN_BIKING_LIGHT_SKIN_TONE,
        'person mountain biking: medium-light skin tone' => Emoji::PERSON_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'person mountain biking: medium skin tone' => Emoji::PERSON_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE,
        'person mountain biking: medium-dark skin tone' => Emoji::PERSON_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE,
        'person mountain biking: dark skin tone' => Emoji::PERSON_MOUNTAIN_BIKING_DARK_SKIN_TONE,
        'man mountain biking' => Emoji::MAN_MOUNTAIN_BIKING,
        'man mountain biking: light skin tone' => Emoji::MAN_MOUNTAIN_BIKING_LIGHT_SKIN_TONE,
        'man mountain biking: medium-light skin tone' => Emoji::MAN_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'man mountain biking: medium skin tone' => Emoji::MAN_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE,
        'man mountain biking: medium-dark skin tone' => Emoji::MAN_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE,
        'man mountain biking: dark skin tone' => Emoji::MAN_MOUNTAIN_BIKING_DARK_SKIN_TONE,
        'woman mountain biking' => Emoji::WOMAN_MOUNTAIN_BIKING,
        'woman mountain biking: light skin tone' => Emoji::WOMAN_MOUNTAIN_BIKING_LIGHT_SKIN_TONE,
        'woman mountain biking: medium-light skin tone' => Emoji::WOMAN_MOUNTAIN_BIKING_MEDIUM_LIGHT_SKIN_TONE,
        'woman mountain biking: medium skin tone' => Emoji::WOMAN_MOUNTAIN_BIKING_MEDIUM_SKIN_TONE,
        'woman mountain biking: medium-dark skin tone' => Emoji::WOMAN_MOUNTAIN_BIKING_MEDIUM_DARK_SKIN_TONE,
        'woman mountain biking: dark skin tone' => Emoji::WOMAN_MOUNTAIN_BIKING_DARK_SKIN_TONE,
        'person cartwheeling' => Emoji::PERSON_CARTWHEELING,
        'person cartwheeling: light skin tone' => Emoji::PERSON_CARTWHEELING_LIGHT_SKIN_TONE,
        'person cartwheeling: medium-light skin tone' => Emoji::PERSON_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE,
        'person cartwheeling: medium skin tone' => Emoji::PERSON_CARTWHEELING_MEDIUM_SKIN_TONE,
        'person cartwheeling: medium-dark skin tone' => Emoji::PERSON_CARTWHEELING_MEDIUM_DARK_SKIN_TONE,
        'person cartwheeling: dark skin tone' => Emoji::PERSON_CARTWHEELING_DARK_SKIN_TONE,
        'man cartwheeling' => Emoji::MAN_CARTWHEELING,
        'man cartwheeling: light skin tone' => Emoji::MAN_CARTWHEELING_LIGHT_SKIN_TONE,
        'man cartwheeling: medium-light skin tone' => Emoji::MAN_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE,
        'man cartwheeling: medium skin tone' => Emoji::MAN_CARTWHEELING_MEDIUM_SKIN_TONE,
        'man cartwheeling: medium-dark skin tone' => Emoji::MAN_CARTWHEELING_MEDIUM_DARK_SKIN_TONE,
        'man cartwheeling: dark skin tone' => Emoji::MAN_CARTWHEELING_DARK_SKIN_TONE,
        'woman cartwheeling' => Emoji::WOMAN_CARTWHEELING,
        'woman cartwheeling: light skin tone' => Emoji::WOMAN_CARTWHEELING_LIGHT_SKIN_TONE,
        'woman cartwheeling: medium-light skin tone' => Emoji::WOMAN_CARTWHEELING_MEDIUM_LIGHT_SKIN_TONE,
        'woman cartwheeling: medium skin tone' => Emoji::WOMAN_CARTWHEELING_MEDIUM_SKIN_TONE,
        'woman cartwheeling: medium-dark skin tone' => Emoji::WOMAN_CARTWHEELING_MEDIUM_DARK_SKIN_TONE,
        'woman cartwheeling: dark skin tone' => Emoji::WOMAN_CARTWHEELING_DARK_SKIN_TONE,
        'people wrestling' => Emoji::PEOPLE_WRESTLING,
        'men wrestling' => Emoji::MEN_WRESTLING,
        'women wrestling' => Emoji::WOMEN_WRESTLING,
        'person playing water polo' => Emoji::PERSON_PLAYING_WATER_POLO,
        'person playing water polo: light skin tone' => Emoji::PERSON_PLAYING_WATER_POLO_LIGHT_SKIN_TONE,
        'person playing water polo: medium-light skin tone' => Emoji::PERSON_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE,
        'person playing water polo: medium skin tone' => Emoji::PERSON_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE,
        'person playing water polo: medium-dark skin tone' => Emoji::PERSON_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE,
        'person playing water polo: dark skin tone' => Emoji::PERSON_PLAYING_WATER_POLO_DARK_SKIN_TONE,
        'man playing water polo' => Emoji::MAN_PLAYING_WATER_POLO,
        'man playing water polo: light skin tone' => Emoji::MAN_PLAYING_WATER_POLO_LIGHT_SKIN_TONE,
        'man playing water polo: medium-light skin tone' => Emoji::MAN_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE,
        'man playing water polo: medium skin tone' => Emoji::MAN_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE,
        'man playing water polo: medium-dark skin tone' => Emoji::MAN_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE,
        'man playing water polo: dark skin tone' => Emoji::MAN_PLAYING_WATER_POLO_DARK_SKIN_TONE,
        'woman playing water polo' => Emoji::WOMAN_PLAYING_WATER_POLO,
        'woman playing water polo: light skin tone' => Emoji::WOMAN_PLAYING_WATER_POLO_LIGHT_SKIN_TONE,
        'woman playing water polo: medium-light skin tone' => Emoji::WOMAN_PLAYING_WATER_POLO_MEDIUM_LIGHT_SKIN_TONE,
        'woman playing water polo: medium skin tone' => Emoji::WOMAN_PLAYING_WATER_POLO_MEDIUM_SKIN_TONE,
        'woman playing water polo: medium-dark skin tone' => Emoji::WOMAN_PLAYING_WATER_POLO_MEDIUM_DARK_SKIN_TONE,
        'woman playing water polo: dark skin tone' => Emoji::WOMAN_PLAYING_WATER_POLO_DARK_SKIN_TONE,
        'person playing handball' => Emoji::PERSON_PLAYING_HANDBALL,
        'person playing handball: light skin tone' => Emoji::PERSON_PLAYING_HANDBALL_LIGHT_SKIN_TONE,
        'person playing handball: medium-light skin tone' => Emoji::PERSON_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE,
        'person playing handball: medium skin tone' => Emoji::PERSON_PLAYING_HANDBALL_MEDIUM_SKIN_TONE,
        'person playing handball: medium-dark skin tone' => Emoji::PERSON_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE,
        'person playing handball: dark skin tone' => Emoji::PERSON_PLAYING_HANDBALL_DARK_SKIN_TONE,
        'man playing handball' => Emoji::MAN_PLAYING_HANDBALL,
        'man playing handball: light skin tone' => Emoji::MAN_PLAYING_HANDBALL_LIGHT_SKIN_TONE,
        'man playing handball: medium-light skin tone' => Emoji::MAN_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE,
        'man playing handball: medium skin tone' => Emoji::MAN_PLAYING_HANDBALL_MEDIUM_SKIN_TONE,
        'man playing handball: medium-dark skin tone' => Emoji::MAN_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE,
        'man playing handball: dark skin tone' => Emoji::MAN_PLAYING_HANDBALL_DARK_SKIN_TONE,
        'woman playing handball' => Emoji::WOMAN_PLAYING_HANDBALL,
        'woman playing handball: light skin tone' => Emoji::WOMAN_PLAYING_HANDBALL_LIGHT_SKIN_TONE,
        'woman playing handball: medium-light skin tone' => Emoji::WOMAN_PLAYING_HANDBALL_MEDIUM_LIGHT_SKIN_TONE,
        'woman playing handball: medium skin tone' => Emoji::WOMAN_PLAYING_HANDBALL_MEDIUM_SKIN_TONE,
        'woman playing handball: medium-dark skin tone' => Emoji::WOMAN_PLAYING_HANDBALL_MEDIUM_DARK_SKIN_TONE,
        'woman playing handball: dark skin tone' => Emoji::WOMAN_PLAYING_HANDBALL_DARK_SKIN_TONE,
        'person juggling' => Emoji::PERSON_JUGGLING,
        'person juggling: light skin tone' => Emoji::PERSON_JUGGLING_LIGHT_SKIN_TONE,
        'person juggling: medium-light skin tone' => Emoji::PERSON_JUGGLING_MEDIUM_LIGHT_SKIN_TONE,
        'person juggling: medium skin tone' => Emoji::PERSON_JUGGLING_MEDIUM_SKIN_TONE,
        'person juggling: medium-dark skin tone' => Emoji::PERSON_JUGGLING_MEDIUM_DARK_SKIN_TONE,
        'person juggling: dark skin tone' => Emoji::PERSON_JUGGLING_DARK_SKIN_TONE,
        'man juggling' => Emoji::MAN_JUGGLING,
        'man juggling: light skin tone' => Emoji::MAN_JUGGLING_LIGHT_SKIN_TONE,
        'man juggling: medium-light skin tone' => Emoji::MAN_JUGGLING_MEDIUM_LIGHT_SKIN_TONE,
        'man juggling: medium skin tone' => Emoji::MAN_JUGGLING_MEDIUM_SKIN_TONE,
        'man juggling: medium-dark skin tone' => Emoji::MAN_JUGGLING_MEDIUM_DARK_SKIN_TONE,
        'man juggling: dark skin tone' => Emoji::MAN_JUGGLING_DARK_SKIN_TONE,
        'woman juggling' => Emoji::WOMAN_JUGGLING,
        'woman juggling: light skin tone' => Emoji::WOMAN_JUGGLING_LIGHT_SKIN_TONE,
        'woman juggling: medium-light skin tone' => Emoji::WOMAN_JUGGLING_MEDIUM_LIGHT_SKIN_TONE,
        'woman juggling: medium skin tone' => Emoji::WOMAN_JUGGLING_MEDIUM_SKIN_TONE,
        'woman juggling: medium-dark skin tone' => Emoji::WOMAN_JUGGLING_MEDIUM_DARK_SKIN_TONE,
        'woman juggling: dark skin tone' => Emoji::WOMAN_JUGGLING_DARK_SKIN_TONE,
        'person in lotus position' => Emoji::PERSON_IN_LOTUS_POSITION,
        'person in lotus position: light skin tone' => Emoji::PERSON_IN_LOTUS_POSITION_LIGHT_SKIN_TONE,
        'person in lotus position: medium-light skin tone' => Emoji::PERSON_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE,
        'person in lotus position: medium skin tone' => Emoji::PERSON_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE,
        'person in lotus position: medium-dark skin tone' => Emoji::PERSON_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE,
        'person in lotus position: dark skin tone' => Emoji::PERSON_IN_LOTUS_POSITION_DARK_SKIN_TONE,
        'man in lotus position' => Emoji::MAN_IN_LOTUS_POSITION,
        'man in lotus position: light skin tone' => Emoji::MAN_IN_LOTUS_POSITION_LIGHT_SKIN_TONE,
        'man in lotus position: medium-light skin tone' => Emoji::MAN_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE,
        'man in lotus position: medium skin tone' => Emoji::MAN_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE,
        'man in lotus position: medium-dark skin tone' => Emoji::MAN_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE,
        'man in lotus position: dark skin tone' => Emoji::MAN_IN_LOTUS_POSITION_DARK_SKIN_TONE,
        'woman in lotus position' => Emoji::WOMAN_IN_LOTUS_POSITION,
        'woman in lotus position: light skin tone' => Emoji::WOMAN_IN_LOTUS_POSITION_LIGHT_SKIN_TONE,
        'woman in lotus position: medium-light skin tone' => Emoji::WOMAN_IN_LOTUS_POSITION_MEDIUM_LIGHT_SKIN_TONE,
        'woman in lotus position: medium skin tone' => Emoji::WOMAN_IN_LOTUS_POSITION_MEDIUM_SKIN_TONE,
        'woman in lotus position: medium-dark skin tone' => Emoji::WOMAN_IN_LOTUS_POSITION_MEDIUM_DARK_SKIN_TONE,
        'woman in lotus position: dark skin tone' => Emoji::WOMAN_IN_LOTUS_POSITION_DARK_SKIN_TONE,
        'person taking bath' => Emoji::PERSON_TAKING_BATH,
        'person taking bath: light skin tone' => Emoji::PERSON_TAKING_BATH_LIGHT_SKIN_TONE,
        'person taking bath: medium-light skin tone' => Emoji::PERSON_TAKING_BATH_MEDIUM_LIGHT_SKIN_TONE,
        'person taking bath: medium skin tone' => Emoji::PERSON_TAKING_BATH_MEDIUM_SKIN_TONE,
        'person taking bath: medium-dark skin tone' => Emoji::PERSON_TAKING_BATH_MEDIUM_DARK_SKIN_TONE,
        'person taking bath: dark skin tone' => Emoji::PERSON_TAKING_BATH_DARK_SKIN_TONE,
        'person in bed' => Emoji::PERSON_IN_BED,
        'person in bed: light skin tone' => Emoji::PERSON_IN_BED_LIGHT_SKIN_TONE,
        'person in bed: medium-light skin tone' => Emoji::PERSON_IN_BED_MEDIUM_LIGHT_SKIN_TONE,
        'person in bed: medium skin tone' => Emoji::PERSON_IN_BED_MEDIUM_SKIN_TONE,
        'person in bed: medium-dark skin tone' => Emoji::PERSON_IN_BED_MEDIUM_DARK_SKIN_TONE,
        'person in bed: dark skin tone' => Emoji::PERSON_IN_BED_DARK_SKIN_TONE,
        'people holding hands' => Emoji::PEOPLE_HOLDING_HANDS,
        'people holding hands: light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE,
        'people holding hands: light skin tone, medium-light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'people holding hands: light skin tone, medium skin tone' => Emoji::PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'people holding hands: light skin tone, medium-dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'people holding hands: light skin tone, dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'people holding hands: medium-light skin tone, light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'people holding hands: medium-light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'people holding hands: medium-light skin tone, medium skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'people holding hands: medium-light skin tone, medium-dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'people holding hands: medium-light skin tone, dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'people holding hands: medium skin tone, light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'people holding hands: medium skin tone, medium-light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'people holding hands: medium skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE,
        'people holding hands: medium skin tone, medium-dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'people holding hands: medium skin tone, dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'people holding hands: medium-dark skin tone, light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'people holding hands: medium-dark skin tone, medium-light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'people holding hands: medium-dark skin tone, medium skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'people holding hands: medium-dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'people holding hands: medium-dark skin tone, dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'people holding hands: dark skin tone, light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'people holding hands: dark skin tone, medium-light skin tone' => Emoji::PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'people holding hands: dark skin tone, medium skin tone' => Emoji::PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'people holding hands: dark skin tone, medium-dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'people holding hands: dark skin tone' => Emoji::PEOPLE_HOLDING_HANDS_DARK_SKIN_TONE,
        'women holding hands' => Emoji::WOMEN_HOLDING_HANDS,
        'women holding hands: light skin tone' => Emoji::WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE,
        'women holding hands: light skin tone, medium-light skin tone' => Emoji::WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'women holding hands: light skin tone, medium skin tone' => Emoji::WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'women holding hands: light skin tone, medium-dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'women holding hands: light skin tone, dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'women holding hands: medium-light skin tone, light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'women holding hands: medium-light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'women holding hands: medium-light skin tone, medium skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'women holding hands: medium-light skin tone, medium-dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'women holding hands: medium-light skin tone, dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'women holding hands: medium skin tone, light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'women holding hands: medium skin tone, medium-light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'women holding hands: medium skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE,
        'women holding hands: medium skin tone, medium-dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'women holding hands: medium skin tone, dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'women holding hands: medium-dark skin tone, light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'women holding hands: medium-dark skin tone, medium-light skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'women holding hands: medium-dark skin tone, medium skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'women holding hands: medium-dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'women holding hands: medium-dark skin tone, dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'women holding hands: dark skin tone, light skin tone' => Emoji::WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'women holding hands: dark skin tone, medium-light skin tone' => Emoji::WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'women holding hands: dark skin tone, medium skin tone' => Emoji::WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'women holding hands: dark skin tone, medium-dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'women holding hands: dark skin tone' => Emoji::WOMEN_HOLDING_HANDS_DARK_SKIN_TONE,
        'woman and man holding hands' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS,
        'woman and man holding hands: light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE,
        'woman and man holding hands: light skin tone, medium-light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'woman and man holding hands: light skin tone, medium skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'woman and man holding hands: light skin tone, medium-dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'woman and man holding hands: light skin tone, dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'woman and man holding hands: medium-light skin tone, light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium-light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium-light skin tone, medium skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'woman and man holding hands: medium-light skin tone, medium-dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'woman and man holding hands: medium-light skin tone, dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'woman and man holding hands: medium skin tone, light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium skin tone, medium-light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE,
        'woman and man holding hands: medium skin tone, medium-dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'woman and man holding hands: medium skin tone, dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'woman and man holding hands: medium-dark skin tone, light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium-dark skin tone, medium-light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'woman and man holding hands: medium-dark skin tone, medium skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'woman and man holding hands: medium-dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'woman and man holding hands: medium-dark skin tone, dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'woman and man holding hands: dark skin tone, light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'woman and man holding hands: dark skin tone, medium-light skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'woman and man holding hands: dark skin tone, medium skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'woman and man holding hands: dark skin tone, medium-dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'woman and man holding hands: dark skin tone' => Emoji::WOMAN_AND_MAN_HOLDING_HANDS_DARK_SKIN_TONE,
        'men holding hands' => Emoji::MEN_HOLDING_HANDS,
        'men holding hands: light skin tone' => Emoji::MEN_HOLDING_HANDS_LIGHT_SKIN_TONE,
        'men holding hands: light skin tone, medium-light skin tone' => Emoji::MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'men holding hands: light skin tone, medium skin tone' => Emoji::MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'men holding hands: light skin tone, medium-dark skin tone' => Emoji::MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'men holding hands: light skin tone, dark skin tone' => Emoji::MEN_HOLDING_HANDS_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'men holding hands: medium-light skin tone, light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'men holding hands: medium-light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE,
        'men holding hands: medium-light skin tone, medium skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'men holding hands: medium-light skin tone, medium-dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'men holding hands: medium-light skin tone, dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'men holding hands: medium skin tone, light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'men holding hands: medium skin tone, medium-light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'men holding hands: medium skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE,
        'men holding hands: medium skin tone, medium-dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'men holding hands: medium skin tone, dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'men holding hands: medium-dark skin tone, light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'men holding hands: medium-dark skin tone, medium-light skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'men holding hands: medium-dark skin tone, medium skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'men holding hands: medium-dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE,
        'men holding hands: medium-dark skin tone, dark skin tone' => Emoji::MEN_HOLDING_HANDS_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'men holding hands: dark skin tone, light skin tone' => Emoji::MEN_HOLDING_HANDS_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'men holding hands: dark skin tone, medium-light skin tone' => Emoji::MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'men holding hands: dark skin tone, medium skin tone' => Emoji::MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'men holding hands: dark skin tone, medium-dark skin tone' => Emoji::MEN_HOLDING_HANDS_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'men holding hands: dark skin tone' => Emoji::MEN_HOLDING_HANDS_DARK_SKIN_TONE,
        'kiss' => Emoji::KISS,
        'kiss: light skin tone' => Emoji::KISS_LIGHT_SKIN_TONE,
        'kiss: medium-light skin tone' => Emoji::KISS_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: medium skin tone' => Emoji::KISS_MEDIUM_SKIN_TONE,
        'kiss: medium-dark skin tone' => Emoji::KISS_MEDIUM_DARK_SKIN_TONE,
        'kiss: dark skin tone' => Emoji::KISS_DARK_SKIN_TONE,
        'kiss: person, person, light skin tone, medium-light skin tone' => Emoji::KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: person, person, light skin tone, medium skin tone' => Emoji::KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: person, person, light skin tone, medium-dark skin tone' => Emoji::KISS_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: person, person, light skin tone, dark skin tone' => Emoji::KISS_PERSON_PERSON_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: person, person, medium-light skin tone, light skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: person, person, medium-light skin tone, medium skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: person, person, medium-light skin tone, medium-dark skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: person, person, medium-light skin tone, dark skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: person, person, medium skin tone, light skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: person, person, medium skin tone, medium-light skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: person, person, medium skin tone, medium-dark skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: person, person, medium skin tone, dark skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: person, person, medium-dark skin tone, light skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: person, person, medium-dark skin tone, medium-light skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: person, person, medium-dark skin tone, medium skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: person, person, medium-dark skin tone, dark skin tone' => Emoji::KISS_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: person, person, dark skin tone, light skin tone' => Emoji::KISS_PERSON_PERSON_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: person, person, dark skin tone, medium-light skin tone' => Emoji::KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: person, person, dark skin tone, medium skin tone' => Emoji::KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: person, person, dark skin tone, medium-dark skin tone' => Emoji::KISS_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man' => Emoji::KISS_WOMAN_MAN,
        'kiss: woman, man, light skin tone' => Emoji::KISS_WOMAN_MAN_LIGHT_SKIN_TONE,
        'kiss: woman, man, light skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, man, light skin tone, medium skin tone' => Emoji::KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, man, light skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man, light skin tone, dark skin tone' => Emoji::KISS_WOMAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, man, medium-light skin tone, light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium-light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium-light skin tone, medium skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, man, medium-light skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man, medium-light skin tone, dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, man, medium skin tone, light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_SKIN_TONE,
        'kiss: woman, man, medium skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man, medium skin tone, dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, man, medium-dark skin tone, light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium-dark skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, man, medium-dark skin tone, medium skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, man, medium-dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man, medium-dark skin tone, dark skin tone' => Emoji::KISS_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, man, dark skin tone, light skin tone' => Emoji::KISS_WOMAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, man, dark skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, man, dark skin tone, medium skin tone' => Emoji::KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, man, dark skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, man, dark skin tone' => Emoji::KISS_WOMAN_MAN_DARK_SKIN_TONE,
        'kiss: man, man' => Emoji::KISS_MAN_MAN,
        'kiss: man, man, light skin tone' => Emoji::KISS_MAN_MAN_LIGHT_SKIN_TONE,
        'kiss: man, man, light skin tone, medium-light skin tone' => Emoji::KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: man, man, light skin tone, medium skin tone' => Emoji::KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: man, man, light skin tone, medium-dark skin tone' => Emoji::KISS_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: man, man, light skin tone, dark skin tone' => Emoji::KISS_MAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: man, man, medium-light skin tone, light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: man, man, medium-light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: man, man, medium-light skin tone, medium skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: man, man, medium-light skin tone, medium-dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: man, man, medium-light skin tone, dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: man, man, medium skin tone, light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: man, man, medium skin tone, medium-light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: man, man, medium skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_SKIN_TONE,
        'kiss: man, man, medium skin tone, medium-dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: man, man, medium skin tone, dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: man, man, medium-dark skin tone, light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: man, man, medium-dark skin tone, medium-light skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: man, man, medium-dark skin tone, medium skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: man, man, medium-dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE,
        'kiss: man, man, medium-dark skin tone, dark skin tone' => Emoji::KISS_MAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: man, man, dark skin tone, light skin tone' => Emoji::KISS_MAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: man, man, dark skin tone, medium-light skin tone' => Emoji::KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: man, man, dark skin tone, medium skin tone' => Emoji::KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: man, man, dark skin tone, medium-dark skin tone' => Emoji::KISS_MAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: man, man, dark skin tone' => Emoji::KISS_MAN_MAN_DARK_SKIN_TONE,
        'kiss: woman, woman' => Emoji::KISS_WOMAN_WOMAN,
        'kiss: woman, woman, light skin tone' => Emoji::KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE,
        'kiss: woman, woman, light skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, woman, light skin tone, medium skin tone' => Emoji::KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, woman, light skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, woman, light skin tone, dark skin tone' => Emoji::KISS_WOMAN_WOMAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, woman, medium-light skin tone, light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium-light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium-light skin tone, medium skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, woman, medium-light skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, woman, medium-light skin tone, dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, woman, medium skin tone, light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE,
        'kiss: woman, woman, medium skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, woman, medium skin tone, dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, woman, medium-dark skin tone, light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium-dark skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, woman, medium-dark skin tone, medium skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, woman, medium-dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, woman, medium-dark skin tone, dark skin tone' => Emoji::KISS_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'kiss: woman, woman, dark skin tone, light skin tone' => Emoji::KISS_WOMAN_WOMAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'kiss: woman, woman, dark skin tone, medium-light skin tone' => Emoji::KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'kiss: woman, woman, dark skin tone, medium skin tone' => Emoji::KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'kiss: woman, woman, dark skin tone, medium-dark skin tone' => Emoji::KISS_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'kiss: woman, woman, dark skin tone' => Emoji::KISS_WOMAN_WOMAN_DARK_SKIN_TONE,
        'couple with heart' => Emoji::COUPLE_WITH_HEART,
        'couple with heart: light skin tone' => Emoji::COUPLE_WITH_HEART_LIGHT_SKIN_TONE,
        'couple with heart: medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: medium skin tone' => Emoji::COUPLE_WITH_HEART_MEDIUM_SKIN_TONE,
        'couple with heart: medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: dark skin tone' => Emoji::COUPLE_WITH_HEART_DARK_SKIN_TONE,
        'couple with heart: person, person, light skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: person, person, light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: person, person, light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: person, person, light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: person, person, medium-light skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: person, person, medium-light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: person, person, medium-light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: person, person, medium-light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: person, person, medium skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: person, person, medium skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: person, person, medium skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: person, person, medium skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: person, person, medium-dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: person, person, medium-dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: person, person, medium-dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: person, person, medium-dark skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: person, person, dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: person, person, dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: person, person, dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: person, person, dark skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_PERSON_PERSON_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN,
        'couple with heart: woman, man, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, light skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, man, light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man, light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium-light skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium-light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, man, medium-light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium-light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE,
        'couple with heart: woman, man, medium skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium-dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium-dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, medium-dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, man, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man, medium-dark skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, man, dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, man, dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, man, dark skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, man, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_MAN_DARK_SKIN_TONE,
        'couple with heart: man, man' => Emoji::COUPLE_WITH_HEART_MAN_MAN,
        'couple with heart: man, man, light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE,
        'couple with heart: man, man, light skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: man, man, light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: man, man, light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: man, man, light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: man, man, medium-light skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium-light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: man, man, medium-light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: man, man, medium-light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: man, man, medium skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE,
        'couple with heart: man, man, medium skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: man, man, medium skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: man, man, medium-dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium-dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: man, man, medium-dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: man, man, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: man, man, medium-dark skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: man, man, dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: man, man, dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: man, man, dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: man, man, dark skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: man, man, dark skin tone' => Emoji::COUPLE_WITH_HEART_MAN_MAN_DARK_SKIN_TONE,
        'couple with heart: woman, woman' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN,
        'couple with heart: woman, woman, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, light skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, woman, light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, woman, light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium-light skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium-light skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, woman, medium-light skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium-light skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_LIGHT_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE,
        'couple with heart: woman, woman, medium skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium-dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium-dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, medium-dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, woman, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, woman, medium-dark skin tone, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_MEDIUM_DARK_SKIN_TONE_DARK_SKIN_TONE,
        'couple with heart: woman, woman, dark skin tone, light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, dark skin tone, medium-light skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_LIGHT_SKIN_TONE,
        'couple with heart: woman, woman, dark skin tone, medium skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_SKIN_TONE,
        'couple with heart: woman, woman, dark skin tone, medium-dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE_MEDIUM_DARK_SKIN_TONE,
        'couple with heart: woman, woman, dark skin tone' => Emoji::COUPLE_WITH_HEART_WOMAN_WOMAN_DARK_SKIN_TONE,
        'family' => Emoji::FAMILY,
        'family: man, woman, boy' => Emoji::FAMILY_MAN_WOMAN_BOY,
        'family: man, woman, girl' => Emoji::FAMILY_MAN_WOMAN_GIRL,
        'family: man, woman, girl, boy' => Emoji::FAMILY_MAN_WOMAN_GIRL_BOY,
        'family: man, woman, boy, boy' => Emoji::FAMILY_MAN_WOMAN_BOY_BOY,
        'family: man, woman, girl, girl' => Emoji::FAMILY_MAN_WOMAN_GIRL_GIRL,
        'family: man, man, boy' => Emoji::FAMILY_MAN_MAN_BOY,
        'family: man, man, girl' => Emoji::FAMILY_MAN_MAN_GIRL,
        'family: man, man, girl, boy' => Emoji::FAMILY_MAN_MAN_GIRL_BOY,
        'family: man, man, boy, boy' => Emoji::FAMILY_MAN_MAN_BOY_BOY,
        'family: man, man, girl, girl' => Emoji::FAMILY_MAN_MAN_GIRL_GIRL,
        'family: woman, woman, boy' => Emoji::FAMILY_WOMAN_WOMAN_BOY,
        'family: woman, woman, girl' => Emoji::FAMILY_WOMAN_WOMAN_GIRL,
        'family: woman, woman, girl, boy' => Emoji::FAMILY_WOMAN_WOMAN_GIRL_BOY,
        'family: woman, woman, boy, boy' => Emoji::FAMILY_WOMAN_WOMAN_BOY_BOY,
        'family: woman, woman, girl, girl' => Emoji::FAMILY_WOMAN_WOMAN_GIRL_GIRL,
        'family: man, boy' => Emoji::FAMILY_MAN_BOY,
        'family: man, boy, boy' => Emoji::FAMILY_MAN_BOY_BOY,
        'family: man, girl' => Emoji::FAMILY_MAN_GIRL,
        'family: man, girl, boy' => Emoji::FAMILY_MAN_GIRL_BOY,
        'family: man, girl, girl' => Emoji::FAMILY_MAN_GIRL_GIRL,
        'family: woman, boy' => Emoji::FAMILY_WOMAN_BOY,
        'family: woman, boy, boy' => Emoji::FAMILY_WOMAN_BOY_BOY,
        'family: woman, girl' => Emoji::FAMILY_WOMAN_GIRL,
        'family: woman, girl, boy' => Emoji::FAMILY_WOMAN_GIRL_BOY,
        'family: woman, girl, girl' => Emoji::FAMILY_WOMAN_GIRL_GIRL,
        'speaking head' => Emoji::SPEAKING_HEAD,
        'bust in silhouette' => Emoji::BUST_IN_SILHOUETTE,
        'busts in silhouette' => Emoji::BUSTS_IN_SILHOUETTE,
        'people hugging' => Emoji::PEOPLE_HUGGING,
        'footprints' => Emoji::FOOTPRINTS,
        'monkey face' => Emoji::MONKEY_FACE,
        'monkey' => Emoji::MONKEY,
        'gorilla' => Emoji::GORILLA,
        'orangutan' => Emoji::ORANGUTAN,
        'dog face' => Emoji::DOG_FACE,
        'dog' => Emoji::DOG,
        'guide dog' => Emoji::GUIDE_DOG,
        'service dog' => Emoji::SERVICE_DOG,
        'poodle' => Emoji::POODLE,
        'wolf' => Emoji::WOLF,
        'fox' => Emoji::FOX,
        'raccoon' => Emoji::RACCOON,
        'cat face' => Emoji::CAT_FACE,
        'cat' => Emoji::CAT,
        'black cat' => Emoji::BLACK_CAT,
        'lion' => Emoji::LION,
        'tiger face' => Emoji::TIGER_FACE,
        'tiger' => Emoji::TIGER,
        'leopard' => Emoji::LEOPARD,
        'horse face' => Emoji::HORSE_FACE,
        'horse' => Emoji::HORSE,
        'unicorn' => Emoji::UNICORN,
        'zebra' => Emoji::ZEBRA,
        'deer' => Emoji::DEER,
        'bison' => Emoji::BISON,
        'cow face' => Emoji::COW_FACE,
        'ox' => Emoji::OX,
        'water buffalo' => Emoji::WATER_BUFFALO,
        'cow' => Emoji::COW,
        'pig face' => Emoji::PIG_FACE,
        'pig' => Emoji::PIG,
        'boar' => Emoji::BOAR,
        'pig nose' => Emoji::PIG_NOSE,
        'ram' => Emoji::RAM,
        'ewe' => Emoji::EWE,
        'goat' => Emoji::GOAT,
        'camel' => Emoji::CAMEL,
        'two-hump camel' => Emoji::TWO_HUMP_CAMEL,
        'llama' => Emoji::LLAMA,
        'giraffe' => Emoji::GIRAFFE,
        'elephant' => Emoji::ELEPHANT,
        'mammoth' => Emoji::MAMMOTH,
        'rhinoceros' => Emoji::RHINOCEROS,
        'hippopotamus' => Emoji::HIPPOPOTAMUS,
        'mouse face' => Emoji::MOUSE_FACE,
        'mouse' => Emoji::MOUSE,
        'rat' => Emoji::RAT,
        'hamster' => Emoji::HAMSTER,
        'rabbit face' => Emoji::RABBIT_FACE,
        'rabbit' => Emoji::RABBIT,
        'chipmunk' => Emoji::CHIPMUNK,
        'beaver' => Emoji::BEAVER,
        'hedgehog' => Emoji::HEDGEHOG,
        'bat' => Emoji::BAT,
        'bear' => Emoji::BEAR,
        'polar bear' => Emoji::POLAR_BEAR,
        'koala' => Emoji::KOALA,
        'panda' => Emoji::PANDA,
        'sloth' => Emoji::SLOTH,
        'otter' => Emoji::OTTER,
        'skunk' => Emoji::SKUNK,
        'kangaroo' => Emoji::KANGAROO,
        'badger' => Emoji::BADGER,
        'paw prints' => Emoji::PAW_PRINTS,
        'turkey' => Emoji::TURKEY,
        'chicken' => Emoji::CHICKEN,
        'rooster' => Emoji::ROOSTER,
        'hatching chick' => Emoji::HATCHING_CHICK,
        'baby chick' => Emoji::BABY_CHICK,
        'front-facing baby chick' => Emoji::FRONT_FACING_BABY_CHICK,
        'bird' => Emoji::BIRD,
        'penguin' => Emoji::PENGUIN,
        'dove' => Emoji::DOVE,
        'eagle' => Emoji::EAGLE,
        'duck' => Emoji::DUCK,
        'swan' => Emoji::SWAN,
        'owl' => Emoji::OWL,
        'dodo' => Emoji::DODO,
        'feather' => Emoji::FEATHER,
        'flamingo' => Emoji::FLAMINGO,
        'peacock' => Emoji::PEACOCK,
        'parrot' => Emoji::PARROT,
        'frog' => Emoji::FROG,
        'crocodile' => Emoji::CROCODILE,
        'turtle' => Emoji::TURTLE,
        'lizard' => Emoji::LIZARD,
        'snake' => Emoji::SNAKE,
        'dragon face' => Emoji::DRAGON_FACE,
        'dragon' => Emoji::DRAGON,
        'sauropod' => Emoji::SAUROPOD,
        'T-Rex' => Emoji::T_REX,
        'spouting whale' => Emoji::SPOUTING_WHALE,
        'whale' => Emoji::WHALE,
        'dolphin' => Emoji::DOLPHIN,
        'seal' => Emoji::SEAL,
        'fish' => Emoji::FISH,
        'tropical fish' => Emoji::TROPICAL_FISH,
        'blowfish' => Emoji::BLOWFISH,
        'shark' => Emoji::SHARK,
        'octopus' => Emoji::OCTOPUS,
        'spiral shell' => Emoji::SPIRAL_SHELL,
        'snail' => Emoji::SNAIL,
        'butterfly' => Emoji::BUTTERFLY,
        'bug' => Emoji::BUG,
        'ant' => Emoji::ANT,
        'honeybee' => Emoji::HONEYBEE,
        'beetle' => Emoji::BEETLE,
        'lady beetle' => Emoji::LADY_BEETLE,
        'cricket' => Emoji::CRICKET,
        'cockroach' => Emoji::COCKROACH,
        'spider' => Emoji::SPIDER,
        'spider web' => Emoji::SPIDER_WEB,
        'scorpion' => Emoji::SCORPION,
        'mosquito' => Emoji::MOSQUITO,
        'fly' => Emoji::FLY,
        'worm' => Emoji::WORM,
        'microbe' => Emoji::MICROBE,
        'bouquet' => Emoji::BOUQUET,
        'cherry blossom' => Emoji::CHERRY_BLOSSOM,
        'white flower' => Emoji::WHITE_FLOWER,
        'rosette' => Emoji::ROSETTE,
        'rose' => Emoji::ROSE,
        'wilted flower' => Emoji::WILTED_FLOWER,
        'hibiscus' => Emoji::HIBISCUS,
        'sunflower' => Emoji::SUNFLOWER,
        'blossom' => Emoji::BLOSSOM,
        'tulip' => Emoji::TULIP,
        'seedling' => Emoji::SEEDLING,
        'potted plant' => Emoji::POTTED_PLANT,
        'evergreen tree' => Emoji::EVERGREEN_TREE,
        'deciduous tree' => Emoji::DECIDUOUS_TREE,
        'palm tree' => Emoji::PALM_TREE,
        'cactus' => Emoji::CACTUS,
        'sheaf of rice' => Emoji::SHEAF_OF_RICE,
        'herb' => Emoji::HERB,
        'shamrock' => Emoji::SHAMROCK,
        'four leaf clover' => Emoji::FOUR_LEAF_CLOVER,
        'maple leaf' => Emoji::MAPLE_LEAF,
        'fallen leaf' => Emoji::FALLEN_LEAF,
        'leaf fluttering in wind' => Emoji::LEAF_FLUTTERING_IN_WIND,
        'grapes' => Emoji::GRAPES,
        'melon' => Emoji::MELON,
        'watermelon' => Emoji::WATERMELON,
        'tangerine' => Emoji::TANGERINE,
        'lemon' => Emoji::LEMON,
        'banana' => Emoji::BANANA,
        'pineapple' => Emoji::PINEAPPLE,
        'mango' => Emoji::MANGO,
        'red apple' => Emoji::RED_APPLE,
        'green apple' => Emoji::GREEN_APPLE,
        'pear' => Emoji::PEAR,
        'peach' => Emoji::PEACH,
        'cherries' => Emoji::CHERRIES,
        'strawberry' => Emoji::STRAWBERRY,
        'blueberries' => Emoji::BLUEBERRIES,
        'kiwi fruit' => Emoji::KIWI_FRUIT,
        'tomato' => Emoji::TOMATO,
        'olive' => Emoji::OLIVE,
        'coconut' => Emoji::COCONUT,
        'avocado' => Emoji::AVOCADO,
        'eggplant' => Emoji::EGGPLANT,
        'potato' => Emoji::POTATO,
        'carrot' => Emoji::CARROT,
        'ear of corn' => Emoji::EAR_OF_CORN,
        'hot pepper' => Emoji::HOT_PEPPER,
        'bell pepper' => Emoji::BELL_PEPPER,
        'cucumber' => Emoji::CUCUMBER,
        'leafy green' => Emoji::LEAFY_GREEN,
        'broccoli' => Emoji::BROCCOLI,
        'garlic' => Emoji::GARLIC,
        'onion' => Emoji::ONION,
        'mushroom' => Emoji::MUSHROOM,
        'peanuts' => Emoji::PEANUTS,
        'chestnut' => Emoji::CHESTNUT,
        'bread' => Emoji::BREAD,
        'croissant' => Emoji::CROISSANT,
        'baguette bread' => Emoji::BAGUETTE_BREAD,
        'flatbread' => Emoji::FLATBREAD,
        'pretzel' => Emoji::PRETZEL,
        'bagel' => Emoji::BAGEL,
        'pancakes' => Emoji::PANCAKES,
        'waffle' => Emoji::WAFFLE,
        'cheese wedge' => Emoji::CHEESE_WEDGE,
        'meat on bone' => Emoji::MEAT_ON_BONE,
        'poultry leg' => Emoji::POULTRY_LEG,
        'cut of meat' => Emoji::CUT_OF_MEAT,
        'bacon' => Emoji::BACON,
        'hamburger' => Emoji::HAMBURGER,
        'french fries' => Emoji::FRENCH_FRIES,
        'pizza' => Emoji::PIZZA,
        'hot dog' => Emoji::HOT_DOG,
        'sandwich' => Emoji::SANDWICH,
        'taco' => Emoji::TACO,
        'burrito' => Emoji::BURRITO,
        'tamale' => Emoji::TAMALE,
        'stuffed flatbread' => Emoji::STUFFED_FLATBREAD,
        'falafel' => Emoji::FALAFEL,
        'egg' => Emoji::EGG,
        'cooking' => Emoji::COOKING,
        'shallow pan of food' => Emoji::SHALLOW_PAN_OF_FOOD,
        'pot of food' => Emoji::POT_OF_FOOD,
        'fondue' => Emoji::FONDUE,
        'bowl with spoon' => Emoji::BOWL_WITH_SPOON,
        'green salad' => Emoji::GREEN_SALAD,
        'popcorn' => Emoji::POPCORN,
        'butter' => Emoji::BUTTER,
        'salt' => Emoji::SALT,
        'canned food' => Emoji::CANNED_FOOD,
        'bento box' => Emoji::BENTO_BOX,
        'rice cracker' => Emoji::RICE_CRACKER,
        'rice ball' => Emoji::RICE_BALL,
        'cooked rice' => Emoji::COOKED_RICE,
        'curry rice' => Emoji::CURRY_RICE,
        'steaming bowl' => Emoji::STEAMING_BOWL,
        'spaghetti' => Emoji::SPAGHETTI,
        'roasted sweet potato' => Emoji::ROASTED_SWEET_POTATO,
        'oden' => Emoji::ODEN,
        'sushi' => Emoji::SUSHI,
        'fried shrimp' => Emoji::FRIED_SHRIMP,
        'fish cake with swirl' => Emoji::FISH_CAKE_WITH_SWIRL,
        'moon cake' => Emoji::MOON_CAKE,
        'dango' => Emoji::DANGO,
        'dumpling' => Emoji::DUMPLING,
        'fortune cookie' => Emoji::FORTUNE_COOKIE,
        'takeout box' => Emoji::TAKEOUT_BOX,
        'crab' => Emoji::CRAB,
        'lobster' => Emoji::LOBSTER,
        'shrimp' => Emoji::SHRIMP,
        'squid' => Emoji::SQUID,
        'oyster' => Emoji::OYSTER,
        'soft ice cream' => Emoji::SOFT_ICE_CREAM,
        'shaved ice' => Emoji::SHAVED_ICE,
        'ice cream' => Emoji::ICE_CREAM,
        'doughnut' => Emoji::DOUGHNUT,
        'cookie' => Emoji::COOKIE,
        'birthday cake' => Emoji::BIRTHDAY_CAKE,
        'shortcake' => Emoji::SHORTCAKE,
        'cupcake' => Emoji::CUPCAKE,
        'pie' => Emoji::PIE,
        'chocolate bar' => Emoji::CHOCOLATE_BAR,
        'candy' => Emoji::CANDY,
        'lollipop' => Emoji::LOLLIPOP,
        'custard' => Emoji::CUSTARD,
        'honey pot' => Emoji::HONEY_POT,
        'baby bottle' => Emoji::BABY_BOTTLE,
        'glass of milk' => Emoji::GLASS_OF_MILK,
        'hot beverage' => Emoji::HOT_BEVERAGE,
        'teapot' => Emoji::TEAPOT,
        'teacup without handle' => Emoji::TEACUP_WITHOUT_HANDLE,
        'sake' => Emoji::SAKE,
        'bottle with popping cork' => Emoji::BOTTLE_WITH_POPPING_CORK,
        'wine glass' => Emoji::WINE_GLASS,
        'cocktail glass' => Emoji::COCKTAIL_GLASS,
        'tropical drink' => Emoji::TROPICAL_DRINK,
        'beer mug' => Emoji::BEER_MUG,
        'clinking beer mugs' => Emoji::CLINKING_BEER_MUGS,
        'clinking glasses' => Emoji::CLINKING_GLASSES,
        'tumbler glass' => Emoji::TUMBLER_GLASS,
        'cup with straw' => Emoji::CUP_WITH_STRAW,
        'bubble tea' => Emoji::BUBBLE_TEA,
        'beverage box' => Emoji::BEVERAGE_BOX,
        'mate' => Emoji::MATE,
        'ice' => Emoji::ICE,
        'chopsticks' => Emoji::CHOPSTICKS,
        'fork and knife with plate' => Emoji::FORK_AND_KNIFE_WITH_PLATE,
        'fork and knife' => Emoji::FORK_AND_KNIFE,
        'spoon' => Emoji::SPOON,
        'kitchen knife' => Emoji::KITCHEN_KNIFE,
        'amphora' => Emoji::AMPHORA,
        'globe showing Europe-Africa' => Emoji::GLOBE_SHOWING_EUROPE_AFRICA,
        'globe showing Americas' => Emoji::GLOBE_SHOWING_AMERICAS,
        'globe showing Asia-Australia' => Emoji::GLOBE_SHOWING_ASIA_AUSTRALIA,
        'globe with meridians' => Emoji::GLOBE_WITH_MERIDIANS,
        'world map' => Emoji::WORLD_MAP,
        'map of Japan' => Emoji::MAP_OF_JAPAN,
        'compass' => Emoji::COMPASS,
        'snow-capped mountain' => Emoji::SNOW_CAPPED_MOUNTAIN,
        'mountain' => Emoji::MOUNTAIN,
        'volcano' => Emoji::VOLCANO,
        'mount fuji' => Emoji::MOUNT_FUJI,
        'camping' => Emoji::CAMPING,
        'beach with umbrella' => Emoji::BEACH_WITH_UMBRELLA,
        'desert' => Emoji::DESERT,
        'desert island' => Emoji::DESERT_ISLAND,
        'national park' => Emoji::NATIONAL_PARK,
        'stadium' => Emoji::STADIUM,
        'classical building' => Emoji::CLASSICAL_BUILDING,
        'building construction' => Emoji::BUILDING_CONSTRUCTION,
        'brick' => Emoji::BRICK,
        'rock' => Emoji::ROCK,
        'wood' => Emoji::WOOD,
        'hut' => Emoji::HUT,
        'houses' => Emoji::HOUSES,
        'derelict house' => Emoji::DERELICT_HOUSE,
        'house' => Emoji::HOUSE,
        'house with garden' => Emoji::HOUSE_WITH_GARDEN,
        'office building' => Emoji::OFFICE_BUILDING,
        'Japanese post office' => Emoji::JAPANESE_POST_OFFICE,
        'post office' => Emoji::POST_OFFICE,
        'hospital' => Emoji::HOSPITAL,
        'bank' => Emoji::BANK,
        'hotel' => Emoji::HOTEL,
        'love hotel' => Emoji::LOVE_HOTEL,
        'convenience store' => Emoji::CONVENIENCE_STORE,
        'school' => Emoji::SCHOOL,
        'department store' => Emoji::DEPARTMENT_STORE,
        'factory' => Emoji::FACTORY,
        'Japanese castle' => Emoji::JAPANESE_CASTLE,
        'castle' => Emoji::CASTLE,
        'wedding' => Emoji::WEDDING,
        'Tokyo tower' => Emoji::TOKYO_TOWER,
        'Statue of Liberty' => Emoji::STATUE_OF_LIBERTY,
        'church' => Emoji::CHURCH,
        'mosque' => Emoji::MOSQUE,
        'hindu temple' => Emoji::HINDU_TEMPLE,
        'synagogue' => Emoji::SYNAGOGUE,
        'shinto shrine' => Emoji::SHINTO_SHRINE,
        'kaaba' => Emoji::KAABA,
        'fountain' => Emoji::FOUNTAIN,
        'tent' => Emoji::TENT,
        'foggy' => Emoji::FOGGY,
        'night with stars' => Emoji::NIGHT_WITH_STARS,
        'cityscape' => Emoji::CITYSCAPE,
        'sunrise over mountains' => Emoji::SUNRISE_OVER_MOUNTAINS,
        'sunrise' => Emoji::SUNRISE,
        'cityscape at dusk' => Emoji::CITYSCAPE_AT_DUSK,
        'sunset' => Emoji::SUNSET,
        'bridge at night' => Emoji::BRIDGE_AT_NIGHT,
        'hot springs' => Emoji::HOT_SPRINGS,
        'carousel horse' => Emoji::CAROUSEL_HORSE,
        'ferris wheel' => Emoji::FERRIS_WHEEL,
        'roller coaster' => Emoji::ROLLER_COASTER,
        'barber pole' => Emoji::BARBER_POLE,
        'circus tent' => Emoji::CIRCUS_TENT,
        'locomotive' => Emoji::LOCOMOTIVE,
        'railway car' => Emoji::RAILWAY_CAR,
        'high-speed train' => Emoji::HIGH_SPEED_TRAIN,
        'bullet train' => Emoji::BULLET_TRAIN,
        'train' => Emoji::TRAIN,
        'metro' => Emoji::METRO,
        'light rail' => Emoji::LIGHT_RAIL,
        'station' => Emoji::STATION,
        'tram' => Emoji::TRAM,
        'monorail' => Emoji::MONORAIL,
        'mountain railway' => Emoji::MOUNTAIN_RAILWAY,
        'tram car' => Emoji::TRAM_CAR,
        'bus' => Emoji::BUS,
        'oncoming bus' => Emoji::ONCOMING_BUS,
        'trolleybus' => Emoji::TROLLEYBUS,
        'minibus' => Emoji::MINIBUS,
        'ambulance' => Emoji::AMBULANCE,
        'fire engine' => Emoji::FIRE_ENGINE,
        'police car' => Emoji::POLICE_CAR,
        'oncoming police car' => Emoji::ONCOMING_POLICE_CAR,
        'taxi' => Emoji::TAXI,
        'oncoming taxi' => Emoji::ONCOMING_TAXI,
        'automobile' => Emoji::AUTOMOBILE,
        'oncoming automobile' => Emoji::ONCOMING_AUTOMOBILE,
        'sport utility vehicle' => Emoji::SPORT_UTILITY_VEHICLE,
        'pickup truck' => Emoji::PICKUP_TRUCK,
        'delivery truck' => Emoji::DELIVERY_TRUCK,
        'articulated lorry' => Emoji::ARTICULATED_LORRY,
        'tractor' => Emoji::TRACTOR,
        'racing car' => Emoji::RACING_CAR,
        'motorcycle' => Emoji::MOTORCYCLE,
        'motor scooter' => Emoji::MOTOR_SCOOTER,
        'manual wheelchair' => Emoji::MANUAL_WHEELCHAIR,
        'motorized wheelchair' => Emoji::MOTORIZED_WHEELCHAIR,
        'auto rickshaw' => Emoji::AUTO_RICKSHAW,
        'bicycle' => Emoji::BICYCLE,
        'kick scooter' => Emoji::KICK_SCOOTER,
        'skateboard' => Emoji::SKATEBOARD,
        'roller skate' => Emoji::ROLLER_SKATE,
        'bus stop' => Emoji::BUS_STOP,
        'motorway' => Emoji::MOTORWAY,
        'railway track' => Emoji::RAILWAY_TRACK,
        'oil drum' => Emoji::OIL_DRUM,
        'fuel pump' => Emoji::FUEL_PUMP,
        'police car light' => Emoji::POLICE_CAR_LIGHT,
        'horizontal traffic light' => Emoji::HORIZONTAL_TRAFFIC_LIGHT,
        'vertical traffic light' => Emoji::VERTICAL_TRAFFIC_LIGHT,
        'stop sign' => Emoji::STOP_SIGN,
        'construction' => Emoji::CONSTRUCTION,
        'anchor' => Emoji::ANCHOR,
        'sailboat' => Emoji::SAILBOAT,
        'canoe' => Emoji::CANOE,
        'speedboat' => Emoji::SPEEDBOAT,
        'passenger ship' => Emoji::PASSENGER_SHIP,
        'ferry' => Emoji::FERRY,
        'motor boat' => Emoji::MOTOR_BOAT,
        'ship' => Emoji::SHIP,
        'airplane' => Emoji::AIRPLANE,
        'small airplane' => Emoji::SMALL_AIRPLANE,
        'airplane departure' => Emoji::AIRPLANE_DEPARTURE,
        'airplane arrival' => Emoji::AIRPLANE_ARRIVAL,
        'parachute' => Emoji::PARACHUTE,
        'seat' => Emoji::SEAT,
        'helicopter' => Emoji::HELICOPTER,
        'suspension railway' => Emoji::SUSPENSION_RAILWAY,
        'mountain cableway' => Emoji::MOUNTAIN_CABLEWAY,
        'aerial tramway' => Emoji::AERIAL_TRAMWAY,
        'satellite' => Emoji::SATELLITE,
        'rocket' => Emoji::ROCKET,
        'flying saucer' => Emoji::FLYING_SAUCER,
        'bellhop bell' => Emoji::BELLHOP_BELL,
        'luggage' => Emoji::LUGGAGE,
        'hourglass done' => Emoji::HOURGLASS_DONE,
        'hourglass not done' => Emoji::HOURGLASS_NOT_DONE,
        'watch' => Emoji::WATCH,
        'alarm clock' => Emoji::ALARM_CLOCK,
        'stopwatch' => Emoji::STOPWATCH,
        'timer clock' => Emoji::TIMER_CLOCK,
        'mantelpiece clock' => Emoji::MANTELPIECE_CLOCK,
        'twelve o’clock' => Emoji::TWELVE_OCLOCK,
        'twelve-thirty' => Emoji::TWELVE_THIRTY,
        'one o’clock' => Emoji::ONE_OCLOCK,
        'one-thirty' => Emoji::ONE_THIRTY,
        'two o’clock' => Emoji::TWO_OCLOCK,
        'two-thirty' => Emoji::TWO_THIRTY,
        'three o’clock' => Emoji::THREE_OCLOCK,
        'three-thirty' => Emoji::THREE_THIRTY,
        'four o’clock' => Emoji::FOUR_OCLOCK,
        'four-thirty' => Emoji::FOUR_THIRTY,
        'five o’clock' => Emoji::FIVE_OCLOCK,
        'five-thirty' => Emoji::FIVE_THIRTY,
        'six o’clock' => Emoji::SIX_OCLOCK,
        'six-thirty' => Emoji::SIX_THIRTY,
        'seven o’clock' => Emoji::SEVEN_OCLOCK,
        'seven-thirty' => Emoji::SEVEN_THIRTY,
        'eight o’clock' => Emoji::EIGHT_OCLOCK,
        'eight-thirty' => Emoji::EIGHT_THIRTY,
        'nine o’clock' => Emoji::NINE_OCLOCK,
        'nine-thirty' => Emoji::NINE_THIRTY,
        'ten o’clock' => Emoji::TEN_OCLOCK,
        'ten-thirty' => Emoji::TEN_THIRTY,
        'eleven o’clock' => Emoji::ELEVEN_OCLOCK,
        'eleven-thirty' => Emoji::ELEVEN_THIRTY,
        'new moon' => Emoji::NEW_MOON,
        'waxing crescent moon' => Emoji::WAXING_CRESCENT_MOON,
        'first quarter moon' => Emoji::FIRST_QUARTER_MOON,
        'waxing gibbous moon' => Emoji::WAXING_GIBBOUS_MOON,
        'full moon' => Emoji::FULL_MOON,
        'waning gibbous moon' => Emoji::WANING_GIBBOUS_MOON,
        'last quarter moon' => Emoji::LAST_QUARTER_MOON,
        'waning crescent moon' => Emoji::WANING_CRESCENT_MOON,
        'crescent moon' => Emoji::CRESCENT_MOON,
        'new moon face' => Emoji::NEW_MOON_FACE,
        'first quarter moon face' => Emoji::FIRST_QUARTER_MOON_FACE,
        'last quarter moon face' => Emoji::LAST_QUARTER_MOON_FACE,
        'thermometer' => Emoji::THERMOMETER,
        'sun' => Emoji::SUN,
        'full moon face' => Emoji::FULL_MOON_FACE,
        'sun with face' => Emoji::SUN_WITH_FACE,
        'ringed planet' => Emoji::RINGED_PLANET,
        'star' => Emoji::STAR,
        'glowing star' => Emoji::GLOWING_STAR,
        'shooting star' => Emoji::SHOOTING_STAR,
        'milky way' => Emoji::MILKY_WAY,
        'cloud' => Emoji::CLOUD,
        'sun behind cloud' => Emoji::SUN_BEHIND_CLOUD,
        'cloud with lightning and rain' => Emoji::CLOUD_WITH_LIGHTNING_AND_RAIN,
        'sun behind small cloud' => Emoji::SUN_BEHIND_SMALL_CLOUD,
        'sun behind large cloud' => Emoji::SUN_BEHIND_LARGE_CLOUD,
        'sun behind rain cloud' => Emoji::SUN_BEHIND_RAIN_CLOUD,
        'cloud with rain' => Emoji::CLOUD_WITH_RAIN,
        'cloud with snow' => Emoji::CLOUD_WITH_SNOW,
        'cloud with lightning' => Emoji::CLOUD_WITH_LIGHTNING,
        'tornado' => Emoji::TORNADO,
        'fog' => Emoji::FOG,
        'wind face' => Emoji::WIND_FACE,
        'cyclone' => Emoji::CYCLONE,
        'rainbow' => Emoji::RAINBOW,
        'closed umbrella' => Emoji::CLOSED_UMBRELLA,
        'umbrella' => Emoji::UMBRELLA,
        'umbrella with rain drops' => Emoji::UMBRELLA_WITH_RAIN_DROPS,
        'umbrella on ground' => Emoji::UMBRELLA_ON_GROUND,
        'high voltage' => Emoji::HIGH_VOLTAGE,
        'snowflake' => Emoji::SNOWFLAKE,
        'snowman' => Emoji::SNOWMAN,
        'snowman without snow' => Emoji::SNOWMAN_WITHOUT_SNOW,
        'comet' => Emoji::COMET,
        'fire' => Emoji::FIRE,
        'droplet' => Emoji::DROPLET,
        'water wave' => Emoji::WATER_WAVE,
        'jack-o-lantern' => Emoji::JACK_O_LANTERN,
        'Christmas tree' => Emoji::CHRISTMAS_TREE,
        'fireworks' => Emoji::FIREWORKS,
        'sparkler' => Emoji::SPARKLER,
        'firecracker' => Emoji::FIRECRACKER,
        'sparkles' => Emoji::SPARKLES,
        'balloon' => Emoji::BALLOON,
        'party popper' => Emoji::PARTY_POPPER,
        'confetti ball' => Emoji::CONFETTI_BALL,
        'tanabata tree' => Emoji::TANABATA_TREE,
        'pine decoration' => Emoji::PINE_DECORATION,
        'Japanese dolls' => Emoji::JAPANESE_DOLLS,
        'carp streamer' => Emoji::CARP_STREAMER,
        'wind chime' => Emoji::WIND_CHIME,
        'moon viewing ceremony' => Emoji::MOON_VIEWING_CEREMONY,
        'red envelope' => Emoji::RED_ENVELOPE,
        'ribbon' => Emoji::RIBBON,
        'wrapped gift' => Emoji::WRAPPED_GIFT,
        'reminder ribbon' => Emoji::REMINDER_RIBBON,
        'admission tickets' => Emoji::ADMISSION_TICKETS,
        'ticket' => Emoji::TICKET,
        'military medal' => Emoji::MILITARY_MEDAL,
        'trophy' => Emoji::TROPHY,
        'sports medal' => Emoji::SPORTS_MEDAL,
        '1st place medal' => Emoji::FIRST_PLACE_MEDAL,
        '2nd place medal' => Emoji::SECOND_PLACE_MEDAL,
        '3rd place medal' => Emoji::THIRD_PLACE_MEDAL,
        'soccer ball' => Emoji::SOCCER_BALL,
        'baseball' => Emoji::BASEBALL,
        'softball' => Emoji::SOFTBALL,
        'basketball' => Emoji::BASKETBALL,
        'volleyball' => Emoji::VOLLEYBALL,
        'american football' => Emoji::AMERICAN_FOOTBALL,
        'rugby football' => Emoji::RUGBY_FOOTBALL,
        'tennis' => Emoji::TENNIS,
        'flying disc' => Emoji::FLYING_DISC,
        'bowling' => Emoji::BOWLING,
        'cricket game' => Emoji::CRICKET_GAME,
        'field hockey' => Emoji::FIELD_HOCKEY,
        'ice hockey' => Emoji::ICE_HOCKEY,
        'lacrosse' => Emoji::LACROSSE,
        'ping pong' => Emoji::PING_PONG,
        'badminton' => Emoji::BADMINTON,
        'boxing glove' => Emoji::BOXING_GLOVE,
        'martial arts uniform' => Emoji::MARTIAL_ARTS_UNIFORM,
        'goal net' => Emoji::GOAL_NET,
        'flag in hole' => Emoji::FLAG_IN_HOLE,
        'ice skate' => Emoji::ICE_SKATE,
        'fishing pole' => Emoji::FISHING_POLE,
        'diving mask' => Emoji::DIVING_MASK,
        'running shirt' => Emoji::RUNNING_SHIRT,
        'skis' => Emoji::SKIS,
        'sled' => Emoji::SLED,
        'curling stone' => Emoji::CURLING_STONE,
        'bullseye' => Emoji::BULLSEYE,
        'yo-yo' => Emoji::YO_YO,
        'kite' => Emoji::KITE,
        'pool 8 ball' => Emoji::POOL_8_BALL,
        'crystal ball' => Emoji::CRYSTAL_BALL,
        'magic wand' => Emoji::MAGIC_WAND,
        'nazar amulet' => Emoji::NAZAR_AMULET,
        'video game' => Emoji::VIDEO_GAME,
        'joystick' => Emoji::JOYSTICK,
        'slot machine' => Emoji::SLOT_MACHINE,
        'game die' => Emoji::GAME_DIE,
        'puzzle piece' => Emoji::PUZZLE_PIECE,
        'teddy bear' => Emoji::TEDDY_BEAR,
        'piñata' => Emoji::PINATA,
        'nesting dolls' => Emoji::NESTING_DOLLS,
        'spade suit' => Emoji::SPADE_SUIT,
        'heart suit' => Emoji::HEART_SUIT,
        'diamond suit' => Emoji::DIAMOND_SUIT,
        'club suit' => Emoji::CLUB_SUIT,
        'chess pawn' => Emoji::CHESS_PAWN,
        'joker' => Emoji::JOKER,
        'mahjong red dragon' => Emoji::MAHJONG_RED_DRAGON,
        'flower playing cards' => Emoji::FLOWER_PLAYING_CARDS,
        'performing arts' => Emoji::PERFORMING_ARTS,
        'framed picture' => Emoji::FRAMED_PICTURE,
        'artist palette' => Emoji::ARTIST_PALETTE,
        'thread' => Emoji::THREAD,
        'sewing needle' => Emoji::SEWING_NEEDLE,
        'yarn' => Emoji::YARN,
        'knot' => Emoji::KNOT,
        'glasses' => Emoji::GLASSES,
        'sunglasses' => Emoji::SUNGLASSES,
        'goggles' => Emoji::GOGGLES,
        'lab coat' => Emoji::LAB_COAT,
        'safety vest' => Emoji::SAFETY_VEST,
        'necktie' => Emoji::NECKTIE,
        't-shirt' => Emoji::T_SHIRT,
        'jeans' => Emoji::JEANS,
        'scarf' => Emoji::SCARF,
        'gloves' => Emoji::GLOVES,
        'coat' => Emoji::COAT,
        'socks' => Emoji::SOCKS,
        'dress' => Emoji::DRESS,
        'kimono' => Emoji::KIMONO,
        'sari' => Emoji::SARI,
        'one-piece swimsuit' => Emoji::ONE_PIECE_SWIMSUIT,
        'briefs' => Emoji::BRIEFS,
        'shorts' => Emoji::SHORTS,
        'bikini' => Emoji::BIKINI,
        'woman’s clothes' => Emoji::WOMANS_CLOTHES,
        'purse' => Emoji::PURSE,
        'handbag' => Emoji::HANDBAG,
        'clutch bag' => Emoji::CLUTCH_BAG,
        'shopping bags' => Emoji::SHOPPING_BAGS,
        'backpack' => Emoji::BACKPACK,
        'thong sandal' => Emoji::THONG_SANDAL,
        'man’s shoe' => Emoji::MANS_SHOE,
        'running shoe' => Emoji::RUNNING_SHOE,
        'hiking boot' => Emoji::HIKING_BOOT,
        'flat shoe' => Emoji::FLAT_SHOE,
        'high-heeled shoe' => Emoji::HIGH_HEELED_SHOE,
        'woman’s sandal' => Emoji::WOMANS_SANDAL,
        'ballet shoes' => Emoji::BALLET_SHOES,
        'woman’s boot' => Emoji::WOMANS_BOOT,
        'crown' => Emoji::CROWN,
        'woman’s hat' => Emoji::WOMANS_HAT,
        'top hat' => Emoji::TOP_HAT,
        'graduation cap' => Emoji::GRADUATION_CAP,
        'billed cap' => Emoji::BILLED_CAP,
        'military helmet' => Emoji::MILITARY_HELMET,
        'rescue worker’s helmet' => Emoji::RESCUE_WORKERS_HELMET,
        'prayer beads' => Emoji::PRAYER_BEADS,
        'lipstick' => Emoji::LIPSTICK,
        'ring' => Emoji::RING,
        'gem stone' => Emoji::GEM_STONE,
        'muted speaker' => Emoji::MUTED_SPEAKER,
        'speaker low volume' => Emoji::SPEAKER_LOW_VOLUME,
        'speaker medium volume' => Emoji::SPEAKER_MEDIUM_VOLUME,
        'speaker high volume' => Emoji::SPEAKER_HIGH_VOLUME,
        'loudspeaker' => Emoji::LOUDSPEAKER,
        'megaphone' => Emoji::MEGAPHONE,
        'postal horn' => Emoji::POSTAL_HORN,
        'bell' => Emoji::BELL,
        'bell with slash' => Emoji::BELL_WITH_SLASH,
        'musical score' => Emoji::MUSICAL_SCORE,
        'musical note' => Emoji::MUSICAL_NOTE,
        'musical notes' => Emoji::MUSICAL_NOTES,
        'studio microphone' => Emoji::STUDIO_MICROPHONE,
        'level slider' => Emoji::LEVEL_SLIDER,
        'control knobs' => Emoji::CONTROL_KNOBS,
        'microphone' => Emoji::MICROPHONE,
        'headphone' => Emoji::HEADPHONE,
        'radio' => Emoji::RADIO,
        'saxophone' => Emoji::SAXOPHONE,
        'accordion' => Emoji::ACCORDION,
        'guitar' => Emoji::GUITAR,
        'musical keyboard' => Emoji::MUSICAL_KEYBOARD,
        'trumpet' => Emoji::TRUMPET,
        'violin' => Emoji::VIOLIN,
        'banjo' => Emoji::BANJO,
        'drum' => Emoji::DRUM,
        'long drum' => Emoji::LONG_DRUM,
        'mobile phone' => Emoji::MOBILE_PHONE,
        'mobile phone with arrow' => Emoji::MOBILE_PHONE_WITH_ARROW,
        'telephone' => Emoji::TELEPHONE,
        'telephone receiver' => Emoji::TELEPHONE_RECEIVER,
        'pager' => Emoji::PAGER,
        'fax machine' => Emoji::FAX_MACHINE,
        'battery' => Emoji::BATTERY,
        'electric plug' => Emoji::ELECTRIC_PLUG,
        'laptop' => Emoji::LAPTOP,
        'desktop computer' => Emoji::DESKTOP_COMPUTER,
        'printer' => Emoji::PRINTER,
        'keyboard' => Emoji::KEYBOARD,
        'computer mouse' => Emoji::COMPUTER_MOUSE,
        'trackball' => Emoji::TRACKBALL,
        'computer disk' => Emoji::COMPUTER_DISK,
        'floppy disk' => Emoji::FLOPPY_DISK,
        'optical disk' => Emoji::OPTICAL_DISK,
        'dvd' => Emoji::DVD,
        'abacus' => Emoji::ABACUS,
        'movie camera' => Emoji::MOVIE_CAMERA,
        'film frames' => Emoji::FILM_FRAMES,
        'film projector' => Emoji::FILM_PROJECTOR,
        'clapper board' => Emoji::CLAPPER_BOARD,
        'television' => Emoji::TELEVISION,
        'camera' => Emoji::CAMERA,
        'camera with flash' => Emoji::CAMERA_WITH_FLASH,
        'video camera' => Emoji::VIDEO_CAMERA,
        'videocassette' => Emoji::VIDEOCASSETTE,
        'magnifying glass tilted left' => Emoji::MAGNIFYING_GLASS_TILTED_LEFT,
        'magnifying glass tilted right' => Emoji::MAGNIFYING_GLASS_TILTED_RIGHT,
        'candle' => Emoji::CANDLE,
        'light bulb' => Emoji::LIGHT_BULB,
        'flashlight' => Emoji::FLASHLIGHT,
        'red paper lantern' => Emoji::RED_PAPER_LANTERN,
        'diya lamp' => Emoji::DIYA_LAMP,
        'notebook with decorative cover' => Emoji::NOTEBOOK_WITH_DECORATIVE_COVER,
        'closed book' => Emoji::CLOSED_BOOK,
        'open book' => Emoji::OPEN_BOOK,
        'green book' => Emoji::GREEN_BOOK,
        'blue book' => Emoji::BLUE_BOOK,
        'orange book' => Emoji::ORANGE_BOOK,
        'books' => Emoji::BOOKS,
        'notebook' => Emoji::NOTEBOOK,
        'ledger' => Emoji::LEDGER,
        'page with curl' => Emoji::PAGE_WITH_CURL,
        'scroll' => Emoji::SCROLL,
        'page facing up' => Emoji::PAGE_FACING_UP,
        'newspaper' => Emoji::NEWSPAPER,
        'rolled-up newspaper' => Emoji::ROLLED_UP_NEWSPAPER,
        'bookmark tabs' => Emoji::BOOKMARK_TABS,
        'bookmark' => Emoji::BOOKMARK,
        'label' => Emoji::LABEL,
        'money bag' => Emoji::MONEY_BAG,
        'coin' => Emoji::COIN,
        'yen banknote' => Emoji::YEN_BANKNOTE,
        'dollar banknote' => Emoji::DOLLAR_BANKNOTE,
        'euro banknote' => Emoji::EURO_BANKNOTE,
        'pound banknote' => Emoji::POUND_BANKNOTE,
        'money with wings' => Emoji::MONEY_WITH_WINGS,
        'credit card' => Emoji::CREDIT_CARD,
        'receipt' => Emoji::RECEIPT,
        'chart increasing with yen' => Emoji::CHART_INCREASING_WITH_YEN,
        'envelope' => Emoji::ENVELOPE,
        'e-mail' => Emoji::E_MAIL,
        'incoming envelope' => Emoji::INCOMING_ENVELOPE,
        'envelope with arrow' => Emoji::ENVELOPE_WITH_ARROW,
        'outbox tray' => Emoji::OUTBOX_TRAY,
        'inbox tray' => Emoji::INBOX_TRAY,
        'package' => Emoji::PACKAGE,
        'closed mailbox with raised flag' => Emoji::CLOSED_MAILBOX_WITH_RAISED_FLAG,
        'closed mailbox with lowered flag' => Emoji::CLOSED_MAILBOX_WITH_LOWERED_FLAG,
        'open mailbox with raised flag' => Emoji::OPEN_MAILBOX_WITH_RAISED_FLAG,
        'open mailbox with lowered flag' => Emoji::OPEN_MAILBOX_WITH_LOWERED_FLAG,
        'postbox' => Emoji::POSTBOX,
        'ballot box with ballot' => Emoji::BALLOT_BOX_WITH_BALLOT,
        'pencil' => Emoji::PENCIL,
        'black nib' => Emoji::BLACK_NIB,
        'fountain pen' => Emoji::FOUNTAIN_PEN,
        'pen' => Emoji::PEN,
        'paintbrush' => Emoji::PAINTBRUSH,
        'crayon' => Emoji::CRAYON,
        'memo' => Emoji::MEMO,
        'briefcase' => Emoji::BRIEFCASE,
        'file folder' => Emoji::FILE_FOLDER,
        'open file folder' => Emoji::OPEN_FILE_FOLDER,
        'card index dividers' => Emoji::CARD_INDEX_DIVIDERS,
        'calendar' => Emoji::CALENDAR,
        'tear-off calendar' => Emoji::TEAR_OFF_CALENDAR,
        'spiral notepad' => Emoji::SPIRAL_NOTEPAD,
        'spiral calendar' => Emoji::SPIRAL_CALENDAR,
        'card index' => Emoji::CARD_INDEX,
        'chart increasing' => Emoji::CHART_INCREASING,
        'chart decreasing' => Emoji::CHART_DECREASING,
        'bar chart' => Emoji::BAR_CHART,
        'clipboard' => Emoji::CLIPBOARD,
        'pushpin' => Emoji::PUSHPIN,
        'round pushpin' => Emoji::ROUND_PUSHPIN,
        'paperclip' => Emoji::PAPERCLIP,
        'linked paperclips' => Emoji::LINKED_PAPERCLIPS,
        'straight ruler' => Emoji::STRAIGHT_RULER,
        'triangular ruler' => Emoji::TRIANGULAR_RULER,
        'scissors' => Emoji::SCISSORS,
        'card file box' => Emoji::CARD_FILE_BOX,
        'file cabinet' => Emoji::FILE_CABINET,
        'wastebasket' => Emoji::WASTEBASKET,
        'locked' => Emoji::LOCKED,
        'unlocked' => Emoji::UNLOCKED,
        'locked with pen' => Emoji::LOCKED_WITH_PEN,
        'locked with key' => Emoji::LOCKED_WITH_KEY,
        'key' => Emoji::KEY,
        'old key' => Emoji::OLD_KEY,
        'hammer' => Emoji::HAMMER,
        'axe' => Emoji::AXE,
        'pick' => Emoji::PICK,
        'hammer and pick' => Emoji::HAMMER_AND_PICK,
        'hammer and wrench' => Emoji::HAMMER_AND_WRENCH,
        'dagger' => Emoji::DAGGER,
        'crossed swords' => Emoji::CROSSED_SWORDS,
        'water pistol' => Emoji::WATER_PISTOL,
        'boomerang' => Emoji::BOOMERANG,
        'bow and arrow' => Emoji::BOW_AND_ARROW,
        'shield' => Emoji::SHIELD,
        'carpentry saw' => Emoji::CARPENTRY_SAW,
        'wrench' => Emoji::WRENCH,
        'screwdriver' => Emoji::SCREWDRIVER,
        'nut and bolt' => Emoji::NUT_AND_BOLT,
        'gear' => Emoji::GEAR,
        'clamp' => Emoji::CLAMP,
        'balance scale' => Emoji::BALANCE_SCALE,
        'white cane' => Emoji::WHITE_CANE,
        'link' => Emoji::LINK,
        'chains' => Emoji::CHAINS,
        'hook' => Emoji::HOOK,
        'toolbox' => Emoji::TOOLBOX,
        'magnet' => Emoji::MAGNET,
        'ladder' => Emoji::LADDER,
        'alembic' => Emoji::ALEMBIC,
        'test tube' => Emoji::TEST_TUBE,
        'petri dish' => Emoji::PETRI_DISH,
        'dna' => Emoji::DNA,
        'microscope' => Emoji::MICROSCOPE,
        'telescope' => Emoji::TELESCOPE,
        'satellite antenna' => Emoji::SATELLITE_ANTENNA,
        'syringe' => Emoji::SYRINGE,
        'drop of blood' => Emoji::DROP_OF_BLOOD,
        'pill' => Emoji::PILL,
        'adhesive bandage' => Emoji::ADHESIVE_BANDAGE,
        'stethoscope' => Emoji::STETHOSCOPE,
        'door' => Emoji::DOOR,
        'elevator' => Emoji::ELEVATOR,
        'mirror' => Emoji::MIRROR,
        'window' => Emoji::WINDOW,
        'bed' => Emoji::BED,
        'couch and lamp' => Emoji::COUCH_AND_LAMP,
        'chair' => Emoji::CHAIR,
        'toilet' => Emoji::TOILET,
        'plunger' => Emoji::PLUNGER,
        'shower' => Emoji::SHOWER,
        'bathtub' => Emoji::BATHTUB,
        'mouse trap' => Emoji::MOUSE_TRAP,
        'razor' => Emoji::RAZOR,
        'lotion bottle' => Emoji::LOTION_BOTTLE,
        'safety pin' => Emoji::SAFETY_PIN,
        'broom' => Emoji::BROOM,
        'basket' => Emoji::BASKET,
        'roll of paper' => Emoji::ROLL_OF_PAPER,
        'bucket' => Emoji::BUCKET,
        'soap' => Emoji::SOAP,
        'toothbrush' => Emoji::TOOTHBRUSH,
        'sponge' => Emoji::SPONGE,
        'fire extinguisher' => Emoji::FIRE_EXTINGUISHER,
        'shopping cart' => Emoji::SHOPPING_CART,
        'cigarette' => Emoji::CIGARETTE,
        'coffin' => Emoji::COFFIN,
        'headstone' => Emoji::HEADSTONE,
        'funeral urn' => Emoji::FUNERAL_URN,
        'moai' => Emoji::MOAI,
        'placard' => Emoji::PLACARD,
        'ATM sign' => Emoji::ATM_SIGN,
        'litter in bin sign' => Emoji::LITTER_IN_BIN_SIGN,
        'potable water' => Emoji::POTABLE_WATER,
        'wheelchair symbol' => Emoji::WHEELCHAIR_SYMBOL,
        'men’s room' => Emoji::MENS_ROOM,
        'women’s room' => Emoji::WOMENS_ROOM,
        'restroom' => Emoji::RESTROOM,
        'baby symbol' => Emoji::BABY_SYMBOL,
        'water closet' => Emoji::WATER_CLOSET,
        'passport control' => Emoji::PASSPORT_CONTROL,
        'customs' => Emoji::CUSTOMS,
        'baggage claim' => Emoji::BAGGAGE_CLAIM,
        'left luggage' => Emoji::LEFT_LUGGAGE,
        'warning' => Emoji::WARNING,
        'children crossing' => Emoji::CHILDREN_CROSSING,
        'no entry' => Emoji::NO_ENTRY,
        'prohibited' => Emoji::PROHIBITED,
        'no bicycles' => Emoji::NO_BICYCLES,
        'no smoking' => Emoji::NO_SMOKING,
        'no littering' => Emoji::NO_LITTERING,
        'non-potable water' => Emoji::NON_POTABLE_WATER,
        'no pedestrians' => Emoji::NO_PEDESTRIANS,
        'no mobile phones' => Emoji::NO_MOBILE_PHONES,
        'no one under eighteen' => Emoji::NO_ONE_UNDER_EIGHTEEN,
        'radioactive' => Emoji::RADIOACTIVE,
        'biohazard' => Emoji::BIOHAZARD,
        'up arrow' => Emoji::UP_ARROW,
        'up-right arrow' => Emoji::UP_RIGHT_ARROW,
        'right arrow' => Emoji::RIGHT_ARROW,
        'down-right arrow' => Emoji::DOWN_RIGHT_ARROW,
        'down arrow' => Emoji::DOWN_ARROW,
        'down-left arrow' => Emoji::DOWN_LEFT_ARROW,
        'left arrow' => Emoji::LEFT_ARROW,
        'up-left arrow' => Emoji::UP_LEFT_ARROW,
        'up-down arrow' => Emoji::UP_DOWN_ARROW,
        'left-right arrow' => Emoji::LEFT_RIGHT_ARROW,
        'right arrow curving left' => Emoji::RIGHT_ARROW_CURVING_LEFT,
        'left arrow curving right' => Emoji::LEFT_ARROW_CURVING_RIGHT,
        'right arrow curving up' => Emoji::RIGHT_ARROW_CURVING_UP,
        'right arrow curving down' => Emoji::RIGHT_ARROW_CURVING_DOWN,
        'clockwise vertical arrows' => Emoji::CLOCKWISE_VERTICAL_ARROWS,
        'counterclockwise arrows button' => Emoji::COUNTERCLOCKWISE_ARROWS_BUTTON,
        'BACK arrow' => Emoji::BACK_ARROW,
        'END arrow' => Emoji::END_ARROW,
        'ON! arrow' => Emoji::ON_ARROW,
        'SOON arrow' => Emoji::SOON_ARROW,
        'TOP arrow' => Emoji::TOP_ARROW,
        'place of worship' => Emoji::PLACE_OF_WORSHIP,
        'atom symbol' => Emoji::ATOM_SYMBOL,
        'om' => Emoji::OM,
        'star of David' => Emoji::STAR_OF_DAVID,
        'wheel of dharma' => Emoji::WHEEL_OF_DHARMA,
        'yin yang' => Emoji::YIN_YANG,
        'latin cross' => Emoji::LATIN_CROSS,
        'orthodox cross' => Emoji::ORTHODOX_CROSS,
        'star and crescent' => Emoji::STAR_AND_CRESCENT,
        'peace symbol' => Emoji::PEACE_SYMBOL,
        'menorah' => Emoji::MENORAH,
        'dotted six-pointed star' => Emoji::DOTTED_SIX_POINTED_STAR,
        'Aries' => Emoji::ARIES,
        'Taurus' => Emoji::TAURUS,
        'Gemini' => Emoji::GEMINI,
        'Cancer' => Emoji::CANCER,
        'Leo' => Emoji::LEO,
        'Virgo' => Emoji::VIRGO,
        'Libra' => Emoji::LIBRA,
        'Scorpio' => Emoji::SCORPIO,
        'Sagittarius' => Emoji::SAGITTARIUS,
        'Capricorn' => Emoji::CAPRICORN,
        'Aquarius' => Emoji::AQUARIUS,
        'Pisces' => Emoji::PISCES,
        'Ophiuchus' => Emoji::OPHIUCHUS,
        'shuffle tracks button' => Emoji::SHUFFLE_TRACKS_BUTTON,
        'repeat button' => Emoji::REPEAT_BUTTON,
        'repeat single button' => Emoji::REPEAT_SINGLE_BUTTON,
        'play button' => Emoji::PLAY_BUTTON,
        'fast-forward button' => Emoji::FAST_FORWARD_BUTTON,
        'next track button' => Emoji::NEXT_TRACK_BUTTON,
        'play or pause button' => Emoji::PLAY_OR_PAUSE_BUTTON,
        'reverse button' => Emoji::REVERSE_BUTTON,
        'fast reverse button' => Emoji::FAST_REVERSE_BUTTON,
        'last track button' => Emoji::LAST_TRACK_BUTTON,
        'upwards button' => Emoji::UPWARDS_BUTTON,
        'fast up button' => Emoji::FAST_UP_BUTTON,
        'downwards button' => Emoji::DOWNWARDS_BUTTON,
        'fast down button' => Emoji::FAST_DOWN_BUTTON,
        'pause button' => Emoji::PAUSE_BUTTON,
        'stop button' => Emoji::STOP_BUTTON,
        'record button' => Emoji::RECORD_BUTTON,
        'eject button' => Emoji::EJECT_BUTTON,
        'cinema' => Emoji::CINEMA,
        'dim button' => Emoji::DIM_BUTTON,
        'bright button' => Emoji::BRIGHT_BUTTON,
        'antenna bars' => Emoji::ANTENNA_BARS,
        'vibration mode' => Emoji::VIBRATION_MODE,
        'mobile phone off' => Emoji::MOBILE_PHONE_OFF,
        'female sign' => Emoji::FEMALE_SIGN,
        'male sign' => Emoji::MALE_SIGN,
        'transgender symbol' => Emoji::TRANSGENDER_SYMBOL,
        'multiply' => Emoji::MULTIPLY,
        'plus' => Emoji::PLUS,
        'minus' => Emoji::MINUS,
        'divide' => Emoji::DIVIDE,
        'infinity' => Emoji::INFINITY,
        'double exclamation mark' => Emoji::DOUBLE_EXCLAMATION_MARK,
        'exclamation question mark' => Emoji::EXCLAMATION_QUESTION_MARK,
        'red question mark' => Emoji::RED_QUESTION_MARK,
        'white question mark' => Emoji::WHITE_QUESTION_MARK,
        'white exclamation mark' => Emoji::WHITE_EXCLAMATION_MARK,
        'red exclamation mark' => Emoji::RED_EXCLAMATION_MARK,
        'wavy dash' => Emoji::WAVY_DASH,
        'currency exchange' => Emoji::CURRENCY_EXCHANGE,
        'heavy dollar sign' => Emoji::HEAVY_DOLLAR_SIGN,
        'medical symbol' => Emoji::MEDICAL_SYMBOL,
        'recycling symbol' => Emoji::RECYCLING_SYMBOL,
        'fleur-de-lis' => Emoji::FLEUR_DE_LIS,
        'trident emblem' => Emoji::TRIDENT_EMBLEM,
        'name badge' => Emoji::NAME_BADGE,
        'Japanese symbol for beginner' => Emoji::JAPANESE_SYMBOL_FOR_BEGINNER,
        'hollow red circle' => Emoji::HOLLOW_RED_CIRCLE,
        'check mark button' => Emoji::CHECK_MARK_BUTTON,
        'check box with check' => Emoji::CHECK_BOX_WITH_CHECK,
        'check mark' => Emoji::CHECK_MARK,
        'cross mark' => Emoji::CROSS_MARK,
        'cross mark button' => Emoji::CROSS_MARK_BUTTON,
        'curly loop' => Emoji::CURLY_LOOP,
        'double curly loop' => Emoji::DOUBLE_CURLY_LOOP,
        'part alternation mark' => Emoji::PART_ALTERNATION_MARK,
        'eight-spoked asterisk' => Emoji::EIGHT_SPOKED_ASTERISK,
        'eight-pointed star' => Emoji::EIGHT_POINTED_STAR,
        'sparkle' => Emoji::SPARKLE,
        'copyright' => Emoji::COPYRIGHT,
        'registered' => Emoji::REGISTERED,
        'trade mark' => Emoji::TRADE_MARK,
        'keycap: #' => Emoji::KEYCAP_HASH,
        'keycap: *' => Emoji::KEYCAP_ASTERISK,
        'keycap: 0' => Emoji::KEYCAP_0,
        'keycap: 1' => Emoji::KEYCAP_1,
        'keycap: 2' => Emoji::KEYCAP_2,
        'keycap: 3' => Emoji::KEYCAP_3,
        'keycap: 4' => Emoji::KEYCAP_4,
        'keycap: 5' => Emoji::KEYCAP_5,
        'keycap: 6' => Emoji::KEYCAP_6,
        'keycap: 7' => Emoji::KEYCAP_7,
        'keycap: 8' => Emoji::KEYCAP_8,
        'keycap: 9' => Emoji::KEYCAP_9,
        'keycap: 10' => Emoji::KEYCAP_10,
        'input latin uppercase' => Emoji::INPUT_LATIN_UPPERCASE,
        'input latin lowercase' => Emoji::INPUT_LATIN_LOWERCASE,
        'input numbers' => Emoji::INPUT_NUMBERS,
        'input symbols' => Emoji::INPUT_SYMBOLS,
        'input latin letters' => Emoji::INPUT_LATIN_LETTERS,
        'A button (blood type)' => Emoji::A_BUTTON_BLOOD_TYPE,
        'AB button (blood type)' => Emoji::AB_BUTTON_BLOOD_TYPE,
        'B button (blood type)' => Emoji::B_BUTTON_BLOOD_TYPE,
        'CL button' => Emoji::CL_BUTTON,
        'COOL button' => Emoji::COOL_BUTTON,
        'FREE button' => Emoji::FREE_BUTTON,
        'information' => Emoji::INFORMATION,
        'ID button' => Emoji::ID_BUTTON,
        'circled M' => Emoji::CIRCLED_M,
        'NEW button' => Emoji::NEW_BUTTON,
        'NG button' => Emoji::NG_BUTTON,
        'O button (blood type)' => Emoji::O_BUTTON_BLOOD_TYPE,
        'OK button' => Emoji::OK_BUTTON,
        'P button' => Emoji::P_BUTTON,
        'SOS button' => Emoji::SOS_BUTTON,
        'UP! button' => Emoji::UP_BUTTON,
        'VS button' => Emoji::VS_BUTTON,
        'Japanese “here” button' => Emoji::JAPANESE_HERE_BUTTON,
        'Japanese “service charge” button' => Emoji::JAPANESE_SERVICE_CHARGE_BUTTON,
        'Japanese “monthly amount” button' => Emoji::JAPANESE_MONTHLY_AMOUNT_BUTTON,
        'Japanese “not free of charge” button' => Emoji::JAPANESE_NOT_FREE_OF_CHARGE_BUTTON,
        'Japanese “reserved” button' => Emoji::JAPANESE_RESERVED_BUTTON,
        'Japanese “bargain” button' => Emoji::JAPANESE_BARGAIN_BUTTON,
        'Japanese “discount” button' => Emoji::JAPANESE_DISCOUNT_BUTTON,
        'Japanese “free of charge” button' => Emoji::JAPANESE_FREE_OF_CHARGE_BUTTON,
        'Japanese “prohibited” button' => Emoji::JAPANESE_PROHIBITED_BUTTON,
        'Japanese “acceptable” button' => Emoji::JAPANESE_ACCEPTABLE_BUTTON,
        'Japanese “application” button' => Emoji::JAPANESE_APPLICATION_BUTTON,
        'Japanese “passing grade” button' => Emoji::JAPANESE_PASSING_GRADE_BUTTON,
        'Japanese “vacancy” button' => Emoji::JAPANESE_VACANCY_BUTTON,
        'Japanese “congratulations” button' => Emoji::JAPANESE_CONGRATULATIONS_BUTTON,
        'Japanese “secret” button' => Emoji::JAPANESE_SECRET_BUTTON,
        'Japanese “open for business” button' => Emoji::JAPANESE_OPEN_FOR_BUSINESS_BUTTON,
        'Japanese “no vacancy” button' => Emoji::JAPANESE_NO_VACANCY_BUTTON,
        'red circle' => Emoji::RED_CIRCLE,
        'orange circle' => Emoji::ORANGE_CIRCLE,
        'yellow circle' => Emoji::YELLOW_CIRCLE,
        'green circle' => Emoji::GREEN_CIRCLE,
        'blue circle' => Emoji::BLUE_CIRCLE,
        'purple circle' => Emoji::PURPLE_CIRCLE,
        'brown circle' => Emoji::BROWN_CIRCLE,
        'black circle' => Emoji::BLACK_CIRCLE,
        'white circle' => Emoji::WHITE_CIRCLE,
        'red square' => Emoji::RED_SQUARE,
        'orange square' => Emoji::ORANGE_SQUARE,
        'yellow square' => Emoji::YELLOW_SQUARE,
        'green square' => Emoji::GREEN_SQUARE,
        'blue square' => Emoji::BLUE_SQUARE,
        'purple square' => Emoji::PURPLE_SQUARE,
        'brown square' => Emoji::BROWN_SQUARE,
        'black large square' => Emoji::BLACK_LARGE_SQUARE,
        'white large square' => Emoji::WHITE_LARGE_SQUARE,
        'black medium square' => Emoji::BLACK_MEDIUM_SQUARE,
        'white medium square' => Emoji::WHITE_MEDIUM_SQUARE,
        'black medium-small square' => Emoji::BLACK_MEDIUM_SMALL_SQUARE,
        'white medium-small square' => Emoji::WHITE_MEDIUM_SMALL_SQUARE,
        'black small square' => Emoji::BLACK_SMALL_SQUARE,
        'white small square' => Emoji::WHITE_SMALL_SQUARE,
        'large orange diamond' => Emoji::LARGE_ORANGE_DIAMOND,
        'large blue diamond' => Emoji::LARGE_BLUE_DIAMOND,
        'small orange diamond' => Emoji::SMALL_ORANGE_DIAMOND,
        'small blue diamond' => Emoji::SMALL_BLUE_DIAMOND,
        'red triangle pointed up' => Emoji::RED_TRIANGLE_POINTED_UP,
        'red triangle pointed down' => Emoji::RED_TRIANGLE_POINTED_DOWN,
        'diamond with a dot' => Emoji::DIAMOND_WITH_A_DOT,
        'radio button' => Emoji::RADIO_BUTTON,
        'white square button' => Emoji::WHITE_SQUARE_BUTTON,
        'black square button' => Emoji::BLACK_SQUARE_BUTTON,
        'chequered flag' => Emoji::CHEQUERED_FLAG,
        'triangular flag' => Emoji::TRIANGULAR_FLAG,
        'crossed flags' => Emoji::CROSSED_FLAGS,
        'black flag' => Emoji::BLACK_FLAG,
        'white flag' => Emoji::WHITE_FLAG,
        'rainbow flag' => Emoji::RAINBOW_FLAG,
        'transgender flag' => Emoji::TRANSGENDER_FLAG,
        'pirate flag' => Emoji::PIRATE_FLAG,
        'flag: Ascension Island' => Emoji::FLAG_ASCENSION_ISLAND,
        'flag: Andorra' => Emoji::FLAG_ANDORRA,
        'flag: United Arab Emirates' => Emoji::FLAG_UNITED_ARAB_EMIRATES,
        'flag: Afghanistan' => Emoji::FLAG_AFGHANISTAN,
        'flag: Antigua & Barbuda' => Emoji::FLAG_ANTIGUA_AND_BARBUDA,
        'flag: Anguilla' => Emoji::FLAG_ANGUILLA,
        'flag: Albania' => Emoji::FLAG_ALBANIA,
        'flag: Armenia' => Emoji::FLAG_ARMENIA,
        'flag: Angola' => Emoji::FLAG_ANGOLA,
        'flag: Antarctica' => Emoji::FLAG_ANTARCTICA,
        'flag: Argentina' => Emoji::FLAG_ARGENTINA,
        'flag: American Samoa' => Emoji::FLAG_AMERICAN_SAMOA,
        'flag: Austria' => Emoji::FLAG_AUSTRIA,
        'flag: Australia' => Emoji::FLAG_AUSTRALIA,
        'flag: Aruba' => Emoji::FLAG_ARUBA,
        'flag: Åland Islands' => Emoji::FLAG_ALAND_ISLANDS,
        'flag: Azerbaijan' => Emoji::FLAG_AZERBAIJAN,
        'flag: Bosnia & Herzegovina' => Emoji::FLAG_BOSNIA_AND_HERZEGOVINA,
        'flag: Barbados' => Emoji::FLAG_BARBADOS,
        'flag: Bangladesh' => Emoji::FLAG_BANGLADESH,
        'flag: Belgium' => Emoji::FLAG_BELGIUM,
        'flag: Burkina Faso' => Emoji::FLAG_BURKINA_FASO,
        'flag: Bulgaria' => Emoji::FLAG_BULGARIA,
        'flag: Bahrain' => Emoji::FLAG_BAHRAIN,
        'flag: Burundi' => Emoji::FLAG_BURUNDI,
        'flag: Benin' => Emoji::FLAG_BENIN,
        'flag: St. Barthélemy' => Emoji::FLAG_ST_BARTHELEMY,
        'flag: Bermuda' => Emoji::FLAG_BERMUDA,
        'flag: Brunei' => Emoji::FLAG_BRUNEI,
        'flag: Bolivia' => Emoji::FLAG_BOLIVIA,
        'flag: Caribbean Netherlands' => Emoji::FLAG_CARIBBEAN_NETHERLANDS,
        'flag: Brazil' => Emoji::FLAG_BRAZIL,
        'flag: Bahamas' => Emoji::FLAG_BAHAMAS,
        'flag: Bhutan' => Emoji::FLAG_BHUTAN,
        'flag: Bouvet Island' => Emoji::FLAG_BOUVET_ISLAND,
        'flag: Botswana' => Emoji::FLAG_BOTSWANA,
        'flag: Belarus' => Emoji::FLAG_BELARUS,
        'flag: Belize' => Emoji::FLAG_BELIZE,
        'flag: Canada' => Emoji::FLAG_CANADA,
        'flag: Cocos (Keeling) Islands' => Emoji::FLAG_COCOS_KEELING_ISLANDS,
        'flag: Congo - Kinshasa' => Emoji::FLAG_CONGO___KINSHASA,
        'flag: Central African Republic' => Emoji::FLAG_CENTRAL_AFRICAN_REPUBLIC,
        'flag: Congo - Brazzaville' => Emoji::FLAG_CONGO___BRAZZAVILLE,
        'flag: Switzerland' => Emoji::FLAG_SWITZERLAND,
        'flag: Côte d’Ivoire' => Emoji::FLAG_COTE_DIVOIRE,
        'flag: Cook Islands' => Emoji::FLAG_COOK_ISLANDS,
        'flag: Chile' => Emoji::FLAG_CHILE,
        'flag: Cameroon' => Emoji::FLAG_CAMEROON,
        'flag: China' => Emoji::FLAG_CHINA,
        'flag: Colombia' => Emoji::FLAG_COLOMBIA,
        'flag: Clipperton Island' => Emoji::FLAG_CLIPPERTON_ISLAND,
        'flag: Costa Rica' => Emoji::FLAG_COSTA_RICA,
        'flag: Cuba' => Emoji::FLAG_CUBA,
        'flag: Cape Verde' => Emoji::FLAG_CAPE_VERDE,
        'flag: Curaçao' => Emoji::FLAG_CURACAO,
        'flag: Christmas Island' => Emoji::FLAG_CHRISTMAS_ISLAND,
        'flag: Cyprus' => Emoji::FLAG_CYPRUS,
        'flag: Czechia' => Emoji::FLAG_CZECHIA,
        'flag: Germany' => Emoji::FLAG_GERMANY,
        'flag: Diego Garcia' => Emoji::FLAG_DIEGO_GARCIA,
        'flag: Djibouti' => Emoji::FLAG_DJIBOUTI,
        'flag: Denmark' => Emoji::FLAG_DENMARK,
        'flag: Dominica' => Emoji::FLAG_DOMINICA,
        'flag: Dominican Republic' => Emoji::FLAG_DOMINICAN_REPUBLIC,
        'flag: Algeria' => Emoji::FLAG_ALGERIA,
        'flag: Ceuta & Melilla' => Emoji::FLAG_CEUTA_AND_MELILLA,
        'flag: Ecuador' => Emoji::FLAG_ECUADOR,
        'flag: Estonia' => Emoji::FLAG_ESTONIA,
        'flag: Egypt' => Emoji::FLAG_EGYPT,
        'flag: Western Sahara' => Emoji::FLAG_WESTERN_SAHARA,
        'flag: Eritrea' => Emoji::FLAG_ERITREA,
        'flag: Spain' => Emoji::FLAG_SPAIN,
        'flag: Ethiopia' => Emoji::FLAG_ETHIOPIA,
        'flag: European Union' => Emoji::FLAG_EUROPEAN_UNION,
        'flag: Finland' => Emoji::FLAG_FINLAND,
        'flag: Fiji' => Emoji::FLAG_FIJI,
        'flag: Falkland Islands' => Emoji::FLAG_FALKLAND_ISLANDS,
        'flag: Micronesia' => Emoji::FLAG_MICRONESIA,
        'flag: Faroe Islands' => Emoji::FLAG_FAROE_ISLANDS,
        'flag: France' => Emoji::FLAG_FRANCE,
        'flag: Gabon' => Emoji::FLAG_GABON,
        'flag: United Kingdom' => Emoji::FLAG_UNITED_KINGDOM,
        'flag: Grenada' => Emoji::FLAG_GRENADA,
        'flag: Georgia' => Emoji::FLAG_GEORGIA,
        'flag: French Guiana' => Emoji::FLAG_FRENCH_GUIANA,
        'flag: Guernsey' => Emoji::FLAG_GUERNSEY,
        'flag: Ghana' => Emoji::FLAG_GHANA,
        'flag: Gibraltar' => Emoji::FLAG_GIBRALTAR,
        'flag: Greenland' => Emoji::FLAG_GREENLAND,
        'flag: Gambia' => Emoji::FLAG_GAMBIA,
        'flag: Guinea' => Emoji::FLAG_GUINEA,
        'flag: Guadeloupe' => Emoji::FLAG_GUADELOUPE,
        'flag: Equatorial Guinea' => Emoji::FLAG_EQUATORIAL_GUINEA,
        'flag: Greece' => Emoji::FLAG_GREECE,
        'flag: South Georgia & South Sandwich Islands' => Emoji::FLAG_SOUTH_GEORGIA_AND_SOUTH_SANDWICH_ISLANDS,
        'flag: Guatemala' => Emoji::FLAG_GUATEMALA,
        'flag: Guam' => Emoji::FLAG_GUAM,
        'flag: Guinea-Bissau' => Emoji::FLAG_GUINEA_BISSAU,
        'flag: Guyana' => Emoji::FLAG_GUYANA,
        'flag: Hong Kong SAR China' => Emoji::FLAG_HONG_KONG_SAR_CHINA,
        'flag: Heard & McDonald Islands' => Emoji::FLAG_HEARD_AND_MCDONALD_ISLANDS,
        'flag: Honduras' => Emoji::FLAG_HONDURAS,
        'flag: Croatia' => Emoji::FLAG_CROATIA,
        'flag: Haiti' => Emoji::FLAG_HAITI,
        'flag: Hungary' => Emoji::FLAG_HUNGARY,
        'flag: Canary Islands' => Emoji::FLAG_CANARY_ISLANDS,
        'flag: Indonesia' => Emoji::FLAG_INDONESIA,
        'flag: Ireland' => Emoji::FLAG_IRELAND,
        'flag: Israel' => Emoji::FLAG_ISRAEL,
        'flag: Isle of Man' => Emoji::FLAG_ISLE_OF_MAN,
        'flag: India' => Emoji::FLAG_INDIA,
        'flag: British Indian Ocean Territory' => Emoji::FLAG_BRITISH_INDIAN_OCEAN_TERRITORY,
        'flag: Iraq' => Emoji::FLAG_IRAQ,
        'flag: Iran' => Emoji::FLAG_IRAN,
        'flag: Iceland' => Emoji::FLAG_ICELAND,
        'flag: Italy' => Emoji::FLAG_ITALY,
        'flag: Jersey' => Emoji::FLAG_JERSEY,
        'flag: Jamaica' => Emoji::FLAG_JAMAICA,
        'flag: Jordan' => Emoji::FLAG_JORDAN,
        'flag: Japan' => Emoji::FLAG_JAPAN,
        'flag: Kenya' => Emoji::FLAG_KENYA,
        'flag: Kyrgyzstan' => Emoji::FLAG_KYRGYZSTAN,
        'flag: Cambodia' => Emoji::FLAG_CAMBODIA,
        'flag: Kiribati' => Emoji::FLAG_KIRIBATI,
        'flag: Comoros' => Emoji::FLAG_COMOROS,
        'flag: St. Kitts & Nevis' => Emoji::FLAG_ST_KITTS_AND_NEVIS,
        'flag: North Korea' => Emoji::FLAG_NORTH_KOREA,
        'flag: South Korea' => Emoji::FLAG_SOUTH_KOREA,
        'flag: Kuwait' => Emoji::FLAG_KUWAIT,
        'flag: Cayman Islands' => Emoji::FLAG_CAYMAN_ISLANDS,
        'flag: Kazakhstan' => Emoji::FLAG_KAZAKHSTAN,
        'flag: Laos' => Emoji::FLAG_LAOS,
        'flag: Lebanon' => Emoji::FLAG_LEBANON,
        'flag: St. Lucia' => Emoji::FLAG_ST_LUCIA,
        'flag: Liechtenstein' => Emoji::FLAG_LIECHTENSTEIN,
        'flag: Sri Lanka' => Emoji::FLAG_SRI_LANKA,
        'flag: Liberia' => Emoji::FLAG_LIBERIA,
        'flag: Lesotho' => Emoji::FLAG_LESOTHO,
        'flag: Lithuania' => Emoji::FLAG_LITHUANIA,
        'flag: Luxembourg' => Emoji::FLAG_LUXEMBOURG,
        'flag: Latvia' => Emoji::FLAG_LATVIA,
        'flag: Libya' => Emoji::FLAG_LIBYA,
        'flag: Morocco' => Emoji::FLAG_MOROCCO,
        'flag: Monaco' => Emoji::FLAG_MONACO,
        'flag: Moldova' => Emoji::FLAG_MOLDOVA,
        'flag: Montenegro' => Emoji::FLAG_MONTENEGRO,
        'flag: St. Martin' => Emoji::FLAG_ST_MARTIN,
        'flag: Madagascar' => Emoji::FLAG_MADAGASCAR,
        'flag: Marshall Islands' => Emoji::FLAG_MARSHALL_ISLANDS,
        'flag: North Macedonia' => Emoji::FLAG_NORTH_MACEDONIA,
        'flag: Mali' => Emoji::FLAG_MALI,
        'flag: Myanmar (Burma)' => Emoji::FLAG_MYANMAR_BURMA,
        'flag: Mongolia' => Emoji::FLAG_MONGOLIA,
        'flag: Macao SAR China' => Emoji::FLAG_MACAO_SAR_CHINA,
        'flag: Northern Mariana Islands' => Emoji::FLAG_NORTHERN_MARIANA_ISLANDS,
        'flag: Martinique' => Emoji::FLAG_MARTINIQUE,
        'flag: Mauritania' => Emoji::FLAG_MAURITANIA,
        'flag: Montserrat' => Emoji::FLAG_MONTSERRAT,
        'flag: Malta' => Emoji::FLAG_MALTA,
        'flag: Mauritius' => Emoji::FLAG_MAURITIUS,
        'flag: Maldives' => Emoji::FLAG_MALDIVES,
        'flag: Malawi' => Emoji::FLAG_MALAWI,
        'flag: Mexico' => Emoji::FLAG_MEXICO,
        'flag: Malaysia' => Emoji::FLAG_MALAYSIA,
        'flag: Mozambique' => Emoji::FLAG_MOZAMBIQUE,
        'flag: Namibia' => Emoji::FLAG_NAMIBIA,
        'flag: New Caledonia' => Emoji::FLAG_NEW_CALEDONIA,
        'flag: Niger' => Emoji::FLAG_NIGER,
        'flag: Norfolk Island' => Emoji::FLAG_NORFOLK_ISLAND,
        'flag: Nigeria' => Emoji::FLAG_NIGERIA,
        'flag: Nicaragua' => Emoji::FLAG_NICARAGUA,
        'flag: Netherlands' => Emoji::FLAG_NETHERLANDS,
        'flag: Norway' => Emoji::FLAG_NORWAY,
        'flag: Nepal' => Emoji::FLAG_NEPAL,
        'flag: Nauru' => Emoji::FLAG_NAURU,
        'flag: Niue' => Emoji::FLAG_NIUE,
        'flag: New Zealand' => Emoji::FLAG_NEW_ZEALAND,
        'flag: Oman' => Emoji::FLAG_OMAN,
        'flag: Panama' => Emoji::FLAG_PANAMA,
        'flag: Peru' => Emoji::FLAG_PERU,
        'flag: French Polynesia' => Emoji::FLAG_FRENCH_POLYNESIA,
        'flag: Papua New Guinea' => Emoji::FLAG_PAPUA_NEW_GUINEA,
        'flag: Philippines' => Emoji::FLAG_PHILIPPINES,
        'flag: Pakistan' => Emoji::FLAG_PAKISTAN,
        'flag: Poland' => Emoji::FLAG_POLAND,
        'flag: St. Pierre & Miquelon' => Emoji::FLAG_ST_PIERRE_AND_MIQUELON,
        'flag: Pitcairn Islands' => Emoji::FLAG_PITCAIRN_ISLANDS,
        'flag: Puerto Rico' => Emoji::FLAG_PUERTO_RICO,
        'flag: Palestinian Territories' => Emoji::FLAG_PALESTINIAN_TERRITORIES,
        'flag: Portugal' => Emoji::FLAG_PORTUGAL,
        'flag: Palau' => Emoji::FLAG_PALAU,
        'flag: Paraguay' => Emoji::FLAG_PARAGUAY,
        'flag: Qatar' => Emoji::FLAG_QATAR,
        'flag: Réunion' => Emoji::FLAG_REUNION,
        'flag: Romania' => Emoji::FLAG_ROMANIA,
        'flag: Serbia' => Emoji::FLAG_SERBIA,
        'flag: Russia' => Emoji::FLAG_RUSSIA,
        'flag: Rwanda' => Emoji::FLAG_RWANDA,
        'flag: Saudi Arabia' => Emoji::FLAG_SAUDI_ARABIA,
        'flag: Solomon Islands' => Emoji::FLAG_SOLOMON_ISLANDS,
        'flag: Seychelles' => Emoji::FLAG_SEYCHELLES,
        'flag: Sudan' => Emoji::FLAG_SUDAN,
        'flag: Sweden' => Emoji::FLAG_SWEDEN,
        'flag: Singapore' => Emoji::FLAG_SINGAPORE,
        'flag: St. Helena' => Emoji::FLAG_ST_HELENA,
        'flag: Slovenia' => Emoji::FLAG_SLOVENIA,
        'flag: Svalbard & Jan Mayen' => Emoji::FLAG_SVALBARD_AND_JAN_MAYEN,
        'flag: Slovakia' => Emoji::FLAG_SLOVAKIA,
        'flag: Sierra Leone' => Emoji::FLAG_SIERRA_LEONE,
        'flag: San Marino' => Emoji::FLAG_SAN_MARINO,
        'flag: Senegal' => Emoji::FLAG_SENEGAL,
        'flag: Somalia' => Emoji::FLAG_SOMALIA,
        'flag: Suriname' => Emoji::FLAG_SURINAME,
        'flag: South Sudan' => Emoji::FLAG_SOUTH_SUDAN,
        'flag: São Tomé & Príncipe' => Emoji::FLAG_SAO_TOME_AND_PRINCIPE,
        'flag: El Salvador' => Emoji::FLAG_EL_SALVADOR,
        'flag: Sint Maarten' => Emoji::FLAG_SINT_MAARTEN,
        'flag: Syria' => Emoji::FLAG_SYRIA,
        'flag: Eswatini' => Emoji::FLAG_ESWATINI,
        'flag: Tristan da Cunha' => Emoji::FLAG_TRISTAN_DA_CUNHA,
        'flag: Turks & Caicos Islands' => Emoji::FLAG_TURKS_AND_CAICOS_ISLANDS,
        'flag: Chad' => Emoji::FLAG_CHAD,
        'flag: French Southern Territories' => Emoji::FLAG_FRENCH_SOUTHERN_TERRITORIES,
        'flag: Togo' => Emoji::FLAG_TOGO,
        'flag: Thailand' => Emoji::FLAG_THAILAND,
        'flag: Tajikistan' => Emoji::FLAG_TAJIKISTAN,
        'flag: Tokelau' => Emoji::FLAG_TOKELAU,
        'flag: Timor-Leste' => Emoji::FLAG_TIMOR_LESTE,
        'flag: Turkmenistan' => Emoji::FLAG_TURKMENISTAN,
        'flag: Tunisia' => Emoji::FLAG_TUNISIA,
        'flag: Tonga' => Emoji::FLAG_TONGA,
        'flag: Turkey' => Emoji::FLAG_TURKEY,
        'flag: Trinidad & Tobago' => Emoji::FLAG_TRINIDAD_AND_TOBAGO,
        'flag: Tuvalu' => Emoji::FLAG_TUVALU,
        'flag: Taiwan' => Emoji::FLAG_TAIWAN,
        'flag: Tanzania' => Emoji::FLAG_TANZANIA,
        'flag: Ukraine' => Emoji::FLAG_UKRAINE,
        'flag: Uganda' => Emoji::FLAG_UGANDA,
        'flag: U.S. Outlying Islands' => Emoji::FLAG_US_OUTLYING_ISLANDS,
        'flag: United Nations' => Emoji::FLAG_UNITED_NATIONS,
        'flag: United States' => Emoji::FLAG_UNITED_STATES,
        'flag: Uruguay' => Emoji::FLAG_URUGUAY,
        'flag: Uzbekistan' => Emoji::FLAG_UZBEKISTAN,
        'flag: Vatican City' => Emoji::FLAG_VATICAN_CITY,
        'flag: St. Vincent & Grenadines' => Emoji::FLAG_ST_VINCENT_AND_GRENADINES,
        'flag: Venezuela' => Emoji::FLAG_VENEZUELA,
        'flag: British Virgin Islands' => Emoji::FLAG_BRITISH_VIRGIN_ISLANDS,
        'flag: U.S. Virgin Islands' => Emoji::FLAG_US_VIRGIN_ISLANDS,
        'flag: Vietnam' => Emoji::FLAG_VIETNAM,
        'flag: Vanuatu' => Emoji::FLAG_VANUATU,
        'flag: Wallis & Futuna' => Emoji::FLAG_WALLIS_AND_FUTUNA,
        'flag: Samoa' => Emoji::FLAG_SAMOA,
        'flag: Kosovo' => Emoji::FLAG_KOSOVO,
        'flag: Yemen' => Emoji::FLAG_YEMEN,
        'flag: Mayotte' => Emoji::FLAG_MAYOTTE,
        'flag: South Africa' => Emoji::FLAG_SOUTH_AFRICA,
        'flag: Zambia' => Emoji::FLAG_ZAMBIA,
        'flag: Zimbabwe' => Emoji::FLAG_ZIMBABWE,
        'flag: England' => Emoji::FLAG_ENGLAND,
        'flag: Scotland' => Emoji::FLAG_SCOTLAND,
        'flag: Wales' => Emoji::FLAG_WALES,
    ];

    const MARKDOWN_TO_CLDR = [
        ':grinning_face:' => 'grinning face',
        ':grinning_face_with_big_eyes:' => 'grinning face with big eyes',
        ':grinning_face_with_smiling_eyes:' => 'grinning face with smiling eyes',
        ':beaming_face_with_smiling_eyes:' => 'beaming face with smiling eyes',
        ':grinning_squinting_face:' => 'grinning squinting face',
        ':grinning_face_with_sweat:' => 'grinning face with sweat',
        ':rolling_on_the_floor_laughing:' => 'rolling on the floor laughing',
        ':face_with_tears_of_joy:' => 'face with tears of joy',
        ':slightly_smiling_face:' => 'slightly smiling face',
        ':upside_down_face:' => 'upside-down face',
        ':winking_face:' => 'winking face',
        ':smiling_face_with_smiling_eyes:' => 'smiling face with smiling eyes',
        ':smiling_face_with_halo:' => 'smiling face with halo',
        ':smiling_face_with_hearts:' => 'smiling face with hearts',
        ':smiling_face_with_heart_eyes:' => 'smiling face with heart-eyes',
        ':star_struck:' => 'star-struck',
        ':face_blowing_a_kiss:' => 'face blowing a kiss',
        ':kissing_face:' => 'kissing face',
        ':smiling_face:' => 'smiling face',
        ':kissing_face_with_closed_eyes:' => 'kissing face with closed eyes',
        ':kissing_face_with_smiling_eyes:' => 'kissing face with smiling eyes',
        ':smiling_face_with_tear:' => 'smiling face with tear',
        ':face_savoring_food:' => 'face savoring food',
        ':face_with_tongue:' => 'face with tongue',
        ':winking_face_with_tongue:' => 'winking face with tongue',
        ':zany_face:' => 'zany face',
        ':squinting_face_with_tongue:' => 'squinting face with tongue',
        ':money_mouth_face:' => 'money-mouth face',
        ':hugging_face:' => 'hugging face',
        ':face_with_hand_over_mouth:' => 'face with hand over mouth',
        ':shushing_face:' => 'shushing face',
        ':thinking_face:' => 'thinking face',
        ':zipper_mouth_face:' => 'zipper-mouth face',
        ':face_with_raised_eyebrow:' => 'face with raised eyebrow',
        ':neutral_face:' => 'neutral face',
        ':expressionless_face:' => 'expressionless face',
        ':face_without_mouth:' => 'face without mouth',
        ':face_in_clouds:' => 'face in clouds',
        ':smirking_face:' => 'smirking face',
        ':unamused_face:' => 'unamused face',
        ':face_with_rolling_eyes:' => 'face with rolling eyes',
        ':grimacing_face:' => 'grimacing face',
        ':face_exhaling:' => 'face exhaling',
        ':lying_face:' => 'lying face',
        ':relieved_face:' => 'relieved face',
        ':pensive_face:' => 'pensive face',
        ':sleepy_face:' => 'sleepy face',
        ':drooling_face:' => 'drooling face',
        ':sleeping_face:' => 'sleeping face',
        ':face_with_medical_mask:' => 'face with medical mask',
        ':face_with_thermometer:' => 'face with thermometer',
        ':face_with_head_bandage:' => 'face with head-bandage',
        ':nauseated_face:' => 'nauseated face',
        ':face_vomiting:' => 'face vomiting',
        ':sneezing_face:' => 'sneezing face',
        ':hot_face:' => 'hot face',
        ':cold_face:' => 'cold face',
        ':woozy_face:' => 'woozy face',
        ':knocked_out_face:' => 'knocked-out face',
        ':face_with_spiral_eyes:' => 'face with spiral eyes',
        ':exploding_head:' => 'exploding head',
        ':cowboy_hat_face:' => 'cowboy hat face',
        ':partying_face:' => 'partying face',
        ':disguised_face:' => 'disguised face',
        ':smiling_face_with_sunglasses:' => 'smiling face with sunglasses',
        ':nerd_face:' => 'nerd face',
        ':face_with_monocle:' => 'face with monocle',
        ':confused_face:' => 'confused face',
        ':worried_face:' => 'worried face',
        ':slightly_frowning_face:' => 'slightly frowning face',
        ':frowning_face:' => 'frowning face',
        ':face_with_open_mouth:' => 'face with open mouth',
        ':hushed_face:' => 'hushed face',
        ':astonished_face:' => 'astonished face',
        ':flushed_face:' => 'flushed face',
        ':pleading_face:' => 'pleading face',
        ':frowning_face_with_open_mouth:' => 'frowning face with open mouth',
        ':anguished_face:' => 'anguished face',
        ':fearful_face:' => 'fearful face',
        ':anxious_face_with_sweat:' => 'anxious face with sweat',
        ':sad_but_relieved_face:' => 'sad but relieved face',
        ':crying_face:' => 'crying face',
        ':loudly_crying_face:' => 'loudly crying face',
        ':face_screaming_in_fear:' => 'face screaming in fear',
        ':confounded_face:' => 'confounded face',
        ':persevering_face:' => 'persevering face',
        ':disappointed_face:' => 'disappointed face',
        ':downcast_face_with_sweat:' => 'downcast face with sweat',
        ':weary_face:' => 'weary face',
        ':tired_face:' => 'tired face',
        ':yawning_face:' => 'yawning face',
        ':face_with_steam_from_nose:' => 'face with steam from nose',
        ':pouting_face:' => 'pouting face',
        ':angry_face:' => 'angry face',
        ':face_with_symbols_on_mouth:' => 'face with symbols on mouth',
        ':smiling_face_with_horns:' => 'smiling face with horns',
        ':angry_face_with_horns:' => 'angry face with horns',
        ':skull:' => 'skull',
        ':skull_and_crossbones:' => 'skull and crossbones',
        ':pile_of_poo:' => 'pile of poo',
        ':clown_face:' => 'clown face',
        ':ogre:' => 'ogre',
        ':goblin:' => 'goblin',
        ':ghost:' => 'ghost',
        ':alien:' => 'alien',
        ':alien_monster:' => 'alien monster',
        ':robot:' => 'robot',
        ':grinning_cat:' => 'grinning cat',
        ':grinning_cat_with_smiling_eyes:' => 'grinning cat with smiling eyes',
        ':cat_with_tears_of_joy:' => 'cat with tears of joy',
        ':smiling_cat_with_heart_eyes:' => 'smiling cat with heart-eyes',
        ':cat_with_wry_smile:' => 'cat with wry smile',
        ':kissing_cat:' => 'kissing cat',
        ':weary_cat:' => 'weary cat',
        ':crying_cat:' => 'crying cat',
        ':pouting_cat:' => 'pouting cat',
        ':see_no_evil_monkey:' => 'see-no-evil monkey',
        ':hear_no_evil_monkey:' => 'hear-no-evil monkey',
        ':speak_no_evil_monkey:' => 'speak-no-evil monkey',
        ':kiss_mark:' => 'kiss mark',
        ':love_letter:' => 'love letter',
        ':heart_with_arrow:' => 'heart with arrow',
        ':heart_with_ribbon:' => 'heart with ribbon',
        ':sparkling_heart:' => 'sparkling heart',
        ':growing_heart:' => 'growing heart',
        ':beating_heart:' => 'beating heart',
        ':revolving_hearts:' => 'revolving hearts',
        ':two_hearts:' => 'two hearts',
        ':heart_decoration:' => 'heart decoration',
        ':heart_exclamation:' => 'heart exclamation',
        ':broken_heart:' => 'broken heart',
        ':heart_on_fire:' => 'heart on fire',
        ':mending_heart:' => 'mending heart',
        ':red_heart:' => 'red heart',
        ':orange_heart:' => 'orange heart',
        ':yellow_heart:' => 'yellow heart',
        ':green_heart:' => 'green heart',
        ':blue_heart:' => 'blue heart',
        ':purple_heart:' => 'purple heart',
        ':brown_heart:' => 'brown heart',
        ':black_heart:' => 'black heart',
        ':white_heart:' => 'white heart',
        ':hundred_points:' => 'hundred points',
        ':anger_symbol:' => 'anger symbol',
        ':collision:' => 'collision',
        ':dizzy:' => 'dizzy',
        ':sweat_droplets:' => 'sweat droplets',
        ':dashing_away:' => 'dashing away',
        ':hole:' => 'hole',
        ':bomb:' => 'bomb',
        ':speech_balloon:' => 'speech balloon',
        ':eye_in_speech_bubble:' => 'eye in speech bubble',
        ':left_speech_bubble:' => 'left speech bubble',
        ':right_anger_bubble:' => 'right anger bubble',
        ':thought_balloon:' => 'thought balloon',
        ':zzz:' => 'zzz',
        ':waving_hand:' => 'waving hand',
        ':waving_hand_light_skin_tone:' => 'waving hand: light skin tone',
        ':waving_hand_medium_light_skin_tone:' => 'waving hand: medium-light skin tone',
        ':waving_hand_medium_skin_tone:' => 'waving hand: medium skin tone',
        ':waving_hand_medium_dark_skin_tone:' => 'waving hand: medium-dark skin tone',
        ':waving_hand_dark_skin_tone:' => 'waving hand: dark skin tone',
        ':raised_back_of_hand:' => 'raised back of hand',
        ':raised_back_of_hand_light_skin_tone:' => 'raised back of hand: light skin tone',
        ':raised_back_of_hand_medium_light_skin_tone:' => 'raised back of hand: medium-light skin tone',
        ':raised_back_of_hand_medium_skin_tone:' => 'raised back of hand: medium skin tone',
        ':raised_back_of_hand_medium_dark_skin_tone:' => 'raised back of hand: medium-dark skin tone',
        ':raised_back_of_hand_dark_skin_tone:' => 'raised back of hand: dark skin tone',
        ':hand_with_fingers_splayed:' => 'hand with fingers splayed',
        ':hand_with_fingers_splayed_light_skin_tone:' => 'hand with fingers splayed: light skin tone',
        ':hand_with_fingers_splayed_medium_light_skin_tone:' => 'hand with fingers splayed: medium-light skin tone',
        ':hand_with_fingers_splayed_medium_skin_tone:' => 'hand with fingers splayed: medium skin tone',
        ':hand_with_fingers_splayed_medium_dark_skin_tone:' => 'hand with fingers splayed: medium-dark skin tone',
        ':hand_with_fingers_splayed_dark_skin_tone:' => 'hand with fingers splayed: dark skin tone',
        ':raised_hand:' => 'raised hand',
        ':raised_hand_light_skin_tone:' => 'raised hand: light skin tone',
        ':raised_hand_medium_light_skin_tone:' => 'raised hand: medium-light skin tone',
        ':raised_hand_medium_skin_tone:' => 'raised hand: medium skin tone',
        ':raised_hand_medium_dark_skin_tone:' => 'raised hand: medium-dark skin tone',
        ':raised_hand_dark_skin_tone:' => 'raised hand: dark skin tone',
        ':vulcan_salute:' => 'vulcan salute',
        ':vulcan_salute_light_skin_tone:' => 'vulcan salute: light skin tone',
        ':vulcan_salute_medium_light_skin_tone:' => 'vulcan salute: medium-light skin tone',
        ':vulcan_salute_medium_skin_tone:' => 'vulcan salute: medium skin tone',
        ':vulcan_salute_medium_dark_skin_tone:' => 'vulcan salute: medium-dark skin tone',
        ':vulcan_salute_dark_skin_tone:' => 'vulcan salute: dark skin tone',
        ':ok_hand:' => 'OK hand',
        ':ok_hand_light_skin_tone:' => 'OK hand: light skin tone',
        ':ok_hand_medium_light_skin_tone:' => 'OK hand: medium-light skin tone',
        ':ok_hand_medium_skin_tone:' => 'OK hand: medium skin tone',
        ':ok_hand_medium_dark_skin_tone:' => 'OK hand: medium-dark skin tone',
        ':ok_hand_dark_skin_tone:' => 'OK hand: dark skin tone',
        ':pinched_fingers:' => 'pinched fingers',
        ':pinched_fingers_light_skin_tone:' => 'pinched fingers: light skin tone',
        ':pinched_fingers_medium_light_skin_tone:' => 'pinched fingers: medium-light skin tone',
        ':pinched_fingers_medium_skin_tone:' => 'pinched fingers: medium skin tone',
        ':pinched_fingers_medium_dark_skin_tone:' => 'pinched fingers: medium-dark skin tone',
        ':pinched_fingers_dark_skin_tone:' => 'pinched fingers: dark skin tone',
        ':pinching_hand:' => 'pinching hand',
        ':pinching_hand_light_skin_tone:' => 'pinching hand: light skin tone',
        ':pinching_hand_medium_light_skin_tone:' => 'pinching hand: medium-light skin tone',
        ':pinching_hand_medium_skin_tone:' => 'pinching hand: medium skin tone',
        ':pinching_hand_medium_dark_skin_tone:' => 'pinching hand: medium-dark skin tone',
        ':pinching_hand_dark_skin_tone:' => 'pinching hand: dark skin tone',
        ':victory_hand:' => 'victory hand',
        ':victory_hand_light_skin_tone:' => 'victory hand: light skin tone',
        ':victory_hand_medium_light_skin_tone:' => 'victory hand: medium-light skin tone',
        ':victory_hand_medium_skin_tone:' => 'victory hand: medium skin tone',
        ':victory_hand_medium_dark_skin_tone:' => 'victory hand: medium-dark skin tone',
        ':victory_hand_dark_skin_tone:' => 'victory hand: dark skin tone',
        ':crossed_fingers:' => 'crossed fingers',
        ':crossed_fingers_light_skin_tone:' => 'crossed fingers: light skin tone',
        ':crossed_fingers_medium_light_skin_tone:' => 'crossed fingers: medium-light skin tone',
        ':crossed_fingers_medium_skin_tone:' => 'crossed fingers: medium skin tone',
        ':crossed_fingers_medium_dark_skin_tone:' => 'crossed fingers: medium-dark skin tone',
        ':crossed_fingers_dark_skin_tone:' => 'crossed fingers: dark skin tone',
        ':love_you_gesture:' => 'love-you gesture',
        ':love_you_gesture_light_skin_tone:' => 'love-you gesture: light skin tone',
        ':love_you_gesture_medium_light_skin_tone:' => 'love-you gesture: medium-light skin tone',
        ':love_you_gesture_medium_skin_tone:' => 'love-you gesture: medium skin tone',
        ':love_you_gesture_medium_dark_skin_tone:' => 'love-you gesture: medium-dark skin tone',
        ':love_you_gesture_dark_skin_tone:' => 'love-you gesture: dark skin tone',
        ':sign_of_the_horns:' => 'sign of the horns',
        ':sign_of_the_horns_light_skin_tone:' => 'sign of the horns: light skin tone',
        ':sign_of_the_horns_medium_light_skin_tone:' => 'sign of the horns: medium-light skin tone',
        ':sign_of_the_horns_medium_skin_tone:' => 'sign of the horns: medium skin tone',
        ':sign_of_the_horns_medium_dark_skin_tone:' => 'sign of the horns: medium-dark skin tone',
        ':sign_of_the_horns_dark_skin_tone:' => 'sign of the horns: dark skin tone',
        ':call_me_hand:' => 'call me hand',
        ':call_me_hand_light_skin_tone:' => 'call me hand: light skin tone',
        ':call_me_hand_medium_light_skin_tone:' => 'call me hand: medium-light skin tone',
        ':call_me_hand_medium_skin_tone:' => 'call me hand: medium skin tone',
        ':call_me_hand_medium_dark_skin_tone:' => 'call me hand: medium-dark skin tone',
        ':call_me_hand_dark_skin_tone:' => 'call me hand: dark skin tone',
        ':backhand_index_pointing_left:' => 'backhand index pointing left',
        ':backhand_index_pointing_left_light_skin_tone:' => 'backhand index pointing left: light skin tone',
        ':backhand_index_pointing_left_medium_light_skin_tone:' => 'backhand index pointing left: medium-light skin tone',
        ':backhand_index_pointing_left_medium_skin_tone:' => 'backhand index pointing left: medium skin tone',
        ':backhand_index_pointing_left_medium_dark_skin_tone:' => 'backhand index pointing left: medium-dark skin tone',
        ':backhand_index_pointing_left_dark_skin_tone:' => 'backhand index pointing left: dark skin tone',
        ':backhand_index_pointing_right:' => 'backhand index pointing right',
        ':backhand_index_pointing_right_light_skin_tone:' => 'backhand index pointing right: light skin tone',
        ':backhand_index_pointing_right_medium_light_skin_tone:' => 'backhand index pointing right: medium-light skin tone',
        ':backhand_index_pointing_right_medium_skin_tone:' => 'backhand index pointing right: medium skin tone',
        ':backhand_index_pointing_right_medium_dark_skin_tone:' => 'backhand index pointing right: medium-dark skin tone',
        ':backhand_index_pointing_right_dark_skin_tone:' => 'backhand index pointing right: dark skin tone',
        ':backhand_index_pointing_up:' => 'backhand index pointing up',
        ':backhand_index_pointing_up_light_skin_tone:' => 'backhand index pointing up: light skin tone',
        ':backhand_index_pointing_up_medium_light_skin_tone:' => 'backhand index pointing up: medium-light skin tone',
        ':backhand_index_pointing_up_medium_skin_tone:' => 'backhand index pointing up: medium skin tone',
        ':backhand_index_pointing_up_medium_dark_skin_tone:' => 'backhand index pointing up: medium-dark skin tone',
        ':backhand_index_pointing_up_dark_skin_tone:' => 'backhand index pointing up: dark skin tone',
        ':middle_finger:' => 'middle finger',
        ':middle_finger_light_skin_tone:' => 'middle finger: light skin tone',
        ':middle_finger_medium_light_skin_tone:' => 'middle finger: medium-light skin tone',
        ':middle_finger_medium_skin_tone:' => 'middle finger: medium skin tone',
        ':middle_finger_medium_dark_skin_tone:' => 'middle finger: medium-dark skin tone',
        ':middle_finger_dark_skin_tone:' => 'middle finger: dark skin tone',
        ':backhand_index_pointing_down:' => 'backhand index pointing down',
        ':backhand_index_pointing_down_light_skin_tone:' => 'backhand index pointing down: light skin tone',
        ':backhand_index_pointing_down_medium_light_skin_tone:' => 'backhand index pointing down: medium-light skin tone',
        ':backhand_index_pointing_down_medium_skin_tone:' => 'backhand index pointing down: medium skin tone',
        ':backhand_index_pointing_down_medium_dark_skin_tone:' => 'backhand index pointing down: medium-dark skin tone',
        ':backhand_index_pointing_down_dark_skin_tone:' => 'backhand index pointing down: dark skin tone',
        ':index_pointing_up:' => 'index pointing up',
        ':index_pointing_up_light_skin_tone:' => 'index pointing up: light skin tone',
        ':index_pointing_up_medium_light_skin_tone:' => 'index pointing up: medium-light skin tone',
        ':index_pointing_up_medium_skin_tone:' => 'index pointing up: medium skin tone',
        ':index_pointing_up_medium_dark_skin_tone:' => 'index pointing up: medium-dark skin tone',
        ':index_pointing_up_dark_skin_tone:' => 'index pointing up: dark skin tone',
        ':thumbs_up:' => 'thumbs up',
        ':thumbs_up_light_skin_tone:' => 'thumbs up: light skin tone',
        ':thumbs_up_medium_light_skin_tone:' => 'thumbs up: medium-light skin tone',
        ':thumbs_up_medium_skin_tone:' => 'thumbs up: medium skin tone',
        ':thumbs_up_medium_dark_skin_tone:' => 'thumbs up: medium-dark skin tone',
        ':thumbs_up_dark_skin_tone:' => 'thumbs up: dark skin tone',
        ':thumbs_down:' => 'thumbs down',
        ':thumbs_down_light_skin_tone:' => 'thumbs down: light skin tone',
        ':thumbs_down_medium_light_skin_tone:' => 'thumbs down: medium-light skin tone',
        ':thumbs_down_medium_skin_tone:' => 'thumbs down: medium skin tone',
        ':thumbs_down_medium_dark_skin_tone:' => 'thumbs down: medium-dark skin tone',
        ':thumbs_down_dark_skin_tone:' => 'thumbs down: dark skin tone',
        ':raised_fist:' => 'raised fist',
        ':raised_fist_light_skin_tone:' => 'raised fist: light skin tone',
        ':raised_fist_medium_light_skin_tone:' => 'raised fist: medium-light skin tone',
        ':raised_fist_medium_skin_tone:' => 'raised fist: medium skin tone',
        ':raised_fist_medium_dark_skin_tone:' => 'raised fist: medium-dark skin tone',
        ':raised_fist_dark_skin_tone:' => 'raised fist: dark skin tone',
        ':oncoming_fist:' => 'oncoming fist',
        ':oncoming_fist_light_skin_tone:' => 'oncoming fist: light skin tone',
        ':oncoming_fist_medium_light_skin_tone:' => 'oncoming fist: medium-light skin tone',
        ':oncoming_fist_medium_skin_tone:' => 'oncoming fist: medium skin tone',
        ':oncoming_fist_medium_dark_skin_tone:' => 'oncoming fist: medium-dark skin tone',
        ':oncoming_fist_dark_skin_tone:' => 'oncoming fist: dark skin tone',
        ':left_facing_fist:' => 'left-facing fist',
        ':left_facing_fist_light_skin_tone:' => 'left-facing fist: light skin tone',
        ':left_facing_fist_medium_light_skin_tone:' => 'left-facing fist: medium-light skin tone',
        ':left_facing_fist_medium_skin_tone:' => 'left-facing fist: medium skin tone',
        ':left_facing_fist_medium_dark_skin_tone:' => 'left-facing fist: medium-dark skin tone',
        ':left_facing_fist_dark_skin_tone:' => 'left-facing fist: dark skin tone',
        ':right_facing_fist:' => 'right-facing fist',
        ':right_facing_fist_light_skin_tone:' => 'right-facing fist: light skin tone',
        ':right_facing_fist_medium_light_skin_tone:' => 'right-facing fist: medium-light skin tone',
        ':right_facing_fist_medium_skin_tone:' => 'right-facing fist: medium skin tone',
        ':right_facing_fist_medium_dark_skin_tone:' => 'right-facing fist: medium-dark skin tone',
        ':right_facing_fist_dark_skin_tone:' => 'right-facing fist: dark skin tone',
        ':clapping_hands:' => 'clapping hands',
        ':clapping_hands_light_skin_tone:' => 'clapping hands: light skin tone',
        ':clapping_hands_medium_light_skin_tone:' => 'clapping hands: medium-light skin tone',
        ':clapping_hands_medium_skin_tone:' => 'clapping hands: medium skin tone',
        ':clapping_hands_medium_dark_skin_tone:' => 'clapping hands: medium-dark skin tone',
        ':clapping_hands_dark_skin_tone:' => 'clapping hands: dark skin tone',
        ':raising_hands:' => 'raising hands',
        ':raising_hands_light_skin_tone:' => 'raising hands: light skin tone',
        ':raising_hands_medium_light_skin_tone:' => 'raising hands: medium-light skin tone',
        ':raising_hands_medium_skin_tone:' => 'raising hands: medium skin tone',
        ':raising_hands_medium_dark_skin_tone:' => 'raising hands: medium-dark skin tone',
        ':raising_hands_dark_skin_tone:' => 'raising hands: dark skin tone',
        ':open_hands:' => 'open hands',
        ':open_hands_light_skin_tone:' => 'open hands: light skin tone',
        ':open_hands_medium_light_skin_tone:' => 'open hands: medium-light skin tone',
        ':open_hands_medium_skin_tone:' => 'open hands: medium skin tone',
        ':open_hands_medium_dark_skin_tone:' => 'open hands: medium-dark skin tone',
        ':open_hands_dark_skin_tone:' => 'open hands: dark skin tone',
        ':palms_up_together:' => 'palms up together',
        ':palms_up_together_light_skin_tone:' => 'palms up together: light skin tone',
        ':palms_up_together_medium_light_skin_tone:' => 'palms up together: medium-light skin tone',
        ':palms_up_together_medium_skin_tone:' => 'palms up together: medium skin tone',
        ':palms_up_together_medium_dark_skin_tone:' => 'palms up together: medium-dark skin tone',
        ':palms_up_together_dark_skin_tone:' => 'palms up together: dark skin tone',
        ':handshake:' => 'handshake',
        ':folded_hands:' => 'folded hands',
        ':folded_hands_light_skin_tone:' => 'folded hands: light skin tone',
        ':folded_hands_medium_light_skin_tone:' => 'folded hands: medium-light skin tone',
        ':folded_hands_medium_skin_tone:' => 'folded hands: medium skin tone',
        ':folded_hands_medium_dark_skin_tone:' => 'folded hands: medium-dark skin tone',
        ':folded_hands_dark_skin_tone:' => 'folded hands: dark skin tone',
        ':writing_hand:' => 'writing hand',
        ':writing_hand_light_skin_tone:' => 'writing hand: light skin tone',
        ':writing_hand_medium_light_skin_tone:' => 'writing hand: medium-light skin tone',
        ':writing_hand_medium_skin_tone:' => 'writing hand: medium skin tone',
        ':writing_hand_medium_dark_skin_tone:' => 'writing hand: medium-dark skin tone',
        ':writing_hand_dark_skin_tone:' => 'writing hand: dark skin tone',
        ':nail_polish:' => 'nail polish',
        ':nail_polish_light_skin_tone:' => 'nail polish: light skin tone',
        ':nail_polish_medium_light_skin_tone:' => 'nail polish: medium-light skin tone',
        ':nail_polish_medium_skin_tone:' => 'nail polish: medium skin tone',
        ':nail_polish_medium_dark_skin_tone:' => 'nail polish: medium-dark skin tone',
        ':nail_polish_dark_skin_tone:' => 'nail polish: dark skin tone',
        ':selfie:' => 'selfie',
        ':selfie_light_skin_tone:' => 'selfie: light skin tone',
        ':selfie_medium_light_skin_tone:' => 'selfie: medium-light skin tone',
        ':selfie_medium_skin_tone:' => 'selfie: medium skin tone',
        ':selfie_medium_dark_skin_tone:' => 'selfie: medium-dark skin tone',
        ':selfie_dark_skin_tone:' => 'selfie: dark skin tone',
        ':flexed_biceps:' => 'flexed biceps',
        ':flexed_biceps_light_skin_tone:' => 'flexed biceps: light skin tone',
        ':flexed_biceps_medium_light_skin_tone:' => 'flexed biceps: medium-light skin tone',
        ':flexed_biceps_medium_skin_tone:' => 'flexed biceps: medium skin tone',
        ':flexed_biceps_medium_dark_skin_tone:' => 'flexed biceps: medium-dark skin tone',
        ':flexed_biceps_dark_skin_tone:' => 'flexed biceps: dark skin tone',
        ':mechanical_arm:' => 'mechanical arm',
        ':mechanical_leg:' => 'mechanical leg',
        ':leg:' => 'leg',
        ':leg_light_skin_tone:' => 'leg: light skin tone',
        ':leg_medium_light_skin_tone:' => 'leg: medium-light skin tone',
        ':leg_medium_skin_tone:' => 'leg: medium skin tone',
        ':leg_medium_dark_skin_tone:' => 'leg: medium-dark skin tone',
        ':leg_dark_skin_tone:' => 'leg: dark skin tone',
        ':foot:' => 'foot',
        ':foot_light_skin_tone:' => 'foot: light skin tone',
        ':foot_medium_light_skin_tone:' => 'foot: medium-light skin tone',
        ':foot_medium_skin_tone:' => 'foot: medium skin tone',
        ':foot_medium_dark_skin_tone:' => 'foot: medium-dark skin tone',
        ':foot_dark_skin_tone:' => 'foot: dark skin tone',
        ':ear:' => 'ear',
        ':ear_light_skin_tone:' => 'ear: light skin tone',
        ':ear_medium_light_skin_tone:' => 'ear: medium-light skin tone',
        ':ear_medium_skin_tone:' => 'ear: medium skin tone',
        ':ear_medium_dark_skin_tone:' => 'ear: medium-dark skin tone',
        ':ear_dark_skin_tone:' => 'ear: dark skin tone',
        ':ear_with_hearing_aid:' => 'ear with hearing aid',
        ':ear_with_hearing_aid_light_skin_tone:' => 'ear with hearing aid: light skin tone',
        ':ear_with_hearing_aid_medium_light_skin_tone:' => 'ear with hearing aid: medium-light skin tone',
        ':ear_with_hearing_aid_medium_skin_tone:' => 'ear with hearing aid: medium skin tone',
        ':ear_with_hearing_aid_medium_dark_skin_tone:' => 'ear with hearing aid: medium-dark skin tone',
        ':ear_with_hearing_aid_dark_skin_tone:' => 'ear with hearing aid: dark skin tone',
        ':nose:' => 'nose',
        ':nose_light_skin_tone:' => 'nose: light skin tone',
        ':nose_medium_light_skin_tone:' => 'nose: medium-light skin tone',
        ':nose_medium_skin_tone:' => 'nose: medium skin tone',
        ':nose_medium_dark_skin_tone:' => 'nose: medium-dark skin tone',
        ':nose_dark_skin_tone:' => 'nose: dark skin tone',
        ':brain:' => 'brain',
        ':anatomical_heart:' => 'anatomical heart',
        ':lungs:' => 'lungs',
        ':tooth:' => 'tooth',
        ':bone:' => 'bone',
        ':eyes:' => 'eyes',
        ':eye:' => 'eye',
        ':tongue:' => 'tongue',
        ':mouth:' => 'mouth',
        ':baby:' => 'baby',
        ':baby_light_skin_tone:' => 'baby: light skin tone',
        ':baby_medium_light_skin_tone:' => 'baby: medium-light skin tone',
        ':baby_medium_skin_tone:' => 'baby: medium skin tone',
        ':baby_medium_dark_skin_tone:' => 'baby: medium-dark skin tone',
        ':baby_dark_skin_tone:' => 'baby: dark skin tone',
        ':child:' => 'child',
        ':child_light_skin_tone:' => 'child: light skin tone',
        ':child_medium_light_skin_tone:' => 'child: medium-light skin tone',
        ':child_medium_skin_tone:' => 'child: medium skin tone',
        ':child_medium_dark_skin_tone:' => 'child: medium-dark skin tone',
        ':child_dark_skin_tone:' => 'child: dark skin tone',
        ':boy:' => 'boy',
        ':boy_light_skin_tone:' => 'boy: light skin tone',
        ':boy_medium_light_skin_tone:' => 'boy: medium-light skin tone',
        ':boy_medium_skin_tone:' => 'boy: medium skin tone',
        ':boy_medium_dark_skin_tone:' => 'boy: medium-dark skin tone',
        ':boy_dark_skin_tone:' => 'boy: dark skin tone',
        ':girl:' => 'girl',
        ':girl_light_skin_tone:' => 'girl: light skin tone',
        ':girl_medium_light_skin_tone:' => 'girl: medium-light skin tone',
        ':girl_medium_skin_tone:' => 'girl: medium skin tone',
        ':girl_medium_dark_skin_tone:' => 'girl: medium-dark skin tone',
        ':girl_dark_skin_tone:' => 'girl: dark skin tone',
        ':person:' => 'person',
        ':person_light_skin_tone:' => 'person: light skin tone',
        ':person_medium_light_skin_tone:' => 'person: medium-light skin tone',
        ':person_medium_skin_tone:' => 'person: medium skin tone',
        ':person_medium_dark_skin_tone:' => 'person: medium-dark skin tone',
        ':person_dark_skin_tone:' => 'person: dark skin tone',
        ':person_blond_hair:' => 'person: blond hair',
        ':person_light_skin_tone_blond_hair:' => 'person: light skin tone, blond hair',
        ':person_medium_light_skin_tone_blond_hair:' => 'person: medium-light skin tone, blond hair',
        ':person_medium_skin_tone_blond_hair:' => 'person: medium skin tone, blond hair',
        ':person_medium_dark_skin_tone_blond_hair:' => 'person: medium-dark skin tone, blond hair',
        ':person_dark_skin_tone_blond_hair:' => 'person: dark skin tone, blond hair',
        ':man:' => 'man',
        ':man_light_skin_tone:' => 'man: light skin tone',
        ':man_medium_light_skin_tone:' => 'man: medium-light skin tone',
        ':man_medium_skin_tone:' => 'man: medium skin tone',
        ':man_medium_dark_skin_tone:' => 'man: medium-dark skin tone',
        ':man_dark_skin_tone:' => 'man: dark skin tone',
        ':person_beard:' => 'person: beard',
        ':person_light_skin_tone_beard:' => 'person: light skin tone, beard',
        ':person_medium_light_skin_tone_beard:' => 'person: medium-light skin tone, beard',
        ':person_medium_skin_tone_beard:' => 'person: medium skin tone, beard',
        ':person_medium_dark_skin_tone_beard:' => 'person: medium-dark skin tone, beard',
        ':person_dark_skin_tone_beard:' => 'person: dark skin tone, beard',
        ':man_beard:' => 'man: beard',
        ':man_light_skin_tone_beard:' => 'man: light skin tone, beard',
        ':man_medium_light_skin_tone_beard:' => 'man: medium-light skin tone, beard',
        ':man_medium_skin_tone_beard:' => 'man: medium skin tone, beard',
        ':man_medium_dark_skin_tone_beard:' => 'man: medium-dark skin tone, beard',
        ':man_dark_skin_tone_beard:' => 'man: dark skin tone, beard',
        ':woman_beard:' => 'woman: beard',
        ':woman_light_skin_tone_beard:' => 'woman: light skin tone, beard',
        ':woman_medium_light_skin_tone_beard:' => 'woman: medium-light skin tone, beard',
        ':woman_medium_skin_tone_beard:' => 'woman: medium skin tone, beard',
        ':woman_medium_dark_skin_tone_beard:' => 'woman: medium-dark skin tone, beard',
        ':woman_dark_skin_tone_beard:' => 'woman: dark skin tone, beard',
        ':man_red_hair:' => 'man: red hair',
        ':man_light_skin_tone_red_hair:' => 'man: light skin tone, red hair',
        ':man_medium_light_skin_tone_red_hair:' => 'man: medium-light skin tone, red hair',
        ':man_medium_skin_tone_red_hair:' => 'man: medium skin tone, red hair',
        ':man_medium_dark_skin_tone_red_hair:' => 'man: medium-dark skin tone, red hair',
        ':man_dark_skin_tone_red_hair:' => 'man: dark skin tone, red hair',
        ':man_curly_hair:' => 'man: curly hair',
        ':man_light_skin_tone_curly_hair:' => 'man: light skin tone, curly hair',
        ':man_medium_light_skin_tone_curly_hair:' => 'man: medium-light skin tone, curly hair',
        ':man_medium_skin_tone_curly_hair:' => 'man: medium skin tone, curly hair',
        ':man_medium_dark_skin_tone_curly_hair:' => 'man: medium-dark skin tone, curly hair',
        ':man_dark_skin_tone_curly_hair:' => 'man: dark skin tone, curly hair',
        ':man_white_hair:' => 'man: white hair',
        ':man_light_skin_tone_white_hair:' => 'man: light skin tone, white hair',
        ':man_medium_light_skin_tone_white_hair:' => 'man: medium-light skin tone, white hair',
        ':man_medium_skin_tone_white_hair:' => 'man: medium skin tone, white hair',
        ':man_medium_dark_skin_tone_white_hair:' => 'man: medium-dark skin tone, white hair',
        ':man_dark_skin_tone_white_hair:' => 'man: dark skin tone, white hair',
        ':man_bald:' => 'man: bald',
        ':man_light_skin_tone_bald:' => 'man: light skin tone, bald',
        ':man_medium_light_skin_tone_bald:' => 'man: medium-light skin tone, bald',
        ':man_medium_skin_tone_bald:' => 'man: medium skin tone, bald',
        ':man_medium_dark_skin_tone_bald:' => 'man: medium-dark skin tone, bald',
        ':man_dark_skin_tone_bald:' => 'man: dark skin tone, bald',
        ':woman:' => 'woman',
        ':woman_light_skin_tone:' => 'woman: light skin tone',
        ':woman_medium_light_skin_tone:' => 'woman: medium-light skin tone',
        ':woman_medium_skin_tone:' => 'woman: medium skin tone',
        ':woman_medium_dark_skin_tone:' => 'woman: medium-dark skin tone',
        ':woman_dark_skin_tone:' => 'woman: dark skin tone',
        ':woman_red_hair:' => 'woman: red hair',
        ':woman_light_skin_tone_red_hair:' => 'woman: light skin tone, red hair',
        ':woman_medium_light_skin_tone_red_hair:' => 'woman: medium-light skin tone, red hair',
        ':woman_medium_skin_tone_red_hair:' => 'woman: medium skin tone, red hair',
        ':woman_medium_dark_skin_tone_red_hair:' => 'woman: medium-dark skin tone, red hair',
        ':woman_dark_skin_tone_red_hair:' => 'woman: dark skin tone, red hair',
        ':person_red_hair:' => 'person: red hair',
        ':person_light_skin_tone_red_hair:' => 'person: light skin tone, red hair',
        ':person_medium_light_skin_tone_red_hair:' => 'person: medium-light skin tone, red hair',
        ':person_medium_skin_tone_red_hair:' => 'person: medium skin tone, red hair',
        ':person_medium_dark_skin_tone_red_hair:' => 'person: medium-dark skin tone, red hair',
        ':person_dark_skin_tone_red_hair:' => 'person: dark skin tone, red hair',
        ':woman_curly_hair:' => 'woman: curly hair',
        ':woman_light_skin_tone_curly_hair:' => 'woman: light skin tone, curly hair',
        ':woman_medium_light_skin_tone_curly_hair:' => 'woman: medium-light skin tone, curly hair',
        ':woman_medium_skin_tone_curly_hair:' => 'woman: medium skin tone, curly hair',
        ':woman_medium_dark_skin_tone_curly_hair:' => 'woman: medium-dark skin tone, curly hair',
        ':woman_dark_skin_tone_curly_hair:' => 'woman: dark skin tone, curly hair',
        ':person_curly_hair:' => 'person: curly hair',
        ':person_light_skin_tone_curly_hair:' => 'person: light skin tone, curly hair',
        ':person_medium_light_skin_tone_curly_hair:' => 'person: medium-light skin tone, curly hair',
        ':person_medium_skin_tone_curly_hair:' => 'person: medium skin tone, curly hair',
        ':person_medium_dark_skin_tone_curly_hair:' => 'person: medium-dark skin tone, curly hair',
        ':person_dark_skin_tone_curly_hair:' => 'person: dark skin tone, curly hair',
        ':woman_white_hair:' => 'woman: white hair',
        ':woman_light_skin_tone_white_hair:' => 'woman: light skin tone, white hair',
        ':woman_medium_light_skin_tone_white_hair:' => 'woman: medium-light skin tone, white hair',
        ':woman_medium_skin_tone_white_hair:' => 'woman: medium skin tone, white hair',
        ':woman_medium_dark_skin_tone_white_hair:' => 'woman: medium-dark skin tone, white hair',
        ':woman_dark_skin_tone_white_hair:' => 'woman: dark skin tone, white hair',
        ':person_white_hair:' => 'person: white hair',
        ':person_light_skin_tone_white_hair:' => 'person: light skin tone, white hair',
        ':person_medium_light_skin_tone_white_hair:' => 'person: medium-light skin tone, white hair',
        ':person_medium_skin_tone_white_hair:' => 'person: medium skin tone, white hair',
        ':person_medium_dark_skin_tone_white_hair:' => 'person: medium-dark skin tone, white hair',
        ':person_dark_skin_tone_white_hair:' => 'person: dark skin tone, white hair',
        ':woman_bald:' => 'woman: bald',
        ':woman_light_skin_tone_bald:' => 'woman: light skin tone, bald',
        ':woman_medium_light_skin_tone_bald:' => 'woman: medium-light skin tone, bald',
        ':woman_medium_skin_tone_bald:' => 'woman: medium skin tone, bald',
        ':woman_medium_dark_skin_tone_bald:' => 'woman: medium-dark skin tone, bald',
        ':woman_dark_skin_tone_bald:' => 'woman: dark skin tone, bald',
        ':person_bald:' => 'person: bald',
        ':person_light_skin_tone_bald:' => 'person: light skin tone, bald',
        ':person_medium_light_skin_tone_bald:' => 'person: medium-light skin tone, bald',
        ':person_medium_skin_tone_bald:' => 'person: medium skin tone, bald',
        ':person_medium_dark_skin_tone_bald:' => 'person: medium-dark skin tone, bald',
        ':person_dark_skin_tone_bald:' => 'person: dark skin tone, bald',
        ':woman_blond_hair:' => 'woman: blond hair',
        ':woman_light_skin_tone_blond_hair:' => 'woman: light skin tone, blond hair',
        ':woman_medium_light_skin_tone_blond_hair:' => 'woman: medium-light skin tone, blond hair',
        ':woman_medium_skin_tone_blond_hair:' => 'woman: medium skin tone, blond hair',
        ':woman_medium_dark_skin_tone_blond_hair:' => 'woman: medium-dark skin tone, blond hair',
        ':woman_dark_skin_tone_blond_hair:' => 'woman: dark skin tone, blond hair',
        ':man_blond_hair:' => 'man: blond hair',
        ':man_light_skin_tone_blond_hair:' => 'man: light skin tone, blond hair',
        ':man_medium_light_skin_tone_blond_hair:' => 'man: medium-light skin tone, blond hair',
        ':man_medium_skin_tone_blond_hair:' => 'man: medium skin tone, blond hair',
        ':man_medium_dark_skin_tone_blond_hair:' => 'man: medium-dark skin tone, blond hair',
        ':man_dark_skin_tone_blond_hair:' => 'man: dark skin tone, blond hair',
        ':older_person:' => 'older person',
        ':older_person_light_skin_tone:' => 'older person: light skin tone',
        ':older_person_medium_light_skin_tone:' => 'older person: medium-light skin tone',
        ':older_person_medium_skin_tone:' => 'older person: medium skin tone',
        ':older_person_medium_dark_skin_tone:' => 'older person: medium-dark skin tone',
        ':older_person_dark_skin_tone:' => 'older person: dark skin tone',
        ':old_man:' => 'old man',
        ':old_man_light_skin_tone:' => 'old man: light skin tone',
        ':old_man_medium_light_skin_tone:' => 'old man: medium-light skin tone',
        ':old_man_medium_skin_tone:' => 'old man: medium skin tone',
        ':old_man_medium_dark_skin_tone:' => 'old man: medium-dark skin tone',
        ':old_man_dark_skin_tone:' => 'old man: dark skin tone',
        ':old_woman:' => 'old woman',
        ':old_woman_light_skin_tone:' => 'old woman: light skin tone',
        ':old_woman_medium_light_skin_tone:' => 'old woman: medium-light skin tone',
        ':old_woman_medium_skin_tone:' => 'old woman: medium skin tone',
        ':old_woman_medium_dark_skin_tone:' => 'old woman: medium-dark skin tone',
        ':old_woman_dark_skin_tone:' => 'old woman: dark skin tone',
        ':person_frowning:' => 'person frowning',
        ':person_frowning_light_skin_tone:' => 'person frowning: light skin tone',
        ':person_frowning_medium_light_skin_tone:' => 'person frowning: medium-light skin tone',
        ':person_frowning_medium_skin_tone:' => 'person frowning: medium skin tone',
        ':person_frowning_medium_dark_skin_tone:' => 'person frowning: medium-dark skin tone',
        ':person_frowning_dark_skin_tone:' => 'person frowning: dark skin tone',
        ':man_frowning:' => 'man frowning',
        ':man_frowning_light_skin_tone:' => 'man frowning: light skin tone',
        ':man_frowning_medium_light_skin_tone:' => 'man frowning: medium-light skin tone',
        ':man_frowning_medium_skin_tone:' => 'man frowning: medium skin tone',
        ':man_frowning_medium_dark_skin_tone:' => 'man frowning: medium-dark skin tone',
        ':man_frowning_dark_skin_tone:' => 'man frowning: dark skin tone',
        ':woman_frowning:' => 'woman frowning',
        ':woman_frowning_light_skin_tone:' => 'woman frowning: light skin tone',
        ':woman_frowning_medium_light_skin_tone:' => 'woman frowning: medium-light skin tone',
        ':woman_frowning_medium_skin_tone:' => 'woman frowning: medium skin tone',
        ':woman_frowning_medium_dark_skin_tone:' => 'woman frowning: medium-dark skin tone',
        ':woman_frowning_dark_skin_tone:' => 'woman frowning: dark skin tone',
        ':person_pouting:' => 'person pouting',
        ':person_pouting_light_skin_tone:' => 'person pouting: light skin tone',
        ':person_pouting_medium_light_skin_tone:' => 'person pouting: medium-light skin tone',
        ':person_pouting_medium_skin_tone:' => 'person pouting: medium skin tone',
        ':person_pouting_medium_dark_skin_tone:' => 'person pouting: medium-dark skin tone',
        ':person_pouting_dark_skin_tone:' => 'person pouting: dark skin tone',
        ':man_pouting:' => 'man pouting',
        ':man_pouting_light_skin_tone:' => 'man pouting: light skin tone',
        ':man_pouting_medium_light_skin_tone:' => 'man pouting: medium-light skin tone',
        ':man_pouting_medium_skin_tone:' => 'man pouting: medium skin tone',
        ':man_pouting_medium_dark_skin_tone:' => 'man pouting: medium-dark skin tone',
        ':man_pouting_dark_skin_tone:' => 'man pouting: dark skin tone',
        ':woman_pouting:' => 'woman pouting',
        ':woman_pouting_light_skin_tone:' => 'woman pouting: light skin tone',
        ':woman_pouting_medium_light_skin_tone:' => 'woman pouting: medium-light skin tone',
        ':woman_pouting_medium_skin_tone:' => 'woman pouting: medium skin tone',
        ':woman_pouting_medium_dark_skin_tone:' => 'woman pouting: medium-dark skin tone',
        ':woman_pouting_dark_skin_tone:' => 'woman pouting: dark skin tone',
        ':person_gesturing_no:' => 'person gesturing NO',
        ':person_gesturing_no_light_skin_tone:' => 'person gesturing NO: light skin tone',
        ':person_gesturing_no_medium_light_skin_tone:' => 'person gesturing NO: medium-light skin tone',
        ':person_gesturing_no_medium_skin_tone:' => 'person gesturing NO: medium skin tone',
        ':person_gesturing_no_medium_dark_skin_tone:' => 'person gesturing NO: medium-dark skin tone',
        ':person_gesturing_no_dark_skin_tone:' => 'person gesturing NO: dark skin tone',
        ':man_gesturing_no:' => 'man gesturing NO',
        ':man_gesturing_no_light_skin_tone:' => 'man gesturing NO: light skin tone',
        ':man_gesturing_no_medium_light_skin_tone:' => 'man gesturing NO: medium-light skin tone',
        ':man_gesturing_no_medium_skin_tone:' => 'man gesturing NO: medium skin tone',
        ':man_gesturing_no_medium_dark_skin_tone:' => 'man gesturing NO: medium-dark skin tone',
        ':man_gesturing_no_dark_skin_tone:' => 'man gesturing NO: dark skin tone',
        ':woman_gesturing_no:' => 'woman gesturing NO',
        ':woman_gesturing_no_light_skin_tone:' => 'woman gesturing NO: light skin tone',
        ':woman_gesturing_no_medium_light_skin_tone:' => 'woman gesturing NO: medium-light skin tone',
        ':woman_gesturing_no_medium_skin_tone:' => 'woman gesturing NO: medium skin tone',
        ':woman_gesturing_no_medium_dark_skin_tone:' => 'woman gesturing NO: medium-dark skin tone',
        ':woman_gesturing_no_dark_skin_tone:' => 'woman gesturing NO: dark skin tone',
        ':person_gesturing_ok:' => 'person gesturing OK',
        ':person_gesturing_ok_light_skin_tone:' => 'person gesturing OK: light skin tone',
        ':person_gesturing_ok_medium_light_skin_tone:' => 'person gesturing OK: medium-light skin tone',
        ':person_gesturing_ok_medium_skin_tone:' => 'person gesturing OK: medium skin tone',
        ':person_gesturing_ok_medium_dark_skin_tone:' => 'person gesturing OK: medium-dark skin tone',
        ':person_gesturing_ok_dark_skin_tone:' => 'person gesturing OK: dark skin tone',
        ':man_gesturing_ok:' => 'man gesturing OK',
        ':man_gesturing_ok_light_skin_tone:' => 'man gesturing OK: light skin tone',
        ':man_gesturing_ok_medium_light_skin_tone:' => 'man gesturing OK: medium-light skin tone',
        ':man_gesturing_ok_medium_skin_tone:' => 'man gesturing OK: medium skin tone',
        ':man_gesturing_ok_medium_dark_skin_tone:' => 'man gesturing OK: medium-dark skin tone',
        ':man_gesturing_ok_dark_skin_tone:' => 'man gesturing OK: dark skin tone',
        ':woman_gesturing_ok:' => 'woman gesturing OK',
        ':woman_gesturing_ok_light_skin_tone:' => 'woman gesturing OK: light skin tone',
        ':woman_gesturing_ok_medium_light_skin_tone:' => 'woman gesturing OK: medium-light skin tone',
        ':woman_gesturing_ok_medium_skin_tone:' => 'woman gesturing OK: medium skin tone',
        ':woman_gesturing_ok_medium_dark_skin_tone:' => 'woman gesturing OK: medium-dark skin tone',
        ':woman_gesturing_ok_dark_skin_tone:' => 'woman gesturing OK: dark skin tone',
        ':person_tipping_hand:' => 'person tipping hand',
        ':person_tipping_hand_light_skin_tone:' => 'person tipping hand: light skin tone',
        ':person_tipping_hand_medium_light_skin_tone:' => 'person tipping hand: medium-light skin tone',
        ':person_tipping_hand_medium_skin_tone:' => 'person tipping hand: medium skin tone',
        ':person_tipping_hand_medium_dark_skin_tone:' => 'person tipping hand: medium-dark skin tone',
        ':person_tipping_hand_dark_skin_tone:' => 'person tipping hand: dark skin tone',
        ':man_tipping_hand:' => 'man tipping hand',
        ':man_tipping_hand_light_skin_tone:' => 'man tipping hand: light skin tone',
        ':man_tipping_hand_medium_light_skin_tone:' => 'man tipping hand: medium-light skin tone',
        ':man_tipping_hand_medium_skin_tone:' => 'man tipping hand: medium skin tone',
        ':man_tipping_hand_medium_dark_skin_tone:' => 'man tipping hand: medium-dark skin tone',
        ':man_tipping_hand_dark_skin_tone:' => 'man tipping hand: dark skin tone',
        ':woman_tipping_hand:' => 'woman tipping hand',
        ':woman_tipping_hand_light_skin_tone:' => 'woman tipping hand: light skin tone',
        ':woman_tipping_hand_medium_light_skin_tone:' => 'woman tipping hand: medium-light skin tone',
        ':woman_tipping_hand_medium_skin_tone:' => 'woman tipping hand: medium skin tone',
        ':woman_tipping_hand_medium_dark_skin_tone:' => 'woman tipping hand: medium-dark skin tone',
        ':woman_tipping_hand_dark_skin_tone:' => 'woman tipping hand: dark skin tone',
        ':person_raising_hand:' => 'person raising hand',
        ':person_raising_hand_light_skin_tone:' => 'person raising hand: light skin tone',
        ':person_raising_hand_medium_light_skin_tone:' => 'person raising hand: medium-light skin tone',
        ':person_raising_hand_medium_skin_tone:' => 'person raising hand: medium skin tone',
        ':person_raising_hand_medium_dark_skin_tone:' => 'person raising hand: medium-dark skin tone',
        ':person_raising_hand_dark_skin_tone:' => 'person raising hand: dark skin tone',
        ':man_raising_hand:' => 'man raising hand',
        ':man_raising_hand_light_skin_tone:' => 'man raising hand: light skin tone',
        ':man_raising_hand_medium_light_skin_tone:' => 'man raising hand: medium-light skin tone',
        ':man_raising_hand_medium_skin_tone:' => 'man raising hand: medium skin tone',
        ':man_raising_hand_medium_dark_skin_tone:' => 'man raising hand: medium-dark skin tone',
        ':man_raising_hand_dark_skin_tone:' => 'man raising hand: dark skin tone',
        ':woman_raising_hand:' => 'woman raising hand',
        ':woman_raising_hand_light_skin_tone:' => 'woman raising hand: light skin tone',
        ':woman_raising_hand_medium_light_skin_tone:' => 'woman raising hand: medium-light skin tone',
        ':woman_raising_hand_medium_skin_tone:' => 'woman raising hand: medium skin tone',
        ':woman_raising_hand_medium_dark_skin_tone:' => 'woman raising hand: medium-dark skin tone',
        ':woman_raising_hand_dark_skin_tone:' => 'woman raising hand: dark skin tone',
        ':deaf_person:' => 'deaf person',
        ':deaf_person_light_skin_tone:' => 'deaf person: light skin tone',
        ':deaf_person_medium_light_skin_tone:' => 'deaf person: medium-light skin tone',
        ':deaf_person_medium_skin_tone:' => 'deaf person: medium skin tone',
        ':deaf_person_medium_dark_skin_tone:' => 'deaf person: medium-dark skin tone',
        ':deaf_person_dark_skin_tone:' => 'deaf person: dark skin tone',
        ':deaf_man:' => 'deaf man',
        ':deaf_man_light_skin_tone:' => 'deaf man: light skin tone',
        ':deaf_man_medium_light_skin_tone:' => 'deaf man: medium-light skin tone',
        ':deaf_man_medium_skin_tone:' => 'deaf man: medium skin tone',
        ':deaf_man_medium_dark_skin_tone:' => 'deaf man: medium-dark skin tone',
        ':deaf_man_dark_skin_tone:' => 'deaf man: dark skin tone',
        ':deaf_woman:' => 'deaf woman',
        ':deaf_woman_light_skin_tone:' => 'deaf woman: light skin tone',
        ':deaf_woman_medium_light_skin_tone:' => 'deaf woman: medium-light skin tone',
        ':deaf_woman_medium_skin_tone:' => 'deaf woman: medium skin tone',
        ':deaf_woman_medium_dark_skin_tone:' => 'deaf woman: medium-dark skin tone',
        ':deaf_woman_dark_skin_tone:' => 'deaf woman: dark skin tone',
        ':person_bowing:' => 'person bowing',
        ':person_bowing_light_skin_tone:' => 'person bowing: light skin tone',
        ':person_bowing_medium_light_skin_tone:' => 'person bowing: medium-light skin tone',
        ':person_bowing_medium_skin_tone:' => 'person bowing: medium skin tone',
        ':person_bowing_medium_dark_skin_tone:' => 'person bowing: medium-dark skin tone',
        ':person_bowing_dark_skin_tone:' => 'person bowing: dark skin tone',
        ':man_bowing:' => 'man bowing',
        ':man_bowing_light_skin_tone:' => 'man bowing: light skin tone',
        ':man_bowing_medium_light_skin_tone:' => 'man bowing: medium-light skin tone',
        ':man_bowing_medium_skin_tone:' => 'man bowing: medium skin tone',
        ':man_bowing_medium_dark_skin_tone:' => 'man bowing: medium-dark skin tone',
        ':man_bowing_dark_skin_tone:' => 'man bowing: dark skin tone',
        ':woman_bowing:' => 'woman bowing',
        ':woman_bowing_light_skin_tone:' => 'woman bowing: light skin tone',
        ':woman_bowing_medium_light_skin_tone:' => 'woman bowing: medium-light skin tone',
        ':woman_bowing_medium_skin_tone:' => 'woman bowing: medium skin tone',
        ':woman_bowing_medium_dark_skin_tone:' => 'woman bowing: medium-dark skin tone',
        ':woman_bowing_dark_skin_tone:' => 'woman bowing: dark skin tone',
        ':person_facepalming:' => 'person facepalming',
        ':person_facepalming_light_skin_tone:' => 'person facepalming: light skin tone',
        ':person_facepalming_medium_light_skin_tone:' => 'person facepalming: medium-light skin tone',
        ':person_facepalming_medium_skin_tone:' => 'person facepalming: medium skin tone',
        ':person_facepalming_medium_dark_skin_tone:' => 'person facepalming: medium-dark skin tone',
        ':person_facepalming_dark_skin_tone:' => 'person facepalming: dark skin tone',
        ':man_facepalming:' => 'man facepalming',
        ':man_facepalming_light_skin_tone:' => 'man facepalming: light skin tone',
        ':man_facepalming_medium_light_skin_tone:' => 'man facepalming: medium-light skin tone',
        ':man_facepalming_medium_skin_tone:' => 'man facepalming: medium skin tone',
        ':man_facepalming_medium_dark_skin_tone:' => 'man facepalming: medium-dark skin tone',
        ':man_facepalming_dark_skin_tone:' => 'man facepalming: dark skin tone',
        ':woman_facepalming:' => 'woman facepalming',
        ':woman_facepalming_light_skin_tone:' => 'woman facepalming: light skin tone',
        ':woman_facepalming_medium_light_skin_tone:' => 'woman facepalming: medium-light skin tone',
        ':woman_facepalming_medium_skin_tone:' => 'woman facepalming: medium skin tone',
        ':woman_facepalming_medium_dark_skin_tone:' => 'woman facepalming: medium-dark skin tone',
        ':woman_facepalming_dark_skin_tone:' => 'woman facepalming: dark skin tone',
        ':person_shrugging:' => 'person shrugging',
        ':person_shrugging_light_skin_tone:' => 'person shrugging: light skin tone',
        ':person_shrugging_medium_light_skin_tone:' => 'person shrugging: medium-light skin tone',
        ':person_shrugging_medium_skin_tone:' => 'person shrugging: medium skin tone',
        ':person_shrugging_medium_dark_skin_tone:' => 'person shrugging: medium-dark skin tone',
        ':person_shrugging_dark_skin_tone:' => 'person shrugging: dark skin tone',
        ':man_shrugging:' => 'man shrugging',
        ':man_shrugging_light_skin_tone:' => 'man shrugging: light skin tone',
        ':man_shrugging_medium_light_skin_tone:' => 'man shrugging: medium-light skin tone',
        ':man_shrugging_medium_skin_tone:' => 'man shrugging: medium skin tone',
        ':man_shrugging_medium_dark_skin_tone:' => 'man shrugging: medium-dark skin tone',
        ':man_shrugging_dark_skin_tone:' => 'man shrugging: dark skin tone',
        ':woman_shrugging:' => 'woman shrugging',
        ':woman_shrugging_light_skin_tone:' => 'woman shrugging: light skin tone',
        ':woman_shrugging_medium_light_skin_tone:' => 'woman shrugging: medium-light skin tone',
        ':woman_shrugging_medium_skin_tone:' => 'woman shrugging: medium skin tone',
        ':woman_shrugging_medium_dark_skin_tone:' => 'woman shrugging: medium-dark skin tone',
        ':woman_shrugging_dark_skin_tone:' => 'woman shrugging: dark skin tone',
        ':health_worker:' => 'health worker',
        ':health_worker_light_skin_tone:' => 'health worker: light skin tone',
        ':health_worker_medium_light_skin_tone:' => 'health worker: medium-light skin tone',
        ':health_worker_medium_skin_tone:' => 'health worker: medium skin tone',
        ':health_worker_medium_dark_skin_tone:' => 'health worker: medium-dark skin tone',
        ':health_worker_dark_skin_tone:' => 'health worker: dark skin tone',
        ':man_health_worker:' => 'man health worker',
        ':man_health_worker_light_skin_tone:' => 'man health worker: light skin tone',
        ':man_health_worker_medium_light_skin_tone:' => 'man health worker: medium-light skin tone',
        ':man_health_worker_medium_skin_tone:' => 'man health worker: medium skin tone',
        ':man_health_worker_medium_dark_skin_tone:' => 'man health worker: medium-dark skin tone',
        ':man_health_worker_dark_skin_tone:' => 'man health worker: dark skin tone',
        ':woman_health_worker:' => 'woman health worker',
        ':woman_health_worker_light_skin_tone:' => 'woman health worker: light skin tone',
        ':woman_health_worker_medium_light_skin_tone:' => 'woman health worker: medium-light skin tone',
        ':woman_health_worker_medium_skin_tone:' => 'woman health worker: medium skin tone',
        ':woman_health_worker_medium_dark_skin_tone:' => 'woman health worker: medium-dark skin tone',
        ':woman_health_worker_dark_skin_tone:' => 'woman health worker: dark skin tone',
        ':student:' => 'student',
        ':student_light_skin_tone:' => 'student: light skin tone',
        ':student_medium_light_skin_tone:' => 'student: medium-light skin tone',
        ':student_medium_skin_tone:' => 'student: medium skin tone',
        ':student_medium_dark_skin_tone:' => 'student: medium-dark skin tone',
        ':student_dark_skin_tone:' => 'student: dark skin tone',
        ':man_student:' => 'man student',
        ':man_student_light_skin_tone:' => 'man student: light skin tone',
        ':man_student_medium_light_skin_tone:' => 'man student: medium-light skin tone',
        ':man_student_medium_skin_tone:' => 'man student: medium skin tone',
        ':man_student_medium_dark_skin_tone:' => 'man student: medium-dark skin tone',
        ':man_student_dark_skin_tone:' => 'man student: dark skin tone',
        ':woman_student:' => 'woman student',
        ':woman_student_light_skin_tone:' => 'woman student: light skin tone',
        ':woman_student_medium_light_skin_tone:' => 'woman student: medium-light skin tone',
        ':woman_student_medium_skin_tone:' => 'woman student: medium skin tone',
        ':woman_student_medium_dark_skin_tone:' => 'woman student: medium-dark skin tone',
        ':woman_student_dark_skin_tone:' => 'woman student: dark skin tone',
        ':teacher:' => 'teacher',
        ':teacher_light_skin_tone:' => 'teacher: light skin tone',
        ':teacher_medium_light_skin_tone:' => 'teacher: medium-light skin tone',
        ':teacher_medium_skin_tone:' => 'teacher: medium skin tone',
        ':teacher_medium_dark_skin_tone:' => 'teacher: medium-dark skin tone',
        ':teacher_dark_skin_tone:' => 'teacher: dark skin tone',
        ':man_teacher:' => 'man teacher',
        ':man_teacher_light_skin_tone:' => 'man teacher: light skin tone',
        ':man_teacher_medium_light_skin_tone:' => 'man teacher: medium-light skin tone',
        ':man_teacher_medium_skin_tone:' => 'man teacher: medium skin tone',
        ':man_teacher_medium_dark_skin_tone:' => 'man teacher: medium-dark skin tone',
        ':man_teacher_dark_skin_tone:' => 'man teacher: dark skin tone',
        ':woman_teacher:' => 'woman teacher',
        ':woman_teacher_light_skin_tone:' => 'woman teacher: light skin tone',
        ':woman_teacher_medium_light_skin_tone:' => 'woman teacher: medium-light skin tone',
        ':woman_teacher_medium_skin_tone:' => 'woman teacher: medium skin tone',
        ':woman_teacher_medium_dark_skin_tone:' => 'woman teacher: medium-dark skin tone',
        ':woman_teacher_dark_skin_tone:' => 'woman teacher: dark skin tone',
        ':judge:' => 'judge',
        ':judge_light_skin_tone:' => 'judge: light skin tone',
        ':judge_medium_light_skin_tone:' => 'judge: medium-light skin tone',
        ':judge_medium_skin_tone:' => 'judge: medium skin tone',
        ':judge_medium_dark_skin_tone:' => 'judge: medium-dark skin tone',
        ':judge_dark_skin_tone:' => 'judge: dark skin tone',
        ':man_judge:' => 'man judge',
        ':man_judge_light_skin_tone:' => 'man judge: light skin tone',
        ':man_judge_medium_light_skin_tone:' => 'man judge: medium-light skin tone',
        ':man_judge_medium_skin_tone:' => 'man judge: medium skin tone',
        ':man_judge_medium_dark_skin_tone:' => 'man judge: medium-dark skin tone',
        ':man_judge_dark_skin_tone:' => 'man judge: dark skin tone',
        ':woman_judge:' => 'woman judge',
        ':woman_judge_light_skin_tone:' => 'woman judge: light skin tone',
        ':woman_judge_medium_light_skin_tone:' => 'woman judge: medium-light skin tone',
        ':woman_judge_medium_skin_tone:' => 'woman judge: medium skin tone',
        ':woman_judge_medium_dark_skin_tone:' => 'woman judge: medium-dark skin tone',
        ':woman_judge_dark_skin_tone:' => 'woman judge: dark skin tone',
        ':farmer:' => 'farmer',
        ':farmer_light_skin_tone:' => 'farmer: light skin tone',
        ':farmer_medium_light_skin_tone:' => 'farmer: medium-light skin tone',
        ':farmer_medium_skin_tone:' => 'farmer: medium skin tone',
        ':farmer_medium_dark_skin_tone:' => 'farmer: medium-dark skin tone',
        ':farmer_dark_skin_tone:' => 'farmer: dark skin tone',
        ':man_farmer:' => 'man farmer',
        ':man_farmer_light_skin_tone:' => 'man farmer: light skin tone',
        ':man_farmer_medium_light_skin_tone:' => 'man farmer: medium-light skin tone',
        ':man_farmer_medium_skin_tone:' => 'man farmer: medium skin tone',
        ':man_farmer_medium_dark_skin_tone:' => 'man farmer: medium-dark skin tone',
        ':man_farmer_dark_skin_tone:' => 'man farmer: dark skin tone',
        ':woman_farmer:' => 'woman farmer',
        ':woman_farmer_light_skin_tone:' => 'woman farmer: light skin tone',
        ':woman_farmer_medium_light_skin_tone:' => 'woman farmer: medium-light skin tone',
        ':woman_farmer_medium_skin_tone:' => 'woman farmer: medium skin tone',
        ':woman_farmer_medium_dark_skin_tone:' => 'woman farmer: medium-dark skin tone',
        ':woman_farmer_dark_skin_tone:' => 'woman farmer: dark skin tone',
        ':cook:' => 'cook',
        ':cook_light_skin_tone:' => 'cook: light skin tone',
        ':cook_medium_light_skin_tone:' => 'cook: medium-light skin tone',
        ':cook_medium_skin_tone:' => 'cook: medium skin tone',
        ':cook_medium_dark_skin_tone:' => 'cook: medium-dark skin tone',
        ':cook_dark_skin_tone:' => 'cook: dark skin tone',
        ':man_cook:' => 'man cook',
        ':man_cook_light_skin_tone:' => 'man cook: light skin tone',
        ':man_cook_medium_light_skin_tone:' => 'man cook: medium-light skin tone',
        ':man_cook_medium_skin_tone:' => 'man cook: medium skin tone',
        ':man_cook_medium_dark_skin_tone:' => 'man cook: medium-dark skin tone',
        ':man_cook_dark_skin_tone:' => 'man cook: dark skin tone',
        ':woman_cook:' => 'woman cook',
        ':woman_cook_light_skin_tone:' => 'woman cook: light skin tone',
        ':woman_cook_medium_light_skin_tone:' => 'woman cook: medium-light skin tone',
        ':woman_cook_medium_skin_tone:' => 'woman cook: medium skin tone',
        ':woman_cook_medium_dark_skin_tone:' => 'woman cook: medium-dark skin tone',
        ':woman_cook_dark_skin_tone:' => 'woman cook: dark skin tone',
        ':mechanic:' => 'mechanic',
        ':mechanic_light_skin_tone:' => 'mechanic: light skin tone',
        ':mechanic_medium_light_skin_tone:' => 'mechanic: medium-light skin tone',
        ':mechanic_medium_skin_tone:' => 'mechanic: medium skin tone',
        ':mechanic_medium_dark_skin_tone:' => 'mechanic: medium-dark skin tone',
        ':mechanic_dark_skin_tone:' => 'mechanic: dark skin tone',
        ':man_mechanic:' => 'man mechanic',
        ':man_mechanic_light_skin_tone:' => 'man mechanic: light skin tone',
        ':man_mechanic_medium_light_skin_tone:' => 'man mechanic: medium-light skin tone',
        ':man_mechanic_medium_skin_tone:' => 'man mechanic: medium skin tone',
        ':man_mechanic_medium_dark_skin_tone:' => 'man mechanic: medium-dark skin tone',
        ':man_mechanic_dark_skin_tone:' => 'man mechanic: dark skin tone',
        ':woman_mechanic:' => 'woman mechanic',
        ':woman_mechanic_light_skin_tone:' => 'woman mechanic: light skin tone',
        ':woman_mechanic_medium_light_skin_tone:' => 'woman mechanic: medium-light skin tone',
        ':woman_mechanic_medium_skin_tone:' => 'woman mechanic: medium skin tone',
        ':woman_mechanic_medium_dark_skin_tone:' => 'woman mechanic: medium-dark skin tone',
        ':woman_mechanic_dark_skin_tone:' => 'woman mechanic: dark skin tone',
        ':factory_worker:' => 'factory worker',
        ':factory_worker_light_skin_tone:' => 'factory worker: light skin tone',
        ':factory_worker_medium_light_skin_tone:' => 'factory worker: medium-light skin tone',
        ':factory_worker_medium_skin_tone:' => 'factory worker: medium skin tone',
        ':factory_worker_medium_dark_skin_tone:' => 'factory worker: medium-dark skin tone',
        ':factory_worker_dark_skin_tone:' => 'factory worker: dark skin tone',
        ':man_factory_worker:' => 'man factory worker',
        ':man_factory_worker_light_skin_tone:' => 'man factory worker: light skin tone',
        ':man_factory_worker_medium_light_skin_tone:' => 'man factory worker: medium-light skin tone',
        ':man_factory_worker_medium_skin_tone:' => 'man factory worker: medium skin tone',
        ':man_factory_worker_medium_dark_skin_tone:' => 'man factory worker: medium-dark skin tone',
        ':man_factory_worker_dark_skin_tone:' => 'man factory worker: dark skin tone',
        ':woman_factory_worker:' => 'woman factory worker',
        ':woman_factory_worker_light_skin_tone:' => 'woman factory worker: light skin tone',
        ':woman_factory_worker_medium_light_skin_tone:' => 'woman factory worker: medium-light skin tone',
        ':woman_factory_worker_medium_skin_tone:' => 'woman factory worker: medium skin tone',
        ':woman_factory_worker_medium_dark_skin_tone:' => 'woman factory worker: medium-dark skin tone',
        ':woman_factory_worker_dark_skin_tone:' => 'woman factory worker: dark skin tone',
        ':office_worker:' => 'office worker',
        ':office_worker_light_skin_tone:' => 'office worker: light skin tone',
        ':office_worker_medium_light_skin_tone:' => 'office worker: medium-light skin tone',
        ':office_worker_medium_skin_tone:' => 'office worker: medium skin tone',
        ':office_worker_medium_dark_skin_tone:' => 'office worker: medium-dark skin tone',
        ':office_worker_dark_skin_tone:' => 'office worker: dark skin tone',
        ':man_office_worker:' => 'man office worker',
        ':man_office_worker_light_skin_tone:' => 'man office worker: light skin tone',
        ':man_office_worker_medium_light_skin_tone:' => 'man office worker: medium-light skin tone',
        ':man_office_worker_medium_skin_tone:' => 'man office worker: medium skin tone',
        ':man_office_worker_medium_dark_skin_tone:' => 'man office worker: medium-dark skin tone',
        ':man_office_worker_dark_skin_tone:' => 'man office worker: dark skin tone',
        ':woman_office_worker:' => 'woman office worker',
        ':woman_office_worker_light_skin_tone:' => 'woman office worker: light skin tone',
        ':woman_office_worker_medium_light_skin_tone:' => 'woman office worker: medium-light skin tone',
        ':woman_office_worker_medium_skin_tone:' => 'woman office worker: medium skin tone',
        ':woman_office_worker_medium_dark_skin_tone:' => 'woman office worker: medium-dark skin tone',
        ':woman_office_worker_dark_skin_tone:' => 'woman office worker: dark skin tone',
        ':scientist:' => 'scientist',
        ':scientist_light_skin_tone:' => 'scientist: light skin tone',
        ':scientist_medium_light_skin_tone:' => 'scientist: medium-light skin tone',
        ':scientist_medium_skin_tone:' => 'scientist: medium skin tone',
        ':scientist_medium_dark_skin_tone:' => 'scientist: medium-dark skin tone',
        ':scientist_dark_skin_tone:' => 'scientist: dark skin tone',
        ':man_scientist:' => 'man scientist',
        ':man_scientist_light_skin_tone:' => 'man scientist: light skin tone',
        ':man_scientist_medium_light_skin_tone:' => 'man scientist: medium-light skin tone',
        ':man_scientist_medium_skin_tone:' => 'man scientist: medium skin tone',
        ':man_scientist_medium_dark_skin_tone:' => 'man scientist: medium-dark skin tone',
        ':man_scientist_dark_skin_tone:' => 'man scientist: dark skin tone',
        ':woman_scientist:' => 'woman scientist',
        ':woman_scientist_light_skin_tone:' => 'woman scientist: light skin tone',
        ':woman_scientist_medium_light_skin_tone:' => 'woman scientist: medium-light skin tone',
        ':woman_scientist_medium_skin_tone:' => 'woman scientist: medium skin tone',
        ':woman_scientist_medium_dark_skin_tone:' => 'woman scientist: medium-dark skin tone',
        ':woman_scientist_dark_skin_tone:' => 'woman scientist: dark skin tone',
        ':technologist:' => 'technologist',
        ':technologist_light_skin_tone:' => 'technologist: light skin tone',
        ':technologist_medium_light_skin_tone:' => 'technologist: medium-light skin tone',
        ':technologist_medium_skin_tone:' => 'technologist: medium skin tone',
        ':technologist_medium_dark_skin_tone:' => 'technologist: medium-dark skin tone',
        ':technologist_dark_skin_tone:' => 'technologist: dark skin tone',
        ':man_technologist:' => 'man technologist',
        ':man_technologist_light_skin_tone:' => 'man technologist: light skin tone',
        ':man_technologist_medium_light_skin_tone:' => 'man technologist: medium-light skin tone',
        ':man_technologist_medium_skin_tone:' => 'man technologist: medium skin tone',
        ':man_technologist_medium_dark_skin_tone:' => 'man technologist: medium-dark skin tone',
        ':man_technologist_dark_skin_tone:' => 'man technologist: dark skin tone',
        ':woman_technologist:' => 'woman technologist',
        ':woman_technologist_light_skin_tone:' => 'woman technologist: light skin tone',
        ':woman_technologist_medium_light_skin_tone:' => 'woman technologist: medium-light skin tone',
        ':woman_technologist_medium_skin_tone:' => 'woman technologist: medium skin tone',
        ':woman_technologist_medium_dark_skin_tone:' => 'woman technologist: medium-dark skin tone',
        ':woman_technologist_dark_skin_tone:' => 'woman technologist: dark skin tone',
        ':singer:' => 'singer',
        ':singer_light_skin_tone:' => 'singer: light skin tone',
        ':singer_medium_light_skin_tone:' => 'singer: medium-light skin tone',
        ':singer_medium_skin_tone:' => 'singer: medium skin tone',
        ':singer_medium_dark_skin_tone:' => 'singer: medium-dark skin tone',
        ':singer_dark_skin_tone:' => 'singer: dark skin tone',
        ':man_singer:' => 'man singer',
        ':man_singer_light_skin_tone:' => 'man singer: light skin tone',
        ':man_singer_medium_light_skin_tone:' => 'man singer: medium-light skin tone',
        ':man_singer_medium_skin_tone:' => 'man singer: medium skin tone',
        ':man_singer_medium_dark_skin_tone:' => 'man singer: medium-dark skin tone',
        ':man_singer_dark_skin_tone:' => 'man singer: dark skin tone',
        ':woman_singer:' => 'woman singer',
        ':woman_singer_light_skin_tone:' => 'woman singer: light skin tone',
        ':woman_singer_medium_light_skin_tone:' => 'woman singer: medium-light skin tone',
        ':woman_singer_medium_skin_tone:' => 'woman singer: medium skin tone',
        ':woman_singer_medium_dark_skin_tone:' => 'woman singer: medium-dark skin tone',
        ':woman_singer_dark_skin_tone:' => 'woman singer: dark skin tone',
        ':artist:' => 'artist',
        ':artist_light_skin_tone:' => 'artist: light skin tone',
        ':artist_medium_light_skin_tone:' => 'artist: medium-light skin tone',
        ':artist_medium_skin_tone:' => 'artist: medium skin tone',
        ':artist_medium_dark_skin_tone:' => 'artist: medium-dark skin tone',
        ':artist_dark_skin_tone:' => 'artist: dark skin tone',
        ':man_artist:' => 'man artist',
        ':man_artist_light_skin_tone:' => 'man artist: light skin tone',
        ':man_artist_medium_light_skin_tone:' => 'man artist: medium-light skin tone',
        ':man_artist_medium_skin_tone:' => 'man artist: medium skin tone',
        ':man_artist_medium_dark_skin_tone:' => 'man artist: medium-dark skin tone',
        ':man_artist_dark_skin_tone:' => 'man artist: dark skin tone',
        ':woman_artist:' => 'woman artist',
        ':woman_artist_light_skin_tone:' => 'woman artist: light skin tone',
        ':woman_artist_medium_light_skin_tone:' => 'woman artist: medium-light skin tone',
        ':woman_artist_medium_skin_tone:' => 'woman artist: medium skin tone',
        ':woman_artist_medium_dark_skin_tone:' => 'woman artist: medium-dark skin tone',
        ':woman_artist_dark_skin_tone:' => 'woman artist: dark skin tone',
        ':pilot:' => 'pilot',
        ':pilot_light_skin_tone:' => 'pilot: light skin tone',
        ':pilot_medium_light_skin_tone:' => 'pilot: medium-light skin tone',
        ':pilot_medium_skin_tone:' => 'pilot: medium skin tone',
        ':pilot_medium_dark_skin_tone:' => 'pilot: medium-dark skin tone',
        ':pilot_dark_skin_tone:' => 'pilot: dark skin tone',
        ':man_pilot:' => 'man pilot',
        ':man_pilot_light_skin_tone:' => 'man pilot: light skin tone',
        ':man_pilot_medium_light_skin_tone:' => 'man pilot: medium-light skin tone',
        ':man_pilot_medium_skin_tone:' => 'man pilot: medium skin tone',
        ':man_pilot_medium_dark_skin_tone:' => 'man pilot: medium-dark skin tone',
        ':man_pilot_dark_skin_tone:' => 'man pilot: dark skin tone',
        ':woman_pilot:' => 'woman pilot',
        ':woman_pilot_light_skin_tone:' => 'woman pilot: light skin tone',
        ':woman_pilot_medium_light_skin_tone:' => 'woman pilot: medium-light skin tone',
        ':woman_pilot_medium_skin_tone:' => 'woman pilot: medium skin tone',
        ':woman_pilot_medium_dark_skin_tone:' => 'woman pilot: medium-dark skin tone',
        ':woman_pilot_dark_skin_tone:' => 'woman pilot: dark skin tone',
        ':astronaut:' => 'astronaut',
        ':astronaut_light_skin_tone:' => 'astronaut: light skin tone',
        ':astronaut_medium_light_skin_tone:' => 'astronaut: medium-light skin tone',
        ':astronaut_medium_skin_tone:' => 'astronaut: medium skin tone',
        ':astronaut_medium_dark_skin_tone:' => 'astronaut: medium-dark skin tone',
        ':astronaut_dark_skin_tone:' => 'astronaut: dark skin tone',
        ':man_astronaut:' => 'man astronaut',
        ':man_astronaut_light_skin_tone:' => 'man astronaut: light skin tone',
        ':man_astronaut_medium_light_skin_tone:' => 'man astronaut: medium-light skin tone',
        ':man_astronaut_medium_skin_tone:' => 'man astronaut: medium skin tone',
        ':man_astronaut_medium_dark_skin_tone:' => 'man astronaut: medium-dark skin tone',
        ':man_astronaut_dark_skin_tone:' => 'man astronaut: dark skin tone',
        ':woman_astronaut:' => 'woman astronaut',
        ':woman_astronaut_light_skin_tone:' => 'woman astronaut: light skin tone',
        ':woman_astronaut_medium_light_skin_tone:' => 'woman astronaut: medium-light skin tone',
        ':woman_astronaut_medium_skin_tone:' => 'woman astronaut: medium skin tone',
        ':woman_astronaut_medium_dark_skin_tone:' => 'woman astronaut: medium-dark skin tone',
        ':woman_astronaut_dark_skin_tone:' => 'woman astronaut: dark skin tone',
        ':firefighter:' => 'firefighter',
        ':firefighter_light_skin_tone:' => 'firefighter: light skin tone',
        ':firefighter_medium_light_skin_tone:' => 'firefighter: medium-light skin tone',
        ':firefighter_medium_skin_tone:' => 'firefighter: medium skin tone',
        ':firefighter_medium_dark_skin_tone:' => 'firefighter: medium-dark skin tone',
        ':firefighter_dark_skin_tone:' => 'firefighter: dark skin tone',
        ':man_firefighter:' => 'man firefighter',
        ':man_firefighter_light_skin_tone:' => 'man firefighter: light skin tone',
        ':man_firefighter_medium_light_skin_tone:' => 'man firefighter: medium-light skin tone',
        ':man_firefighter_medium_skin_tone:' => 'man firefighter: medium skin tone',
        ':man_firefighter_medium_dark_skin_tone:' => 'man firefighter: medium-dark skin tone',
        ':man_firefighter_dark_skin_tone:' => 'man firefighter: dark skin tone',
        ':woman_firefighter:' => 'woman firefighter',
        ':woman_firefighter_light_skin_tone:' => 'woman firefighter: light skin tone',
        ':woman_firefighter_medium_light_skin_tone:' => 'woman firefighter: medium-light skin tone',
        ':woman_firefighter_medium_skin_tone:' => 'woman firefighter: medium skin tone',
        ':woman_firefighter_medium_dark_skin_tone:' => 'woman firefighter: medium-dark skin tone',
        ':woman_firefighter_dark_skin_tone:' => 'woman firefighter: dark skin tone',
        ':police_officer:' => 'police officer',
        ':police_officer_light_skin_tone:' => 'police officer: light skin tone',
        ':police_officer_medium_light_skin_tone:' => 'police officer: medium-light skin tone',
        ':police_officer_medium_skin_tone:' => 'police officer: medium skin tone',
        ':police_officer_medium_dark_skin_tone:' => 'police officer: medium-dark skin tone',
        ':police_officer_dark_skin_tone:' => 'police officer: dark skin tone',
        ':man_police_officer:' => 'man police officer',
        ':man_police_officer_light_skin_tone:' => 'man police officer: light skin tone',
        ':man_police_officer_medium_light_skin_tone:' => 'man police officer: medium-light skin tone',
        ':man_police_officer_medium_skin_tone:' => 'man police officer: medium skin tone',
        ':man_police_officer_medium_dark_skin_tone:' => 'man police officer: medium-dark skin tone',
        ':man_police_officer_dark_skin_tone:' => 'man police officer: dark skin tone',
        ':woman_police_officer:' => 'woman police officer',
        ':woman_police_officer_light_skin_tone:' => 'woman police officer: light skin tone',
        ':woman_police_officer_medium_light_skin_tone:' => 'woman police officer: medium-light skin tone',
        ':woman_police_officer_medium_skin_tone:' => 'woman police officer: medium skin tone',
        ':woman_police_officer_medium_dark_skin_tone:' => 'woman police officer: medium-dark skin tone',
        ':woman_police_officer_dark_skin_tone:' => 'woman police officer: dark skin tone',
        ':detective:' => 'detective',
        ':detective_light_skin_tone:' => 'detective: light skin tone',
        ':detective_medium_light_skin_tone:' => 'detective: medium-light skin tone',
        ':detective_medium_skin_tone:' => 'detective: medium skin tone',
        ':detective_medium_dark_skin_tone:' => 'detective: medium-dark skin tone',
        ':detective_dark_skin_tone:' => 'detective: dark skin tone',
        ':man_detective:' => 'man detective',
        ':man_detective_light_skin_tone:' => 'man detective: light skin tone',
        ':man_detective_medium_light_skin_tone:' => 'man detective: medium-light skin tone',
        ':man_detective_medium_skin_tone:' => 'man detective: medium skin tone',
        ':man_detective_medium_dark_skin_tone:' => 'man detective: medium-dark skin tone',
        ':man_detective_dark_skin_tone:' => 'man detective: dark skin tone',
        ':woman_detective:' => 'woman detective',
        ':woman_detective_light_skin_tone:' => 'woman detective: light skin tone',
        ':woman_detective_medium_light_skin_tone:' => 'woman detective: medium-light skin tone',
        ':woman_detective_medium_skin_tone:' => 'woman detective: medium skin tone',
        ':woman_detective_medium_dark_skin_tone:' => 'woman detective: medium-dark skin tone',
        ':woman_detective_dark_skin_tone:' => 'woman detective: dark skin tone',
        ':guard:' => 'guard',
        ':guard_light_skin_tone:' => 'guard: light skin tone',
        ':guard_medium_light_skin_tone:' => 'guard: medium-light skin tone',
        ':guard_medium_skin_tone:' => 'guard: medium skin tone',
        ':guard_medium_dark_skin_tone:' => 'guard: medium-dark skin tone',
        ':guard_dark_skin_tone:' => 'guard: dark skin tone',
        ':man_guard:' => 'man guard',
        ':man_guard_light_skin_tone:' => 'man guard: light skin tone',
        ':man_guard_medium_light_skin_tone:' => 'man guard: medium-light skin tone',
        ':man_guard_medium_skin_tone:' => 'man guard: medium skin tone',
        ':man_guard_medium_dark_skin_tone:' => 'man guard: medium-dark skin tone',
        ':man_guard_dark_skin_tone:' => 'man guard: dark skin tone',
        ':woman_guard:' => 'woman guard',
        ':woman_guard_light_skin_tone:' => 'woman guard: light skin tone',
        ':woman_guard_medium_light_skin_tone:' => 'woman guard: medium-light skin tone',
        ':woman_guard_medium_skin_tone:' => 'woman guard: medium skin tone',
        ':woman_guard_medium_dark_skin_tone:' => 'woman guard: medium-dark skin tone',
        ':woman_guard_dark_skin_tone:' => 'woman guard: dark skin tone',
        ':ninja:' => 'ninja',
        ':ninja_light_skin_tone:' => 'ninja: light skin tone',
        ':ninja_medium_light_skin_tone:' => 'ninja: medium-light skin tone',
        ':ninja_medium_skin_tone:' => 'ninja: medium skin tone',
        ':ninja_medium_dark_skin_tone:' => 'ninja: medium-dark skin tone',
        ':ninja_dark_skin_tone:' => 'ninja: dark skin tone',
        ':construction_worker:' => 'construction worker',
        ':construction_worker_light_skin_tone:' => 'construction worker: light skin tone',
        ':construction_worker_medium_light_skin_tone:' => 'construction worker: medium-light skin tone',
        ':construction_worker_medium_skin_tone:' => 'construction worker: medium skin tone',
        ':construction_worker_medium_dark_skin_tone:' => 'construction worker: medium-dark skin tone',
        ':construction_worker_dark_skin_tone:' => 'construction worker: dark skin tone',
        ':man_construction_worker:' => 'man construction worker',
        ':man_construction_worker_light_skin_tone:' => 'man construction worker: light skin tone',
        ':man_construction_worker_medium_light_skin_tone:' => 'man construction worker: medium-light skin tone',
        ':man_construction_worker_medium_skin_tone:' => 'man construction worker: medium skin tone',
        ':man_construction_worker_medium_dark_skin_tone:' => 'man construction worker: medium-dark skin tone',
        ':man_construction_worker_dark_skin_tone:' => 'man construction worker: dark skin tone',
        ':woman_construction_worker:' => 'woman construction worker',
        ':woman_construction_worker_light_skin_tone:' => 'woman construction worker: light skin tone',
        ':woman_construction_worker_medium_light_skin_tone:' => 'woman construction worker: medium-light skin tone',
        ':woman_construction_worker_medium_skin_tone:' => 'woman construction worker: medium skin tone',
        ':woman_construction_worker_medium_dark_skin_tone:' => 'woman construction worker: medium-dark skin tone',
        ':woman_construction_worker_dark_skin_tone:' => 'woman construction worker: dark skin tone',
        ':prince:' => 'prince',
        ':prince_light_skin_tone:' => 'prince: light skin tone',
        ':prince_medium_light_skin_tone:' => 'prince: medium-light skin tone',
        ':prince_medium_skin_tone:' => 'prince: medium skin tone',
        ':prince_medium_dark_skin_tone:' => 'prince: medium-dark skin tone',
        ':prince_dark_skin_tone:' => 'prince: dark skin tone',
        ':princess:' => 'princess',
        ':princess_light_skin_tone:' => 'princess: light skin tone',
        ':princess_medium_light_skin_tone:' => 'princess: medium-light skin tone',
        ':princess_medium_skin_tone:' => 'princess: medium skin tone',
        ':princess_medium_dark_skin_tone:' => 'princess: medium-dark skin tone',
        ':princess_dark_skin_tone:' => 'princess: dark skin tone',
        ':person_wearing_turban:' => 'person wearing turban',
        ':person_wearing_turban_light_skin_tone:' => 'person wearing turban: light skin tone',
        ':person_wearing_turban_medium_light_skin_tone:' => 'person wearing turban: medium-light skin tone',
        ':person_wearing_turban_medium_skin_tone:' => 'person wearing turban: medium skin tone',
        ':person_wearing_turban_medium_dark_skin_tone:' => 'person wearing turban: medium-dark skin tone',
        ':person_wearing_turban_dark_skin_tone:' => 'person wearing turban: dark skin tone',
        ':man_wearing_turban:' => 'man wearing turban',
        ':man_wearing_turban_light_skin_tone:' => 'man wearing turban: light skin tone',
        ':man_wearing_turban_medium_light_skin_tone:' => 'man wearing turban: medium-light skin tone',
        ':man_wearing_turban_medium_skin_tone:' => 'man wearing turban: medium skin tone',
        ':man_wearing_turban_medium_dark_skin_tone:' => 'man wearing turban: medium-dark skin tone',
        ':man_wearing_turban_dark_skin_tone:' => 'man wearing turban: dark skin tone',
        ':woman_wearing_turban:' => 'woman wearing turban',
        ':woman_wearing_turban_light_skin_tone:' => 'woman wearing turban: light skin tone',
        ':woman_wearing_turban_medium_light_skin_tone:' => 'woman wearing turban: medium-light skin tone',
        ':woman_wearing_turban_medium_skin_tone:' => 'woman wearing turban: medium skin tone',
        ':woman_wearing_turban_medium_dark_skin_tone:' => 'woman wearing turban: medium-dark skin tone',
        ':woman_wearing_turban_dark_skin_tone:' => 'woman wearing turban: dark skin tone',
        ':person_with_skullcap:' => 'person with skullcap',
        ':person_with_skullcap_light_skin_tone:' => 'person with skullcap: light skin tone',
        ':person_with_skullcap_medium_light_skin_tone:' => 'person with skullcap: medium-light skin tone',
        ':person_with_skullcap_medium_skin_tone:' => 'person with skullcap: medium skin tone',
        ':person_with_skullcap_medium_dark_skin_tone:' => 'person with skullcap: medium-dark skin tone',
        ':person_with_skullcap_dark_skin_tone:' => 'person with skullcap: dark skin tone',
        ':woman_with_headscarf:' => 'woman with headscarf',
        ':woman_with_headscarf_light_skin_tone:' => 'woman with headscarf: light skin tone',
        ':woman_with_headscarf_medium_light_skin_tone:' => 'woman with headscarf: medium-light skin tone',
        ':woman_with_headscarf_medium_skin_tone:' => 'woman with headscarf: medium skin tone',
        ':woman_with_headscarf_medium_dark_skin_tone:' => 'woman with headscarf: medium-dark skin tone',
        ':woman_with_headscarf_dark_skin_tone:' => 'woman with headscarf: dark skin tone',
        ':person_in_tuxedo:' => 'person in tuxedo',
        ':person_in_tuxedo_light_skin_tone:' => 'person in tuxedo: light skin tone',
        ':person_in_tuxedo_medium_light_skin_tone:' => 'person in tuxedo: medium-light skin tone',
        ':person_in_tuxedo_medium_skin_tone:' => 'person in tuxedo: medium skin tone',
        ':person_in_tuxedo_medium_dark_skin_tone:' => 'person in tuxedo: medium-dark skin tone',
        ':person_in_tuxedo_dark_skin_tone:' => 'person in tuxedo: dark skin tone',
        ':man_in_tuxedo:' => 'man in tuxedo',
        ':man_in_tuxedo_light_skin_tone:' => 'man in tuxedo: light skin tone',
        ':man_in_tuxedo_medium_light_skin_tone:' => 'man in tuxedo: medium-light skin tone',
        ':man_in_tuxedo_medium_skin_tone:' => 'man in tuxedo: medium skin tone',
        ':man_in_tuxedo_medium_dark_skin_tone:' => 'man in tuxedo: medium-dark skin tone',
        ':man_in_tuxedo_dark_skin_tone:' => 'man in tuxedo: dark skin tone',
        ':woman_in_tuxedo:' => 'woman in tuxedo',
        ':woman_in_tuxedo_light_skin_tone:' => 'woman in tuxedo: light skin tone',
        ':woman_in_tuxedo_medium_light_skin_tone:' => 'woman in tuxedo: medium-light skin tone',
        ':woman_in_tuxedo_medium_skin_tone:' => 'woman in tuxedo: medium skin tone',
        ':woman_in_tuxedo_medium_dark_skin_tone:' => 'woman in tuxedo: medium-dark skin tone',
        ':woman_in_tuxedo_dark_skin_tone:' => 'woman in tuxedo: dark skin tone',
        ':person_with_veil:' => 'person with veil',
        ':person_with_veil_light_skin_tone:' => 'person with veil: light skin tone',
        ':person_with_veil_medium_light_skin_tone:' => 'person with veil: medium-light skin tone',
        ':person_with_veil_medium_skin_tone:' => 'person with veil: medium skin tone',
        ':person_with_veil_medium_dark_skin_tone:' => 'person with veil: medium-dark skin tone',
        ':person_with_veil_dark_skin_tone:' => 'person with veil: dark skin tone',
        ':man_with_veil:' => 'man with veil',
        ':man_with_veil_light_skin_tone:' => 'man with veil: light skin tone',
        ':man_with_veil_medium_light_skin_tone:' => 'man with veil: medium-light skin tone',
        ':man_with_veil_medium_skin_tone:' => 'man with veil: medium skin tone',
        ':man_with_veil_medium_dark_skin_tone:' => 'man with veil: medium-dark skin tone',
        ':man_with_veil_dark_skin_tone:' => 'man with veil: dark skin tone',
        ':woman_with_veil:' => 'woman with veil',
        ':woman_with_veil_light_skin_tone:' => 'woman with veil: light skin tone',
        ':woman_with_veil_medium_light_skin_tone:' => 'woman with veil: medium-light skin tone',
        ':woman_with_veil_medium_skin_tone:' => 'woman with veil: medium skin tone',
        ':woman_with_veil_medium_dark_skin_tone:' => 'woman with veil: medium-dark skin tone',
        ':woman_with_veil_dark_skin_tone:' => 'woman with veil: dark skin tone',
        ':pregnant_woman:' => 'pregnant woman',
        ':pregnant_woman_light_skin_tone:' => 'pregnant woman: light skin tone',
        ':pregnant_woman_medium_light_skin_tone:' => 'pregnant woman: medium-light skin tone',
        ':pregnant_woman_medium_skin_tone:' => 'pregnant woman: medium skin tone',
        ':pregnant_woman_medium_dark_skin_tone:' => 'pregnant woman: medium-dark skin tone',
        ':pregnant_woman_dark_skin_tone:' => 'pregnant woman: dark skin tone',
        ':breast_feeding:' => 'breast-feeding',
        ':breast_feeding_light_skin_tone:' => 'breast-feeding: light skin tone',
        ':breast_feeding_medium_light_skin_tone:' => 'breast-feeding: medium-light skin tone',
        ':breast_feeding_medium_skin_tone:' => 'breast-feeding: medium skin tone',
        ':breast_feeding_medium_dark_skin_tone:' => 'breast-feeding: medium-dark skin tone',
        ':breast_feeding_dark_skin_tone:' => 'breast-feeding: dark skin tone',
        ':woman_feeding_baby:' => 'woman feeding baby',
        ':woman_feeding_baby_light_skin_tone:' => 'woman feeding baby: light skin tone',
        ':woman_feeding_baby_medium_light_skin_tone:' => 'woman feeding baby: medium-light skin tone',
        ':woman_feeding_baby_medium_skin_tone:' => 'woman feeding baby: medium skin tone',
        ':woman_feeding_baby_medium_dark_skin_tone:' => 'woman feeding baby: medium-dark skin tone',
        ':woman_feeding_baby_dark_skin_tone:' => 'woman feeding baby: dark skin tone',
        ':man_feeding_baby:' => 'man feeding baby',
        ':man_feeding_baby_light_skin_tone:' => 'man feeding baby: light skin tone',
        ':man_feeding_baby_medium_light_skin_tone:' => 'man feeding baby: medium-light skin tone',
        ':man_feeding_baby_medium_skin_tone:' => 'man feeding baby: medium skin tone',
        ':man_feeding_baby_medium_dark_skin_tone:' => 'man feeding baby: medium-dark skin tone',
        ':man_feeding_baby_dark_skin_tone:' => 'man feeding baby: dark skin tone',
        ':person_feeding_baby:' => 'person feeding baby',
        ':person_feeding_baby_light_skin_tone:' => 'person feeding baby: light skin tone',
        ':person_feeding_baby_medium_light_skin_tone:' => 'person feeding baby: medium-light skin tone',
        ':person_feeding_baby_medium_skin_tone:' => 'person feeding baby: medium skin tone',
        ':person_feeding_baby_medium_dark_skin_tone:' => 'person feeding baby: medium-dark skin tone',
        ':person_feeding_baby_dark_skin_tone:' => 'person feeding baby: dark skin tone',
        ':baby_angel:' => 'baby angel',
        ':baby_angel_light_skin_tone:' => 'baby angel: light skin tone',
        ':baby_angel_medium_light_skin_tone:' => 'baby angel: medium-light skin tone',
        ':baby_angel_medium_skin_tone:' => 'baby angel: medium skin tone',
        ':baby_angel_medium_dark_skin_tone:' => 'baby angel: medium-dark skin tone',
        ':baby_angel_dark_skin_tone:' => 'baby angel: dark skin tone',
        ':santa_claus:' => 'Santa Claus',
        ':santa_claus_light_skin_tone:' => 'Santa Claus: light skin tone',
        ':santa_claus_medium_light_skin_tone:' => 'Santa Claus: medium-light skin tone',
        ':santa_claus_medium_skin_tone:' => 'Santa Claus: medium skin tone',
        ':santa_claus_medium_dark_skin_tone:' => 'Santa Claus: medium-dark skin tone',
        ':santa_claus_dark_skin_tone:' => 'Santa Claus: dark skin tone',
        ':mrs_claus:' => 'Mrs. Claus',
        ':mrs_claus_light_skin_tone:' => 'Mrs. Claus: light skin tone',
        ':mrs_claus_medium_light_skin_tone:' => 'Mrs. Claus: medium-light skin tone',
        ':mrs_claus_medium_skin_tone:' => 'Mrs. Claus: medium skin tone',
        ':mrs_claus_medium_dark_skin_tone:' => 'Mrs. Claus: medium-dark skin tone',
        ':mrs_claus_dark_skin_tone:' => 'Mrs. Claus: dark skin tone',
        ':mx_claus:' => 'mx claus',
        ':mx_claus_light_skin_tone:' => 'mx claus: light skin tone',
        ':mx_claus_medium_light_skin_tone:' => 'mx claus: medium-light skin tone',
        ':mx_claus_medium_skin_tone:' => 'mx claus: medium skin tone',
        ':mx_claus_medium_dark_skin_tone:' => 'mx claus: medium-dark skin tone',
        ':mx_claus_dark_skin_tone:' => 'mx claus: dark skin tone',
        ':superhero:' => 'superhero',
        ':superhero_light_skin_tone:' => 'superhero: light skin tone',
        ':superhero_medium_light_skin_tone:' => 'superhero: medium-light skin tone',
        ':superhero_medium_skin_tone:' => 'superhero: medium skin tone',
        ':superhero_medium_dark_skin_tone:' => 'superhero: medium-dark skin tone',
        ':superhero_dark_skin_tone:' => 'superhero: dark skin tone',
        ':man_superhero:' => 'man superhero',
        ':man_superhero_light_skin_tone:' => 'man superhero: light skin tone',
        ':man_superhero_medium_light_skin_tone:' => 'man superhero: medium-light skin tone',
        ':man_superhero_medium_skin_tone:' => 'man superhero: medium skin tone',
        ':man_superhero_medium_dark_skin_tone:' => 'man superhero: medium-dark skin tone',
        ':man_superhero_dark_skin_tone:' => 'man superhero: dark skin tone',
        ':woman_superhero:' => 'woman superhero',
        ':woman_superhero_light_skin_tone:' => 'woman superhero: light skin tone',
        ':woman_superhero_medium_light_skin_tone:' => 'woman superhero: medium-light skin tone',
        ':woman_superhero_medium_skin_tone:' => 'woman superhero: medium skin tone',
        ':woman_superhero_medium_dark_skin_tone:' => 'woman superhero: medium-dark skin tone',
        ':woman_superhero_dark_skin_tone:' => 'woman superhero: dark skin tone',
        ':supervillain:' => 'supervillain',
        ':supervillain_light_skin_tone:' => 'supervillain: light skin tone',
        ':supervillain_medium_light_skin_tone:' => 'supervillain: medium-light skin tone',
        ':supervillain_medium_skin_tone:' => 'supervillain: medium skin tone',
        ':supervillain_medium_dark_skin_tone:' => 'supervillain: medium-dark skin tone',
        ':supervillain_dark_skin_tone:' => 'supervillain: dark skin tone',
        ':man_supervillain:' => 'man supervillain',
        ':man_supervillain_light_skin_tone:' => 'man supervillain: light skin tone',
        ':man_supervillain_medium_light_skin_tone:' => 'man supervillain: medium-light skin tone',
        ':man_supervillain_medium_skin_tone:' => 'man supervillain: medium skin tone',
        ':man_supervillain_medium_dark_skin_tone:' => 'man supervillain: medium-dark skin tone',
        ':man_supervillain_dark_skin_tone:' => 'man supervillain: dark skin tone',
        ':woman_supervillain:' => 'woman supervillain',
        ':woman_supervillain_light_skin_tone:' => 'woman supervillain: light skin tone',
        ':woman_supervillain_medium_light_skin_tone:' => 'woman supervillain: medium-light skin tone',
        ':woman_supervillain_medium_skin_tone:' => 'woman supervillain: medium skin tone',
        ':woman_supervillain_medium_dark_skin_tone:' => 'woman supervillain: medium-dark skin tone',
        ':woman_supervillain_dark_skin_tone:' => 'woman supervillain: dark skin tone',
        ':mage:' => 'mage',
        ':mage_light_skin_tone:' => 'mage: light skin tone',
        ':mage_medium_light_skin_tone:' => 'mage: medium-light skin tone',
        ':mage_medium_skin_tone:' => 'mage: medium skin tone',
        ':mage_medium_dark_skin_tone:' => 'mage: medium-dark skin tone',
        ':mage_dark_skin_tone:' => 'mage: dark skin tone',
        ':man_mage:' => 'man mage',
        ':man_mage_light_skin_tone:' => 'man mage: light skin tone',
        ':man_mage_medium_light_skin_tone:' => 'man mage: medium-light skin tone',
        ':man_mage_medium_skin_tone:' => 'man mage: medium skin tone',
        ':man_mage_medium_dark_skin_tone:' => 'man mage: medium-dark skin tone',
        ':man_mage_dark_skin_tone:' => 'man mage: dark skin tone',
        ':woman_mage:' => 'woman mage',
        ':woman_mage_light_skin_tone:' => 'woman mage: light skin tone',
        ':woman_mage_medium_light_skin_tone:' => 'woman mage: medium-light skin tone',
        ':woman_mage_medium_skin_tone:' => 'woman mage: medium skin tone',
        ':woman_mage_medium_dark_skin_tone:' => 'woman mage: medium-dark skin tone',
        ':woman_mage_dark_skin_tone:' => 'woman mage: dark skin tone',
        ':fairy:' => 'fairy',
        ':fairy_light_skin_tone:' => 'fairy: light skin tone',
        ':fairy_medium_light_skin_tone:' => 'fairy: medium-light skin tone',
        ':fairy_medium_skin_tone:' => 'fairy: medium skin tone',
        ':fairy_medium_dark_skin_tone:' => 'fairy: medium-dark skin tone',
        ':fairy_dark_skin_tone:' => 'fairy: dark skin tone',
        ':man_fairy:' => 'man fairy',
        ':man_fairy_light_skin_tone:' => 'man fairy: light skin tone',
        ':man_fairy_medium_light_skin_tone:' => 'man fairy: medium-light skin tone',
        ':man_fairy_medium_skin_tone:' => 'man fairy: medium skin tone',
        ':man_fairy_medium_dark_skin_tone:' => 'man fairy: medium-dark skin tone',
        ':man_fairy_dark_skin_tone:' => 'man fairy: dark skin tone',
        ':woman_fairy:' => 'woman fairy',
        ':woman_fairy_light_skin_tone:' => 'woman fairy: light skin tone',
        ':woman_fairy_medium_light_skin_tone:' => 'woman fairy: medium-light skin tone',
        ':woman_fairy_medium_skin_tone:' => 'woman fairy: medium skin tone',
        ':woman_fairy_medium_dark_skin_tone:' => 'woman fairy: medium-dark skin tone',
        ':woman_fairy_dark_skin_tone:' => 'woman fairy: dark skin tone',
        ':vampire:' => 'vampire',
        ':vampire_light_skin_tone:' => 'vampire: light skin tone',
        ':vampire_medium_light_skin_tone:' => 'vampire: medium-light skin tone',
        ':vampire_medium_skin_tone:' => 'vampire: medium skin tone',
        ':vampire_medium_dark_skin_tone:' => 'vampire: medium-dark skin tone',
        ':vampire_dark_skin_tone:' => 'vampire: dark skin tone',
        ':man_vampire:' => 'man vampire',
        ':man_vampire_light_skin_tone:' => 'man vampire: light skin tone',
        ':man_vampire_medium_light_skin_tone:' => 'man vampire: medium-light skin tone',
        ':man_vampire_medium_skin_tone:' => 'man vampire: medium skin tone',
        ':man_vampire_medium_dark_skin_tone:' => 'man vampire: medium-dark skin tone',
        ':man_vampire_dark_skin_tone:' => 'man vampire: dark skin tone',
        ':woman_vampire:' => 'woman vampire',
        ':woman_vampire_light_skin_tone:' => 'woman vampire: light skin tone',
        ':woman_vampire_medium_light_skin_tone:' => 'woman vampire: medium-light skin tone',
        ':woman_vampire_medium_skin_tone:' => 'woman vampire: medium skin tone',
        ':woman_vampire_medium_dark_skin_tone:' => 'woman vampire: medium-dark skin tone',
        ':woman_vampire_dark_skin_tone:' => 'woman vampire: dark skin tone',
        ':merperson:' => 'merperson',
        ':merperson_light_skin_tone:' => 'merperson: light skin tone',
        ':merperson_medium_light_skin_tone:' => 'merperson: medium-light skin tone',
        ':merperson_medium_skin_tone:' => 'merperson: medium skin tone',
        ':merperson_medium_dark_skin_tone:' => 'merperson: medium-dark skin tone',
        ':merperson_dark_skin_tone:' => 'merperson: dark skin tone',
        ':merman:' => 'merman',
        ':merman_light_skin_tone:' => 'merman: light skin tone',
        ':merman_medium_light_skin_tone:' => 'merman: medium-light skin tone',
        ':merman_medium_skin_tone:' => 'merman: medium skin tone',
        ':merman_medium_dark_skin_tone:' => 'merman: medium-dark skin tone',
        ':merman_dark_skin_tone:' => 'merman: dark skin tone',
        ':mermaid:' => 'mermaid',
        ':mermaid_light_skin_tone:' => 'mermaid: light skin tone',
        ':mermaid_medium_light_skin_tone:' => 'mermaid: medium-light skin tone',
        ':mermaid_medium_skin_tone:' => 'mermaid: medium skin tone',
        ':mermaid_medium_dark_skin_tone:' => 'mermaid: medium-dark skin tone',
        ':mermaid_dark_skin_tone:' => 'mermaid: dark skin tone',
        ':elf:' => 'elf',
        ':elf_light_skin_tone:' => 'elf: light skin tone',
        ':elf_medium_light_skin_tone:' => 'elf: medium-light skin tone',
        ':elf_medium_skin_tone:' => 'elf: medium skin tone',
        ':elf_medium_dark_skin_tone:' => 'elf: medium-dark skin tone',
        ':elf_dark_skin_tone:' => 'elf: dark skin tone',
        ':man_elf:' => 'man elf',
        ':man_elf_light_skin_tone:' => 'man elf: light skin tone',
        ':man_elf_medium_light_skin_tone:' => 'man elf: medium-light skin tone',
        ':man_elf_medium_skin_tone:' => 'man elf: medium skin tone',
        ':man_elf_medium_dark_skin_tone:' => 'man elf: medium-dark skin tone',
        ':man_elf_dark_skin_tone:' => 'man elf: dark skin tone',
        ':woman_elf:' => 'woman elf',
        ':woman_elf_light_skin_tone:' => 'woman elf: light skin tone',
        ':woman_elf_medium_light_skin_tone:' => 'woman elf: medium-light skin tone',
        ':woman_elf_medium_skin_tone:' => 'woman elf: medium skin tone',
        ':woman_elf_medium_dark_skin_tone:' => 'woman elf: medium-dark skin tone',
        ':woman_elf_dark_skin_tone:' => 'woman elf: dark skin tone',
        ':genie:' => 'genie',
        ':man_genie:' => 'man genie',
        ':woman_genie:' => 'woman genie',
        ':zombie:' => 'zombie',
        ':man_zombie:' => 'man zombie',
        ':woman_zombie:' => 'woman zombie',
        ':person_getting_massage:' => 'person getting massage',
        ':person_getting_massage_light_skin_tone:' => 'person getting massage: light skin tone',
        ':person_getting_massage_medium_light_skin_tone:' => 'person getting massage: medium-light skin tone',
        ':person_getting_massage_medium_skin_tone:' => 'person getting massage: medium skin tone',
        ':person_getting_massage_medium_dark_skin_tone:' => 'person getting massage: medium-dark skin tone',
        ':person_getting_massage_dark_skin_tone:' => 'person getting massage: dark skin tone',
        ':man_getting_massage:' => 'man getting massage',
        ':man_getting_massage_light_skin_tone:' => 'man getting massage: light skin tone',
        ':man_getting_massage_medium_light_skin_tone:' => 'man getting massage: medium-light skin tone',
        ':man_getting_massage_medium_skin_tone:' => 'man getting massage: medium skin tone',
        ':man_getting_massage_medium_dark_skin_tone:' => 'man getting massage: medium-dark skin tone',
        ':man_getting_massage_dark_skin_tone:' => 'man getting massage: dark skin tone',
        ':woman_getting_massage:' => 'woman getting massage',
        ':woman_getting_massage_light_skin_tone:' => 'woman getting massage: light skin tone',
        ':woman_getting_massage_medium_light_skin_tone:' => 'woman getting massage: medium-light skin tone',
        ':woman_getting_massage_medium_skin_tone:' => 'woman getting massage: medium skin tone',
        ':woman_getting_massage_medium_dark_skin_tone:' => 'woman getting massage: medium-dark skin tone',
        ':woman_getting_massage_dark_skin_tone:' => 'woman getting massage: dark skin tone',
        ':person_getting_haircut:' => 'person getting haircut',
        ':person_getting_haircut_light_skin_tone:' => 'person getting haircut: light skin tone',
        ':person_getting_haircut_medium_light_skin_tone:' => 'person getting haircut: medium-light skin tone',
        ':person_getting_haircut_medium_skin_tone:' => 'person getting haircut: medium skin tone',
        ':person_getting_haircut_medium_dark_skin_tone:' => 'person getting haircut: medium-dark skin tone',
        ':person_getting_haircut_dark_skin_tone:' => 'person getting haircut: dark skin tone',
        ':man_getting_haircut:' => 'man getting haircut',
        ':man_getting_haircut_light_skin_tone:' => 'man getting haircut: light skin tone',
        ':man_getting_haircut_medium_light_skin_tone:' => 'man getting haircut: medium-light skin tone',
        ':man_getting_haircut_medium_skin_tone:' => 'man getting haircut: medium skin tone',
        ':man_getting_haircut_medium_dark_skin_tone:' => 'man getting haircut: medium-dark skin tone',
        ':man_getting_haircut_dark_skin_tone:' => 'man getting haircut: dark skin tone',
        ':woman_getting_haircut:' => 'woman getting haircut',
        ':woman_getting_haircut_light_skin_tone:' => 'woman getting haircut: light skin tone',
        ':woman_getting_haircut_medium_light_skin_tone:' => 'woman getting haircut: medium-light skin tone',
        ':woman_getting_haircut_medium_skin_tone:' => 'woman getting haircut: medium skin tone',
        ':woman_getting_haircut_medium_dark_skin_tone:' => 'woman getting haircut: medium-dark skin tone',
        ':woman_getting_haircut_dark_skin_tone:' => 'woman getting haircut: dark skin tone',
        ':person_walking:' => 'person walking',
        ':person_walking_light_skin_tone:' => 'person walking: light skin tone',
        ':person_walking_medium_light_skin_tone:' => 'person walking: medium-light skin tone',
        ':person_walking_medium_skin_tone:' => 'person walking: medium skin tone',
        ':person_walking_medium_dark_skin_tone:' => 'person walking: medium-dark skin tone',
        ':person_walking_dark_skin_tone:' => 'person walking: dark skin tone',
        ':man_walking:' => 'man walking',
        ':man_walking_light_skin_tone:' => 'man walking: light skin tone',
        ':man_walking_medium_light_skin_tone:' => 'man walking: medium-light skin tone',
        ':man_walking_medium_skin_tone:' => 'man walking: medium skin tone',
        ':man_walking_medium_dark_skin_tone:' => 'man walking: medium-dark skin tone',
        ':man_walking_dark_skin_tone:' => 'man walking: dark skin tone',
        ':woman_walking:' => 'woman walking',
        ':woman_walking_light_skin_tone:' => 'woman walking: light skin tone',
        ':woman_walking_medium_light_skin_tone:' => 'woman walking: medium-light skin tone',
        ':woman_walking_medium_skin_tone:' => 'woman walking: medium skin tone',
        ':woman_walking_medium_dark_skin_tone:' => 'woman walking: medium-dark skin tone',
        ':woman_walking_dark_skin_tone:' => 'woman walking: dark skin tone',
        ':person_standing:' => 'person standing',
        ':person_standing_light_skin_tone:' => 'person standing: light skin tone',
        ':person_standing_medium_light_skin_tone:' => 'person standing: medium-light skin tone',
        ':person_standing_medium_skin_tone:' => 'person standing: medium skin tone',
        ':person_standing_medium_dark_skin_tone:' => 'person standing: medium-dark skin tone',
        ':person_standing_dark_skin_tone:' => 'person standing: dark skin tone',
        ':man_standing:' => 'man standing',
        ':man_standing_light_skin_tone:' => 'man standing: light skin tone',
        ':man_standing_medium_light_skin_tone:' => 'man standing: medium-light skin tone',
        ':man_standing_medium_skin_tone:' => 'man standing: medium skin tone',
        ':man_standing_medium_dark_skin_tone:' => 'man standing: medium-dark skin tone',
        ':man_standing_dark_skin_tone:' => 'man standing: dark skin tone',
        ':woman_standing:' => 'woman standing',
        ':woman_standing_light_skin_tone:' => 'woman standing: light skin tone',
        ':woman_standing_medium_light_skin_tone:' => 'woman standing: medium-light skin tone',
        ':woman_standing_medium_skin_tone:' => 'woman standing: medium skin tone',
        ':woman_standing_medium_dark_skin_tone:' => 'woman standing: medium-dark skin tone',
        ':woman_standing_dark_skin_tone:' => 'woman standing: dark skin tone',
        ':person_kneeling:' => 'person kneeling',
        ':person_kneeling_light_skin_tone:' => 'person kneeling: light skin tone',
        ':person_kneeling_medium_light_skin_tone:' => 'person kneeling: medium-light skin tone',
        ':person_kneeling_medium_skin_tone:' => 'person kneeling: medium skin tone',
        ':person_kneeling_medium_dark_skin_tone:' => 'person kneeling: medium-dark skin tone',
        ':person_kneeling_dark_skin_tone:' => 'person kneeling: dark skin tone',
        ':man_kneeling:' => 'man kneeling',
        ':man_kneeling_light_skin_tone:' => 'man kneeling: light skin tone',
        ':man_kneeling_medium_light_skin_tone:' => 'man kneeling: medium-light skin tone',
        ':man_kneeling_medium_skin_tone:' => 'man kneeling: medium skin tone',
        ':man_kneeling_medium_dark_skin_tone:' => 'man kneeling: medium-dark skin tone',
        ':man_kneeling_dark_skin_tone:' => 'man kneeling: dark skin tone',
        ':woman_kneeling:' => 'woman kneeling',
        ':woman_kneeling_light_skin_tone:' => 'woman kneeling: light skin tone',
        ':woman_kneeling_medium_light_skin_tone:' => 'woman kneeling: medium-light skin tone',
        ':woman_kneeling_medium_skin_tone:' => 'woman kneeling: medium skin tone',
        ':woman_kneeling_medium_dark_skin_tone:' => 'woman kneeling: medium-dark skin tone',
        ':woman_kneeling_dark_skin_tone:' => 'woman kneeling: dark skin tone',
        ':person_with_white_cane:' => 'person with white cane',
        ':person_with_white_cane_light_skin_tone:' => 'person with white cane: light skin tone',
        ':person_with_white_cane_medium_light_skin_tone:' => 'person with white cane: medium-light skin tone',
        ':person_with_white_cane_medium_skin_tone:' => 'person with white cane: medium skin tone',
        ':person_with_white_cane_medium_dark_skin_tone:' => 'person with white cane: medium-dark skin tone',
        ':person_with_white_cane_dark_skin_tone:' => 'person with white cane: dark skin tone',
        ':man_with_white_cane:' => 'man with white cane',
        ':man_with_white_cane_light_skin_tone:' => 'man with white cane: light skin tone',
        ':man_with_white_cane_medium_light_skin_tone:' => 'man with white cane: medium-light skin tone',
        ':man_with_white_cane_medium_skin_tone:' => 'man with white cane: medium skin tone',
        ':man_with_white_cane_medium_dark_skin_tone:' => 'man with white cane: medium-dark skin tone',
        ':man_with_white_cane_dark_skin_tone:' => 'man with white cane: dark skin tone',
        ':woman_with_white_cane:' => 'woman with white cane',
        ':woman_with_white_cane_light_skin_tone:' => 'woman with white cane: light skin tone',
        ':woman_with_white_cane_medium_light_skin_tone:' => 'woman with white cane: medium-light skin tone',
        ':woman_with_white_cane_medium_skin_tone:' => 'woman with white cane: medium skin tone',
        ':woman_with_white_cane_medium_dark_skin_tone:' => 'woman with white cane: medium-dark skin tone',
        ':woman_with_white_cane_dark_skin_tone:' => 'woman with white cane: dark skin tone',
        ':person_in_motorized_wheelchair:' => 'person in motorized wheelchair',
        ':person_in_motorized_wheelchair_light_skin_tone:' => 'person in motorized wheelchair: light skin tone',
        ':person_in_motorized_wheelchair_medium_light_skin_tone:' => 'person in motorized wheelchair: medium-light skin tone',
        ':person_in_motorized_wheelchair_medium_skin_tone:' => 'person in motorized wheelchair: medium skin tone',
        ':person_in_motorized_wheelchair_medium_dark_skin_tone:' => 'person in motorized wheelchair: medium-dark skin tone',
        ':person_in_motorized_wheelchair_dark_skin_tone:' => 'person in motorized wheelchair: dark skin tone',
        ':man_in_motorized_wheelchair:' => 'man in motorized wheelchair',
        ':man_in_motorized_wheelchair_light_skin_tone:' => 'man in motorized wheelchair: light skin tone',
        ':man_in_motorized_wheelchair_medium_light_skin_tone:' => 'man in motorized wheelchair: medium-light skin tone',
        ':man_in_motorized_wheelchair_medium_skin_tone:' => 'man in motorized wheelchair: medium skin tone',
        ':man_in_motorized_wheelchair_medium_dark_skin_tone:' => 'man in motorized wheelchair: medium-dark skin tone',
        ':man_in_motorized_wheelchair_dark_skin_tone:' => 'man in motorized wheelchair: dark skin tone',
        ':woman_in_motorized_wheelchair:' => 'woman in motorized wheelchair',
        ':woman_in_motorized_wheelchair_light_skin_tone:' => 'woman in motorized wheelchair: light skin tone',
        ':woman_in_motorized_wheelchair_medium_light_skin_tone:' => 'woman in motorized wheelchair: medium-light skin tone',
        ':woman_in_motorized_wheelchair_medium_skin_tone:' => 'woman in motorized wheelchair: medium skin tone',
        ':woman_in_motorized_wheelchair_medium_dark_skin_tone:' => 'woman in motorized wheelchair: medium-dark skin tone',
        ':woman_in_motorized_wheelchair_dark_skin_tone:' => 'woman in motorized wheelchair: dark skin tone',
        ':person_in_manual_wheelchair:' => 'person in manual wheelchair',
        ':person_in_manual_wheelchair_light_skin_tone:' => 'person in manual wheelchair: light skin tone',
        ':person_in_manual_wheelchair_medium_light_skin_tone:' => 'person in manual wheelchair: medium-light skin tone',
        ':person_in_manual_wheelchair_medium_skin_tone:' => 'person in manual wheelchair: medium skin tone',
        ':person_in_manual_wheelchair_medium_dark_skin_tone:' => 'person in manual wheelchair: medium-dark skin tone',
        ':person_in_manual_wheelchair_dark_skin_tone:' => 'person in manual wheelchair: dark skin tone',
        ':man_in_manual_wheelchair:' => 'man in manual wheelchair',
        ':man_in_manual_wheelchair_light_skin_tone:' => 'man in manual wheelchair: light skin tone',
        ':man_in_manual_wheelchair_medium_light_skin_tone:' => 'man in manual wheelchair: medium-light skin tone',
        ':man_in_manual_wheelchair_medium_skin_tone:' => 'man in manual wheelchair: medium skin tone',
        ':man_in_manual_wheelchair_medium_dark_skin_tone:' => 'man in manual wheelchair: medium-dark skin tone',
        ':man_in_manual_wheelchair_dark_skin_tone:' => 'man in manual wheelchair: dark skin tone',
        ':woman_in_manual_wheelchair:' => 'woman in manual wheelchair',
        ':woman_in_manual_wheelchair_light_skin_tone:' => 'woman in manual wheelchair: light skin tone',
        ':woman_in_manual_wheelchair_medium_light_skin_tone:' => 'woman in manual wheelchair: medium-light skin tone',
        ':woman_in_manual_wheelchair_medium_skin_tone:' => 'woman in manual wheelchair: medium skin tone',
        ':woman_in_manual_wheelchair_medium_dark_skin_tone:' => 'woman in manual wheelchair: medium-dark skin tone',
        ':woman_in_manual_wheelchair_dark_skin_tone:' => 'woman in manual wheelchair: dark skin tone',
        ':person_running:' => 'person running',
        ':person_running_light_skin_tone:' => 'person running: light skin tone',
        ':person_running_medium_light_skin_tone:' => 'person running: medium-light skin tone',
        ':person_running_medium_skin_tone:' => 'person running: medium skin tone',
        ':person_running_medium_dark_skin_tone:' => 'person running: medium-dark skin tone',
        ':person_running_dark_skin_tone:' => 'person running: dark skin tone',
        ':man_running:' => 'man running',
        ':man_running_light_skin_tone:' => 'man running: light skin tone',
        ':man_running_medium_light_skin_tone:' => 'man running: medium-light skin tone',
        ':man_running_medium_skin_tone:' => 'man running: medium skin tone',
        ':man_running_medium_dark_skin_tone:' => 'man running: medium-dark skin tone',
        ':man_running_dark_skin_tone:' => 'man running: dark skin tone',
        ':woman_running:' => 'woman running',
        ':woman_running_light_skin_tone:' => 'woman running: light skin tone',
        ':woman_running_medium_light_skin_tone:' => 'woman running: medium-light skin tone',
        ':woman_running_medium_skin_tone:' => 'woman running: medium skin tone',
        ':woman_running_medium_dark_skin_tone:' => 'woman running: medium-dark skin tone',
        ':woman_running_dark_skin_tone:' => 'woman running: dark skin tone',
        ':woman_dancing:' => 'woman dancing',
        ':woman_dancing_light_skin_tone:' => 'woman dancing: light skin tone',
        ':woman_dancing_medium_light_skin_tone:' => 'woman dancing: medium-light skin tone',
        ':woman_dancing_medium_skin_tone:' => 'woman dancing: medium skin tone',
        ':woman_dancing_medium_dark_skin_tone:' => 'woman dancing: medium-dark skin tone',
        ':woman_dancing_dark_skin_tone:' => 'woman dancing: dark skin tone',
        ':man_dancing:' => 'man dancing',
        ':man_dancing_light_skin_tone:' => 'man dancing: light skin tone',
        ':man_dancing_medium_light_skin_tone:' => 'man dancing: medium-light skin tone',
        ':man_dancing_medium_skin_tone:' => 'man dancing: medium skin tone',
        ':man_dancing_medium_dark_skin_tone:' => 'man dancing: medium-dark skin tone',
        ':man_dancing_dark_skin_tone:' => 'man dancing: dark skin tone',
        ':person_in_suit_levitating:' => 'person in suit levitating',
        ':person_in_suit_levitating_light_skin_tone:' => 'person in suit levitating: light skin tone',
        ':person_in_suit_levitating_medium_light_skin_tone:' => 'person in suit levitating: medium-light skin tone',
        ':person_in_suit_levitating_medium_skin_tone:' => 'person in suit levitating: medium skin tone',
        ':person_in_suit_levitating_medium_dark_skin_tone:' => 'person in suit levitating: medium-dark skin tone',
        ':person_in_suit_levitating_dark_skin_tone:' => 'person in suit levitating: dark skin tone',
        ':people_with_bunny_ears:' => 'people with bunny ears',
        ':men_with_bunny_ears:' => 'men with bunny ears',
        ':women_with_bunny_ears:' => 'women with bunny ears',
        ':person_in_steamy_room:' => 'person in steamy room',
        ':person_in_steamy_room_light_skin_tone:' => 'person in steamy room: light skin tone',
        ':person_in_steamy_room_medium_light_skin_tone:' => 'person in steamy room: medium-light skin tone',
        ':person_in_steamy_room_medium_skin_tone:' => 'person in steamy room: medium skin tone',
        ':person_in_steamy_room_medium_dark_skin_tone:' => 'person in steamy room: medium-dark skin tone',
        ':person_in_steamy_room_dark_skin_tone:' => 'person in steamy room: dark skin tone',
        ':man_in_steamy_room:' => 'man in steamy room',
        ':man_in_steamy_room_light_skin_tone:' => 'man in steamy room: light skin tone',
        ':man_in_steamy_room_medium_light_skin_tone:' => 'man in steamy room: medium-light skin tone',
        ':man_in_steamy_room_medium_skin_tone:' => 'man in steamy room: medium skin tone',
        ':man_in_steamy_room_medium_dark_skin_tone:' => 'man in steamy room: medium-dark skin tone',
        ':man_in_steamy_room_dark_skin_tone:' => 'man in steamy room: dark skin tone',
        ':woman_in_steamy_room:' => 'woman in steamy room',
        ':woman_in_steamy_room_light_skin_tone:' => 'woman in steamy room: light skin tone',
        ':woman_in_steamy_room_medium_light_skin_tone:' => 'woman in steamy room: medium-light skin tone',
        ':woman_in_steamy_room_medium_skin_tone:' => 'woman in steamy room: medium skin tone',
        ':woman_in_steamy_room_medium_dark_skin_tone:' => 'woman in steamy room: medium-dark skin tone',
        ':woman_in_steamy_room_dark_skin_tone:' => 'woman in steamy room: dark skin tone',
        ':person_climbing:' => 'person climbing',
        ':person_climbing_light_skin_tone:' => 'person climbing: light skin tone',
        ':person_climbing_medium_light_skin_tone:' => 'person climbing: medium-light skin tone',
        ':person_climbing_medium_skin_tone:' => 'person climbing: medium skin tone',
        ':person_climbing_medium_dark_skin_tone:' => 'person climbing: medium-dark skin tone',
        ':person_climbing_dark_skin_tone:' => 'person climbing: dark skin tone',
        ':man_climbing:' => 'man climbing',
        ':man_climbing_light_skin_tone:' => 'man climbing: light skin tone',
        ':man_climbing_medium_light_skin_tone:' => 'man climbing: medium-light skin tone',
        ':man_climbing_medium_skin_tone:' => 'man climbing: medium skin tone',
        ':man_climbing_medium_dark_skin_tone:' => 'man climbing: medium-dark skin tone',
        ':man_climbing_dark_skin_tone:' => 'man climbing: dark skin tone',
        ':woman_climbing:' => 'woman climbing',
        ':woman_climbing_light_skin_tone:' => 'woman climbing: light skin tone',
        ':woman_climbing_medium_light_skin_tone:' => 'woman climbing: medium-light skin tone',
        ':woman_climbing_medium_skin_tone:' => 'woman climbing: medium skin tone',
        ':woman_climbing_medium_dark_skin_tone:' => 'woman climbing: medium-dark skin tone',
        ':woman_climbing_dark_skin_tone:' => 'woman climbing: dark skin tone',
        ':person_fencing:' => 'person fencing',
        ':horse_racing:' => 'horse racing',
        ':horse_racing_light_skin_tone:' => 'horse racing: light skin tone',
        ':horse_racing_medium_light_skin_tone:' => 'horse racing: medium-light skin tone',
        ':horse_racing_medium_skin_tone:' => 'horse racing: medium skin tone',
        ':horse_racing_medium_dark_skin_tone:' => 'horse racing: medium-dark skin tone',
        ':horse_racing_dark_skin_tone:' => 'horse racing: dark skin tone',
        ':skier:' => 'skier',
        ':snowboarder:' => 'snowboarder',
        ':snowboarder_light_skin_tone:' => 'snowboarder: light skin tone',
        ':snowboarder_medium_light_skin_tone:' => 'snowboarder: medium-light skin tone',
        ':snowboarder_medium_skin_tone:' => 'snowboarder: medium skin tone',
        ':snowboarder_medium_dark_skin_tone:' => 'snowboarder: medium-dark skin tone',
        ':snowboarder_dark_skin_tone:' => 'snowboarder: dark skin tone',
        ':person_golfing:' => 'person golfing',
        ':person_golfing_light_skin_tone:' => 'person golfing: light skin tone',
        ':person_golfing_medium_light_skin_tone:' => 'person golfing: medium-light skin tone',
        ':person_golfing_medium_skin_tone:' => 'person golfing: medium skin tone',
        ':person_golfing_medium_dark_skin_tone:' => 'person golfing: medium-dark skin tone',
        ':person_golfing_dark_skin_tone:' => 'person golfing: dark skin tone',
        ':man_golfing:' => 'man golfing',
        ':man_golfing_light_skin_tone:' => 'man golfing: light skin tone',
        ':man_golfing_medium_light_skin_tone:' => 'man golfing: medium-light skin tone',
        ':man_golfing_medium_skin_tone:' => 'man golfing: medium skin tone',
        ':man_golfing_medium_dark_skin_tone:' => 'man golfing: medium-dark skin tone',
        ':man_golfing_dark_skin_tone:' => 'man golfing: dark skin tone',
        ':woman_golfing:' => 'woman golfing',
        ':woman_golfing_light_skin_tone:' => 'woman golfing: light skin tone',
        ':woman_golfing_medium_light_skin_tone:' => 'woman golfing: medium-light skin tone',
        ':woman_golfing_medium_skin_tone:' => 'woman golfing: medium skin tone',
        ':woman_golfing_medium_dark_skin_tone:' => 'woman golfing: medium-dark skin tone',
        ':woman_golfing_dark_skin_tone:' => 'woman golfing: dark skin tone',
        ':person_surfing:' => 'person surfing',
        ':person_surfing_light_skin_tone:' => 'person surfing: light skin tone',
        ':person_surfing_medium_light_skin_tone:' => 'person surfing: medium-light skin tone',
        ':person_surfing_medium_skin_tone:' => 'person surfing: medium skin tone',
        ':person_surfing_medium_dark_skin_tone:' => 'person surfing: medium-dark skin tone',
        ':person_surfing_dark_skin_tone:' => 'person surfing: dark skin tone',
        ':man_surfing:' => 'man surfing',
        ':man_surfing_light_skin_tone:' => 'man surfing: light skin tone',
        ':man_surfing_medium_light_skin_tone:' => 'man surfing: medium-light skin tone',
        ':man_surfing_medium_skin_tone:' => 'man surfing: medium skin tone',
        ':man_surfing_medium_dark_skin_tone:' => 'man surfing: medium-dark skin tone',
        ':man_surfing_dark_skin_tone:' => 'man surfing: dark skin tone',
        ':woman_surfing:' => 'woman surfing',
        ':woman_surfing_light_skin_tone:' => 'woman surfing: light skin tone',
        ':woman_surfing_medium_light_skin_tone:' => 'woman surfing: medium-light skin tone',
        ':woman_surfing_medium_skin_tone:' => 'woman surfing: medium skin tone',
        ':woman_surfing_medium_dark_skin_tone:' => 'woman surfing: medium-dark skin tone',
        ':woman_surfing_dark_skin_tone:' => 'woman surfing: dark skin tone',
        ':person_rowing_boat:' => 'person rowing boat',
        ':person_rowing_boat_light_skin_tone:' => 'person rowing boat: light skin tone',
        ':person_rowing_boat_medium_light_skin_tone:' => 'person rowing boat: medium-light skin tone',
        ':person_rowing_boat_medium_skin_tone:' => 'person rowing boat: medium skin tone',
        ':person_rowing_boat_medium_dark_skin_tone:' => 'person rowing boat: medium-dark skin tone',
        ':person_rowing_boat_dark_skin_tone:' => 'person rowing boat: dark skin tone',
        ':man_rowing_boat:' => 'man rowing boat',
        ':man_rowing_boat_light_skin_tone:' => 'man rowing boat: light skin tone',
        ':man_rowing_boat_medium_light_skin_tone:' => 'man rowing boat: medium-light skin tone',
        ':man_rowing_boat_medium_skin_tone:' => 'man rowing boat: medium skin tone',
        ':man_rowing_boat_medium_dark_skin_tone:' => 'man rowing boat: medium-dark skin tone',
        ':man_rowing_boat_dark_skin_tone:' => 'man rowing boat: dark skin tone',
        ':woman_rowing_boat:' => 'woman rowing boat',
        ':woman_rowing_boat_light_skin_tone:' => 'woman rowing boat: light skin tone',
        ':woman_rowing_boat_medium_light_skin_tone:' => 'woman rowing boat: medium-light skin tone',
        ':woman_rowing_boat_medium_skin_tone:' => 'woman rowing boat: medium skin tone',
        ':woman_rowing_boat_medium_dark_skin_tone:' => 'woman rowing boat: medium-dark skin tone',
        ':woman_rowing_boat_dark_skin_tone:' => 'woman rowing boat: dark skin tone',
        ':person_swimming:' => 'person swimming',
        ':person_swimming_light_skin_tone:' => 'person swimming: light skin tone',
        ':person_swimming_medium_light_skin_tone:' => 'person swimming: medium-light skin tone',
        ':person_swimming_medium_skin_tone:' => 'person swimming: medium skin tone',
        ':person_swimming_medium_dark_skin_tone:' => 'person swimming: medium-dark skin tone',
        ':person_swimming_dark_skin_tone:' => 'person swimming: dark skin tone',
        ':man_swimming:' => 'man swimming',
        ':man_swimming_light_skin_tone:' => 'man swimming: light skin tone',
        ':man_swimming_medium_light_skin_tone:' => 'man swimming: medium-light skin tone',
        ':man_swimming_medium_skin_tone:' => 'man swimming: medium skin tone',
        ':man_swimming_medium_dark_skin_tone:' => 'man swimming: medium-dark skin tone',
        ':man_swimming_dark_skin_tone:' => 'man swimming: dark skin tone',
        ':woman_swimming:' => 'woman swimming',
        ':woman_swimming_light_skin_tone:' => 'woman swimming: light skin tone',
        ':woman_swimming_medium_light_skin_tone:' => 'woman swimming: medium-light skin tone',
        ':woman_swimming_medium_skin_tone:' => 'woman swimming: medium skin tone',
        ':woman_swimming_medium_dark_skin_tone:' => 'woman swimming: medium-dark skin tone',
        ':woman_swimming_dark_skin_tone:' => 'woman swimming: dark skin tone',
        ':person_bouncing_ball:' => 'person bouncing ball',
        ':person_bouncing_ball_light_skin_tone:' => 'person bouncing ball: light skin tone',
        ':person_bouncing_ball_medium_light_skin_tone:' => 'person bouncing ball: medium-light skin tone',
        ':person_bouncing_ball_medium_skin_tone:' => 'person bouncing ball: medium skin tone',
        ':person_bouncing_ball_medium_dark_skin_tone:' => 'person bouncing ball: medium-dark skin tone',
        ':person_bouncing_ball_dark_skin_tone:' => 'person bouncing ball: dark skin tone',
        ':man_bouncing_ball:' => 'man bouncing ball',
        ':man_bouncing_ball_light_skin_tone:' => 'man bouncing ball: light skin tone',
        ':man_bouncing_ball_medium_light_skin_tone:' => 'man bouncing ball: medium-light skin tone',
        ':man_bouncing_ball_medium_skin_tone:' => 'man bouncing ball: medium skin tone',
        ':man_bouncing_ball_medium_dark_skin_tone:' => 'man bouncing ball: medium-dark skin tone',
        ':man_bouncing_ball_dark_skin_tone:' => 'man bouncing ball: dark skin tone',
        ':woman_bouncing_ball:' => 'woman bouncing ball',
        ':woman_bouncing_ball_light_skin_tone:' => 'woman bouncing ball: light skin tone',
        ':woman_bouncing_ball_medium_light_skin_tone:' => 'woman bouncing ball: medium-light skin tone',
        ':woman_bouncing_ball_medium_skin_tone:' => 'woman bouncing ball: medium skin tone',
        ':woman_bouncing_ball_medium_dark_skin_tone:' => 'woman bouncing ball: medium-dark skin tone',
        ':woman_bouncing_ball_dark_skin_tone:' => 'woman bouncing ball: dark skin tone',
        ':person_lifting_weights:' => 'person lifting weights',
        ':person_lifting_weights_light_skin_tone:' => 'person lifting weights: light skin tone',
        ':person_lifting_weights_medium_light_skin_tone:' => 'person lifting weights: medium-light skin tone',
        ':person_lifting_weights_medium_skin_tone:' => 'person lifting weights: medium skin tone',
        ':person_lifting_weights_medium_dark_skin_tone:' => 'person lifting weights: medium-dark skin tone',
        ':person_lifting_weights_dark_skin_tone:' => 'person lifting weights: dark skin tone',
        ':man_lifting_weights:' => 'man lifting weights',
        ':man_lifting_weights_light_skin_tone:' => 'man lifting weights: light skin tone',
        ':man_lifting_weights_medium_light_skin_tone:' => 'man lifting weights: medium-light skin tone',
        ':man_lifting_weights_medium_skin_tone:' => 'man lifting weights: medium skin tone',
        ':man_lifting_weights_medium_dark_skin_tone:' => 'man lifting weights: medium-dark skin tone',
        ':man_lifting_weights_dark_skin_tone:' => 'man lifting weights: dark skin tone',
        ':woman_lifting_weights:' => 'woman lifting weights',
        ':woman_lifting_weights_light_skin_tone:' => 'woman lifting weights: light skin tone',
        ':woman_lifting_weights_medium_light_skin_tone:' => 'woman lifting weights: medium-light skin tone',
        ':woman_lifting_weights_medium_skin_tone:' => 'woman lifting weights: medium skin tone',
        ':woman_lifting_weights_medium_dark_skin_tone:' => 'woman lifting weights: medium-dark skin tone',
        ':woman_lifting_weights_dark_skin_tone:' => 'woman lifting weights: dark skin tone',
        ':person_biking:' => 'person biking',
        ':person_biking_light_skin_tone:' => 'person biking: light skin tone',
        ':person_biking_medium_light_skin_tone:' => 'person biking: medium-light skin tone',
        ':person_biking_medium_skin_tone:' => 'person biking: medium skin tone',
        ':person_biking_medium_dark_skin_tone:' => 'person biking: medium-dark skin tone',
        ':person_biking_dark_skin_tone:' => 'person biking: dark skin tone',
        ':man_biking:' => 'man biking',
        ':man_biking_light_skin_tone:' => 'man biking: light skin tone',
        ':man_biking_medium_light_skin_tone:' => 'man biking: medium-light skin tone',
        ':man_biking_medium_skin_tone:' => 'man biking: medium skin tone',
        ':man_biking_medium_dark_skin_tone:' => 'man biking: medium-dark skin tone',
        ':man_biking_dark_skin_tone:' => 'man biking: dark skin tone',
        ':woman_biking:' => 'woman biking',
        ':woman_biking_light_skin_tone:' => 'woman biking: light skin tone',
        ':woman_biking_medium_light_skin_tone:' => 'woman biking: medium-light skin tone',
        ':woman_biking_medium_skin_tone:' => 'woman biking: medium skin tone',
        ':woman_biking_medium_dark_skin_tone:' => 'woman biking: medium-dark skin tone',
        ':woman_biking_dark_skin_tone:' => 'woman biking: dark skin tone',
        ':person_mountain_biking:' => 'person mountain biking',
        ':person_mountain_biking_light_skin_tone:' => 'person mountain biking: light skin tone',
        ':person_mountain_biking_medium_light_skin_tone:' => 'person mountain biking: medium-light skin tone',
        ':person_mountain_biking_medium_skin_tone:' => 'person mountain biking: medium skin tone',
        ':person_mountain_biking_medium_dark_skin_tone:' => 'person mountain biking: medium-dark skin tone',
        ':person_mountain_biking_dark_skin_tone:' => 'person mountain biking: dark skin tone',
        ':man_mountain_biking:' => 'man mountain biking',
        ':man_mountain_biking_light_skin_tone:' => 'man mountain biking: light skin tone',
        ':man_mountain_biking_medium_light_skin_tone:' => 'man mountain biking: medium-light skin tone',
        ':man_mountain_biking_medium_skin_tone:' => 'man mountain biking: medium skin tone',
        ':man_mountain_biking_medium_dark_skin_tone:' => 'man mountain biking: medium-dark skin tone',
        ':man_mountain_biking_dark_skin_tone:' => 'man mountain biking: dark skin tone',
        ':woman_mountain_biking:' => 'woman mountain biking',
        ':woman_mountain_biking_light_skin_tone:' => 'woman mountain biking: light skin tone',
        ':woman_mountain_biking_medium_light_skin_tone:' => 'woman mountain biking: medium-light skin tone',
        ':woman_mountain_biking_medium_skin_tone:' => 'woman mountain biking: medium skin tone',
        ':woman_mountain_biking_medium_dark_skin_tone:' => 'woman mountain biking: medium-dark skin tone',
        ':woman_mountain_biking_dark_skin_tone:' => 'woman mountain biking: dark skin tone',
        ':person_cartwheeling:' => 'person cartwheeling',
        ':person_cartwheeling_light_skin_tone:' => 'person cartwheeling: light skin tone',
        ':person_cartwheeling_medium_light_skin_tone:' => 'person cartwheeling: medium-light skin tone',
        ':person_cartwheeling_medium_skin_tone:' => 'person cartwheeling: medium skin tone',
        ':person_cartwheeling_medium_dark_skin_tone:' => 'person cartwheeling: medium-dark skin tone',
        ':person_cartwheeling_dark_skin_tone:' => 'person cartwheeling: dark skin tone',
        ':man_cartwheeling:' => 'man cartwheeling',
        ':man_cartwheeling_light_skin_tone:' => 'man cartwheeling: light skin tone',
        ':man_cartwheeling_medium_light_skin_tone:' => 'man cartwheeling: medium-light skin tone',
        ':man_cartwheeling_medium_skin_tone:' => 'man cartwheeling: medium skin tone',
        ':man_cartwheeling_medium_dark_skin_tone:' => 'man cartwheeling: medium-dark skin tone',
        ':man_cartwheeling_dark_skin_tone:' => 'man cartwheeling: dark skin tone',
        ':woman_cartwheeling:' => 'woman cartwheeling',
        ':woman_cartwheeling_light_skin_tone:' => 'woman cartwheeling: light skin tone',
        ':woman_cartwheeling_medium_light_skin_tone:' => 'woman cartwheeling: medium-light skin tone',
        ':woman_cartwheeling_medium_skin_tone:' => 'woman cartwheeling: medium skin tone',
        ':woman_cartwheeling_medium_dark_skin_tone:' => 'woman cartwheeling: medium-dark skin tone',
        ':woman_cartwheeling_dark_skin_tone:' => 'woman cartwheeling: dark skin tone',
        ':people_wrestling:' => 'people wrestling',
        ':men_wrestling:' => 'men wrestling',
        ':women_wrestling:' => 'women wrestling',
        ':person_playing_water_polo:' => 'person playing water polo',
        ':person_playing_water_polo_light_skin_tone:' => 'person playing water polo: light skin tone',
        ':person_playing_water_polo_medium_light_skin_tone:' => 'person playing water polo: medium-light skin tone',
        ':person_playing_water_polo_medium_skin_tone:' => 'person playing water polo: medium skin tone',
        ':person_playing_water_polo_medium_dark_skin_tone:' => 'person playing water polo: medium-dark skin tone',
        ':person_playing_water_polo_dark_skin_tone:' => 'person playing water polo: dark skin tone',
        ':man_playing_water_polo:' => 'man playing water polo',
        ':man_playing_water_polo_light_skin_tone:' => 'man playing water polo: light skin tone',
        ':man_playing_water_polo_medium_light_skin_tone:' => 'man playing water polo: medium-light skin tone',
        ':man_playing_water_polo_medium_skin_tone:' => 'man playing water polo: medium skin tone',
        ':man_playing_water_polo_medium_dark_skin_tone:' => 'man playing water polo: medium-dark skin tone',
        ':man_playing_water_polo_dark_skin_tone:' => 'man playing water polo: dark skin tone',
        ':woman_playing_water_polo:' => 'woman playing water polo',
        ':woman_playing_water_polo_light_skin_tone:' => 'woman playing water polo: light skin tone',
        ':woman_playing_water_polo_medium_light_skin_tone:' => 'woman playing water polo: medium-light skin tone',
        ':woman_playing_water_polo_medium_skin_tone:' => 'woman playing water polo: medium skin tone',
        ':woman_playing_water_polo_medium_dark_skin_tone:' => 'woman playing water polo: medium-dark skin tone',
        ':woman_playing_water_polo_dark_skin_tone:' => 'woman playing water polo: dark skin tone',
        ':person_playing_handball:' => 'person playing handball',
        ':person_playing_handball_light_skin_tone:' => 'person playing handball: light skin tone',
        ':person_playing_handball_medium_light_skin_tone:' => 'person playing handball: medium-light skin tone',
        ':person_playing_handball_medium_skin_tone:' => 'person playing handball: medium skin tone',
        ':person_playing_handball_medium_dark_skin_tone:' => 'person playing handball: medium-dark skin tone',
        ':person_playing_handball_dark_skin_tone:' => 'person playing handball: dark skin tone',
        ':man_playing_handball:' => 'man playing handball',
        ':man_playing_handball_light_skin_tone:' => 'man playing handball: light skin tone',
        ':man_playing_handball_medium_light_skin_tone:' => 'man playing handball: medium-light skin tone',
        ':man_playing_handball_medium_skin_tone:' => 'man playing handball: medium skin tone',
        ':man_playing_handball_medium_dark_skin_tone:' => 'man playing handball: medium-dark skin tone',
        ':man_playing_handball_dark_skin_tone:' => 'man playing handball: dark skin tone',
        ':woman_playing_handball:' => 'woman playing handball',
        ':woman_playing_handball_light_skin_tone:' => 'woman playing handball: light skin tone',
        ':woman_playing_handball_medium_light_skin_tone:' => 'woman playing handball: medium-light skin tone',
        ':woman_playing_handball_medium_skin_tone:' => 'woman playing handball: medium skin tone',
        ':woman_playing_handball_medium_dark_skin_tone:' => 'woman playing handball: medium-dark skin tone',
        ':woman_playing_handball_dark_skin_tone:' => 'woman playing handball: dark skin tone',
        ':person_juggling:' => 'person juggling',
        ':person_juggling_light_skin_tone:' => 'person juggling: light skin tone',
        ':person_juggling_medium_light_skin_tone:' => 'person juggling: medium-light skin tone',
        ':person_juggling_medium_skin_tone:' => 'person juggling: medium skin tone',
        ':person_juggling_medium_dark_skin_tone:' => 'person juggling: medium-dark skin tone',
        ':person_juggling_dark_skin_tone:' => 'person juggling: dark skin tone',
        ':man_juggling:' => 'man juggling',
        ':man_juggling_light_skin_tone:' => 'man juggling: light skin tone',
        ':man_juggling_medium_light_skin_tone:' => 'man juggling: medium-light skin tone',
        ':man_juggling_medium_skin_tone:' => 'man juggling: medium skin tone',
        ':man_juggling_medium_dark_skin_tone:' => 'man juggling: medium-dark skin tone',
        ':man_juggling_dark_skin_tone:' => 'man juggling: dark skin tone',
        ':woman_juggling:' => 'woman juggling',
        ':woman_juggling_light_skin_tone:' => 'woman juggling: light skin tone',
        ':woman_juggling_medium_light_skin_tone:' => 'woman juggling: medium-light skin tone',
        ':woman_juggling_medium_skin_tone:' => 'woman juggling: medium skin tone',
        ':woman_juggling_medium_dark_skin_tone:' => 'woman juggling: medium-dark skin tone',
        ':woman_juggling_dark_skin_tone:' => 'woman juggling: dark skin tone',
        ':person_in_lotus_position:' => 'person in lotus position',
        ':person_in_lotus_position_light_skin_tone:' => 'person in lotus position: light skin tone',
        ':person_in_lotus_position_medium_light_skin_tone:' => 'person in lotus position: medium-light skin tone',
        ':person_in_lotus_position_medium_skin_tone:' => 'person in lotus position: medium skin tone',
        ':person_in_lotus_position_medium_dark_skin_tone:' => 'person in lotus position: medium-dark skin tone',
        ':person_in_lotus_position_dark_skin_tone:' => 'person in lotus position: dark skin tone',
        ':man_in_lotus_position:' => 'man in lotus position',
        ':man_in_lotus_position_light_skin_tone:' => 'man in lotus position: light skin tone',
        ':man_in_lotus_position_medium_light_skin_tone:' => 'man in lotus position: medium-light skin tone',
        ':man_in_lotus_position_medium_skin_tone:' => 'man in lotus position: medium skin tone',
        ':man_in_lotus_position_medium_dark_skin_tone:' => 'man in lotus position: medium-dark skin tone',
        ':man_in_lotus_position_dark_skin_tone:' => 'man in lotus position: dark skin tone',
        ':woman_in_lotus_position:' => 'woman in lotus position',
        ':woman_in_lotus_position_light_skin_tone:' => 'woman in lotus position: light skin tone',
        ':woman_in_lotus_position_medium_light_skin_tone:' => 'woman in lotus position: medium-light skin tone',
        ':woman_in_lotus_position_medium_skin_tone:' => 'woman in lotus position: medium skin tone',
        ':woman_in_lotus_position_medium_dark_skin_tone:' => 'woman in lotus position: medium-dark skin tone',
        ':woman_in_lotus_position_dark_skin_tone:' => 'woman in lotus position: dark skin tone',
        ':person_taking_bath:' => 'person taking bath',
        ':person_taking_bath_light_skin_tone:' => 'person taking bath: light skin tone',
        ':person_taking_bath_medium_light_skin_tone:' => 'person taking bath: medium-light skin tone',
        ':person_taking_bath_medium_skin_tone:' => 'person taking bath: medium skin tone',
        ':person_taking_bath_medium_dark_skin_tone:' => 'person taking bath: medium-dark skin tone',
        ':person_taking_bath_dark_skin_tone:' => 'person taking bath: dark skin tone',
        ':person_in_bed:' => 'person in bed',
        ':person_in_bed_light_skin_tone:' => 'person in bed: light skin tone',
        ':person_in_bed_medium_light_skin_tone:' => 'person in bed: medium-light skin tone',
        ':person_in_bed_medium_skin_tone:' => 'person in bed: medium skin tone',
        ':person_in_bed_medium_dark_skin_tone:' => 'person in bed: medium-dark skin tone',
        ':person_in_bed_dark_skin_tone:' => 'person in bed: dark skin tone',
        ':people_holding_hands:' => 'people holding hands',
        ':people_holding_hands_light_skin_tone:' => 'people holding hands: light skin tone',
        ':people_holding_hands_light_skin_tone_medium_light_skin_tone:' => 'people holding hands: light skin tone, medium-light skin tone',
        ':people_holding_hands_light_skin_tone_medium_skin_tone:' => 'people holding hands: light skin tone, medium skin tone',
        ':people_holding_hands_light_skin_tone_medium_dark_skin_tone:' => 'people holding hands: light skin tone, medium-dark skin tone',
        ':people_holding_hands_light_skin_tone_dark_skin_tone:' => 'people holding hands: light skin tone, dark skin tone',
        ':people_holding_hands_medium_light_skin_tone_light_skin_tone:' => 'people holding hands: medium-light skin tone, light skin tone',
        ':people_holding_hands_medium_light_skin_tone:' => 'people holding hands: medium-light skin tone',
        ':people_holding_hands_medium_light_skin_tone_medium_skin_tone:' => 'people holding hands: medium-light skin tone, medium skin tone',
        ':people_holding_hands_medium_light_skin_tone_medium_dark_skin_tone:' => 'people holding hands: medium-light skin tone, medium-dark skin tone',
        ':people_holding_hands_medium_light_skin_tone_dark_skin_tone:' => 'people holding hands: medium-light skin tone, dark skin tone',
        ':people_holding_hands_medium_skin_tone_light_skin_tone:' => 'people holding hands: medium skin tone, light skin tone',
        ':people_holding_hands_medium_skin_tone_medium_light_skin_tone:' => 'people holding hands: medium skin tone, medium-light skin tone',
        ':people_holding_hands_medium_skin_tone:' => 'people holding hands: medium skin tone',
        ':people_holding_hands_medium_skin_tone_medium_dark_skin_tone:' => 'people holding hands: medium skin tone, medium-dark skin tone',
        ':people_holding_hands_medium_skin_tone_dark_skin_tone:' => 'people holding hands: medium skin tone, dark skin tone',
        ':people_holding_hands_medium_dark_skin_tone_light_skin_tone:' => 'people holding hands: medium-dark skin tone, light skin tone',
        ':people_holding_hands_medium_dark_skin_tone_medium_light_skin_tone:' => 'people holding hands: medium-dark skin tone, medium-light skin tone',
        ':people_holding_hands_medium_dark_skin_tone_medium_skin_tone:' => 'people holding hands: medium-dark skin tone, medium skin tone',
        ':people_holding_hands_medium_dark_skin_tone:' => 'people holding hands: medium-dark skin tone',
        ':people_holding_hands_medium_dark_skin_tone_dark_skin_tone:' => 'people holding hands: medium-dark skin tone, dark skin tone',
        ':people_holding_hands_dark_skin_tone_light_skin_tone:' => 'people holding hands: dark skin tone, light skin tone',
        ':people_holding_hands_dark_skin_tone_medium_light_skin_tone:' => 'people holding hands: dark skin tone, medium-light skin tone',
        ':people_holding_hands_dark_skin_tone_medium_skin_tone:' => 'people holding hands: dark skin tone, medium skin tone',
        ':people_holding_hands_dark_skin_tone_medium_dark_skin_tone:' => 'people holding hands: dark skin tone, medium-dark skin tone',
        ':people_holding_hands_dark_skin_tone:' => 'people holding hands: dark skin tone',
        ':women_holding_hands:' => 'women holding hands',
        ':women_holding_hands_light_skin_tone:' => 'women holding hands: light skin tone',
        ':women_holding_hands_light_skin_tone_medium_light_skin_tone:' => 'women holding hands: light skin tone, medium-light skin tone',
        ':women_holding_hands_light_skin_tone_medium_skin_tone:' => 'women holding hands: light skin tone, medium skin tone',
        ':women_holding_hands_light_skin_tone_medium_dark_skin_tone:' => 'women holding hands: light skin tone, medium-dark skin tone',
        ':women_holding_hands_light_skin_tone_dark_skin_tone:' => 'women holding hands: light skin tone, dark skin tone',
        ':women_holding_hands_medium_light_skin_tone_light_skin_tone:' => 'women holding hands: medium-light skin tone, light skin tone',
        ':women_holding_hands_medium_light_skin_tone:' => 'women holding hands: medium-light skin tone',
        ':women_holding_hands_medium_light_skin_tone_medium_skin_tone:' => 'women holding hands: medium-light skin tone, medium skin tone',
        ':women_holding_hands_medium_light_skin_tone_medium_dark_skin_tone:' => 'women holding hands: medium-light skin tone, medium-dark skin tone',
        ':women_holding_hands_medium_light_skin_tone_dark_skin_tone:' => 'women holding hands: medium-light skin tone, dark skin tone',
        ':women_holding_hands_medium_skin_tone_light_skin_tone:' => 'women holding hands: medium skin tone, light skin tone',
        ':women_holding_hands_medium_skin_tone_medium_light_skin_tone:' => 'women holding hands: medium skin tone, medium-light skin tone',
        ':women_holding_hands_medium_skin_tone:' => 'women holding hands: medium skin tone',
        ':women_holding_hands_medium_skin_tone_medium_dark_skin_tone:' => 'women holding hands: medium skin tone, medium-dark skin tone',
        ':women_holding_hands_medium_skin_tone_dark_skin_tone:' => 'women holding hands: medium skin tone, dark skin tone',
        ':women_holding_hands_medium_dark_skin_tone_light_skin_tone:' => 'women holding hands: medium-dark skin tone, light skin tone',
        ':women_holding_hands_medium_dark_skin_tone_medium_light_skin_tone:' => 'women holding hands: medium-dark skin tone, medium-light skin tone',
        ':women_holding_hands_medium_dark_skin_tone_medium_skin_tone:' => 'women holding hands: medium-dark skin tone, medium skin tone',
        ':women_holding_hands_medium_dark_skin_tone:' => 'women holding hands: medium-dark skin tone',
        ':women_holding_hands_medium_dark_skin_tone_dark_skin_tone:' => 'women holding hands: medium-dark skin tone, dark skin tone',
        ':women_holding_hands_dark_skin_tone_light_skin_tone:' => 'women holding hands: dark skin tone, light skin tone',
        ':women_holding_hands_dark_skin_tone_medium_light_skin_tone:' => 'women holding hands: dark skin tone, medium-light skin tone',
        ':women_holding_hands_dark_skin_tone_medium_skin_tone:' => 'women holding hands: dark skin tone, medium skin tone',
        ':women_holding_hands_dark_skin_tone_medium_dark_skin_tone:' => 'women holding hands: dark skin tone, medium-dark skin tone',
        ':women_holding_hands_dark_skin_tone:' => 'women holding hands: dark skin tone',
        ':woman_and_man_holding_hands:' => 'woman and man holding hands',
        ':woman_and_man_holding_hands_light_skin_tone:' => 'woman and man holding hands: light skin tone',
        ':woman_and_man_holding_hands_light_skin_tone_medium_light_skin_tone:' => 'woman and man holding hands: light skin tone, medium-light skin tone',
        ':woman_and_man_holding_hands_light_skin_tone_medium_skin_tone:' => 'woman and man holding hands: light skin tone, medium skin tone',
        ':woman_and_man_holding_hands_light_skin_tone_medium_dark_skin_tone:' => 'woman and man holding hands: light skin tone, medium-dark skin tone',
        ':woman_and_man_holding_hands_light_skin_tone_dark_skin_tone:' => 'woman and man holding hands: light skin tone, dark skin tone',
        ':woman_and_man_holding_hands_medium_light_skin_tone_light_skin_tone:' => 'woman and man holding hands: medium-light skin tone, light skin tone',
        ':woman_and_man_holding_hands_medium_light_skin_tone:' => 'woman and man holding hands: medium-light skin tone',
        ':woman_and_man_holding_hands_medium_light_skin_tone_medium_skin_tone:' => 'woman and man holding hands: medium-light skin tone, medium skin tone',
        ':woman_and_man_holding_hands_medium_light_skin_tone_medium_dark_skin_tone:' => 'woman and man holding hands: medium-light skin tone, medium-dark skin tone',
        ':woman_and_man_holding_hands_medium_light_skin_tone_dark_skin_tone:' => 'woman and man holding hands: medium-light skin tone, dark skin tone',
        ':woman_and_man_holding_hands_medium_skin_tone_light_skin_tone:' => 'woman and man holding hands: medium skin tone, light skin tone',
        ':woman_and_man_holding_hands_medium_skin_tone_medium_light_skin_tone:' => 'woman and man holding hands: medium skin tone, medium-light skin tone',
        ':woman_and_man_holding_hands_medium_skin_tone:' => 'woman and man holding hands: medium skin tone',
        ':woman_and_man_holding_hands_medium_skin_tone_medium_dark_skin_tone:' => 'woman and man holding hands: medium skin tone, medium-dark skin tone',
        ':woman_and_man_holding_hands_medium_skin_tone_dark_skin_tone:' => 'woman and man holding hands: medium skin tone, dark skin tone',
        ':woman_and_man_holding_hands_medium_dark_skin_tone_light_skin_tone:' => 'woman and man holding hands: medium-dark skin tone, light skin tone',
        ':woman_and_man_holding_hands_medium_dark_skin_tone_medium_light_skin_tone:' => 'woman and man holding hands: medium-dark skin tone, medium-light skin tone',
        ':woman_and_man_holding_hands_medium_dark_skin_tone_medium_skin_tone:' => 'woman and man holding hands: medium-dark skin tone, medium skin tone',
        ':woman_and_man_holding_hands_medium_dark_skin_tone:' => 'woman and man holding hands: medium-dark skin tone',
        ':woman_and_man_holding_hands_medium_dark_skin_tone_dark_skin_tone:' => 'woman and man holding hands: medium-dark skin tone, dark skin tone',
        ':woman_and_man_holding_hands_dark_skin_tone_light_skin_tone:' => 'woman and man holding hands: dark skin tone, light skin tone',
        ':woman_and_man_holding_hands_dark_skin_tone_medium_light_skin_tone:' => 'woman and man holding hands: dark skin tone, medium-light skin tone',
        ':woman_and_man_holding_hands_dark_skin_tone_medium_skin_tone:' => 'woman and man holding hands: dark skin tone, medium skin tone',
        ':woman_and_man_holding_hands_dark_skin_tone_medium_dark_skin_tone:' => 'woman and man holding hands: dark skin tone, medium-dark skin tone',
        ':woman_and_man_holding_hands_dark_skin_tone:' => 'woman and man holding hands: dark skin tone',
        ':men_holding_hands:' => 'men holding hands',
        ':men_holding_hands_light_skin_tone:' => 'men holding hands: light skin tone',
        ':men_holding_hands_light_skin_tone_medium_light_skin_tone:' => 'men holding hands: light skin tone, medium-light skin tone',
        ':men_holding_hands_light_skin_tone_medium_skin_tone:' => 'men holding hands: light skin tone, medium skin tone',
        ':men_holding_hands_light_skin_tone_medium_dark_skin_tone:' => 'men holding hands: light skin tone, medium-dark skin tone',
        ':men_holding_hands_light_skin_tone_dark_skin_tone:' => 'men holding hands: light skin tone, dark skin tone',
        ':men_holding_hands_medium_light_skin_tone_light_skin_tone:' => 'men holding hands: medium-light skin tone, light skin tone',
        ':men_holding_hands_medium_light_skin_tone:' => 'men holding hands: medium-light skin tone',
        ':men_holding_hands_medium_light_skin_tone_medium_skin_tone:' => 'men holding hands: medium-light skin tone, medium skin tone',
        ':men_holding_hands_medium_light_skin_tone_medium_dark_skin_tone:' => 'men holding hands: medium-light skin tone, medium-dark skin tone',
        ':men_holding_hands_medium_light_skin_tone_dark_skin_tone:' => 'men holding hands: medium-light skin tone, dark skin tone',
        ':men_holding_hands_medium_skin_tone_light_skin_tone:' => 'men holding hands: medium skin tone, light skin tone',
        ':men_holding_hands_medium_skin_tone_medium_light_skin_tone:' => 'men holding hands: medium skin tone, medium-light skin tone',
        ':men_holding_hands_medium_skin_tone:' => 'men holding hands: medium skin tone',
        ':men_holding_hands_medium_skin_tone_medium_dark_skin_tone:' => 'men holding hands: medium skin tone, medium-dark skin tone',
        ':men_holding_hands_medium_skin_tone_dark_skin_tone:' => 'men holding hands: medium skin tone, dark skin tone',
        ':men_holding_hands_medium_dark_skin_tone_light_skin_tone:' => 'men holding hands: medium-dark skin tone, light skin tone',
        ':men_holding_hands_medium_dark_skin_tone_medium_light_skin_tone:' => 'men holding hands: medium-dark skin tone, medium-light skin tone',
        ':men_holding_hands_medium_dark_skin_tone_medium_skin_tone:' => 'men holding hands: medium-dark skin tone, medium skin tone',
        ':men_holding_hands_medium_dark_skin_tone:' => 'men holding hands: medium-dark skin tone',
        ':men_holding_hands_medium_dark_skin_tone_dark_skin_tone:' => 'men holding hands: medium-dark skin tone, dark skin tone',
        ':men_holding_hands_dark_skin_tone_light_skin_tone:' => 'men holding hands: dark skin tone, light skin tone',
        ':men_holding_hands_dark_skin_tone_medium_light_skin_tone:' => 'men holding hands: dark skin tone, medium-light skin tone',
        ':men_holding_hands_dark_skin_tone_medium_skin_tone:' => 'men holding hands: dark skin tone, medium skin tone',
        ':men_holding_hands_dark_skin_tone_medium_dark_skin_tone:' => 'men holding hands: dark skin tone, medium-dark skin tone',
        ':men_holding_hands_dark_skin_tone:' => 'men holding hands: dark skin tone',
        ':kiss:' => 'kiss',
        ':kiss_light_skin_tone:' => 'kiss: light skin tone',
        ':kiss_medium_light_skin_tone:' => 'kiss: medium-light skin tone',
        ':kiss_medium_skin_tone:' => 'kiss: medium skin tone',
        ':kiss_medium_dark_skin_tone:' => 'kiss: medium-dark skin tone',
        ':kiss_dark_skin_tone:' => 'kiss: dark skin tone',
        ':kiss_person_person_light_skin_tone_medium_light_skin_tone:' => 'kiss: person, person, light skin tone, medium-light skin tone',
        ':kiss_person_person_light_skin_tone_medium_skin_tone:' => 'kiss: person, person, light skin tone, medium skin tone',
        ':kiss_person_person_light_skin_tone_medium_dark_skin_tone:' => 'kiss: person, person, light skin tone, medium-dark skin tone',
        ':kiss_person_person_light_skin_tone_dark_skin_tone:' => 'kiss: person, person, light skin tone, dark skin tone',
        ':kiss_person_person_medium_light_skin_tone_light_skin_tone:' => 'kiss: person, person, medium-light skin tone, light skin tone',
        ':kiss_person_person_medium_light_skin_tone_medium_skin_tone:' => 'kiss: person, person, medium-light skin tone, medium skin tone',
        ':kiss_person_person_medium_light_skin_tone_medium_dark_skin_tone:' => 'kiss: person, person, medium-light skin tone, medium-dark skin tone',
        ':kiss_person_person_medium_light_skin_tone_dark_skin_tone:' => 'kiss: person, person, medium-light skin tone, dark skin tone',
        ':kiss_person_person_medium_skin_tone_light_skin_tone:' => 'kiss: person, person, medium skin tone, light skin tone',
        ':kiss_person_person_medium_skin_tone_medium_light_skin_tone:' => 'kiss: person, person, medium skin tone, medium-light skin tone',
        ':kiss_person_person_medium_skin_tone_medium_dark_skin_tone:' => 'kiss: person, person, medium skin tone, medium-dark skin tone',
        ':kiss_person_person_medium_skin_tone_dark_skin_tone:' => 'kiss: person, person, medium skin tone, dark skin tone',
        ':kiss_person_person_medium_dark_skin_tone_light_skin_tone:' => 'kiss: person, person, medium-dark skin tone, light skin tone',
        ':kiss_person_person_medium_dark_skin_tone_medium_light_skin_tone:' => 'kiss: person, person, medium-dark skin tone, medium-light skin tone',
        ':kiss_person_person_medium_dark_skin_tone_medium_skin_tone:' => 'kiss: person, person, medium-dark skin tone, medium skin tone',
        ':kiss_person_person_medium_dark_skin_tone_dark_skin_tone:' => 'kiss: person, person, medium-dark skin tone, dark skin tone',
        ':kiss_person_person_dark_skin_tone_light_skin_tone:' => 'kiss: person, person, dark skin tone, light skin tone',
        ':kiss_person_person_dark_skin_tone_medium_light_skin_tone:' => 'kiss: person, person, dark skin tone, medium-light skin tone',
        ':kiss_person_person_dark_skin_tone_medium_skin_tone:' => 'kiss: person, person, dark skin tone, medium skin tone',
        ':kiss_person_person_dark_skin_tone_medium_dark_skin_tone:' => 'kiss: person, person, dark skin tone, medium-dark skin tone',
        ':kiss_woman_man:' => 'kiss: woman, man',
        ':kiss_woman_man_light_skin_tone:' => 'kiss: woman, man, light skin tone',
        ':kiss_woman_man_light_skin_tone_medium_light_skin_tone:' => 'kiss: woman, man, light skin tone, medium-light skin tone',
        ':kiss_woman_man_light_skin_tone_medium_skin_tone:' => 'kiss: woman, man, light skin tone, medium skin tone',
        ':kiss_woman_man_light_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, man, light skin tone, medium-dark skin tone',
        ':kiss_woman_man_light_skin_tone_dark_skin_tone:' => 'kiss: woman, man, light skin tone, dark skin tone',
        ':kiss_woman_man_medium_light_skin_tone_light_skin_tone:' => 'kiss: woman, man, medium-light skin tone, light skin tone',
        ':kiss_woman_man_medium_light_skin_tone:' => 'kiss: woman, man, medium-light skin tone',
        ':kiss_woman_man_medium_light_skin_tone_medium_skin_tone:' => 'kiss: woman, man, medium-light skin tone, medium skin tone',
        ':kiss_woman_man_medium_light_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, man, medium-light skin tone, medium-dark skin tone',
        ':kiss_woman_man_medium_light_skin_tone_dark_skin_tone:' => 'kiss: woman, man, medium-light skin tone, dark skin tone',
        ':kiss_woman_man_medium_skin_tone_light_skin_tone:' => 'kiss: woman, man, medium skin tone, light skin tone',
        ':kiss_woman_man_medium_skin_tone_medium_light_skin_tone:' => 'kiss: woman, man, medium skin tone, medium-light skin tone',
        ':kiss_woman_man_medium_skin_tone:' => 'kiss: woman, man, medium skin tone',
        ':kiss_woman_man_medium_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, man, medium skin tone, medium-dark skin tone',
        ':kiss_woman_man_medium_skin_tone_dark_skin_tone:' => 'kiss: woman, man, medium skin tone, dark skin tone',
        ':kiss_woman_man_medium_dark_skin_tone_light_skin_tone:' => 'kiss: woman, man, medium-dark skin tone, light skin tone',
        ':kiss_woman_man_medium_dark_skin_tone_medium_light_skin_tone:' => 'kiss: woman, man, medium-dark skin tone, medium-light skin tone',
        ':kiss_woman_man_medium_dark_skin_tone_medium_skin_tone:' => 'kiss: woman, man, medium-dark skin tone, medium skin tone',
        ':kiss_woman_man_medium_dark_skin_tone:' => 'kiss: woman, man, medium-dark skin tone',
        ':kiss_woman_man_medium_dark_skin_tone_dark_skin_tone:' => 'kiss: woman, man, medium-dark skin tone, dark skin tone',
        ':kiss_woman_man_dark_skin_tone_light_skin_tone:' => 'kiss: woman, man, dark skin tone, light skin tone',
        ':kiss_woman_man_dark_skin_tone_medium_light_skin_tone:' => 'kiss: woman, man, dark skin tone, medium-light skin tone',
        ':kiss_woman_man_dark_skin_tone_medium_skin_tone:' => 'kiss: woman, man, dark skin tone, medium skin tone',
        ':kiss_woman_man_dark_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, man, dark skin tone, medium-dark skin tone',
        ':kiss_woman_man_dark_skin_tone:' => 'kiss: woman, man, dark skin tone',
        ':kiss_man_man:' => 'kiss: man, man',
        ':kiss_man_man_light_skin_tone:' => 'kiss: man, man, light skin tone',
        ':kiss_man_man_light_skin_tone_medium_light_skin_tone:' => 'kiss: man, man, light skin tone, medium-light skin tone',
        ':kiss_man_man_light_skin_tone_medium_skin_tone:' => 'kiss: man, man, light skin tone, medium skin tone',
        ':kiss_man_man_light_skin_tone_medium_dark_skin_tone:' => 'kiss: man, man, light skin tone, medium-dark skin tone',
        ':kiss_man_man_light_skin_tone_dark_skin_tone:' => 'kiss: man, man, light skin tone, dark skin tone',
        ':kiss_man_man_medium_light_skin_tone_light_skin_tone:' => 'kiss: man, man, medium-light skin tone, light skin tone',
        ':kiss_man_man_medium_light_skin_tone:' => 'kiss: man, man, medium-light skin tone',
        ':kiss_man_man_medium_light_skin_tone_medium_skin_tone:' => 'kiss: man, man, medium-light skin tone, medium skin tone',
        ':kiss_man_man_medium_light_skin_tone_medium_dark_skin_tone:' => 'kiss: man, man, medium-light skin tone, medium-dark skin tone',
        ':kiss_man_man_medium_light_skin_tone_dark_skin_tone:' => 'kiss: man, man, medium-light skin tone, dark skin tone',
        ':kiss_man_man_medium_skin_tone_light_skin_tone:' => 'kiss: man, man, medium skin tone, light skin tone',
        ':kiss_man_man_medium_skin_tone_medium_light_skin_tone:' => 'kiss: man, man, medium skin tone, medium-light skin tone',
        ':kiss_man_man_medium_skin_tone:' => 'kiss: man, man, medium skin tone',
        ':kiss_man_man_medium_skin_tone_medium_dark_skin_tone:' => 'kiss: man, man, medium skin tone, medium-dark skin tone',
        ':kiss_man_man_medium_skin_tone_dark_skin_tone:' => 'kiss: man, man, medium skin tone, dark skin tone',
        ':kiss_man_man_medium_dark_skin_tone_light_skin_tone:' => 'kiss: man, man, medium-dark skin tone, light skin tone',
        ':kiss_man_man_medium_dark_skin_tone_medium_light_skin_tone:' => 'kiss: man, man, medium-dark skin tone, medium-light skin tone',
        ':kiss_man_man_medium_dark_skin_tone_medium_skin_tone:' => 'kiss: man, man, medium-dark skin tone, medium skin tone',
        ':kiss_man_man_medium_dark_skin_tone:' => 'kiss: man, man, medium-dark skin tone',
        ':kiss_man_man_medium_dark_skin_tone_dark_skin_tone:' => 'kiss: man, man, medium-dark skin tone, dark skin tone',
        ':kiss_man_man_dark_skin_tone_light_skin_tone:' => 'kiss: man, man, dark skin tone, light skin tone',
        ':kiss_man_man_dark_skin_tone_medium_light_skin_tone:' => 'kiss: man, man, dark skin tone, medium-light skin tone',
        ':kiss_man_man_dark_skin_tone_medium_skin_tone:' => 'kiss: man, man, dark skin tone, medium skin tone',
        ':kiss_man_man_dark_skin_tone_medium_dark_skin_tone:' => 'kiss: man, man, dark skin tone, medium-dark skin tone',
        ':kiss_man_man_dark_skin_tone:' => 'kiss: man, man, dark skin tone',
        ':kiss_woman_woman:' => 'kiss: woman, woman',
        ':kiss_woman_woman_light_skin_tone:' => 'kiss: woman, woman, light skin tone',
        ':kiss_woman_woman_light_skin_tone_medium_light_skin_tone:' => 'kiss: woman, woman, light skin tone, medium-light skin tone',
        ':kiss_woman_woman_light_skin_tone_medium_skin_tone:' => 'kiss: woman, woman, light skin tone, medium skin tone',
        ':kiss_woman_woman_light_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, woman, light skin tone, medium-dark skin tone',
        ':kiss_woman_woman_light_skin_tone_dark_skin_tone:' => 'kiss: woman, woman, light skin tone, dark skin tone',
        ':kiss_woman_woman_medium_light_skin_tone_light_skin_tone:' => 'kiss: woman, woman, medium-light skin tone, light skin tone',
        ':kiss_woman_woman_medium_light_skin_tone:' => 'kiss: woman, woman, medium-light skin tone',
        ':kiss_woman_woman_medium_light_skin_tone_medium_skin_tone:' => 'kiss: woman, woman, medium-light skin tone, medium skin tone',
        ':kiss_woman_woman_medium_light_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, woman, medium-light skin tone, medium-dark skin tone',
        ':kiss_woman_woman_medium_light_skin_tone_dark_skin_tone:' => 'kiss: woman, woman, medium-light skin tone, dark skin tone',
        ':kiss_woman_woman_medium_skin_tone_light_skin_tone:' => 'kiss: woman, woman, medium skin tone, light skin tone',
        ':kiss_woman_woman_medium_skin_tone_medium_light_skin_tone:' => 'kiss: woman, woman, medium skin tone, medium-light skin tone',
        ':kiss_woman_woman_medium_skin_tone:' => 'kiss: woman, woman, medium skin tone',
        ':kiss_woman_woman_medium_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, woman, medium skin tone, medium-dark skin tone',
        ':kiss_woman_woman_medium_skin_tone_dark_skin_tone:' => 'kiss: woman, woman, medium skin tone, dark skin tone',
        ':kiss_woman_woman_medium_dark_skin_tone_light_skin_tone:' => 'kiss: woman, woman, medium-dark skin tone, light skin tone',
        ':kiss_woman_woman_medium_dark_skin_tone_medium_light_skin_tone:' => 'kiss: woman, woman, medium-dark skin tone, medium-light skin tone',
        ':kiss_woman_woman_medium_dark_skin_tone_medium_skin_tone:' => 'kiss: woman, woman, medium-dark skin tone, medium skin tone',
        ':kiss_woman_woman_medium_dark_skin_tone:' => 'kiss: woman, woman, medium-dark skin tone',
        ':kiss_woman_woman_medium_dark_skin_tone_dark_skin_tone:' => 'kiss: woman, woman, medium-dark skin tone, dark skin tone',
        ':kiss_woman_woman_dark_skin_tone_light_skin_tone:' => 'kiss: woman, woman, dark skin tone, light skin tone',
        ':kiss_woman_woman_dark_skin_tone_medium_light_skin_tone:' => 'kiss: woman, woman, dark skin tone, medium-light skin tone',
        ':kiss_woman_woman_dark_skin_tone_medium_skin_tone:' => 'kiss: woman, woman, dark skin tone, medium skin tone',
        ':kiss_woman_woman_dark_skin_tone_medium_dark_skin_tone:' => 'kiss: woman, woman, dark skin tone, medium-dark skin tone',
        ':kiss_woman_woman_dark_skin_tone:' => 'kiss: woman, woman, dark skin tone',
        ':couple_with_heart:' => 'couple with heart',
        ':couple_with_heart_light_skin_tone:' => 'couple with heart: light skin tone',
        ':couple_with_heart_medium_light_skin_tone:' => 'couple with heart: medium-light skin tone',
        ':couple_with_heart_medium_skin_tone:' => 'couple with heart: medium skin tone',
        ':couple_with_heart_medium_dark_skin_tone:' => 'couple with heart: medium-dark skin tone',
        ':couple_with_heart_dark_skin_tone:' => 'couple with heart: dark skin tone',
        ':couple_with_heart_person_person_light_skin_tone_medium_light_skin_tone:' => 'couple with heart: person, person, light skin tone, medium-light skin tone',
        ':couple_with_heart_person_person_light_skin_tone_medium_skin_tone:' => 'couple with heart: person, person, light skin tone, medium skin tone',
        ':couple_with_heart_person_person_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: person, person, light skin tone, medium-dark skin tone',
        ':couple_with_heart_person_person_light_skin_tone_dark_skin_tone:' => 'couple with heart: person, person, light skin tone, dark skin tone',
        ':couple_with_heart_person_person_medium_light_skin_tone_light_skin_tone:' => 'couple with heart: person, person, medium-light skin tone, light skin tone',
        ':couple_with_heart_person_person_medium_light_skin_tone_medium_skin_tone:' => 'couple with heart: person, person, medium-light skin tone, medium skin tone',
        ':couple_with_heart_person_person_medium_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: person, person, medium-light skin tone, medium-dark skin tone',
        ':couple_with_heart_person_person_medium_light_skin_tone_dark_skin_tone:' => 'couple with heart: person, person, medium-light skin tone, dark skin tone',
        ':couple_with_heart_person_person_medium_skin_tone_light_skin_tone:' => 'couple with heart: person, person, medium skin tone, light skin tone',
        ':couple_with_heart_person_person_medium_skin_tone_medium_light_skin_tone:' => 'couple with heart: person, person, medium skin tone, medium-light skin tone',
        ':couple_with_heart_person_person_medium_skin_tone_medium_dark_skin_tone:' => 'couple with heart: person, person, medium skin tone, medium-dark skin tone',
        ':couple_with_heart_person_person_medium_skin_tone_dark_skin_tone:' => 'couple with heart: person, person, medium skin tone, dark skin tone',
        ':couple_with_heart_person_person_medium_dark_skin_tone_light_skin_tone:' => 'couple with heart: person, person, medium-dark skin tone, light skin tone',
        ':couple_with_heart_person_person_medium_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: person, person, medium-dark skin tone, medium-light skin tone',
        ':couple_with_heart_person_person_medium_dark_skin_tone_medium_skin_tone:' => 'couple with heart: person, person, medium-dark skin tone, medium skin tone',
        ':couple_with_heart_person_person_medium_dark_skin_tone_dark_skin_tone:' => 'couple with heart: person, person, medium-dark skin tone, dark skin tone',
        ':couple_with_heart_person_person_dark_skin_tone_light_skin_tone:' => 'couple with heart: person, person, dark skin tone, light skin tone',
        ':couple_with_heart_person_person_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: person, person, dark skin tone, medium-light skin tone',
        ':couple_with_heart_person_person_dark_skin_tone_medium_skin_tone:' => 'couple with heart: person, person, dark skin tone, medium skin tone',
        ':couple_with_heart_person_person_dark_skin_tone_medium_dark_skin_tone:' => 'couple with heart: person, person, dark skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_man:' => 'couple with heart: woman, man',
        ':couple_with_heart_woman_man_light_skin_tone:' => 'couple with heart: woman, man, light skin tone',
        ':couple_with_heart_woman_man_light_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, man, light skin tone, medium-light skin tone',
        ':couple_with_heart_woman_man_light_skin_tone_medium_skin_tone:' => 'couple with heart: woman, man, light skin tone, medium skin tone',
        ':couple_with_heart_woman_man_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, man, light skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_man_light_skin_tone_dark_skin_tone:' => 'couple with heart: woman, man, light skin tone, dark skin tone',
        ':couple_with_heart_woman_man_medium_light_skin_tone_light_skin_tone:' => 'couple with heart: woman, man, medium-light skin tone, light skin tone',
        ':couple_with_heart_woman_man_medium_light_skin_tone:' => 'couple with heart: woman, man, medium-light skin tone',
        ':couple_with_heart_woman_man_medium_light_skin_tone_medium_skin_tone:' => 'couple with heart: woman, man, medium-light skin tone, medium skin tone',
        ':couple_with_heart_woman_man_medium_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, man, medium-light skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_man_medium_light_skin_tone_dark_skin_tone:' => 'couple with heart: woman, man, medium-light skin tone, dark skin tone',
        ':couple_with_heart_woman_man_medium_skin_tone_light_skin_tone:' => 'couple with heart: woman, man, medium skin tone, light skin tone',
        ':couple_with_heart_woman_man_medium_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, man, medium skin tone, medium-light skin tone',
        ':couple_with_heart_woman_man_medium_skin_tone:' => 'couple with heart: woman, man, medium skin tone',
        ':couple_with_heart_woman_man_medium_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, man, medium skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_man_medium_skin_tone_dark_skin_tone:' => 'couple with heart: woman, man, medium skin tone, dark skin tone',
        ':couple_with_heart_woman_man_medium_dark_skin_tone_light_skin_tone:' => 'couple with heart: woman, man, medium-dark skin tone, light skin tone',
        ':couple_with_heart_woman_man_medium_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, man, medium-dark skin tone, medium-light skin tone',
        ':couple_with_heart_woman_man_medium_dark_skin_tone_medium_skin_tone:' => 'couple with heart: woman, man, medium-dark skin tone, medium skin tone',
        ':couple_with_heart_woman_man_medium_dark_skin_tone:' => 'couple with heart: woman, man, medium-dark skin tone',
        ':couple_with_heart_woman_man_medium_dark_skin_tone_dark_skin_tone:' => 'couple with heart: woman, man, medium-dark skin tone, dark skin tone',
        ':couple_with_heart_woman_man_dark_skin_tone_light_skin_tone:' => 'couple with heart: woman, man, dark skin tone, light skin tone',
        ':couple_with_heart_woman_man_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, man, dark skin tone, medium-light skin tone',
        ':couple_with_heart_woman_man_dark_skin_tone_medium_skin_tone:' => 'couple with heart: woman, man, dark skin tone, medium skin tone',
        ':couple_with_heart_woman_man_dark_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, man, dark skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_man_dark_skin_tone:' => 'couple with heart: woman, man, dark skin tone',
        ':couple_with_heart_man_man:' => 'couple with heart: man, man',
        ':couple_with_heart_man_man_light_skin_tone:' => 'couple with heart: man, man, light skin tone',
        ':couple_with_heart_man_man_light_skin_tone_medium_light_skin_tone:' => 'couple with heart: man, man, light skin tone, medium-light skin tone',
        ':couple_with_heart_man_man_light_skin_tone_medium_skin_tone:' => 'couple with heart: man, man, light skin tone, medium skin tone',
        ':couple_with_heart_man_man_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: man, man, light skin tone, medium-dark skin tone',
        ':couple_with_heart_man_man_light_skin_tone_dark_skin_tone:' => 'couple with heart: man, man, light skin tone, dark skin tone',
        ':couple_with_heart_man_man_medium_light_skin_tone_light_skin_tone:' => 'couple with heart: man, man, medium-light skin tone, light skin tone',
        ':couple_with_heart_man_man_medium_light_skin_tone:' => 'couple with heart: man, man, medium-light skin tone',
        ':couple_with_heart_man_man_medium_light_skin_tone_medium_skin_tone:' => 'couple with heart: man, man, medium-light skin tone, medium skin tone',
        ':couple_with_heart_man_man_medium_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: man, man, medium-light skin tone, medium-dark skin tone',
        ':couple_with_heart_man_man_medium_light_skin_tone_dark_skin_tone:' => 'couple with heart: man, man, medium-light skin tone, dark skin tone',
        ':couple_with_heart_man_man_medium_skin_tone_light_skin_tone:' => 'couple with heart: man, man, medium skin tone, light skin tone',
        ':couple_with_heart_man_man_medium_skin_tone_medium_light_skin_tone:' => 'couple with heart: man, man, medium skin tone, medium-light skin tone',
        ':couple_with_heart_man_man_medium_skin_tone:' => 'couple with heart: man, man, medium skin tone',
        ':couple_with_heart_man_man_medium_skin_tone_medium_dark_skin_tone:' => 'couple with heart: man, man, medium skin tone, medium-dark skin tone',
        ':couple_with_heart_man_man_medium_skin_tone_dark_skin_tone:' => 'couple with heart: man, man, medium skin tone, dark skin tone',
        ':couple_with_heart_man_man_medium_dark_skin_tone_light_skin_tone:' => 'couple with heart: man, man, medium-dark skin tone, light skin tone',
        ':couple_with_heart_man_man_medium_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: man, man, medium-dark skin tone, medium-light skin tone',
        ':couple_with_heart_man_man_medium_dark_skin_tone_medium_skin_tone:' => 'couple with heart: man, man, medium-dark skin tone, medium skin tone',
        ':couple_with_heart_man_man_medium_dark_skin_tone:' => 'couple with heart: man, man, medium-dark skin tone',
        ':couple_with_heart_man_man_medium_dark_skin_tone_dark_skin_tone:' => 'couple with heart: man, man, medium-dark skin tone, dark skin tone',
        ':couple_with_heart_man_man_dark_skin_tone_light_skin_tone:' => 'couple with heart: man, man, dark skin tone, light skin tone',
        ':couple_with_heart_man_man_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: man, man, dark skin tone, medium-light skin tone',
        ':couple_with_heart_man_man_dark_skin_tone_medium_skin_tone:' => 'couple with heart: man, man, dark skin tone, medium skin tone',
        ':couple_with_heart_man_man_dark_skin_tone_medium_dark_skin_tone:' => 'couple with heart: man, man, dark skin tone, medium-dark skin tone',
        ':couple_with_heart_man_man_dark_skin_tone:' => 'couple with heart: man, man, dark skin tone',
        ':couple_with_heart_woman_woman:' => 'couple with heart: woman, woman',
        ':couple_with_heart_woman_woman_light_skin_tone:' => 'couple with heart: woman, woman, light skin tone',
        ':couple_with_heart_woman_woman_light_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, woman, light skin tone, medium-light skin tone',
        ':couple_with_heart_woman_woman_light_skin_tone_medium_skin_tone:' => 'couple with heart: woman, woman, light skin tone, medium skin tone',
        ':couple_with_heart_woman_woman_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, woman, light skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_woman_light_skin_tone_dark_skin_tone:' => 'couple with heart: woman, woman, light skin tone, dark skin tone',
        ':couple_with_heart_woman_woman_medium_light_skin_tone_light_skin_tone:' => 'couple with heart: woman, woman, medium-light skin tone, light skin tone',
        ':couple_with_heart_woman_woman_medium_light_skin_tone:' => 'couple with heart: woman, woman, medium-light skin tone',
        ':couple_with_heart_woman_woman_medium_light_skin_tone_medium_skin_tone:' => 'couple with heart: woman, woman, medium-light skin tone, medium skin tone',
        ':couple_with_heart_woman_woman_medium_light_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, woman, medium-light skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_woman_medium_light_skin_tone_dark_skin_tone:' => 'couple with heart: woman, woman, medium-light skin tone, dark skin tone',
        ':couple_with_heart_woman_woman_medium_skin_tone_light_skin_tone:' => 'couple with heart: woman, woman, medium skin tone, light skin tone',
        ':couple_with_heart_woman_woman_medium_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, woman, medium skin tone, medium-light skin tone',
        ':couple_with_heart_woman_woman_medium_skin_tone:' => 'couple with heart: woman, woman, medium skin tone',
        ':couple_with_heart_woman_woman_medium_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, woman, medium skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_woman_medium_skin_tone_dark_skin_tone:' => 'couple with heart: woman, woman, medium skin tone, dark skin tone',
        ':couple_with_heart_woman_woman_medium_dark_skin_tone_light_skin_tone:' => 'couple with heart: woman, woman, medium-dark skin tone, light skin tone',
        ':couple_with_heart_woman_woman_medium_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, woman, medium-dark skin tone, medium-light skin tone',
        ':couple_with_heart_woman_woman_medium_dark_skin_tone_medium_skin_tone:' => 'couple with heart: woman, woman, medium-dark skin tone, medium skin tone',
        ':couple_with_heart_woman_woman_medium_dark_skin_tone:' => 'couple with heart: woman, woman, medium-dark skin tone',
        ':couple_with_heart_woman_woman_medium_dark_skin_tone_dark_skin_tone:' => 'couple with heart: woman, woman, medium-dark skin tone, dark skin tone',
        ':couple_with_heart_woman_woman_dark_skin_tone_light_skin_tone:' => 'couple with heart: woman, woman, dark skin tone, light skin tone',
        ':couple_with_heart_woman_woman_dark_skin_tone_medium_light_skin_tone:' => 'couple with heart: woman, woman, dark skin tone, medium-light skin tone',
        ':couple_with_heart_woman_woman_dark_skin_tone_medium_skin_tone:' => 'couple with heart: woman, woman, dark skin tone, medium skin tone',
        ':couple_with_heart_woman_woman_dark_skin_tone_medium_dark_skin_tone:' => 'couple with heart: woman, woman, dark skin tone, medium-dark skin tone',
        ':couple_with_heart_woman_woman_dark_skin_tone:' => 'couple with heart: woman, woman, dark skin tone',
        ':family:' => 'family',
        ':family_man_woman_boy:' => 'family: man, woman, boy',
        ':family_man_woman_girl:' => 'family: man, woman, girl',
        ':family_man_woman_girl_boy:' => 'family: man, woman, girl, boy',
        ':family_man_woman_boy_boy:' => 'family: man, woman, boy, boy',
        ':family_man_woman_girl_girl:' => 'family: man, woman, girl, girl',
        ':family_man_man_boy:' => 'family: man, man, boy',
        ':family_man_man_girl:' => 'family: man, man, girl',
        ':family_man_man_girl_boy:' => 'family: man, man, girl, boy',
        ':family_man_man_boy_boy:' => 'family: man, man, boy, boy',
        ':family_man_man_girl_girl:' => 'family: man, man, girl, girl',
        ':family_woman_woman_boy:' => 'family: woman, woman, boy',
        ':family_woman_woman_girl:' => 'family: woman, woman, girl',
        ':family_woman_woman_girl_boy:' => 'family: woman, woman, girl, boy',
        ':family_woman_woman_boy_boy:' => 'family: woman, woman, boy, boy',
        ':family_woman_woman_girl_girl:' => 'family: woman, woman, girl, girl',
        ':family_man_boy:' => 'family: man, boy',
        ':family_man_boy_boy:' => 'family: man, boy, boy',
        ':family_man_girl:' => 'family: man, girl',
        ':family_man_girl_boy:' => 'family: man, girl, boy',
        ':family_man_girl_girl:' => 'family: man, girl, girl',
        ':family_woman_boy:' => 'family: woman, boy',
        ':family_woman_boy_boy:' => 'family: woman, boy, boy',
        ':family_woman_girl:' => 'family: woman, girl',
        ':family_woman_girl_boy:' => 'family: woman, girl, boy',
        ':family_woman_girl_girl:' => 'family: woman, girl, girl',
        ':speaking_head:' => 'speaking head',
        ':bust_in_silhouette:' => 'bust in silhouette',
        ':busts_in_silhouette:' => 'busts in silhouette',
        ':people_hugging:' => 'people hugging',
        ':footprints:' => 'footprints',
        ':monkey_face:' => 'monkey face',
        ':monkey:' => 'monkey',
        ':gorilla:' => 'gorilla',
        ':orangutan:' => 'orangutan',
        ':dog_face:' => 'dog face',
        ':dog:' => 'dog',
        ':guide_dog:' => 'guide dog',
        ':service_dog:' => 'service dog',
        ':poodle:' => 'poodle',
        ':wolf:' => 'wolf',
        ':fox:' => 'fox',
        ':raccoon:' => 'raccoon',
        ':cat_face:' => 'cat face',
        ':cat:' => 'cat',
        ':black_cat:' => 'black cat',
        ':lion:' => 'lion',
        ':tiger_face:' => 'tiger face',
        ':tiger:' => 'tiger',
        ':leopard:' => 'leopard',
        ':horse_face:' => 'horse face',
        ':horse:' => 'horse',
        ':unicorn:' => 'unicorn',
        ':zebra:' => 'zebra',
        ':deer:' => 'deer',
        ':bison:' => 'bison',
        ':cow_face:' => 'cow face',
        ':ox:' => 'ox',
        ':water_buffalo:' => 'water buffalo',
        ':cow:' => 'cow',
        ':pig_face:' => 'pig face',
        ':pig:' => 'pig',
        ':boar:' => 'boar',
        ':pig_nose:' => 'pig nose',
        ':ram:' => 'ram',
        ':ewe:' => 'ewe',
        ':goat:' => 'goat',
        ':camel:' => 'camel',
        ':two_hump_camel:' => 'two-hump camel',
        ':llama:' => 'llama',
        ':giraffe:' => 'giraffe',
        ':elephant:' => 'elephant',
        ':mammoth:' => 'mammoth',
        ':rhinoceros:' => 'rhinoceros',
        ':hippopotamus:' => 'hippopotamus',
        ':mouse_face:' => 'mouse face',
        ':mouse:' => 'mouse',
        ':rat:' => 'rat',
        ':hamster:' => 'hamster',
        ':rabbit_face:' => 'rabbit face',
        ':rabbit:' => 'rabbit',
        ':chipmunk:' => 'chipmunk',
        ':beaver:' => 'beaver',
        ':hedgehog:' => 'hedgehog',
        ':bat:' => 'bat',
        ':bear:' => 'bear',
        ':polar_bear:' => 'polar bear',
        ':koala:' => 'koala',
        ':panda:' => 'panda',
        ':sloth:' => 'sloth',
        ':otter:' => 'otter',
        ':skunk:' => 'skunk',
        ':kangaroo:' => 'kangaroo',
        ':badger:' => 'badger',
        ':paw_prints:' => 'paw prints',
        ':turkey:' => 'turkey',
        ':chicken:' => 'chicken',
        ':rooster:' => 'rooster',
        ':hatching_chick:' => 'hatching chick',
        ':baby_chick:' => 'baby chick',
        ':front_facing_baby_chick:' => 'front-facing baby chick',
        ':bird:' => 'bird',
        ':penguin:' => 'penguin',
        ':dove:' => 'dove',
        ':eagle:' => 'eagle',
        ':duck:' => 'duck',
        ':swan:' => 'swan',
        ':owl:' => 'owl',
        ':dodo:' => 'dodo',
        ':feather:' => 'feather',
        ':flamingo:' => 'flamingo',
        ':peacock:' => 'peacock',
        ':parrot:' => 'parrot',
        ':frog:' => 'frog',
        ':crocodile:' => 'crocodile',
        ':turtle:' => 'turtle',
        ':lizard:' => 'lizard',
        ':snake:' => 'snake',
        ':dragon_face:' => 'dragon face',
        ':dragon:' => 'dragon',
        ':sauropod:' => 'sauropod',
        ':t_rex:' => 'T-Rex',
        ':spouting_whale:' => 'spouting whale',
        ':whale:' => 'whale',
        ':dolphin:' => 'dolphin',
        ':seal:' => 'seal',
        ':fish:' => 'fish',
        ':tropical_fish:' => 'tropical fish',
        ':blowfish:' => 'blowfish',
        ':shark:' => 'shark',
        ':octopus:' => 'octopus',
        ':spiral_shell:' => 'spiral shell',
        ':snail:' => 'snail',
        ':butterfly:' => 'butterfly',
        ':bug:' => 'bug',
        ':ant:' => 'ant',
        ':honeybee:' => 'honeybee',
        ':beetle:' => 'beetle',
        ':lady_beetle:' => 'lady beetle',
        ':cricket:' => 'cricket',
        ':cockroach:' => 'cockroach',
        ':spider:' => 'spider',
        ':spider_web:' => 'spider web',
        ':scorpion:' => 'scorpion',
        ':mosquito:' => 'mosquito',
        ':fly:' => 'fly',
        ':worm:' => 'worm',
        ':microbe:' => 'microbe',
        ':bouquet:' => 'bouquet',
        ':cherry_blossom:' => 'cherry blossom',
        ':white_flower:' => 'white flower',
        ':rosette:' => 'rosette',
        ':rose:' => 'rose',
        ':wilted_flower:' => 'wilted flower',
        ':hibiscus:' => 'hibiscus',
        ':sunflower:' => 'sunflower',
        ':blossom:' => 'blossom',
        ':tulip:' => 'tulip',
        ':seedling:' => 'seedling',
        ':potted_plant:' => 'potted plant',
        ':evergreen_tree:' => 'evergreen tree',
        ':deciduous_tree:' => 'deciduous tree',
        ':palm_tree:' => 'palm tree',
        ':cactus:' => 'cactus',
        ':sheaf_of_rice:' => 'sheaf of rice',
        ':herb:' => 'herb',
        ':shamrock:' => 'shamrock',
        ':four_leaf_clover:' => 'four leaf clover',
        ':maple_leaf:' => 'maple leaf',
        ':fallen_leaf:' => 'fallen leaf',
        ':leaf_fluttering_in_wind:' => 'leaf fluttering in wind',
        ':grapes:' => 'grapes',
        ':melon:' => 'melon',
        ':watermelon:' => 'watermelon',
        ':tangerine:' => 'tangerine',
        ':lemon:' => 'lemon',
        ':banana:' => 'banana',
        ':pineapple:' => 'pineapple',
        ':mango:' => 'mango',
        ':red_apple:' => 'red apple',
        ':green_apple:' => 'green apple',
        ':pear:' => 'pear',
        ':peach:' => 'peach',
        ':cherries:' => 'cherries',
        ':strawberry:' => 'strawberry',
        ':blueberries:' => 'blueberries',
        ':kiwi_fruit:' => 'kiwi fruit',
        ':tomato:' => 'tomato',
        ':olive:' => 'olive',
        ':coconut:' => 'coconut',
        ':avocado:' => 'avocado',
        ':eggplant:' => 'eggplant',
        ':potato:' => 'potato',
        ':carrot:' => 'carrot',
        ':ear_of_corn:' => 'ear of corn',
        ':hot_pepper:' => 'hot pepper',
        ':bell_pepper:' => 'bell pepper',
        ':cucumber:' => 'cucumber',
        ':leafy_green:' => 'leafy green',
        ':broccoli:' => 'broccoli',
        ':garlic:' => 'garlic',
        ':onion:' => 'onion',
        ':mushroom:' => 'mushroom',
        ':peanuts:' => 'peanuts',
        ':chestnut:' => 'chestnut',
        ':bread:' => 'bread',
        ':croissant:' => 'croissant',
        ':baguette_bread:' => 'baguette bread',
        ':flatbread:' => 'flatbread',
        ':pretzel:' => 'pretzel',
        ':bagel:' => 'bagel',
        ':pancakes:' => 'pancakes',
        ':waffle:' => 'waffle',
        ':cheese_wedge:' => 'cheese wedge',
        ':meat_on_bone:' => 'meat on bone',
        ':poultry_leg:' => 'poultry leg',
        ':cut_of_meat:' => 'cut of meat',
        ':bacon:' => 'bacon',
        ':hamburger:' => 'hamburger',
        ':french_fries:' => 'french fries',
        ':pizza:' => 'pizza',
        ':hot_dog:' => 'hot dog',
        ':sandwich:' => 'sandwich',
        ':taco:' => 'taco',
        ':burrito:' => 'burrito',
        ':tamale:' => 'tamale',
        ':stuffed_flatbread:' => 'stuffed flatbread',
        ':falafel:' => 'falafel',
        ':egg:' => 'egg',
        ':cooking:' => 'cooking',
        ':shallow_pan_of_food:' => 'shallow pan of food',
        ':pot_of_food:' => 'pot of food',
        ':fondue:' => 'fondue',
        ':bowl_with_spoon:' => 'bowl with spoon',
        ':green_salad:' => 'green salad',
        ':popcorn:' => 'popcorn',
        ':butter:' => 'butter',
        ':salt:' => 'salt',
        ':canned_food:' => 'canned food',
        ':bento_box:' => 'bento box',
        ':rice_cracker:' => 'rice cracker',
        ':rice_ball:' => 'rice ball',
        ':cooked_rice:' => 'cooked rice',
        ':curry_rice:' => 'curry rice',
        ':steaming_bowl:' => 'steaming bowl',
        ':spaghetti:' => 'spaghetti',
        ':roasted_sweet_potato:' => 'roasted sweet potato',
        ':oden:' => 'oden',
        ':sushi:' => 'sushi',
        ':fried_shrimp:' => 'fried shrimp',
        ':fish_cake_with_swirl:' => 'fish cake with swirl',
        ':moon_cake:' => 'moon cake',
        ':dango:' => 'dango',
        ':dumpling:' => 'dumpling',
        ':fortune_cookie:' => 'fortune cookie',
        ':takeout_box:' => 'takeout box',
        ':crab:' => 'crab',
        ':lobster:' => 'lobster',
        ':shrimp:' => 'shrimp',
        ':squid:' => 'squid',
        ':oyster:' => 'oyster',
        ':soft_ice_cream:' => 'soft ice cream',
        ':shaved_ice:' => 'shaved ice',
        ':ice_cream:' => 'ice cream',
        ':doughnut:' => 'doughnut',
        ':cookie:' => 'cookie',
        ':birthday_cake:' => 'birthday cake',
        ':shortcake:' => 'shortcake',
        ':cupcake:' => 'cupcake',
        ':pie:' => 'pie',
        ':chocolate_bar:' => 'chocolate bar',
        ':candy:' => 'candy',
        ':lollipop:' => 'lollipop',
        ':custard:' => 'custard',
        ':honey_pot:' => 'honey pot',
        ':baby_bottle:' => 'baby bottle',
        ':glass_of_milk:' => 'glass of milk',
        ':hot_beverage:' => 'hot beverage',
        ':teapot:' => 'teapot',
        ':teacup_without_handle:' => 'teacup without handle',
        ':sake:' => 'sake',
        ':bottle_with_popping_cork:' => 'bottle with popping cork',
        ':wine_glass:' => 'wine glass',
        ':cocktail_glass:' => 'cocktail glass',
        ':tropical_drink:' => 'tropical drink',
        ':beer_mug:' => 'beer mug',
        ':clinking_beer_mugs:' => 'clinking beer mugs',
        ':clinking_glasses:' => 'clinking glasses',
        ':tumbler_glass:' => 'tumbler glass',
        ':cup_with_straw:' => 'cup with straw',
        ':bubble_tea:' => 'bubble tea',
        ':beverage_box:' => 'beverage box',
        ':mate:' => 'mate',
        ':ice:' => 'ice',
        ':chopsticks:' => 'chopsticks',
        ':fork_and_knife_with_plate:' => 'fork and knife with plate',
        ':fork_and_knife:' => 'fork and knife',
        ':spoon:' => 'spoon',
        ':kitchen_knife:' => 'kitchen knife',
        ':amphora:' => 'amphora',
        ':globe_showing_europe_africa:' => 'globe showing Europe-Africa',
        ':globe_showing_americas:' => 'globe showing Americas',
        ':globe_showing_asia_australia:' => 'globe showing Asia-Australia',
        ':globe_with_meridians:' => 'globe with meridians',
        ':world_map:' => 'world map',
        ':map_of_japan:' => 'map of Japan',
        ':compass:' => 'compass',
        ':snow_capped_mountain:' => 'snow-capped mountain',
        ':mountain:' => 'mountain',
        ':volcano:' => 'volcano',
        ':mount_fuji:' => 'mount fuji',
        ':camping:' => 'camping',
        ':beach_with_umbrella:' => 'beach with umbrella',
        ':desert:' => 'desert',
        ':desert_island:' => 'desert island',
        ':national_park:' => 'national park',
        ':stadium:' => 'stadium',
        ':classical_building:' => 'classical building',
        ':building_construction:' => 'building construction',
        ':brick:' => 'brick',
        ':rock:' => 'rock',
        ':wood:' => 'wood',
        ':hut:' => 'hut',
        ':houses:' => 'houses',
        ':derelict_house:' => 'derelict house',
        ':house:' => 'house',
        ':house_with_garden:' => 'house with garden',
        ':office_building:' => 'office building',
        ':japanese_post_office:' => 'Japanese post office',
        ':post_office:' => 'post office',
        ':hospital:' => 'hospital',
        ':bank:' => 'bank',
        ':hotel:' => 'hotel',
        ':love_hotel:' => 'love hotel',
        ':convenience_store:' => 'convenience store',
        ':school:' => 'school',
        ':department_store:' => 'department store',
        ':factory:' => 'factory',
        ':japanese_castle:' => 'Japanese castle',
        ':castle:' => 'castle',
        ':wedding:' => 'wedding',
        ':tokyo_tower:' => 'Tokyo tower',
        ':statue_of_liberty:' => 'Statue of Liberty',
        ':church:' => 'church',
        ':mosque:' => 'mosque',
        ':hindu_temple:' => 'hindu temple',
        ':synagogue:' => 'synagogue',
        ':shinto_shrine:' => 'shinto shrine',
        ':kaaba:' => 'kaaba',
        ':fountain:' => 'fountain',
        ':tent:' => 'tent',
        ':foggy:' => 'foggy',
        ':night_with_stars:' => 'night with stars',
        ':cityscape:' => 'cityscape',
        ':sunrise_over_mountains:' => 'sunrise over mountains',
        ':sunrise:' => 'sunrise',
        ':cityscape_at_dusk:' => 'cityscape at dusk',
        ':sunset:' => 'sunset',
        ':bridge_at_night:' => 'bridge at night',
        ':hot_springs:' => 'hot springs',
        ':carousel_horse:' => 'carousel horse',
        ':ferris_wheel:' => 'ferris wheel',
        ':roller_coaster:' => 'roller coaster',
        ':barber_pole:' => 'barber pole',
        ':circus_tent:' => 'circus tent',
        ':locomotive:' => 'locomotive',
        ':railway_car:' => 'railway car',
        ':high_speed_train:' => 'high-speed train',
        ':bullet_train:' => 'bullet train',
        ':train:' => 'train',
        ':metro:' => 'metro',
        ':light_rail:' => 'light rail',
        ':station:' => 'station',
        ':tram:' => 'tram',
        ':monorail:' => 'monorail',
        ':mountain_railway:' => 'mountain railway',
        ':tram_car:' => 'tram car',
        ':bus:' => 'bus',
        ':oncoming_bus:' => 'oncoming bus',
        ':trolleybus:' => 'trolleybus',
        ':minibus:' => 'minibus',
        ':ambulance:' => 'ambulance',
        ':fire_engine:' => 'fire engine',
        ':police_car:' => 'police car',
        ':oncoming_police_car:' => 'oncoming police car',
        ':taxi:' => 'taxi',
        ':oncoming_taxi:' => 'oncoming taxi',
        ':automobile:' => 'automobile',
        ':oncoming_automobile:' => 'oncoming automobile',
        ':sport_utility_vehicle:' => 'sport utility vehicle',
        ':pickup_truck:' => 'pickup truck',
        ':delivery_truck:' => 'delivery truck',
        ':articulated_lorry:' => 'articulated lorry',
        ':tractor:' => 'tractor',
        ':racing_car:' => 'racing car',
        ':motorcycle:' => 'motorcycle',
        ':motor_scooter:' => 'motor scooter',
        ':manual_wheelchair:' => 'manual wheelchair',
        ':motorized_wheelchair:' => 'motorized wheelchair',
        ':auto_rickshaw:' => 'auto rickshaw',
        ':bicycle:' => 'bicycle',
        ':kick_scooter:' => 'kick scooter',
        ':skateboard:' => 'skateboard',
        ':roller_skate:' => 'roller skate',
        ':bus_stop:' => 'bus stop',
        ':motorway:' => 'motorway',
        ':railway_track:' => 'railway track',
        ':oil_drum:' => 'oil drum',
        ':fuel_pump:' => 'fuel pump',
        ':police_car_light:' => 'police car light',
        ':horizontal_traffic_light:' => 'horizontal traffic light',
        ':vertical_traffic_light:' => 'vertical traffic light',
        ':stop_sign:' => 'stop sign',
        ':construction:' => 'construction',
        ':anchor:' => 'anchor',
        ':sailboat:' => 'sailboat',
        ':canoe:' => 'canoe',
        ':speedboat:' => 'speedboat',
        ':passenger_ship:' => 'passenger ship',
        ':ferry:' => 'ferry',
        ':motor_boat:' => 'motor boat',
        ':ship:' => 'ship',
        ':airplane:' => 'airplane',
        ':small_airplane:' => 'small airplane',
        ':airplane_departure:' => 'airplane departure',
        ':airplane_arrival:' => 'airplane arrival',
        ':parachute:' => 'parachute',
        ':seat:' => 'seat',
        ':helicopter:' => 'helicopter',
        ':suspension_railway:' => 'suspension railway',
        ':mountain_cableway:' => 'mountain cableway',
        ':aerial_tramway:' => 'aerial tramway',
        ':satellite:' => 'satellite',
        ':rocket:' => 'rocket',
        ':flying_saucer:' => 'flying saucer',
        ':bellhop_bell:' => 'bellhop bell',
        ':luggage:' => 'luggage',
        ':hourglass_done:' => 'hourglass done',
        ':hourglass_not_done:' => 'hourglass not done',
        ':watch:' => 'watch',
        ':alarm_clock:' => 'alarm clock',
        ':stopwatch:' => 'stopwatch',
        ':timer_clock:' => 'timer clock',
        ':mantelpiece_clock:' => 'mantelpiece clock',
        ':twelve_oclock:' => 'twelve o’clock',
        ':twelve_thirty:' => 'twelve-thirty',
        ':one_oclock:' => 'one o’clock',
        ':one_thirty:' => 'one-thirty',
        ':two_oclock:' => 'two o’clock',
        ':two_thirty:' => 'two-thirty',
        ':three_oclock:' => 'three o’clock',
        ':three_thirty:' => 'three-thirty',
        ':four_oclock:' => 'four o’clock',
        ':four_thirty:' => 'four-thirty',
        ':five_oclock:' => 'five o’clock',
        ':five_thirty:' => 'five-thirty',
        ':six_oclock:' => 'six o’clock',
        ':six_thirty:' => 'six-thirty',
        ':seven_oclock:' => 'seven o’clock',
        ':seven_thirty:' => 'seven-thirty',
        ':eight_oclock:' => 'eight o’clock',
        ':eight_thirty:' => 'eight-thirty',
        ':nine_oclock:' => 'nine o’clock',
        ':nine_thirty:' => 'nine-thirty',
        ':ten_oclock:' => 'ten o’clock',
        ':ten_thirty:' => 'ten-thirty',
        ':eleven_oclock:' => 'eleven o’clock',
        ':eleven_thirty:' => 'eleven-thirty',
        ':new_moon:' => 'new moon',
        ':waxing_crescent_moon:' => 'waxing crescent moon',
        ':first_quarter_moon:' => 'first quarter moon',
        ':waxing_gibbous_moon:' => 'waxing gibbous moon',
        ':full_moon:' => 'full moon',
        ':waning_gibbous_moon:' => 'waning gibbous moon',
        ':last_quarter_moon:' => 'last quarter moon',
        ':waning_crescent_moon:' => 'waning crescent moon',
        ':crescent_moon:' => 'crescent moon',
        ':new_moon_face:' => 'new moon face',
        ':first_quarter_moon_face:' => 'first quarter moon face',
        ':last_quarter_moon_face:' => 'last quarter moon face',
        ':thermometer:' => 'thermometer',
        ':sun:' => 'sun',
        ':full_moon_face:' => 'full moon face',
        ':sun_with_face:' => 'sun with face',
        ':ringed_planet:' => 'ringed planet',
        ':star:' => 'star',
        ':glowing_star:' => 'glowing star',
        ':shooting_star:' => 'shooting star',
        ':milky_way:' => 'milky way',
        ':cloud:' => 'cloud',
        ':sun_behind_cloud:' => 'sun behind cloud',
        ':cloud_with_lightning_and_rain:' => 'cloud with lightning and rain',
        ':sun_behind_small_cloud:' => 'sun behind small cloud',
        ':sun_behind_large_cloud:' => 'sun behind large cloud',
        ':sun_behind_rain_cloud:' => 'sun behind rain cloud',
        ':cloud_with_rain:' => 'cloud with rain',
        ':cloud_with_snow:' => 'cloud with snow',
        ':cloud_with_lightning:' => 'cloud with lightning',
        ':tornado:' => 'tornado',
        ':fog:' => 'fog',
        ':wind_face:' => 'wind face',
        ':cyclone:' => 'cyclone',
        ':rainbow:' => 'rainbow',
        ':closed_umbrella:' => 'closed umbrella',
        ':umbrella:' => 'umbrella',
        ':umbrella_with_rain_drops:' => 'umbrella with rain drops',
        ':umbrella_on_ground:' => 'umbrella on ground',
        ':high_voltage:' => 'high voltage',
        ':snowflake:' => 'snowflake',
        ':snowman:' => 'snowman',
        ':snowman_without_snow:' => 'snowman without snow',
        ':comet:' => 'comet',
        ':fire:' => 'fire',
        ':droplet:' => 'droplet',
        ':water_wave:' => 'water wave',
        ':jack_o_lantern:' => 'jack-o-lantern',
        ':christmas_tree:' => 'Christmas tree',
        ':fireworks:' => 'fireworks',
        ':sparkler:' => 'sparkler',
        ':firecracker:' => 'firecracker',
        ':sparkles:' => 'sparkles',
        ':balloon:' => 'balloon',
        ':party_popper:' => 'party popper',
        ':confetti_ball:' => 'confetti ball',
        ':tanabata_tree:' => 'tanabata tree',
        ':pine_decoration:' => 'pine decoration',
        ':japanese_dolls:' => 'Japanese dolls',
        ':carp_streamer:' => 'carp streamer',
        ':wind_chime:' => 'wind chime',
        ':moon_viewing_ceremony:' => 'moon viewing ceremony',
        ':red_envelope:' => 'red envelope',
        ':ribbon:' => 'ribbon',
        ':wrapped_gift:' => 'wrapped gift',
        ':reminder_ribbon:' => 'reminder ribbon',
        ':admission_tickets:' => 'admission tickets',
        ':ticket:' => 'ticket',
        ':military_medal:' => 'military medal',
        ':trophy:' => 'trophy',
        ':sports_medal:' => 'sports medal',
        ':first_place_medal:' => '1st place medal',
        ':second_place_medal:' => '2nd place medal',
        ':third_place_medal:' => '3rd place medal',
        ':soccer_ball:' => 'soccer ball',
        ':baseball:' => 'baseball',
        ':softball:' => 'softball',
        ':basketball:' => 'basketball',
        ':volleyball:' => 'volleyball',
        ':american_football:' => 'american football',
        ':rugby_football:' => 'rugby football',
        ':tennis:' => 'tennis',
        ':flying_disc:' => 'flying disc',
        ':bowling:' => 'bowling',
        ':cricket_game:' => 'cricket game',
        ':field_hockey:' => 'field hockey',
        ':ice_hockey:' => 'ice hockey',
        ':lacrosse:' => 'lacrosse',
        ':ping_pong:' => 'ping pong',
        ':badminton:' => 'badminton',
        ':boxing_glove:' => 'boxing glove',
        ':martial_arts_uniform:' => 'martial arts uniform',
        ':goal_net:' => 'goal net',
        ':flag_in_hole:' => 'flag in hole',
        ':ice_skate:' => 'ice skate',
        ':fishing_pole:' => 'fishing pole',
        ':diving_mask:' => 'diving mask',
        ':running_shirt:' => 'running shirt',
        ':skis:' => 'skis',
        ':sled:' => 'sled',
        ':curling_stone:' => 'curling stone',
        ':bullseye:' => 'bullseye',
        ':yo_yo:' => 'yo-yo',
        ':kite:' => 'kite',
        ':pool_8_ball:' => 'pool 8 ball',
        ':crystal_ball:' => 'crystal ball',
        ':magic_wand:' => 'magic wand',
        ':nazar_amulet:' => 'nazar amulet',
        ':video_game:' => 'video game',
        ':joystick:' => 'joystick',
        ':slot_machine:' => 'slot machine',
        ':game_die:' => 'game die',
        ':puzzle_piece:' => 'puzzle piece',
        ':teddy_bear:' => 'teddy bear',
        ':pinata:' => 'piñata',
        ':nesting_dolls:' => 'nesting dolls',
        ':spade_suit:' => 'spade suit',
        ':heart_suit:' => 'heart suit',
        ':diamond_suit:' => 'diamond suit',
        ':club_suit:' => 'club suit',
        ':chess_pawn:' => 'chess pawn',
        ':joker:' => 'joker',
        ':mahjong_red_dragon:' => 'mahjong red dragon',
        ':flower_playing_cards:' => 'flower playing cards',
        ':performing_arts:' => 'performing arts',
        ':framed_picture:' => 'framed picture',
        ':artist_palette:' => 'artist palette',
        ':thread:' => 'thread',
        ':sewing_needle:' => 'sewing needle',
        ':yarn:' => 'yarn',
        ':knot:' => 'knot',
        ':glasses:' => 'glasses',
        ':sunglasses:' => 'sunglasses',
        ':goggles:' => 'goggles',
        ':lab_coat:' => 'lab coat',
        ':safety_vest:' => 'safety vest',
        ':necktie:' => 'necktie',
        ':t_shirt:' => 't-shirt',
        ':jeans:' => 'jeans',
        ':scarf:' => 'scarf',
        ':gloves:' => 'gloves',
        ':coat:' => 'coat',
        ':socks:' => 'socks',
        ':dress:' => 'dress',
        ':kimono:' => 'kimono',
        ':sari:' => 'sari',
        ':one_piece_swimsuit:' => 'one-piece swimsuit',
        ':briefs:' => 'briefs',
        ':shorts:' => 'shorts',
        ':bikini:' => 'bikini',
        ':womans_clothes:' => 'woman’s clothes',
        ':purse:' => 'purse',
        ':handbag:' => 'handbag',
        ':clutch_bag:' => 'clutch bag',
        ':shopping_bags:' => 'shopping bags',
        ':backpack:' => 'backpack',
        ':thong_sandal:' => 'thong sandal',
        ':mans_shoe:' => 'man’s shoe',
        ':running_shoe:' => 'running shoe',
        ':hiking_boot:' => 'hiking boot',
        ':flat_shoe:' => 'flat shoe',
        ':high_heeled_shoe:' => 'high-heeled shoe',
        ':womans_sandal:' => 'woman’s sandal',
        ':ballet_shoes:' => 'ballet shoes',
        ':womans_boot:' => 'woman’s boot',
        ':crown:' => 'crown',
        ':womans_hat:' => 'woman’s hat',
        ':top_hat:' => 'top hat',
        ':graduation_cap:' => 'graduation cap',
        ':billed_cap:' => 'billed cap',
        ':military_helmet:' => 'military helmet',
        ':rescue_workers_helmet:' => 'rescue worker’s helmet',
        ':prayer_beads:' => 'prayer beads',
        ':lipstick:' => 'lipstick',
        ':ring:' => 'ring',
        ':gem_stone:' => 'gem stone',
        ':muted_speaker:' => 'muted speaker',
        ':speaker_low_volume:' => 'speaker low volume',
        ':speaker_medium_volume:' => 'speaker medium volume',
        ':speaker_high_volume:' => 'speaker high volume',
        ':loudspeaker:' => 'loudspeaker',
        ':megaphone:' => 'megaphone',
        ':postal_horn:' => 'postal horn',
        ':bell:' => 'bell',
        ':bell_with_slash:' => 'bell with slash',
        ':musical_score:' => 'musical score',
        ':musical_note:' => 'musical note',
        ':musical_notes:' => 'musical notes',
        ':studio_microphone:' => 'studio microphone',
        ':level_slider:' => 'level slider',
        ':control_knobs:' => 'control knobs',
        ':microphone:' => 'microphone',
        ':headphone:' => 'headphone',
        ':radio:' => 'radio',
        ':saxophone:' => 'saxophone',
        ':accordion:' => 'accordion',
        ':guitar:' => 'guitar',
        ':musical_keyboard:' => 'musical keyboard',
        ':trumpet:' => 'trumpet',
        ':violin:' => 'violin',
        ':banjo:' => 'banjo',
        ':drum:' => 'drum',
        ':long_drum:' => 'long drum',
        ':mobile_phone:' => 'mobile phone',
        ':mobile_phone_with_arrow:' => 'mobile phone with arrow',
        ':telephone:' => 'telephone',
        ':telephone_receiver:' => 'telephone receiver',
        ':pager:' => 'pager',
        ':fax_machine:' => 'fax machine',
        ':battery:' => 'battery',
        ':electric_plug:' => 'electric plug',
        ':laptop:' => 'laptop',
        ':desktop_computer:' => 'desktop computer',
        ':printer:' => 'printer',
        ':keyboard:' => 'keyboard',
        ':computer_mouse:' => 'computer mouse',
        ':trackball:' => 'trackball',
        ':computer_disk:' => 'computer disk',
        ':floppy_disk:' => 'floppy disk',
        ':optical_disk:' => 'optical disk',
        ':dvd:' => 'dvd',
        ':abacus:' => 'abacus',
        ':movie_camera:' => 'movie camera',
        ':film_frames:' => 'film frames',
        ':film_projector:' => 'film projector',
        ':clapper_board:' => 'clapper board',
        ':television:' => 'television',
        ':camera:' => 'camera',
        ':camera_with_flash:' => 'camera with flash',
        ':video_camera:' => 'video camera',
        ':videocassette:' => 'videocassette',
        ':magnifying_glass_tilted_left:' => 'magnifying glass tilted left',
        ':magnifying_glass_tilted_right:' => 'magnifying glass tilted right',
        ':candle:' => 'candle',
        ':light_bulb:' => 'light bulb',
        ':flashlight:' => 'flashlight',
        ':red_paper_lantern:' => 'red paper lantern',
        ':diya_lamp:' => 'diya lamp',
        ':notebook_with_decorative_cover:' => 'notebook with decorative cover',
        ':closed_book:' => 'closed book',
        ':open_book:' => 'open book',
        ':green_book:' => 'green book',
        ':blue_book:' => 'blue book',
        ':orange_book:' => 'orange book',
        ':books:' => 'books',
        ':notebook:' => 'notebook',
        ':ledger:' => 'ledger',
        ':page_with_curl:' => 'page with curl',
        ':scroll:' => 'scroll',
        ':page_facing_up:' => 'page facing up',
        ':newspaper:' => 'newspaper',
        ':rolled_up_newspaper:' => 'rolled-up newspaper',
        ':bookmark_tabs:' => 'bookmark tabs',
        ':bookmark:' => 'bookmark',
        ':label:' => 'label',
        ':money_bag:' => 'money bag',
        ':coin:' => 'coin',
        ':yen_banknote:' => 'yen banknote',
        ':dollar_banknote:' => 'dollar banknote',
        ':euro_banknote:' => 'euro banknote',
        ':pound_banknote:' => 'pound banknote',
        ':money_with_wings:' => 'money with wings',
        ':credit_card:' => 'credit card',
        ':receipt:' => 'receipt',
        ':chart_increasing_with_yen:' => 'chart increasing with yen',
        ':envelope:' => 'envelope',
        ':e_mail:' => 'e-mail',
        ':incoming_envelope:' => 'incoming envelope',
        ':envelope_with_arrow:' => 'envelope with arrow',
        ':outbox_tray:' => 'outbox tray',
        ':inbox_tray:' => 'inbox tray',
        ':package:' => 'package',
        ':closed_mailbox_with_raised_flag:' => 'closed mailbox with raised flag',
        ':closed_mailbox_with_lowered_flag:' => 'closed mailbox with lowered flag',
        ':open_mailbox_with_raised_flag:' => 'open mailbox with raised flag',
        ':open_mailbox_with_lowered_flag:' => 'open mailbox with lowered flag',
        ':postbox:' => 'postbox',
        ':ballot_box_with_ballot:' => 'ballot box with ballot',
        ':pencil:' => 'pencil',
        ':black_nib:' => 'black nib',
        ':fountain_pen:' => 'fountain pen',
        ':pen:' => 'pen',
        ':paintbrush:' => 'paintbrush',
        ':crayon:' => 'crayon',
        ':memo:' => 'memo',
        ':briefcase:' => 'briefcase',
        ':file_folder:' => 'file folder',
        ':open_file_folder:' => 'open file folder',
        ':card_index_dividers:' => 'card index dividers',
        ':calendar:' => 'calendar',
        ':tear_off_calendar:' => 'tear-off calendar',
        ':spiral_notepad:' => 'spiral notepad',
        ':spiral_calendar:' => 'spiral calendar',
        ':card_index:' => 'card index',
        ':chart_increasing:' => 'chart increasing',
        ':chart_decreasing:' => 'chart decreasing',
        ':bar_chart:' => 'bar chart',
        ':clipboard:' => 'clipboard',
        ':pushpin:' => 'pushpin',
        ':round_pushpin:' => 'round pushpin',
        ':paperclip:' => 'paperclip',
        ':linked_paperclips:' => 'linked paperclips',
        ':straight_ruler:' => 'straight ruler',
        ':triangular_ruler:' => 'triangular ruler',
        ':scissors:' => 'scissors',
        ':card_file_box:' => 'card file box',
        ':file_cabinet:' => 'file cabinet',
        ':wastebasket:' => 'wastebasket',
        ':locked:' => 'locked',
        ':unlocked:' => 'unlocked',
        ':locked_with_pen:' => 'locked with pen',
        ':locked_with_key:' => 'locked with key',
        ':key:' => 'key',
        ':old_key:' => 'old key',
        ':hammer:' => 'hammer',
        ':axe:' => 'axe',
        ':pick:' => 'pick',
        ':hammer_and_pick:' => 'hammer and pick',
        ':hammer_and_wrench:' => 'hammer and wrench',
        ':dagger:' => 'dagger',
        ':crossed_swords:' => 'crossed swords',
        ':water_pistol:' => 'water pistol',
        ':boomerang:' => 'boomerang',
        ':bow_and_arrow:' => 'bow and arrow',
        ':shield:' => 'shield',
        ':carpentry_saw:' => 'carpentry saw',
        ':wrench:' => 'wrench',
        ':screwdriver:' => 'screwdriver',
        ':nut_and_bolt:' => 'nut and bolt',
        ':gear:' => 'gear',
        ':clamp:' => 'clamp',
        ':balance_scale:' => 'balance scale',
        ':white_cane:' => 'white cane',
        ':link:' => 'link',
        ':chains:' => 'chains',
        ':hook:' => 'hook',
        ':toolbox:' => 'toolbox',
        ':magnet:' => 'magnet',
        ':ladder:' => 'ladder',
        ':alembic:' => 'alembic',
        ':test_tube:' => 'test tube',
        ':petri_dish:' => 'petri dish',
        ':dna:' => 'dna',
        ':microscope:' => 'microscope',
        ':telescope:' => 'telescope',
        ':satellite_antenna:' => 'satellite antenna',
        ':syringe:' => 'syringe',
        ':drop_of_blood:' => 'drop of blood',
        ':pill:' => 'pill',
        ':adhesive_bandage:' => 'adhesive bandage',
        ':stethoscope:' => 'stethoscope',
        ':door:' => 'door',
        ':elevator:' => 'elevator',
        ':mirror:' => 'mirror',
        ':window:' => 'window',
        ':bed:' => 'bed',
        ':couch_and_lamp:' => 'couch and lamp',
        ':chair:' => 'chair',
        ':toilet:' => 'toilet',
        ':plunger:' => 'plunger',
        ':shower:' => 'shower',
        ':bathtub:' => 'bathtub',
        ':mouse_trap:' => 'mouse trap',
        ':razor:' => 'razor',
        ':lotion_bottle:' => 'lotion bottle',
        ':safety_pin:' => 'safety pin',
        ':broom:' => 'broom',
        ':basket:' => 'basket',
        ':roll_of_paper:' => 'roll of paper',
        ':bucket:' => 'bucket',
        ':soap:' => 'soap',
        ':toothbrush:' => 'toothbrush',
        ':sponge:' => 'sponge',
        ':fire_extinguisher:' => 'fire extinguisher',
        ':shopping_cart:' => 'shopping cart',
        ':cigarette:' => 'cigarette',
        ':coffin:' => 'coffin',
        ':headstone:' => 'headstone',
        ':funeral_urn:' => 'funeral urn',
        ':moai:' => 'moai',
        ':placard:' => 'placard',
        ':atm_sign:' => 'ATM sign',
        ':litter_in_bin_sign:' => 'litter in bin sign',
        ':potable_water:' => 'potable water',
        ':wheelchair_symbol:' => 'wheelchair symbol',
        ':mens_room:' => 'men’s room',
        ':womens_room:' => 'women’s room',
        ':restroom:' => 'restroom',
        ':baby_symbol:' => 'baby symbol',
        ':water_closet:' => 'water closet',
        ':passport_control:' => 'passport control',
        ':customs:' => 'customs',
        ':baggage_claim:' => 'baggage claim',
        ':left_luggage:' => 'left luggage',
        ':warning:' => 'warning',
        ':children_crossing:' => 'children crossing',
        ':no_entry:' => 'no entry',
        ':prohibited:' => 'prohibited',
        ':no_bicycles:' => 'no bicycles',
        ':no_smoking:' => 'no smoking',
        ':no_littering:' => 'no littering',
        ':non_potable_water:' => 'non-potable water',
        ':no_pedestrians:' => 'no pedestrians',
        ':no_mobile_phones:' => 'no mobile phones',
        ':no_one_under_eighteen:' => 'no one under eighteen',
        ':radioactive:' => 'radioactive',
        ':biohazard:' => 'biohazard',
        ':up_arrow:' => 'up arrow',
        ':up_right_arrow:' => 'up-right arrow',
        ':right_arrow:' => 'right arrow',
        ':down_right_arrow:' => 'down-right arrow',
        ':down_arrow:' => 'down arrow',
        ':down_left_arrow:' => 'down-left arrow',
        ':left_arrow:' => 'left arrow',
        ':up_left_arrow:' => 'up-left arrow',
        ':up_down_arrow:' => 'up-down arrow',
        ':left_right_arrow:' => 'left-right arrow',
        ':right_arrow_curving_left:' => 'right arrow curving left',
        ':left_arrow_curving_right:' => 'left arrow curving right',
        ':right_arrow_curving_up:' => 'right arrow curving up',
        ':right_arrow_curving_down:' => 'right arrow curving down',
        ':clockwise_vertical_arrows:' => 'clockwise vertical arrows',
        ':counterclockwise_arrows_button:' => 'counterclockwise arrows button',
        ':back_arrow:' => 'BACK arrow',
        ':end_arrow:' => 'END arrow',
        ':on_arrow:' => 'ON! arrow',
        ':soon_arrow:' => 'SOON arrow',
        ':top_arrow:' => 'TOP arrow',
        ':place_of_worship:' => 'place of worship',
        ':atom_symbol:' => 'atom symbol',
        ':om:' => 'om',
        ':star_of_david:' => 'star of David',
        ':wheel_of_dharma:' => 'wheel of dharma',
        ':yin_yang:' => 'yin yang',
        ':latin_cross:' => 'latin cross',
        ':orthodox_cross:' => 'orthodox cross',
        ':star_and_crescent:' => 'star and crescent',
        ':peace_symbol:' => 'peace symbol',
        ':menorah:' => 'menorah',
        ':dotted_six_pointed_star:' => 'dotted six-pointed star',
        ':aries:' => 'Aries',
        ':taurus:' => 'Taurus',
        ':gemini:' => 'Gemini',
        ':cancer:' => 'Cancer',
        ':leo:' => 'Leo',
        ':virgo:' => 'Virgo',
        ':libra:' => 'Libra',
        ':scorpio:' => 'Scorpio',
        ':sagittarius:' => 'Sagittarius',
        ':capricorn:' => 'Capricorn',
        ':aquarius:' => 'Aquarius',
        ':pisces:' => 'Pisces',
        ':ophiuchus:' => 'Ophiuchus',
        ':shuffle_tracks_button:' => 'shuffle tracks button',
        ':repeat_button:' => 'repeat button',
        ':repeat_single_button:' => 'repeat single button',
        ':play_button:' => 'play button',
        ':fast_forward_button:' => 'fast-forward button',
        ':next_track_button:' => 'next track button',
        ':play_or_pause_button:' => 'play or pause button',
        ':reverse_button:' => 'reverse button',
        ':fast_reverse_button:' => 'fast reverse button',
        ':last_track_button:' => 'last track button',
        ':upwards_button:' => 'upwards button',
        ':fast_up_button:' => 'fast up button',
        ':downwards_button:' => 'downwards button',
        ':fast_down_button:' => 'fast down button',
        ':pause_button:' => 'pause button',
        ':stop_button:' => 'stop button',
        ':record_button:' => 'record button',
        ':eject_button:' => 'eject button',
        ':cinema:' => 'cinema',
        ':dim_button:' => 'dim button',
        ':bright_button:' => 'bright button',
        ':antenna_bars:' => 'antenna bars',
        ':vibration_mode:' => 'vibration mode',
        ':mobile_phone_off:' => 'mobile phone off',
        ':female_sign:' => 'female sign',
        ':male_sign:' => 'male sign',
        ':transgender_symbol:' => 'transgender symbol',
        ':multiply:' => 'multiply',
        ':plus:' => 'plus',
        ':minus:' => 'minus',
        ':divide:' => 'divide',
        ':infinity:' => 'infinity',
        ':double_exclamation_mark:' => 'double exclamation mark',
        ':exclamation_question_mark:' => 'exclamation question mark',
        ':red_question_mark:' => 'red question mark',
        ':white_question_mark:' => 'white question mark',
        ':white_exclamation_mark:' => 'white exclamation mark',
        ':red_exclamation_mark:' => 'red exclamation mark',
        ':wavy_dash:' => 'wavy dash',
        ':currency_exchange:' => 'currency exchange',
        ':heavy_dollar_sign:' => 'heavy dollar sign',
        ':medical_symbol:' => 'medical symbol',
        ':recycling_symbol:' => 'recycling symbol',
        ':fleur_de_lis:' => 'fleur-de-lis',
        ':trident_emblem:' => 'trident emblem',
        ':name_badge:' => 'name badge',
        ':japanese_symbol_for_beginner:' => 'Japanese symbol for beginner',
        ':hollow_red_circle:' => 'hollow red circle',
        ':check_mark_button:' => 'check mark button',
        ':check_box_with_check:' => 'check box with check',
        ':check_mark:' => 'check mark',
        ':cross_mark:' => 'cross mark',
        ':cross_mark_button:' => 'cross mark button',
        ':curly_loop:' => 'curly loop',
        ':double_curly_loop:' => 'double curly loop',
        ':part_alternation_mark:' => 'part alternation mark',
        ':eight_spoked_asterisk:' => 'eight-spoked asterisk',
        ':eight_pointed_star:' => 'eight-pointed star',
        ':sparkle:' => 'sparkle',
        ':copyright:' => 'copyright',
        ':registered:' => 'registered',
        ':trade_mark:' => 'trade mark',
        ':keycap_hash:' => 'keycap: #',
        ':keycap_asterisk:' => 'keycap: *',
        ':keycap_0:' => 'keycap: 0',
        ':keycap_1:' => 'keycap: 1',
        ':keycap_2:' => 'keycap: 2',
        ':keycap_3:' => 'keycap: 3',
        ':keycap_4:' => 'keycap: 4',
        ':keycap_5:' => 'keycap: 5',
        ':keycap_6:' => 'keycap: 6',
        ':keycap_7:' => 'keycap: 7',
        ':keycap_8:' => 'keycap: 8',
        ':keycap_9:' => 'keycap: 9',
        ':keycap_10:' => 'keycap: 10',
        ':input_latin_uppercase:' => 'input latin uppercase',
        ':input_latin_lowercase:' => 'input latin lowercase',
        ':input_numbers:' => 'input numbers',
        ':input_symbols:' => 'input symbols',
        ':input_latin_letters:' => 'input latin letters',
        ':a_button_blood_type:' => 'A button (blood type)',
        ':ab_button_blood_type:' => 'AB button (blood type)',
        ':b_button_blood_type:' => 'B button (blood type)',
        ':cl_button:' => 'CL button',
        ':cool_button:' => 'COOL button',
        ':free_button:' => 'FREE button',
        ':information:' => 'information',
        ':id_button:' => 'ID button',
        ':circled_m:' => 'circled M',
        ':new_button:' => 'NEW button',
        ':ng_button:' => 'NG button',
        ':o_button_blood_type:' => 'O button (blood type)',
        ':ok_button:' => 'OK button',
        ':p_button:' => 'P button',
        ':sos_button:' => 'SOS button',
        ':up_button:' => 'UP! button',
        ':vs_button:' => 'VS button',
        ':japanese_here_button:' => 'Japanese “here” button',
        ':japanese_service_charge_button:' => 'Japanese “service charge” button',
        ':japanese_monthly_amount_button:' => 'Japanese “monthly amount” button',
        ':japanese_not_free_of_charge_button:' => 'Japanese “not free of charge” button',
        ':japanese_reserved_button:' => 'Japanese “reserved” button',
        ':japanese_bargain_button:' => 'Japanese “bargain” button',
        ':japanese_discount_button:' => 'Japanese “discount” button',
        ':japanese_free_of_charge_button:' => 'Japanese “free of charge” button',
        ':japanese_prohibited_button:' => 'Japanese “prohibited” button',
        ':japanese_acceptable_button:' => 'Japanese “acceptable” button',
        ':japanese_application_button:' => 'Japanese “application” button',
        ':japanese_passing_grade_button:' => 'Japanese “passing grade” button',
        ':japanese_vacancy_button:' => 'Japanese “vacancy” button',
        ':japanese_congratulations_button:' => 'Japanese “congratulations” button',
        ':japanese_secret_button:' => 'Japanese “secret” button',
        ':japanese_open_for_business_button:' => 'Japanese “open for business” button',
        ':japanese_no_vacancy_button:' => 'Japanese “no vacancy” button',
        ':red_circle:' => 'red circle',
        ':orange_circle:' => 'orange circle',
        ':yellow_circle:' => 'yellow circle',
        ':green_circle:' => 'green circle',
        ':blue_circle:' => 'blue circle',
        ':purple_circle:' => 'purple circle',
        ':brown_circle:' => 'brown circle',
        ':black_circle:' => 'black circle',
        ':white_circle:' => 'white circle',
        ':red_square:' => 'red square',
        ':orange_square:' => 'orange square',
        ':yellow_square:' => 'yellow square',
        ':green_square:' => 'green square',
        ':blue_square:' => 'blue square',
        ':purple_square:' => 'purple square',
        ':brown_square:' => 'brown square',
        ':black_large_square:' => 'black large square',
        ':white_large_square:' => 'white large square',
        ':black_medium_square:' => 'black medium square',
        ':white_medium_square:' => 'white medium square',
        ':black_medium_small_square:' => 'black medium-small square',
        ':white_medium_small_square:' => 'white medium-small square',
        ':black_small_square:' => 'black small square',
        ':white_small_square:' => 'white small square',
        ':large_orange_diamond:' => 'large orange diamond',
        ':large_blue_diamond:' => 'large blue diamond',
        ':small_orange_diamond:' => 'small orange diamond',
        ':small_blue_diamond:' => 'small blue diamond',
        ':red_triangle_pointed_up:' => 'red triangle pointed up',
        ':red_triangle_pointed_down:' => 'red triangle pointed down',
        ':diamond_with_a_dot:' => 'diamond with a dot',
        ':radio_button:' => 'radio button',
        ':white_square_button:' => 'white square button',
        ':black_square_button:' => 'black square button',
        ':chequered_flag:' => 'chequered flag',
        ':triangular_flag:' => 'triangular flag',
        ':crossed_flags:' => 'crossed flags',
        ':black_flag:' => 'black flag',
        ':white_flag:' => 'white flag',
        ':rainbow_flag:' => 'rainbow flag',
        ':transgender_flag:' => 'transgender flag',
        ':pirate_flag:' => 'pirate flag',
        ':flag_ascension_island:' => 'flag: Ascension Island',
        ':flag_andorra:' => 'flag: Andorra',
        ':flag_united_arab_emirates:' => 'flag: United Arab Emirates',
        ':flag_afghanistan:' => 'flag: Afghanistan',
        ':flag_antigua_and_barbuda:' => 'flag: Antigua & Barbuda',
        ':flag_anguilla:' => 'flag: Anguilla',
        ':flag_albania:' => 'flag: Albania',
        ':flag_armenia:' => 'flag: Armenia',
        ':flag_angola:' => 'flag: Angola',
        ':flag_antarctica:' => 'flag: Antarctica',
        ':flag_argentina:' => 'flag: Argentina',
        ':flag_american_samoa:' => 'flag: American Samoa',
        ':flag_austria:' => 'flag: Austria',
        ':flag_australia:' => 'flag: Australia',
        ':flag_aruba:' => 'flag: Aruba',
        ':flag_aland_islands:' => 'flag: Åland Islands',
        ':flag_azerbaijan:' => 'flag: Azerbaijan',
        ':flag_bosnia_and_herzegovina:' => 'flag: Bosnia & Herzegovina',
        ':flag_barbados:' => 'flag: Barbados',
        ':flag_bangladesh:' => 'flag: Bangladesh',
        ':flag_belgium:' => 'flag: Belgium',
        ':flag_burkina_faso:' => 'flag: Burkina Faso',
        ':flag_bulgaria:' => 'flag: Bulgaria',
        ':flag_bahrain:' => 'flag: Bahrain',
        ':flag_burundi:' => 'flag: Burundi',
        ':flag_benin:' => 'flag: Benin',
        ':flag_st_barthelemy:' => 'flag: St. Barthélemy',
        ':flag_bermuda:' => 'flag: Bermuda',
        ':flag_brunei:' => 'flag: Brunei',
        ':flag_bolivia:' => 'flag: Bolivia',
        ':flag_caribbean_netherlands:' => 'flag: Caribbean Netherlands',
        ':flag_brazil:' => 'flag: Brazil',
        ':flag_bahamas:' => 'flag: Bahamas',
        ':flag_bhutan:' => 'flag: Bhutan',
        ':flag_bouvet_island:' => 'flag: Bouvet Island',
        ':flag_botswana:' => 'flag: Botswana',
        ':flag_belarus:' => 'flag: Belarus',
        ':flag_belize:' => 'flag: Belize',
        ':flag_canada:' => 'flag: Canada',
        ':flag_cocos_keeling_islands:' => 'flag: Cocos (Keeling) Islands',
        ':flag_congo___kinshasa:' => 'flag: Congo - Kinshasa',
        ':flag_central_african_republic:' => 'flag: Central African Republic',
        ':flag_congo___brazzaville:' => 'flag: Congo - Brazzaville',
        ':flag_switzerland:' => 'flag: Switzerland',
        ':flag_cote_divoire:' => 'flag: Côte d’Ivoire',
        ':flag_cook_islands:' => 'flag: Cook Islands',
        ':flag_chile:' => 'flag: Chile',
        ':flag_cameroon:' => 'flag: Cameroon',
        ':flag_china:' => 'flag: China',
        ':flag_colombia:' => 'flag: Colombia',
        ':flag_clipperton_island:' => 'flag: Clipperton Island',
        ':flag_costa_rica:' => 'flag: Costa Rica',
        ':flag_cuba:' => 'flag: Cuba',
        ':flag_cape_verde:' => 'flag: Cape Verde',
        ':flag_curacao:' => 'flag: Curaçao',
        ':flag_christmas_island:' => 'flag: Christmas Island',
        ':flag_cyprus:' => 'flag: Cyprus',
        ':flag_czechia:' => 'flag: Czechia',
        ':flag_germany:' => 'flag: Germany',
        ':flag_diego_garcia:' => 'flag: Diego Garcia',
        ':flag_djibouti:' => 'flag: Djibouti',
        ':flag_denmark:' => 'flag: Denmark',
        ':flag_dominica:' => 'flag: Dominica',
        ':flag_dominican_republic:' => 'flag: Dominican Republic',
        ':flag_algeria:' => 'flag: Algeria',
        ':flag_ceuta_and_melilla:' => 'flag: Ceuta & Melilla',
        ':flag_ecuador:' => 'flag: Ecuador',
        ':flag_estonia:' => 'flag: Estonia',
        ':flag_egypt:' => 'flag: Egypt',
        ':flag_western_sahara:' => 'flag: Western Sahara',
        ':flag_eritrea:' => 'flag: Eritrea',
        ':flag_spain:' => 'flag: Spain',
        ':flag_ethiopia:' => 'flag: Ethiopia',
        ':flag_european_union:' => 'flag: European Union',
        ':flag_finland:' => 'flag: Finland',
        ':flag_fiji:' => 'flag: Fiji',
        ':flag_falkland_islands:' => 'flag: Falkland Islands',
        ':flag_micronesia:' => 'flag: Micronesia',
        ':flag_faroe_islands:' => 'flag: Faroe Islands',
        ':flag_france:' => 'flag: France',
        ':flag_gabon:' => 'flag: Gabon',
        ':flag_united_kingdom:' => 'flag: United Kingdom',
        ':flag_grenada:' => 'flag: Grenada',
        ':flag_georgia:' => 'flag: Georgia',
        ':flag_french_guiana:' => 'flag: French Guiana',
        ':flag_guernsey:' => 'flag: Guernsey',
        ':flag_ghana:' => 'flag: Ghana',
        ':flag_gibraltar:' => 'flag: Gibraltar',
        ':flag_greenland:' => 'flag: Greenland',
        ':flag_gambia:' => 'flag: Gambia',
        ':flag_guinea:' => 'flag: Guinea',
        ':flag_guadeloupe:' => 'flag: Guadeloupe',
        ':flag_equatorial_guinea:' => 'flag: Equatorial Guinea',
        ':flag_greece:' => 'flag: Greece',
        ':flag_south_georgia_and_south_sandwich_islands:' => 'flag: South Georgia & South Sandwich Islands',
        ':flag_guatemala:' => 'flag: Guatemala',
        ':flag_guam:' => 'flag: Guam',
        ':flag_guinea_bissau:' => 'flag: Guinea-Bissau',
        ':flag_guyana:' => 'flag: Guyana',
        ':flag_hong_kong_sar_china:' => 'flag: Hong Kong SAR China',
        ':flag_heard_and_mcdonald_islands:' => 'flag: Heard & McDonald Islands',
        ':flag_honduras:' => 'flag: Honduras',
        ':flag_croatia:' => 'flag: Croatia',
        ':flag_haiti:' => 'flag: Haiti',
        ':flag_hungary:' => 'flag: Hungary',
        ':flag_canary_islands:' => 'flag: Canary Islands',
        ':flag_indonesia:' => 'flag: Indonesia',
        ':flag_ireland:' => 'flag: Ireland',
        ':flag_israel:' => 'flag: Israel',
        ':flag_isle_of_man:' => 'flag: Isle of Man',
        ':flag_india:' => 'flag: India',
        ':flag_british_indian_ocean_territory:' => 'flag: British Indian Ocean Territory',
        ':flag_iraq:' => 'flag: Iraq',
        ':flag_iran:' => 'flag: Iran',
        ':flag_iceland:' => 'flag: Iceland',
        ':flag_italy:' => 'flag: Italy',
        ':flag_jersey:' => 'flag: Jersey',
        ':flag_jamaica:' => 'flag: Jamaica',
        ':flag_jordan:' => 'flag: Jordan',
        ':flag_japan:' => 'flag: Japan',
        ':flag_kenya:' => 'flag: Kenya',
        ':flag_kyrgyzstan:' => 'flag: Kyrgyzstan',
        ':flag_cambodia:' => 'flag: Cambodia',
        ':flag_kiribati:' => 'flag: Kiribati',
        ':flag_comoros:' => 'flag: Comoros',
        ':flag_st_kitts_and_nevis:' => 'flag: St. Kitts & Nevis',
        ':flag_north_korea:' => 'flag: North Korea',
        ':flag_south_korea:' => 'flag: South Korea',
        ':flag_kuwait:' => 'flag: Kuwait',
        ':flag_cayman_islands:' => 'flag: Cayman Islands',
        ':flag_kazakhstan:' => 'flag: Kazakhstan',
        ':flag_laos:' => 'flag: Laos',
        ':flag_lebanon:' => 'flag: Lebanon',
        ':flag_st_lucia:' => 'flag: St. Lucia',
        ':flag_liechtenstein:' => 'flag: Liechtenstein',
        ':flag_sri_lanka:' => 'flag: Sri Lanka',
        ':flag_liberia:' => 'flag: Liberia',
        ':flag_lesotho:' => 'flag: Lesotho',
        ':flag_lithuania:' => 'flag: Lithuania',
        ':flag_luxembourg:' => 'flag: Luxembourg',
        ':flag_latvia:' => 'flag: Latvia',
        ':flag_libya:' => 'flag: Libya',
        ':flag_morocco:' => 'flag: Morocco',
        ':flag_monaco:' => 'flag: Monaco',
        ':flag_moldova:' => 'flag: Moldova',
        ':flag_montenegro:' => 'flag: Montenegro',
        ':flag_st_martin:' => 'flag: St. Martin',
        ':flag_madagascar:' => 'flag: Madagascar',
        ':flag_marshall_islands:' => 'flag: Marshall Islands',
        ':flag_north_macedonia:' => 'flag: North Macedonia',
        ':flag_mali:' => 'flag: Mali',
        ':flag_myanmar_burma:' => 'flag: Myanmar (Burma)',
        ':flag_mongolia:' => 'flag: Mongolia',
        ':flag_macao_sar_china:' => 'flag: Macao SAR China',
        ':flag_northern_mariana_islands:' => 'flag: Northern Mariana Islands',
        ':flag_martinique:' => 'flag: Martinique',
        ':flag_mauritania:' => 'flag: Mauritania',
        ':flag_montserrat:' => 'flag: Montserrat',
        ':flag_malta:' => 'flag: Malta',
        ':flag_mauritius:' => 'flag: Mauritius',
        ':flag_maldives:' => 'flag: Maldives',
        ':flag_malawi:' => 'flag: Malawi',
        ':flag_mexico:' => 'flag: Mexico',
        ':flag_malaysia:' => 'flag: Malaysia',
        ':flag_mozambique:' => 'flag: Mozambique',
        ':flag_namibia:' => 'flag: Namibia',
        ':flag_new_caledonia:' => 'flag: New Caledonia',
        ':flag_niger:' => 'flag: Niger',
        ':flag_norfolk_island:' => 'flag: Norfolk Island',
        ':flag_nigeria:' => 'flag: Nigeria',
        ':flag_nicaragua:' => 'flag: Nicaragua',
        ':flag_netherlands:' => 'flag: Netherlands',
        ':flag_norway:' => 'flag: Norway',
        ':flag_nepal:' => 'flag: Nepal',
        ':flag_nauru:' => 'flag: Nauru',
        ':flag_niue:' => 'flag: Niue',
        ':flag_new_zealand:' => 'flag: New Zealand',
        ':flag_oman:' => 'flag: Oman',
        ':flag_panama:' => 'flag: Panama',
        ':flag_peru:' => 'flag: Peru',
        ':flag_french_polynesia:' => 'flag: French Polynesia',
        ':flag_papua_new_guinea:' => 'flag: Papua New Guinea',
        ':flag_philippines:' => 'flag: Philippines',
        ':flag_pakistan:' => 'flag: Pakistan',
        ':flag_poland:' => 'flag: Poland',
        ':flag_st_pierre_and_miquelon:' => 'flag: St. Pierre & Miquelon',
        ':flag_pitcairn_islands:' => 'flag: Pitcairn Islands',
        ':flag_puerto_rico:' => 'flag: Puerto Rico',
        ':flag_palestinian_territories:' => 'flag: Palestinian Territories',
        ':flag_portugal:' => 'flag: Portugal',
        ':flag_palau:' => 'flag: Palau',
        ':flag_paraguay:' => 'flag: Paraguay',
        ':flag_qatar:' => 'flag: Qatar',
        ':flag_reunion:' => 'flag: Réunion',
        ':flag_romania:' => 'flag: Romania',
        ':flag_serbia:' => 'flag: Serbia',
        ':flag_russia:' => 'flag: Russia',
        ':flag_rwanda:' => 'flag: Rwanda',
        ':flag_saudi_arabia:' => 'flag: Saudi Arabia',
        ':flag_solomon_islands:' => 'flag: Solomon Islands',
        ':flag_seychelles:' => 'flag: Seychelles',
        ':flag_sudan:' => 'flag: Sudan',
        ':flag_sweden:' => 'flag: Sweden',
        ':flag_singapore:' => 'flag: Singapore',
        ':flag_st_helena:' => 'flag: St. Helena',
        ':flag_slovenia:' => 'flag: Slovenia',
        ':flag_svalbard_and_jan_mayen:' => 'flag: Svalbard & Jan Mayen',
        ':flag_slovakia:' => 'flag: Slovakia',
        ':flag_sierra_leone:' => 'flag: Sierra Leone',
        ':flag_san_marino:' => 'flag: San Marino',
        ':flag_senegal:' => 'flag: Senegal',
        ':flag_somalia:' => 'flag: Somalia',
        ':flag_suriname:' => 'flag: Suriname',
        ':flag_south_sudan:' => 'flag: South Sudan',
        ':flag_sao_tome_and_principe:' => 'flag: São Tomé & Príncipe',
        ':flag_el_salvador:' => 'flag: El Salvador',
        ':flag_sint_maarten:' => 'flag: Sint Maarten',
        ':flag_syria:' => 'flag: Syria',
        ':flag_eswatini:' => 'flag: Eswatini',
        ':flag_tristan_da_cunha:' => 'flag: Tristan da Cunha',
        ':flag_turks_and_caicos_islands:' => 'flag: Turks & Caicos Islands',
        ':flag_chad:' => 'flag: Chad',
        ':flag_french_southern_territories:' => 'flag: French Southern Territories',
        ':flag_togo:' => 'flag: Togo',
        ':flag_thailand:' => 'flag: Thailand',
        ':flag_tajikistan:' => 'flag: Tajikistan',
        ':flag_tokelau:' => 'flag: Tokelau',
        ':flag_timor_leste:' => 'flag: Timor-Leste',
        ':flag_turkmenistan:' => 'flag: Turkmenistan',
        ':flag_tunisia:' => 'flag: Tunisia',
        ':flag_tonga:' => 'flag: Tonga',
        ':flag_turkey:' => 'flag: Turkey',
        ':flag_trinidad_and_tobago:' => 'flag: Trinidad & Tobago',
        ':flag_tuvalu:' => 'flag: Tuvalu',
        ':flag_taiwan:' => 'flag: Taiwan',
        ':flag_tanzania:' => 'flag: Tanzania',
        ':flag_ukraine:' => 'flag: Ukraine',
        ':flag_uganda:' => 'flag: Uganda',
        ':flag_us_outlying_islands:' => 'flag: U.S. Outlying Islands',
        ':flag_united_nations:' => 'flag: United Nations',
        ':flag_united_states:' => 'flag: United States',
        ':flag_uruguay:' => 'flag: Uruguay',
        ':flag_uzbekistan:' => 'flag: Uzbekistan',
        ':flag_vatican_city:' => 'flag: Vatican City',
        ':flag_st_vincent_and_grenadines:' => 'flag: St. Vincent & Grenadines',
        ':flag_venezuela:' => 'flag: Venezuela',
        ':flag_british_virgin_islands:' => 'flag: British Virgin Islands',
        ':flag_us_virgin_islands:' => 'flag: U.S. Virgin Islands',
        ':flag_vietnam:' => 'flag: Vietnam',
        ':flag_vanuatu:' => 'flag: Vanuatu',
        ':flag_wallis_and_futuna:' => 'flag: Wallis & Futuna',
        ':flag_samoa:' => 'flag: Samoa',
        ':flag_kosovo:' => 'flag: Kosovo',
        ':flag_yemen:' => 'flag: Yemen',
        ':flag_mayotte:' => 'flag: Mayotte',
        ':flag_south_africa:' => 'flag: South Africa',
        ':flag_zambia:' => 'flag: Zambia',
        ':flag_zimbabwe:' => 'flag: Zimbabwe',
        ':flag_england:' => 'flag: England',
        ':flag_scotland:' => 'flag: Scotland',
        ':flag_wales:' => 'flag: Wales',
    ];

    /**
     * @return string|null
     */
    public static function getEmojiFromCldrName(string $cldrName): ?string
    {
        return isset(self::CLDR_TO_EMOJI[$cldrName])
            ? self::CLDR_TO_EMOJI[$cldrName]
            : null;
    }

    /**
     * @return string|null
     */
    public static function getEmojiFromMarkdown(string $markdown): ?string
    {
        $cldrName = isset(self::MARKDOWN_TO_CLDR[$markdown])
            ? self::MARKDOWN_TO_CLDR[$markdown]
            : null;
        if (!$cldrName) {
            return null;
        }

        return self::getEmojiFromCldrName($cldrName);
    }
}
